#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::BaseJob
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 1: return (void*)(Attica::BaseJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::GetJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Metadata
      switch(to) {
        case 3: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::PlatformDependent
      switch(to) {
        case 4: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::PostJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::Provider
      switch(to) {
        case 6: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::ProviderManager
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 8:   //QByteArray
      switch(to) {
        case 8: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QEvent
      switch(to) {
        case 10: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QIODevice
      switch(to) {
        case 17: return (void*)(QObject*)(QIODevice*)xptr;
        case 12: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 13:   //QMetaObject
      switch(to) {
        case 13: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 14:   //QNetworkAccessManager
      switch(to) {
        case 17: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 14: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 15:   //QNetworkReply
      switch(to) {
        case 15: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 16:   //QNetworkRequest
      switch(to) {
        case 16: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 17:   //QObject
      switch(to) {
        case 17: return (void*)(QObject*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 1: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 2: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 5: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 18:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QUrl
      switch(to) {
        case 19: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    17, 0,	// 1: QObject
    1, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//1
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//2
    { "Attica::Metadata", true, 0, 0, 0, 0, 0 },	//3
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//4
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//5
    { "Attica::Provider", true, 0, 0, 0, 0, 0 },	//6
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//7
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//11
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//12
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//13
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//14
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//15
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//16
    { "QObject", true, 0, 0, 0, 0, 0 },	//17
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QUrl", true, 0, 0, 0, 0, 0 },	//19
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::BaseJob*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Attica::Metadata", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "Attica::PlatformDependent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Attica::Provider", 6, Smoke::t_class|Smoke::tf_stack },	//4
    { "Attica::ProviderManager*", 7, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QIODevice*", 12, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QMetaObject::Call", 13, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QNetworkAccessManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QNetworkReply*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QObject*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//16
    { "QTimerEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QtMsgType", 11, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QtValidLicenseForActiveQtModule", 11, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtValidLicenseForCoreModule", 11, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtValidLicenseForDBusModule", 11, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForDeclarativeModule", 11, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForGuiModule", 11, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForHelpModule", 11, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForMultimediaModule", 11, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForNetworkModule", 11, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForOpenGLModule", 11, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForOpenVGModule", 11, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForQt3SupportLightModule", 11, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForQt3SupportModule", 11, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForScriptModule", 11, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForScriptToolsModule", 11, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForSqlModule", 11, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForSvgModule", 11, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForTestModule", 11, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForXmlModule", 11, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForXmlPatternsModule", 11, Smoke::t_enum|Smoke::tf_stack },	//108
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//109
    { "const Attica::Metadata&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//110
    { "const Attica::PlatformDependent&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//111
    { "const Attica::Provider&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QByteArray&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//113
    { "const QMetaObject&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QMetaObject*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//115
    { "const QNetworkRequest&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const QUrl&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//119
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//120
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//121
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//122
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//125
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//126
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    119, 0,	//1  const char*
    119, 119, 0,	//3  const char*, const char*
    119, 119, 121, 0,	//6  const char*, const char*, int
    11, 121, 125, 0,	//10  QMetaObject::Call, int, void**
    1, 0,	//14  Attica::BaseJob*
    110, 0,	//16  const Attica::Metadata&
    117, 0,	//18  const QString&
    118, 0,	//20  const QUrl&
    118, 16, 16, 0,	//22  const QUrl&, QString&, QString&
    118, 117, 117, 0,	//26  const QUrl&, const QString&, const QString&
    116, 0,	//30  const QNetworkRequest&
    116, 8, 0,	//32  const QNetworkRequest&, QIODevice*
    116, 113, 0,	//35  const QNetworkRequest&, const QByteArray&
    111, 0,	//38  const Attica::PlatformDependent&
    109, 0,	//40  bool
    112, 0,	//42  const Attica::Provider&
    7, 0,	//44  QEvent*
    14, 7, 0,	//46  QObject*, QEvent*
    17, 0,	//49  QTimerEvent*
    6, 0,	//51  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "LicensedActiveQt",	//1
    "LicensedCore",	//2
    "LicensedDBus",	//3
    "LicensedDeclarative",	//4
    "LicensedGui",	//5
    "LicensedHelp",	//6
    "LicensedMultimedia",	//7
    "LicensedNetwork",	//8
    "LicensedOpenGL",	//9
    "LicensedOpenVG",	//10
    "LicensedQt3Support",	//11
    "LicensedQt3SupportLight",	//12
    "LicensedScript",	//13
    "LicensedScriptTools",	//14
    "LicensedSql",	//15
    "LicensedSvg",	//16
    "LicensedTest",	//17
    "LicensedXml",	//18
    "LicensedXmlPatterns",	//19
    "PlatformDependent",	//20
    "PlatformDependent#",	//21
    "ProviderManager",	//22
    "Q_COMPLEX_TYPE",	//23
    "Q_DUMMY_TYPE",	//24
    "Q_MOVABLE_TYPE",	//25
    "Q_PRIMITIVE_TYPE",	//26
    "Q_STATIC_TYPE",	//27
    "QtCriticalMsg",	//28
    "QtDebugMsg",	//29
    "QtFatalMsg",	//30
    "QtSystemMsg",	//31
    "QtWarningMsg",	//32
    "abort",	//33
    "addProviderFile",	//34
    "addProviderFile#",	//35
    "addProviderFromXml",	//36
    "addProviderFromXml$",	//37
    "askForCredentials",	//38
    "askForCredentials#$$",	//39
    "authenticationCredentialsMissing",	//40
    "authenticationCredentialsMissing#",	//41
    "childEvent",	//42
    "clear",	//43
    "connectNotify",	//44
    "contains",	//45
    "contains$",	//46
    "customEvent",	//47
    "dataFinished",	//48
    "defaultProvidersLoaded",	//49
    "disconnectNotify",	//50
    "event",	//51
    "eventFilter",	//52
    "executeRequest",	//53
    "finished",	//54
    "finished#",	//55
    "get",	//56
    "get#",	//57
    "getDefaultProviderFiles",	//58
    "hasCredentials",	//59
    "hasCredentials#",	//60
    "internals",	//61
    "loadCredentials",	//62
    "loadCredentials#$$",	//63
    "loadDefaultProviders",	//64
    "metaObject",	//65
    "metadata",	//66
    "nam",	//67
    "parse",	//68
    "parse$",	//69
    "post",	//70
    "post##",	//71
    "providerAdded",	//72
    "providerAdded#",	//73
    "providerByUrl",	//74
    "providerByUrl#",	//75
    "providerFiles",	//76
    "providers",	//77
    "qt_metacall",	//78
    "qt_metacall$$?",	//79
    "qt_metacast",	//80
    "qt_metacast$",	//81
    "saveCredentials",	//82
    "saveCredentials#$$",	//83
    "setAuthenticationSuppressed",	//84
    "setAuthenticationSuppressed$",	//85
    "setMetadata",	//86
    "setMetadata#",	//87
    "start",	//88
    "staticMetaObject",	//89
    "timerEvent",	//90
    "tr",	//91
    "tr$",	//92
    "tr$$",	//93
    "tr$$$",	//94
    "trUtf8",	//95
    "trUtf8$",	//96
    "trUtf8$$",	//97
    "trUtf8$$$",	//98
    "~BaseJob",	//99
    "~GetJob",	//100
    "~PlatformDependent",	//101
    "~PostJob",	//102
    "~ProviderManager",	//103
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 65, 0, 0, Smoke::mf_const, 115, 1},	//1 Attica::BaseJob::metaObject() const
    {1, 80, 1, 1, 0, 124, 2},	//2 Attica::BaseJob::qt_metacast(const char*)
    {1, 91, 3, 2, Smoke::mf_static, 15, 3},	//3 Attica::BaseJob::tr(const char*, const char*)
    {1, 95, 3, 2, Smoke::mf_static, 15, 4},	//4 Attica::BaseJob::trUtf8(const char*, const char*)
    {1, 91, 6, 3, Smoke::mf_static, 15, 5},	//5 Attica::BaseJob::tr(const char*, const char*, int)
    {1, 95, 6, 3, Smoke::mf_static, 15, 6},	//6 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {1, 78, 10, 3, 0, 121, 7},	//7 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {1, 66, 0, 0, Smoke::mf_const, 2, 8},	//8 Attica::BaseJob::metadata() const
    {1, 88, 0, 0, Smoke::mf_slot, 0, 9},	//9 Attica::BaseJob::start()
    {1, 33, 0, 0, Smoke::mf_slot, 0, 10},	//10 Attica::BaseJob::abort()
    {1, 54, 14, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//11 Attica::BaseJob::finished(Attica::BaseJob*)
    {1, 48, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//12 Attica::BaseJob::dataFinished()
    {1, 86, 16, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//13 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {1, 53, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 13, 14},	//14 Attica::BaseJob::executeRequest() [pure virtual]
    {1, 68, 18, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//15 Attica::BaseJob::parse(const QString&) [pure virtual]
    {1, 61, 0, 0, Smoke::mf_protected, 3, 16},	//16 Attica::BaseJob::internals()
    {1, 91, 1, 1, Smoke::mf_static, 15, 17},	//17 Attica::BaseJob::tr(const char*)
    {1, 95, 1, 1, Smoke::mf_static, 15, 18},	//18 Attica::BaseJob::trUtf8(const char*)
    {1, 89, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 114, 19},	//19 Attica::BaseJob::staticMetaObject() const
    {1, 99, 0, 0, Smoke::mf_dtor, 0, 20 },	//20 Attica::BaseJob::~BaseJob()
    {2, 65, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 1},	//21 Attica::GetJob::metaObject() const
    {2, 80, 1, 1, Smoke::mf_virtual, 124, 2},	//22 Attica::GetJob::qt_metacast(const char*)
    {2, 91, 3, 2, Smoke::mf_static, 15, 3},	//23 Attica::GetJob::tr(const char*, const char*)
    {2, 95, 3, 2, Smoke::mf_static, 15, 4},	//24 Attica::GetJob::trUtf8(const char*, const char*)
    {2, 91, 6, 3, Smoke::mf_static, 15, 5},	//25 Attica::GetJob::tr(const char*, const char*, int)
    {2, 95, 6, 3, Smoke::mf_static, 15, 6},	//26 Attica::GetJob::trUtf8(const char*, const char*, int)
    {2, 78, 10, 3, Smoke::mf_virtual, 121, 7},	//27 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {2, 91, 1, 1, Smoke::mf_static, 15, 8},	//28 Attica::GetJob::tr(const char*)
    {2, 95, 1, 1, Smoke::mf_static, 15, 9},	//29 Attica::GetJob::trUtf8(const char*)
    {2, 89, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 114, 10},	//30 Attica::GetJob::staticMetaObject() const
    {2, 100, 0, 0, Smoke::mf_dtor, 0, 11 },	//31 Attica::GetJob::~GetJob()
    {4, 58, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 10, 1},	//32 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {4, 59, 20, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 2},	//33 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {4, 62, 22, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 3},	//34 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 38, 22, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 4},	//35 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 82, 26, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 5},	//36 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {4, 56, 30, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 13, 6},	//37 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {4, 70, 32, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 13, 7},	//38 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {4, 70, 35, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 13, 8},	//39 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {4, 67, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 9},	//40 Attica::PlatformDependent::nam() [pure virtual]
    {4, 20, 0, 0, Smoke::mf_ctor, 3, 10},	//41 Attica::PlatformDependent::PlatformDependent()
    {4, 20, 38, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 11},	//42 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {4, 101, 0, 0, Smoke::mf_dtor, 0, 12 },	//43 Attica::PlatformDependent::~PlatformDependent()
    {5, 65, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 1},	//44 Attica::PostJob::metaObject() const
    {5, 80, 1, 1, Smoke::mf_virtual, 124, 2},	//45 Attica::PostJob::qt_metacast(const char*)
    {5, 91, 3, 2, Smoke::mf_static, 15, 3},	//46 Attica::PostJob::tr(const char*, const char*)
    {5, 95, 3, 2, Smoke::mf_static, 15, 4},	//47 Attica::PostJob::trUtf8(const char*, const char*)
    {5, 91, 6, 3, Smoke::mf_static, 15, 5},	//48 Attica::PostJob::tr(const char*, const char*, int)
    {5, 95, 6, 3, Smoke::mf_static, 15, 6},	//49 Attica::PostJob::trUtf8(const char*, const char*, int)
    {5, 78, 10, 3, Smoke::mf_virtual, 121, 7},	//50 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {5, 91, 1, 1, Smoke::mf_static, 15, 8},	//51 Attica::PostJob::tr(const char*)
    {5, 95, 1, 1, Smoke::mf_static, 15, 9},	//52 Attica::PostJob::trUtf8(const char*)
    {5, 89, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 114, 10},	//53 Attica::PostJob::staticMetaObject() const
    {5, 102, 0, 0, Smoke::mf_dtor, 0, 11 },	//54 Attica::PostJob::~PostJob()
    {7, 65, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 1},	//55 Attica::ProviderManager::metaObject() const
    {7, 80, 1, 1, Smoke::mf_virtual, 124, 2},	//56 Attica::ProviderManager::qt_metacast(const char*)
    {7, 91, 3, 2, Smoke::mf_static, 15, 3},	//57 Attica::ProviderManager::tr(const char*, const char*)
    {7, 95, 3, 2, Smoke::mf_static, 15, 4},	//58 Attica::ProviderManager::trUtf8(const char*, const char*)
    {7, 91, 6, 3, Smoke::mf_static, 15, 5},	//59 Attica::ProviderManager::tr(const char*, const char*, int)
    {7, 95, 6, 3, Smoke::mf_static, 15, 6},	//60 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {7, 78, 10, 3, Smoke::mf_virtual, 121, 7},	//61 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {7, 22, 0, 0, Smoke::mf_ctor, 5, 8},	//62 Attica::ProviderManager::ProviderManager()
    {7, 64, 0, 0, 0, 0, 9},	//63 Attica::ProviderManager::loadDefaultProviders()
    {7, 84, 40, 1, 0, 0, 10},	//64 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {7, 43, 0, 0, 0, 0, 11},	//65 Attica::ProviderManager::clear()
    {7, 36, 18, 1, 0, 0, 12},	//66 Attica::ProviderManager::addProviderFromXml(const QString&)
    {7, 34, 20, 1, 0, 0, 13},	//67 Attica::ProviderManager::addProviderFile(const QUrl&)
    {7, 76, 0, 0, Smoke::mf_const, 10, 14},	//68 Attica::ProviderManager::providerFiles() const
    {7, 77, 0, 0, Smoke::mf_const, 9, 15},	//69 Attica::ProviderManager::providers() const
    {7, 45, 18, 1, Smoke::mf_const, 109, 16},	//70 Attica::ProviderManager::contains(const QString&) const
    {7, 74, 20, 1, Smoke::mf_const, 4, 17},	//71 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {7, 72, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//72 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {7, 49, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//73 Attica::ProviderManager::defaultProvidersLoaded()
    {7, 40, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//74 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {7, 91, 1, 1, Smoke::mf_static, 15, 21},	//75 Attica::ProviderManager::tr(const char*)
    {7, 95, 1, 1, Smoke::mf_static, 15, 22},	//76 Attica::ProviderManager::trUtf8(const char*)
    {7, 89, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 114, 23},	//77 Attica::ProviderManager::staticMetaObject() const
    {7, 103, 0, 0, Smoke::mf_dtor, 0, 24 },	//78 Attica::ProviderManager::~ProviderManager()
    {11, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 1},	//79 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {11, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 2},	//80 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {11, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 3},	//81 QGlobalSpace::Q_STATIC_TYPE (enum)
    {11, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 4},	//82 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {11, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 5},	//83 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 6},	//84 QGlobalSpace::LicensedQt3Support (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 7},	//85 QGlobalSpace::LicensedDeclarative (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 8},	//86 QGlobalSpace::LicensedSql (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 9},	//87 QGlobalSpace::LicensedOpenGL (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 10},	//88 QGlobalSpace::LicensedDBus (enum)
    {11, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 11},	//89 QGlobalSpace::LicensedXml (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 12},	//90 QGlobalSpace::LicensedGui (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 13},	//91 QGlobalSpace::LicensedQt3SupportLight (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 14},	//92 QGlobalSpace::LicensedHelp (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//93 QGlobalSpace::LicensedNetwork (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 16},	//94 QGlobalSpace::LicensedMultimedia (enum)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 17},	//95 QGlobalSpace::LicensedActiveQt (enum)
    {11, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 18},	//96 QGlobalSpace::LicensedSvg (enum)
    {11, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 19},	//97 QGlobalSpace::LicensedXmlPatterns (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 20},	//98 QGlobalSpace::LicensedOpenVG (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//99 QGlobalSpace::LicensedScriptTools (enum)
    {11, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 22},	//100 QGlobalSpace::QtDebugMsg (enum)
    {11, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 23},	//101 QGlobalSpace::QtWarningMsg (enum)
    {11, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 24},	//102 QGlobalSpace::QtCriticalMsg (enum)
    {11, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 25},	//103 QGlobalSpace::QtFatalMsg (enum)
    {11, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 26},	//104 QGlobalSpace::QtSystemMsg (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 27},	//105 QGlobalSpace::LicensedScript (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 28},	//106 QGlobalSpace::LicensedCore (enum)
    {11, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 29},	//107 QGlobalSpace::LicensedTest (enum)
    {17, 51, 44, 1, Smoke::mf_virtual, 109, 0},	//108 QObject::event(QEvent*)
    {17, 52, 46, 2, Smoke::mf_virtual, 109, 0},	//109 QObject::eventFilter(QObject*, QEvent*)
    {17, 90, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//110 QObject::timerEvent(QTimerEvent*)
    {17, 42, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//111 QObject::childEvent(QChildEvent*)
    {17, 47, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//112 QObject::customEvent(QEvent*)
    {17, 44, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 QObject::connectNotify(const char*)
    {17, 50, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//114 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    38,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    39,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 33, 10},	// Attica::BaseJob::abort
    {1, 48, 12},	// Attica::BaseJob::dataFinished
    {1, 53, 14},	// Attica::BaseJob::executeRequest
    {1, 55, 11},	// Attica::BaseJob::finished#
    {1, 61, 16},	// Attica::BaseJob::internals
    {1, 65, 1},	// Attica::BaseJob::metaObject
    {1, 66, 8},	// Attica::BaseJob::metadata
    {1, 69, 15},	// Attica::BaseJob::parse$
    {1, 79, 7},	// Attica::BaseJob::qt_metacall$$?
    {1, 81, 2},	// Attica::BaseJob::qt_metacast$
    {1, 87, 13},	// Attica::BaseJob::setMetadata#
    {1, 88, 9},	// Attica::BaseJob::start
    {1, 89, 19},	// Attica::BaseJob::staticMetaObject
    {1, 92, 17},	// Attica::BaseJob::tr$
    {1, 93, 3},	// Attica::BaseJob::tr$$
    {1, 94, 5},	// Attica::BaseJob::tr$$$
    {1, 96, 18},	// Attica::BaseJob::trUtf8$
    {1, 97, 4},	// Attica::BaseJob::trUtf8$$
    {1, 98, 6},	// Attica::BaseJob::trUtf8$$$
    {1, 99, 20},	// Attica::BaseJob::~BaseJob
    {2, 65, 21},	// Attica::GetJob::metaObject
    {2, 79, 27},	// Attica::GetJob::qt_metacall$$?
    {2, 81, 22},	// Attica::GetJob::qt_metacast$
    {2, 89, 30},	// Attica::GetJob::staticMetaObject
    {2, 92, 28},	// Attica::GetJob::tr$
    {2, 93, 23},	// Attica::GetJob::tr$$
    {2, 94, 25},	// Attica::GetJob::tr$$$
    {2, 96, 29},	// Attica::GetJob::trUtf8$
    {2, 97, 24},	// Attica::GetJob::trUtf8$$
    {2, 98, 26},	// Attica::GetJob::trUtf8$$$
    {2, 100, 31},	// Attica::GetJob::~GetJob
    {4, 20, 41},	// Attica::PlatformDependent::PlatformDependent
    {4, 21, 42},	// Attica::PlatformDependent::PlatformDependent#
    {4, 39, 35},	// Attica::PlatformDependent::askForCredentials#$$
    {4, 57, 37},	// Attica::PlatformDependent::get#
    {4, 58, 32},	// Attica::PlatformDependent::getDefaultProviderFiles
    {4, 60, 33},	// Attica::PlatformDependent::hasCredentials#
    {4, 63, 34},	// Attica::PlatformDependent::loadCredentials#$$
    {4, 67, 40},	// Attica::PlatformDependent::nam
    {4, 71, -1},	// Attica::PlatformDependent::post##
    {4, 83, 36},	// Attica::PlatformDependent::saveCredentials#$$
    {4, 101, 43},	// Attica::PlatformDependent::~PlatformDependent
    {5, 65, 44},	// Attica::PostJob::metaObject
    {5, 79, 50},	// Attica::PostJob::qt_metacall$$?
    {5, 81, 45},	// Attica::PostJob::qt_metacast$
    {5, 89, 53},	// Attica::PostJob::staticMetaObject
    {5, 92, 51},	// Attica::PostJob::tr$
    {5, 93, 46},	// Attica::PostJob::tr$$
    {5, 94, 48},	// Attica::PostJob::tr$$$
    {5, 96, 52},	// Attica::PostJob::trUtf8$
    {5, 97, 47},	// Attica::PostJob::trUtf8$$
    {5, 98, 49},	// Attica::PostJob::trUtf8$$$
    {5, 102, 54},	// Attica::PostJob::~PostJob
    {7, 22, 62},	// Attica::ProviderManager::ProviderManager
    {7, 35, 67},	// Attica::ProviderManager::addProviderFile#
    {7, 37, 66},	// Attica::ProviderManager::addProviderFromXml$
    {7, 41, 74},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {7, 43, 65},	// Attica::ProviderManager::clear
    {7, 46, 70},	// Attica::ProviderManager::contains$
    {7, 49, 73},	// Attica::ProviderManager::defaultProvidersLoaded
    {7, 64, 63},	// Attica::ProviderManager::loadDefaultProviders
    {7, 65, 55},	// Attica::ProviderManager::metaObject
    {7, 73, 72},	// Attica::ProviderManager::providerAdded#
    {7, 75, 71},	// Attica::ProviderManager::providerByUrl#
    {7, 76, 68},	// Attica::ProviderManager::providerFiles
    {7, 77, 69},	// Attica::ProviderManager::providers
    {7, 79, 61},	// Attica::ProviderManager::qt_metacall$$?
    {7, 81, 56},	// Attica::ProviderManager::qt_metacast$
    {7, 85, 64},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {7, 89, 77},	// Attica::ProviderManager::staticMetaObject
    {7, 92, 75},	// Attica::ProviderManager::tr$
    {7, 93, 57},	// Attica::ProviderManager::tr$$
    {7, 94, 59},	// Attica::ProviderManager::tr$$$
    {7, 96, 76},	// Attica::ProviderManager::trUtf8$
    {7, 97, 58},	// Attica::ProviderManager::trUtf8$$
    {7, 98, 60},	// Attica::ProviderManager::trUtf8$$$
    {7, 103, 78},	// Attica::ProviderManager::~ProviderManager
    {11, 1, 95},	// QGlobalSpace::LicensedActiveQt
    {11, 2, 106},	// QGlobalSpace::LicensedCore
    {11, 3, 88},	// QGlobalSpace::LicensedDBus
    {11, 4, 85},	// QGlobalSpace::LicensedDeclarative
    {11, 5, 90},	// QGlobalSpace::LicensedGui
    {11, 6, 92},	// QGlobalSpace::LicensedHelp
    {11, 7, 94},	// QGlobalSpace::LicensedMultimedia
    {11, 8, 93},	// QGlobalSpace::LicensedNetwork
    {11, 9, 87},	// QGlobalSpace::LicensedOpenGL
    {11, 10, 98},	// QGlobalSpace::LicensedOpenVG
    {11, 11, 84},	// QGlobalSpace::LicensedQt3Support
    {11, 12, 91},	// QGlobalSpace::LicensedQt3SupportLight
    {11, 13, 105},	// QGlobalSpace::LicensedScript
    {11, 14, 99},	// QGlobalSpace::LicensedScriptTools
    {11, 15, 86},	// QGlobalSpace::LicensedSql
    {11, 16, 96},	// QGlobalSpace::LicensedSvg
    {11, 17, 107},	// QGlobalSpace::LicensedTest
    {11, 18, 89},	// QGlobalSpace::LicensedXml
    {11, 19, 97},	// QGlobalSpace::LicensedXmlPatterns
    {11, 23, 79},	// QGlobalSpace::Q_COMPLEX_TYPE
    {11, 24, 83},	// QGlobalSpace::Q_DUMMY_TYPE
    {11, 25, 82},	// QGlobalSpace::Q_MOVABLE_TYPE
    {11, 26, 80},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {11, 27, 81},	// QGlobalSpace::Q_STATIC_TYPE
    {11, 28, 102},	// QGlobalSpace::QtCriticalMsg
    {11, 29, 100},	// QGlobalSpace::QtDebugMsg
    {11, 30, 103},	// QGlobalSpace::QtFatalMsg
    {11, 31, 104},	// QGlobalSpace::QtSystemMsg
    {11, 32, 101},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 19,
        __smokeattica::methods, 115,
        __smokeattica::methodMaps, 107,
        __smokeattica::methodNames, 103,
        __smokeattica::types, 126,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
