#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OptionalTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 17: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 35: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Result
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 24: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Resource
      switch(to) {
        case 25: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Class
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 26: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Entity
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Types::Property
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 28: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Variant
      switch(to) {
        case 29: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 30:   //QBool
      switch(to) {
        case 30: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QObject
      switch(to) {
        case 35: return (void*)(QObject*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 36:   //QRegExp
      switch(to) {
        case 36: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 37:   //QTimerEvent
      switch(to) {
        case 37: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::BindingSet
      switch(to) {
        case 38: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::LanguageTag
      switch(to) {
        case 39: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::LiteralValue
      switch(to) {
        case 40: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Node
      switch(to) {
        case 41: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    22, 0,	// 3: Nepomuk::Query::SimpleTerm
    15, 0,	// 5: Nepomuk::Query::Query
    23, 0,	// 7: Nepomuk::Query::Term
    35, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__FileQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__QueryParser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OptionalTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, xenum_Nepomuk__Query__FileQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OptionalTerm", false, 3, xcall_Nepomuk__Query__OptionalTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OptionalTerm) },	//13
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//14
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//15
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//16
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, xenum_Nepomuk__Query__QueryParser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//17
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//18
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//19
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//20
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//21
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//22
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//23
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//27
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//28
    { "Nepomuk::Variant", true, 0, 0, 0, 0, 0 },	//29
    { "QBool", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QObject", true, 0, 0, 0, 0, 0 },	//35
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//36
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//38
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//39
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//40
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//41
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::AggregateFunction", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::Query::FileQuery::FileMode", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "Nepomuk::Query::FileQuery::FileModeFlags", 9, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//23
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//26
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//27
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Query::OptionalTerm", 13, Smoke::t_class|Smoke::tf_stack },	//29
    { "Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//30
    { "Nepomuk::Query::OptionalTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Query::OrTerm", 14, Smoke::t_class|Smoke::tf_stack },	//32
    { "Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref },	//33
    { "Nepomuk::Query::OrTerm*", 14, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Nepomuk::Query::Query", 15, Smoke::t_class|Smoke::tf_stack },	//35
    { "Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref },	//36
    { "Nepomuk::Query::Query*", 15, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref },	//38
    { "Nepomuk::Query::Query::RequestProperty*", 16, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Nepomuk::Query::Query::SparqlFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Nepomuk::Query::Query::SparqlFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "Nepomuk::Query::QueryParser*", 17, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::Query::QueryParser::ParserFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Nepomuk::Query::QueryParser::ParserFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "Nepomuk::Query::QueryServiceClient*", 18, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Query::ResourceTerm", 19, Smoke::t_class|Smoke::tf_stack },	//46
    { "Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//47
    { "Nepomuk::Query::ResourceTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Nepomuk::Query::ResourceTypeTerm", 20, Smoke::t_class|Smoke::tf_stack },	//49
    { "Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref },	//50
    { "Nepomuk::Query::ResourceTypeTerm*", 20, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "Nepomuk::Query::Result*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Nepomuk::Query::SimpleTerm*", 22, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//55
    { "Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref },	//56
    { "Nepomuk::Query::Term*", 23, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Nepomuk::Query::Term::Type", 23, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Nepomuk::Query::TermPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Nepomuk::Resource", 25, Smoke::t_class|Smoke::tf_stack },	//60
    { "Nepomuk::Types::Class", 26, Smoke::t_class|Smoke::tf_stack },	//61
    { "Nepomuk::Types::Property", 28, Smoke::t_class|Smoke::tf_stack },	//62
    { "Nepomuk::Variant", 29, Smoke::t_class|Smoke::tf_stack },	//63
    { "QBool", 30, Smoke::t_class|Smoke::tf_stack },	//64
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QList<Nepomuk::Query::Result>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QObject*", 35, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QRegExp&", 36, Smoke::t_class|Smoke::tf_ref },	//75
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//78
    { "QTimerEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QtValidLicenseForActiveQtModule", 33, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QtValidLicenseForCoreModule", 33, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QtValidLicenseForDBusModule", 33, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtValidLicenseForDeclarativeModule", 33, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QtValidLicenseForGuiModule", 33, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QtValidLicenseForHelpModule", 33, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QtValidLicenseForMultimediaModule", 33, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtValidLicenseForNetworkModule", 33, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtValidLicenseForOpenGLModule", 33, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QtValidLicenseForOpenVGModule", 33, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QtValidLicenseForQt3SupportLightModule", 33, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QtValidLicenseForQt3SupportModule", 33, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QtValidLicenseForScriptModule", 33, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QtValidLicenseForScriptToolsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QtValidLicenseForSqlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtValidLicenseForSvgModule", 33, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtValidLicenseForTestModule", 33, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtValidLicenseForXmlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QtValidLicenseForXmlPatternsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Soprano::BindingSet", 38, Smoke::t_class|Smoke::tf_stack },	//171
    { "Soprano::LiteralValue", 40, Smoke::t_class|Smoke::tf_stack },	//172
    { "Soprano::Node", 41, Smoke::t_class|Smoke::tf_stack },	//173
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//174
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//175
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//176
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Nepomuk::Query::QueryParser&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Nepomuk::Query::SimpleTerm&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Nepomuk::Resource&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Nepomuk::Types::Class&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Nepomuk::Types::Entity&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Nepomuk::Types::Property&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "const QObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//207
    { "const QRegExp&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const Soprano::BindingSet&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Soprano::LanguageTag&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Soprano::LiteralValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Soprano::Node&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//217
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//218
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//219
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//220
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//223
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    195, 0,	//1  const Nepomuk::Query::Term&
    188, 0,	//3  const Nepomuk::Query::Query&
    180, 0,	//5  const Nepomuk::Query::AndTerm&
    195, 195, 195, 195, 195, 195, 0,	//7  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    203, 0,	//14  const QList<Nepomuk::Query::Term>&
    195, 195, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    195, 195, 195, 0,	//19  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    195, 195, 195, 195, 0,	//23  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    195, 195, 195, 195, 195, 0,	//28  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    181, 0,	//34  const Nepomuk::Query::ComparisonTerm&
    199, 195, 17, 0,	//36  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    17, 0,	//40  Nepomuk::Query::ComparisonTerm::Comparator
    199, 0,	//42  const Nepomuk::Types::Property&
    209, 0,	//44  const QString&
    16, 0,	//46  Nepomuk::Query::ComparisonTerm::AggregateFunction
    218, 133, 0,	//48  int, Qt::SortOrder
    175, 0,	//51  bool
    199, 195, 0,	//53  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    218, 0,	//56  int
    178, 0,	//58  const KUrl&
    179, 0,	//60  const KUrl::List&
    20, 0,	//62  Nepomuk::Query::FileQuery::FileMode
    182, 0,	//64  const Nepomuk::Query::FileQuery&
    59, 0,	//66  Nepomuk::Query::TermPrivate*
    59, 195, 195, 195, 195, 195, 195, 0,	//68  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    183, 0,	//76  const Nepomuk::Query::GroupTerm&
    59, 195, 195, 0,	//78  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    59, 195, 195, 195, 0,	//82  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    59, 195, 195, 195, 195, 0,	//87  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    59, 195, 195, 195, 195, 195, 0,	//93  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    184, 0,	//100  const Nepomuk::Query::LiteralTerm&
    213, 0,	//102  const Soprano::LiteralValue&
    185, 0,	//104  const Nepomuk::Query::NegationTerm&
    186, 0,	//106  const Nepomuk::Query::OptionalTerm&
    187, 0,	//108  const Nepomuk::Query::OrTerm&
    189, 0,	//110  const Nepomuk::Query::Query::RequestProperty&
    201, 0,	//112  const QList<Nepomuk::Query::Query::RequestProperty>&
    41, 0,	//114  Nepomuk::Query::Query::SparqlFlags
    209, 41, 0,	//116  const QString&, Nepomuk::Query::Query::SparqlFlags
    199, 175, 0,	//119  const Nepomuk::Types::Property&, bool
    209, 44, 0,	//122  const QString&, Nepomuk::Query::QueryParser::ParserFlags
    190, 0,	//125  const Nepomuk::Query::QueryParser&
    215, 0,	//127  const char*
    215, 215, 0,	//129  const char*, const char*
    215, 215, 218, 0,	//132  const char*, const char*, int
    73, 218, 222, 0,	//136  QMetaObject::Call, int, void**
    74, 0,	//140  QObject*
    188, 176, 0,	//142  const Nepomuk::Query::Query&, bool*
    209, 200, 176, 0,	//145  const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*
    209, 176, 0,	//149  const QString&, bool*
    209, 200, 0,	//152  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    202, 0,	//155  const QList<Nepomuk::Query::Result>&
    204, 0,	//157  const QList<QUrl>&
    191, 0,	//159  const Nepomuk::Query::ResourceTerm&
    196, 0,	//161  const Nepomuk::Resource&
    192, 0,	//163  const Nepomuk::Query::ResourceTypeTerm&
    197, 0,	//165  const Nepomuk::Types::Class&
    196, 217, 0,	//167  const Nepomuk::Resource&, double
    193, 0,	//170  const Nepomuk::Query::Result&
    217, 0,	//172  double
    199, 214, 0,	//174  const Nepomuk::Types::Property&, const Soprano::Node&
    211, 0,	//177  const Soprano::BindingSet&
    194, 0,	//179  const Nepomuk::Query::SimpleTerm&
    66, 0,	//181  QEvent*
    74, 66, 0,	//183  QObject*, QEvent*
    79, 0,	//186  QTimerEvent*
    65, 0,	//188  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Average",	//10
    "Comparison",	//11
    "ComparisonTerm",	//12
    "ComparisonTerm#",	//13
    "ComparisonTerm##",	//14
    "ComparisonTerm##$",	//15
    "Contains",	//16
    "Count",	//17
    "CreateCountQuery",	//18
    "DistinctAverage",	//19
    "DistinctCount",	//20
    "DistinctSum",	//21
    "Equal",	//22
    "FileQuery",	//23
    "FileQuery#",	//24
    "Greater",	//25
    "GreaterOrEqual",	//26
    "GroupTerm",	//27
    "GroupTerm#",	//28
    "GroupTerm###",	//29
    "GroupTerm####",	//30
    "GroupTerm#####",	//31
    "GroupTerm######",	//32
    "GroupTerm#######",	//33
    "HandleInverseProperties",	//34
    "Invalid",	//35
    "LicensedActiveQt",	//36
    "LicensedCore",	//37
    "LicensedDBus",	//38
    "LicensedDeclarative",	//39
    "LicensedGui",	//40
    "LicensedHelp",	//41
    "LicensedMultimedia",	//42
    "LicensedNetwork",	//43
    "LicensedOpenGL",	//44
    "LicensedOpenVG",	//45
    "LicensedQt3Support",	//46
    "LicensedQt3SupportLight",	//47
    "LicensedScript",	//48
    "LicensedScriptTools",	//49
    "LicensedSql",	//50
    "LicensedSvg",	//51
    "LicensedTest",	//52
    "LicensedXml",	//53
    "LicensedXmlPatterns",	//54
    "Literal",	//55
    "LiteralTerm",	//56
    "LiteralTerm#",	//57
    "Max",	//58
    "Min",	//59
    "Negation",	//60
    "NegationTerm",	//61
    "NegationTerm#",	//62
    "NoAggregateFunction",	//63
    "NoFlags",	//64
    "NoParserFlags",	//65
    "Optional",	//66
    "OptionalTerm",	//67
    "OptionalTerm#",	//68
    "Or",	//69
    "OrTerm",	//70
    "OrTerm#",	//71
    "OrTerm##",	//72
    "OrTerm###",	//73
    "OrTerm####",	//74
    "OrTerm#####",	//75
    "OrTerm######",	//76
    "OrTerm?",	//77
    "Q_COMPLEX_TYPE",	//78
    "Q_DUMMY_TYPE",	//79
    "Q_MOVABLE_TYPE",	//80
    "Q_PRIMITIVE_TYPE",	//81
    "Q_STATIC_TYPE",	//82
    "QtCriticalMsg",	//83
    "QtDebugMsg",	//84
    "QtFatalMsg",	//85
    "QtSystemMsg",	//86
    "QtWarningMsg",	//87
    "Query",	//88
    "Query#",	//89
    "QueryFiles",	//90
    "QueryFilesAndFolders",	//91
    "QueryFolders",	//92
    "QueryParser",	//93
    "QueryParser#",	//94
    "QueryServiceClient",	//95
    "QueryServiceClient#",	//96
    "QueryTermGlobbing",	//97
    "Regexp",	//98
    "RequestProperty",	//99
    "RequestProperty#",	//100
    "RequestProperty#$",	//101
    "Resource",	//102
    "ResourceTerm",	//103
    "ResourceTerm#",	//104
    "ResourceType",	//105
    "ResourceTypeTerm",	//106
    "ResourceTypeTerm#",	//107
    "Result",	//108
    "Result#",	//109
    "Result#$",	//110
    "SimpleTerm",	//111
    "SimpleTerm#",	//112
    "Smaller",	//113
    "SmallerOrEqual",	//114
    "Sum",	//115
    "Term",	//116
    "Term#",	//117
    "__codecvt_error",	//118
    "__codecvt_noconv",	//119
    "__codecvt_ok",	//120
    "__codecvt_partial",	//121
    "addExcludeFolder",	//122
    "addExcludeFolder#",	//123
    "addIncludeFolder",	//124
    "addIncludeFolder#",	//125
    "addRequestProperty",	//126
    "addRequestProperty#",	//127
    "addRequestProperty##",	//128
    "addSubTerm",	//129
    "addSubTerm#",	//130
    "additionalBinding",	//131
    "additionalBinding$",	//132
    "additionalBindings",	//133
    "aggregateFunction",	//134
    "blockingDesktopQuery",	//135
    "blockingDesktopQuery$",	//136
    "blockingQuery",	//137
    "blockingQuery#",	//138
    "blockingSparqlQuery",	//139
    "blockingSparqlQuery$",	//140
    "blockingSparqlQuery$?",	//141
    "childEvent",	//142
    "close",	//143
    "comparator",	//144
    "connectNotify",	//145
    "customEvent",	//146
    "desktopQuery",	//147
    "desktopQuery$",	//148
    "disconnectNotify",	//149
    "entriesRemoved",	//150
    "entriesRemoved?",	//151
    "event",	//152
    "eventFilter",	//153
    "excludeFolders",	//154
    "fileMode",	//155
    "finishedListing",	//156
    "fromQueryUrl",	//157
    "fromQueryUrl#",	//158
    "fromString",	//159
    "fromString$",	//160
    "includeFolders",	//161
    "inverted",	//162
    "isAndTerm",	//163
    "isComparisonTerm",	//164
    "isFileQuery",	//165
    "isInverted",	//166
    "isLiteralTerm",	//167
    "isNegationTerm",	//168
    "isOptionalTerm",	//169
    "isOrTerm",	//170
    "isResourceTerm",	//171
    "isResourceTypeTerm",	//172
    "isValid",	//173
    "limit",	//174
    "matchProperty",	//175
    "matchProperty$",	//176
    "metaObject",	//177
    "negateTerm",	//178
    "negateTerm#",	//179
    "newEntries",	//180
    "newEntries?",	//181
    "offset",	//182
    "operator=",	//183
    "operator=#",	//184
    "operator==",	//185
    "operator==#",	//186
    "operator[]",	//187
    "operator[]#",	//188
    "optional",	//189
    "optionalizeTerm",	//190
    "optionalizeTerm#",	//191
    "parse",	//192
    "parse$",	//193
    "parse$$",	//194
    "parseQuery",	//195
    "parseQuery$",	//196
    "property",	//197
    "qHash",	//198
    "qHash#",	//199
    "qt_metacall",	//200
    "qt_metacall$$?",	//201
    "qt_metacast",	//202
    "qt_metacast$",	//203
    "query",	//204
    "query#",	//205
    "requestProperties",	//206
    "requestProperty",	//207
    "requestProperty#",	//208
    "requestPropertyMap",	//209
    "resource",	//210
    "score",	//211
    "serviceAvailable",	//212
    "setAdditionalBindings",	//213
    "setAdditionalBindings#",	//214
    "setAggregateFunction",	//215
    "setAggregateFunction$",	//216
    "setComparator",	//217
    "setComparator$",	//218
    "setExcludeFolders",	//219
    "setExcludeFolders?",	//220
    "setFileMode",	//221
    "setFileMode$",	//222
    "setIncludeFolders",	//223
    "setIncludeFolders?",	//224
    "setInverted",	//225
    "setInverted$",	//226
    "setLimit",	//227
    "setLimit$",	//228
    "setOffset",	//229
    "setOffset$",	//230
    "setProperty",	//231
    "setProperty#",	//232
    "setRequestProperties",	//233
    "setRequestProperties?",	//234
    "setResource",	//235
    "setResource#",	//236
    "setScore",	//237
    "setScore$",	//238
    "setSortWeight",	//239
    "setSortWeight$",	//240
    "setSortWeight$$",	//241
    "setSubTerm",	//242
    "setSubTerm#",	//243
    "setSubTerms",	//244
    "setSubTerms?",	//245
    "setTerm",	//246
    "setTerm#",	//247
    "setType",	//248
    "setType#",	//249
    "setValue",	//250
    "setValue#",	//251
    "setVariableName",	//252
    "setVariableName$",	//253
    "sortOrder",	//254
    "sortWeight",	//255
    "sparqlFromQueryUrl",	//256
    "sparqlFromQueryUrl#",	//257
    "sparqlQuery",	//258
    "sparqlQuery$",	//259
    "sparqlQuery$?",	//260
    "staticMetaObject",	//261
    "subTerm",	//262
    "subTerms",	//263
    "syncDesktopQuery",	//264
    "syncDesktopQuery$",	//265
    "syncDesktopQuery$$",	//266
    "syncQuery",	//267
    "syncQuery#",	//268
    "syncQuery#$",	//269
    "syncSparqlQuery",	//270
    "syncSparqlQuery$",	//271
    "syncSparqlQuery$?",	//272
    "syncSparqlQuery$?$",	//273
    "term",	//274
    "timerEvent",	//275
    "titleFromQueryUrl",	//276
    "titleFromQueryUrl#",	//277
    "toAndTerm",	//278
    "toComparisonTerm",	//279
    "toLiteralTerm",	//280
    "toNegationTerm",	//281
    "toOptionalTerm",	//282
    "toOrTerm",	//283
    "toResourceTerm",	//284
    "toResourceTypeTerm",	//285
    "toSearchUrl",	//286
    "toSearchUrl$",	//287
    "toSearchUrl$$",	//288
    "toSparqlQuery",	//289
    "toSparqlQuery$",	//290
    "toString",	//291
    "tr",	//292
    "tr$",	//293
    "tr$$",	//294
    "tr$$$",	//295
    "trUtf8",	//296
    "trUtf8$",	//297
    "trUtf8$$",	//298
    "trUtf8$$$",	//299
    "type",	//300
    "value",	//301
    "variableName",	//302
    "~AndTerm",	//303
    "~ComparisonTerm",	//304
    "~FileQuery",	//305
    "~GroupTerm",	//306
    "~LiteralTerm",	//307
    "~NegationTerm",	//308
    "~OptionalTerm",	//309
    "~OrTerm",	//310
    "~Query",	//311
    "~QueryParser",	//312
    "~QueryServiceClient",	//313
    "~RequestProperty",	//314
    "~ResourceTerm",	//315
    "~ResourceTypeTerm",	//316
    "~Result",	//317
    "~SimpleTerm",	//318
    "~Term",	//319
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 198, 1, 1, Smoke::mf_static, 220, 1},	//1 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 198, 3, 1, Smoke::mf_static, 220, 2},	//2 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//3 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//4 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 7, 6, Smoke::mf_ctor, 12, 3},	//5 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 14, 1, Smoke::mf_ctor, 12, 4},	//6 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 183, 5, 1, 0, 11, 5},	//7 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 2, Smoke::mf_ctor, 12, 6},	//8 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 19, 3, Smoke::mf_ctor, 12, 7},	//9 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 4, Smoke::mf_ctor, 12, 8},	//10 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 28, 5, Smoke::mf_ctor, 12, 9},	//11 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 303, 0, 0, Smoke::mf_dtor, 0, 10 },	//12 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 12, 0, 0, Smoke::mf_ctor, 15, 1},	//13 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 12, 34, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//14 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 12, 36, 3, Smoke::mf_ctor, 15, 3},	//15 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 183, 34, 1, 0, 14, 4},	//16 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 144, 0, 0, Smoke::mf_const, 17, 5},	//17 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 197, 0, 0, Smoke::mf_const, 62, 6},	//18 Nepomuk::Query::ComparisonTerm::property() const
    {8, 217, 40, 1, 0, 0, 7},	//19 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 231, 42, 1, 0, 0, 8},	//20 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 252, 44, 1, 0, 0, 9},	//21 Nepomuk::Query::ComparisonTerm::setVariableName(const QString&)
    {8, 302, 0, 0, Smoke::mf_const, 76, 10},	//22 Nepomuk::Query::ComparisonTerm::variableName() const
    {8, 215, 46, 1, 0, 0, 11},	//23 Nepomuk::Query::ComparisonTerm::setAggregateFunction(Nepomuk::Query::ComparisonTerm::AggregateFunction)
    {8, 134, 0, 0, Smoke::mf_const, 16, 12},	//24 Nepomuk::Query::ComparisonTerm::aggregateFunction() const
    {8, 239, 48, 2, 0, 0, 13},	//25 Nepomuk::Query::ComparisonTerm::setSortWeight(int, Qt::SortOrder)
    {8, 255, 0, 0, Smoke::mf_const, 218, 14},	//26 Nepomuk::Query::ComparisonTerm::sortWeight() const
    {8, 254, 0, 0, Smoke::mf_const, 133, 15},	//27 Nepomuk::Query::ComparisonTerm::sortOrder() const
    {8, 166, 0, 0, Smoke::mf_const, 175, 16},	//28 Nepomuk::Query::ComparisonTerm::isInverted() const
    {8, 225, 51, 1, 0, 0, 17},	//29 Nepomuk::Query::ComparisonTerm::setInverted(bool)
    {8, 162, 0, 0, Smoke::mf_const, 13, 18},	//30 Nepomuk::Query::ComparisonTerm::inverted() const
    {8, 12, 53, 2, Smoke::mf_ctor, 15, 19},	//31 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 239, 56, 1, 0, 0, 20},	//32 Nepomuk::Query::ComparisonTerm::setSortWeight(int)
    {8, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 21},	//33 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 22},	//34 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 23},	//35 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 24},	//36 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 25},	//37 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//38 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//39 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//40 Nepomuk::Query::ComparisonTerm::NoAggregateFunction (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 29},	//41 Nepomuk::Query::ComparisonTerm::Count (enum)
    {8, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 30},	//42 Nepomuk::Query::ComparisonTerm::DistinctCount (enum)
    {8, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 31},	//43 Nepomuk::Query::ComparisonTerm::Max (enum)
    {8, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 32},	//44 Nepomuk::Query::ComparisonTerm::Min (enum)
    {8, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 33},	//45 Nepomuk::Query::ComparisonTerm::Sum (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 34},	//46 Nepomuk::Query::ComparisonTerm::DistinctSum (enum)
    {8, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 35},	//47 Nepomuk::Query::ComparisonTerm::Average (enum)
    {8, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 36},	//48 Nepomuk::Query::ComparisonTerm::DistinctAverage (enum)
    {8, 304, 0, 0, Smoke::mf_dtor, 0, 37 },	//49 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 23, 0, 0, Smoke::mf_ctor, 19, 1},	//50 Nepomuk::Query::FileQuery::FileQuery()
    {9, 23, 1, 1, Smoke::mf_ctor, 19, 2},	//51 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    {9, 23, 3, 1, Smoke::mf_ctor, 19, 3},	//52 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 183, 3, 1, 0, 18, 4},	//53 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 124, 58, 1, 0, 0, 5},	//54 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 223, 60, 1, 0, 0, 6},	//55 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 161, 0, 0, Smoke::mf_const, 8, 7},	//56 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 122, 58, 1, 0, 0, 8},	//57 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 219, 60, 1, 0, 0, 9},	//58 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 154, 0, 0, Smoke::mf_const, 8, 10},	//59 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 221, 62, 1, 0, 0, 11},	//60 Nepomuk::Query::FileQuery::setFileMode(Nepomuk::Query::FileQuery::FileMode)
    {9, 155, 0, 0, Smoke::mf_const, 20, 12},	//61 Nepomuk::Query::FileQuery::fileMode() const
    {9, 23, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 13},	//62 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 14},	//63 Nepomuk::Query::FileQuery::QueryFiles (enum)
    {9, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 15},	//64 Nepomuk::Query::FileQuery::QueryFolders (enum)
    {9, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 16},	//65 Nepomuk::Query::FileQuery::QueryFilesAndFolders (enum)
    {9, 305, 0, 0, Smoke::mf_dtor, 0, 17 },	//66 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 263, 0, 0, Smoke::mf_const, 71, 1},	//67 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 244, 14, 1, 0, 0, 2},	//68 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 129, 1, 1, 0, 0, 3},	//69 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 27, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 4},	//70 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 27, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 5},	//71 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 27, 68, 7, Smoke::mf_ctor|Smoke::mf_protected, 22, 6},	//72 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 7},	//73 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 27, 78, 3, Smoke::mf_ctor|Smoke::mf_protected, 22, 8},	//74 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 82, 4, Smoke::mf_ctor|Smoke::mf_protected, 22, 9},	//75 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 87, 5, Smoke::mf_ctor|Smoke::mf_protected, 22, 10},	//76 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 93, 6, Smoke::mf_ctor|Smoke::mf_protected, 22, 11},	//77 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 306, 0, 0, Smoke::mf_dtor, 0, 12 },	//78 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 56, 100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 1},	//79 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 56, 102, 1, Smoke::mf_ctor, 25, 2},	//80 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 183, 100, 1, 0, 24, 3},	//81 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 301, 0, 0, Smoke::mf_const, 172, 4},	//82 Nepomuk::Query::LiteralTerm::value() const
    {11, 250, 102, 1, 0, 0, 5},	//83 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 56, 0, 0, Smoke::mf_ctor, 25, 6},	//84 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 307, 0, 0, Smoke::mf_dtor, 0, 7 },	//85 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 61, 0, 0, Smoke::mf_ctor, 28, 1},	//86 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 61, 104, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//87 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 183, 104, 1, 0, 27, 3},	//88 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 178, 1, 1, Smoke::mf_static, 55, 4},	//89 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 308, 0, 0, Smoke::mf_dtor, 0, 5 },	//90 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 67, 0, 0, Smoke::mf_ctor, 31, 1},	//91 Nepomuk::Query::OptionalTerm::OptionalTerm()
    {13, 67, 106, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//92 Nepomuk::Query::OptionalTerm::OptionalTerm(const Nepomuk::Query::OptionalTerm&)
    {13, 183, 106, 1, 0, 30, 3},	//93 Nepomuk::Query::OptionalTerm::operator=(const Nepomuk::Query::OptionalTerm&)
    {13, 190, 1, 1, Smoke::mf_static, 55, 4},	//94 Nepomuk::Query::OptionalTerm::optionalizeTerm(const Nepomuk::Query::Term&)
    {13, 309, 0, 0, Smoke::mf_dtor, 0, 5 },	//95 Nepomuk::Query::OptionalTerm::~OptionalTerm()
    {14, 70, 0, 0, Smoke::mf_ctor, 34, 1},	//96 Nepomuk::Query::OrTerm::OrTerm()
    {14, 70, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//97 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {14, 70, 7, 6, Smoke::mf_ctor, 34, 3},	//98 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 14, 1, Smoke::mf_ctor, 34, 4},	//99 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {14, 183, 108, 1, 0, 33, 5},	//100 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {14, 70, 16, 2, Smoke::mf_ctor, 34, 6},	//101 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 19, 3, Smoke::mf_ctor, 34, 7},	//102 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 23, 4, Smoke::mf_ctor, 34, 8},	//103 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 28, 5, Smoke::mf_ctor, 34, 9},	//104 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 310, 0, 0, Smoke::mf_dtor, 0, 10 },	//105 Nepomuk::Query::OrTerm::~OrTerm()
    {15, 88, 0, 0, Smoke::mf_ctor, 37, 1},	//106 Nepomuk::Query::Query::Query()
    {15, 88, 1, 1, Smoke::mf_ctor, 37, 2},	//107 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {15, 88, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 3},	//108 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {15, 183, 3, 1, 0, 36, 4},	//109 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {15, 183, 1, 1, 0, 36, 5},	//110 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    {15, 173, 0, 0, Smoke::mf_const, 175, 6},	//111 Nepomuk::Query::Query::isValid() const
    {15, 165, 0, 0, Smoke::mf_const, 175, 7},	//112 Nepomuk::Query::Query::isFileQuery() const
    {15, 274, 0, 0, Smoke::mf_const, 55, 8},	//113 Nepomuk::Query::Query::term() const
    {15, 174, 0, 0, Smoke::mf_const, 218, 9},	//114 Nepomuk::Query::Query::limit() const
    {15, 182, 0, 0, Smoke::mf_const, 218, 10},	//115 Nepomuk::Query::Query::offset() const
    {15, 246, 1, 1, 0, 0, 11},	//116 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {15, 227, 56, 1, 0, 0, 12},	//117 Nepomuk::Query::Query::setLimit(int)
    {15, 229, 56, 1, 0, 0, 13},	//118 Nepomuk::Query::Query::setOffset(int)
    {15, 126, 110, 1, 0, 0, 14},	//119 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 233, 112, 1, 0, 0, 15},	//120 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {15, 206, 0, 0, Smoke::mf_const, 69, 16},	//121 Nepomuk::Query::Query::requestProperties() const
    {15, 289, 114, 1, Smoke::mf_const, 76, 17},	//122 Nepomuk::Query::Query::toSparqlQuery(Nepomuk::Query::Query::SparqlFlags) const
    {15, 286, 114, 1, Smoke::mf_const, 7, 18},	//123 Nepomuk::Query::Query::toSearchUrl(Nepomuk::Query::Query::SparqlFlags) const
    {15, 286, 116, 2, Smoke::mf_const, 7, 19},	//124 Nepomuk::Query::Query::toSearchUrl(const QString&, Nepomuk::Query::Query::SparqlFlags) const
    {15, 209, 0, 0, Smoke::mf_const, 68, 20},	//125 Nepomuk::Query::Query::requestPropertyMap() const
    {15, 185, 3, 1, Smoke::mf_const, 175, 21},	//126 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {15, 291, 0, 0, Smoke::mf_const, 76, 22},	//127 Nepomuk::Query::Query::toString() const
    {15, 159, 44, 1, Smoke::mf_static, 35, 23},	//128 Nepomuk::Query::Query::fromString(const QString&)
    {15, 157, 58, 1, Smoke::mf_static, 35, 24},	//129 Nepomuk::Query::Query::fromQueryUrl(const KUrl&)
    {15, 256, 58, 1, Smoke::mf_static, 76, 25},	//130 Nepomuk::Query::Query::sparqlFromQueryUrl(const KUrl&)
    {15, 276, 58, 1, Smoke::mf_static, 76, 26},	//131 Nepomuk::Query::Query::titleFromQueryUrl(const KUrl&)
    {15, 289, 0, 0, Smoke::mf_const, 76, 27},	//132 Nepomuk::Query::Query::toSparqlQuery() const
    {15, 286, 0, 0, Smoke::mf_const, 7, 28},	//133 Nepomuk::Query::Query::toSearchUrl() const
    {15, 286, 44, 1, Smoke::mf_const, 7, 29},	//134 Nepomuk::Query::Query::toSearchUrl(const QString&) const
    {15, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 30},	//135 Nepomuk::Query::Query::NoFlags (enum)
    {15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 31},	//136 Nepomuk::Query::Query::CreateCountQuery (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 32},	//137 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {15, 311, 0, 0, Smoke::mf_dtor, 0, 33 },	//138 Nepomuk::Query::Query::~Query()
    {16, 99, 119, 2, Smoke::mf_ctor, 39, 1},	//139 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {16, 99, 110, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 2},	//140 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {16, 183, 110, 1, 0, 38, 3},	//141 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {16, 185, 110, 1, Smoke::mf_const, 175, 4},	//142 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {16, 197, 0, 0, Smoke::mf_const, 62, 5},	//143 Nepomuk::Query::Query::RequestProperty::property() const
    {16, 189, 0, 0, Smoke::mf_const, 175, 6},	//144 Nepomuk::Query::Query::RequestProperty::optional() const
    {16, 99, 42, 1, Smoke::mf_ctor, 39, 7},	//145 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {16, 314, 0, 0, Smoke::mf_dtor, 0, 8 },	//146 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {17, 93, 0, 0, Smoke::mf_ctor, 42, 1},	//147 Nepomuk::Query::QueryParser::QueryParser()
    {17, 192, 44, 1, Smoke::mf_const, 35, 2},	//148 Nepomuk::Query::QueryParser::parse(const QString&) const
    {17, 192, 122, 2, Smoke::mf_const, 35, 3},	//149 Nepomuk::Query::QueryParser::parse(const QString&, Nepomuk::Query::QueryParser::ParserFlags) const
    {17, 175, 44, 1, Smoke::mf_const, 72, 4},	//150 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {17, 195, 44, 1, Smoke::mf_static, 35, 5},	//151 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {17, 93, 125, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 6},	//152 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {17, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 7},	//153 Nepomuk::Query::QueryParser::NoParserFlags (enum)
    {17, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 8},	//154 Nepomuk::Query::QueryParser::QueryTermGlobbing (enum)
    {17, 312, 0, 0, Smoke::mf_dtor, 0, 9 },	//155 Nepomuk::Query::QueryParser::~QueryParser()
    {18, 177, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 1},	//156 Nepomuk::Query::QueryServiceClient::metaObject() const
    {18, 202, 127, 1, Smoke::mf_virtual, 221, 2},	//157 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {18, 292, 129, 2, Smoke::mf_static, 76, 3},	//158 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {18, 296, 129, 2, Smoke::mf_static, 76, 4},	//159 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {18, 292, 132, 3, Smoke::mf_static, 76, 5},	//160 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {18, 296, 132, 3, Smoke::mf_static, 76, 6},	//161 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {18, 200, 136, 3, Smoke::mf_virtual, 218, 7},	//162 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {18, 95, 140, 1, Smoke::mf_ctor, 45, 8},	//163 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {18, 212, 0, 0, Smoke::mf_static, 175, 9},	//164 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {18, 267, 142, 2, Smoke::mf_static, 70, 10},	//165 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&, bool*)
    {18, 270, 145, 3, Smoke::mf_static, 70, 11},	//166 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*)
    {18, 264, 149, 2, Smoke::mf_static, 70, 12},	//167 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&, bool*)
    {18, 204, 3, 1, Smoke::mf_slot, 175, 13},	//168 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {18, 258, 152, 2, Smoke::mf_slot, 175, 14},	//169 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 147, 44, 1, Smoke::mf_slot, 175, 15},	//170 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {18, 137, 3, 1, Smoke::mf_slot, 175, 16},	//171 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {18, 139, 152, 2, Smoke::mf_slot, 175, 17},	//172 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 135, 44, 1, Smoke::mf_slot, 175, 18},	//173 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {18, 143, 0, 0, Smoke::mf_slot, 0, 19},	//174 Nepomuk::Query::QueryServiceClient::close()
    {18, 180, 155, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//175 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {18, 150, 157, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//176 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {18, 156, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//177 Nepomuk::Query::QueryServiceClient::finishedListing()
    {18, 292, 127, 1, Smoke::mf_static, 76, 23},	//178 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {18, 296, 127, 1, Smoke::mf_static, 76, 24},	//179 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {18, 95, 0, 0, Smoke::mf_ctor, 45, 25},	//180 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {18, 267, 3, 1, Smoke::mf_static, 70, 26},	//181 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&)
    {18, 270, 44, 1, Smoke::mf_static, 70, 27},	//182 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&)
    {18, 270, 152, 2, Smoke::mf_static, 70, 28},	//183 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 264, 44, 1, Smoke::mf_static, 70, 29},	//184 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&)
    {18, 258, 44, 1, Smoke::mf_slot, 175, 30},	//185 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {18, 139, 44, 1, Smoke::mf_slot, 175, 31},	//186 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {18, 261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 205, 32},	//187 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {18, 313, 0, 0, Smoke::mf_dtor, 0, 33 },	//188 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {19, 103, 159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 1},	//189 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {19, 103, 161, 1, Smoke::mf_ctor, 48, 2},	//190 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {19, 183, 159, 1, 0, 47, 3},	//191 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {19, 210, 0, 0, Smoke::mf_const, 60, 4},	//192 Nepomuk::Query::ResourceTerm::resource() const
    {19, 235, 161, 1, 0, 0, 5},	//193 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {19, 103, 0, 0, Smoke::mf_ctor, 48, 6},	//194 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {19, 315, 0, 0, Smoke::mf_dtor, 0, 7 },	//195 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {20, 106, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 1},	//196 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 106, 165, 1, Smoke::mf_ctor, 51, 2},	//197 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {20, 183, 163, 1, 0, 50, 3},	//198 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 300, 0, 0, Smoke::mf_const, 61, 4},	//199 Nepomuk::Query::ResourceTypeTerm::type() const
    {20, 248, 165, 1, 0, 0, 5},	//200 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {20, 106, 0, 0, Smoke::mf_ctor, 51, 6},	//201 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {20, 316, 0, 0, Smoke::mf_dtor, 0, 7 },	//202 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {21, 108, 0, 0, Smoke::mf_ctor, 53, 1},	//203 Nepomuk::Query::Result::Result()
    {21, 108, 167, 2, Smoke::mf_ctor, 53, 2},	//204 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {21, 108, 170, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 3},	//205 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {21, 183, 170, 1, 0, 52, 4},	//206 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {21, 211, 0, 0, Smoke::mf_const, 217, 5},	//207 Nepomuk::Query::Result::score() const
    {21, 210, 0, 0, Smoke::mf_const, 60, 6},	//208 Nepomuk::Query::Result::resource() const
    {21, 237, 172, 1, 0, 0, 7},	//209 Nepomuk::Query::Result::setScore(double)
    {21, 126, 174, 2, 0, 0, 8},	//210 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {21, 206, 0, 0, Smoke::mf_const, 67, 9},	//211 Nepomuk::Query::Result::requestProperties() const
    {21, 187, 42, 1, Smoke::mf_const, 173, 10},	//212 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {21, 207, 42, 1, Smoke::mf_const, 173, 11},	//213 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {21, 213, 177, 1, 0, 0, 12},	//214 Nepomuk::Query::Result::setAdditionalBindings(const Soprano::BindingSet&)
    {21, 133, 0, 0, Smoke::mf_const, 171, 13},	//215 Nepomuk::Query::Result::additionalBindings() const
    {21, 131, 44, 1, Smoke::mf_const, 63, 14},	//216 Nepomuk::Query::Result::additionalBinding(const QString&) const
    {21, 185, 170, 1, Smoke::mf_const, 175, 15},	//217 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {21, 108, 161, 1, Smoke::mf_ctor, 53, 16},	//218 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {21, 317, 0, 0, Smoke::mf_dtor, 0, 17 },	//219 Nepomuk::Query::Result::~Result()
    {22, 262, 0, 0, Smoke::mf_const, 55, 1},	//220 Nepomuk::Query::SimpleTerm::subTerm() const
    {22, 242, 1, 1, 0, 0, 2},	//221 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {22, 111, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 54, 3},	//222 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {22, 111, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 54, 4},	//223 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {22, 111, 179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 5},	//224 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {22, 318, 0, 0, Smoke::mf_dtor, 0, 6 },	//225 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {23, 116, 0, 0, Smoke::mf_ctor, 57, 1},	//226 Nepomuk::Query::Term::Term()
    {23, 116, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//227 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {23, 183, 1, 1, 0, 56, 3},	//228 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {23, 173, 0, 0, Smoke::mf_const, 175, 4},	//229 Nepomuk::Query::Term::isValid() const
    {23, 300, 0, 0, Smoke::mf_const, 58, 5},	//230 Nepomuk::Query::Term::type() const
    {23, 167, 0, 0, Smoke::mf_const, 175, 6},	//231 Nepomuk::Query::Term::isLiteralTerm() const
    {23, 171, 0, 0, Smoke::mf_const, 175, 7},	//232 Nepomuk::Query::Term::isResourceTerm() const
    {23, 168, 0, 0, Smoke::mf_const, 175, 8},	//233 Nepomuk::Query::Term::isNegationTerm() const
    {23, 169, 0, 0, Smoke::mf_const, 175, 9},	//234 Nepomuk::Query::Term::isOptionalTerm() const
    {23, 163, 0, 0, Smoke::mf_const, 175, 10},	//235 Nepomuk::Query::Term::isAndTerm() const
    {23, 170, 0, 0, Smoke::mf_const, 175, 11},	//236 Nepomuk::Query::Term::isOrTerm() const
    {23, 164, 0, 0, Smoke::mf_const, 175, 12},	//237 Nepomuk::Query::Term::isComparisonTerm() const
    {23, 172, 0, 0, Smoke::mf_const, 175, 13},	//238 Nepomuk::Query::Term::isResourceTypeTerm() const
    {23, 280, 0, 0, Smoke::mf_const, 23, 14},	//239 Nepomuk::Query::Term::toLiteralTerm() const
    {23, 284, 0, 0, Smoke::mf_const, 46, 15},	//240 Nepomuk::Query::Term::toResourceTerm() const
    {23, 281, 0, 0, Smoke::mf_const, 26, 16},	//241 Nepomuk::Query::Term::toNegationTerm() const
    {23, 282, 0, 0, Smoke::mf_const, 29, 17},	//242 Nepomuk::Query::Term::toOptionalTerm() const
    {23, 278, 0, 0, Smoke::mf_const, 10, 18},	//243 Nepomuk::Query::Term::toAndTerm() const
    {23, 283, 0, 0, Smoke::mf_const, 32, 19},	//244 Nepomuk::Query::Term::toOrTerm() const
    {23, 279, 0, 0, Smoke::mf_const, 13, 20},	//245 Nepomuk::Query::Term::toComparisonTerm() const
    {23, 285, 0, 0, Smoke::mf_const, 49, 21},	//246 Nepomuk::Query::Term::toResourceTypeTerm() const
    {23, 280, 0, 0, 0, 24, 22},	//247 Nepomuk::Query::Term::toLiteralTerm()
    {23, 284, 0, 0, 0, 47, 23},	//248 Nepomuk::Query::Term::toResourceTerm()
    {23, 281, 0, 0, 0, 27, 24},	//249 Nepomuk::Query::Term::toNegationTerm()
    {23, 282, 0, 0, 0, 30, 25},	//250 Nepomuk::Query::Term::toOptionalTerm()
    {23, 278, 0, 0, 0, 11, 26},	//251 Nepomuk::Query::Term::toAndTerm()
    {23, 283, 0, 0, 0, 33, 27},	//252 Nepomuk::Query::Term::toOrTerm()
    {23, 279, 0, 0, 0, 14, 28},	//253 Nepomuk::Query::Term::toComparisonTerm()
    {23, 285, 0, 0, 0, 50, 29},	//254 Nepomuk::Query::Term::toResourceTypeTerm()
    {23, 291, 0, 0, Smoke::mf_const, 76, 30},	//255 Nepomuk::Query::Term::toString() const
    {23, 159, 44, 1, Smoke::mf_static, 55, 31},	//256 Nepomuk::Query::Term::fromString(const QString&)
    {23, 185, 1, 1, Smoke::mf_const, 175, 32},	//257 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {23, 116, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 57, 33},	//258 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {23, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 34},	//259 Nepomuk::Query::Term::Invalid (enum)
    {23, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 35},	//260 Nepomuk::Query::Term::Literal (enum)
    {23, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 36},	//261 Nepomuk::Query::Term::Resource (enum)
    {23, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 37},	//262 Nepomuk::Query::Term::And (enum)
    {23, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 38},	//263 Nepomuk::Query::Term::Or (enum)
    {23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 39},	//264 Nepomuk::Query::Term::Comparison (enum)
    {23, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 40},	//265 Nepomuk::Query::Term::ResourceType (enum)
    {23, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 41},	//266 Nepomuk::Query::Term::Negation (enum)
    {23, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 42},	//267 Nepomuk::Query::Term::Optional (enum)
    {23, 319, 0, 0, Smoke::mf_dtor, 0, 43 },	//268 Nepomuk::Query::Term::~Term()
    {33, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 1},	//269 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {33, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 2},	//270 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {33, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 3},	//271 QGlobalSpace::Q_STATIC_TYPE (enum)
    {33, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 4},	//272 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {33, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 5},	//273 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 6},	//274 QGlobalSpace::LicensedGui (enum)
    {33, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 7},	//275 QGlobalSpace::LicensedXml (enum)
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 8},	//276 QGlobalSpace::LicensedQt3SupportLight (enum)
    {33, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 9},	//277 QGlobalSpace::LicensedScript (enum)
    {33, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 10},	//278 QGlobalSpace::LicensedOpenVG (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 11},	//279 QGlobalSpace::LicensedDBus (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 12},	//280 QGlobalSpace::LicensedTest (enum)
    {33, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 13},	//281 QGlobalSpace::LicensedActiveQt (enum)
    {33, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 14},	//282 QGlobalSpace::LicensedScriptTools (enum)
    {33, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 15},	//283 QGlobalSpace::LicensedSvg (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 16},	//284 QGlobalSpace::LicensedDeclarative (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 17},	//285 QGlobalSpace::LicensedSql (enum)
    {33, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 18},	//286 QGlobalSpace::LicensedOpenGL (enum)
    {33, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 19},	//287 QGlobalSpace::LicensedCore (enum)
    {33, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 20},	//288 QGlobalSpace::QtDebugMsg (enum)
    {33, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 21},	//289 QGlobalSpace::QtWarningMsg (enum)
    {33, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 22},	//290 QGlobalSpace::QtCriticalMsg (enum)
    {33, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 23},	//291 QGlobalSpace::QtFatalMsg (enum)
    {33, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 24},	//292 QGlobalSpace::QtSystemMsg (enum)
    {33, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 25},	//293 QGlobalSpace::LicensedHelp (enum)
    {33, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 26},	//294 QGlobalSpace::LicensedMultimedia (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 27},	//295 QGlobalSpace::LicensedQt3Support (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 28},	//296 QGlobalSpace::LicensedXmlPatterns (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 29},	//297 QGlobalSpace::LicensedNetwork (enum)
    {33, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 30},	//298 QGlobalSpace::__codecvt_ok (enum)
    {33, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 31},	//299 QGlobalSpace::__codecvt_partial (enum)
    {33, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 32},	//300 QGlobalSpace::__codecvt_error (enum)
    {33, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 33},	//301 QGlobalSpace::__codecvt_noconv (enum)
    {35, 152, 181, 1, Smoke::mf_virtual, 175, 0},	//302 QObject::event(QEvent*)
    {35, 153, 183, 2, Smoke::mf_virtual, 175, 0},	//303 QObject::eventFilter(QObject*, QEvent*)
    {35, 275, 186, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//304 QObject::timerEvent(QTimerEvent*)
    {35, 142, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//305 QObject::childEvent(QChildEvent*)
    {35, 146, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//306 QObject::customEvent(QEvent*)
    {35, 145, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//307 QObject::connectNotify(const char*)
    {35, 149, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//308 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    196,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    197,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
    1,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    2,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
    51,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    52,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    62,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    205,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    218,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    227,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    258,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    243,  // Nepomuk::Query::Term::toAndTerm() const
    251,  // Nepomuk::Query::Term::toAndTerm()
    0,
    245,  // Nepomuk::Query::Term::toComparisonTerm() const
    253,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    239,  // Nepomuk::Query::Term::toLiteralTerm() const
    247,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    241,  // Nepomuk::Query::Term::toNegationTerm() const
    249,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    242,  // Nepomuk::Query::Term::toOptionalTerm() const
    250,  // Nepomuk::Query::Term::toOptionalTerm()
    0,
    244,  // Nepomuk::Query::Term::toOrTerm() const
    252,  // Nepomuk::Query::Term::toOrTerm()
    0,
    240,  // Nepomuk::Query::Term::toResourceTerm() const
    248,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    246,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    254,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    222,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    223,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    224,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    189,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    190,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
    79,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    80,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
    107,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    108,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    109,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    110,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    0,
    123,  // Nepomuk::Query::Query::toSearchUrl(Nepomuk::Query::Query::SparqlFlags) const
    134,  // Nepomuk::Query::Query::toSearchUrl(const QString&) const
    0,
    140,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    145,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    70,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    71,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    73,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 199, -4},	// Nepomuk::Query::qHash#
    {7, 2, 3},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 4},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 8},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 9},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 10},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 11},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 5},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 6},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 184, 7},	// Nepomuk::Query::AndTerm::operator=#
    {7, 303, 12},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 10, 47},	// Nepomuk::Query::ComparisonTerm::Average
    {8, 12, 13},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 13, 14},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 14, 31},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 15, 15},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 16, 33},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 41},	// Nepomuk::Query::ComparisonTerm::Count
    {8, 19, 48},	// Nepomuk::Query::ComparisonTerm::DistinctAverage
    {8, 20, 42},	// Nepomuk::Query::ComparisonTerm::DistinctCount
    {8, 21, 46},	// Nepomuk::Query::ComparisonTerm::DistinctSum
    {8, 22, 35},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 25, 36},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 26, 38},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 58, 43},	// Nepomuk::Query::ComparisonTerm::Max
    {8, 59, 44},	// Nepomuk::Query::ComparisonTerm::Min
    {8, 63, 40},	// Nepomuk::Query::ComparisonTerm::NoAggregateFunction
    {8, 98, 34},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 113, 37},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 114, 39},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 115, 45},	// Nepomuk::Query::ComparisonTerm::Sum
    {8, 134, 24},	// Nepomuk::Query::ComparisonTerm::aggregateFunction
    {8, 144, 17},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 162, 30},	// Nepomuk::Query::ComparisonTerm::inverted
    {8, 166, 28},	// Nepomuk::Query::ComparisonTerm::isInverted
    {8, 184, 16},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 197, 18},	// Nepomuk::Query::ComparisonTerm::property
    {8, 216, 23},	// Nepomuk::Query::ComparisonTerm::setAggregateFunction$
    {8, 218, 19},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 226, 29},	// Nepomuk::Query::ComparisonTerm::setInverted$
    {8, 232, 20},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 240, 32},	// Nepomuk::Query::ComparisonTerm::setSortWeight$
    {8, 241, 25},	// Nepomuk::Query::ComparisonTerm::setSortWeight$$
    {8, 253, 21},	// Nepomuk::Query::ComparisonTerm::setVariableName$
    {8, 254, 27},	// Nepomuk::Query::ComparisonTerm::sortOrder
    {8, 255, 26},	// Nepomuk::Query::ComparisonTerm::sortWeight
    {8, 302, 22},	// Nepomuk::Query::ComparisonTerm::variableName
    {8, 304, 49},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 23, 50},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 24, -7},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 90, 63},	// Nepomuk::Query::FileQuery::QueryFiles
    {9, 91, 65},	// Nepomuk::Query::FileQuery::QueryFilesAndFolders
    {9, 92, 64},	// Nepomuk::Query::FileQuery::QueryFolders
    {9, 123, 57},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 125, 54},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 154, 59},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 155, 61},	// Nepomuk::Query::FileQuery::fileMode
    {9, 161, 56},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 184, 53},	// Nepomuk::Query::FileQuery::operator=#
    {9, 220, 58},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 222, 60},	// Nepomuk::Query::FileQuery::setFileMode$
    {9, 224, 55},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 305, 66},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 28, -63},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 29, 74},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 30, 75},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 31, 76},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 32, 77},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 33, 72},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 130, 69},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 245, 68},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 263, 67},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 306, 78},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 56, 84},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 57, -48},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 184, 81},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 251, 83},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 301, 82},	// Nepomuk::Query::LiteralTerm::value
    {11, 307, 85},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 61, 86},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 62, 87},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 179, 89},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 184, 88},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 308, 90},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 67, 91},	// Nepomuk::Query::OptionalTerm::OptionalTerm
    {13, 68, 92},	// Nepomuk::Query::OptionalTerm::OptionalTerm#
    {13, 184, 93},	// Nepomuk::Query::OptionalTerm::operator=#
    {13, 191, 94},	// Nepomuk::Query::OptionalTerm::optionalizeTerm#
    {13, 309, 95},	// Nepomuk::Query::OptionalTerm::~OptionalTerm
    {14, 70, 96},	// Nepomuk::Query::OrTerm::OrTerm
    {14, 71, 97},	// Nepomuk::Query::OrTerm::OrTerm#
    {14, 72, 101},	// Nepomuk::Query::OrTerm::OrTerm##
    {14, 73, 102},	// Nepomuk::Query::OrTerm::OrTerm###
    {14, 74, 103},	// Nepomuk::Query::OrTerm::OrTerm####
    {14, 75, 104},	// Nepomuk::Query::OrTerm::OrTerm#####
    {14, 76, 98},	// Nepomuk::Query::OrTerm::OrTerm######
    {14, 77, 99},	// Nepomuk::Query::OrTerm::OrTerm?
    {14, 184, 100},	// Nepomuk::Query::OrTerm::operator=#
    {14, 310, 105},	// Nepomuk::Query::OrTerm::~OrTerm
    {15, 18, 136},	// Nepomuk::Query::Query::CreateCountQuery
    {15, 34, 137},	// Nepomuk::Query::Query::HandleInverseProperties
    {15, 64, 135},	// Nepomuk::Query::Query::NoFlags
    {15, 88, 106},	// Nepomuk::Query::Query::Query
    {15, 89, -51},	// Nepomuk::Query::Query::Query#
    {15, 127, 119},	// Nepomuk::Query::Query::addRequestProperty#
    {15, 158, 129},	// Nepomuk::Query::Query::fromQueryUrl#
    {15, 160, 128},	// Nepomuk::Query::Query::fromString$
    {15, 165, 112},	// Nepomuk::Query::Query::isFileQuery
    {15, 173, 111},	// Nepomuk::Query::Query::isValid
    {15, 174, 114},	// Nepomuk::Query::Query::limit
    {15, 182, 115},	// Nepomuk::Query::Query::offset
    {15, 184, -54},	// Nepomuk::Query::Query::operator=#
    {15, 186, 126},	// Nepomuk::Query::Query::operator==#
    {15, 206, 121},	// Nepomuk::Query::Query::requestProperties
    {15, 209, 125},	// Nepomuk::Query::Query::requestPropertyMap
    {15, 228, 117},	// Nepomuk::Query::Query::setLimit$
    {15, 230, 118},	// Nepomuk::Query::Query::setOffset$
    {15, 234, 120},	// Nepomuk::Query::Query::setRequestProperties?
    {15, 247, 116},	// Nepomuk::Query::Query::setTerm#
    {15, 257, 130},	// Nepomuk::Query::Query::sparqlFromQueryUrl#
    {15, 274, 113},	// Nepomuk::Query::Query::term
    {15, 277, 131},	// Nepomuk::Query::Query::titleFromQueryUrl#
    {15, 286, 133},	// Nepomuk::Query::Query::toSearchUrl
    {15, 287, -57},	// Nepomuk::Query::Query::toSearchUrl$
    {15, 288, 124},	// Nepomuk::Query::Query::toSearchUrl$$
    {15, 289, 132},	// Nepomuk::Query::Query::toSparqlQuery
    {15, 290, 122},	// Nepomuk::Query::Query::toSparqlQuery$
    {15, 291, 127},	// Nepomuk::Query::Query::toString
    {15, 311, 138},	// Nepomuk::Query::Query::~Query
    {16, 100, -60},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {16, 101, 139},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {16, 184, 141},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {16, 186, 142},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {16, 189, 144},	// Nepomuk::Query::Query::RequestProperty::optional
    {16, 197, 143},	// Nepomuk::Query::Query::RequestProperty::property
    {16, 314, 146},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {17, 65, 153},	// Nepomuk::Query::QueryParser::NoParserFlags
    {17, 93, 147},	// Nepomuk::Query::QueryParser::QueryParser
    {17, 94, 152},	// Nepomuk::Query::QueryParser::QueryParser#
    {17, 97, 154},	// Nepomuk::Query::QueryParser::QueryTermGlobbing
    {17, 176, 150},	// Nepomuk::Query::QueryParser::matchProperty$
    {17, 193, 148},	// Nepomuk::Query::QueryParser::parse$
    {17, 194, 149},	// Nepomuk::Query::QueryParser::parse$$
    {17, 196, 151},	// Nepomuk::Query::QueryParser::parseQuery$
    {17, 312, 155},	// Nepomuk::Query::QueryParser::~QueryParser
    {18, 95, 180},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {18, 96, 163},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {18, 136, 173},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {18, 138, 171},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {18, 140, 186},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {18, 141, 172},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {18, 143, 174},	// Nepomuk::Query::QueryServiceClient::close
    {18, 148, 170},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {18, 151, 176},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {18, 156, 177},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {18, 177, 156},	// Nepomuk::Query::QueryServiceClient::metaObject
    {18, 181, 175},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {18, 201, 162},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {18, 203, 157},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {18, 205, 168},	// Nepomuk::Query::QueryServiceClient::query#
    {18, 212, 164},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {18, 259, 185},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {18, 260, 169},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {18, 261, 187},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {18, 265, 184},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$
    {18, 266, 167},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$$
    {18, 268, 181},	// Nepomuk::Query::QueryServiceClient::syncQuery#
    {18, 269, 165},	// Nepomuk::Query::QueryServiceClient::syncQuery#$
    {18, 271, 182},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$
    {18, 272, 183},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?
    {18, 273, 166},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?$
    {18, 293, 178},	// Nepomuk::Query::QueryServiceClient::tr$
    {18, 294, 158},	// Nepomuk::Query::QueryServiceClient::tr$$
    {18, 295, 160},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {18, 297, 179},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {18, 298, 159},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {18, 299, 161},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {18, 313, 188},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {19, 103, 194},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {19, 104, -45},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {19, 184, 191},	// Nepomuk::Query::ResourceTerm::operator=#
    {19, 210, 192},	// Nepomuk::Query::ResourceTerm::resource
    {19, 236, 193},	// Nepomuk::Query::ResourceTerm::setResource#
    {19, 315, 195},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {20, 106, 201},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {20, 107, -1},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {20, 184, 198},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {20, 249, 200},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {20, 300, 199},	// Nepomuk::Query::ResourceTypeTerm::type
    {20, 316, 202},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {21, 108, 203},	// Nepomuk::Query::Result::Result
    {21, 109, -11},	// Nepomuk::Query::Result::Result#
    {21, 110, 204},	// Nepomuk::Query::Result::Result#$
    {21, 128, 210},	// Nepomuk::Query::Result::addRequestProperty##
    {21, 132, 216},	// Nepomuk::Query::Result::additionalBinding$
    {21, 133, 215},	// Nepomuk::Query::Result::additionalBindings
    {21, 184, 206},	// Nepomuk::Query::Result::operator=#
    {21, 186, 217},	// Nepomuk::Query::Result::operator==#
    {21, 188, 212},	// Nepomuk::Query::Result::operator[]#
    {21, 206, 211},	// Nepomuk::Query::Result::requestProperties
    {21, 208, 213},	// Nepomuk::Query::Result::requestProperty#
    {21, 210, 208},	// Nepomuk::Query::Result::resource
    {21, 211, 207},	// Nepomuk::Query::Result::score
    {21, 214, 214},	// Nepomuk::Query::Result::setAdditionalBindings#
    {21, 238, 209},	// Nepomuk::Query::Result::setScore$
    {21, 317, 219},	// Nepomuk::Query::Result::~Result
    {22, 112, -41},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {22, 243, 221},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {22, 262, 220},	// Nepomuk::Query::SimpleTerm::subTerm
    {22, 318, 225},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {23, 1, 262},	// Nepomuk::Query::Term::And
    {23, 11, 264},	// Nepomuk::Query::Term::Comparison
    {23, 35, 259},	// Nepomuk::Query::Term::Invalid
    {23, 55, 260},	// Nepomuk::Query::Term::Literal
    {23, 60, 266},	// Nepomuk::Query::Term::Negation
    {23, 66, 267},	// Nepomuk::Query::Term::Optional
    {23, 69, 263},	// Nepomuk::Query::Term::Or
    {23, 102, 261},	// Nepomuk::Query::Term::Resource
    {23, 105, 265},	// Nepomuk::Query::Term::ResourceType
    {23, 116, 226},	// Nepomuk::Query::Term::Term
    {23, 117, -14},	// Nepomuk::Query::Term::Term#
    {23, 160, 256},	// Nepomuk::Query::Term::fromString$
    {23, 163, 235},	// Nepomuk::Query::Term::isAndTerm
    {23, 164, 237},	// Nepomuk::Query::Term::isComparisonTerm
    {23, 167, 231},	// Nepomuk::Query::Term::isLiteralTerm
    {23, 168, 233},	// Nepomuk::Query::Term::isNegationTerm
    {23, 169, 234},	// Nepomuk::Query::Term::isOptionalTerm
    {23, 170, 236},	// Nepomuk::Query::Term::isOrTerm
    {23, 171, 232},	// Nepomuk::Query::Term::isResourceTerm
    {23, 172, 238},	// Nepomuk::Query::Term::isResourceTypeTerm
    {23, 173, 229},	// Nepomuk::Query::Term::isValid
    {23, 184, 228},	// Nepomuk::Query::Term::operator=#
    {23, 186, 257},	// Nepomuk::Query::Term::operator==#
    {23, 278, -17},	// Nepomuk::Query::Term::toAndTerm
    {23, 279, -20},	// Nepomuk::Query::Term::toComparisonTerm
    {23, 280, -23},	// Nepomuk::Query::Term::toLiteralTerm
    {23, 281, -26},	// Nepomuk::Query::Term::toNegationTerm
    {23, 282, -29},	// Nepomuk::Query::Term::toOptionalTerm
    {23, 283, -32},	// Nepomuk::Query::Term::toOrTerm
    {23, 284, -35},	// Nepomuk::Query::Term::toResourceTerm
    {23, 285, -38},	// Nepomuk::Query::Term::toResourceTypeTerm
    {23, 291, 255},	// Nepomuk::Query::Term::toString
    {23, 300, 230},	// Nepomuk::Query::Term::type
    {23, 319, 268},	// Nepomuk::Query::Term::~Term
    {33, 36, 281},	// QGlobalSpace::LicensedActiveQt
    {33, 37, 287},	// QGlobalSpace::LicensedCore
    {33, 38, 279},	// QGlobalSpace::LicensedDBus
    {33, 39, 284},	// QGlobalSpace::LicensedDeclarative
    {33, 40, 274},	// QGlobalSpace::LicensedGui
    {33, 41, 293},	// QGlobalSpace::LicensedHelp
    {33, 42, 294},	// QGlobalSpace::LicensedMultimedia
    {33, 43, 297},	// QGlobalSpace::LicensedNetwork
    {33, 44, 286},	// QGlobalSpace::LicensedOpenGL
    {33, 45, 278},	// QGlobalSpace::LicensedOpenVG
    {33, 46, 295},	// QGlobalSpace::LicensedQt3Support
    {33, 47, 276},	// QGlobalSpace::LicensedQt3SupportLight
    {33, 48, 277},	// QGlobalSpace::LicensedScript
    {33, 49, 282},	// QGlobalSpace::LicensedScriptTools
    {33, 50, 285},	// QGlobalSpace::LicensedSql
    {33, 51, 283},	// QGlobalSpace::LicensedSvg
    {33, 52, 280},	// QGlobalSpace::LicensedTest
    {33, 53, 275},	// QGlobalSpace::LicensedXml
    {33, 54, 296},	// QGlobalSpace::LicensedXmlPatterns
    {33, 78, 269},	// QGlobalSpace::Q_COMPLEX_TYPE
    {33, 79, 273},	// QGlobalSpace::Q_DUMMY_TYPE
    {33, 80, 272},	// QGlobalSpace::Q_MOVABLE_TYPE
    {33, 81, 270},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {33, 82, 271},	// QGlobalSpace::Q_STATIC_TYPE
    {33, 83, 290},	// QGlobalSpace::QtCriticalMsg
    {33, 84, 288},	// QGlobalSpace::QtDebugMsg
    {33, 85, 291},	// QGlobalSpace::QtFatalMsg
    {33, 86, 292},	// QGlobalSpace::QtSystemMsg
    {33, 87, 289},	// QGlobalSpace::QtWarningMsg
    {33, 118, 300},	// QGlobalSpace::__codecvt_error
    {33, 119, 301},	// QGlobalSpace::__codecvt_noconv
    {33, 120, 298},	// QGlobalSpace::__codecvt_ok
    {33, 121, 299},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();
SMOKE_IMPORT void init_nepomuk_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_soprano_Smoke();
    init_nepomuk_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 41,
        __smokenepomukquery::methods, 309,
        __smokenepomukquery::methodMaps, 278,
        __smokenepomukquery::methodNames, 319,
        __smokenepomukquery::types, 223,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
