#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 61: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 41: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 69: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 34: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 61: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 42: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 75: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 42: return (void*)(QDialog*)(KDialog*)xptr;
        case 75: return (void*)(QWidget*)(KDialog*)xptr;
        case 61: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 61: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 61: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 61: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 34: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 35:   //QActionEvent
      switch(to) {
        case 35: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QBool
      switch(to) {
        case 36: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 37:   //QByteArray
      switch(to) {
        case 37: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 47: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDBusContext
      switch(to) {
        case 41: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 42:   //QDialog
      switch(to) {
        case 75: return (void*)(QWidget*)(QDialog*)xptr;
        case 61: return (void*)(QObject*)(QDialog*)xptr;
        case 42: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 43:   //QDragEnterEvent
      switch(to) {
        case 43: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDragLeaveEvent
      switch(to) {
        case 44: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragMoveEvent
      switch(to) {
        case 45: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDropEvent
      switch(to) {
        case 46: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QEvent
      switch(to) {
        case 47: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QFocusEvent
      switch(to) {
        case 48: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFont
      switch(to) {
        case 49: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 51:   //QHideEvent
      switch(to) {
        case 51: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QIcon
      switch(to) {
        case 52: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QItemSelection
      switch(to) {
        case 54: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 55:   //QKeyEvent
      switch(to) {
        case 55: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QMimeData
      switch(to) {
        case 57: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QSortFilterProxyModel
      switch(to) {
        case 34: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 61: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 69: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 70:   //QStyle
      switch(to) {
        case 70: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 71:   //QTabletEvent
      switch(to) {
        case 71: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 47: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QVariant
      switch(to) {
        case 73: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 74:   //QWheelEvent
      switch(to) {
        case 74: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 75: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    case 76:   //boost::exception
      switch(to) {
        case 76: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 77:   //boost::exception_detail::large_size
      switch(to) {
        case 77: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 78:   //boost::exception_detail::small_size
      switch(to) {
        case 78: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    61, 41, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    69, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    75, 0,	// 12: QWidget
    61, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPixmap(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//34
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QBool", true, 0, 0, 0, 0, 0 },	//36
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//41
    { "QDialog", true, 0, 0, 0, 0, 0 },	//42
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFont", true, 0, 0, 0, 0, 0 },	//49
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//50
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QIcon", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//54
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//69
    { "QStyle", true, 0, 0, 0, 0, 0 },	//70
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QVariant", true, 0, 0, 0, 0, 0 },	//73
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QWidget", true, 0, 0, 0, 0, 0 },	//75
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//76
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//77
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//78
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::Collection::Rights", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//41
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//42
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//47
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QActionEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QBool", 36, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray", 37, Smoke::t_class|Smoke::tf_stack },	//51
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDragEnterEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDragLeaveEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDragMoveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDropEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QFocusEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QHideEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QIcon", 52, Smoke::t_class|Smoke::tf_stack },	//62
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QItemSelection", 54, Smoke::t_class|Smoke::tf_stack },	//64
    { "QKeyEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QMimeData*", 57, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QModelIndex", 58, Smoke::t_class|Smoke::tf_stack },	//73
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//80
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//83
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//86
    { "QStyle&", 70, Smoke::t_class|Smoke::tf_ref },	//87
    { "QTabletEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QVariant", 73, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWheelEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWidget*", 75, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtMsgType", 50, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtValidLicenseForActiveQtModule", 50, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtValidLicenseForCoreModule", 50, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QtValidLicenseForDBusModule", 50, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QtValidLicenseForDeclarativeModule", 50, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QtValidLicenseForGuiModule", 50, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QtValidLicenseForHelpModule", 50, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QtValidLicenseForMultimediaModule", 50, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QtValidLicenseForNetworkModule", 50, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtValidLicenseForOpenGLModule", 50, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtValidLicenseForOpenVGModule", 50, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtValidLicenseForQt3SupportLightModule", 50, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForQt3SupportModule", 50, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForScriptModule", 50, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForScriptToolsModule", 50, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForSqlModule", 50, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForSvgModule", 50, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForTestModule", 50, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForXmlModule", 50, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForXmlPatternsModule", 50, Smoke::t_enum|Smoke::tf_stack },	//186
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//187
    { "__codecvt_result", 50, Smoke::t_enum|Smoke::tf_stack },	//188
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//189
    { "boost::exception*", 76, Smoke::t_class|Smoke::tf_ptr },	//190
    { "boost::exception_detail::large_size", 77, Smoke::t_class|Smoke::tf_stack },	//191
    { "boost::exception_detail::small_size", 78, Smoke::t_class|Smoke::tf_stack },	//192
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//194
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QByteArray&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QFont&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QItemSelection&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//217
    { "const QMimeData*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//220
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const QVariant&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const boost::exception&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const boost::exception*", 76, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//229
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//230
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//233
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//234
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//235
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//236
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//237
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//238
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//239
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//240
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//241
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    230, 0,	//1  const char*
    230, 230, 0,	//3  const char*, const char*
    230, 230, 233, 0,	//6  const char*, const char*, int
    71, 233, 240, 0,	//10  QMetaObject::Call, int, void**
    238, 0,	//14  unsigned long
    2, 0,	//16  Akonadi::AgentBase::Observer*
    224, 0,	//18  const QString&
    233, 224, 0,	//20  int, const QString&
    233, 0,	//23  int
    189, 0,	//25  bool
    5, 224, 0,	//27  Akonadi::AgentBasePrivate*, const QString&
    207, 202, 0,	//30  const Akonadi::Item&, const Akonadi::Collection&
    207, 223, 0,	//33  const Akonadi::Item&, const QSet<QByteArray>&
    207, 0,	//36  const Akonadi::Item&
    202, 202, 0,	//38  const Akonadi::Collection&, const Akonadi::Collection&
    202, 0,	//41  const Akonadi::Collection&
    195, 0,	//43  const Akonadi::AgentBase::Observer&
    207, 202, 202, 0,	//45  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    202, 202, 202, 0,	//49  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    202, 223, 0,	//53  const Akonadi::Collection&, const QSet<QByteArray>&
    196, 0,	//56  const Akonadi::AgentBase::ObserverV2&
    76, 0,	//58  QObject*
    233, 219, 0,	//60  int, const QModelIndex&
    197, 0,	//63  const Akonadi::AgentInstance&
    92, 0,	//65  QWidget*
    198, 76, 0,	//67  const Akonadi::AgentType&, QObject*
    224, 76, 0,	//70  const QString&, QObject*
    198, 0,	//73  const Akonadi::AgentType&
    219, 0,	//75  const QModelIndex&
    219, 233, 0,	//77  const QModelIndex&, int
    233, 141, 233, 0,	//80  int, Qt::Orientation, int
    233, 233, 219, 0,	//84  int, int, const QModelIndex&
    219, 227, 233, 0,	//88  const QModelIndex&, const QVariant&, int
    233, 141, 0,	//92  int, Qt::Orientation
    233, 233, 0,	//95  int, int
    197, 197, 0,	//98  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    197, 224, 0,	//101  const Akonadi::AgentInstance&, const QString&
    197, 189, 0,	//104  const Akonadi::AgentInstance&, bool
    198, 198, 0,	//107  const Akonadi::AgentType&, const Akonadi::AgentType&
    211, 0,	//110  const QByteArray&
    199, 0,	//112  const Akonadi::Attribute&
    200, 0,	//114  const Akonadi::AttributeFactory&
    201, 0,	//116  const Akonadi::CachePolicy&
    225, 0,	//118  const QStringList&
    235, 0,	//120  long long
    210, 0,	//122  const KUrl&
    33, 0,	//124  Akonadi::Collection::Rights
    203, 0,	//126  const Akonadi::CollectionStatistics&
    204, 0,	//128  const Akonadi::Entity&
    23, 0,	//130  Akonadi::Attribute*
    38, 0,	//132  Akonadi::EntityPrivate*
    206, 0,	//134  const Akonadi::Exception&
    208, 0,	//136  const Akonadi::PayloadException&
    224, 189, 0,	//138  const QString&, bool
    61, 0,	//141  QHideEvent*
    53, 0,	//143  QCloseEvent*
    65, 0,	//145  QKeyEvent*
    233, 141, 227, 233, 0,	//147  int, Qt::Orientation, const QVariant&, int
    219, 215, 0,	//152  const QModelIndex&, const QMap<int,QVariant>&
    214, 0,	//155  const QList<QModelIndex>&
    218, 114, 233, 233, 219, 0,	//157  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    233, 149, 0,	//163  int, Qt::SortOrder
    219, 233, 227, 233, 137, 0,	//166  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    82, 0,	//172  QShowEvent*
    81, 0,	//174  QResizeEvent*
    54, 0,	//176  QContextMenuEvent*
    76, 59, 0,	//178  QObject*, QEvent*
    59, 0,	//181  QEvent*
    89, 0,	//183  QTimerEvent*
    52, 0,	//185  QChildEvent*
    48, 0,	//187  QAbstractItemModel*
    213, 0,	//189  const QItemSelection&
    219, 219, 0,	//191  const QModelIndex&, const QModelIndex&
    74, 0,	//194  QMouseEvent*
    91, 0,	//196  QWheelEvent*
    60, 0,	//198  QFocusEvent*
    79, 0,	//200  QPaintEvent*
    75, 0,	//202  QMoveEvent*
    88, 0,	//204  QTabletEvent*
    49, 0,	//206  QActionEvent*
    55, 0,	//208  QDragEnterEvent*
    57, 0,	//210  QDragMoveEvent*
    56, 0,	//212  QDragLeaveEvent*
    58, 0,	//214  QDropEvent*
    187, 0,	//216  _XEvent*
    77, 0,	//218  QPaintDevice::PaintDeviceMetric
    63, 0,	//220  QInputMethodEvent*
    127, 0,	//222  Qt::InputMethodQuery
    87, 0,	//224  QStyle&
    221, 0,	//226  const QPalette&
    212, 0,	//228  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceCreateJob$",	//13
    "AgentInstanceCreateJob$#",	//14
    "AgentInstanceModel",	//15
    "AgentInstanceModel#",	//16
    "AgentInstanceWidget",	//17
    "AgentInstanceWidget#",	//18
    "AgentType",	//19
    "AgentType#",	//20
    "AgentTypeDialog",	//21
    "AgentTypeDialog#",	//22
    "AgentTypeModel",	//23
    "AgentTypeModel#",	//24
    "AgentTypeWidget",	//25
    "AgentTypeWidget#",	//26
    "AllRights",	//27
    "AppNameCaption",	//28
    "Apply",	//29
    "Attribute",	//30
    "Attribute#",	//31
    "AttributeFactory",	//32
    "AttributeFactory#",	//33
    "Broken",	//34
    "Bytes",	//35
    "CachePolicy",	//36
    "CachePolicy#",	//37
    "CanChangeCollection",	//38
    "CanChangeItem",	//39
    "CanCreateCollection",	//40
    "CanCreateItem",	//41
    "CanDeleteCollection",	//42
    "CanDeleteItem",	//43
    "CanLinkItem",	//44
    "CanUnlinkItem",	//45
    "Cancel",	//46
    "CapabilitiesRole",	//47
    "Close",	//48
    "Collection",	//49
    "Collection#",	//50
    "Collection$",	//51
    "Default",	//52
    "DelayedPopup",	//53
    "DescriptionRole",	//54
    "Details",	//55
    "Directories",	//56
    "DrawChildren",	//57
    "DrawWindowBackground",	//58
    "EmitResult",	//59
    "Entity",	//60
    "Entity#",	//61
    "Exception",	//62
    "Exception#",	//63
    "Exception$",	//64
    "Files",	//65
    "HIGCompliantCaption",	//66
    "Help",	//67
    "IdentifierRole",	//68
    "Idle",	//69
    "IgnoreMask",	//70
    "InstanceIdentifierRole",	//71
    "InstanceRole",	//72
    "InstantPopup",	//73
    "Killable",	//74
    "KilledJobError",	//75
    "LicensedActiveQt",	//76
    "LicensedCore",	//77
    "LicensedDBus",	//78
    "LicensedDeclarative",	//79
    "LicensedGui",	//80
    "LicensedHelp",	//81
    "LicensedMultimedia",	//82
    "LicensedNetwork",	//83
    "LicensedOpenGL",	//84
    "LicensedOpenVG",	//85
    "LicensedQt3Support",	//86
    "LicensedQt3SupportLight",	//87
    "LicensedScript",	//88
    "LicensedScriptTools",	//89
    "LicensedSql",	//90
    "LicensedSvg",	//91
    "LicensedTest",	//92
    "LicensedXml",	//93
    "LicensedXmlPatterns",	//94
    "MimeTypesRole",	//95
    "ModifiedCaption",	//96
    "No",	//97
    "NoCapabilities",	//98
    "NoCaptionFlags",	//99
    "NoDefault",	//100
    "NoError",	//101
    "None",	//102
    "Observer",	//103
    "Observer#",	//104
    "ObserverV2",	//105
    "ObserverV2#",	//106
    "Ok",	//107
    "OnlineRole",	//108
    "PayloadException",	//109
    "PayloadException#",	//110
    "PayloadException$",	//111
    "ProgressRole",	//112
    "QtCriticalMsg",	//113
    "QtDebugMsg",	//114
    "QtFatalMsg",	//115
    "QtSystemMsg",	//116
    "QtWarningMsg",	//117
    "Quietly",	//118
    "ReadOnly",	//119
    "Rejected",	//120
    "Reset",	//121
    "Running",	//122
    "StatusMessageRole",	//123
    "StatusRole",	//124
    "Suspendable",	//125
    "Try",	//126
    "TypeIdentifierRole",	//127
    "TypeRole",	//128
    "User1",	//129
    "User2",	//130
    "User3",	//131
    "UserDefinedError",	//132
    "UserRole",	//133
    "Yes",	//134
    "_CS_GNU_LIBC_VERSION",	//135
    "_CS_GNU_LIBPTHREAD_VERSION",	//136
    "_CS_LFS64_CFLAGS",	//137
    "_CS_LFS64_LDFLAGS",	//138
    "_CS_LFS64_LIBS",	//139
    "_CS_LFS64_LINTFLAGS",	//140
    "_CS_LFS_CFLAGS",	//141
    "_CS_LFS_LDFLAGS",	//142
    "_CS_LFS_LIBS",	//143
    "_CS_LFS_LINTFLAGS",	//144
    "_CS_PATH",	//145
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//146
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//147
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//148
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//149
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//150
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//151
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//152
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//153
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//154
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//155
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//156
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//157
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//158
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//159
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//160
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//161
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//162
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//163
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//164
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//165
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//166
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//167
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//168
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//169
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//170
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//171
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//172
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//173
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//174
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//175
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//176
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//177
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//178
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//179
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//180
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//181
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//182
    "_CS_XBS5_ILP32_OFF32_LIBS",	//183
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//184
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//185
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//186
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//187
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//188
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//189
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//190
    "_CS_XBS5_LP64_OFF64_LIBS",	//191
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//192
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//193
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//194
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//195
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//196
    "__codecvt_error",	//197
    "__codecvt_noconv",	//198
    "__codecvt_ok",	//199
    "__codecvt_partial",	//200
    "abortCurrentTask",	//201
    "abortRequested",	//202
    "aboutToQuit",	//203
    "accept",	//204
    "actionEvent",	//205
    "activated",	//206
    "addAttribute",	//207
    "addAttribute#",	//208
    "addCapabilityFilter",	//209
    "addCapabilityFilter$",	//210
    "addMimeTypeFilter",	//211
    "addMimeTypeFilter$",	//212
    "agentFilterProxyModel",	//213
    "agentName",	//214
    "agentNameChanged",	//215
    "agentNameChanged$",	//216
    "agentType",	//217
    "attribute",	//218
    "attribute#",	//219
    "attributes",	//220
    "buddy",	//221
    "cachePolicy",	//222
    "cacheTimeout",	//223
    "canFetchMore",	//224
    "capabilities",	//225
    "changeEvent",	//226
    "changeProcessed",	//227
    "changeRecorder",	//228
    "childEvent",	//229
    "cleanup",	//230
    "clearAttributes",	//231
    "clearFilters",	//232
    "clone",	//233
    "closeEvent",	//234
    "collectionAdded",	//235
    "collectionAdded##",	//236
    "collectionChanged",	//237
    "collectionChanged#",	//238
    "collectionChanged#?",	//239
    "collectionMoved",	//240
    "collectionMoved###",	//241
    "collectionRemoved",	//242
    "collectionRemoved#",	//243
    "columnCount",	//244
    "columnCount#",	//245
    "configurationDialogAccepted",	//246
    "configurationDialogRejected",	//247
    "configure",	//248
    "configure#",	//249
    "configure$",	//250
    "connectNotify",	//251
    "contentMimeTypes",	//252
    "contextMenuEvent",	//253
    "createAttribute",	//254
    "createAttribute#",	//255
    "currentAgentInstance",	//256
    "currentAgentType",	//257
    "currentChanged",	//258
    "currentChanged##",	//259
    "customEvent",	//260
    "d_func",	//261
    "data",	//262
    "data#",	//263
    "data#$",	//264
    "description",	//265
    "deserialize",	//266
    "deserialize#",	//267
    "devType",	//268
    "disconnectNotify",	//269
    "doKill",	//270
    "doResume",	//271
    "doSetOnline",	//272
    "doSetOnline$",	//273
    "doSuspend",	//274
    "done",	//275
    "done$",	//276
    "doubleClicked",	//277
    "doubleClicked#",	//278
    "dragEnterEvent",	//279
    "dragLeaveEvent",	//280
    "dragMoveEvent",	//281
    "dropEvent",	//282
    "dropMimeData",	//283
    "enabledChange",	//284
    "enterEvent",	//285
    "error",	//286
    "error$",	//287
    "errorString",	//288
    "event",	//289
    "eventFilter",	//290
    "fetchMore",	//291
    "filterAcceptsColumn",	//292
    "filterAcceptsRow",	//293
    "filterAcceptsRow$#",	//294
    "flags",	//295
    "flags#",	//296
    "focusInEvent",	//297
    "focusNextPrevChild",	//298
    "focusOutEvent",	//299
    "fontChange",	//300
    "fromUrl",	//301
    "fromUrl#",	//302
    "hasAttribute",	//303
    "hasAttribute#",	//304
    "hasChildren",	//305
    "headerData",	//306
    "headerData$$",	//307
    "headerData$$$",	//308
    "heightForWidth",	//309
    "hideEvent",	//310
    "icon",	//311
    "iconName",	//312
    "id",	//313
    "identifier",	//314
    "index",	//315
    "index$$",	//316
    "index$$#",	//317
    "inheritFromParent",	//318
    "inputMethodEvent",	//319
    "inputMethodQuery",	//320
    "insertColumns",	//321
    "insertRows",	//322
    "instance",	//323
    "instance$",	//324
    "instanceAdded",	//325
    "instanceAdded#",	//326
    "instanceError",	//327
    "instanceError#$",	//328
    "instanceNameChanged",	//329
    "instanceNameChanged#",	//330
    "instanceOnline",	//331
    "instanceOnline#$",	//332
    "instanceProgressChanged",	//333
    "instanceProgressChanged#",	//334
    "instanceRemoved",	//335
    "instanceRemoved#",	//336
    "instanceStatusChanged",	//337
    "instanceStatusChanged#",	//338
    "instanceWarning",	//339
    "instanceWarning#$",	//340
    "instances",	//341
    "intervalCheckTime",	//342
    "isOnline",	//343
    "isValid",	//344
    "itemAdded",	//345
    "itemAdded##",	//346
    "itemChanged",	//347
    "itemChanged#?",	//348
    "itemData",	//349
    "itemLinked",	//350
    "itemLinked##",	//351
    "itemMoved",	//352
    "itemMoved###",	//353
    "itemRemoved",	//354
    "itemRemoved#",	//355
    "itemUnlinked",	//356
    "itemUnlinked##",	//357
    "keyPressEvent",	//358
    "keyReleaseEvent",	//359
    "languageChange",	//360
    "leaveEvent",	//361
    "lessThan",	//362
    "localParts",	//363
    "mapFromSource",	//364
    "mapSelectionFromSource",	//365
    "mapSelectionToSource",	//366
    "mapToSource",	//367
    "match",	//368
    "metaObject",	//369
    "metric",	//370
    "mimeData",	//371
    "mimeType",	//372
    "mimeTypes",	//373
    "minimumSizeHint",	//374
    "mouseDoubleClickEvent",	//375
    "mouseMoveEvent",	//376
    "mousePressEvent",	//377
    "mouseReleaseEvent",	//378
    "moveEvent",	//379
    "name",	//380
    "onlineChanged",	//381
    "onlineChanged$",	//382
    "operator!=",	//383
    "operator!=#",	//384
    "operator=",	//385
    "operator=#",	//386
    "operator==",	//387
    "operator==#",	//388
    "paintEngine",	//389
    "paintEvent",	//390
    "paletteChange",	//391
    "parent",	//392
    "parent#",	//393
    "parentCollection",	//394
    "parentRemoteId",	//395
    "percent",	//396
    "percent$",	//397
    "progress",	//398
    "progressMessage",	//399
    "qt_metacall",	//400
    "qt_metacall$$?",	//401
    "qt_metacast",	//402
    "qt_metacast$",	//403
    "reconfigure",	//404
    "registerObserver",	//405
    "registerObserver#",	//406
    "reject",	//407
    "reloadConfiguration",	//408
    "remoteId",	//409
    "removeAttribute",	//410
    "removeAttribute#",	//411
    "removeColumns",	//412
    "removeInstance",	//413
    "removeInstance#",	//414
    "removeRows",	//415
    "resizeEvent",	//416
    "resource",	//417
    "restart",	//418
    "revert",	//419
    "rights",	//420
    "root",	//421
    "rowCount",	//422
    "rowCount#",	//423
    "self",	//424
    "serialized",	//425
    "setAgentName",	//426
    "setAgentName$",	//427
    "setCachePolicy",	//428
    "setCachePolicy#",	//429
    "setCacheTimeout",	//430
    "setCacheTimeout$",	//431
    "setCaption",	//432
    "setContentMimeTypes",	//433
    "setContentMimeTypes?",	//434
    "setData",	//435
    "setData##$",	//436
    "setHeaderData",	//437
    "setId",	//438
    "setId$",	//439
    "setInheritFromParent",	//440
    "setInheritFromParent$",	//441
    "setIntervalCheckTime",	//442
    "setIntervalCheckTime$",	//443
    "setIsOnline",	//444
    "setIsOnline$",	//445
    "setItemData",	//446
    "setLocalParts",	//447
    "setLocalParts?",	//448
    "setName",	//449
    "setName$",	//450
    "setNeedsNetwork",	//451
    "setNeedsNetwork$",	//452
    "setOnline",	//453
    "setOnline$",	//454
    "setParent",	//455
    "setParent#",	//456
    "setParent$",	//457
    "setParentCollection",	//458
    "setParentCollection#",	//459
    "setParentRemoteId",	//460
    "setParentRemoteId$",	//461
    "setPlainCaption",	//462
    "setRemoteId",	//463
    "setRemoteId$",	//464
    "setResource",	//465
    "setResource$",	//466
    "setRights",	//467
    "setRights$",	//468
    "setSourceModel",	//469
    "setStatistics",	//470
    "setStatistics#",	//471
    "setSyncOnDemand",	//472
    "setSyncOnDemand$",	//473
    "setVisible",	//474
    "showEvent",	//475
    "sizeHint",	//476
    "slotButtonClicked",	//477
    "sort",	//478
    "span",	//479
    "start",	//480
    "staticMetaObject",	//481
    "statistics",	//482
    "status",	//483
    "status$",	//484
    "status$$",	//485
    "statusMessage",	//486
    "styleChange",	//487
    "submit",	//488
    "supportedDropActions",	//489
    "syncOnDemand",	//490
    "synchronize",	//491
    "synchronizeCollection",	//492
    "synchronizeCollection#",	//493
    "synchronizeCollectionTree",	//494
    "tabletEvent",	//495
    "timerEvent",	//496
    "tr",	//497
    "tr$",	//498
    "tr$$",	//499
    "tr$$$",	//500
    "trUtf8",	//501
    "trUtf8$",	//502
    "trUtf8$$",	//503
    "trUtf8$$$",	//504
    "type",	//505
    "type$",	//506
    "typeAdded",	//507
    "typeAdded#",	//508
    "typeRemoved",	//509
    "typeRemoved#",	//510
    "types",	//511
    "url",	//512
    "warning",	//513
    "warning$",	//514
    "what",	//515
    "wheelEvent",	//516
    "winIdForDialogs",	//517
    "windowActivationChange",	//518
    "x11Event",	//519
    "~AgentBase",	//520
    "~AgentFilterProxyModel",	//521
    "~AgentInstance",	//522
    "~AgentInstanceCreateJob",	//523
    "~AgentInstanceModel",	//524
    "~AgentInstanceWidget",	//525
    "~AgentManager",	//526
    "~AgentType",	//527
    "~AgentTypeDialog",	//528
    "~AgentTypeModel",	//529
    "~AgentTypeWidget",	//530
    "~Attribute",	//531
    "~AttributeFactory",	//532
    "~CachePolicy",	//533
    "~Collection",	//534
    "~Entity",	//535
    "~Exception",	//536
    "~Observer",	//537
    "~ObserverV2",	//538
    "~PayloadException",	//539
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 497, 3, 2, Smoke::mf_static, 84, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 501, 3, 2, Smoke::mf_static, 84, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 497, 6, 3, Smoke::mf_static, 84, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 501, 6, 3, Smoke::mf_static, 84, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 483, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 8},	//8 Akonadi::AgentBase::status() const
    {1, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 248, 14, 1, Smoke::mf_virtual, 0, 12},	//12 Akonadi::AgentBase::configure(unsigned long)
    {1, 517, 0, 0, Smoke::mf_const, 238, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 314, 0, 0, Smoke::mf_const, 84, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 230, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 405, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 426, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 214, 0, 0, Smoke::mf_const, 84, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 215, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//19 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 483, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::status(int, const QString&)
    {1, 396, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::percent(int)
    {1, 513, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::warning(const QString&)
    {1, 286, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::error(const QString&)
    {1, 202, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::abortRequested()
    {1, 408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::reloadConfiguration()
    {1, 381, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::onlineChanged(bool)
    {1, 246, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 247, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 29},	//29 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 203, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//30 Akonadi::AgentBase::aboutToQuit()
    {1, 228, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 31},	//31 Akonadi::AgentBase::changeRecorder() const
    {1, 227, 0, 0, Smoke::mf_protected, 0, 32},	//32 Akonadi::AgentBase::changeProcessed()
    {1, 343, 0, 0, Smoke::mf_const|Smoke::mf_protected, 189, 33},	//33 Akonadi::AgentBase::isOnline() const
    {1, 451, 25, 1, Smoke::mf_protected, 0, 34},	//34 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 453, 25, 1, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 27, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 36},	//36 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 272, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//37 Akonadi::AgentBase::doSetOnline(bool)
    {1, 497, 1, 1, Smoke::mf_static, 84, 38},	//38 Akonadi::AgentBase::tr(const char*)
    {1, 501, 1, 1, Smoke::mf_static, 84, 39},	//39 Akonadi::AgentBase::trUtf8(const char*)
    {1, 483, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//40 Akonadi::AgentBase::status(int)
    {1, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 41},	//41 Akonadi::AgentBase::staticMetaObject() const
    {1, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 42},	//42 Akonadi::AgentBase::Idle (enum)
    {1, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 43},	//43 Akonadi::AgentBase::Running (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 44},	//44 Akonadi::AgentBase::Broken (enum)
    {1, 520, 0, 0, Smoke::mf_dtor, 0, 45 },	//45 Akonadi::AgentBase::~AgentBase()
    {2, 103, 0, 0, Smoke::mf_ctor, 2, 1},	//46 Akonadi::AgentBase::Observer::Observer()
    {2, 345, 30, 2, Smoke::mf_virtual, 0, 2},	//47 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 347, 33, 2, Smoke::mf_virtual, 0, 3},	//48 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 354, 36, 1, Smoke::mf_virtual, 0, 4},	//49 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 235, 38, 2, Smoke::mf_virtual, 0, 5},	//50 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 237, 41, 1, Smoke::mf_virtual, 0, 6},	//51 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 242, 41, 1, Smoke::mf_virtual, 0, 7},	//52 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 103, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//53 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 537, 0, 0, Smoke::mf_dtor, 0, 9 },	//54 Akonadi::AgentBase::Observer::~Observer()
    {3, 237, 41, 1, Smoke::mf_virtual, 0, 1},	//55 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 352, 45, 3, Smoke::mf_virtual, 0, 2},	//56 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 350, 30, 2, Smoke::mf_virtual, 0, 3},	//57 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 356, 30, 2, Smoke::mf_virtual, 0, 4},	//58 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 240, 49, 3, Smoke::mf_virtual, 0, 5},	//59 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 237, 53, 2, Smoke::mf_virtual, 0, 6},	//60 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 105, 0, 0, Smoke::mf_ctor, 3, 7},	//61 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 105, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//62 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 538, 0, 0, Smoke::mf_dtor, 0, 9 },	//63 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//64 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//65 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 497, 3, 2, Smoke::mf_static, 84, 3},	//66 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 501, 3, 2, Smoke::mf_static, 84, 4},	//67 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 497, 6, 3, Smoke::mf_static, 84, 5},	//68 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 501, 6, 3, Smoke::mf_static, 84, 6},	//69 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//70 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 58, 1, Smoke::mf_ctor, 6, 8},	//71 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 211, 18, 1, 0, 0, 9},	//72 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 209, 18, 1, 0, 0, 10},	//73 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 232, 0, 0, 0, 0, 11},	//74 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 293, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 12},	//75 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 497, 1, 1, Smoke::mf_static, 84, 13},	//76 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 501, 1, 1, Smoke::mf_static, 84, 14},	//77 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 15},	//78 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 16},	//79 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 521, 0, 0, Smoke::mf_dtor, 0, 17 },	//80 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//81 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//82 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 344, 0, 0, Smoke::mf_const, 189, 3},	//83 Akonadi::AgentInstance::isValid() const
    {6, 505, 0, 0, Smoke::mf_const, 16, 4},	//84 Akonadi::AgentInstance::type() const
    {6, 314, 0, 0, Smoke::mf_const, 84, 5},	//85 Akonadi::AgentInstance::identifier() const
    {6, 380, 0, 0, Smoke::mf_const, 84, 6},	//86 Akonadi::AgentInstance::name() const
    {6, 449, 18, 1, 0, 0, 7},	//87 Akonadi::AgentInstance::setName(const QString&)
    {6, 483, 0, 0, Smoke::mf_const, 10, 8},	//88 Akonadi::AgentInstance::status() const
    {6, 486, 0, 0, Smoke::mf_const, 84, 9},	//89 Akonadi::AgentInstance::statusMessage() const
    {6, 398, 0, 0, Smoke::mf_const, 233, 10},	//90 Akonadi::AgentInstance::progress() const
    {6, 343, 0, 0, Smoke::mf_const, 189, 11},	//91 Akonadi::AgentInstance::isOnline() const
    {6, 444, 25, 1, 0, 0, 12},	//92 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 248, 65, 1, 0, 0, 13},	//93 Akonadi::AgentInstance::configure(QWidget*)
    {6, 491, 0, 0, 0, 0, 14},	//94 Akonadi::AgentInstance::synchronize()
    {6, 494, 0, 0, 0, 0, 15},	//95 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 385, 63, 1, 0, 8, 16},	//96 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 387, 63, 1, Smoke::mf_const, 189, 17},	//97 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 201, 0, 0, Smoke::mf_const, 0, 18},	//98 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 404, 0, 0, Smoke::mf_const, 0, 19},	//99 Akonadi::AgentInstance::reconfigure() const
    {6, 418, 0, 0, Smoke::mf_const, 0, 20},	//100 Akonadi::AgentInstance::restart() const
    {6, 248, 0, 0, 0, 0, 21},	//101 Akonadi::AgentInstance::configure()
    {6, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//102 Akonadi::AgentInstance::Idle (enum)
    {6, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//103 Akonadi::AgentInstance::Running (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//104 Akonadi::AgentInstance::Broken (enum)
    {6, 522, 0, 0, Smoke::mf_dtor, 0, 25 },	//105 Akonadi::AgentInstance::~AgentInstance()
    {7, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//106 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//107 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 497, 3, 2, Smoke::mf_static, 84, 3},	//108 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 501, 3, 2, Smoke::mf_static, 84, 4},	//109 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 497, 6, 3, Smoke::mf_static, 84, 5},	//110 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 501, 6, 3, Smoke::mf_static, 84, 6},	//111 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//112 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 67, 2, Smoke::mf_ctor, 11, 8},	//113 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 10, 70, 2, Smoke::mf_ctor, 11, 9},	//114 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {7, 248, 65, 1, 0, 0, 10},	//115 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 323, 0, 0, Smoke::mf_const, 7, 11},	//116 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 480, 0, 0, Smoke::mf_virtual, 0, 12},	//117 Akonadi::AgentInstanceCreateJob::start()
    {7, 497, 1, 1, Smoke::mf_static, 84, 13},	//118 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 501, 1, 1, Smoke::mf_static, 84, 14},	//119 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 73, 1, Smoke::mf_ctor, 11, 15},	//120 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 10, 18, 1, Smoke::mf_ctor, 11, 16},	//121 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {7, 248, 0, 0, 0, 0, 17},	//122 Akonadi::AgentInstanceCreateJob::configure()
    {7, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 18},	//123 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 523, 0, 0, Smoke::mf_dtor, 0, 19 },	//124 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//125 Akonadi::AgentInstanceModel::metaObject() const
    {8, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//126 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 497, 3, 2, Smoke::mf_static, 84, 3},	//127 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 501, 3, 2, Smoke::mf_static, 84, 4},	//128 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 497, 6, 3, Smoke::mf_static, 84, 5},	//129 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 501, 6, 3, Smoke::mf_static, 84, 6},	//130 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//131 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 15, 58, 1, Smoke::mf_ctor, 12, 8},	//132 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 244, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//133 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 422, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//134 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 262, 77, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//135 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 306, 80, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 12},	//136 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 315, 84, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 13},	//137 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 392, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 14},	//138 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 295, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 15},	//139 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 435, 88, 3, Smoke::mf_virtual, 189, 16},	//140 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 497, 1, 1, Smoke::mf_static, 84, 17},	//141 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 501, 1, 1, Smoke::mf_static, 84, 18},	//142 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 15, 0, 0, Smoke::mf_ctor, 12, 19},	//143 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 244, 0, 0, Smoke::mf_const, 233, 20},	//144 Akonadi::AgentInstanceModel::columnCount() const
    {8, 422, 0, 0, Smoke::mf_const, 233, 21},	//145 Akonadi::AgentInstanceModel::rowCount() const
    {8, 262, 75, 1, Smoke::mf_const, 90, 22},	//146 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 306, 92, 2, Smoke::mf_const, 90, 23},	//147 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 315, 95, 2, Smoke::mf_const, 73, 24},	//148 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 25},	//149 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//150 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//151 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//152 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//153 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//154 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//155 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//156 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//157 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//158 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//159 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//160 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//161 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 524, 0, 0, Smoke::mf_dtor, 0, 38 },	//162 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//163 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//164 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 497, 3, 2, Smoke::mf_static, 84, 3},	//165 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 501, 3, 2, Smoke::mf_static, 84, 4},	//166 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 497, 6, 3, Smoke::mf_static, 84, 5},	//167 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 501, 6, 3, Smoke::mf_static, 84, 6},	//168 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//169 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 17, 65, 1, Smoke::mf_ctor, 14, 8},	//170 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 256, 0, 0, Smoke::mf_const, 7, 9},	//171 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 213, 0, 0, Smoke::mf_const, 6, 10},	//172 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 258, 98, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//173 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 277, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//174 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 497, 1, 1, Smoke::mf_static, 84, 13},	//175 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 501, 1, 1, Smoke::mf_static, 84, 14},	//176 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 17, 0, 0, Smoke::mf_ctor, 14, 15},	//177 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 16},	//178 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 525, 0, 0, Smoke::mf_dtor, 0, 17 },	//179 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 369, 0, 0, Smoke::mf_const, 217, 1},	//180 Akonadi::AgentManager::metaObject() const
    {10, 402, 1, 1, 0, 239, 2},	//181 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 497, 3, 2, Smoke::mf_static, 84, 3},	//182 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 501, 3, 2, Smoke::mf_static, 84, 4},	//183 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 497, 6, 3, Smoke::mf_static, 84, 5},	//184 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 501, 6, 3, Smoke::mf_static, 84, 6},	//185 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 400, 10, 3, 0, 233, 7},	//186 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 424, 0, 0, Smoke::mf_static, 15, 8},	//187 Akonadi::AgentManager::self()
    {10, 511, 0, 0, Smoke::mf_const, 67, 9},	//188 Akonadi::AgentManager::types() const
    {10, 505, 18, 1, Smoke::mf_const, 16, 10},	//189 Akonadi::AgentManager::type(const QString&) const
    {10, 341, 0, 0, Smoke::mf_const, 66, 11},	//190 Akonadi::AgentManager::instances() const
    {10, 323, 18, 1, Smoke::mf_const, 7, 12},	//191 Akonadi::AgentManager::instance(const QString&) const
    {10, 413, 63, 1, 0, 0, 13},	//192 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 492, 41, 1, 0, 0, 14},	//193 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 507, 73, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//194 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 509, 73, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//195 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 325, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//196 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 335, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//197 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 337, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//198 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 333, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//199 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 329, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//200 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 327, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//201 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 339, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//202 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 331, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//203 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 497, 1, 1, Smoke::mf_static, 84, 25},	//204 Akonadi::AgentManager::tr(const char*)
    {10, 501, 1, 1, Smoke::mf_static, 84, 26},	//205 Akonadi::AgentManager::trUtf8(const char*)
    {10, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 27},	//206 Akonadi::AgentManager::staticMetaObject() const
    {10, 526, 0, 0, Smoke::mf_dtor, 0, 28 },	//207 Akonadi::AgentManager::~AgentManager()
    {11, 19, 0, 0, Smoke::mf_ctor, 18, 1},	//208 Akonadi::AgentType::AgentType()
    {11, 19, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//209 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 344, 0, 0, Smoke::mf_const, 189, 3},	//210 Akonadi::AgentType::isValid() const
    {11, 314, 0, 0, Smoke::mf_const, 84, 4},	//211 Akonadi::AgentType::identifier() const
    {11, 380, 0, 0, Smoke::mf_const, 84, 5},	//212 Akonadi::AgentType::name() const
    {11, 265, 0, 0, Smoke::mf_const, 84, 6},	//213 Akonadi::AgentType::description() const
    {11, 312, 0, 0, Smoke::mf_const, 84, 7},	//214 Akonadi::AgentType::iconName() const
    {11, 311, 0, 0, Smoke::mf_const, 62, 8},	//215 Akonadi::AgentType::icon() const
    {11, 373, 0, 0, Smoke::mf_const, 85, 9},	//216 Akonadi::AgentType::mimeTypes() const
    {11, 225, 0, 0, Smoke::mf_const, 85, 10},	//217 Akonadi::AgentType::capabilities() const
    {11, 385, 73, 1, 0, 17, 11},	//218 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 387, 73, 1, Smoke::mf_const, 189, 12},	//219 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 527, 0, 0, Smoke::mf_dtor, 0, 13 },	//220 Akonadi::AgentType::~AgentType()
    {12, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//221 Akonadi::AgentTypeDialog::metaObject() const
    {12, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//222 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 497, 3, 2, Smoke::mf_static, 84, 3},	//223 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 501, 3, 2, Smoke::mf_static, 84, 4},	//224 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 497, 6, 3, Smoke::mf_static, 84, 5},	//225 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 501, 6, 3, Smoke::mf_static, 84, 6},	//226 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//227 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 21, 65, 1, Smoke::mf_ctor, 19, 8},	//228 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 217, 0, 0, Smoke::mf_const, 16, 9},	//229 Akonadi::AgentTypeDialog::agentType() const
    {12, 213, 0, 0, Smoke::mf_const, 6, 10},	//230 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 275, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//231 Akonadi::AgentTypeDialog::done(int)
    {12, 497, 1, 1, Smoke::mf_static, 84, 12},	//232 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 501, 1, 1, Smoke::mf_static, 84, 13},	//233 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 21, 0, 0, Smoke::mf_ctor, 19, 14},	//234 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 15},	//235 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 528, 0, 0, Smoke::mf_dtor, 0, 16 },	//236 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//237 Akonadi::AgentTypeModel::metaObject() const
    {13, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//238 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 497, 3, 2, Smoke::mf_static, 84, 3},	//239 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 501, 3, 2, Smoke::mf_static, 84, 4},	//240 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 497, 6, 3, Smoke::mf_static, 84, 5},	//241 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 501, 6, 3, Smoke::mf_static, 84, 6},	//242 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//243 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 23, 58, 1, Smoke::mf_ctor, 20, 8},	//244 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 244, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//245 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 422, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 10},	//246 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 262, 77, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//247 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 315, 84, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 12},	//248 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 392, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 13},	//249 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 295, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 14},	//250 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 497, 1, 1, Smoke::mf_static, 84, 15},	//251 Akonadi::AgentTypeModel::tr(const char*)
    {13, 501, 1, 1, Smoke::mf_static, 84, 16},	//252 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 23, 0, 0, Smoke::mf_ctor, 20, 17},	//253 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 244, 0, 0, Smoke::mf_const, 233, 18},	//254 Akonadi::AgentTypeModel::columnCount() const
    {13, 422, 0, 0, Smoke::mf_const, 233, 19},	//255 Akonadi::AgentTypeModel::rowCount() const
    {13, 262, 75, 1, Smoke::mf_const, 90, 20},	//256 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 315, 95, 2, Smoke::mf_const, 73, 21},	//257 Akonadi::AgentTypeModel::index(int, int) const
    {13, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 22},	//258 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//259 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//260 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//261 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//262 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//263 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//264 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 529, 0, 0, Smoke::mf_dtor, 0, 29 },	//265 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 1},	//266 Akonadi::AgentTypeWidget::metaObject() const
    {14, 402, 1, 1, Smoke::mf_virtual, 239, 2},	//267 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 497, 3, 2, Smoke::mf_static, 84, 3},	//268 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 501, 3, 2, Smoke::mf_static, 84, 4},	//269 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 497, 6, 3, Smoke::mf_static, 84, 5},	//270 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 501, 6, 3, Smoke::mf_static, 84, 6},	//271 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 400, 10, 3, Smoke::mf_virtual, 233, 7},	//272 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 25, 65, 1, Smoke::mf_ctor, 22, 8},	//273 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 257, 0, 0, Smoke::mf_const, 16, 9},	//274 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 213, 0, 0, Smoke::mf_const, 6, 10},	//275 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 258, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//276 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 206, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//277 Akonadi::AgentTypeWidget::activated()
    {14, 497, 1, 1, Smoke::mf_static, 84, 13},	//278 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 501, 1, 1, Smoke::mf_static, 84, 14},	//279 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 25, 0, 0, Smoke::mf_ctor, 22, 15},	//280 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 481, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 216, 16},	//281 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 530, 0, 0, Smoke::mf_dtor, 0, 17 },	//282 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 505, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//283 Akonadi::Attribute::type() const [pure virtual]
    {15, 233, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//284 Akonadi::Attribute::clone() const [pure virtual]
    {15, 425, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//285 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 266, 110, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//286 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 30, 0, 0, Smoke::mf_ctor, 23, 5},	//287 Akonadi::Attribute::Attribute()
    {15, 30, 112, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//288 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 531, 0, 0, Smoke::mf_dtor, 0, 7 },	//289 Akonadi::Attribute::~Attribute()
    {16, 254, 110, 1, Smoke::mf_static, 23, 1},	//290 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//291 Akonadi::AttributeFactory::AttributeFactory()
    {16, 32, 114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//292 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 532, 0, 0, Smoke::mf_dtor, 0, 4 },	//293 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 36, 0, 0, Smoke::mf_ctor, 27, 1},	//294 Akonadi::CachePolicy::CachePolicy()
    {17, 36, 116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//295 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 318, 0, 0, Smoke::mf_const, 189, 3},	//296 Akonadi::CachePolicy::inheritFromParent() const
    {17, 440, 25, 1, 0, 0, 4},	//297 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 363, 0, 0, Smoke::mf_const, 85, 5},	//298 Akonadi::CachePolicy::localParts() const
    {17, 447, 118, 1, 0, 0, 6},	//299 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 223, 0, 0, Smoke::mf_const, 233, 7},	//300 Akonadi::CachePolicy::cacheTimeout() const
    {17, 430, 23, 1, 0, 0, 8},	//301 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 342, 0, 0, Smoke::mf_const, 233, 9},	//302 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 442, 23, 1, 0, 0, 10},	//303 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 490, 0, 0, Smoke::mf_const, 189, 11},	//304 Akonadi::CachePolicy::syncOnDemand() const
    {17, 472, 25, 1, 0, 0, 12},	//305 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 385, 116, 1, 0, 26, 13},	//306 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 387, 116, 1, Smoke::mf_const, 189, 14},	//307 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 533, 0, 0, Smoke::mf_dtor, 0, 15 },	//308 Akonadi::CachePolicy::~CachePolicy()
    {19, 49, 0, 0, Smoke::mf_ctor, 31, 1},	//309 Akonadi::Collection::Collection()
    {19, 49, 120, 1, Smoke::mf_ctor, 31, 2},	//310 Akonadi::Collection::Collection(long long)
    {19, 49, 41, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//311 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 301, 122, 1, Smoke::mf_static, 29, 4},	//312 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 380, 0, 0, Smoke::mf_const, 84, 5},	//313 Akonadi::Collection::name() const
    {19, 449, 18, 1, 0, 0, 6},	//314 Akonadi::Collection::setName(const QString&)
    {19, 420, 0, 0, Smoke::mf_const, 33, 7},	//315 Akonadi::Collection::rights() const
    {19, 467, 124, 1, 0, 0, 8},	//316 Akonadi::Collection::setRights(Akonadi::Collection::Rights)
    {19, 252, 0, 0, Smoke::mf_const, 85, 9},	//317 Akonadi::Collection::contentMimeTypes() const
    {19, 433, 118, 1, 0, 0, 10},	//318 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 392, 0, 0, Smoke::mf_const, 235, 11},	//319 Akonadi::Collection::parent() const
    {19, 455, 120, 1, 0, 0, 12},	//320 Akonadi::Collection::setParent(long long)
    {19, 455, 41, 1, 0, 0, 13},	//321 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 395, 0, 0, Smoke::mf_const, 84, 14},	//322 Akonadi::Collection::parentRemoteId() const
    {19, 460, 18, 1, 0, 0, 15},	//323 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 421, 0, 0, Smoke::mf_static, 29, 16},	//324 Akonadi::Collection::root()
    {19, 372, 0, 0, Smoke::mf_static, 84, 17},	//325 Akonadi::Collection::mimeType()
    {19, 417, 0, 0, Smoke::mf_const, 84, 18},	//326 Akonadi::Collection::resource() const
    {19, 465, 18, 1, 0, 0, 19},	//327 Akonadi::Collection::setResource(const QString&)
    {19, 222, 0, 0, Smoke::mf_const, 25, 20},	//328 Akonadi::Collection::cachePolicy() const
    {19, 428, 116, 1, 0, 0, 21},	//329 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 482, 0, 0, Smoke::mf_const, 34, 22},	//330 Akonadi::Collection::statistics() const
    {19, 470, 126, 1, 0, 0, 23},	//331 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 512, 0, 0, Smoke::mf_const, 47, 24},	//332 Akonadi::Collection::url() const
    {19, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//333 Akonadi::Collection::ReadOnly (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//334 Akonadi::Collection::CanChangeItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//335 Akonadi::Collection::CanCreateItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//336 Akonadi::Collection::CanDeleteItem (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//337 Akonadi::Collection::CanChangeCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//338 Akonadi::Collection::CanCreateCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//339 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//340 Akonadi::Collection::CanLinkItem (enum)
    {19, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//341 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//342 Akonadi::Collection::AllRights (enum)
    {19, 534, 0, 0, Smoke::mf_dtor, 0, 35 },	//343 Akonadi::Collection::~Collection()
    {21, 438, 120, 1, 0, 0, 1},	//344 Akonadi::Entity::setId(long long)
    {21, 313, 0, 0, Smoke::mf_const, 235, 2},	//345 Akonadi::Entity::id() const
    {21, 463, 18, 1, 0, 0, 3},	//346 Akonadi::Entity::setRemoteId(const QString&)
    {21, 409, 0, 0, Smoke::mf_const, 84, 4},	//347 Akonadi::Entity::remoteId() const
    {21, 344, 0, 0, Smoke::mf_const, 189, 5},	//348 Akonadi::Entity::isValid() const
    {21, 387, 128, 1, Smoke::mf_const, 189, 6},	//349 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 383, 128, 1, Smoke::mf_const, 189, 7},	//350 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 385, 128, 1, 0, 35, 8},	//351 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 394, 0, 0, Smoke::mf_const, 29, 9},	//352 Akonadi::Entity::parentCollection() const
    {21, 394, 0, 0, 0, 30, 10},	//353 Akonadi::Entity::parentCollection()
    {21, 458, 41, 1, 0, 0, 11},	//354 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 207, 130, 1, 0, 0, 12},	//355 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 410, 110, 1, 0, 0, 13},	//356 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 303, 110, 1, Smoke::mf_const, 189, 14},	//357 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 220, 0, 0, Smoke::mf_const, 68, 15},	//358 Akonadi::Entity::attributes() const
    {21, 231, 0, 0, 0, 0, 16},	//359 Akonadi::Entity::clearAttributes()
    {21, 218, 110, 1, Smoke::mf_const, 23, 17},	//360 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 60, 128, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 36, 18},	//361 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 60, 132, 1, Smoke::mf_ctor|Smoke::mf_protected, 36, 19},	//362 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 261, 0, 0, Smoke::mf_protected, 38, 20},	//363 Akonadi::Entity::d_func()
    {21, 261, 0, 0, Smoke::mf_const|Smoke::mf_protected, 205, 21},	//364 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 22},	//365 Akonadi::Entity::AddIfMissing (enum)
    {21, 535, 0, 0, Smoke::mf_dtor, 0, 23 },	//366 Akonadi::Entity::~Entity()
    {23, 62, 1, 1, Smoke::mf_ctor, 39, 1},	//367 Akonadi::Exception::Exception(const char*)
    {23, 62, 110, 1, Smoke::mf_ctor, 39, 2},	//368 Akonadi::Exception::Exception(const QByteArray&)
    {23, 62, 18, 1, Smoke::mf_ctor, 39, 3},	//369 Akonadi::Exception::Exception(const QString&)
    {23, 62, 134, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 4},	//370 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 515, 0, 0, Smoke::mf_const, 230, 5},	//371 Akonadi::Exception::what() const
    {23, 505, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 6},	//372 Akonadi::Exception::type() const
    {23, 536, 0, 0, Smoke::mf_dtor, 0, 7 },	//373 Akonadi::Exception::~Exception()
    {25, 109, 1, 1, Smoke::mf_ctor, 40, 1},	//374 Akonadi::PayloadException::PayloadException(const char*)
    {25, 109, 110, 1, Smoke::mf_ctor, 40, 2},	//375 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 109, 18, 1, Smoke::mf_ctor, 40, 3},	//376 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 505, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 4},	//377 Akonadi::PayloadException::type() const
    {25, 109, 136, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 5},	//378 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 539, 0, 0, Smoke::mf_dtor, 0, 6 },	//379 Akonadi::PayloadException::~PayloadException()
    {28, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//380 KDialog::sizeHint() const
    {28, 374, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//381 KDialog::minimumSizeHint() const
    {28, 432, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//382 KDialog::setCaption(const QString&)
    {28, 432, 138, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//383 KDialog::setCaption(const QString&, bool)
    {28, 462, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//384 KDialog::setPlainCaption(const QString&)
    {28, 310, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//385 KDialog::hideEvent(QHideEvent*)
    {28, 234, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//386 KDialog::closeEvent(QCloseEvent*)
    {28, 358, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//387 KDialog::keyPressEvent(QKeyEvent*)
    {28, 477, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//388 KDialog::slotButtonClicked(int)
    {29, 270, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//389 KJob::doKill()
    {29, 274, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//390 KJob::doSuspend()
    {29, 271, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//391 KJob::doResume()
    {29, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 0},	//392 KJob::errorString() const
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 5},	//393 KJob::NoError (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 6},	//394 KJob::KilledJobError (enum)
    {29, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 7},	//395 KJob::UserDefinedError (enum)
    {33, 305, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 0},	//396 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 435, 88, 3, Smoke::mf_virtual, 189, 0},	//397 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 306, 80, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//398 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 437, 147, 4, Smoke::mf_virtual, 189, 0},	//399 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 349, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//400 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 446, 152, 2, Smoke::mf_virtual, 189, 0},	//401 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 0},	//402 QAbstractItemModel::mimeTypes() const
    {33, 371, 155, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//403 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 283, 157, 5, Smoke::mf_virtual, 189, 0},	//404 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 0},	//405 QAbstractItemModel::supportedDropActions() const
    {33, 322, 84, 3, Smoke::mf_virtual, 189, 0},	//406 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 321, 84, 3, Smoke::mf_virtual, 189, 0},	//407 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 415, 84, 3, Smoke::mf_virtual, 189, 0},	//408 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 412, 84, 3, Smoke::mf_virtual, 189, 0},	//409 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 291, 75, 1, Smoke::mf_virtual, 0, 0},	//410 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 224, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 0},	//411 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 478, 163, 2, Smoke::mf_virtual, 0, 0},	//412 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 221, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//413 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 368, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//414 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {33, 479, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//415 QAbstractItemModel::span(const QModelIndex&) const
    {33, 488, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 189, 0},	//416 QAbstractItemModel::submit()
    {33, 419, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//417 QAbstractItemModel::revert()
    {34, 488, 0, 0, Smoke::mf_virtual, 189, 0},	//418 QAbstractProxyModel::submit()
    {34, 419, 0, 0, Smoke::mf_virtual, 0, 0},	//419 QAbstractProxyModel::revert()
    {34, 349, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//420 QAbstractProxyModel::itemData(const QModelIndex&) const
    {42, 474, 25, 1, Smoke::mf_virtual, 0, 0},	//421 QDialog::setVisible(bool)
    {42, 204, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//422 QDialog::accept()
    {42, 407, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//423 QDialog::reject()
    {42, 475, 172, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//424 QDialog::showEvent(QShowEvent*)
    {42, 416, 174, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//425 QDialog::resizeEvent(QResizeEvent*)
    {42, 253, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//426 QDialog::contextMenuEvent(QContextMenuEvent*)
    {42, 290, 178, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//427 QDialog::eventFilter(QObject*, QEvent*)
    {50, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 1},	//428 QGlobalSpace::_CS_PATH (enum)
    {50, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 2},	//429 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {50, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 3},	//430 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {50, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 4},	//431 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 5},	//432 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {50, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 6},	//433 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {50, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 7},	//434 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {50, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 8},	//435 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {50, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 9},	//436 QGlobalSpace::_CS_LFS_LIBS (enum)
    {50, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 10},	//437 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {50, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 11},	//438 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {50, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 12},	//439 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {50, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 13},	//440 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {50, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 14},	//441 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {50, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 15},	//442 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {50, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 16},	//443 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {50, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 17},	//444 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {50, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 18},	//445 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {50, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 19},	//446 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {50, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 20},	//447 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 21},	//448 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {50, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 22},	//449 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 23},	//450 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {50, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 24},	//451 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {50, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 25},	//452 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {50, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 26},	//453 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {50, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 27},	//454 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 28},	//455 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 29},	//456 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {50, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 30},	//457 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 31},	//458 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {50, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 32},	//459 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {50, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 33},	//460 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {50, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 34},	//461 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {50, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 35},	//462 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {50, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 36},	//463 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 37},	//464 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {50, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 38},	//465 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 39},	//466 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {50, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 40},	//467 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {50, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 41},	//468 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {50, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 42},	//469 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {50, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 43},	//470 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 44},	//471 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 45},	//472 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 46},	//473 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 47},	//474 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 48},	//475 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 49},	//476 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 50},	//477 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 51},	//478 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 52},	//479 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 53},	//480 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 54},	//481 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 55},	//482 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {50, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 56},	//483 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {50, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 57},	//484 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 58},	//485 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 59},	//486 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 60},	//487 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 61},	//488 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 62},	//489 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 63},	//490 QGlobalSpace::LicensedGui (enum)
    {50, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 64},	//491 QGlobalSpace::LicensedXml (enum)
    {50, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 65},	//492 QGlobalSpace::LicensedQt3SupportLight (enum)
    {50, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 66},	//493 QGlobalSpace::LicensedScript (enum)
    {50, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 67},	//494 QGlobalSpace::LicensedOpenVG (enum)
    {50, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 68},	//495 QGlobalSpace::LicensedDBus (enum)
    {50, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 69},	//496 QGlobalSpace::LicensedTest (enum)
    {50, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 70},	//497 QGlobalSpace::LicensedActiveQt (enum)
    {50, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 71},	//498 QGlobalSpace::LicensedScriptTools (enum)
    {50, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 72},	//499 QGlobalSpace::LicensedSvg (enum)
    {50, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 73},	//500 QGlobalSpace::LicensedDeclarative (enum)
    {50, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 74},	//501 QGlobalSpace::LicensedSql (enum)
    {50, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 75},	//502 QGlobalSpace::LicensedOpenGL (enum)
    {50, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 76},	//503 QGlobalSpace::LicensedCore (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 77},	//504 QGlobalSpace::QtDebugMsg (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 78},	//505 QGlobalSpace::QtWarningMsg (enum)
    {50, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 79},	//506 QGlobalSpace::QtCriticalMsg (enum)
    {50, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 80},	//507 QGlobalSpace::QtFatalMsg (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 81},	//508 QGlobalSpace::QtSystemMsg (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 82},	//509 QGlobalSpace::LicensedHelp (enum)
    {50, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 83},	//510 QGlobalSpace::LicensedMultimedia (enum)
    {50, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 84},	//511 QGlobalSpace::LicensedQt3Support (enum)
    {50, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 85},	//512 QGlobalSpace::LicensedXmlPatterns (enum)
    {50, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 86},	//513 QGlobalSpace::LicensedNetwork (enum)
    {50, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 87},	//514 QGlobalSpace::__codecvt_ok (enum)
    {50, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 88},	//515 QGlobalSpace::__codecvt_partial (enum)
    {50, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 89},	//516 QGlobalSpace::__codecvt_error (enum)
    {50, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 90},	//517 QGlobalSpace::__codecvt_noconv (enum)
    {61, 289, 181, 1, Smoke::mf_virtual, 189, 0},	//518 QObject::event(QEvent*)
    {61, 290, 178, 2, Smoke::mf_virtual, 189, 0},	//519 QObject::eventFilter(QObject*, QEvent*)
    {61, 496, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//520 QObject::timerEvent(QTimerEvent*)
    {61, 229, 185, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//521 QObject::childEvent(QChildEvent*)
    {61, 260, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//522 QObject::customEvent(QEvent*)
    {61, 251, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//523 QObject::connectNotify(const char*)
    {61, 269, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//524 QObject::disconnectNotify(const char*)
    {69, 469, 187, 1, Smoke::mf_virtual, 0, 0},	//525 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {69, 367, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//526 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {69, 364, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//527 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {69, 366, 189, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//528 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {69, 365, 189, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//529 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {69, 292, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//530 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {69, 362, 191, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//531 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {69, 315, 84, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//532 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {69, 392, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//533 QSortFilterProxyModel::parent(const QModelIndex&) const
    {69, 422, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//534 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {69, 244, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//535 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {69, 305, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 0},	//536 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {69, 262, 77, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//537 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {69, 435, 88, 3, Smoke::mf_virtual, 189, 0},	//538 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {69, 306, 80, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//539 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {69, 437, 147, 4, Smoke::mf_virtual, 189, 0},	//540 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {69, 371, 155, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//541 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {69, 283, 157, 5, Smoke::mf_virtual, 189, 0},	//542 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {69, 322, 84, 3, Smoke::mf_virtual, 189, 0},	//543 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {69, 321, 84, 3, Smoke::mf_virtual, 189, 0},	//544 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {69, 415, 84, 3, Smoke::mf_virtual, 189, 0},	//545 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {69, 412, 84, 3, Smoke::mf_virtual, 189, 0},	//546 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {69, 291, 75, 1, Smoke::mf_virtual, 0, 0},	//547 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {69, 224, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 0},	//548 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {69, 295, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 0},	//549 QSortFilterProxyModel::flags(const QModelIndex&) const
    {69, 221, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//550 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {69, 368, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//551 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {69, 479, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//552 QSortFilterProxyModel::span(const QModelIndex&) const
    {69, 478, 163, 2, Smoke::mf_virtual, 0, 0},	//553 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {69, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 0},	//554 QSortFilterProxyModel::mimeTypes() const
    {69, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 0},	//555 QSortFilterProxyModel::supportedDropActions() const
    {75, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//556 QWidget::devType() const
    {75, 474, 25, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//557 QWidget::setVisible(bool)
    {75, 476, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 83, 0},	//558 QWidget::sizeHint() const
    {75, 374, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 83, 0},	//559 QWidget::minimumSizeHint() const
    {75, 309, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//560 QWidget::heightForWidth(int) const
    {75, 389, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//561 QWidget::paintEngine() const
    {75, 289, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//562 QWidget::event(QEvent*)
    {75, 377, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//563 QWidget::mousePressEvent(QMouseEvent*)
    {75, 378, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//564 QWidget::mouseReleaseEvent(QMouseEvent*)
    {75, 375, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//565 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {75, 376, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//566 QWidget::mouseMoveEvent(QMouseEvent*)
    {75, 516, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//567 QWidget::wheelEvent(QWheelEvent*)
    {75, 358, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//568 QWidget::keyPressEvent(QKeyEvent*)
    {75, 359, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//569 QWidget::keyReleaseEvent(QKeyEvent*)
    {75, 297, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//570 QWidget::focusInEvent(QFocusEvent*)
    {75, 299, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//571 QWidget::focusOutEvent(QFocusEvent*)
    {75, 285, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//572 QWidget::enterEvent(QEvent*)
    {75, 361, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//573 QWidget::leaveEvent(QEvent*)
    {75, 390, 200, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//574 QWidget::paintEvent(QPaintEvent*)
    {75, 379, 202, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::moveEvent(QMoveEvent*)
    {75, 416, 174, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::resizeEvent(QResizeEvent*)
    {75, 234, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::closeEvent(QCloseEvent*)
    {75, 253, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::contextMenuEvent(QContextMenuEvent*)
    {75, 495, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::tabletEvent(QTabletEvent*)
    {75, 205, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::actionEvent(QActionEvent*)
    {75, 279, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::dragEnterEvent(QDragEnterEvent*)
    {75, 281, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::dragMoveEvent(QDragMoveEvent*)
    {75, 280, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {75, 282, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::dropEvent(QDropEvent*)
    {75, 475, 172, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::showEvent(QShowEvent*)
    {75, 310, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::hideEvent(QHideEvent*)
    {75, 519, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//587 QWidget::x11Event(_XEvent*)
    {75, 226, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::changeEvent(QEvent*)
    {75, 370, 218, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 233, 0},	//589 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {75, 319, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::inputMethodEvent(QInputMethodEvent*)
    {75, 320, 222, 1, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//591 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {75, 298, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//592 QWidget::focusNextPrevChild(bool)
    {75, 487, 224, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::styleChange(QStyle&)
    {75, 284, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::enabledChange(bool)
    {75, 391, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::paletteChange(const QPalette&)
    {75, 300, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::fontChange(const QFont&)
    {75, 518, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::windowActivationChange(bool)
    {75, 360, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    368,  // Akonadi::Exception::Exception(const QByteArray&)
    370,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    367,  // Akonadi::Exception::Exception(const char*)
    369,  // Akonadi::Exception::Exception(const QString&)
    0,
    375,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    378,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    374,  // Akonadi::PayloadException::PayloadException(const char*)
    376,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    361,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    362,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    363,  // Akonadi::Entity::d_func()
    364,  // Akonadi::Entity::d_func() const
    0,
    352,  // Akonadi::Entity::parentCollection() const
    353,  // Akonadi::Entity::parentCollection()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 36},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 29},	// Akonadi::AgentBase::AgentBase$
    {1, 34, 44},	// Akonadi::AgentBase::Broken
    {1, 69, 42},	// Akonadi::AgentBase::Idle
    {1, 122, 43},	// Akonadi::AgentBase::Running
    {1, 202, 24},	// Akonadi::AgentBase::abortRequested
    {1, 203, 30},	// Akonadi::AgentBase::aboutToQuit
    {1, 214, 18},	// Akonadi::AgentBase::agentName
    {1, 216, 19},	// Akonadi::AgentBase::agentNameChanged$
    {1, 227, 32},	// Akonadi::AgentBase::changeProcessed
    {1, 228, 31},	// Akonadi::AgentBase::changeRecorder
    {1, 230, 15},	// Akonadi::AgentBase::cleanup
    {1, 246, 27},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 247, 28},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 250, 12},	// Akonadi::AgentBase::configure$
    {1, 273, 37},	// Akonadi::AgentBase::doSetOnline$
    {1, 287, 23},	// Akonadi::AgentBase::error$
    {1, 314, 14},	// Akonadi::AgentBase::identifier
    {1, 343, 33},	// Akonadi::AgentBase::isOnline
    {1, 369, 1},	// Akonadi::AgentBase::metaObject
    {1, 382, 26},	// Akonadi::AgentBase::onlineChanged$
    {1, 397, 21},	// Akonadi::AgentBase::percent$
    {1, 398, 10},	// Akonadi::AgentBase::progress
    {1, 399, 11},	// Akonadi::AgentBase::progressMessage
    {1, 401, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 403, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 406, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 408, 25},	// Akonadi::AgentBase::reloadConfiguration
    {1, 427, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 452, 34},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 454, 35},	// Akonadi::AgentBase::setOnline$
    {1, 481, 41},	// Akonadi::AgentBase::staticMetaObject
    {1, 483, 8},	// Akonadi::AgentBase::status
    {1, 484, 40},	// Akonadi::AgentBase::status$
    {1, 485, 20},	// Akonadi::AgentBase::status$$
    {1, 486, 9},	// Akonadi::AgentBase::statusMessage
    {1, 498, 38},	// Akonadi::AgentBase::tr$
    {1, 499, 3},	// Akonadi::AgentBase::tr$$
    {1, 500, 5},	// Akonadi::AgentBase::tr$$$
    {1, 502, 39},	// Akonadi::AgentBase::trUtf8$
    {1, 503, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 504, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 514, 22},	// Akonadi::AgentBase::warning$
    {1, 517, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 520, 45},	// Akonadi::AgentBase::~AgentBase
    {2, 103, 46},	// Akonadi::AgentBase::Observer::Observer
    {2, 104, 53},	// Akonadi::AgentBase::Observer::Observer#
    {2, 236, 50},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 238, 51},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 243, 52},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 346, 47},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 348, 48},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 355, 49},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 537, 54},	// Akonadi::AgentBase::Observer::~Observer
    {3, 105, 61},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 106, 62},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 238, 55},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 239, 60},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 241, 59},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 351, 57},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 353, 56},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 357, 58},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 538, 63},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 78},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 71},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 210, 73},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 212, 72},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 232, 74},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 294, 75},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 369, 64},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 401, 70},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 403, 65},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 481, 79},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 498, 76},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 499, 66},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 500, 68},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 502, 77},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 503, 67},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 504, 69},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 521, 80},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 81},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 82},	// Akonadi::AgentInstance::AgentInstance#
    {6, 34, 104},	// Akonadi::AgentInstance::Broken
    {6, 69, 102},	// Akonadi::AgentInstance::Idle
    {6, 122, 103},	// Akonadi::AgentInstance::Running
    {6, 201, 98},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 248, 101},	// Akonadi::AgentInstance::configure
    {6, 249, 93},	// Akonadi::AgentInstance::configure#
    {6, 314, 85},	// Akonadi::AgentInstance::identifier
    {6, 343, 91},	// Akonadi::AgentInstance::isOnline
    {6, 344, 83},	// Akonadi::AgentInstance::isValid
    {6, 380, 86},	// Akonadi::AgentInstance::name
    {6, 386, 96},	// Akonadi::AgentInstance::operator=#
    {6, 388, 97},	// Akonadi::AgentInstance::operator==#
    {6, 398, 90},	// Akonadi::AgentInstance::progress
    {6, 404, 99},	// Akonadi::AgentInstance::reconfigure
    {6, 418, 100},	// Akonadi::AgentInstance::restart
    {6, 445, 92},	// Akonadi::AgentInstance::setIsOnline$
    {6, 450, 87},	// Akonadi::AgentInstance::setName$
    {6, 483, 88},	// Akonadi::AgentInstance::status
    {6, 486, 89},	// Akonadi::AgentInstance::statusMessage
    {6, 491, 94},	// Akonadi::AgentInstance::synchronize
    {6, 494, 95},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 505, 84},	// Akonadi::AgentInstance::type
    {6, 522, 105},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 120},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 113},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 13, 121},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {7, 14, 114},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {7, 248, 122},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 249, 115},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 323, 116},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 369, 106},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 401, 112},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 403, 107},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 480, 117},	// Akonadi::AgentInstanceCreateJob::start
    {7, 481, 123},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 498, 118},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 499, 108},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 500, 110},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 502, 119},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 503, 109},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 504, 111},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 523, 124},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 15, 143},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 16, 132},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 47, 154},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 54, 152},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 71, 156},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 72, 155},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 95, 153},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 108, 160},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 112, 159},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 123, 158},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 124, 157},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 127, 151},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 128, 150},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 133, 161},	// Akonadi::AgentInstanceModel::UserRole
    {8, 244, 144},	// Akonadi::AgentInstanceModel::columnCount
    {8, 245, 133},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 263, 146},	// Akonadi::AgentInstanceModel::data#
    {8, 264, 135},	// Akonadi::AgentInstanceModel::data#$
    {8, 296, 139},	// Akonadi::AgentInstanceModel::flags#
    {8, 307, 147},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 308, 136},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 316, 148},	// Akonadi::AgentInstanceModel::index$$
    {8, 317, 137},	// Akonadi::AgentInstanceModel::index$$#
    {8, 369, 125},	// Akonadi::AgentInstanceModel::metaObject
    {8, 393, 138},	// Akonadi::AgentInstanceModel::parent#
    {8, 401, 131},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 403, 126},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 422, 145},	// Akonadi::AgentInstanceModel::rowCount
    {8, 423, 134},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 436, 140},	// Akonadi::AgentInstanceModel::setData##$
    {8, 481, 149},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 498, 141},	// Akonadi::AgentInstanceModel::tr$
    {8, 499, 127},	// Akonadi::AgentInstanceModel::tr$$
    {8, 500, 129},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 502, 142},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 503, 128},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 504, 130},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 524, 162},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 17, 177},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 18, 170},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 213, 172},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 256, 171},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 259, 173},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 278, 174},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 369, 163},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 401, 169},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 403, 164},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 481, 178},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 498, 175},	// Akonadi::AgentInstanceWidget::tr$
    {9, 499, 165},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 500, 167},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 502, 176},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 503, 166},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 504, 168},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 525, 179},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 324, 191},	// Akonadi::AgentManager::instance$
    {10, 326, 196},	// Akonadi::AgentManager::instanceAdded#
    {10, 328, 201},	// Akonadi::AgentManager::instanceError#$
    {10, 330, 200},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 332, 203},	// Akonadi::AgentManager::instanceOnline#$
    {10, 334, 199},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 336, 197},	// Akonadi::AgentManager::instanceRemoved#
    {10, 338, 198},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 340, 202},	// Akonadi::AgentManager::instanceWarning#$
    {10, 341, 190},	// Akonadi::AgentManager::instances
    {10, 369, 180},	// Akonadi::AgentManager::metaObject
    {10, 401, 186},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 403, 181},	// Akonadi::AgentManager::qt_metacast$
    {10, 414, 192},	// Akonadi::AgentManager::removeInstance#
    {10, 424, 187},	// Akonadi::AgentManager::self
    {10, 481, 206},	// Akonadi::AgentManager::staticMetaObject
    {10, 493, 193},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 498, 204},	// Akonadi::AgentManager::tr$
    {10, 499, 182},	// Akonadi::AgentManager::tr$$
    {10, 500, 184},	// Akonadi::AgentManager::tr$$$
    {10, 502, 205},	// Akonadi::AgentManager::trUtf8$
    {10, 503, 183},	// Akonadi::AgentManager::trUtf8$$
    {10, 504, 185},	// Akonadi::AgentManager::trUtf8$$$
    {10, 506, 189},	// Akonadi::AgentManager::type$
    {10, 508, 194},	// Akonadi::AgentManager::typeAdded#
    {10, 510, 195},	// Akonadi::AgentManager::typeRemoved#
    {10, 511, 188},	// Akonadi::AgentManager::types
    {10, 526, 207},	// Akonadi::AgentManager::~AgentManager
    {11, 19, 208},	// Akonadi::AgentType::AgentType
    {11, 20, 209},	// Akonadi::AgentType::AgentType#
    {11, 225, 217},	// Akonadi::AgentType::capabilities
    {11, 265, 213},	// Akonadi::AgentType::description
    {11, 311, 215},	// Akonadi::AgentType::icon
    {11, 312, 214},	// Akonadi::AgentType::iconName
    {11, 314, 211},	// Akonadi::AgentType::identifier
    {11, 344, 210},	// Akonadi::AgentType::isValid
    {11, 373, 216},	// Akonadi::AgentType::mimeTypes
    {11, 380, 212},	// Akonadi::AgentType::name
    {11, 386, 218},	// Akonadi::AgentType::operator=#
    {11, 388, 219},	// Akonadi::AgentType::operator==#
    {11, 527, 220},	// Akonadi::AgentType::~AgentType
    {12, 21, 234},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 22, 228},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 213, 230},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 217, 229},	// Akonadi::AgentTypeDialog::agentType
    {12, 276, 231},	// Akonadi::AgentTypeDialog::done$
    {12, 369, 221},	// Akonadi::AgentTypeDialog::metaObject
    {12, 401, 227},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 403, 222},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 481, 235},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 498, 232},	// Akonadi::AgentTypeDialog::tr$
    {12, 499, 223},	// Akonadi::AgentTypeDialog::tr$$
    {12, 500, 225},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 502, 233},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 503, 224},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 504, 226},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 528, 236},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 23, 253},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 24, 244},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 47, 263},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 54, 261},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 68, 260},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 95, 262},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 128, 259},	// Akonadi::AgentTypeModel::TypeRole
    {13, 133, 264},	// Akonadi::AgentTypeModel::UserRole
    {13, 244, 254},	// Akonadi::AgentTypeModel::columnCount
    {13, 245, 245},	// Akonadi::AgentTypeModel::columnCount#
    {13, 263, 256},	// Akonadi::AgentTypeModel::data#
    {13, 264, 247},	// Akonadi::AgentTypeModel::data#$
    {13, 296, 250},	// Akonadi::AgentTypeModel::flags#
    {13, 316, 257},	// Akonadi::AgentTypeModel::index$$
    {13, 317, 248},	// Akonadi::AgentTypeModel::index$$#
    {13, 369, 237},	// Akonadi::AgentTypeModel::metaObject
    {13, 393, 249},	// Akonadi::AgentTypeModel::parent#
    {13, 401, 243},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 403, 238},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 422, 255},	// Akonadi::AgentTypeModel::rowCount
    {13, 423, 246},	// Akonadi::AgentTypeModel::rowCount#
    {13, 481, 258},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 498, 251},	// Akonadi::AgentTypeModel::tr$
    {13, 499, 239},	// Akonadi::AgentTypeModel::tr$$
    {13, 500, 241},	// Akonadi::AgentTypeModel::tr$$$
    {13, 502, 252},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 503, 240},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 504, 242},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 529, 265},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 25, 280},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 26, 273},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 206, 277},	// Akonadi::AgentTypeWidget::activated
    {14, 213, 275},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 257, 274},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 259, 276},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 369, 266},	// Akonadi::AgentTypeWidget::metaObject
    {14, 401, 272},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 403, 267},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 481, 281},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 498, 278},	// Akonadi::AgentTypeWidget::tr$
    {14, 499, 268},	// Akonadi::AgentTypeWidget::tr$$
    {14, 500, 270},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 502, 279},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 503, 269},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 504, 271},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 530, 282},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 30, 287},	// Akonadi::Attribute::Attribute
    {15, 31, 288},	// Akonadi::Attribute::Attribute#
    {15, 233, 284},	// Akonadi::Attribute::clone
    {15, 267, 286},	// Akonadi::Attribute::deserialize#
    {15, 425, 285},	// Akonadi::Attribute::serialized
    {15, 505, 283},	// Akonadi::Attribute::type
    {15, 531, 289},	// Akonadi::Attribute::~Attribute
    {16, 32, 291},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 33, 292},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 255, 290},	// Akonadi::AttributeFactory::createAttribute#
    {16, 532, 293},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 36, 294},	// Akonadi::CachePolicy::CachePolicy
    {17, 37, 295},	// Akonadi::CachePolicy::CachePolicy#
    {17, 223, 300},	// Akonadi::CachePolicy::cacheTimeout
    {17, 318, 296},	// Akonadi::CachePolicy::inheritFromParent
    {17, 342, 302},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 363, 298},	// Akonadi::CachePolicy::localParts
    {17, 386, 306},	// Akonadi::CachePolicy::operator=#
    {17, 388, 307},	// Akonadi::CachePolicy::operator==#
    {17, 431, 301},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 441, 297},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 443, 303},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 448, 299},	// Akonadi::CachePolicy::setLocalParts?
    {17, 473, 305},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 490, 304},	// Akonadi::CachePolicy::syncOnDemand
    {17, 533, 308},	// Akonadi::CachePolicy::~CachePolicy
    {19, 27, 342},	// Akonadi::Collection::AllRights
    {19, 38, 337},	// Akonadi::Collection::CanChangeCollection
    {19, 39, 334},	// Akonadi::Collection::CanChangeItem
    {19, 40, 338},	// Akonadi::Collection::CanCreateCollection
    {19, 41, 335},	// Akonadi::Collection::CanCreateItem
    {19, 42, 339},	// Akonadi::Collection::CanDeleteCollection
    {19, 43, 336},	// Akonadi::Collection::CanDeleteItem
    {19, 44, 340},	// Akonadi::Collection::CanLinkItem
    {19, 45, 341},	// Akonadi::Collection::CanUnlinkItem
    {19, 49, 309},	// Akonadi::Collection::Collection
    {19, 50, 311},	// Akonadi::Collection::Collection#
    {19, 51, 310},	// Akonadi::Collection::Collection$
    {19, 119, 333},	// Akonadi::Collection::ReadOnly
    {19, 222, 328},	// Akonadi::Collection::cachePolicy
    {19, 252, 317},	// Akonadi::Collection::contentMimeTypes
    {19, 302, 312},	// Akonadi::Collection::fromUrl#
    {19, 372, 325},	// Akonadi::Collection::mimeType
    {19, 380, 313},	// Akonadi::Collection::name
    {19, 392, 319},	// Akonadi::Collection::parent
    {19, 395, 322},	// Akonadi::Collection::parentRemoteId
    {19, 417, 326},	// Akonadi::Collection::resource
    {19, 420, 315},	// Akonadi::Collection::rights
    {19, 421, 324},	// Akonadi::Collection::root
    {19, 429, 329},	// Akonadi::Collection::setCachePolicy#
    {19, 434, 318},	// Akonadi::Collection::setContentMimeTypes?
    {19, 450, 314},	// Akonadi::Collection::setName$
    {19, 456, 321},	// Akonadi::Collection::setParent#
    {19, 457, 320},	// Akonadi::Collection::setParent$
    {19, 461, 323},	// Akonadi::Collection::setParentRemoteId$
    {19, 466, 327},	// Akonadi::Collection::setResource$
    {19, 468, 316},	// Akonadi::Collection::setRights$
    {19, 471, 331},	// Akonadi::Collection::setStatistics#
    {19, 482, 330},	// Akonadi::Collection::statistics
    {19, 512, 332},	// Akonadi::Collection::url
    {19, 534, 343},	// Akonadi::Collection::~Collection
    {21, 2, 365},	// Akonadi::Entity::AddIfMissing
    {21, 61, -13},	// Akonadi::Entity::Entity#
    {21, 208, 355},	// Akonadi::Entity::addAttribute#
    {21, 219, 360},	// Akonadi::Entity::attribute#
    {21, 220, 358},	// Akonadi::Entity::attributes
    {21, 231, 359},	// Akonadi::Entity::clearAttributes
    {21, 261, -16},	// Akonadi::Entity::d_func
    {21, 304, 357},	// Akonadi::Entity::hasAttribute#
    {21, 313, 345},	// Akonadi::Entity::id
    {21, 344, 348},	// Akonadi::Entity::isValid
    {21, 384, 350},	// Akonadi::Entity::operator!=#
    {21, 386, 351},	// Akonadi::Entity::operator=#
    {21, 388, 349},	// Akonadi::Entity::operator==#
    {21, 394, -19},	// Akonadi::Entity::parentCollection
    {21, 409, 347},	// Akonadi::Entity::remoteId
    {21, 411, 356},	// Akonadi::Entity::removeAttribute#
    {21, 439, 344},	// Akonadi::Entity::setId$
    {21, 459, 354},	// Akonadi::Entity::setParentCollection#
    {21, 464, 346},	// Akonadi::Entity::setRemoteId$
    {21, 535, 366},	// Akonadi::Entity::~Entity
    {23, 63, -1},	// Akonadi::Exception::Exception#
    {23, 64, -4},	// Akonadi::Exception::Exception$
    {23, 505, 372},	// Akonadi::Exception::type
    {23, 515, 371},	// Akonadi::Exception::what
    {23, 536, 373},	// Akonadi::Exception::~Exception
    {25, 110, -7},	// Akonadi::PayloadException::PayloadException#
    {25, 111, -10},	// Akonadi::PayloadException::PayloadException$
    {25, 505, 377},	// Akonadi::PayloadException::type
    {25, 539, 379},	// Akonadi::PayloadException::~PayloadException
    {50, 76, 497},	// QGlobalSpace::LicensedActiveQt
    {50, 77, 503},	// QGlobalSpace::LicensedCore
    {50, 78, 495},	// QGlobalSpace::LicensedDBus
    {50, 79, 500},	// QGlobalSpace::LicensedDeclarative
    {50, 80, 490},	// QGlobalSpace::LicensedGui
    {50, 81, 509},	// QGlobalSpace::LicensedHelp
    {50, 82, 510},	// QGlobalSpace::LicensedMultimedia
    {50, 83, 513},	// QGlobalSpace::LicensedNetwork
    {50, 84, 502},	// QGlobalSpace::LicensedOpenGL
    {50, 85, 494},	// QGlobalSpace::LicensedOpenVG
    {50, 86, 511},	// QGlobalSpace::LicensedQt3Support
    {50, 87, 492},	// QGlobalSpace::LicensedQt3SupportLight
    {50, 88, 493},	// QGlobalSpace::LicensedScript
    {50, 89, 498},	// QGlobalSpace::LicensedScriptTools
    {50, 90, 501},	// QGlobalSpace::LicensedSql
    {50, 91, 499},	// QGlobalSpace::LicensedSvg
    {50, 92, 496},	// QGlobalSpace::LicensedTest
    {50, 93, 491},	// QGlobalSpace::LicensedXml
    {50, 94, 512},	// QGlobalSpace::LicensedXmlPatterns
    {50, 113, 506},	// QGlobalSpace::QtCriticalMsg
    {50, 114, 504},	// QGlobalSpace::QtDebugMsg
    {50, 115, 507},	// QGlobalSpace::QtFatalMsg
    {50, 116, 508},	// QGlobalSpace::QtSystemMsg
    {50, 117, 505},	// QGlobalSpace::QtWarningMsg
    {50, 135, 430},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {50, 136, 431},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {50, 137, 438},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {50, 138, 439},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {50, 139, 440},	// QGlobalSpace::_CS_LFS64_LIBS
    {50, 140, 441},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {50, 141, 434},	// QGlobalSpace::_CS_LFS_CFLAGS
    {50, 142, 435},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {50, 143, 436},	// QGlobalSpace::_CS_LFS_LIBS
    {50, 144, 437},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {50, 145, 428},	// QGlobalSpace::_CS_PATH
    {50, 146, 458},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {50, 147, 459},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {50, 148, 460},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {50, 149, 461},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {50, 150, 462},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {50, 151, 463},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {50, 152, 464},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {50, 153, 465},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {50, 154, 466},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {50, 155, 467},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {50, 156, 468},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {50, 157, 469},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {50, 158, 470},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {50, 159, 471},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {50, 160, 472},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {50, 161, 473},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {50, 162, 474},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {50, 163, 475},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {50, 164, 476},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {50, 165, 477},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {50, 166, 478},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {50, 167, 479},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {50, 168, 480},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {50, 169, 481},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {50, 170, 482},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {50, 171, 483},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {50, 172, 484},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {50, 173, 485},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {50, 174, 486},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {50, 175, 487},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {50, 176, 488},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {50, 177, 489},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {50, 178, 432},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {50, 179, 429},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {50, 180, 433},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {50, 181, 442},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {50, 182, 443},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {50, 183, 444},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {50, 184, 445},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {50, 185, 446},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {50, 186, 447},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {50, 187, 448},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {50, 188, 449},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {50, 189, 450},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {50, 190, 451},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {50, 191, 452},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {50, 192, 453},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {50, 193, 454},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {50, 194, 455},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {50, 195, 456},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {50, 196, 457},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {50, 197, 516},	// QGlobalSpace::__codecvt_error
    {50, 198, 517},	// QGlobalSpace::__codecvt_noconv
    {50, 199, 514},	// QGlobalSpace::__codecvt_ok
    {50, 200, 515},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 78,
        __smokeakonadi::methods, 599,
        __smokeakonadi::methodMaps, 463,
        __smokeakonadi::methodNames, 539,
        __smokeakonadi::types, 241,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
