#include <kfile_includes.h>

#include <smoke.h>
#include <kfile_smoke.h>

namespace __smokekfile {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KACL
      switch(to) {
        case 1: return (void*)(KACL*)xptr;
        default: return xptr;
      }
    case 2:   //KAbstractFileWidget
      switch(to) {
        case 2: return (void*)(KAbstractFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(KAbstractFileWidget*)xptr;
        default: return xptr;
      }
    case 3:   //KAbstractViewAdapter
      switch(to) {
        case 3: return (void*)(KAbstractViewAdapter*)xptr;
        default: return xptr;
      }
    case 4:   //KActionCollection
      switch(to) {
        case 4: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 5:   //KBookmark
      switch(to) {
        case 5: return (void*)(KBookmark*)xptr;
        default: return xptr;
      }
    case 6:   //KCategorizedSortFilterProxyModel
      switch(to) {
        case 121: return (void*)(QSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 100: return (void*)(QObject*)(KCategorizedSortFilterProxyModel*)xptr;
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 7:   //KCharsets
      switch(to) {
        case 7: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 8:   //KComboBox
      switch(to) {
        case 54: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 138: return (void*)(QWidget*)(KComboBox*)xptr;
        case 100: return (void*)(QObject*)(KComboBox*)xptr;
        case 10: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 8: return (void*)(KComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 9:   //KCompletion
      switch(to) {
        case 100: return (void*)(QObject*)(KCompletion*)xptr;
        case 9: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 10:   //KCompletionBase
      switch(to) {
        case 10: return (void*)(KCompletionBase*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 11:   //KComponentData
      switch(to) {
        case 11: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 12:   //KConfigGroup
      switch(to) {
        case 12: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 13:   //KDialog
      switch(to) {
        case 64: return (void*)(QDialog*)(KDialog*)xptr;
        case 138: return (void*)(QWidget*)(KDialog*)xptr;
        case 100: return (void*)(QObject*)(KDialog*)xptr;
        case 13: return (void*)(KDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 14:   //KDirLister
      switch(to) {
        case 100: return (void*)(QObject*)(KDirLister*)xptr;
        case 14: return (void*)(KDirLister*)xptr;
        default: return xptr;
      }
    case 15:   //KDirOperator
      switch(to) {
        case 138: return (void*)(QWidget*)(KDirOperator*)xptr;
        case 100: return (void*)(QObject*)(KDirOperator*)xptr;
        case 15: return (void*)(KDirOperator*)xptr;
        default: return xptr;
      }
    case 16:   //KDirSelectDialog
      switch(to) {
        case 13: return (void*)(KDialog*)(KDirSelectDialog*)xptr;
        case 64: return (void*)(QDialog*)(KDirSelectDialog*)xptr;
        case 138: return (void*)(QWidget*)(KDirSelectDialog*)xptr;
        case 100: return (void*)(QObject*)(KDirSelectDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)xptr;
        default: return xptr;
      }
    case 17:   //KDirSortFilterProxyModel
      switch(to) {
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 121: return (void*)(QSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)(KDirSortFilterProxyModel*)xptr;
        case 100: return (void*)(QObject*)(KDirSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 18:   //KFile
      switch(to) {
        case 18: return (void*)(KFile*)xptr;
        default: return xptr;
      }
    case 19:   //KFileFilterCombo
      switch(to) {
        case 8: return (void*)(KComboBox*)(KFileFilterCombo*)xptr;
        case 54: return (void*)(QComboBox*)(KFileFilterCombo*)xptr;
        case 138: return (void*)(QWidget*)(KFileFilterCombo*)xptr;
        case 100: return (void*)(QObject*)(KFileFilterCombo*)xptr;
        case 10: return (void*)(KCompletionBase*)(KFileFilterCombo*)xptr;
        case 19: return (void*)(KFileFilterCombo*)xptr;
        default: return xptr;
      }
    case 20:   //KFileItem
      switch(to) {
        case 20: return (void*)(KFileItem*)xptr;
        default: return xptr;
      }
    case 21:   //KFileItemList
      switch(to) {
        case 21: return (void*)(KFileItemList*)xptr;
        default: return xptr;
      }
    case 22:   //KFilePlacesModel
      switch(to) {
        case 40: return (void*)(QAbstractItemModel*)(KFilePlacesModel*)xptr;
        case 100: return (void*)(QObject*)(KFilePlacesModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)xptr;
        default: return xptr;
      }
    case 23:   //KFilePlacesView
      switch(to) {
        case 90: return (void*)(QListView*)(KFilePlacesView*)xptr;
        case 41: return (void*)(QAbstractItemView*)(KFilePlacesView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(KFilePlacesView*)xptr;
        case 74: return (void*)(QFrame*)(KFilePlacesView*)xptr;
        case 138: return (void*)(QWidget*)(KFilePlacesView*)xptr;
        case 100: return (void*)(QObject*)(KFilePlacesView*)xptr;
        case 23: return (void*)(KFilePlacesView*)xptr;
        default: return xptr;
      }
    case 24:   //KFilePreviewGenerator
      switch(to) {
        case 100: return (void*)(QObject*)(KFilePreviewGenerator*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)xptr;
        default: return xptr;
      }
    case 25:   //KFileTreeView
      switch(to) {
        case 132: return (void*)(QTreeView*)(KFileTreeView*)xptr;
        case 41: return (void*)(QAbstractItemView*)(KFileTreeView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(KFileTreeView*)xptr;
        case 74: return (void*)(QFrame*)(KFileTreeView*)xptr;
        case 138: return (void*)(QWidget*)(KFileTreeView*)xptr;
        case 100: return (void*)(QObject*)(KFileTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)xptr;
        default: return xptr;
      }
    case 26:   //KFileWidget
      switch(to) {
        case 138: return (void*)(QWidget*)(KFileWidget*)xptr;
        case 100: return (void*)(QObject*)(KFileWidget*)xptr;
        case 2: return (void*)(KAbstractFileWidget*)(KFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)xptr;
        default: return xptr;
      }
    case 27:   //KIO::CopyJob
      switch(to) {
        case 27: return (void*)(KIO::CopyJob*)xptr;
        default: return xptr;
      }
    case 28:   //KIO::DeleteJob
      switch(to) {
        case 28: return (void*)(KIO::DeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //KIO::UDSEntry
      switch(to) {
        case 29: return (void*)(KIO::UDSEntry*)xptr;
        default: return xptr;
      }
    case 30:   //KIcon
      switch(to) {
        case 78: return (void*)(QIcon*)(KIcon*)xptr;
        case 30: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 31:   //KJobTrackerInterface
      switch(to) {
        case 31: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 32:   //KLocale
      switch(to) {
        case 32: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 33:   //KPreviewWidgetBase
      switch(to) {
        case 33: return (void*)(KPreviewWidgetBase*)xptr;
        default: return xptr;
      }
    case 34:   //KPushButton
      switch(to) {
        case 34: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 35:   //KStandardDirs
      switch(to) {
        case 35: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 36:   //KToolBar
      switch(to) {
        case 36: return (void*)(KToolBar*)xptr;
        default: return xptr;
      }
    case 37:   //KUrl
      switch(to) {
        case 133: return (void*)(QUrl*)(KUrl*)xptr;
        case 37: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 38:   //KUrlComboBox
      switch(to) {
        case 38: return (void*)(KUrlComboBox*)xptr;
        default: return xptr;
      }
    case 39:   //KUrlNavigator
      switch(to) {
        case 138: return (void*)(QWidget*)(KUrlNavigator*)xptr;
        case 100: return (void*)(QObject*)(KUrlNavigator*)xptr;
        case 39: return (void*)(KUrlNavigator*)xptr;
        default: return xptr;
      }
    case 40:   //QAbstractItemModel
      switch(to) {
        case 100: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 41:   //QAbstractItemView
      switch(to) {
        case 43: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 74: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 138: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 100: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 41: return (void*)(QAbstractItemView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractItemView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 42:   //QAbstractProxyModel
      switch(to) {
        case 40: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 100: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 42: return (void*)(QAbstractProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 43:   //QAbstractScrollArea
      switch(to) {
        case 74: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 138: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 100: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractScrollArea*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 44:   //QAction
      switch(to) {
        case 100: return (void*)(QObject*)(QAction*)xptr;
        case 44: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 45:   //QActionEvent
      switch(to) {
        case 45: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QBitArray
      switch(to) {
        case 46: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 47:   //QBool
      switch(to) {
        case 47: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 48:   //QBrush
      switch(to) {
        case 48: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 49:   //QByteArray
      switch(to) {
        case 49: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 50:   //QChar
      switch(to) {
        case 50: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 51:   //QChildEvent
      switch(to) {
        case 70: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 51: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QCloseEvent
      switch(to) {
        case 52: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QColor
      switch(to) {
        case 53: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 54:   //QComboBox
      switch(to) {
        case 138: return (void*)(QWidget*)(QComboBox*)xptr;
        case 100: return (void*)(QObject*)(QComboBox*)xptr;
        case 54: return (void*)(QComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 55:   //QContextMenuEvent
      switch(to) {
        case 55: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QCursor
      switch(to) {
        case 56: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 57:   //QDBusArgument
      switch(to) {
        case 57: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 58:   //QDBusObjectPath
      switch(to) {
        case 58: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 59:   //QDBusSignature
      switch(to) {
        case 59: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 60:   //QDBusVariant
      switch(to) {
        case 135: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 60: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QDataStream
      switch(to) {
        case 61: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 62:   //QDate
      switch(to) {
        case 62: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 63:   //QDateTime
      switch(to) {
        case 63: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 64:   //QDialog
      switch(to) {
        case 138: return (void*)(QWidget*)(QDialog*)xptr;
        case 100: return (void*)(QObject*)(QDialog*)xptr;
        case 64: return (void*)(QDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 65:   //QDomNode
      switch(to) {
        case 65: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 66:   //QDragEnterEvent
      switch(to) {
        case 66: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QDragLeaveEvent
      switch(to) {
        case 67: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QDragMoveEvent
      switch(to) {
        case 68: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QDropEvent
      switch(to) {
        case 69: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QEvent
      switch(to) {
        case 70: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QFileInfo
      switch(to) {
        case 71: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 72:   //QFocusEvent
      switch(to) {
        case 72: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QFont
      switch(to) {
        case 73: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 74:   //QFrame
      switch(to) {
        case 138: return (void*)(QWidget*)(QFrame*)xptr;
        case 100: return (void*)(QObject*)(QFrame*)xptr;
        case 74: return (void*)(QFrame*)xptr;
        case 25: return (void*)(KFileTreeView*)(QFrame*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 76:   //QHashDummyValue
      switch(to) {
        case 76: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 77:   //QHideEvent
      switch(to) {
        case 77: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QIcon
      switch(to) {
        case 78: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 79:   //QImage
      switch(to) {
        case 79: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 80:   //QIncompatibleFlag
      switch(to) {
        case 80: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 81:   //QInputMethodEvent
      switch(to) {
        case 81: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QItemSelection
      switch(to) {
        case 82: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 83:   //QItemSelectionModel
      switch(to) {
        case 100: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 83: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 84:   //QKeyEvent
      switch(to) {
        case 84: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QKeySequence
      switch(to) {
        case 85: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 86:   //QLatin1String
      switch(to) {
        case 86: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 87:   //QLine
      switch(to) {
        case 87: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 88:   //QLineEdit
      switch(to) {
        case 88: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 89:   //QLineF
      switch(to) {
        case 89: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 90:   //QListView
      switch(to) {
        case 41: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 74: return (void*)(QFrame*)(QListView*)xptr;
        case 138: return (void*)(QWidget*)(QListView*)xptr;
        case 100: return (void*)(QObject*)(QListView*)xptr;
        case 90: return (void*)(QListView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QListView*)xptr;
        default: return xptr;
      }
    case 91:   //QLocale
      switch(to) {
        case 91: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 92:   //QMargins
      switch(to) {
        case 92: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 93:   //QMatrix
      switch(to) {
        case 93: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 94:   //QMenu
      switch(to) {
        case 94: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 95:   //QMetaObject
      switch(to) {
        case 95: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 96:   //QMimeData
      switch(to) {
        case 100: return (void*)(QObject*)(QMimeData*)xptr;
        case 96: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 97:   //QModelIndex
      switch(to) {
        case 97: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 98:   //QMouseEvent
      switch(to) {
        case 98: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 99:   //QMoveEvent
      switch(to) {
        case 99: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 100:   //QObject
      switch(to) {
        case 100: return (void*)(QObject*)xptr;
        case 26: return (void*)(KFileWidget*)(QObject*)xptr;
        case 39: return (void*)(KUrlNavigator*)(QObject*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QObject*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QObject*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QObject*)xptr;
        case 25: return (void*)(KFileTreeView*)(QObject*)xptr;
        case 15: return (void*)(KDirOperator*)(QObject*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QObject*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QObject*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)(QObject*)xptr;
        default: return xptr;
      }
    case 101:   //QPaintEngine
      switch(to) {
        case 101: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 102:   //QPaintEvent
      switch(to) {
        case 102: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 103:   //QPainter
      switch(to) {
        case 103: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 104:   //QPainterPath
      switch(to) {
        case 104: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 105:   //QPalette
      switch(to) {
        case 105: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 106:   //QPixmap
      switch(to) {
        case 106: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 107:   //QPoint
      switch(to) {
        case 107: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 108:   //QPointF
      switch(to) {
        case 108: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 109:   //QPolygon
      switch(to) {
        case 109: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 110:   //QPolygonF
      switch(to) {
        case 110: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 111:   //QProgressBar
      switch(to) {
        case 111: return (void*)(QProgressBar*)xptr;
        default: return xptr;
      }
    case 112:   //QRect
      switch(to) {
        case 112: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 113:   //QRectF
      switch(to) {
        case 113: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 114:   //QRegExp
      switch(to) {
        case 114: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 115:   //QRegion
      switch(to) {
        case 115: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 116:   //QResizeEvent
      switch(to) {
        case 116: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 117:   //QShowEvent
      switch(to) {
        case 117: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 118:   //QSize
      switch(to) {
        case 118: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 119:   //QSizeF
      switch(to) {
        case 119: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 120:   //QSizePolicy
      switch(to) {
        case 120: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 121:   //QSortFilterProxyModel
      switch(to) {
        case 42: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 100: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 121: return (void*)(QSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 122:   //QString::Null
      switch(to) {
        case 122: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 123:   //QStringRef
      switch(to) {
        case 123: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 124:   //QStyle
      switch(to) {
        case 100: return (void*)(QObject*)(QStyle*)xptr;
        case 124: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 125:   //QStyleOptionViewItem
      switch(to) {
        case 125: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 126:   //QTabletEvent
      switch(to) {
        case 126: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QTextStream
      switch(to) {
        case 127: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 128:   //QTextStreamManipulator
      switch(to) {
        case 128: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 129:   //QTime
      switch(to) {
        case 129: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 130:   //QTimerEvent
      switch(to) {
        case 70: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 130: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 131:   //QTransform
      switch(to) {
        case 131: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 132:   //QTreeView
      switch(to) {
        case 41: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 74: return (void*)(QFrame*)(QTreeView*)xptr;
        case 138: return (void*)(QWidget*)(QTreeView*)xptr;
        case 100: return (void*)(QObject*)(QTreeView*)xptr;
        case 132: return (void*)(QTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 133:   //QUrl
      switch(to) {
        case 133: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 134:   //QUuid
      switch(to) {
        case 134: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 135:   //QVariant
      switch(to) {
        case 135: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 136:   //QVariantComparisonHelper
      switch(to) {
        case 136: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 137:   //QWheelEvent
      switch(to) {
        case 137: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 138:   //QWidget
      switch(to) {
        case 100: return (void*)(QObject*)(QWidget*)xptr;
        case 138: return (void*)(QWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(QWidget*)xptr;
        case 39: return (void*)(KUrlNavigator*)(QWidget*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QWidget*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QWidget*)xptr;
        case 25: return (void*)(KFileTreeView*)(QWidget*)xptr;
        case 15: return (void*)(KDirOperator*)(QWidget*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QWidget*)xptr;
        default: return xptr;
      }
    case 139:   //Solid::Device
      switch(to) {
        case 139: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 140:   //std::bidirectional_iterator_tag
      switch(to) {
        case 140: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 141:   //std::random_access_iterator_tag
      switch(to) {
        case 141: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    138, 0,	// 1: QWidget
    13, 0,	// 3: KDialog
    6, 0,	// 5: KCategorizedSortFilterProxyModel
    8, 0,	// 7: KComboBox
    40, 0,	// 9: QAbstractItemModel
    90, 0,	// 11: QListView
    100, 0,	// 13: QObject
    132, 0,	// 15: QTreeView
    138, 2, 0,	// 17: QWidget, KAbstractFileWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QStyleOptionMenuItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSpinBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3ListViewItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCodec(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionHeader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDoubleValidator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTab(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabWidgetFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV4(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobalSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSizeGrip(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionGroupBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSpinBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionDockWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionComplex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturnVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_PredicateProperties(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShortcut(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionGraphicsItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionProgressBarV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3DockWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionProgressBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilePlacesModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractItemDelegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDir(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBoxV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrameV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionDockWidgetV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionQ3ListView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFocusRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAbstractFileWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionComboBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QValidator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabBarBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturn(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDirOperator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabBarBaseV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTitleBar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabWidgetFrameV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleHintReturnMask(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFileMetaInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEasingCurve(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionTabV2(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionRubberBand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionFrameV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRubberBand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStyleOptionViewItemV3(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAbstractFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirOperator(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSelectDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSortFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileFilterCombo(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePreviewGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrlNavigator(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KACL", true, 0, 0, 0, 0, 0 },	//1
    { "KAbstractFileWidget", false, 0, xcall_KAbstractFileWidget, xenum_KAbstractFileWidget, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAbstractFileWidget) },	//2
    { "KAbstractViewAdapter", true, 0, 0, 0, 0, 0 },	//3
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//4
    { "KBookmark", true, 0, 0, 0, 0, 0 },	//5
    { "KCategorizedSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//6
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//7
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//8
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//9
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//10
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//11
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//12
    { "KDialog", true, 0, 0, 0, 0, 0 },	//13
    { "KDirLister", true, 0, 0, 0, 0, 0 },	//14
    { "KDirOperator", false, 1, xcall_KDirOperator, xenum_KDirOperator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirOperator) },	//15
    { "KDirSelectDialog", false, 3, xcall_KDirSelectDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSelectDialog) },	//16
    { "KDirSortFilterProxyModel", false, 5, xcall_KDirSortFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSortFilterProxyModel) },	//17
    { "KFile", false, 0, xcall_KFile, xenum_KFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KFile) },	//18
    { "KFileFilterCombo", false, 7, xcall_KFileFilterCombo, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileFilterCombo) },	//19
    { "KFileItem", true, 0, 0, 0, 0, 0 },	//20
    { "KFileItemList", true, 0, 0, 0, 0, 0 },	//21
    { "KFilePlacesModel", false, 9, xcall_KFilePlacesModel, xenum_KFilePlacesModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesModel) },	//22
    { "KFilePlacesView", false, 11, xcall_KFilePlacesView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesView) },	//23
    { "KFilePreviewGenerator", false, 13, xcall_KFilePreviewGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePreviewGenerator) },	//24
    { "KFileTreeView", false, 15, xcall_KFileTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileTreeView) },	//25
    { "KFileWidget", false, 17, xcall_KFileWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileWidget) },	//26
    { "KIO::CopyJob", true, 0, 0, 0, 0, 0 },	//27
    { "KIO::DeleteJob", true, 0, 0, 0, 0, 0 },	//28
    { "KIO::UDSEntry", true, 0, 0, 0, 0, 0 },	//29
    { "KIcon", true, 0, 0, 0, 0, 0 },	//30
    { "KJobTrackerInterface", true, 0, 0, 0, 0, 0 },	//31
    { "KLocale", true, 0, 0, 0, 0, 0 },	//32
    { "KPreviewWidgetBase", true, 0, 0, 0, 0, 0 },	//33
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//34
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//35
    { "KToolBar", true, 0, 0, 0, 0, 0 },	//36
    { "KUrl", true, 0, 0, 0, 0, 0 },	//37
    { "KUrlComboBox", true, 0, 0, 0, 0, 0 },	//38
    { "KUrlNavigator", false, 1, xcall_KUrlNavigator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KUrlNavigator) },	//39
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//40
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//41
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//42
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//43
    { "QAction", true, 0, 0, 0, 0, 0 },	//44
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//46
    { "QBool", true, 0, 0, 0, 0, 0 },	//47
    { "QBrush", true, 0, 0, 0, 0, 0 },	//48
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//49
    { "QChar", true, 0, 0, 0, 0, 0 },	//50
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QColor", true, 0, 0, 0, 0, 0 },	//53
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//54
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QCursor", true, 0, 0, 0, 0, 0 },	//56
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//57
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//58
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//59
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//61
    { "QDate", true, 0, 0, 0, 0, 0 },	//62
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//63
    { "QDialog", true, 0, 0, 0, 0, 0 },	//64
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//65
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//71
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QFont", true, 0, 0, 0, 0, 0 },	//73
    { "QFrame", true, 0, 0, 0, 0, 0 },	//74
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//75
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//76
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QIcon", true, 0, 0, 0, 0, 0 },	//78
    { "QImage", true, 0, 0, 0, 0, 0 },	//79
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//80
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//82
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//83
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//85
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//86
    { "QLine", true, 0, 0, 0, 0, 0 },	//87
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//88
    { "QLineF", true, 0, 0, 0, 0, 0 },	//89
    { "QListView", true, 0, 0, 0, 0, 0 },	//90
    { "QLocale", true, 0, 0, 0, 0, 0 },	//91
    { "QMargins", true, 0, 0, 0, 0, 0 },	//92
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//93
    { "QMenu", true, 0, 0, 0, 0, 0 },	//94
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//95
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//96
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//97
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//98
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//99
    { "QObject", true, 0, 0, 0, 0, 0 },	//100
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//101
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//102
    { "QPainter", true, 0, 0, 0, 0, 0 },	//103
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//104
    { "QPalette", true, 0, 0, 0, 0, 0 },	//105
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//106
    { "QPoint", true, 0, 0, 0, 0, 0 },	//107
    { "QPointF", true, 0, 0, 0, 0, 0 },	//108
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//109
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//110
    { "QProgressBar", true, 0, 0, 0, 0, 0 },	//111
    { "QRect", true, 0, 0, 0, 0, 0 },	//112
    { "QRectF", true, 0, 0, 0, 0, 0 },	//113
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//114
    { "QRegion", true, 0, 0, 0, 0, 0 },	//115
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//116
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//117
    { "QSize", true, 0, 0, 0, 0, 0 },	//118
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//119
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//120
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//121
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//122
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//123
    { "QStyle", true, 0, 0, 0, 0, 0 },	//124
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//125
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//127
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//128
    { "QTime", true, 0, 0, 0, 0, 0 },	//129
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//130
    { "QTransform", true, 0, 0, 0, 0, 0 },	//131
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//132
    { "QUrl", true, 0, 0, 0, 0, 0 },	//133
    { "QUuid", true, 0, 0, 0, 0, 0 },	//134
    { "QVariant", true, 0, 0, 0, 0, 0 },	//135
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//136
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//137
    { "QWidget", true, 0, 0, 0, 0, 0 },	//138
    { "Solid::Device", true, 0, 0, 0, 0, 0 },	//139
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//140
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//141
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KACL&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "KAbstractFileWidget*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KAbstractFileWidget::OperationMode", 2, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KAbstractViewAdapter*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAction::ShortcutTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KActionCollection*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KBookmark", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KCharsets*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KCompletion*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "KConfig::OpenFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "KConfigBase::WriteConfigFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref },	//13
    { "KConfigGroup*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KDialog::ButtonCodes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "KDialog::CaptionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KDirLister*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KDirLister::OpenUrlFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KDirOperator*", 15, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KDirOperator::ActionType", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KDirSelectDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KDirSortFilterProxyModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KFile*", 18, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KFile::FileView", 18, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KFile::Mode", 18, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KFile::Modes", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "KFile::Modes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "KFile::SelectionMode", 18, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KFileFilterCombo*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "KFileItem&", 20, Smoke::t_class|Smoke::tf_ref },	//30
    { "KFileItemList", 21, Smoke::t_class|Smoke::tf_stack },	//31
    { "KFileMetaInfo::WhatFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "KFilePlacesModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KFilePlacesModel::AdditionalRoles", 22, Smoke::t_enum|Smoke::tf_stack },	//34
    { "KFilePlacesView*", 23, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KFilePreviewGenerator*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KFileTreeView*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "KFileWidget*", 26, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KGlobalSettings::GraphicEffects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "KIO::CacheControl", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KIO::Command", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KIO::CopyJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KIO::DeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KIO::Error", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref },	//47
    { "KIcon", 30, Smoke::t_class|Smoke::tf_stack },	//48
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//50
    { "KJob::Capabilities::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "KJobTrackerInterface*", 31, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KLocale*", 32, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KPreviewWidgetBase*", 33, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KPushButton*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "KStandardDirs*", 35, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KSycocaFactoryId", 75, Smoke::t_enum|Smoke::tf_stack },	//59
    { "KSycocaType", 75, Smoke::t_enum|Smoke::tf_stack },	//60
    { "KToolBar*", 36, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KUrl", 37, Smoke::t_class|Smoke::tf_stack },	//62
    { "KUrl::CleanPathOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "KUrl::DirectoryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "KUrl::EncodedPathAndQueryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "KUrl::EqualsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "KUrl::QueryItemsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "KUrlComboBox*", 38, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KUrlNavigator*", 39, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QAbstractItemModel*", 40, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QAbstractItemView*", 41, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QAbstractItemView::CursorAction", 41, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QAbstractItemView::EditTrigger", 41, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QAbstractItemView::EditTriggers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QAbstractItemView::ScrollHint", 41, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QAbstractProxyModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QAbstractSpinBox::StepEnabled::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QAction*", 44, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QActionEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QBitArray", 46, Smoke::t_class|Smoke::tf_stack },	//83
    { "QBitArray&", 46, Smoke::t_class|Smoke::tf_ref },	//84
    { "QBool", 47, Smoke::t_class|Smoke::tf_stack },	//85
    { "QBrush&", 48, Smoke::t_class|Smoke::tf_ref },	//86
    { "QByteArray", 49, Smoke::t_class|Smoke::tf_stack },	//87
    { "QByteArray&", 49, Smoke::t_class|Smoke::tf_ref },	//88
    { "QChar", 50, Smoke::t_class|Smoke::tf_stack },	//89
    { "QChar&", 50, Smoke::t_class|Smoke::tf_ref },	//90
    { "QChildEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QCloseEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QColor&", 53, Smoke::t_class|Smoke::tf_ref },	//93
    { "QContextMenuEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QCursor&", 56, Smoke::t_class|Smoke::tf_ref },	//95
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QDBusArgument&", 57, Smoke::t_class|Smoke::tf_ref },	//97
    { "QDBusConnection::RegisterOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QDBusServiceWatcher::WatchMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QDataStream&", 61, Smoke::t_class|Smoke::tf_ref },	//100
    { "QDate&", 62, Smoke::t_class|Smoke::tf_ref },	//101
    { "QDateTime&", 63, Smoke::t_class|Smoke::tf_ref },	//102
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QDir::SortFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QDragEnterEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QDragLeaveEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QDragMoveEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QDropEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QFlags<KAction::ShortcutTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QFlags<KConfig::OpenFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QFlags<KConfigBase::WriteConfigFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QFlags<KDialog::ButtonCodes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QFlags<KDialog::CaptionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QFlags<KDirLister::OpenUrlFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QFlags<KFile::Modes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QFlags<KFileMetaInfo::WhatFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QFlags<KGlobalSettings::GraphicEffects::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QFlags<KJob::Capabilities::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QFlags<KUrl::CleanPathOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QFlags<KUrl::DirectoryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QFlags<KUrl::EqualsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QFlags<KUrl::QueryItemsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QFlags<QAbstractItemView::EditTriggers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//130
    { "QFlags<QAbstractSpinBox::StepEnabled::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//131
    { "QFlags<QDBusConnection::RegisterOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//132
    { "QFlags<QDBusServiceWatcher::WatchMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//133
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//135
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//136
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//137
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//138
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QFlags<QItemSelectionModel::SelectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//141
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//142
    { "QFlags<QSizePolicy::ControlTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//143
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//144
    { "QFlags<QStyle::State::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//145
    { "QFlags<QStyle::SubControls::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//146
    { "QFlags<QStyleOptionButton::ButtonFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//147
    { "QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QFlags<QStyleOptionTab::CornerWidgets::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//149
    { "QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//150
    { "QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//151
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//152
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//153
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QFlags<QWidget::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//156
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//157
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//158
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//163
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//165
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//167
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//169
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//171
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "QFocusEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QFont&", 73, Smoke::t_class|Smoke::tf_ref },	//175
    { "QHideEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QIcon&", 78, Smoke::t_class|Smoke::tf_ref },	//178
    { "QImage&", 79, Smoke::t_class|Smoke::tf_ref },	//179
    { "QIncompatibleFlag", 80, Smoke::t_class|Smoke::tf_stack },	//180
    { "QInputMethodEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QItemSelection", 82, Smoke::t_class|Smoke::tf_stack },	//182
    { "QItemSelectionModel*", 83, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//184
    { "QItemSelectionModel::SelectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//185
    { "QKeyEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QKeySequence&", 85, Smoke::t_class|Smoke::tf_ref },	//187
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//188
    { "QLine", 87, Smoke::t_class|Smoke::tf_stack },	//189
    { "QLine&", 87, Smoke::t_class|Smoke::tf_ref },	//190
    { "QLineEdit*", 88, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QLineF", 89, Smoke::t_class|Smoke::tf_stack },	//192
    { "QLineF&", 89, Smoke::t_class|Smoke::tf_ref },	//193
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//194
    { "QLocale&", 91, Smoke::t_class|Smoke::tf_ref },	//195
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QMatrix&", 93, Smoke::t_class|Smoke::tf_ref },	//198
    { "QMenu*", 94, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QMetaObject::Call", 95, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QMimeData*", 96, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QModelIndex", 97, Smoke::t_class|Smoke::tf_stack },	//202
    { "QMouseEvent*", 98, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QMoveEvent*", 99, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QObject*", 100, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QPaintEngine*", 101, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QPaintEvent*", 102, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPainter*", 103, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QPainterPath", 104, Smoke::t_class|Smoke::tf_stack },	//210
    { "QPainterPath&", 104, Smoke::t_class|Smoke::tf_ref },	//211
    { "QPalette&", 105, Smoke::t_class|Smoke::tf_ref },	//212
    { "QPixmap", 106, Smoke::t_class|Smoke::tf_stack },	//213
    { "QPixmap&", 106, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPoint", 107, Smoke::t_class|Smoke::tf_stack },	//215
    { "QPoint&", 107, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPointF", 108, Smoke::t_class|Smoke::tf_stack },	//217
    { "QPointF&", 108, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPolygon", 109, Smoke::t_class|Smoke::tf_stack },	//219
    { "QPolygon&", 109, Smoke::t_class|Smoke::tf_ref },	//220
    { "QPolygonF", 110, Smoke::t_class|Smoke::tf_stack },	//221
    { "QPolygonF&", 110, Smoke::t_class|Smoke::tf_ref },	//222
    { "QProgressBar*", 111, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QRect", 112, Smoke::t_class|Smoke::tf_stack },	//224
    { "QRect&", 112, Smoke::t_class|Smoke::tf_ref },	//225
    { "QRectF&", 113, Smoke::t_class|Smoke::tf_ref },	//226
    { "QRegExp&", 114, Smoke::t_class|Smoke::tf_ref },	//227
    { "QRegion", 115, Smoke::t_class|Smoke::tf_stack },	//228
    { "QRegion&", 115, Smoke::t_class|Smoke::tf_ref },	//229
    { "QResizeEvent*", 116, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QShowEvent*", 117, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QSize", 118, Smoke::t_class|Smoke::tf_stack },	//232
    { "QSize&", 118, Smoke::t_class|Smoke::tf_ref },	//233
    { "QSizeF&", 119, Smoke::t_class|Smoke::tf_ref },	//234
    { "QSizePolicy&", 120, Smoke::t_class|Smoke::tf_ref },	//235
    { "QSizePolicy::ControlTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//236
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//237
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//238
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//239
    { "QString::Null", 122, Smoke::t_class|Smoke::tf_stack },	//240
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//243
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//244
    { "QStyle&", 124, Smoke::t_class|Smoke::tf_ref },	//245
    { "QStyle::State::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QStyle::SubControls::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QStyleOptionButton::ButtonFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QStyleOptionFrameV2::FrameFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QStyleOptionTab::CornerWidgets::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QStyleOptionToolBar::ToolBarFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QStyleOptionToolButton::ToolButtonFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QStyleOptionViewItem", 125, Smoke::t_class|Smoke::tf_stack },	//253
    { "QStyleOptionViewItem::Position", 125, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionViewItemV2::ViewItemFeatures::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QTabletEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QTextStream&", 127, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTextStream&(*)(QTextStream&)", 127, Smoke::t_class|Smoke::tf_ref },	//259
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QTextStreamManipulator", 128, Smoke::t_class|Smoke::tf_stack },	//261
    { "QTime", 129, Smoke::t_class|Smoke::tf_stack },	//262
    { "QTime&", 129, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTimerEvent*", 130, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QTransform", 131, Smoke::t_class|Smoke::tf_stack },	//265
    { "QTransform&", 131, Smoke::t_class|Smoke::tf_ref },	//266
    { "QUrl&", 133, Smoke::t_class|Smoke::tf_ref },	//267
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//268
    { "QUuid&", 134, Smoke::t_class|Smoke::tf_ref },	//269
    { "QVariant", 135, Smoke::t_class|Smoke::tf_stack },	//270
    { "QVariant&", 135, Smoke::t_class|Smoke::tf_ref },	//271
    { "QVariant::Type&", 135, Smoke::t_enum|Smoke::tf_ref },	//272
    { "QWheelEvent*", 137, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget*", 138, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QWidget::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//275
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//276
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//298
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//301
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//307
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//319
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//320
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//324
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//325
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//329
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//330
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//336
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//357
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//361
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//365
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 75, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForActiveQtModule", 75, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForCoreModule", 75, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForDBusModule", 75, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForDeclarativeModule", 75, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForGuiModule", 75, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForHelpModule", 75, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForMultimediaModule", 75, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForNetworkModule", 75, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForOpenGLModule", 75, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForOpenVGModule", 75, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForQt3SupportLightModule", 75, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForQt3SupportModule", 75, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForScriptModule", 75, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForScriptToolsModule", 75, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForSqlModule", 75, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForSvgModule", 75, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForTestModule", 75, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForXmlModule", 75, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForXmlPatternsModule", 75, Smoke::t_enum|Smoke::tf_stack },	//389
    { "Solid::Device", 139, Smoke::t_class|Smoke::tf_stack },	//390
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//391
    { "__codecvt_result", 75, Smoke::t_enum|Smoke::tf_stack },	//392
    { "__itimer_which", 75, Smoke::t_enum|Smoke::tf_stack },	//393
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//394
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//395
    { "const KACL&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const KAbstractFileWidget&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const KComponentData&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const KFile&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const KFile::FileView&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const KFileItem&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const KFileItemList&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const KUrl&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const KUrl*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QBitArray&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QBrush&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QByteArray", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const QByteArray&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QChar&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QColor&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QCursor&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QDBusArgument&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QDBusObjectPath&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QDBusSignature&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QDBusVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QDate&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QDateTime&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QDir::SortFlags&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QDomNode&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QEvent*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QFileInfo&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QFont&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QHashDummyValue&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QIcon&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QImage&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QItemSelection&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QKeySequence&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QLatin1String&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QLine&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QLineF&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QLocale&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QMargins&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QMatrix&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QMetaObject&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QMetaObject*", 95, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const QMimeData*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const QModelIndex&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QObject*", 100, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const QPainterPath&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QPalette&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QPixmap&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QPoint", 107, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//449
    { "const QPoint&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QPointF", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//451
    { "const QPointF&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QPolygon&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QPolygonF&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QRect&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QRectF&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QRegExp&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QRegion&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QSize", 118, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//459
    { "const QSize&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QSizeF", 119, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//461
    { "const QSizeF&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QSizePolicy&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//467
    { "const QStringRef&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QStyleOptionViewItem&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QTime&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QTransform&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QUrl&", 133, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QUuid&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QVariant&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QVariant::Type", 135, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//475
    { "const QVariantComparisonHelper&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//477
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//478
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//479
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//480
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//481
    { "std::bidirectional_iterator_tag", 140, Smoke::t_class|Smoke::tf_stack },	//482
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//483
    { "std::random_access_iterator_tag", 141, Smoke::t_class|Smoke::tf_stack },	//484
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//485
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//486
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//487
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//488
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//489
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//490
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    405, 394, 0,	//1  const KUrl&, bool
    465, 0,	//4  const QString&
    3, 0,	//6  KAbstractFileWidget::OperationMode
    394, 0,	//8  bool
    466, 465, 0,	//10  const QStringList&, const QString&
    54, 0,	//13  KPreviewWidgetBase*
    26, 0,	//15  KFile::Modes
    274, 0,	//17  QWidget*
    465, 274, 0,	//19  const QString&, QWidget*
    480, 488, 0,	//22  int, void*
    397, 0,	//25  const KAbstractFileWidget&
    405, 0,	//27  const KUrl&
    466, 0,	//29  const QStringList&
    480, 344, 0,	//31  int, Qt::SortOrder
    444, 444, 0,	//34  const QModelIndex&, const QModelIndex&
    191, 0,	//37  QLineEdit*
    466, 394, 0,	//39  const QStringList&, bool
    465, 394, 0,	//42  const QString&, bool
    486, 394, 394, 0,	//45  unsigned long, bool, bool
    273, 0,	//49  QWheelEvent*
    9, 394, 0,	//51  KCompletion*, bool
    40, 0,	//54  KGlobalSettings::Completion
    92, 0,	//56  QCloseEvent*
    186, 0,	//58  QKeyEvent*
    480, 0,	//60  int
    477, 0,	//62  const char*
    477, 477, 0,	//64  const char*, const char*
    477, 477, 480, 0,	//67  const char*, const char*, int
    200, 480, 489, 0,	//71  QMetaObject::Call, int, void**
    405, 274, 0,	//75  const KUrl&, QWidget*
    402, 0,	//78  const KFileItem&
    403, 0,	//80  const KFileItemList&
    74, 0,	//82  QAbstractItemView*
    24, 0,	//84  KFile::FileView
    104, 0,	//86  QDir::SortFlags
    13, 0,	//88  KConfigGroup&
    399, 0,	//90  const KConfigGroup&
    403, 274, 394, 394, 0,	//92  const KFileItemList&, QWidget*, bool, bool
    485, 0,	//97  unsigned int
    254, 0,	//99  QStyleOptionViewItem::Position
    274, 24, 0,	//101  QWidget*, KFile::FileView
    17, 0,	//104  KDirLister*
    230, 0,	//106  QResizeEvent*
    402, 450, 0,	//108  const KFileItem&, const QPoint&
    111, 0,	//111  QEvent*
    205, 111, 0,	//113  QObject*, QEvent*
    480, 480, 0,	//116  int, int
    402, 110, 407, 0,	//119  const KFileItem&, QDropEvent*, const KUrl::List&
    402, 199, 0,	//123  const KFileItem&, QMenu*
    403, 274, 0,	//126  const KFileItemList&, QWidget*
    403, 274, 394, 0,	//129  const KFileItemList&, QWidget*, bool
    405, 394, 274, 0,	//133  const KUrl&, bool, QWidget*
    405, 394, 274, 465, 0,	//137  const KUrl&, bool, QWidget*, const QString&
    176, 0,	//142  QHideEvent*
    205, 0,	//144  QObject*
    444, 0,	//146  const QModelIndex&
    424, 0,	//148  const QFileInfo&
    421, 0,	//150  const QDir::SortFlags&
    401, 0,	//152  const KFile::FileView&
    400, 0,	//154  const KFile&
    465, 405, 465, 465, 0,	//156  const QString&, const KUrl&, const QString&, const QString&
    444, 465, 405, 465, 465, 0,	//161  const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&
    444, 394, 0,	//167  const QModelIndex&, bool
    444, 480, 0,	//170  const QModelIndex&, int
    480, 480, 444, 0,	//173  int, int, const QModelIndex&
    434, 0,	//177  const QList<QModelIndex>&
    443, 299, 480, 480, 444, 0,	//179  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    465, 405, 0,	//185  const QString&, const KUrl&
    465, 405, 465, 0,	//188  const QString&, const KUrl&, const QString&
    444, 465, 405, 0,	//192  const QModelIndex&, const QString&, const KUrl&
    444, 465, 405, 465, 0,	//196  const QModelIndex&, const QString&, const KUrl&, const QString&
    73, 0,	//201  QAbstractItemModel*
    94, 0,	//203  QContextMenuEvent*
    231, 0,	//205  QShowEvent*
    107, 0,	//207  QDragEnterEvent*
    108, 0,	//209  QDragLeaveEvent*
    109, 0,	//211  QDragMoveEvent*
    110, 0,	//213  QDropEvent*
    208, 0,	//215  QPaintEvent*
    444, 480, 480, 0,	//217  const QModelIndex&, int, int
    405, 110, 274, 0,	//221  const KUrl&, QDropEvent*, QWidget*
    4, 79, 0,	//225  KAbstractViewAdapter*, QAbstractProxyModel*
    405, 238, 0,	//228  const KUrl&, QString&
    405, 238, 238, 0,	//231  const KUrl&, QString&, QString&
    33, 405, 274, 0,	//235  KFilePlacesModel*, const KUrl&, QWidget*
    407, 405, 0,	//239  const KUrl::List&, const KUrl&
    405, 110, 0,	//242  const KUrl&, QDropEvent*
    203, 0,	//245  QMouseEvent*
    444, 474, 480, 0,	//247  const QModelIndex&, const QVariant&, int
    480, 335, 480, 0,	//251  int, Qt::Orientation, int
    480, 335, 474, 480, 0,	//255  int, Qt::Orientation, const QVariant&, int
    444, 438, 0,	//260  const QModelIndex&, const QMap<int,QVariant>&
    444, 480, 474, 480, 329, 0,	//263  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    183, 0,	//269  QItemSelectionModel*
    316, 0,	//271  Qt::InputMethodQuery
    274, 72, 0,	//273  QWidget*, QAbstractItemDelegate::EndEditHint
    444, 76, 111, 0,	//276  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    444, 423, 0,	//280  const QModelIndex&, const QEvent*
    300, 0,	//283  Qt::DropActions
    174, 0,	//285  QFocusEvent*
    181, 0,	//287  QInputMethodEvent*
    105, 480, 0,	//289  QDir::SortFlags::enum_type, int
    68, 480, 0,	//292  KUrl::QueryItemsOptions::enum_type, int
    99, 99, 0,	//295  QDBusServiceWatcher::WatchMode::enum_type, QDBusServiceWatcher::WatchMode::enum_type
    27, 120, 0,	//298  KFile::Modes::enum_type, QFlags<KFile::Modes::enum_type>
    468, 468, 0,	//301  const QStringRef&, const QStringRef&
    105, 135, 0,	//304  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    51, 123, 0,	//307  KJob::Capabilities::enum_type, QFlags<KJob::Capabilities::enum_type>
    477, 431, 0,	//310  const char*, const QLatin1String&
    196, 196, 0,	//313  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    100, 178, 0,	//316  QDataStream&, QIcon&
    357, 357, 0,	//319  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    452, 440, 0,	//322  const QPointF&, const QMatrix&
    468, 465, 0,	//325  const QStringRef&, const QString&
    460, 460, 0,	//328  const QSize&, const QSize&
    100, 430, 0,	//331  QDataStream&, const QKeySequence&
    477, 411, 0,	//334  const char*, const QByteArray&
    100, 30, 0,	//337  QDataStream&, KFileItem&
    177, 480, 0,	//340  QIODevice::OpenMode::enum_type, int
    452, 452, 0,	//343  const QPointF&, const QPointF&
    100, 454, 0,	//346  QDataStream&, const QPolygonF&
    100, 234, 0,	//349  QDataStream&, QSizeF&
    411, 477, 0,	//352  const QByteArray&, const char*
    100, 396, 0,	//355  QDataStream&, const KACL&
    465, 468, 0,	//358  const QString&, const QStringRef&
    246, 145, 0,	//361  QStyle::State::enum_type, QFlags<QStyle::State::enum_type>
    5, 480, 0,	//364  KAction::ShortcutTypes::enum_type, int
    50, 0,	//367  KIconLoader::Group&
    100, 458, 0,	//369  QDataStream&, const QRegion&
    41, 480, 0,	//372  KGlobalSettings::GraphicEffects::enum_type, int
    365, 172, 0,	//375  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    113, 113, 0,	//378  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    468, 431, 0,	//381  const QStringRef&, const QLatin1String&
    361, 361, 0,	//384  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    89, 89, 0,	//387  QChar, QChar
    418, 418, 0,	//390  const QDBusVariant&, const QDBusVariant&
    12, 12, 0,	//393  KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type
    361, 171, 0,	//396  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    68, 128, 0,	//399  KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>
    97, 433, 0,	//402  QDBusArgument&, const QLineF&
    97, 452, 0,	//405  QDBusArgument&, const QPointF&
    32, 480, 0,	//408  KFileMetaInfo::WhatFlags::enum_type, int
    100, 447, 0,	//411  QDataStream&, const QPalette&
    100, 93, 0,	//414  QDataStream&, QColor&
    315, 315, 0,	//417  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    240, 465, 0,	//420  QString::Null, const QString&
    275, 156, 0,	//423  QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>
    97, 435, 0,	//426  QDBusArgument&, const QList<QVariant>&
    236, 236, 0,	//429  QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type
    268, 268, 0,	//432  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    27, 27, 0,	//435  KFile::Modes::enum_type, KFile::Modes::enum_type
    97, 456, 0,	//438  QDBusArgument&, const QRectF&
    255, 255, 0,	//441  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type
    479, 462, 0,	//444  double, const QSizeF&
    258, 422, 0,	//447  QTextStream&, const QDomNode&
    450, 450, 0,	//450  const QPoint&, const QPoint&
    415, 193, 0,	//453  const QDBusArgument&, QLineF&
    249, 480, 0,	//456  QStyleOptionFrameV2::FrameFeatures::enum_type, int
    100, 456, 0,	//459  QDataStream&, const QRectF&
    250, 250, 0,	//462  QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type
    257, 153, 0,	//465  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    471, 479, 0,	//468  const QTransform&, double
    333, 333, 0,	//471  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    97, 420, 0,	//474  QDBusArgument&, const QDateTime&
    349, 349, 0,	//477  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    333, 166, 0,	//480  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    16, 16, 0,	//483  KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type
    450, 479, 0,	//486  const QPoint&, double
    100, 471, 0,	//489  QDataStream&, const QTransform&
    465, 411, 0,	//492  const QString&, const QByteArray&
    462, 462, 0,	//495  const QSizeF&, const QSizeF&
    236, 143, 0,	//498  QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>
    100, 448, 0,	//501  QDataStream&, const QPixmap&
    236, 480, 0,	//504  QSizePolicy::ControlTypes::enum_type, int
    113, 480, 0,	//507  QFile::Permissions::enum_type, int
    477, 465, 0,	//510  const char*, const QString&
    250, 480, 0,	//513  QStyleOptionTab::CornerWidgets::enum_type, int
    196, 480, 0,	//516  QLocale::NumberOptions::enum_type, int
    431, 431, 0,	//519  const QLatin1String&, const QLatin1String&
    431, 468, 0,	//522  const QLatin1String&, const QStringRef&
    417, 417, 0,	//525  const QDBusSignature&, const QDBusSignature&
    113, 138, 0,	//528  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    312, 312, 0,	//531  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    100, 195, 0,	//534  QDataStream&, QLocale&
    336, 480, 0,	//537  Qt::Orientations::enum_type, int
    15, 15, 0,	//540  KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type
    465, 89, 0,	//543  const QString&, QChar
    240, 240, 0,	//546  QString::Null, QString::Null
    357, 170, 0,	//549  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    465, 477, 0,	//552  const QString&, const char*
    247, 480, 0,	//555  QStyle::SubControls::enum_type, int
    100, 414, 0,	//558  QDataStream&, const QCursor&
    100, 212, 0,	//561  QDataStream&, QPalette&
    411, 465, 0,	//564  const QByteArray&, const QString&
    66, 127, 0,	//567  KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>
    177, 139, 0,	//570  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    257, 257, 0,	//573  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    455, 455, 0,	//576  const QRect&, const QRect&
    408, 408, 0,	//579  const QBitArray&, const QBitArray&
    411, 411, 0,	//582  const QByteArray&, const QByteArray&
    354, 354, 0,	//585  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    11, 480, 0,	//588  KConfig::OpenFlags::enum_type, int
    80, 80, 0,	//591  QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type
    252, 252, 0,	//594  QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type
    100, 440, 0,	//597  QDataStream&, const QMatrix&
    41, 41, 0,	//600  KGlobalSettings::GraphicEffects::enum_type, KGlobalSettings::GraphicEffects::enum_type
    100, 436, 0,	//603  QDataStream&, const QLocale&
    196, 142, 0,	//606  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    100, 102, 0,	//609  QDataStream&, QDateTime&
    85, 85, 0,	//612  QBool, QBool
    477, 468, 0,	//615  const char*, const QStringRef&
    336, 167, 0,	//618  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    18, 119, 0,	//621  KDirLister::OpenUrlFlags::enum_type, QFlags<KDirLister::OpenUrlFlags::enum_type>
    365, 365, 0,	//624  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    432, 471, 0,	//627  const QLine&, const QTransform&
    68, 68, 0,	//630  KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type
    89, 465, 0,	//633  QChar, const QString&
    257, 480, 0,	//636  QTextCodec::ConversionFlags::enum_type, int
    365, 480, 0,	//639  Qt::WindowStates::enum_type, int
    260, 480, 0,	//642  QTextStream::NumberFlags::enum_type, int
    251, 480, 0,	//645  QStyleOptionToolBar::ToolBarFeatures::enum_type, int
    100, 267, 0,	//648  QDataStream&, QUrl&
    77, 130, 0,	//651  QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>
    465, 240, 0,	//654  const QString&, QString::Null
    325, 164, 0,	//657  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    100, 86, 0,	//660  QDataStream&, QBrush&
    103, 134, 0,	//663  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    18, 480, 0,	//666  KDirLister::OpenUrlFlags::enum_type, int
    465, 395, 0,	//669  const QString&, char
    415, 101, 0,	//672  const QDBusArgument&, QDate&
    446, 440, 0,	//675  const QPainterPath&, const QMatrix&
    100, 235, 0,	//678  QDataStream&, QSizePolicy&
    98, 480, 0,	//681  QDBusConnection::RegisterOptions::enum_type, int
    97, 470, 0,	//684  QDBusArgument&, const QTime&
    97, 432, 0,	//687  QDBusArgument&, const QLine&
    458, 440, 0,	//690  const QRegion&, const QMatrix&
    450, 0,	//693  const QPoint&
    100, 47, 0,	//695  QDataStream&, KIO::UDSEntry&
    100, 470, 0,	//698  QDataStream&, const QTime&
    51, 480, 0,	//701  KJob::Capabilities::enum_type, int
    71, 129, 0,	//704  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    439, 439, 0,	//707  const QMargins&, const QMargins&
    77, 480, 0,	//710  QAbstractItemView::EditTriggers::enum_type, int
    100, 446, 0,	//713  QDataStream&, const QPainterPath&
    298, 158, 0,	//716  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    71, 71, 0,	//719  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    325, 480, 0,	//722  Qt::KeyboardModifiers::enum_type, int
    100, 243, 0,	//725  QDataStream&, QStringList&
    307, 160, 0,	//728  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    100, 409, 0,	//731  QDataStream&, const QBrush&
    312, 480, 0,	//734  Qt::ImageConversionFlags::enum_type, int
    32, 32, 0,	//737  KFileMetaInfo::WhatFlags::enum_type, KFileMetaInfo::WhatFlags::enum_type
    97, 455, 0,	//740  QDBusArgument&, const QRect&
    268, 480, 0,	//743  QUrl::FormattingOptions::enum_type, int
    100, 193, 0,	//746  QDataStream&, QLineF&
    100, 428, 0,	//749  QDataStream&, const QImage&
    301, 159, 0,	//752  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    27, 480, 0,	//755  KFile::Modes::enum_type, int
    395, 465, 0,	//758  char, const QString&
    416, 416, 0,	//761  const QDBusObjectPath&, const QDBusObjectPath&
    100, 233, 0,	//764  QDataStream&, QSize&
    100, 187, 0,	//767  QDataStream&, QKeySequence&
    312, 161, 0,	//770  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    64, 480, 0,	//773  KUrl::DirectoryOptions::enum_type, int
    241, 241, 0,	//776  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    100, 427, 0,	//779  QDataStream&, const QIcon&
    100, 465, 0,	//782  QDataStream&, const QString&
    315, 480, 0,	//785  Qt::InputMethodHints::enum_type, int
    100, 420, 0,	//788  QDataStream&, const QDateTime&
    452, 479, 0,	//791  const QPointF&, double
    394, 85, 0,	//794  bool, QBool
    106, 136, 0,	//797  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    15, 117, 0,	//800  KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>
    349, 480, 0,	//803  Qt::TextInteractionFlags::enum_type, int
    415, 218, 0,	//806  const QDBusArgument&, QPointF&
    100, 402, 0,	//809  QDataStream&, const KFileItem&
    77, 77, 0,	//812  QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type
    177, 177, 0,	//815  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    100, 450, 0,	//818  QDataStream&, const QPoint&
    247, 247, 0,	//821  QStyle::SubControls::enum_type, QStyle::SubControls::enum_type
    100, 271, 0,	//824  QDataStream&, QVariant&
    98, 98, 0,	//827  QDBusConnection::RegisterOptions::enum_type, QDBusConnection::RegisterOptions::enum_type
    100, 179, 0,	//830  QDataStream&, QImage&
    50, 480, 0,	//833  KIconLoader::Group&, int
    452, 0,	//836  const QPointF&
    15, 480, 0,	//838  KDialog::ButtonCodes::enum_type, int
    454, 440, 0,	//841  const QPolygonF&, const QMatrix&
    336, 336, 0,	//844  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    251, 150, 0,	//847  QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>
    456, 456, 0,	//850  const QRectF&, const QRectF&
    97, 460, 0,	//853  QDBusArgument&, const QSize&
    100, 266, 0,	//856  QDataStream&, QTransform&
    298, 298, 0,	//859  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    268, 155, 0,	//862  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    100, 466, 0,	//865  QDataStream&, const QStringList&
    98, 132, 0,	//868  QDBusConnection::RegisterOptions::enum_type, QFlags<QDBusConnection::RegisterOptions::enum_type>
    411, 395, 0,	//871  const QByteArray&, char
    18, 18, 0,	//874  KDirLister::OpenUrlFlags::enum_type, KDirLister::OpenUrlFlags::enum_type
    252, 480, 0,	//877  QStyleOptionToolButton::ToolButtonFeatures::enum_type, int
    100, 216, 0,	//880  QDataStream&, QPoint&
    241, 480, 0,	//883  QString::SectionFlags::enum_type, int
    462, 479, 0,	//886  const QSizeF&, double
    307, 480, 0,	//889  Qt::GestureFlags::enum_type, int
    320, 320, 0,	//892  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    100, 419, 0,	//895  QDataStream&, const QDate&
    100, 432, 0,	//898  QDataStream&, const QLine&
    100, 198, 0,	//901  QDataStream&, QMatrix&
    100, 238, 0,	//904  QDataStream&, QString&
    5, 5, 0,	//907  KAction::ShortcutTypes::enum_type, KAction::ShortcutTypes::enum_type
    415, 102, 0,	//910  const QDBusArgument&, QDateTime&
    255, 480, 0,	//913  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int
    63, 124, 0,	//916  KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>
    99, 480, 0,	//919  QDBusServiceWatcher::WatchMode::enum_type, int
    415, 226, 0,	//922  const QDBusArgument&, QRectF&
    433, 440, 0,	//925  const QLineF&, const QMatrix&
    258, 259, 0,	//928  QTextStream&, QTextStream&(*)(QTextStream&)
    415, 263, 0,	//931  const QDBusArgument&, QTime&
    275, 480, 0,	//934  QWidget::RenderFlags::enum_type, int
    41, 122, 0,	//937  KGlobalSettings::GraphicEffects::enum_type, QFlags<KGlobalSettings::GraphicEffects::enum_type>
    258, 261, 0,	//940  QTextStream&, QTextStreamManipulator
    5, 114, 0,	//943  KAction::ShortcutTypes::enum_type, QFlags<KAction::ShortcutTypes::enum_type>
    106, 106, 0,	//946  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    301, 301, 0,	//949  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    255, 152, 0,	//952  QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>
    99, 133, 0,	//955  QDBusServiceWatcher::WatchMode::enum_type, QFlags<QDBusServiceWatcher::WatchMode::enum_type>
    330, 330, 0,	//958  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    250, 149, 0,	//961  QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>
    100, 84, 0,	//964  QDataStream&, QBitArray&
    32, 121, 0,	//967  KFileMetaInfo::WhatFlags::enum_type, QFlags<KFileMetaInfo::WhatFlags::enum_type>
    100, 220, 0,	//970  QDataStream&, QPolygon&
    100, 229, 0,	//973  QDataStream&, QRegion&
    248, 147, 0,	//976  QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>
    100, 463, 0,	//979  QDataStream&, const QSizePolicy&
    112, 137, 0,	//982  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    97, 437, 0,	//985  QDBusArgument&, const QMap<QString,QVariant>&
    66, 66, 0,	//988  KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type
    275, 275, 0,	//991  QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type
    450, 471, 0,	//994  const QPoint&, const QTransform&
    188, 141, 0,	//997  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    468, 477, 0,	//1000  const QStringRef&, const char*
    415, 216, 0,	//1003  const QDBusArgument&, QPoint&
    320, 480, 0,	//1006  Qt::ItemFlags::enum_type, int
    395, 411, 0,	//1009  char, const QByteArray&
    315, 162, 0,	//1012  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    100, 474, 0,	//1015  QDataStream&, const QVariant&
    415, 234, 0,	//1018  const QDBusArgument&, QSizeF&
    415, 233, 0,	//1021  const QDBusArgument&, QSize&
    100, 263, 0,	//1024  QDataStream&, QTime&
    249, 148, 0,	//1027  QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>
    100, 214, 0,	//1030  QDataStream&, QPixmap&
    252, 151, 0,	//1033  QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>
    479, 452, 0,	//1036  double, const QPointF&
    458, 471, 0,	//1039  const QRegion&, const QTransform&
    460, 479, 0,	//1042  const QSize&, double
    446, 471, 0,	//1045  const QPainterPath&, const QTransform&
    241, 144, 0,	//1048  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    454, 471, 0,	//1051  const QPolygonF&, const QTransform&
    479, 450, 0,	//1054  double, const QPoint&
    64, 64, 0,	//1057  KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type
    100, 433, 0,	//1060  QDataStream&, const QLineF&
    188, 480, 0,	//1063  QLibrary::LoadHints::enum_type, int
    260, 260, 0,	//1066  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    185, 185, 0,	//1069  QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type
    65, 126, 0,	//1072  KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>
    474, 476, 0,	//1075  const QVariant&, const QVariantComparisonHelper&
    415, 225, 0,	//1078  const QDBusArgument&, QRect&
    100, 211, 0,	//1081  QDataStream&, QPainterPath&
    260, 154, 0,	//1084  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    16, 118, 0,	//1087  KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>
    12, 480, 0,	//1090  KConfigBase::WriteConfigFlags::enum_type, int
    71, 480, 0,	//1093  QAbstractFileEngine::FileFlags::enum_type, int
    16, 480, 0,	//1096  KDialog::CaptionFlags::enum_type, int
    103, 480, 0,	//1099  QDir::Filters::enum_type, int
    100, 413, 0,	//1102  QDataStream&, const QColor&
    100, 411, 0,	//1105  QDataStream&, const QByteArray&
    65, 480, 0,	//1108  KUrl::EncodedPathAndQueryOptions::enum_type, int
    432, 440, 0,	//1111  const QLine&, const QMatrix&
    51, 51, 0,	//1114  KJob::Capabilities::enum_type, KJob::Capabilities::enum_type
    105, 105, 0,	//1117  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    100, 472, 0,	//1120  QDataStream&, const QUrl&
    301, 480, 0,	//1123  Qt::DropActions::enum_type, int
    415, 271, 0,	//1126  const QDBusArgument&, QVariant&
    188, 188, 0,	//1129  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    248, 248, 0,	//1132  QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type
    64, 125, 0,	//1135  KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>
    100, 225, 0,	//1138  QDataStream&, QRect&
    100, 460, 0,	//1141  QDataStream&, const QSize&
    100, 412, 0,	//1144  QDataStream&, const QChar&
    251, 251, 0,	//1147  QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type
    246, 246, 0,	//1150  QStyle::State::enum_type, QStyle::State::enum_type
    11, 11, 0,	//1153  KConfig::OpenFlags::enum_type, KConfig::OpenFlags::enum_type
    100, 457, 0,	//1156  QDataStream&, const QRegExp&
    276, 480, 0,	//1159  Qt::Alignment::enum_type, int
    63, 480, 0,	//1162  KUrl::CleanPathOptions::enum_type, int
    415, 190, 0,	//1165  const QDBusArgument&, QLine&
    320, 163, 0,	//1168  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    248, 480, 0,	//1171  QStyleOptionButton::ButtonFeatures::enum_type, int
    307, 307, 0,	//1174  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    100, 175, 0,	//1177  QDataStream&, QFont&
    100, 269, 0,	//1180  QDataStream&, QUuid&
    276, 157, 0,	//1183  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    100, 222, 0,	//1186  QDataStream&, QPolygonF&
    100, 272, 0,	//1189  QDataStream&, QVariant::Type&
    63, 63, 0,	//1192  KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type
    65, 65, 0,	//1195  KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type
    185, 480, 0,	//1198  QItemSelectionModel::SelectionFlags::enum_type, int
    450, 440, 0,	//1201  const QPoint&, const QMatrix&
    12, 116, 0,	//1204  KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>
    97, 419, 0,	//1207  QDBusArgument&, const QDate&
    103, 103, 0,	//1210  QDir::Filters::enum_type, QDir::Filters::enum_type
    426, 426, 0,	//1213  const QHashDummyValue&, const QHashDummyValue&
    330, 480, 0,	//1216  Qt::MatchFlags::enum_type, int
    246, 480, 0,	//1219  QStyle::State::enum_type, int
    100, 218, 0,	//1222  QDataStream&, QPointF&
    361, 480, 0,	//1225  Qt::WindowFlags::enum_type, int
    354, 169, 0,	//1228  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    354, 480, 0,	//1231  Qt::ToolBarAreas::enum_type, int
    100, 425, 0,	//1234  QDataStream&, const QFont&
    100, 404, 0,	//1237  QDataStream&, const KIO::UDSEntry&
    298, 480, 0,	//1240  Qt::DockWidgetAreas::enum_type, int
    453, 471, 0,	//1243  const QPolygon&, const QTransform&
    479, 460, 0,	//1246  double, const QSize&
    100, 1, 0,	//1249  QDataStream&, KACL&
    97, 462, 0,	//1252  QDBusArgument&, const QSizeF&
    66, 480, 0,	//1255  KUrl::EqualsOptions::enum_type, int
    11, 115, 0,	//1258  KConfig::OpenFlags::enum_type, QFlags<KConfig::OpenFlags::enum_type>
    349, 168, 0,	//1261  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    85, 394, 0,	//1264  QBool, bool
    100, 190, 0,	//1267  QDataStream&, QLine&
    433, 471, 0,	//1270  const QLineF&, const QTransform&
    80, 131, 0,	//1273  QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>
    276, 276, 0,	//1276  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    100, 475, 0,	//1279  QDataStream&, const QVariant::Type
    452, 471, 0,	//1282  const QPointF&, const QTransform&
    100, 473, 0,	//1285  QDataStream&, const QUuid&
    325, 325, 0,	//1288  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    100, 226, 0,	//1291  QDataStream&, QRectF&
    100, 95, 0,	//1294  QDataStream&, QCursor&
    112, 480, 0,	//1297  QEventLoop::ProcessEventsFlags::enum_type, int
    100, 455, 0,	//1300  QDataStream&, const QRect&
    100, 90, 0,	//1303  QDataStream&, QChar&
    100, 227, 0,	//1306  QDataStream&, QRegExp&
    106, 480, 0,	//1309  QDirIterator::IteratorFlags::enum_type, int
    100, 452, 0,	//1312  QDataStream&, const QPointF&
    357, 480, 0,	//1315  Qt::TouchPointStates::enum_type, int
    100, 462, 0,	//1318  QDataStream&, const QSizeF&
    465, 465, 0,	//1321  const QString&, const QString&
    185, 140, 0,	//1324  QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>
    249, 249, 0,	//1327  QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type
    247, 146, 0,	//1330  QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>
    80, 480, 0,	//1333  QAbstractSpinBox::StepEnabled::enum_type, int
    112, 112, 0,	//1336  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    330, 165, 0,	//1339  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    100, 88, 0,	//1342  QDataStream&, QByteArray&
    453, 440, 0,	//1345  const QPolygon&, const QMatrix&
    333, 480, 0,	//1348  Qt::MouseButtons::enum_type, int
    100, 453, 0,	//1351  QDataStream&, const QPolygon&
    97, 450, 0,	//1354  QDBusArgument&, const QPoint&
    100, 101, 0,	//1357  QDataStream&, QDate&
    100, 408, 0,	//1360  QDataStream&, const QBitArray&
    444, 78, 0,	//1363  const QModelIndex&, QAbstractItemView::ScrollHint
    264, 0,	//1366  QTimerEvent*
    75, 324, 0,	//1368  QAbstractItemView::CursorAction, Qt::KeyboardModifiers
    455, 184, 0,	//1371  const QRect&, QItemSelectionModel::SelectionFlags
    429, 0,	//1374  const QItemSelection&
    429, 429, 0,	//1376  const QItemSelection&, const QItemSelection&
    91, 0,	//1379  QChildEvent*
    480, 444, 0,	//1381  int, const QModelIndex&
    209, 469, 444, 0,	//1384  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    209, 455, 444, 0,	//1388  QPainter*, const QRect&, const QModelIndex&
    204, 0,	//1392  QMoveEvent*
    256, 0,	//1394  QTabletEvent*
    82, 0,	//1396  QActionEvent*
    391, 0,	//1398  _XEvent*
    206, 0,	//1400  QPaintDevice::PaintDeviceMetric
    245, 0,	//1402  QStyle&
    447, 0,	//1404  const QPalette&
    425, 0,	//1406  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "Adjust",	//3
    "AdjustToContents",	//4
    "AdjustToContentsOnFirstShow",	//5
    "AdjustToMinimumContentsLength",	//6
    "AdjustToMinimumContentsLengthWithIcon",	//7
    "AllActions",	//8
    "AllEditTriggers",	//9
    "AnimatingState",	//10
    "AnyKeyPressed",	//11
    "AppNameCaption",	//12
    "Apply",	//13
    "Batched",	//14
    "BelowItem",	//15
    "Box",	//16
    "Cancel",	//17
    "CapacityBarRecommendedRole",	//18
    "CategoryDisplayRole",	//19
    "CategorySortRole",	//20
    "Close",	//21
    "CollapsingState",	//22
    "ContiguousSelection",	//23
    "CurrentChanged",	//24
    "Default",	//25
    "DelayedPopup",	//26
    "Detail",	//27
    "DetailTree",	//28
    "Details",	//29
    "Directory",	//30
    "DoubleClicked",	//31
    "DragDrop",	//32
    "DragOnly",	//33
    "DragSelectingState",	//34
    "DraggingState",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "DropOnly",	//38
    "EditKeyPressed",	//39
    "EditingState",	//40
    "EnsureVisible",	//41
    "ExistingOnly",	//42
    "ExpandingState",	//43
    "Extended",	//44
    "ExtendedSelection",	//45
    "File",	//46
    "FileActions",	//47
    "FileViewMax",	//48
    "Files",	//49
    "Fixed",	//50
    "FixedDeviceRole",	//51
    "Free",	//52
    "HIGCompliantCaption",	//53
    "HLine",	//54
    "Help",	//55
    "HiddenRole",	//56
    "ITIMER_PROF",	//57
    "ITIMER_REAL",	//58
    "ITIMER_VIRTUAL",	//59
    "IconMode",	//60
    "IgnoreMask",	//61
    "InsertAfterCurrent",	//62
    "InsertAlphabetically",	//63
    "InsertAtBottom",	//64
    "InsertAtCurrent",	//65
    "InsertAtTop",	//66
    "InsertBeforeCurrent",	//67
    "InstantPopup",	//68
    "InternalMove",	//69
    "KAbstractFileWidget",	//70
    "KAbstractFileWidget#",	//71
    "KDirOperator",	//72
    "KDirOperator#",	//73
    "KDirOperator##",	//74
    "KDirSelectDialog",	//75
    "KDirSelectDialog#",	//76
    "KDirSelectDialog#$",	//77
    "KDirSelectDialog#$#",	//78
    "KDirSortFilterProxyModel",	//79
    "KDirSortFilterProxyModel#",	//80
    "KFile",	//81
    "KFile#",	//82
    "KFileFilterCombo",	//83
    "KFileFilterCombo#",	//84
    "KFilePlacesModel",	//85
    "KFilePlacesModel#",	//86
    "KFilePlacesView",	//87
    "KFilePlacesView#",	//88
    "KFilePreviewGenerator",	//89
    "KFilePreviewGenerator#",	//90
    "KFilePreviewGenerator##",	//91
    "KFileTreeView",	//92
    "KFileTreeView#",	//93
    "KFileWidget",	//94
    "KFileWidget##",	//95
    "KST_CTimeInfo",	//96
    "KST_KCustom",	//97
    "KST_KDEDesktopMimeType",	//98
    "KST_KFolderMimeType",	//99
    "KST_KImageIO",	//100
    "KST_KImageIOFormat",	//101
    "KST_KMimeType",	//102
    "KST_KMimeTypeFactory",	//103
    "KST_KProtocolInfo",	//104
    "KST_KProtocolInfoFactory",	//105
    "KST_KService",	//106
    "KST_KServiceFactory",	//107
    "KST_KServiceGroup",	//108
    "KST_KServiceGroupFactory",	//109
    "KST_KServiceSeparator",	//110
    "KST_KServiceType",	//111
    "KST_KServiceTypeFactory",	//112
    "KST_KSycocaEntry",	//113
    "KUrlNavigator",	//114
    "KUrlNavigator###",	//115
    "LeftToRight",	//116
    "LicensedActiveQt",	//117
    "LicensedCore",	//118
    "LicensedDBus",	//119
    "LicensedDeclarative",	//120
    "LicensedGui",	//121
    "LicensedHelp",	//122
    "LicensedMultimedia",	//123
    "LicensedNetwork",	//124
    "LicensedOpenGL",	//125
    "LicensedOpenVG",	//126
    "LicensedQt3Support",	//127
    "LicensedQt3SupportLight",	//128
    "LicensedScript",	//129
    "LicensedScriptTools",	//130
    "LicensedSql",	//131
    "LicensedSvg",	//132
    "LicensedTest",	//133
    "LicensedXml",	//134
    "LicensedXmlPatterns",	//135
    "ListMode",	//136
    "LocalOnly",	//137
    "ModeMax",	//138
    "ModifiedCaption",	//139
    "MoveDown",	//140
    "MoveEnd",	//141
    "MoveHome",	//142
    "MoveLeft",	//143
    "MoveNext",	//144
    "MovePageDown",	//145
    "MovePageUp",	//146
    "MovePrevious",	//147
    "MoveRight",	//148
    "MoveUp",	//149
    "Multi",	//150
    "MultiSelection",	//151
    "NavActions",	//152
    "NextCompletionMatch",	//153
    "No",	//154
    "NoCaptionFlags",	//155
    "NoDefault",	//156
    "NoDragDrop",	//157
    "NoEditTriggers",	//158
    "NoFrame",	//159
    "NoInsert",	//160
    "NoSelection",	//161
    "NoState",	//162
    "None",	//163
    "Ok",	//164
    "OnItem",	//165
    "OnViewport",	//166
    "Opening",	//167
    "Other",	//168
    "Panel",	//169
    "Plain",	//170
    "PositionAtBottom",	//171
    "PositionAtCenter",	//172
    "PositionAtTop",	//173
    "PrevCompletionMatch",	//174
    "PreviewContents",	//175
    "PreviewInfo",	//176
    "QtCriticalMsg",	//177
    "QtDebugMsg",	//178
    "QtFatalMsg",	//179
    "QtSystemMsg",	//180
    "QtWarningMsg",	//181
    "Raised",	//182
    "Rejected",	//183
    "Reset",	//184
    "Saving",	//185
    "ScrollPerItem",	//186
    "ScrollPerPixel",	//187
    "SelectColumns",	//188
    "SelectItems",	//189
    "SelectRows",	//190
    "SelectedClicked",	//191
    "SeparateDirs",	//192
    "SetupNeededRole",	//193
    "Shadow_Mask",	//194
    "Shape_Mask",	//195
    "Simple",	//196
    "Single",	//197
    "SinglePass",	//198
    "SingleSelection",	//199
    "Snap",	//200
    "SortActions",	//201
    "Static",	//202
    "StyledPanel",	//203
    "SubstringCompletion",	//204
    "Sunken",	//205
    "TextCompletion",	//206
    "TopToBottom",	//207
    "Tree",	//208
    "Try",	//209
    "UrlRole",	//210
    "User1",	//211
    "User2",	//212
    "User3",	//213
    "VLine",	//214
    "ViewActions",	//215
    "WinPanel",	//216
    "Yes",	//217
    "_IEEE_",	//218
    "_ISOC_",	//219
    "_POSIX_",	//220
    "_SVID_",	//221
    "_XOPEN_",	//222
    "__codecvt_error",	//223
    "__codecvt_noconv",	//224
    "__codecvt_ok",	//225
    "__codecvt_partial",	//226
    "accept",	//227
    "accepted",	//228
    "actionCollection",	//229
    "actionEvent",	//230
    "activated",	//231
    "activated#",	//232
    "activatedMenu",	//233
    "activatedMenu##",	//234
    "addPlace",	//235
    "addPlace$#",	//236
    "addPlace$#$",	//237
    "addPlace$#$$",	//238
    "back",	//239
    "baseUrl",	//240
    "bookmarkForIndex",	//241
    "bookmarkForIndex#",	//242
    "buddy",	//243
    "canFetchMore",	//244
    "canFetchMore#",	//245
    "cancelButton",	//246
    "cancelPreviews",	//247
    "cdUp",	//248
    "changeEvent",	//249
    "changeEvent#",	//250
    "checkPreviewSupport",	//251
    "childEvent",	//252
    "clearFilter",	//253
    "clearHistory",	//254
    "close",	//255
    "closeEditor",	//256
    "closeEvent",	//257
    "closestItem",	//258
    "closestItem#",	//259
    "columnCount",	//260
    "columnCount#",	//261
    "commitData",	//262
    "compareCategories",	//263
    "completion",	//264
    "completion$",	//265
    "completionObject",	//266
    "connectNotify",	//267
    "contextMenuAboutToShow",	//268
    "contextMenuAboutToShow##",	//269
    "contextMenuEvent",	//270
    "contextMenuEvent#",	//271
    "create",	//272
    "createView",	//273
    "createView#$",	//274
    "currentChanged",	//275
    "currentChanged#",	//276
    "currentFilter",	//277
    "currentFilterMimeType",	//278
    "currentIconSizeChanged",	//279
    "currentIconSizeChanged$",	//280
    "currentMimeFilter",	//281
    "currentUrl",	//282
    "customEvent",	//283
    "customProtocols",	//284
    "data",	//285
    "data#$",	//286
    "dataChanged",	//287
    "dataChanged##",	//288
    "decorationPosition",	//289
    "defaultFilter",	//290
    "del",	//291
    "del#",	//292
    "del##",	//293
    "del##$",	//294
    "del##$$",	//295
    "deleteSelected",	//296
    "devType",	//297
    "deviceForIndex",	//298
    "deviceForIndex#",	//299
    "dirActivated",	//300
    "dirActivated#",	//301
    "dirCompletionObject",	//302
    "dirHighlighting",	//303
    "dirLister",	//304
    "dirOnlyMode",	//305
    "dirOnlyMode$",	//306
    "dirOperator",	//307
    "disconnectNotify",	//308
    "doItemsLayout",	//309
    "done",	//310
    "dragEnterEvent",	//311
    "dragEnterEvent#",	//312
    "dragLeaveEvent",	//313
    "dragLeaveEvent#",	//314
    "dragMoveEvent",	//315
    "dragMoveEvent#",	//316
    "drawBranches",	//317
    "drawRow",	//318
    "dropEvent",	//319
    "dropEvent#",	//320
    "dropMimeData",	//321
    "dropMimeData#$$$#",	//322
    "dropped",	//323
    "dropped##?",	//324
    "edit",	//325
    "editPlace",	//326
    "editPlace#$#",	//327
    "editPlace#$#$",	//328
    "editPlace#$#$$",	//329
    "editableStateChanged",	//330
    "editableStateChanged$",	//331
    "editor",	//332
    "editorDestroyed",	//333
    "ejectActionForIndex",	//334
    "ejectActionForIndex#",	//335
    "enabledChange",	//336
    "enabledPlugins",	//337
    "enterEvent",	//338
    "errorMessage",	//339
    "errorMessage$",	//340
    "event",	//341
    "eventFilter",	//342
    "eventFilter##",	//343
    "fetchMore",	//344
    "fileHighlighted",	//345
    "fileHighlighted#",	//346
    "fileHighlighted$",	//347
    "fileSelected",	//348
    "fileSelected#",	//349
    "fileSelected$",	//350
    "filterAcceptsColumn",	//351
    "filterAcceptsRow",	//352
    "filterChanged",	//353
    "filterChanged$",	//354
    "filterWidget",	//355
    "filters",	//356
    "finishedLoading",	//357
    "flags",	//358
    "flags#",	//359
    "focusInEvent",	//360
    "focusNextPrevChild",	//361
    "focusOutEvent",	//362
    "fontChange",	//363
    "forward",	//364
    "getStartUrl",	//365
    "getStartUrl#$",	//366
    "getStartUrl#$$",	//367
    "goBack",	//368
    "goForward",	//369
    "goHome",	//370
    "goUp",	//371
    "hasChildren",	//372
    "hasChildren#",	//373
    "headerData",	//374
    "heightForWidth",	//375
    "hiddenCount",	//376
    "hideEvent",	//377
    "hideEvent#",	//378
    "hidePopup",	//379
    "highlightFile",	//380
    "highlightFile#",	//381
    "historyChanged",	//382
    "historyIndex",	//383
    "historySize",	//384
    "historyUrl",	//385
    "historyUrl$",	//386
    "home",	//387
    "horizontalOffset",	//388
    "horizontalScrollbarAction",	//389
    "horizontalScrollbarValueChanged",	//390
    "icon",	//391
    "icon#",	//392
    "iconsZoom",	//393
    "index",	//394
    "index$$",	//395
    "index$$#",	//396
    "indexAt",	//397
    "inputMethodEvent",	//398
    "inputMethodQuery",	//399
    "insertColumns",	//400
    "insertRows",	//401
    "isActive",	//402
    "isAutoResizeItemsEnabled",	//403
    "isDefaultView",	//404
    "isDefaultView$",	//405
    "isDetailTreeView",	//406
    "isDetailTreeView$",	//407
    "isDetailView",	//408
    "isDetailView$",	//409
    "isDevice",	//410
    "isDevice#",	//411
    "isDropOnPlaceEnabled",	//412
    "isHidden",	//413
    "isHidden#",	//414
    "isIndexHidden",	//415
    "isInlinePreviewShown",	//416
    "isPlacesSelectorVisible",	//417
    "isPreviewContents",	//418
    "isPreviewContents$",	//419
    "isPreviewInfo",	//420
    "isPreviewInfo$",	//421
    "isPreviewShown",	//422
    "isRoot",	//423
    "isSaving",	//424
    "isSelected",	//425
    "isSelected#",	//426
    "isSeparateDirs",	//427
    "isSeparateDirs$",	//428
    "isSimpleView",	//429
    "isSimpleView$",	//430
    "isSortByDate",	//431
    "isSortByDate?",	//432
    "isSortByName",	//433
    "isSortByName?",	//434
    "isSortBySize",	//435
    "isSortBySize?",	//436
    "isSortByType",	//437
    "isSortByType?",	//438
    "isSortCaseInsensitive",	//439
    "isSortCaseInsensitive?",	//440
    "isSortDirsFirst",	//441
    "isSortDirsFirst?",	//442
    "isTreeView",	//443
    "isTreeView$",	//444
    "isUrlEditable",	//445
    "itemData",	//446
    "keepsLocation",	//447
    "keyPressEvent",	//448
    "keyPressEvent#",	//449
    "keyReleaseEvent",	//450
    "keyReleaseEvent#",	//451
    "keyboardSearch",	//452
    "languageChange",	//453
    "leaveEvent",	//454
    "lessThan",	//455
    "localOnly",	//456
    "locationEdit",	//457
    "makeCompletion",	//458
    "makeCompletion$",	//459
    "makeDirCompletion",	//460
    "makeDirCompletion$",	//461
    "mapFromSource",	//462
    "mapSelectionFromSource",	//463
    "mapSelectionToSource",	//464
    "mapToSource",	//465
    "match",	//466
    "metaObject",	//467
    "metric",	//468
    "mimeData",	//469
    "mimeData?",	//470
    "mimeFilter",	//471
    "mimeTypes",	//472
    "minimumSizeHint",	//473
    "mkdir",	//474
    "mkdir$",	//475
    "mkdir$$",	//476
    "mode",	//477
    "mouseDoubleClickEvent",	//478
    "mouseMoveEvent",	//479
    "mousePressEvent",	//480
    "mouseReleaseEvent",	//481
    "mouseReleaseEvent#",	//482
    "moveCursor",	//483
    "moveEvent",	//484
    "nameFilter",	//485
    "numDirs",	//486
    "numFiles",	//487
    "okButton",	//488
    "onlyDoubleClickSelectsFiles",	//489
    "operationMode",	//490
    "operator!=",	//491
    "operator!=##",	//492
    "operator!=#$",	//493
    "operator!=$#",	//494
    "operator!=$$",	//495
    "operator&",	//496
    "operator&##",	//497
    "operator*",	//498
    "operator*##",	//499
    "operator*#$",	//500
    "operator*$#",	//501
    "operator+",	//502
    "operator+##",	//503
    "operator+#$",	//504
    "operator+$#",	//505
    "operator+$$",	//506
    "operator++",	//507
    "operator++$",	//508
    "operator++$$",	//509
    "operator-",	//510
    "operator-#",	//511
    "operator-##",	//512
    "operator-#$",	//513
    "operator/",	//514
    "operator/#$",	//515
    "operator<",	//516
    "operator<##",	//517
    "operator<#$",	//518
    "operator<$#",	//519
    "operator<$$",	//520
    "operator<<",	//521
    "operator<<##",	//522
    "operator<<#$",	//523
    "operator<<#?",	//524
    "operator<=",	//525
    "operator<=##",	//526
    "operator<=#$",	//527
    "operator<=$#",	//528
    "operator<=$$",	//529
    "operator==",	//530
    "operator==##",	//531
    "operator==#$",	//532
    "operator==$#",	//533
    "operator==$$",	//534
    "operator>",	//535
    "operator>##",	//536
    "operator>#$",	//537
    "operator>$#",	//538
    "operator>$$",	//539
    "operator>=",	//540
    "operator>=##",	//541
    "operator>=#$",	//542
    "operator>=$#",	//543
    "operator>=$$",	//544
    "operator>>",	//545
    "operator>>##",	//546
    "operator>>#$",	//547
    "operator>>#?",	//548
    "operator^",	//549
    "operator^##",	//550
    "operator|",	//551
    "operator|##",	//552
    "operator|?$",	//553
    "operator|??",	//554
    "paintEngine",	//555
    "paintEvent",	//556
    "paintEvent#",	//557
    "paletteChange",	//558
    "parent",	//559
    "parent#",	//560
    "pathChanged",	//561
    "pointsForPermissions",	//562
    "pointsForPermissions#",	//563
    "prepareCompletionObjects",	//564
    "previewGenerator",	//565
    "progressBar",	//566
    "qt_metacall",	//567
    "qt_metacall$$?",	//568
    "qt_metacast",	//569
    "qt_metacast$",	//570
    "readConfig",	//571
    "readConfig#",	//572
    "reject",	//573
    "removeColumns",	//574
    "removePlace",	//575
    "removePlace#",	//576
    "removeRows",	//577
    "requestActivation",	//578
    "requestEject",	//579
    "requestEject#",	//580
    "requestSetup",	//581
    "requestSetup#",	//582
    "requestTeardown",	//583
    "requestTeardown#",	//584
    "rereadDir",	//585
    "reset",	//586
    "resetCursor",	//587
    "resizeEvent",	//588
    "resizeEvent#",	//589
    "returnPressed",	//590
    "revert",	//591
    "rootUrl",	//592
    "rowCount",	//593
    "rowCount#",	//594
    "rowsAboutToBeRemoved",	//595
    "rowsInserted",	//596
    "rowsInserted#$$",	//597
    "savePosition",	//598
    "savePosition$$",	//599
    "saveRootUrl",	//600
    "saveRootUrl#",	//601
    "savedPosition",	//602
    "savedRootUrl",	//603
    "scrollContentsBy",	//604
    "scrollTo",	//605
    "selectAll",	//606
    "selectDir",	//607
    "selectDir#",	//608
    "selectDirectory",	//609
    "selectDirectory#",	//610
    "selectDirectory#$",	//611
    "selectDirectory#$#",	//612
    "selectDirectory#$#$",	//613
    "selectFile",	//614
    "selectFile#",	//615
    "selectedFile",	//616
    "selectedFiles",	//617
    "selectedIndexes",	//618
    "selectedItems",	//619
    "selectedUrl",	//620
    "selectedUrls",	//621
    "selectionChanged",	//622
    "selectionCommand",	//623
    "setAcceptDrops",	//624
    "setAcceptDrops$",	//625
    "setActive",	//626
    "setActive$",	//627
    "setAutoCompletion",	//628
    "setAutoResizeItemsEnabled",	//629
    "setAutoResizeItemsEnabled$",	//630
    "setCaption",	//631
    "setCompletedItems",	//632
    "setCompletedText",	//633
    "setCompletionMode",	//634
    "setCompletionObject",	//635
    "setConfirmOverwrite",	//636
    "setConfirmOverwrite$",	//637
    "setContextMenuEnabled",	//638
    "setCurrentFilter",	//639
    "setCurrentFilter$",	//640
    "setCurrentItem",	//641
    "setCurrentItem#",	//642
    "setCurrentItem$",	//643
    "setCurrentItems",	//644
    "setCurrentItems#",	//645
    "setCurrentItems?",	//646
    "setCurrentUrl",	//647
    "setCurrentUrl#",	//648
    "setCustomProtocols",	//649
    "setCustomProtocols?",	//650
    "setCustomWidget",	//651
    "setCustomWidget#",	//652
    "setCustomWidget$#",	//653
    "setData",	//654
    "setDecorationPosition",	//655
    "setDecorationPosition$",	//656
    "setDefaultFilter",	//657
    "setDefaultFilter$",	//658
    "setDirLister",	//659
    "setDirLister#",	//660
    "setDirOnlyMode",	//661
    "setDirOnlyMode$",	//662
    "setDropOnPlaceEnabled",	//663
    "setDropOnPlaceEnabled$",	//664
    "setDropOptions",	//665
    "setDropOptions$",	//666
    "setEnableDirHighlighting",	//667
    "setEnableDirHighlighting$",	//668
    "setEnabledPlugins",	//669
    "setEnabledPlugins?",	//670
    "setFilter",	//671
    "setFilter$",	//672
    "setFocus",	//673
    "setHandleSignals",	//674
    "setHeaderData",	//675
    "setHomeUrl",	//676
    "setHomeUrl$",	//677
    "setIconsZoom",	//678
    "setIconsZoom$",	//679
    "setInlinePreviewShown",	//680
    "setInlinePreviewShown$",	//681
    "setIsSaving",	//682
    "setIsSaving$",	//683
    "setItemData",	//684
    "setKeepLocation",	//685
    "setKeepLocation$",	//686
    "setLineEdit",	//687
    "setLocationLabel",	//688
    "setLocationLabel$",	//689
    "setMimeFilter",	//690
    "setMimeFilter?",	//691
    "setMimeFilter?$",	//692
    "setMode",	//693
    "setMode$",	//694
    "setModel",	//695
    "setModel#",	//696
    "setNameFilter",	//697
    "setNameFilter$",	//698
    "setOnlyDoubleClickSelectsFiles",	//699
    "setOnlyDoubleClickSelectsFiles$",	//700
    "setOperationMode",	//701
    "setOperationMode$",	//702
    "setPlaceHidden",	//703
    "setPlaceHidden#$",	//704
    "setPlacesSelectorVisible",	//705
    "setPlacesSelectorVisible$",	//706
    "setPlainCaption",	//707
    "setPreviewShown",	//708
    "setPreviewShown$",	//709
    "setPreviewWidget",	//710
    "setPreviewWidget#",	//711
    "setRootIndex",	//712
    "setRootUrl",	//713
    "setRootUrl#",	//714
    "setSelection",	//715
    "setSelection$",	//716
    "setSelectionModel",	//717
    "setShowAll",	//718
    "setShowAll$",	//719
    "setShowFullPath",	//720
    "setShowFullPath$",	//721
    "setShowHiddenFiles",	//722
    "setShowHiddenFiles$",	//723
    "setSortFoldersFirst",	//724
    "setSortFoldersFirst$",	//725
    "setSorting",	//726
    "setSorting$",	//727
    "setSourceModel",	//728
    "setStartDir",	//729
    "setStartDir#",	//730
    "setUrl",	//731
    "setUrl#",	//732
    "setUrl#$",	//733
    "setUrlEditable",	//734
    "setUrlEditable$",	//735
    "setView",	//736
    "setView#",	//737
    "setView$",	//738
    "setViewConfig",	//739
    "setViewConfig#",	//740
    "setVisible",	//741
    "setupActions",	//742
    "setupDone",	//743
    "setupDone#$",	//744
    "setupMenu",	//745
    "setupMenu$",	//746
    "setupNeeded",	//747
    "setupNeeded#",	//748
    "showEvent",	//749
    "showEvent#",	//750
    "showFullPath",	//751
    "showHiddenFiles",	//752
    "showPopup",	//753
    "showsAllTypes",	//754
    "sizeHint",	//755
    "sizeHintForColumn",	//756
    "sizeHintForRow",	//757
    "slotButtonClicked",	//758
    "slotCancel",	//759
    "slotCompletionMatch",	//760
    "slotCompletionMatch$",	//761
    "slotOk",	//762
    "sort",	//763
    "sortByDate",	//764
    "sortByName",	//765
    "sortBySize",	//766
    "sortByType",	//767
    "sortFoldersFirst",	//768
    "sortReversed",	//769
    "sorting",	//770
    "span",	//771
    "startDir",	//772
    "startDrag",	//773
    "staticMetaObject",	//774
    "styleChange",	//775
    "subSortLessThan",	//776
    "subSortLessThan##",	//777
    "submit",	//778
    "supportedDropActions",	//779
    "tabletEvent",	//780
    "teardownActionForIndex",	//781
    "teardownActionForIndex#",	//782
    "text",	//783
    "text#",	//784
    "timerEvent",	//785
    "toggleDirsFirst",	//786
    "toggleIgnoreCase",	//787
    "toolBar",	//788
    "tr",	//789
    "tr$",	//790
    "tr$$",	//791
    "tr$$$",	//792
    "trUtf8",	//793
    "trUtf8$",	//794
    "trUtf8$$",	//795
    "trUtf8$$$",	//796
    "trash",	//797
    "trash##",	//798
    "trash##$",	//799
    "trash##$$",	//800
    "trashSelected",	//801
    "uncommittedUrl",	//802
    "updateDir",	//803
    "updateEditorData",	//804
    "updateEditorGeometries",	//805
    "updateGeometries",	//806
    "updateIcons",	//807
    "updateInformation",	//808
    "updateInformation$$",	//809
    "updatePreviews",	//810
    "updateSelectionDependentActions",	//811
    "updateSortActions",	//812
    "updateViewActions",	//813
    "url",	//814
    "url#",	//815
    "url$",	//816
    "urlChanged",	//817
    "urlChanged#",	//818
    "urlEntered",	//819
    "urlEntered#",	//820
    "urlsDropped",	//821
    "urlsDropped##",	//822
    "urlsDropped###",	//823
    "urlsDropped?#",	//824
    "verticalOffset",	//825
    "verticalScrollbarAction",	//826
    "verticalScrollbarValueChanged",	//827
    "view",	//828
    "viewChanged",	//829
    "viewChanged#",	//830
    "viewConfigGroup",	//831
    "viewOptions",	//832
    "viewportEvent",	//833
    "virtual_hook",	//834
    "virtual_hook$$",	//835
    "visualRect",	//836
    "visualRegionForSelection",	//837
    "wheelEvent",	//838
    "windowActivationChange",	//839
    "writeConfig",	//840
    "writeConfig#",	//841
    "x11Event",	//842
    "~KAbstractFileWidget",	//843
    "~KDirOperator",	//844
    "~KDirSelectDialog",	//845
    "~KDirSortFilterProxyModel",	//846
    "~KFile",	//847
    "~KFileFilterCombo",	//848
    "~KFilePlacesModel",	//849
    "~KFilePlacesView",	//850
    "~KFilePreviewGenerator",	//851
    "~KFileTreeView",	//852
    "~KFileWidget",	//853
    "~KUrlNavigator",	//854
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 62, 1},	//1 KAbstractFileWidget::selectedUrl() const [pure virtual]
    {2, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 67, 2},	//2 KAbstractFileWidget::selectedUrls() const [pure virtual]
    {2, 240, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 62, 3},	//3 KAbstractFileWidget::baseUrl() const [pure virtual]
    {2, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 237, 4},	//4 KAbstractFileWidget::selectedFile() const [pure virtual]
    {2, 617, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 242, 5},	//5 KAbstractFileWidget::selectedFiles() const [pure virtual]
    {2, 731, 1, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//6 KAbstractFileWidget::setUrl(const KUrl&, bool) [pure virtual]
    {2, 715, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//7 KAbstractFileWidget::setSelection(const QString&) [pure virtual]
    {2, 701, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//8 KAbstractFileWidget::setOperationMode(KAbstractFileWidget::OperationMode) [pure virtual]
    {2, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 3, 9},	//9 KAbstractFileWidget::operationMode() const [pure virtual]
    {2, 685, 8, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//10 KAbstractFileWidget::setKeepLocation(bool) [pure virtual]
    {2, 447, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 394, 11},	//11 KAbstractFileWidget::keepsLocation() const [pure virtual]
    {2, 671, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//12 KAbstractFileWidget::setFilter(const QString&) [pure virtual]
    {2, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 237, 13},	//13 KAbstractFileWidget::currentFilter() const [pure virtual]
    {2, 278, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 14},	//14 KAbstractFileWidget::currentFilterMimeType() [pure virtual]
    {2, 690, 10, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//15 KAbstractFileWidget::setMimeFilter(const QStringList&, const QString&) [pure virtual]
    {2, 281, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 237, 16},	//16 KAbstractFileWidget::currentMimeFilter() const [pure virtual]
    {2, 253, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//17 KAbstractFileWidget::clearFilter() [pure virtual]
    {2, 710, 13, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 18},	//18 KAbstractFileWidget::setPreviewWidget(KPreviewWidgetBase*) [pure virtual]
    {2, 693, 15, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//19 KAbstractFileWidget::setMode(KFile::Modes) [pure virtual]
    {2, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 26, 20},	//20 KAbstractFileWidget::mode() const [pure virtual]
    {2, 688, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//21 KAbstractFileWidget::setLocationLabel(const QString&) [pure virtual]
    {2, 788, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 61, 22},	//22 KAbstractFileWidget::toolBar() const [pure virtual]
    {2, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 55, 23},	//23 KAbstractFileWidget::okButton() const [pure virtual]
    {2, 246, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 55, 24},	//24 KAbstractFileWidget::cancelButton() const [pure virtual]
    {2, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 69, 25},	//25 KAbstractFileWidget::locationEdit() const [pure virtual]
    {2, 355, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 26},	//26 KAbstractFileWidget::filterWidget() const [pure virtual]
    {2, 229, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 27},	//27 KAbstractFileWidget::actionCollection() const [pure virtual]
    {2, 651, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//28 KAbstractFileWidget::setCustomWidget(QWidget*) [pure virtual]
    {2, 651, 19, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//29 KAbstractFileWidget::setCustomWidget(const QString&, QWidget*) [pure virtual]
    {2, 762, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//30 KAbstractFileWidget::slotOk() [pure virtual]
    {2, 227, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 31},	//31 KAbstractFileWidget::accept() [pure virtual]
    {2, 759, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//32 KAbstractFileWidget::slotCancel() [pure virtual]
    {2, 834, 22, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//33 KAbstractFileWidget::virtual_hook(int, void*) [pure virtual]
    {2, 636, 8, 1, 0, 0, 34},	//34 KAbstractFileWidget::setConfirmOverwrite(bool)
    {2, 680, 8, 1, 0, 0, 35},	//35 KAbstractFileWidget::setInlinePreviewShown(bool)
    {2, 70, 0, 0, Smoke::mf_ctor, 2, 36},	//36 KAbstractFileWidget::KAbstractFileWidget()
    {2, 70, 25, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 37},	//37 KAbstractFileWidget::KAbstractFileWidget(const KAbstractFileWidget&)
    {2, 731, 27, 1, Smoke::mf_purevirtual, 0, 38},	//38 KAbstractFileWidget::setUrl(const KUrl&) [pure virtual]
    {2, 690, 29, 1, Smoke::mf_purevirtual, 0, 39},	//39 KAbstractFileWidget::setMimeFilter(const QStringList&) [pure virtual]
    {2, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 40},	//40 KAbstractFileWidget::Other (enum)
    {2, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 41},	//41 KAbstractFileWidget::Opening (enum)
    {2, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 42},	//42 KAbstractFileWidget::Saving (enum)
    {2, 843, 0, 0, Smoke::mf_dtor, 0, 43 },	//43 KAbstractFileWidget::~KAbstractFileWidget()
    {6, 763, 31, 2, Smoke::mf_virtual, 0, 0},	//44 KCategorizedSortFilterProxyModel::sort(int, Qt::SortOrder)
    {6, 455, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//45 KCategorizedSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {6, 263, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//46 KCategorizedSortFilterProxyModel::compareCategories(const QModelIndex&, const QModelIndex&) const
    {8, 628, 8, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//47 KComboBox::setAutoCompletion(bool)
    {8, 638, 8, 1, Smoke::mf_virtual, 0, 0},	//48 KComboBox::setContextMenuEnabled(bool)
    {8, 687, 37, 1, Smoke::mf_virtual, 0, 0},	//49 KComboBox::setLineEdit(QLineEdit*)
    {8, 633, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 KComboBox::setCompletedText(const QString&)
    {8, 632, 39, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//51 KComboBox::setCompletedItems(const QStringList&, bool)
    {8, 458, 4, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//52 KComboBox::makeCompletion(const QString&)
    {8, 633, 42, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 KComboBox::setCompletedText(const QString&, bool)
    {8, 272, 45, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 KComboBox::create(unsigned long, bool, bool)
    {8, 838, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 KComboBox::wheelEvent(QWheelEvent*)
    {8, 473, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 232, 0},	//56 KComboBox::minimumSizeHint() const
    {10, 635, 51, 2, Smoke::mf_virtual, 0, 0},	//57 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {10, 674, 8, 1, Smoke::mf_virtual, 0, 0},	//58 KCompletionBase::setHandleSignals(bool)
    {10, 634, 54, 1, Smoke::mf_virtual, 0, 0},	//59 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {10, 834, 22, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 KCompletionBase::virtual_hook(int, void*)
    {13, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//61 KDialog::sizeHint() const
    {13, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//62 KDialog::minimumSizeHint() const
    {13, 631, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//63 KDialog::setCaption(const QString&)
    {13, 631, 42, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//64 KDialog::setCaption(const QString&, bool)
    {13, 707, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//65 KDialog::setPlainCaption(const QString&)
    {13, 257, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 KDialog::closeEvent(QCloseEvent*)
    {13, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 KDialog::keyPressEvent(QKeyEvent*)
    {13, 758, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//68 KDialog::slotButtonClicked(int)
    {15, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//69 KDirOperator::metaObject() const
    {15, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//70 KDirOperator::qt_metacast(const char*)
    {15, 789, 64, 2, Smoke::mf_static, 237, 3},	//71 KDirOperator::tr(const char*, const char*)
    {15, 793, 64, 2, Smoke::mf_static, 237, 4},	//72 KDirOperator::trUtf8(const char*, const char*)
    {15, 789, 67, 3, Smoke::mf_static, 237, 5},	//73 KDirOperator::tr(const char*, const char*, int)
    {15, 793, 67, 3, Smoke::mf_static, 237, 6},	//74 KDirOperator::trUtf8(const char*, const char*, int)
    {15, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//75 KDirOperator::qt_metacall(QMetaObject::Call, int, void**)
    {15, 72, 75, 2, Smoke::mf_ctor, 19, 8},	//76 KDirOperator::KDirOperator(const KUrl&, QWidget*)
    {15, 722, 8, 1, Smoke::mf_virtual, 0, 9},	//77 KDirOperator::setShowHiddenFiles(bool)
    {15, 752, 0, 0, Smoke::mf_const, 394, 10},	//78 KDirOperator::showHiddenFiles() const
    {15, 255, 0, 0, 0, 0, 11},	//79 KDirOperator::close()
    {15, 697, 4, 1, 0, 0, 12},	//80 KDirOperator::setNameFilter(const QString&)
    {15, 485, 0, 0, Smoke::mf_const, 237, 13},	//81 KDirOperator::nameFilter() const
    {15, 690, 29, 1, 0, 0, 14},	//82 KDirOperator::setMimeFilter(const QStringList&)
    {15, 471, 0, 0, Smoke::mf_const, 242, 15},	//83 KDirOperator::mimeFilter() const
    {15, 253, 0, 0, 0, 0, 16},	//84 KDirOperator::clearFilter()
    {15, 814, 0, 0, Smoke::mf_const, 62, 17},	//85 KDirOperator::url() const
    {15, 731, 1, 2, Smoke::mf_virtual, 0, 18},	//86 KDirOperator::setUrl(const KUrl&, bool)
    {15, 641, 4, 1, 0, 0, 19},	//87 KDirOperator::setCurrentItem(const QString&)
    {15, 641, 78, 1, 0, 0, 20},	//88 KDirOperator::setCurrentItem(const KFileItem&)
    {15, 644, 29, 1, 0, 0, 21},	//89 KDirOperator::setCurrentItems(const QStringList&)
    {15, 644, 80, 1, 0, 0, 22},	//90 KDirOperator::setCurrentItems(const KFileItemList&)
    {15, 736, 82, 1, Smoke::mf_virtual, 0, 23},	//91 KDirOperator::setView(QAbstractItemView*)
    {15, 828, 0, 0, Smoke::mf_const, 74, 24},	//92 KDirOperator::view() const
    {15, 736, 84, 1, Smoke::mf_virtual, 0, 25},	//93 KDirOperator::setView(KFile::FileView)
    {15, 726, 86, 1, 0, 0, 26},	//94 KDirOperator::setSorting(QDir::SortFlags)
    {15, 770, 0, 0, Smoke::mf_const, 104, 27},	//95 KDirOperator::sorting() const
    {15, 423, 0, 0, Smoke::mf_const, 394, 28},	//96 KDirOperator::isRoot() const
    {15, 304, 0, 0, Smoke::mf_const, 17, 29},	//97 KDirOperator::dirLister() const
    {15, 566, 0, 0, Smoke::mf_const, 223, 30},	//98 KDirOperator::progressBar() const
    {15, 693, 15, 1, Smoke::mf_virtual, 0, 31},	//99 KDirOperator::setMode(KFile::Modes)
    {15, 477, 0, 0, Smoke::mf_const, 26, 32},	//100 KDirOperator::mode() const
    {15, 710, 13, 1, Smoke::mf_virtual, 0, 33},	//101 KDirOperator::setPreviewWidget(KPreviewWidgetBase*)
    {15, 619, 0, 0, Smoke::mf_const, 31, 34},	//102 KDirOperator::selectedItems() const
    {15, 425, 78, 1, Smoke::mf_const, 394, 35},	//103 KDirOperator::isSelected(const KFileItem&) const
    {15, 486, 0, 0, Smoke::mf_const, 480, 36},	//104 KDirOperator::numDirs() const
    {15, 487, 0, 0, Smoke::mf_const, 480, 37},	//105 KDirOperator::numFiles() const
    {15, 266, 0, 0, Smoke::mf_const, 9, 38},	//106 KDirOperator::completionObject() const
    {15, 302, 0, 0, Smoke::mf_const, 9, 39},	//107 KDirOperator::dirCompletionObject() const
    {15, 229, 0, 0, Smoke::mf_const, 6, 40},	//108 KDirOperator::actionCollection() const
    {15, 739, 88, 1, Smoke::mf_virtual, 0, 41},	//109 KDirOperator::setViewConfig(KConfigGroup&)
    {15, 831, 0, 0, Smoke::mf_const, 14, 42},	//110 KDirOperator::viewConfigGroup() const
    {15, 571, 90, 1, Smoke::mf_virtual, 0, 43},	//111 KDirOperator::readConfig(const KConfigGroup&)
    {15, 840, 88, 1, Smoke::mf_virtual, 0, 44},	//112 KDirOperator::writeConfig(KConfigGroup&)
    {15, 699, 8, 1, 0, 0, 45},	//113 KDirOperator::setOnlyDoubleClickSelectsFiles(bool)
    {15, 489, 0, 0, Smoke::mf_const, 394, 46},	//114 KDirOperator::onlyDoubleClickSelectsFiles() const
    {15, 474, 42, 2, Smoke::mf_virtual, 394, 47},	//115 KDirOperator::mkdir(const QString&, bool)
    {15, 291, 92, 4, Smoke::mf_virtual, 45, 48},	//116 KDirOperator::del(const KFileItemList&, QWidget*, bool, bool)
    {15, 254, 0, 0, 0, 0, 49},	//117 KDirOperator::clearHistory()
    {15, 667, 8, 1, Smoke::mf_virtual, 0, 50},	//118 KDirOperator::setEnableDirHighlighting(bool)
    {15, 303, 0, 0, Smoke::mf_const, 394, 51},	//119 KDirOperator::dirHighlighting() const
    {15, 305, 0, 0, Smoke::mf_const, 394, 52},	//120 KDirOperator::dirOnlyMode() const
    {15, 305, 97, 1, Smoke::mf_static, 394, 53},	//121 KDirOperator::dirOnlyMode(unsigned int)
    {15, 745, 60, 1, 0, 0, 54},	//122 KDirOperator::setupMenu(int)
    {15, 624, 8, 1, Smoke::mf_virtual, 0, 55},	//123 KDirOperator::setAcceptDrops(bool)
    {15, 665, 60, 1, Smoke::mf_virtual, 0, 56},	//124 KDirOperator::setDropOptions(int)
    {15, 797, 92, 4, Smoke::mf_virtual, 44, 57},	//125 KDirOperator::trash(const KFileItemList&, QWidget*, bool, bool)
    {15, 565, 0, 0, Smoke::mf_const, 36, 58},	//126 KDirOperator::previewGenerator() const
    {15, 680, 8, 1, 0, 0, 59},	//127 KDirOperator::setInlinePreviewShown(bool)
    {15, 289, 0, 0, Smoke::mf_const, 254, 60},	//128 KDirOperator::decorationPosition() const
    {15, 655, 99, 1, 0, 0, 61},	//129 KDirOperator::setDecorationPosition(QStyleOptionViewItem::Position)
    {15, 416, 0, 0, Smoke::mf_const, 394, 62},	//130 KDirOperator::isInlinePreviewShown() const
    {15, 393, 0, 0, Smoke::mf_const, 480, 63},	//131 KDirOperator::iconsZoom() const
    {15, 682, 8, 1, 0, 0, 64},	//132 KDirOperator::setIsSaving(bool)
    {15, 424, 0, 0, Smoke::mf_const, 394, 65},	//133 KDirOperator::isSaving() const
    {15, 273, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 74, 66},	//134 KDirOperator::createView(QWidget*, KFile::FileView)
    {15, 659, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//135 KDirOperator::setDirLister(KDirLister*)
    {15, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//136 KDirOperator::resizeEvent(QResizeEvent*)
    {15, 742, 0, 0, Smoke::mf_protected, 0, 69},	//137 KDirOperator::setupActions()
    {15, 812, 0, 0, Smoke::mf_protected, 0, 70},	//138 KDirOperator::updateSortActions()
    {15, 813, 0, 0, Smoke::mf_protected, 0, 71},	//139 KDirOperator::updateViewActions()
    {15, 745, 0, 0, Smoke::mf_protected, 0, 72},	//140 KDirOperator::setupMenu()
    {15, 564, 0, 0, Smoke::mf_protected, 0, 73},	//141 KDirOperator::prepareCompletionObjects()
    {15, 251, 0, 0, Smoke::mf_protected, 394, 74},	//142 KDirOperator::checkPreviewSupport()
    {15, 233, 108, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//143 KDirOperator::activatedMenu(const KFileItem&, const QPoint&)
    {15, 249, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//144 KDirOperator::changeEvent(QEvent*)
    {15, 342, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 394, 77},	//145 KDirOperator::eventFilter(QObject*, QEvent*)
    {15, 239, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 78},	//146 KDirOperator::back()
    {15, 364, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 79},	//147 KDirOperator::forward()
    {15, 387, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 80},	//148 KDirOperator::home()
    {15, 248, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 81},	//149 KDirOperator::cdUp()
    {15, 803, 0, 0, Smoke::mf_slot, 0, 82},	//150 KDirOperator::updateDir()
    {15, 585, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 83},	//151 KDirOperator::rereadDir()
    {15, 474, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 84},	//152 KDirOperator::mkdir()
    {15, 296, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 85},	//153 KDirOperator::deleteSelected()
    {15, 811, 0, 0, Smoke::mf_slot, 0, 86},	//154 KDirOperator::updateSelectionDependentActions()
    {15, 458, 4, 1, Smoke::mf_slot, 237, 87},	//155 KDirOperator::makeCompletion(const QString&)
    {15, 460, 4, 1, Smoke::mf_slot, 237, 88},	//156 KDirOperator::makeDirCompletion(const QString&)
    {15, 801, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 89},	//157 KDirOperator::trashSelected()
    {15, 678, 60, 1, Smoke::mf_slot, 0, 90},	//158 KDirOperator::setIconsZoom(int)
    {15, 587, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 91},	//159 KDirOperator::resetCursor()
    {15, 561, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 92},	//160 KDirOperator::pathChanged()
    {15, 607, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 93},	//161 KDirOperator::selectDir(const KFileItem&)
    {15, 614, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 94},	//162 KDirOperator::selectFile(const KFileItem&)
    {15, 380, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 95},	//163 KDirOperator::highlightFile(const KFileItem&)
    {15, 765, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 96},	//164 KDirOperator::sortByName()
    {15, 766, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 97},	//165 KDirOperator::sortBySize()
    {15, 764, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 98},	//166 KDirOperator::sortByDate()
    {15, 767, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 99},	//167 KDirOperator::sortByType()
    {15, 769, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 100},	//168 KDirOperator::sortReversed()
    {15, 786, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 101},	//169 KDirOperator::toggleDirsFirst()
    {15, 787, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 102},	//170 KDirOperator::toggleIgnoreCase()
    {15, 760, 4, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 103},	//171 KDirOperator::slotCompletionMatch(const QString&)
    {15, 819, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 104},	//172 KDirOperator::urlEntered(const KUrl&)
    {15, 808, 116, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 105},	//173 KDirOperator::updateInformation(int, int)
    {15, 264, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 106},	//174 KDirOperator::completion(const QString&)
    {15, 357, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//175 KDirOperator::finishedLoading()
    {15, 829, 82, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//176 KDirOperator::viewChanged(QAbstractItemView*)
    {15, 345, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//177 KDirOperator::fileHighlighted(const KFileItem&)
    {15, 300, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//178 KDirOperator::dirActivated(const KFileItem&)
    {15, 348, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//179 KDirOperator::fileSelected(const KFileItem&)
    {15, 323, 119, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//180 KDirOperator::dropped(const KFileItem&, QDropEvent*, const KUrl::List&)
    {15, 268, 123, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//181 KDirOperator::contextMenuAboutToShow(const KFileItem&, QMenu*)
    {15, 279, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//182 KDirOperator::currentIconSizeChanged(int)
    {15, 789, 62, 1, Smoke::mf_static, 237, 115},	//183 KDirOperator::tr(const char*)
    {15, 793, 62, 1, Smoke::mf_static, 237, 116},	//184 KDirOperator::trUtf8(const char*)
    {15, 72, 0, 0, Smoke::mf_ctor, 19, 117},	//185 KDirOperator::KDirOperator()
    {15, 72, 27, 1, Smoke::mf_ctor, 19, 118},	//186 KDirOperator::KDirOperator(const KUrl&)
    {15, 474, 4, 1, 0, 394, 119},	//187 KDirOperator::mkdir(const QString&)
    {15, 291, 80, 1, 0, 45, 120},	//188 KDirOperator::del(const KFileItemList&)
    {15, 291, 126, 2, 0, 45, 121},	//189 KDirOperator::del(const KFileItemList&, QWidget*)
    {15, 291, 129, 3, 0, 45, 122},	//190 KDirOperator::del(const KFileItemList&, QWidget*, bool)
    {15, 797, 126, 2, 0, 44, 123},	//191 KDirOperator::trash(const KFileItemList&, QWidget*)
    {15, 797, 129, 3, 0, 44, 124},	//192 KDirOperator::trash(const KFileItemList&, QWidget*, bool)
    {15, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 125},	//193 KDirOperator::staticMetaObject() const
    {15, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 126},	//194 KDirOperator::SortActions (enum)
    {15, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 127},	//195 KDirOperator::ViewActions (enum)
    {15, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 128},	//196 KDirOperator::NavActions (enum)
    {15, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 129},	//197 KDirOperator::FileActions (enum)
    {15, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 130},	//198 KDirOperator::AllActions (enum)
    {15, 844, 0, 0, Smoke::mf_dtor, 0, 131 },	//199 KDirOperator::~KDirOperator()
    {16, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//200 KDirSelectDialog::metaObject() const
    {16, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//201 KDirSelectDialog::qt_metacast(const char*)
    {16, 789, 64, 2, Smoke::mf_static, 237, 3},	//202 KDirSelectDialog::tr(const char*, const char*)
    {16, 793, 64, 2, Smoke::mf_static, 237, 4},	//203 KDirSelectDialog::trUtf8(const char*, const char*)
    {16, 789, 67, 3, Smoke::mf_static, 237, 5},	//204 KDirSelectDialog::tr(const char*, const char*, int)
    {16, 793, 67, 3, Smoke::mf_static, 237, 6},	//205 KDirSelectDialog::trUtf8(const char*, const char*, int)
    {16, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//206 KDirSelectDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 75, 133, 3, Smoke::mf_ctor, 21, 8},	//207 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool, QWidget*)
    {16, 814, 0, 0, Smoke::mf_const, 62, 9},	//208 KDirSelectDialog::url() const
    {16, 828, 0, 0, Smoke::mf_const, 74, 10},	//209 KDirSelectDialog::view() const
    {16, 456, 0, 0, Smoke::mf_const, 394, 11},	//210 KDirSelectDialog::localOnly() const
    {16, 609, 137, 4, Smoke::mf_static, 62, 12},	//211 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*, const QString&)
    {16, 772, 0, 0, Smoke::mf_const, 62, 13},	//212 KDirSelectDialog::startDir() const
    {16, 647, 27, 1, Smoke::mf_slot, 0, 14},	//213 KDirSelectDialog::setCurrentUrl(const KUrl&)
    {16, 227, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//214 KDirSelectDialog::accept()
    {16, 377, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//215 KDirSelectDialog::hideEvent(QHideEvent*)
    {16, 789, 62, 1, Smoke::mf_static, 237, 17},	//216 KDirSelectDialog::tr(const char*)
    {16, 793, 62, 1, Smoke::mf_static, 237, 18},	//217 KDirSelectDialog::trUtf8(const char*)
    {16, 75, 0, 0, Smoke::mf_ctor, 21, 19},	//218 KDirSelectDialog::KDirSelectDialog()
    {16, 75, 27, 1, Smoke::mf_ctor, 21, 20},	//219 KDirSelectDialog::KDirSelectDialog(const KUrl&)
    {16, 75, 1, 2, Smoke::mf_ctor, 21, 21},	//220 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool)
    {16, 609, 0, 0, Smoke::mf_static, 62, 22},	//221 KDirSelectDialog::selectDirectory()
    {16, 609, 27, 1, Smoke::mf_static, 62, 23},	//222 KDirSelectDialog::selectDirectory(const KUrl&)
    {16, 609, 1, 2, Smoke::mf_static, 62, 24},	//223 KDirSelectDialog::selectDirectory(const KUrl&, bool)
    {16, 609, 133, 3, Smoke::mf_static, 62, 25},	//224 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*)
    {16, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 26},	//225 KDirSelectDialog::staticMetaObject() const
    {16, 845, 0, 0, Smoke::mf_dtor, 0, 27 },	//226 KDirSelectDialog::~KDirSelectDialog()
    {17, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//227 KDirSortFilterProxyModel::metaObject() const
    {17, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//228 KDirSortFilterProxyModel::qt_metacast(const char*)
    {17, 789, 64, 2, Smoke::mf_static, 237, 3},	//229 KDirSortFilterProxyModel::tr(const char*, const char*)
    {17, 793, 64, 2, Smoke::mf_static, 237, 4},	//230 KDirSortFilterProxyModel::trUtf8(const char*, const char*)
    {17, 789, 67, 3, Smoke::mf_static, 237, 5},	//231 KDirSortFilterProxyModel::tr(const char*, const char*, int)
    {17, 793, 67, 3, Smoke::mf_static, 237, 6},	//232 KDirSortFilterProxyModel::trUtf8(const char*, const char*, int)
    {17, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//233 KDirSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 79, 144, 1, Smoke::mf_ctor, 22, 8},	//234 KDirSortFilterProxyModel::KDirSortFilterProxyModel(QObject*)
    {17, 372, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 394, 9},	//235 KDirSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {17, 244, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 394, 10},	//236 KDirSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {17, 562, 148, 1, Smoke::mf_static, 480, 11},	//237 KDirSortFilterProxyModel::pointsForPermissions(const QFileInfo&)
    {17, 724, 8, 1, 0, 0, 12},	//238 KDirSortFilterProxyModel::setSortFoldersFirst(bool)
    {17, 768, 0, 0, Smoke::mf_const, 394, 13},	//239 KDirSortFilterProxyModel::sortFoldersFirst() const
    {17, 776, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 394, 14},	//240 KDirSortFilterProxyModel::subSortLessThan(const QModelIndex&, const QModelIndex&) const
    {17, 789, 62, 1, Smoke::mf_static, 237, 15},	//241 KDirSortFilterProxyModel::tr(const char*)
    {17, 793, 62, 1, Smoke::mf_static, 237, 16},	//242 KDirSortFilterProxyModel::trUtf8(const char*)
    {17, 79, 0, 0, Smoke::mf_ctor, 22, 17},	//243 KDirSortFilterProxyModel::KDirSortFilterProxyModel()
    {17, 372, 0, 0, Smoke::mf_const, 394, 18},	//244 KDirSortFilterProxyModel::hasChildren() const
    {17, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 19},	//245 KDirSortFilterProxyModel::staticMetaObject() const
    {17, 846, 0, 0, Smoke::mf_dtor, 0, 20 },	//246 KDirSortFilterProxyModel::~KDirSortFilterProxyModel()
    {18, 433, 150, 1, Smoke::mf_static, 394, 1},	//247 KFile::isSortByName(const QDir::SortFlags&)
    {18, 435, 150, 1, Smoke::mf_static, 394, 2},	//248 KFile::isSortBySize(const QDir::SortFlags&)
    {18, 431, 150, 1, Smoke::mf_static, 394, 3},	//249 KFile::isSortByDate(const QDir::SortFlags&)
    {18, 437, 150, 1, Smoke::mf_static, 394, 4},	//250 KFile::isSortByType(const QDir::SortFlags&)
    {18, 441, 150, 1, Smoke::mf_static, 394, 5},	//251 KFile::isSortDirsFirst(const QDir::SortFlags&)
    {18, 439, 150, 1, Smoke::mf_static, 394, 6},	//252 KFile::isSortCaseInsensitive(const QDir::SortFlags&)
    {18, 404, 152, 1, Smoke::mf_static, 394, 7},	//253 KFile::isDefaultView(const KFile::FileView&)
    {18, 429, 152, 1, Smoke::mf_static, 394, 8},	//254 KFile::isSimpleView(const KFile::FileView&)
    {18, 408, 152, 1, Smoke::mf_static, 394, 9},	//255 KFile::isDetailView(const KFile::FileView&)
    {18, 427, 152, 1, Smoke::mf_static, 394, 10},	//256 KFile::isSeparateDirs(const KFile::FileView&)
    {18, 418, 152, 1, Smoke::mf_static, 394, 11},	//257 KFile::isPreviewContents(const KFile::FileView&)
    {18, 420, 152, 1, Smoke::mf_static, 394, 12},	//258 KFile::isPreviewInfo(const KFile::FileView&)
    {18, 443, 152, 1, Smoke::mf_static, 394, 13},	//259 KFile::isTreeView(const KFile::FileView&)
    {18, 406, 152, 1, Smoke::mf_static, 394, 14},	//260 KFile::isDetailTreeView(const KFile::FileView&)
    {18, 81, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 15},	//261 KFile::KFile(const KFile&)
    {18, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 16},	//262 KFile::staticMetaObject() const
    {18, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 17},	//263 KFile::File (enum)
    {18, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 18},	//264 KFile::Directory (enum)
    {18, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 19},	//265 KFile::Files (enum)
    {18, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 20},	//266 KFile::ExistingOnly (enum)
    {18, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//267 KFile::LocalOnly (enum)
    {18, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//268 KFile::ModeMax (enum)
    {18, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 23},	//269 KFile::Default (enum)
    {18, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 24},	//270 KFile::Simple (enum)
    {18, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 25},	//271 KFile::Detail (enum)
    {18, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 26},	//272 KFile::SeparateDirs (enum)
    {18, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 27},	//273 KFile::PreviewContents (enum)
    {18, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 28},	//274 KFile::PreviewInfo (enum)
    {18, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 29},	//275 KFile::Tree (enum)
    {18, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//276 KFile::DetailTree (enum)
    {18, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//277 KFile::FileViewMax (enum)
    {18, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 32},	//278 KFile::Single (enum)
    {18, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 33},	//279 KFile::Multi (enum)
    {18, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 34},	//280 KFile::Extended (enum)
    {18, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 35},	//281 KFile::NoSelection (enum)
    {18, 847, 0, 0, Smoke::mf_dtor, 0, 36 },	//282 KFile::~KFile()
    {19, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//283 KFileFilterCombo::metaObject() const
    {19, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//284 KFileFilterCombo::qt_metacast(const char*)
    {19, 789, 64, 2, Smoke::mf_static, 237, 3},	//285 KFileFilterCombo::tr(const char*, const char*)
    {19, 793, 64, 2, Smoke::mf_static, 237, 4},	//286 KFileFilterCombo::trUtf8(const char*, const char*)
    {19, 789, 67, 3, Smoke::mf_static, 237, 5},	//287 KFileFilterCombo::tr(const char*, const char*, int)
    {19, 793, 67, 3, Smoke::mf_static, 237, 6},	//288 KFileFilterCombo::trUtf8(const char*, const char*, int)
    {19, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//289 KFileFilterCombo::qt_metacall(QMetaObject::Call, int, void**)
    {19, 83, 17, 1, Smoke::mf_ctor, 29, 8},	//290 KFileFilterCombo::KFileFilterCombo(QWidget*)
    {19, 671, 4, 1, 0, 0, 9},	//291 KFileFilterCombo::setFilter(const QString&)
    {19, 277, 0, 0, Smoke::mf_const, 237, 10},	//292 KFileFilterCombo::currentFilter() const
    {19, 639, 4, 1, 0, 0, 11},	//293 KFileFilterCombo::setCurrentFilter(const QString&)
    {19, 690, 10, 2, 0, 0, 12},	//294 KFileFilterCombo::setMimeFilter(const QStringList&, const QString&)
    {19, 754, 0, 0, Smoke::mf_const, 394, 13},	//295 KFileFilterCombo::showsAllTypes() const
    {19, 657, 4, 1, 0, 0, 14},	//296 KFileFilterCombo::setDefaultFilter(const QString&)
    {19, 290, 0, 0, Smoke::mf_const, 237, 15},	//297 KFileFilterCombo::defaultFilter() const
    {19, 356, 0, 0, Smoke::mf_const, 242, 16},	//298 KFileFilterCombo::filters() const
    {19, 342, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 394, 17},	//299 KFileFilterCombo::eventFilter(QObject*, QEvent*)
    {19, 353, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//300 KFileFilterCombo::filterChanged()
    {19, 789, 62, 1, Smoke::mf_static, 237, 19},	//301 KFileFilterCombo::tr(const char*)
    {19, 793, 62, 1, Smoke::mf_static, 237, 20},	//302 KFileFilterCombo::trUtf8(const char*)
    {19, 83, 0, 0, Smoke::mf_ctor, 29, 21},	//303 KFileFilterCombo::KFileFilterCombo()
    {19, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 22},	//304 KFileFilterCombo::staticMetaObject() const
    {19, 848, 0, 0, Smoke::mf_dtor, 0, 23 },	//305 KFileFilterCombo::~KFileFilterCombo()
    {22, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//306 KFilePlacesModel::metaObject() const
    {22, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//307 KFilePlacesModel::qt_metacast(const char*)
    {22, 789, 64, 2, Smoke::mf_static, 237, 3},	//308 KFilePlacesModel::tr(const char*, const char*)
    {22, 793, 64, 2, Smoke::mf_static, 237, 4},	//309 KFilePlacesModel::trUtf8(const char*, const char*)
    {22, 789, 67, 3, Smoke::mf_static, 237, 5},	//310 KFilePlacesModel::tr(const char*, const char*, int)
    {22, 793, 67, 3, Smoke::mf_static, 237, 6},	//311 KFilePlacesModel::trUtf8(const char*, const char*, int)
    {22, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//312 KFilePlacesModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 85, 144, 1, Smoke::mf_ctor, 33, 8},	//313 KFilePlacesModel::KFilePlacesModel(QObject*)
    {22, 814, 146, 1, Smoke::mf_const, 62, 9},	//314 KFilePlacesModel::url(const QModelIndex&) const
    {22, 747, 146, 1, Smoke::mf_const, 394, 10},	//315 KFilePlacesModel::setupNeeded(const QModelIndex&) const
    {22, 391, 146, 1, Smoke::mf_const, 48, 11},	//316 KFilePlacesModel::icon(const QModelIndex&) const
    {22, 783, 146, 1, Smoke::mf_const, 237, 12},	//317 KFilePlacesModel::text(const QModelIndex&) const
    {22, 413, 146, 1, Smoke::mf_const, 394, 13},	//318 KFilePlacesModel::isHidden(const QModelIndex&) const
    {22, 410, 146, 1, Smoke::mf_const, 394, 14},	//319 KFilePlacesModel::isDevice(const QModelIndex&) const
    {22, 298, 146, 1, Smoke::mf_const, 390, 15},	//320 KFilePlacesModel::deviceForIndex(const QModelIndex&) const
    {22, 241, 146, 1, Smoke::mf_const, 7, 16},	//321 KFilePlacesModel::bookmarkForIndex(const QModelIndex&) const
    {22, 781, 146, 1, Smoke::mf_const, 81, 17},	//322 KFilePlacesModel::teardownActionForIndex(const QModelIndex&) const
    {22, 334, 146, 1, Smoke::mf_const, 81, 18},	//323 KFilePlacesModel::ejectActionForIndex(const QModelIndex&) const
    {22, 583, 146, 1, 0, 0, 19},	//324 KFilePlacesModel::requestTeardown(const QModelIndex&)
    {22, 579, 146, 1, 0, 0, 20},	//325 KFilePlacesModel::requestEject(const QModelIndex&)
    {22, 581, 146, 1, 0, 0, 21},	//326 KFilePlacesModel::requestSetup(const QModelIndex&)
    {22, 235, 156, 4, 0, 0, 22},	//327 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&)
    {22, 326, 161, 5, 0, 0, 23},	//328 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&)
    {22, 575, 146, 1, Smoke::mf_const, 0, 24},	//329 KFilePlacesModel::removePlace(const QModelIndex&) const
    {22, 703, 167, 2, 0, 0, 25},	//330 KFilePlacesModel::setPlaceHidden(const QModelIndex&, bool)
    {22, 376, 0, 0, Smoke::mf_const, 480, 26},	//331 KFilePlacesModel::hiddenCount() const
    {22, 285, 170, 2, Smoke::mf_const|Smoke::mf_virtual, 270, 27},	//332 KFilePlacesModel::data(const QModelIndex&, int) const
    {22, 394, 173, 3, Smoke::mf_const|Smoke::mf_virtual, 202, 28},	//333 KFilePlacesModel::index(int, int, const QModelIndex&) const
    {22, 559, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 29},	//334 KFilePlacesModel::parent(const QModelIndex&) const
    {22, 593, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 30},	//335 KFilePlacesModel::rowCount(const QModelIndex&) const
    {22, 260, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 31},	//336 KFilePlacesModel::columnCount(const QModelIndex&) const
    {22, 258, 27, 1, Smoke::mf_const, 202, 32},	//337 KFilePlacesModel::closestItem(const KUrl&) const
    {22, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 33},	//338 KFilePlacesModel::supportedDropActions() const
    {22, 358, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 319, 34},	//339 KFilePlacesModel::flags(const QModelIndex&) const
    {22, 472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 35},	//340 KFilePlacesModel::mimeTypes() const
    {22, 469, 177, 1, Smoke::mf_const|Smoke::mf_virtual, 201, 36},	//341 KFilePlacesModel::mimeData(const QList<QModelIndex>&) const
    {22, 321, 179, 5, Smoke::mf_virtual, 394, 37},	//342 KFilePlacesModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {22, 339, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//343 KFilePlacesModel::errorMessage(const QString&)
    {22, 743, 167, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//344 KFilePlacesModel::setupDone(const QModelIndex&, bool)
    {22, 789, 62, 1, Smoke::mf_static, 237, 40},	//345 KFilePlacesModel::tr(const char*)
    {22, 793, 62, 1, Smoke::mf_static, 237, 41},	//346 KFilePlacesModel::trUtf8(const char*)
    {22, 85, 0, 0, Smoke::mf_ctor, 33, 42},	//347 KFilePlacesModel::KFilePlacesModel()
    {22, 235, 185, 2, 0, 0, 43},	//348 KFilePlacesModel::addPlace(const QString&, const KUrl&)
    {22, 235, 188, 3, 0, 0, 44},	//349 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&)
    {22, 326, 192, 3, 0, 0, 45},	//350 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&)
    {22, 326, 196, 4, 0, 0, 46},	//351 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&)
    {22, 394, 116, 2, Smoke::mf_const, 202, 47},	//352 KFilePlacesModel::index(int, int) const
    {22, 593, 0, 0, Smoke::mf_const, 480, 48},	//353 KFilePlacesModel::rowCount() const
    {22, 260, 0, 0, Smoke::mf_const, 480, 49},	//354 KFilePlacesModel::columnCount() const
    {22, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 50},	//355 KFilePlacesModel::staticMetaObject() const
    {22, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 51},	//356 KFilePlacesModel::UrlRole (enum)
    {22, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 52},	//357 KFilePlacesModel::HiddenRole (enum)
    {22, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 53},	//358 KFilePlacesModel::SetupNeededRole (enum)
    {22, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 54},	//359 KFilePlacesModel::FixedDeviceRole (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 55},	//360 KFilePlacesModel::CapacityBarRecommendedRole (enum)
    {22, 849, 0, 0, Smoke::mf_dtor, 0, 56 },	//361 KFilePlacesModel::~KFilePlacesModel()
    {23, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//362 KFilePlacesView::metaObject() const
    {23, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//363 KFilePlacesView::qt_metacast(const char*)
    {23, 789, 64, 2, Smoke::mf_static, 237, 3},	//364 KFilePlacesView::tr(const char*, const char*)
    {23, 793, 64, 2, Smoke::mf_static, 237, 4},	//365 KFilePlacesView::trUtf8(const char*, const char*)
    {23, 789, 67, 3, Smoke::mf_static, 237, 5},	//366 KFilePlacesView::tr(const char*, const char*, int)
    {23, 793, 67, 3, Smoke::mf_static, 237, 6},	//367 KFilePlacesView::trUtf8(const char*, const char*, int)
    {23, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//368 KFilePlacesView::qt_metacall(QMetaObject::Call, int, void**)
    {23, 87, 17, 1, Smoke::mf_ctor, 35, 8},	//369 KFilePlacesView::KFilePlacesView(QWidget*)
    {23, 663, 8, 1, 0, 0, 9},	//370 KFilePlacesView::setDropOnPlaceEnabled(bool)
    {23, 412, 0, 0, Smoke::mf_const, 394, 10},	//371 KFilePlacesView::isDropOnPlaceEnabled() const
    {23, 629, 8, 1, 0, 0, 11},	//372 KFilePlacesView::setAutoResizeItemsEnabled(bool)
    {23, 403, 0, 0, Smoke::mf_const, 394, 12},	//373 KFilePlacesView::isAutoResizeItemsEnabled() const
    {23, 731, 27, 1, Smoke::mf_slot, 0, 13},	//374 KFilePlacesView::setUrl(const KUrl&)
    {23, 718, 8, 1, Smoke::mf_slot, 0, 14},	//375 KFilePlacesView::setShowAll(bool)
    {23, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_slot, 232, 15},	//376 KFilePlacesView::sizeHint() const
    {23, 695, 201, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//377 KFilePlacesView::setModel(QAbstractItemModel*)
    {23, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//378 KFilePlacesView::keyPressEvent(QKeyEvent*)
    {23, 270, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//379 KFilePlacesView::contextMenuEvent(QContextMenuEvent*)
    {23, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//380 KFilePlacesView::resizeEvent(QResizeEvent*)
    {23, 749, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//381 KFilePlacesView::showEvent(QShowEvent*)
    {23, 377, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//382 KFilePlacesView::hideEvent(QHideEvent*)
    {23, 311, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//383 KFilePlacesView::dragEnterEvent(QDragEnterEvent*)
    {23, 313, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//384 KFilePlacesView::dragLeaveEvent(QDragLeaveEvent*)
    {23, 315, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//385 KFilePlacesView::dragMoveEvent(QDragMoveEvent*)
    {23, 319, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//386 KFilePlacesView::dropEvent(QDropEvent*)
    {23, 556, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//387 KFilePlacesView::paintEvent(QPaintEvent*)
    {23, 596, 217, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//388 KFilePlacesView::rowsInserted(const QModelIndex&, int, int)
    {23, 287, 34, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//389 KFilePlacesView::dataChanged(const QModelIndex&, const QModelIndex&)
    {23, 817, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//390 KFilePlacesView::urlChanged(const KUrl&)
    {23, 821, 221, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//391 KFilePlacesView::urlsDropped(const KUrl&, QDropEvent*, QWidget*)
    {23, 789, 62, 1, Smoke::mf_static, 237, 31},	//392 KFilePlacesView::tr(const char*)
    {23, 793, 62, 1, Smoke::mf_static, 237, 32},	//393 KFilePlacesView::trUtf8(const char*)
    {23, 87, 0, 0, Smoke::mf_ctor, 35, 33},	//394 KFilePlacesView::KFilePlacesView()
    {23, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 34},	//395 KFilePlacesView::staticMetaObject() const
    {23, 850, 0, 0, Smoke::mf_dtor, 0, 35 },	//396 KFilePlacesView::~KFilePlacesView()
    {24, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//397 KFilePreviewGenerator::metaObject() const
    {24, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//398 KFilePreviewGenerator::qt_metacast(const char*)
    {24, 789, 64, 2, Smoke::mf_static, 237, 3},	//399 KFilePreviewGenerator::tr(const char*, const char*)
    {24, 793, 64, 2, Smoke::mf_static, 237, 4},	//400 KFilePreviewGenerator::trUtf8(const char*, const char*)
    {24, 789, 67, 3, Smoke::mf_static, 237, 5},	//401 KFilePreviewGenerator::tr(const char*, const char*, int)
    {24, 793, 67, 3, Smoke::mf_static, 237, 6},	//402 KFilePreviewGenerator::trUtf8(const char*, const char*, int)
    {24, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//403 KFilePreviewGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {24, 89, 82, 1, Smoke::mf_ctor, 36, 8},	//404 KFilePreviewGenerator::KFilePreviewGenerator(QAbstractItemView*)
    {24, 89, 225, 2, Smoke::mf_ctor, 36, 9},	//405 KFilePreviewGenerator::KFilePreviewGenerator(KAbstractViewAdapter*, QAbstractProxyModel*)
    {24, 708, 8, 1, 0, 0, 10},	//406 KFilePreviewGenerator::setPreviewShown(bool)
    {24, 422, 0, 0, Smoke::mf_const, 394, 11},	//407 KFilePreviewGenerator::isPreviewShown() const
    {24, 810, 0, 0, 0, 0, 12},	//408 KFilePreviewGenerator::updatePreviews()
    {24, 807, 0, 0, 0, 0, 13},	//409 KFilePreviewGenerator::updateIcons()
    {24, 247, 0, 0, 0, 0, 14},	//410 KFilePreviewGenerator::cancelPreviews()
    {24, 669, 29, 1, 0, 0, 15},	//411 KFilePreviewGenerator::setEnabledPlugins(const QStringList&)
    {24, 337, 0, 0, Smoke::mf_const, 242, 16},	//412 KFilePreviewGenerator::enabledPlugins() const
    {24, 789, 62, 1, Smoke::mf_static, 237, 17},	//413 KFilePreviewGenerator::tr(const char*)
    {24, 793, 62, 1, Smoke::mf_static, 237, 18},	//414 KFilePreviewGenerator::trUtf8(const char*)
    {24, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 19},	//415 KFilePreviewGenerator::staticMetaObject() const
    {24, 851, 0, 0, Smoke::mf_dtor, 0, 20 },	//416 KFilePreviewGenerator::~KFilePreviewGenerator()
    {25, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//417 KFileTreeView::metaObject() const
    {25, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//418 KFileTreeView::qt_metacast(const char*)
    {25, 789, 64, 2, Smoke::mf_static, 237, 3},	//419 KFileTreeView::tr(const char*, const char*)
    {25, 793, 64, 2, Smoke::mf_static, 237, 4},	//420 KFileTreeView::trUtf8(const char*, const char*)
    {25, 789, 67, 3, Smoke::mf_static, 237, 5},	//421 KFileTreeView::tr(const char*, const char*, int)
    {25, 793, 67, 3, Smoke::mf_static, 237, 6},	//422 KFileTreeView::trUtf8(const char*, const char*, int)
    {25, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//423 KFileTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {25, 92, 17, 1, Smoke::mf_ctor, 37, 8},	//424 KFileTreeView::KFileTreeView(QWidget*)
    {25, 282, 0, 0, Smoke::mf_const, 62, 9},	//425 KFileTreeView::currentUrl() const
    {25, 620, 0, 0, Smoke::mf_const, 62, 10},	//426 KFileTreeView::selectedUrl() const
    {25, 621, 0, 0, Smoke::mf_const, 67, 11},	//427 KFileTreeView::selectedUrls() const
    {25, 592, 0, 0, Smoke::mf_const, 62, 12},	//428 KFileTreeView::rootUrl() const
    {25, 752, 0, 0, Smoke::mf_const, 394, 13},	//429 KFileTreeView::showHiddenFiles() const
    {25, 661, 8, 1, Smoke::mf_slot, 0, 14},	//430 KFileTreeView::setDirOnlyMode(bool)
    {25, 722, 8, 1, Smoke::mf_slot, 0, 15},	//431 KFileTreeView::setShowHiddenFiles(bool)
    {25, 647, 27, 1, Smoke::mf_slot, 0, 16},	//432 KFileTreeView::setCurrentUrl(const KUrl&)
    {25, 713, 27, 1, Smoke::mf_slot, 0, 17},	//433 KFileTreeView::setRootUrl(const KUrl&)
    {25, 231, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//434 KFileTreeView::activated(const KUrl&)
    {25, 275, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//435 KFileTreeView::currentChanged(const KUrl&)
    {25, 270, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//436 KFileTreeView::contextMenuEvent(QContextMenuEvent*)
    {25, 789, 62, 1, Smoke::mf_static, 237, 21},	//437 KFileTreeView::tr(const char*)
    {25, 793, 62, 1, Smoke::mf_static, 237, 22},	//438 KFileTreeView::trUtf8(const char*)
    {25, 92, 0, 0, Smoke::mf_ctor, 37, 23},	//439 KFileTreeView::KFileTreeView()
    {25, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 24},	//440 KFileTreeView::staticMetaObject() const
    {25, 852, 0, 0, Smoke::mf_dtor, 0, 25 },	//441 KFileTreeView::~KFileTreeView()
    {26, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//442 KFileWidget::metaObject() const
    {26, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//443 KFileWidget::qt_metacast(const char*)
    {26, 789, 64, 2, Smoke::mf_static, 237, 3},	//444 KFileWidget::tr(const char*, const char*)
    {26, 793, 64, 2, Smoke::mf_static, 237, 4},	//445 KFileWidget::trUtf8(const char*, const char*)
    {26, 789, 67, 3, Smoke::mf_static, 237, 5},	//446 KFileWidget::tr(const char*, const char*, int)
    {26, 793, 67, 3, Smoke::mf_static, 237, 6},	//447 KFileWidget::trUtf8(const char*, const char*, int)
    {26, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//448 KFileWidget::qt_metacall(QMetaObject::Call, int, void**)
    {26, 94, 75, 2, Smoke::mf_ctor, 38, 8},	//449 KFileWidget::KFileWidget(const KUrl&, QWidget*)
    {26, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 9},	//450 KFileWidget::selectedUrl() const
    {26, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 67, 10},	//451 KFileWidget::selectedUrls() const
    {26, 240, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 62, 11},	//452 KFileWidget::baseUrl() const
    {26, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 12},	//453 KFileWidget::selectedFile() const
    {26, 617, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 13},	//454 KFileWidget::selectedFiles() const
    {26, 731, 1, 2, Smoke::mf_virtual, 0, 14},	//455 KFileWidget::setUrl(const KUrl&, bool)
    {26, 715, 4, 1, Smoke::mf_virtual, 0, 15},	//456 KFileWidget::setSelection(const QString&)
    {26, 701, 6, 1, Smoke::mf_virtual, 0, 16},	//457 KFileWidget::setOperationMode(KAbstractFileWidget::OperationMode)
    {26, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 17},	//458 KFileWidget::operationMode() const
    {26, 685, 8, 1, Smoke::mf_virtual, 0, 18},	//459 KFileWidget::setKeepLocation(bool)
    {26, 447, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 394, 19},	//460 KFileWidget::keepsLocation() const
    {26, 671, 4, 1, Smoke::mf_virtual, 0, 20},	//461 KFileWidget::setFilter(const QString&)
    {26, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 21},	//462 KFileWidget::currentFilter() const
    {26, 278, 0, 0, Smoke::mf_virtual, 56, 22},	//463 KFileWidget::currentFilterMimeType()
    {26, 690, 10, 2, Smoke::mf_virtual, 0, 23},	//464 KFileWidget::setMimeFilter(const QStringList&, const QString&)
    {26, 281, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 24},	//465 KFileWidget::currentMimeFilter() const
    {26, 253, 0, 0, Smoke::mf_virtual, 0, 25},	//466 KFileWidget::clearFilter()
    {26, 710, 13, 1, Smoke::mf_virtual, 0, 26},	//467 KFileWidget::setPreviewWidget(KPreviewWidgetBase*)
    {26, 693, 15, 1, Smoke::mf_virtual, 0, 27},	//468 KFileWidget::setMode(KFile::Modes)
    {26, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 28},	//469 KFileWidget::mode() const
    {26, 688, 4, 1, Smoke::mf_virtual, 0, 29},	//470 KFileWidget::setLocationLabel(const QString&)
    {26, 788, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 61, 30},	//471 KFileWidget::toolBar() const
    {26, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 31},	//472 KFileWidget::okButton() const
    {26, 246, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 32},	//473 KFileWidget::cancelButton() const
    {26, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 69, 33},	//474 KFileWidget::locationEdit() const
    {26, 355, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 34},	//475 KFileWidget::filterWidget() const
    {26, 229, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 6, 35},	//476 KFileWidget::actionCollection() const
    {26, 365, 228, 2, Smoke::mf_static, 62, 36},	//477 KFileWidget::getStartUrl(const KUrl&, QString&)
    {26, 365, 231, 3, Smoke::mf_static, 62, 37},	//478 KFileWidget::getStartUrl(const KUrl&, QString&, QString&)
    {26, 729, 27, 1, Smoke::mf_static, 0, 38},	//479 KFileWidget::setStartDir(const KUrl&)
    {26, 651, 17, 1, Smoke::mf_virtual, 0, 39},	//480 KFileWidget::setCustomWidget(QWidget*)
    {26, 651, 19, 2, Smoke::mf_virtual, 0, 40},	//481 KFileWidget::setCustomWidget(const QString&, QWidget*)
    {26, 834, 22, 2, Smoke::mf_virtual, 0, 41},	//482 KFileWidget::virtual_hook(int, void*)
    {26, 762, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//483 KFileWidget::slotOk()
    {26, 227, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//484 KFileWidget::accept()
    {26, 759, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//485 KFileWidget::slotCancel()
    {26, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//486 KFileWidget::resizeEvent(QResizeEvent*)
    {26, 749, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//487 KFileWidget::showEvent(QShowEvent*)
    {26, 342, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 394, 47},	//488 KFileWidget::eventFilter(QObject*, QEvent*)
    {26, 348, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//489 KFileWidget::fileSelected(const KUrl&)
    {26, 348, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//490 KFileWidget::fileSelected(const QString&)
    {26, 345, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//491 KFileWidget::fileHighlighted(const KUrl&)
    {26, 345, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//492 KFileWidget::fileHighlighted(const QString&)
    {26, 622, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//493 KFileWidget::selectionChanged()
    {26, 353, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//494 KFileWidget::filterChanged(const QString&)
    {26, 228, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//495 KFileWidget::accepted()
    {26, 307, 0, 0, 0, 19, 55},	//496 KFileWidget::dirOperator()
    {26, 571, 88, 1, 0, 0, 56},	//497 KFileWidget::readConfig(KConfigGroup&)
    {26, 789, 62, 1, Smoke::mf_static, 237, 57},	//498 KFileWidget::tr(const char*)
    {26, 793, 62, 1, Smoke::mf_static, 237, 58},	//499 KFileWidget::trUtf8(const char*)
    {26, 731, 27, 1, 0, 0, 59},	//500 KFileWidget::setUrl(const KUrl&)
    {26, 690, 29, 1, 0, 0, 60},	//501 KFileWidget::setMimeFilter(const QStringList&)
    {26, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 61},	//502 KFileWidget::staticMetaObject() const
    {26, 853, 0, 0, Smoke::mf_dtor, 0, 62 },	//503 KFileWidget::~KFileWidget()
    {39, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 442, 1},	//504 KUrlNavigator::metaObject() const
    {39, 569, 62, 1, Smoke::mf_virtual, 488, 2},	//505 KUrlNavigator::qt_metacast(const char*)
    {39, 789, 64, 2, Smoke::mf_static, 237, 3},	//506 KUrlNavigator::tr(const char*, const char*)
    {39, 793, 64, 2, Smoke::mf_static, 237, 4},	//507 KUrlNavigator::trUtf8(const char*, const char*)
    {39, 789, 67, 3, Smoke::mf_static, 237, 5},	//508 KUrlNavigator::tr(const char*, const char*, int)
    {39, 793, 67, 3, Smoke::mf_static, 237, 6},	//509 KUrlNavigator::trUtf8(const char*, const char*, int)
    {39, 567, 71, 3, Smoke::mf_virtual, 480, 7},	//510 KUrlNavigator::qt_metacall(QMetaObject::Call, int, void**)
    {39, 114, 235, 3, Smoke::mf_ctor, 70, 8},	//511 KUrlNavigator::KUrlNavigator(KFilePlacesModel*, const KUrl&, QWidget*)
    {39, 814, 0, 0, Smoke::mf_const, 405, 9},	//512 KUrlNavigator::url() const
    {39, 802, 0, 0, Smoke::mf_const, 62, 10},	//513 KUrlNavigator::uncommittedUrl() const
    {39, 814, 60, 1, Smoke::mf_const, 62, 11},	//514 KUrlNavigator::url(int) const
    {39, 368, 0, 0, 0, 394, 12},	//515 KUrlNavigator::goBack()
    {39, 369, 0, 0, 0, 394, 13},	//516 KUrlNavigator::goForward()
    {39, 371, 0, 0, 0, 394, 14},	//517 KUrlNavigator::goUp()
    {39, 370, 0, 0, 0, 0, 15},	//518 KUrlNavigator::goHome()
    {39, 676, 4, 1, 0, 0, 16},	//519 KUrlNavigator::setHomeUrl(const QString&)
    {39, 734, 8, 1, 0, 0, 17},	//520 KUrlNavigator::setUrlEditable(bool)
    {39, 445, 0, 0, Smoke::mf_const, 394, 18},	//521 KUrlNavigator::isUrlEditable() const
    {39, 720, 8, 1, 0, 0, 19},	//522 KUrlNavigator::setShowFullPath(bool)
    {39, 751, 0, 0, Smoke::mf_const, 394, 20},	//523 KUrlNavigator::showFullPath() const
    {39, 626, 8, 1, 0, 0, 21},	//524 KUrlNavigator::setActive(bool)
    {39, 402, 0, 0, Smoke::mf_const, 394, 22},	//525 KUrlNavigator::isActive() const
    {39, 705, 8, 1, 0, 0, 23},	//526 KUrlNavigator::setPlacesSelectorVisible(bool)
    {39, 417, 0, 0, Smoke::mf_const, 394, 24},	//527 KUrlNavigator::isPlacesSelectorVisible() const
    {39, 384, 0, 0, Smoke::mf_const, 480, 25},	//528 KUrlNavigator::historySize() const
    {39, 383, 0, 0, Smoke::mf_const, 480, 26},	//529 KUrlNavigator::historyIndex() const
    {39, 385, 60, 1, Smoke::mf_const, 62, 27},	//530 KUrlNavigator::historyUrl(int) const
    {39, 603, 0, 0, Smoke::mf_const, 405, 28},	//531 KUrlNavigator::savedRootUrl() const
    {39, 602, 0, 0, Smoke::mf_const, 215, 29},	//532 KUrlNavigator::savedPosition() const
    {39, 332, 0, 0, Smoke::mf_const, 69, 30},	//533 KUrlNavigator::editor() const
    {39, 649, 29, 1, 0, 0, 31},	//534 KUrlNavigator::setCustomProtocols(const QStringList&)
    {39, 284, 0, 0, Smoke::mf_const, 242, 32},	//535 KUrlNavigator::customProtocols() const
    {39, 731, 27, 1, Smoke::mf_slot, 0, 33},	//536 KUrlNavigator::setUrl(const KUrl&)
    {39, 578, 0, 0, Smoke::mf_slot, 0, 34},	//537 KUrlNavigator::requestActivation()
    {39, 600, 27, 1, Smoke::mf_slot, 0, 35},	//538 KUrlNavigator::saveRootUrl(const KUrl&)
    {39, 598, 116, 2, Smoke::mf_slot, 0, 36},	//539 KUrlNavigator::savePosition(int, int)
    {39, 673, 0, 0, Smoke::mf_slot, 0, 37},	//540 KUrlNavigator::setFocus()
    {39, 231, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//541 KUrlNavigator::activated()
    {39, 817, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//542 KUrlNavigator::urlChanged(const KUrl&)
    {39, 330, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//543 KUrlNavigator::editableStateChanged(bool)
    {39, 382, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//544 KUrlNavigator::historyChanged()
    {39, 821, 239, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//545 KUrlNavigator::urlsDropped(const KUrl::List&, const KUrl&)
    {39, 821, 242, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//546 KUrlNavigator::urlsDropped(const KUrl&, QDropEvent*)
    {39, 590, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//547 KUrlNavigator::returnPressed()
    {39, 450, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//548 KUrlNavigator::keyReleaseEvent(QKeyEvent*)
    {39, 481, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//549 KUrlNavigator::mouseReleaseEvent(QMouseEvent*)
    {39, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//550 KUrlNavigator::resizeEvent(QResizeEvent*)
    {39, 342, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 394, 48},	//551 KUrlNavigator::eventFilter(QObject*, QEvent*)
    {39, 789, 62, 1, Smoke::mf_static, 237, 49},	//552 KUrlNavigator::tr(const char*)
    {39, 793, 62, 1, Smoke::mf_static, 237, 50},	//553 KUrlNavigator::trUtf8(const char*)
    {39, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 441, 51},	//554 KUrlNavigator::staticMetaObject() const
    {39, 854, 0, 0, Smoke::mf_dtor, 0, 52 },	//555 KUrlNavigator::~KUrlNavigator()
    {40, 372, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 394, 0},	//556 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {40, 654, 247, 3, Smoke::mf_virtual, 394, 0},	//557 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {40, 374, 251, 3, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//558 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {40, 675, 255, 4, Smoke::mf_virtual, 394, 0},	//559 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {40, 446, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 0},	//560 QAbstractItemModel::itemData(const QModelIndex&) const
    {40, 684, 260, 2, Smoke::mf_virtual, 394, 0},	//561 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {40, 401, 173, 3, Smoke::mf_virtual, 394, 0},	//562 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {40, 400, 173, 3, Smoke::mf_virtual, 394, 0},	//563 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {40, 577, 173, 3, Smoke::mf_virtual, 394, 0},	//564 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {40, 574, 173, 3, Smoke::mf_virtual, 394, 0},	//565 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {40, 344, 146, 1, Smoke::mf_virtual, 0, 0},	//566 QAbstractItemModel::fetchMore(const QModelIndex&)
    {40, 244, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 394, 0},	//567 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {40, 763, 31, 2, Smoke::mf_virtual, 0, 0},	//568 QAbstractItemModel::sort(int, Qt::SortOrder)
    {40, 243, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//569 QAbstractItemModel::buddy(const QModelIndex&) const
    {40, 466, 263, 5, Smoke::mf_const|Smoke::mf_virtual, 194, 0},	//570 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {40, 771, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//571 QAbstractItemModel::span(const QModelIndex&) const
    {40, 778, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 394, 0},	//572 QAbstractItemModel::submit()
    {40, 591, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//573 QAbstractItemModel::revert()
    {41, 717, 269, 1, Smoke::mf_virtual, 0, 0},	//574 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {41, 452, 4, 1, Smoke::mf_virtual, 0, 0},	//575 QAbstractItemView::keyboardSearch(const QString&)
    {41, 757, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 0},	//576 QAbstractItemView::sizeHintForRow(int) const
    {41, 756, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 0},	//577 QAbstractItemView::sizeHintForColumn(int) const
    {41, 399, 271, 1, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//578 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {41, 606, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//579 QAbstractItemView::selectAll()
    {41, 804, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//580 QAbstractItemView::updateEditorData()
    {41, 805, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//581 QAbstractItemView::updateEditorGeometries()
    {41, 826, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//582 QAbstractItemView::verticalScrollbarAction(int)
    {41, 389, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//583 QAbstractItemView::horizontalScrollbarAction(int)
    {41, 827, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//584 QAbstractItemView::verticalScrollbarValueChanged(int)
    {41, 390, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//585 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {41, 256, 273, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//586 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {41, 262, 17, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//587 QAbstractItemView::commitData(QWidget*)
    {41, 333, 144, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//588 QAbstractItemView::editorDestroyed(QObject*)
    {41, 325, 276, 3, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//589 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {41, 623, 280, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 184, 0},	//590 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {41, 773, 283, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QAbstractItemView::startDrag(Qt::DropActions)
    {41, 832, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 253, 0},	//592 QAbstractItemView::viewOptions() const
    {41, 361, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//593 QAbstractItemView::focusNextPrevChild(bool)
    {41, 341, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//594 QAbstractItemView::event(QEvent*)
    {41, 833, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//595 QAbstractItemView::viewportEvent(QEvent*)
    {41, 480, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {41, 478, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {41, 311, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {41, 313, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {41, 319, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QAbstractItemView::dropEvent(QDropEvent*)
    {41, 360, 285, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QAbstractItemView::focusInEvent(QFocusEvent*)
    {41, 362, 285, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {41, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//603 QAbstractItemView::resizeEvent(QResizeEvent*)
    {41, 398, 287, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//604 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {41, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//605 QAbstractItemView::EnsureVisible (enum)
    {41, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//606 QAbstractItemView::PositionAtTop (enum)
    {41, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 34},	//607 QAbstractItemView::PositionAtBottom (enum)
    {41, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 35},	//608 QAbstractItemView::PositionAtCenter (enum)
    {41, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 36},	//609 QAbstractItemView::NoEditTriggers (enum)
    {41, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 37},	//610 QAbstractItemView::CurrentChanged (enum)
    {41, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 38},	//611 QAbstractItemView::DoubleClicked (enum)
    {41, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 39},	//612 QAbstractItemView::SelectedClicked (enum)
    {41, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 40},	//613 QAbstractItemView::EditKeyPressed (enum)
    {41, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 41},	//614 QAbstractItemView::AnyKeyPressed (enum)
    {41, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 42},	//615 QAbstractItemView::AllEditTriggers (enum)
    {41, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 43},	//616 QAbstractItemView::MoveUp (enum)
    {41, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 44},	//617 QAbstractItemView::MoveDown (enum)
    {41, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 45},	//618 QAbstractItemView::MoveLeft (enum)
    {41, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 46},	//619 QAbstractItemView::MoveRight (enum)
    {41, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 47},	//620 QAbstractItemView::MoveHome (enum)
    {41, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 48},	//621 QAbstractItemView::MoveEnd (enum)
    {41, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 49},	//622 QAbstractItemView::MovePageUp (enum)
    {41, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 50},	//623 QAbstractItemView::MovePageDown (enum)
    {41, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 51},	//624 QAbstractItemView::MoveNext (enum)
    {41, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 52},	//625 QAbstractItemView::MovePrevious (enum)
    {42, 778, 0, 0, Smoke::mf_virtual, 394, 0},	//626 QAbstractProxyModel::submit()
    {42, 591, 0, 0, Smoke::mf_virtual, 0, 0},	//627 QAbstractProxyModel::revert()
    {42, 446, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 0},	//628 QAbstractProxyModel::itemData(const QModelIndex&) const
    {43, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//629 QAbstractScrollArea::minimumSizeHint() const
    {43, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//630 QAbstractScrollArea::sizeHint() const
    {43, 838, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//631 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {54, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//632 QComboBox::sizeHint() const
    {54, 753, 0, 0, Smoke::mf_virtual, 0, 0},	//633 QComboBox::showPopup()
    {54, 379, 0, 0, Smoke::mf_virtual, 0, 0},	//634 QComboBox::hidePopup()
    {54, 341, 111, 1, Smoke::mf_virtual, 394, 0},	//635 QComboBox::event(QEvent*)
    {54, 360, 285, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QComboBox::focusInEvent(QFocusEvent*)
    {54, 362, 285, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QComboBox::focusOutEvent(QFocusEvent*)
    {54, 249, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QComboBox::changeEvent(QEvent*)
    {54, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QComboBox::resizeEvent(QResizeEvent*)
    {54, 556, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QComboBox::paintEvent(QPaintEvent*)
    {54, 749, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QComboBox::showEvent(QShowEvent*)
    {54, 377, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//642 QComboBox::hideEvent(QHideEvent*)
    {54, 480, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QComboBox::mousePressEvent(QMouseEvent*)
    {54, 481, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {54, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//645 QComboBox::keyPressEvent(QKeyEvent*)
    {54, 450, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//646 QComboBox::keyReleaseEvent(QKeyEvent*)
    {54, 270, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//647 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {54, 398, 287, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//648 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {54, 399, 271, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 270, 0},	//649 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {64, 741, 8, 1, Smoke::mf_virtual, 0, 0},	//650 QDialog::setVisible(bool)
    {64, 310, 60, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//651 QDialog::done(int)
    {64, 573, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//652 QDialog::reject()
    {64, 749, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QDialog::showEvent(QShowEvent*)
    {64, 588, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//654 QDialog::resizeEvent(QResizeEvent*)
    {64, 270, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//655 QDialog::contextMenuEvent(QContextMenuEvent*)
    {64, 342, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//656 QDialog::eventFilter(QObject*, QEvent*)
    {74, 249, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//657 QFrame::changeEvent(QEvent*)
    {75, 551, 289, 2, Smoke::mf_static, 180, 1},	//658 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {75, 551, 292, 2, Smoke::mf_static, 180, 2},	//659 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    {75, 551, 295, 2, Smoke::mf_static, 133, 3},	//660 QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QDBusServiceWatcher::WatchMode::enum_type)
    {75, 551, 298, 2, Smoke::mf_static, 120, 4},	//661 QGlobalSpace::operator|(KFile::Modes::enum_type, QFlags<KFile::Modes::enum_type>)
    {75, 540, 301, 2, Smoke::mf_static, 394, 5},	//662 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {75, 551, 304, 2, Smoke::mf_static, 135, 6},	//663 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {75, 551, 307, 2, Smoke::mf_static, 123, 7},	//664 QGlobalSpace::operator|(KJob::Capabilities::enum_type, QFlags<KJob::Capabilities::enum_type>)
    {75, 530, 310, 2, Smoke::mf_static, 394, 8},	//665 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {75, 551, 313, 2, Smoke::mf_static, 142, 9},	//666 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {75, 545, 316, 2, Smoke::mf_static, 100, 10},	//667 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {75, 551, 319, 2, Smoke::mf_static, 170, 11},	//668 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {75, 498, 322, 2, Smoke::mf_static, 217, 12},	//669 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {75, 530, 325, 2, Smoke::mf_static, 394, 13},	//670 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {75, 530, 328, 2, Smoke::mf_static, 394, 14},	//671 QGlobalSpace::operator==(const QSize&, const QSize&)
    {75, 521, 331, 2, Smoke::mf_static, 100, 15},	//672 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {75, 502, 334, 2, Smoke::mf_static, 410, 16},	//673 QGlobalSpace::operator+(const char*, const QByteArray&)
    {75, 545, 337, 2, Smoke::mf_static, 100, 17},	//674 QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    {75, 551, 340, 2, Smoke::mf_static, 180, 18},	//675 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {75, 530, 343, 2, Smoke::mf_static, 394, 19},	//676 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {75, 521, 346, 2, Smoke::mf_static, 100, 20},	//677 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {75, 545, 349, 2, Smoke::mf_static, 100, 21},	//678 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {75, 540, 352, 2, Smoke::mf_static, 394, 22},	//679 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {75, 521, 355, 2, Smoke::mf_static, 100, 23},	//680 QGlobalSpace::operator<<(QDataStream&, const KACL&)
    {75, 530, 358, 2, Smoke::mf_static, 394, 24},	//681 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {75, 535, 334, 2, Smoke::mf_static, 394, 25},	//682 QGlobalSpace::operator>(const char*, const QByteArray&)
    {75, 551, 361, 2, Smoke::mf_static, 145, 26},	//683 QGlobalSpace::operator|(QStyle::State::enum_type, QFlags<QStyle::State::enum_type>)
    {75, 551, 364, 2, Smoke::mf_static, 180, 27},	//684 QGlobalSpace::operator|(KAction::ShortcutTypes::enum_type, int)
    {75, 507, 367, 1, Smoke::mf_static, 50, 28},	//685 QGlobalSpace::operator++(KIconLoader::Group&)
    {75, 521, 369, 2, Smoke::mf_static, 100, 29},	//686 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {75, 551, 372, 2, Smoke::mf_static, 180, 30},	//687 QGlobalSpace::operator|(KGlobalSettings::GraphicEffects::enum_type, int)
    {75, 551, 375, 2, Smoke::mf_static, 172, 31},	//688 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {75, 551, 378, 2, Smoke::mf_static, 138, 32},	//689 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {75, 530, 381, 2, Smoke::mf_static, 394, 33},	//690 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {75, 551, 384, 2, Smoke::mf_static, 171, 34},	//691 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {75, 530, 387, 2, Smoke::mf_static, 394, 35},	//692 QGlobalSpace::operator==(QChar, QChar)
    {75, 530, 390, 2, Smoke::mf_static, 394, 36},	//693 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {75, 551, 393, 2, Smoke::mf_static, 116, 37},	//694 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type)
    {75, 551, 396, 2, Smoke::mf_static, 171, 38},	//695 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {75, 551, 399, 2, Smoke::mf_static, 128, 39},	//696 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    {75, 521, 402, 2, Smoke::mf_static, 97, 40},	//697 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {75, 521, 405, 2, Smoke::mf_static, 97, 41},	//698 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {75, 551, 408, 2, Smoke::mf_static, 180, 42},	//699 QGlobalSpace::operator|(KFileMetaInfo::WhatFlags::enum_type, int)
    {75, 521, 411, 2, Smoke::mf_static, 100, 43},	//700 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {75, 545, 414, 2, Smoke::mf_static, 100, 44},	//701 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {75, 516, 387, 2, Smoke::mf_static, 394, 45},	//702 QGlobalSpace::operator<(QChar, QChar)
    {75, 551, 417, 2, Smoke::mf_static, 162, 46},	//703 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {75, 540, 387, 2, Smoke::mf_static, 394, 47},	//704 QGlobalSpace::operator>=(QChar, QChar)
    {75, 491, 420, 2, Smoke::mf_static, 394, 48},	//705 QGlobalSpace::operator!=(QString::Null, const QString&)
    {75, 551, 423, 2, Smoke::mf_static, 156, 49},	//706 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    {75, 521, 426, 2, Smoke::mf_static, 97, 50},	//707 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {75, 516, 334, 2, Smoke::mf_static, 394, 51},	//708 QGlobalSpace::operator<(const char*, const QByteArray&)
    {75, 551, 429, 2, Smoke::mf_static, 143, 52},	//709 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    {75, 551, 432, 2, Smoke::mf_static, 155, 53},	//710 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {75, 535, 387, 2, Smoke::mf_static, 394, 54},	//711 QGlobalSpace::operator>(QChar, QChar)
    {75, 551, 435, 2, Smoke::mf_static, 120, 55},	//712 QGlobalSpace::operator|(KFile::Modes::enum_type, KFile::Modes::enum_type)
    {75, 521, 438, 2, Smoke::mf_static, 97, 56},	//713 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {75, 551, 441, 2, Smoke::mf_static, 152, 57},	//714 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type)
    {75, 498, 444, 2, Smoke::mf_static, 461, 58},	//715 QGlobalSpace::operator*(double, const QSizeF&)
    {75, 491, 301, 2, Smoke::mf_static, 394, 59},	//716 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {75, 521, 447, 2, Smoke::mf_static, 258, 60},	//717 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {75, 510, 450, 2, Smoke::mf_static, 449, 61},	//718 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {75, 545, 453, 2, Smoke::mf_static, 415, 62},	//719 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {75, 551, 456, 2, Smoke::mf_static, 180, 63},	//720 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, int)
    {75, 521, 459, 2, Smoke::mf_static, 100, 64},	//721 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {75, 551, 462, 2, Smoke::mf_static, 149, 65},	//722 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type)
    {75, 551, 465, 2, Smoke::mf_static, 153, 66},	//723 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {75, 510, 468, 2, Smoke::mf_static, 265, 67},	//724 QGlobalSpace::operator-(const QTransform&, double)
    {75, 551, 471, 2, Smoke::mf_static, 166, 68},	//725 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {75, 521, 474, 2, Smoke::mf_static, 97, 69},	//726 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {75, 491, 325, 2, Smoke::mf_static, 394, 70},	//727 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {75, 551, 477, 2, Smoke::mf_static, 168, 71},	//728 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {75, 551, 480, 2, Smoke::mf_static, 166, 72},	//729 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {75, 551, 483, 2, Smoke::mf_static, 118, 73},	//730 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type)
    {75, 514, 486, 2, Smoke::mf_static, 449, 74},	//731 QGlobalSpace::operator/(const QPoint&, double)
    {75, 502, 450, 2, Smoke::mf_static, 449, 75},	//732 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {75, 521, 489, 2, Smoke::mf_static, 100, 76},	//733 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {75, 502, 492, 2, Smoke::mf_static, 464, 77},	//734 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {75, 510, 495, 2, Smoke::mf_static, 461, 78},	//735 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {75, 551, 498, 2, Smoke::mf_static, 143, 79},	//736 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    {75, 491, 352, 2, Smoke::mf_static, 394, 80},	//737 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {75, 521, 501, 2, Smoke::mf_static, 100, 81},	//738 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {75, 551, 504, 2, Smoke::mf_static, 180, 82},	//739 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    {75, 551, 507, 2, Smoke::mf_static, 180, 83},	//740 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {75, 516, 510, 2, Smoke::mf_static, 394, 84},	//741 QGlobalSpace::operator<(const char*, const QString&)
    {75, 502, 328, 2, Smoke::mf_static, 459, 85},	//742 QGlobalSpace::operator+(const QSize&, const QSize&)
    {75, 551, 513, 2, Smoke::mf_static, 180, 86},	//743 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, int)
    {75, 551, 516, 2, Smoke::mf_static, 180, 87},	//744 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {75, 502, 495, 2, Smoke::mf_static, 461, 88},	//745 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {75, 516, 519, 2, Smoke::mf_static, 394, 89},	//746 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {75, 535, 310, 2, Smoke::mf_static, 394, 90},	//747 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {75, 491, 522, 2, Smoke::mf_static, 394, 91},	//748 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {75, 491, 525, 2, Smoke::mf_static, 394, 92},	//749 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {75, 551, 528, 2, Smoke::mf_static, 138, 93},	//750 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {75, 551, 531, 2, Smoke::mf_static, 161, 94},	//751 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {75, 498, 468, 2, Smoke::mf_static, 265, 95},	//752 QGlobalSpace::operator*(const QTransform&, double)
    {75, 516, 525, 2, Smoke::mf_static, 394, 96},	//753 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {75, 545, 534, 2, Smoke::mf_static, 100, 97},	//754 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {75, 551, 537, 2, Smoke::mf_static, 180, 98},	//755 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {75, 551, 540, 2, Smoke::mf_static, 117, 99},	//756 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type)
    {75, 502, 543, 2, Smoke::mf_static, 464, 100},	//757 QGlobalSpace::operator+(const QString&, QChar)
    {75, 491, 546, 2, Smoke::mf_static, 394, 101},	//758 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {75, 551, 549, 2, Smoke::mf_static, 170, 102},	//759 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {75, 502, 352, 2, Smoke::mf_static, 410, 103},	//760 QGlobalSpace::operator+(const QByteArray&, const char*)
    {75, 502, 552, 2, Smoke::mf_static, 464, 104},	//761 QGlobalSpace::operator+(const QString&, const char*)
    {75, 535, 519, 2, Smoke::mf_static, 394, 105},	//762 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {75, 551, 555, 2, Smoke::mf_static, 180, 106},	//763 QGlobalSpace::operator|(QStyle::SubControls::enum_type, int)
    {75, 521, 558, 2, Smoke::mf_static, 100, 107},	//764 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {75, 545, 561, 2, Smoke::mf_static, 100, 108},	//765 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {75, 502, 564, 2, Smoke::mf_static, 464, 109},	//766 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {75, 551, 567, 2, Smoke::mf_static, 127, 110},	//767 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    {75, 551, 570, 2, Smoke::mf_static, 139, 111},	//768 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {75, 551, 573, 2, Smoke::mf_static, 153, 112},	//769 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {75, 525, 352, 2, Smoke::mf_static, 394, 113},	//770 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {75, 530, 576, 2, Smoke::mf_static, 394, 114},	//771 QGlobalSpace::operator==(const QRect&, const QRect&)
    {75, 549, 579, 2, Smoke::mf_static, 83, 115},	//772 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {75, 535, 582, 2, Smoke::mf_static, 394, 116},	//773 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {75, 551, 585, 2, Smoke::mf_static, 169, 117},	//774 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {75, 525, 519, 2, Smoke::mf_static, 394, 118},	//775 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {75, 551, 588, 2, Smoke::mf_static, 180, 119},	//776 QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, int)
    {75, 551, 591, 2, Smoke::mf_static, 131, 120},	//777 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type)
    {75, 551, 594, 2, Smoke::mf_static, 151, 121},	//778 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type)
    {75, 521, 597, 2, Smoke::mf_static, 100, 122},	//779 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {75, 551, 600, 2, Smoke::mf_static, 122, 123},	//780 QGlobalSpace::operator|(KGlobalSettings::GraphicEffects::enum_type, KGlobalSettings::GraphicEffects::enum_type)
    {75, 521, 603, 2, Smoke::mf_static, 100, 124},	//781 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {75, 551, 606, 2, Smoke::mf_static, 142, 125},	//782 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {75, 545, 609, 2, Smoke::mf_static, 100, 126},	//783 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {75, 530, 612, 2, Smoke::mf_static, 394, 127},	//784 QGlobalSpace::operator==(QBool, QBool)
    {75, 530, 615, 2, Smoke::mf_static, 394, 128},	//785 QGlobalSpace::operator==(const char*, const QStringRef&)
    {75, 551, 618, 2, Smoke::mf_static, 167, 129},	//786 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {75, 491, 510, 2, Smoke::mf_static, 394, 130},	//787 QGlobalSpace::operator!=(const char*, const QString&)
    {75, 551, 621, 2, Smoke::mf_static, 119, 131},	//788 QGlobalSpace::operator|(KDirLister::OpenUrlFlags::enum_type, QFlags<KDirLister::OpenUrlFlags::enum_type>)
    {75, 551, 624, 2, Smoke::mf_static, 172, 132},	//789 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {75, 525, 582, 2, Smoke::mf_static, 394, 133},	//790 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {75, 502, 468, 2, Smoke::mf_static, 265, 134},	//791 QGlobalSpace::operator+(const QTransform&, double)
    {75, 498, 627, 2, Smoke::mf_static, 189, 135},	//792 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {75, 551, 630, 2, Smoke::mf_static, 128, 136},	//793 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    {75, 502, 633, 2, Smoke::mf_static, 464, 137},	//794 QGlobalSpace::operator+(QChar, const QString&)
    {75, 551, 636, 2, Smoke::mf_static, 180, 138},	//795 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {75, 551, 639, 2, Smoke::mf_static, 180, 139},	//796 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {75, 551, 642, 2, Smoke::mf_static, 180, 140},	//797 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {75, 551, 645, 2, Smoke::mf_static, 180, 141},	//798 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, int)
    {75, 545, 648, 2, Smoke::mf_static, 100, 142},	//799 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {75, 551, 651, 2, Smoke::mf_static, 130, 143},	//800 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>)
    {75, 491, 654, 2, Smoke::mf_static, 394, 144},	//801 QGlobalSpace::operator!=(const QString&, QString::Null)
    {75, 551, 657, 2, Smoke::mf_static, 164, 145},	//802 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {75, 545, 660, 2, Smoke::mf_static, 100, 146},	//803 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {75, 551, 663, 2, Smoke::mf_static, 134, 147},	//804 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {75, 551, 666, 2, Smoke::mf_static, 180, 148},	//805 QGlobalSpace::operator|(KDirLister::OpenUrlFlags::enum_type, int)
    {75, 502, 669, 2, Smoke::mf_static, 464, 149},	//806 QGlobalSpace::operator+(const QString&, char)
    {75, 545, 672, 2, Smoke::mf_static, 415, 150},	//807 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {75, 491, 381, 2, Smoke::mf_static, 394, 151},	//808 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {75, 498, 675, 2, Smoke::mf_static, 210, 152},	//809 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {75, 510, 343, 2, Smoke::mf_static, 451, 153},	//810 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {75, 530, 546, 2, Smoke::mf_static, 394, 154},	//811 QGlobalSpace::operator==(QString::Null, QString::Null)
    {75, 545, 678, 2, Smoke::mf_static, 100, 155},	//812 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {75, 516, 582, 2, Smoke::mf_static, 394, 156},	//813 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {75, 551, 681, 2, Smoke::mf_static, 180, 157},	//814 QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, int)
    {75, 521, 684, 2, Smoke::mf_static, 97, 158},	//815 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {75, 521, 687, 2, Smoke::mf_static, 97, 159},	//816 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {75, 502, 343, 2, Smoke::mf_static, 451, 160},	//817 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {75, 498, 690, 2, Smoke::mf_static, 228, 161},	//818 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {75, 530, 495, 2, Smoke::mf_static, 394, 162},	//819 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {75, 510, 693, 1, Smoke::mf_static, 449, 163},	//820 QGlobalSpace::operator-(const QPoint&)
    {75, 545, 695, 2, Smoke::mf_static, 100, 164},	//821 QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    {75, 521, 698, 2, Smoke::mf_static, 100, 165},	//822 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {75, 551, 701, 2, Smoke::mf_static, 180, 166},	//823 QGlobalSpace::operator|(KJob::Capabilities::enum_type, int)
    {75, 551, 704, 2, Smoke::mf_static, 129, 167},	//824 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {75, 530, 707, 2, Smoke::mf_static, 394, 168},	//825 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {75, 551, 710, 2, Smoke::mf_static, 180, 169},	//826 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, int)
    {75, 521, 713, 2, Smoke::mf_static, 100, 170},	//827 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {75, 551, 716, 2, Smoke::mf_static, 158, 171},	//828 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {75, 551, 719, 2, Smoke::mf_static, 129, 172},	//829 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {75, 491, 495, 2, Smoke::mf_static, 394, 173},	//830 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {75, 551, 722, 2, Smoke::mf_static, 180, 174},	//831 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {75, 545, 725, 2, Smoke::mf_static, 100, 175},	//832 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {75, 551, 728, 2, Smoke::mf_static, 160, 176},	//833 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {75, 521, 731, 2, Smoke::mf_static, 100, 177},	//834 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {75, 551, 734, 2, Smoke::mf_static, 180, 178},	//835 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {75, 551, 737, 2, Smoke::mf_static, 121, 179},	//836 QGlobalSpace::operator|(KFileMetaInfo::WhatFlags::enum_type, KFileMetaInfo::WhatFlags::enum_type)
    {75, 521, 740, 2, Smoke::mf_static, 97, 180},	//837 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {75, 551, 743, 2, Smoke::mf_static, 180, 181},	//838 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {75, 530, 525, 2, Smoke::mf_static, 394, 182},	//839 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {75, 535, 301, 2, Smoke::mf_static, 394, 183},	//840 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {75, 545, 746, 2, Smoke::mf_static, 100, 184},	//841 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {75, 491, 343, 2, Smoke::mf_static, 394, 185},	//842 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {75, 521, 749, 2, Smoke::mf_static, 100, 186},	//843 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {75, 551, 752, 2, Smoke::mf_static, 159, 187},	//844 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {75, 551, 755, 2, Smoke::mf_static, 180, 188},	//845 QGlobalSpace::operator|(KFile::Modes::enum_type, int)
    {75, 502, 758, 2, Smoke::mf_static, 464, 189},	//846 QGlobalSpace::operator+(char, const QString&)
    {75, 491, 761, 2, Smoke::mf_static, 394, 190},	//847 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {75, 545, 764, 2, Smoke::mf_static, 100, 191},	//848 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {75, 530, 420, 2, Smoke::mf_static, 394, 192},	//849 QGlobalSpace::operator==(QString::Null, const QString&)
    {75, 545, 767, 2, Smoke::mf_static, 100, 193},	//850 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {75, 530, 522, 2, Smoke::mf_static, 394, 194},	//851 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {75, 551, 770, 2, Smoke::mf_static, 161, 195},	//852 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {75, 502, 582, 2, Smoke::mf_static, 410, 196},	//853 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {75, 551, 773, 2, Smoke::mf_static, 180, 197},	//854 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    {75, 551, 776, 2, Smoke::mf_static, 144, 198},	//855 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {75, 535, 510, 2, Smoke::mf_static, 394, 199},	//856 QGlobalSpace::operator>(const char*, const QString&)
    {75, 521, 779, 2, Smoke::mf_static, 100, 200},	//857 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {75, 521, 782, 2, Smoke::mf_static, 100, 201},	//858 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {75, 551, 785, 2, Smoke::mf_static, 180, 202},	//859 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {75, 521, 788, 2, Smoke::mf_static, 100, 203},	//860 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {75, 514, 791, 2, Smoke::mf_static, 451, 204},	//861 QGlobalSpace::operator/(const QPointF&, double)
    {75, 491, 794, 2, Smoke::mf_static, 394, 205},	//862 QGlobalSpace::operator!=(bool, QBool)
    {75, 530, 519, 2, Smoke::mf_static, 394, 206},	//863 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {75, 551, 797, 2, Smoke::mf_static, 136, 207},	//864 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {75, 551, 800, 2, Smoke::mf_static, 117, 208},	//865 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>)
    {75, 551, 803, 2, Smoke::mf_static, 180, 209},	//866 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {75, 545, 806, 2, Smoke::mf_static, 415, 210},	//867 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {75, 514, 468, 2, Smoke::mf_static, 265, 211},	//868 QGlobalSpace::operator/(const QTransform&, double)
    {75, 521, 809, 2, Smoke::mf_static, 100, 212},	//869 QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    {75, 551, 812, 2, Smoke::mf_static, 130, 213},	//870 QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type)
    {75, 551, 815, 2, Smoke::mf_static, 139, 214},	//871 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {75, 521, 818, 2, Smoke::mf_static, 100, 215},	//872 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {75, 551, 821, 2, Smoke::mf_static, 146, 216},	//873 QGlobalSpace::operator|(QStyle::SubControls::enum_type, QStyle::SubControls::enum_type)
    {75, 545, 824, 2, Smoke::mf_static, 100, 217},	//874 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {75, 551, 827, 2, Smoke::mf_static, 132, 218},	//875 QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QDBusConnection::RegisterOptions::enum_type)
    {75, 545, 830, 2, Smoke::mf_static, 100, 219},	//876 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {75, 507, 833, 2, Smoke::mf_static, 49, 220},	//877 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {75, 510, 836, 1, Smoke::mf_static, 451, 221},	//878 QGlobalSpace::operator-(const QPointF&)
    {75, 530, 794, 2, Smoke::mf_static, 394, 222},	//879 QGlobalSpace::operator==(bool, QBool)
    {75, 551, 838, 2, Smoke::mf_static, 180, 223},	//880 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, int)
    {75, 498, 841, 2, Smoke::mf_static, 221, 224},	//881 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {75, 496, 579, 2, Smoke::mf_static, 83, 225},	//882 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {75, 540, 334, 2, Smoke::mf_static, 394, 226},	//883 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {75, 551, 844, 2, Smoke::mf_static, 167, 227},	//884 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {75, 551, 847, 2, Smoke::mf_static, 150, 228},	//885 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>)
    {75, 491, 850, 2, Smoke::mf_static, 394, 229},	//886 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {75, 521, 853, 2, Smoke::mf_static, 97, 230},	//887 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {75, 545, 856, 2, Smoke::mf_static, 100, 231},	//888 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {75, 491, 334, 2, Smoke::mf_static, 394, 232},	//889 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {75, 491, 450, 2, Smoke::mf_static, 394, 233},	//890 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {75, 516, 310, 2, Smoke::mf_static, 394, 234},	//891 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {75, 551, 859, 2, Smoke::mf_static, 158, 235},	//892 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {75, 551, 862, 2, Smoke::mf_static, 155, 236},	//893 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {75, 530, 850, 2, Smoke::mf_static, 394, 237},	//894 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {75, 521, 865, 2, Smoke::mf_static, 100, 238},	//895 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {75, 551, 868, 2, Smoke::mf_static, 132, 239},	//896 QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QFlags<QDBusConnection::RegisterOptions::enum_type>)
    {75, 502, 871, 2, Smoke::mf_static, 410, 240},	//897 QGlobalSpace::operator+(const QByteArray&, char)
    {75, 551, 874, 2, Smoke::mf_static, 119, 241},	//898 QGlobalSpace::operator|(KDirLister::OpenUrlFlags::enum_type, KDirLister::OpenUrlFlags::enum_type)
    {75, 551, 877, 2, Smoke::mf_static, 180, 242},	//899 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, int)
    {75, 545, 880, 2, Smoke::mf_static, 100, 243},	//900 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {75, 551, 883, 2, Smoke::mf_static, 180, 244},	//901 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {75, 514, 886, 2, Smoke::mf_static, 461, 245},	//902 QGlobalSpace::operator/(const QSizeF&, double)
    {75, 540, 519, 2, Smoke::mf_static, 394, 246},	//903 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {75, 551, 889, 2, Smoke::mf_static, 180, 247},	//904 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {75, 551, 892, 2, Smoke::mf_static, 163, 248},	//905 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {75, 521, 895, 2, Smoke::mf_static, 100, 249},	//906 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {75, 530, 450, 2, Smoke::mf_static, 394, 250},	//907 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {75, 525, 334, 2, Smoke::mf_static, 394, 251},	//908 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {75, 525, 301, 2, Smoke::mf_static, 394, 252},	//909 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {75, 521, 898, 2, Smoke::mf_static, 100, 253},	//910 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {75, 545, 901, 2, Smoke::mf_static, 100, 254},	//911 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {75, 545, 904, 2, Smoke::mf_static, 100, 255},	//912 QGlobalSpace::operator>>(QDataStream&, QString&)
    {75, 551, 907, 2, Smoke::mf_static, 114, 256},	//913 QGlobalSpace::operator|(KAction::ShortcutTypes::enum_type, KAction::ShortcutTypes::enum_type)
    {75, 545, 910, 2, Smoke::mf_static, 415, 257},	//914 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {75, 551, 913, 2, Smoke::mf_static, 180, 258},	//915 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int)
    {75, 551, 916, 2, Smoke::mf_static, 124, 259},	//916 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    {75, 551, 919, 2, Smoke::mf_static, 180, 260},	//917 QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, int)
    {75, 545, 922, 2, Smoke::mf_static, 415, 261},	//918 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {75, 498, 925, 2, Smoke::mf_static, 192, 262},	//919 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {75, 530, 654, 2, Smoke::mf_static, 394, 263},	//920 QGlobalSpace::operator==(const QString&, QString::Null)
    {75, 521, 928, 2, Smoke::mf_static, 258, 264},	//921 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {75, 516, 352, 2, Smoke::mf_static, 394, 265},	//922 QGlobalSpace::operator<(const QByteArray&, const char*)
    {75, 545, 931, 2, Smoke::mf_static, 415, 266},	//923 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {75, 551, 934, 2, Smoke::mf_static, 180, 267},	//924 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    {75, 551, 937, 2, Smoke::mf_static, 122, 268},	//925 QGlobalSpace::operator|(KGlobalSettings::GraphicEffects::enum_type, QFlags<KGlobalSettings::GraphicEffects::enum_type>)
    {75, 521, 940, 2, Smoke::mf_static, 258, 269},	//926 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {75, 551, 943, 2, Smoke::mf_static, 114, 270},	//927 QGlobalSpace::operator|(KAction::ShortcutTypes::enum_type, QFlags<KAction::ShortcutTypes::enum_type>)
    {75, 551, 946, 2, Smoke::mf_static, 136, 271},	//928 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {75, 551, 949, 2, Smoke::mf_static, 159, 272},	//929 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {75, 491, 387, 2, Smoke::mf_static, 394, 273},	//930 QGlobalSpace::operator!=(QChar, QChar)
    {75, 551, 952, 2, Smoke::mf_static, 152, 274},	//931 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>)
    {75, 551, 955, 2, Smoke::mf_static, 133, 275},	//932 QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QFlags<QDBusServiceWatcher::WatchMode::enum_type>)
    {75, 551, 958, 2, Smoke::mf_static, 165, 276},	//933 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {75, 551, 961, 2, Smoke::mf_static, 149, 277},	//934 QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>)
    {75, 545, 964, 2, Smoke::mf_static, 100, 278},	//935 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {75, 551, 967, 2, Smoke::mf_static, 121, 279},	//936 QGlobalSpace::operator|(KFileMetaInfo::WhatFlags::enum_type, QFlags<KFileMetaInfo::WhatFlags::enum_type>)
    {75, 545, 970, 2, Smoke::mf_static, 100, 280},	//937 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {75, 525, 510, 2, Smoke::mf_static, 394, 281},	//938 QGlobalSpace::operator<=(const char*, const QString&)
    {75, 545, 973, 2, Smoke::mf_static, 100, 282},	//939 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {75, 491, 615, 2, Smoke::mf_static, 394, 283},	//940 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {75, 551, 976, 2, Smoke::mf_static, 147, 284},	//941 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>)
    {75, 521, 979, 2, Smoke::mf_static, 100, 285},	//942 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {75, 551, 982, 2, Smoke::mf_static, 137, 286},	//943 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {75, 521, 985, 2, Smoke::mf_static, 97, 287},	//944 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {75, 551, 988, 2, Smoke::mf_static, 127, 288},	//945 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    {75, 551, 991, 2, Smoke::mf_static, 156, 289},	//946 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    {75, 498, 994, 2, Smoke::mf_static, 215, 290},	//947 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {75, 551, 997, 2, Smoke::mf_static, 141, 291},	//948 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {75, 491, 1000, 2, Smoke::mf_static, 394, 292},	//949 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {75, 545, 1003, 2, Smoke::mf_static, 415, 293},	//950 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {75, 525, 310, 2, Smoke::mf_static, 394, 294},	//951 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {75, 551, 1006, 2, Smoke::mf_static, 180, 295},	//952 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {75, 545, 928, 2, Smoke::mf_static, 258, 296},	//953 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {75, 502, 1009, 2, Smoke::mf_static, 410, 297},	//954 QGlobalSpace::operator+(char, const QByteArray&)
    {75, 551, 1012, 2, Smoke::mf_static, 162, 298},	//955 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {75, 530, 334, 2, Smoke::mf_static, 394, 299},	//956 QGlobalSpace::operator==(const char*, const QByteArray&)
    {75, 521, 1015, 2, Smoke::mf_static, 100, 300},	//957 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {75, 545, 1018, 2, Smoke::mf_static, 415, 301},	//958 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {75, 510, 328, 2, Smoke::mf_static, 459, 302},	//959 QGlobalSpace::operator-(const QSize&, const QSize&)
    {75, 545, 1021, 2, Smoke::mf_static, 415, 303},	//960 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {75, 502, 510, 2, Smoke::mf_static, 464, 304},	//961 QGlobalSpace::operator+(const char*, const QString&)
    {75, 545, 1024, 2, Smoke::mf_static, 100, 305},	//962 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {75, 551, 1027, 2, Smoke::mf_static, 148, 306},	//963 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>)
    {75, 545, 1030, 2, Smoke::mf_static, 100, 307},	//964 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {75, 551, 1033, 2, Smoke::mf_static, 151, 308},	//965 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>)
    {75, 491, 707, 2, Smoke::mf_static, 394, 309},	//966 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {75, 498, 1036, 2, Smoke::mf_static, 451, 310},	//967 QGlobalSpace::operator*(double, const QPointF&)
    {75, 498, 1039, 2, Smoke::mf_static, 228, 311},	//968 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {75, 530, 301, 2, Smoke::mf_static, 394, 312},	//969 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {75, 498, 1042, 2, Smoke::mf_static, 459, 313},	//970 QGlobalSpace::operator*(const QSize&, double)
    {75, 498, 1045, 2, Smoke::mf_static, 210, 314},	//971 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {75, 551, 1048, 2, Smoke::mf_static, 144, 315},	//972 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {75, 498, 1051, 2, Smoke::mf_static, 221, 316},	//973 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {75, 498, 1054, 2, Smoke::mf_static, 449, 317},	//974 QGlobalSpace::operator*(double, const QPoint&)
    {75, 551, 1057, 2, Smoke::mf_static, 125, 318},	//975 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    {75, 521, 1060, 2, Smoke::mf_static, 100, 319},	//976 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {75, 551, 1063, 2, Smoke::mf_static, 180, 320},	//977 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {75, 551, 1066, 2, Smoke::mf_static, 154, 321},	//978 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {75, 551, 1069, 2, Smoke::mf_static, 140, 322},	//979 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type)
    {75, 551, 1072, 2, Smoke::mf_static, 126, 323},	//980 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    {75, 530, 1075, 2, Smoke::mf_static, 394, 324},	//981 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {75, 545, 1078, 2, Smoke::mf_static, 415, 325},	//982 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {75, 540, 582, 2, Smoke::mf_static, 394, 326},	//983 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {75, 545, 1081, 2, Smoke::mf_static, 100, 327},	//984 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {75, 551, 1084, 2, Smoke::mf_static, 154, 328},	//985 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {75, 551, 1087, 2, Smoke::mf_static, 118, 329},	//986 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>)
    {75, 551, 1090, 2, Smoke::mf_static, 180, 330},	//987 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, int)
    {75, 551, 1093, 2, Smoke::mf_static, 180, 331},	//988 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {75, 551, 1096, 2, Smoke::mf_static, 180, 332},	//989 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, int)
    {75, 551, 1099, 2, Smoke::mf_static, 180, 333},	//990 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {75, 521, 1102, 2, Smoke::mf_static, 100, 334},	//991 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {75, 521, 1105, 2, Smoke::mf_static, 100, 335},	//992 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {75, 551, 1108, 2, Smoke::mf_static, 180, 336},	//993 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    {75, 498, 1111, 2, Smoke::mf_static, 189, 337},	//994 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {75, 551, 1114, 2, Smoke::mf_static, 123, 338},	//995 QGlobalSpace::operator|(KJob::Capabilities::enum_type, KJob::Capabilities::enum_type)
    {75, 551, 1117, 2, Smoke::mf_static, 135, 339},	//996 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {75, 521, 1120, 2, Smoke::mf_static, 100, 340},	//997 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {75, 551, 1123, 2, Smoke::mf_static, 180, 341},	//998 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {75, 545, 1126, 2, Smoke::mf_static, 415, 342},	//999 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {75, 551, 1129, 2, Smoke::mf_static, 141, 343},	//1000 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {75, 551, 1132, 2, Smoke::mf_static, 147, 344},	//1001 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type)
    {75, 491, 576, 2, Smoke::mf_static, 394, 345},	//1002 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {75, 551, 1135, 2, Smoke::mf_static, 125, 346},	//1003 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    {75, 530, 582, 2, Smoke::mf_static, 394, 347},	//1004 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {75, 545, 1138, 2, Smoke::mf_static, 100, 348},	//1005 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {75, 551, 579, 2, Smoke::mf_static, 83, 349},	//1006 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {75, 521, 1141, 2, Smoke::mf_static, 100, 350},	//1007 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {75, 521, 1144, 2, Smoke::mf_static, 100, 351},	//1008 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {75, 551, 1147, 2, Smoke::mf_static, 150, 352},	//1009 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type)
    {75, 551, 1150, 2, Smoke::mf_static, 145, 353},	//1010 QGlobalSpace::operator|(QStyle::State::enum_type, QStyle::State::enum_type)
    {75, 551, 1153, 2, Smoke::mf_static, 115, 354},	//1011 QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, KConfig::OpenFlags::enum_type)
    {75, 521, 1156, 2, Smoke::mf_static, 100, 355},	//1012 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {75, 551, 1159, 2, Smoke::mf_static, 180, 356},	//1013 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {75, 551, 1162, 2, Smoke::mf_static, 180, 357},	//1014 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    {75, 525, 387, 2, Smoke::mf_static, 394, 358},	//1015 QGlobalSpace::operator<=(QChar, QChar)
    {75, 545, 1165, 2, Smoke::mf_static, 415, 359},	//1016 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {75, 551, 1168, 2, Smoke::mf_static, 163, 360},	//1017 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {75, 551, 1171, 2, Smoke::mf_static, 180, 361},	//1018 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, int)
    {75, 491, 1075, 2, Smoke::mf_static, 394, 362},	//1019 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {75, 551, 1174, 2, Smoke::mf_static, 160, 363},	//1020 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {75, 545, 1177, 2, Smoke::mf_static, 100, 364},	//1021 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {75, 545, 1180, 2, Smoke::mf_static, 100, 365},	//1022 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {75, 551, 1183, 2, Smoke::mf_static, 157, 366},	//1023 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {75, 545, 1186, 2, Smoke::mf_static, 100, 367},	//1024 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {75, 545, 1189, 2, Smoke::mf_static, 100, 368},	//1025 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {75, 551, 1192, 2, Smoke::mf_static, 124, 369},	//1026 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    {75, 551, 1195, 2, Smoke::mf_static, 126, 370},	//1027 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    {75, 514, 1042, 2, Smoke::mf_static, 459, 371},	//1028 QGlobalSpace::operator/(const QSize&, double)
    {75, 551, 1198, 2, Smoke::mf_static, 180, 372},	//1029 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, int)
    {75, 498, 1201, 2, Smoke::mf_static, 215, 373},	//1030 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {75, 551, 1204, 2, Smoke::mf_static, 116, 374},	//1031 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>)
    {75, 521, 1207, 2, Smoke::mf_static, 97, 375},	//1032 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {75, 551, 1210, 2, Smoke::mf_static, 134, 376},	//1033 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {75, 530, 1213, 2, Smoke::mf_static, 394, 377},	//1034 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {75, 551, 1216, 2, Smoke::mf_static, 180, 378},	//1035 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {75, 551, 1219, 2, Smoke::mf_static, 180, 379},	//1036 QGlobalSpace::operator|(QStyle::State::enum_type, int)
    {75, 545, 1222, 2, Smoke::mf_static, 100, 380},	//1037 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {75, 551, 1225, 2, Smoke::mf_static, 180, 381},	//1038 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {75, 491, 310, 2, Smoke::mf_static, 394, 382},	//1039 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {75, 551, 1228, 2, Smoke::mf_static, 169, 383},	//1040 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {75, 498, 486, 2, Smoke::mf_static, 449, 384},	//1041 QGlobalSpace::operator*(const QPoint&, double)
    {75, 551, 1231, 2, Smoke::mf_static, 180, 385},	//1042 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {75, 530, 761, 2, Smoke::mf_static, 394, 386},	//1043 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {75, 530, 352, 2, Smoke::mf_static, 394, 387},	//1044 QGlobalSpace::operator==(const QByteArray&, const char*)
    {75, 521, 1234, 2, Smoke::mf_static, 100, 388},	//1045 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {75, 521, 1237, 2, Smoke::mf_static, 100, 389},	//1046 QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    {75, 498, 886, 2, Smoke::mf_static, 461, 390},	//1047 QGlobalSpace::operator*(const QSizeF&, double)
    {75, 530, 1000, 2, Smoke::mf_static, 394, 391},	//1048 QGlobalSpace::operator==(const QStringRef&, const char*)
    {75, 551, 1240, 2, Smoke::mf_static, 180, 392},	//1049 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {75, 498, 1243, 2, Smoke::mf_static, 219, 393},	//1050 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {75, 498, 1246, 2, Smoke::mf_static, 459, 394},	//1051 QGlobalSpace::operator*(double, const QSize&)
    {75, 545, 1249, 2, Smoke::mf_static, 100, 395},	//1052 QGlobalSpace::operator>>(QDataStream&, KACL&)
    {75, 521, 1252, 2, Smoke::mf_static, 97, 396},	//1053 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {75, 516, 301, 2, Smoke::mf_static, 394, 397},	//1054 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {75, 551, 1255, 2, Smoke::mf_static, 180, 398},	//1055 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    {75, 551, 1258, 2, Smoke::mf_static, 115, 399},	//1056 QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, QFlags<KConfig::OpenFlags::enum_type>)
    {75, 551, 1261, 2, Smoke::mf_static, 168, 400},	//1057 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {75, 491, 1264, 2, Smoke::mf_static, 394, 401},	//1058 QGlobalSpace::operator!=(QBool, bool)
    {75, 491, 328, 2, Smoke::mf_static, 394, 402},	//1059 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {75, 545, 1267, 2, Smoke::mf_static, 100, 403},	//1060 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {75, 491, 519, 2, Smoke::mf_static, 394, 404},	//1061 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {75, 498, 1270, 2, Smoke::mf_static, 192, 405},	//1062 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {75, 551, 1273, 2, Smoke::mf_static, 131, 406},	//1063 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>)
    {75, 498, 791, 2, Smoke::mf_static, 451, 407},	//1064 QGlobalSpace::operator*(const QPointF&, double)
    {75, 551, 1276, 2, Smoke::mf_static, 157, 408},	//1065 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {75, 516, 761, 2, Smoke::mf_static, 394, 409},	//1066 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {75, 491, 358, 2, Smoke::mf_static, 394, 410},	//1067 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {75, 521, 1279, 2, Smoke::mf_static, 100, 411},	//1068 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {75, 498, 1282, 2, Smoke::mf_static, 217, 412},	//1069 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {75, 521, 1285, 2, Smoke::mf_static, 100, 413},	//1070 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {75, 551, 1288, 2, Smoke::mf_static, 164, 414},	//1071 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {75, 545, 1291, 2, Smoke::mf_static, 100, 415},	//1072 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {75, 545, 1294, 2, Smoke::mf_static, 100, 416},	//1073 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {75, 551, 1297, 2, Smoke::mf_static, 180, 417},	//1074 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {75, 521, 1300, 2, Smoke::mf_static, 100, 418},	//1075 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {75, 530, 1264, 2, Smoke::mf_static, 394, 419},	//1076 QGlobalSpace::operator==(QBool, bool)
    {75, 545, 1303, 2, Smoke::mf_static, 100, 420},	//1077 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {75, 545, 1306, 2, Smoke::mf_static, 100, 421},	//1078 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {75, 551, 1309, 2, Smoke::mf_static, 180, 422},	//1079 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {75, 521, 1312, 2, Smoke::mf_static, 100, 423},	//1080 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {75, 551, 1315, 2, Smoke::mf_static, 180, 424},	//1081 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {75, 521, 1318, 2, Smoke::mf_static, 100, 425},	//1082 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {75, 530, 510, 2, Smoke::mf_static, 394, 426},	//1083 QGlobalSpace::operator==(const char*, const QString&)
    {75, 502, 1321, 2, Smoke::mf_static, 464, 427},	//1084 QGlobalSpace::operator+(const QString&, const QString&)
    {75, 491, 612, 2, Smoke::mf_static, 394, 428},	//1085 QGlobalSpace::operator!=(QBool, QBool)
    {75, 551, 1324, 2, Smoke::mf_static, 140, 429},	//1086 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>)
    {75, 551, 1327, 2, Smoke::mf_static, 148, 430},	//1087 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type)
    {75, 540, 510, 2, Smoke::mf_static, 394, 431},	//1088 QGlobalSpace::operator>=(const char*, const QString&)
    {75, 551, 1330, 2, Smoke::mf_static, 146, 432},	//1089 QGlobalSpace::operator|(QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>)
    {75, 551, 1333, 2, Smoke::mf_static, 180, 433},	//1090 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, int)
    {75, 551, 1336, 2, Smoke::mf_static, 137, 434},	//1091 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {75, 540, 310, 2, Smoke::mf_static, 394, 435},	//1092 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {75, 535, 352, 2, Smoke::mf_static, 394, 436},	//1093 QGlobalSpace::operator>(const QByteArray&, const char*)
    {75, 551, 1339, 2, Smoke::mf_static, 165, 437},	//1094 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {75, 545, 1342, 2, Smoke::mf_static, 100, 438},	//1095 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {75, 498, 1345, 2, Smoke::mf_static, 219, 439},	//1096 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {75, 551, 1348, 2, Smoke::mf_static, 180, 440},	//1097 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {75, 491, 582, 2, Smoke::mf_static, 394, 441},	//1098 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {75, 521, 1351, 2, Smoke::mf_static, 100, 442},	//1099 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {75, 521, 1354, 2, Smoke::mf_static, 97, 443},	//1100 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {75, 545, 1357, 2, Smoke::mf_static, 100, 444},	//1101 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {75, 521, 1360, 2, Smoke::mf_static, 100, 445},	//1102 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {75, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 481, 446},	//1103 QGlobalSpace::_IEEE_ (enum)
    {75, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 481, 447},	//1104 QGlobalSpace::_SVID_ (enum)
    {75, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 481, 448},	//1105 QGlobalSpace::_XOPEN_ (enum)
    {75, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 481, 449},	//1106 QGlobalSpace::_POSIX_ (enum)
    {75, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 481, 450},	//1107 QGlobalSpace::_ISOC_ (enum)
    {75, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 451},	//1108 QGlobalSpace::ITIMER_REAL (enum)
    {75, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 452},	//1109 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 453},	//1110 QGlobalSpace::ITIMER_PROF (enum)
    {75, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 454},	//1111 QGlobalSpace::LicensedXml (enum)
    {75, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 455},	//1112 QGlobalSpace::QtDebugMsg (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 456},	//1113 QGlobalSpace::QtWarningMsg (enum)
    {75, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 457},	//1114 QGlobalSpace::QtCriticalMsg (enum)
    {75, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 458},	//1115 QGlobalSpace::QtFatalMsg (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 459},	//1116 QGlobalSpace::QtSystemMsg (enum)
    {75, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 460},	//1117 QGlobalSpace::LicensedOpenGL (enum)
    {75, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 461},	//1118 QGlobalSpace::LicensedQt3Support (enum)
    {75, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 462},	//1119 QGlobalSpace::LicensedOpenVG (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 463},	//1120 QGlobalSpace::LicensedNetwork (enum)
    {75, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 464},	//1121 QGlobalSpace::LicensedSql (enum)
    {75, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 465},	//1122 QGlobalSpace::KST_KSycocaEntry (enum)
    {75, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 466},	//1123 QGlobalSpace::KST_KService (enum)
    {75, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 467},	//1124 QGlobalSpace::KST_KServiceType (enum)
    {75, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 468},	//1125 QGlobalSpace::KST_KMimeType (enum)
    {75, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 469},	//1126 QGlobalSpace::KST_KFolderMimeType (enum)
    {75, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 470},	//1127 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {75, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 471},	//1128 QGlobalSpace::KST_KServiceGroup (enum)
    {75, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 472},	//1129 QGlobalSpace::KST_KImageIOFormat (enum)
    {75, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 473},	//1130 QGlobalSpace::KST_KProtocolInfo (enum)
    {75, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 474},	//1131 QGlobalSpace::KST_KServiceSeparator (enum)
    {75, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 475},	//1132 QGlobalSpace::KST_KCustom (enum)
    {75, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 476},	//1133 QGlobalSpace::LicensedCore (enum)
    {75, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 477},	//1134 QGlobalSpace::KST_KServiceFactory (enum)
    {75, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 478},	//1135 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {75, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 479},	//1136 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {75, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 480},	//1137 QGlobalSpace::KST_KImageIO (enum)
    {75, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 481},	//1138 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {75, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 482},	//1139 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {75, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 483},	//1140 QGlobalSpace::KST_CTimeInfo (enum)
    {75, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 484},	//1141 QGlobalSpace::LicensedSvg (enum)
    {75, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 485},	//1142 QGlobalSpace::LicensedXmlPatterns (enum)
    {75, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 486},	//1143 QGlobalSpace::LicensedGui (enum)
    {75, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 487},	//1144 QGlobalSpace::LicensedDeclarative (enum)
    {75, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 488},	//1145 QGlobalSpace::LicensedActiveQt (enum)
    {75, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 489},	//1146 QGlobalSpace::LicensedDBus (enum)
    {75, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 490},	//1147 QGlobalSpace::LicensedTest (enum)
    {75, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 491},	//1148 QGlobalSpace::LicensedScriptTools (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 492},	//1149 QGlobalSpace::LicensedQt3SupportLight (enum)
    {75, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 493},	//1150 QGlobalSpace::__codecvt_ok (enum)
    {75, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 494},	//1151 QGlobalSpace::__codecvt_partial (enum)
    {75, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 495},	//1152 QGlobalSpace::__codecvt_error (enum)
    {75, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 496},	//1153 QGlobalSpace::__codecvt_noconv (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 497},	//1154 QGlobalSpace::LicensedScript (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 498},	//1155 QGlobalSpace::LicensedMultimedia (enum)
    {75, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 499},	//1156 QGlobalSpace::LicensedHelp (enum)
    {90, 836, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 224, 0},	//1157 QListView::visualRect(const QModelIndex&) const
    {90, 605, 1363, 2, Smoke::mf_virtual, 0, 0},	//1158 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {90, 397, 693, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1159 QListView::indexAt(const QPoint&) const
    {90, 309, 0, 0, Smoke::mf_virtual, 0, 0},	//1160 QListView::doItemsLayout()
    {90, 586, 0, 0, Smoke::mf_virtual, 0, 0},	//1161 QListView::reset()
    {90, 712, 146, 1, Smoke::mf_virtual, 0, 0},	//1162 QListView::setRootIndex(const QModelIndex&)
    {90, 341, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1163 QListView::event(QEvent*)
    {90, 604, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1164 QListView::scrollContentsBy(int, int)
    {90, 595, 217, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1165 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {90, 479, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1166 QListView::mouseMoveEvent(QMouseEvent*)
    {90, 481, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1167 QListView::mouseReleaseEvent(QMouseEvent*)
    {90, 785, 1366, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1168 QListView::timerEvent(QTimerEvent*)
    {90, 773, 283, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1169 QListView::startDrag(Qt::DropActions)
    {90, 832, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 253, 0},	//1170 QListView::viewOptions() const
    {90, 388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//1171 QListView::horizontalOffset() const
    {90, 825, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//1172 QListView::verticalOffset() const
    {90, 483, 1368, 2, Smoke::mf_protected|Smoke::mf_virtual, 202, 0},	//1173 QListView::moveCursor(QAbstractItemView::CursorAction, Qt::KeyboardModifiers)
    {90, 715, 1371, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1174 QListView::setSelection(const QRect&, QItemSelectionModel::SelectionFlags)
    {90, 837, 1374, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//1175 QListView::visualRegionForSelection(const QItemSelection&) const
    {90, 618, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 194, 0},	//1176 QListView::selectedIndexes() const
    {90, 806, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1177 QListView::updateGeometries()
    {90, 415, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1178 QListView::isIndexHidden(const QModelIndex&) const
    {90, 622, 1376, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1179 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {90, 275, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1180 QListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {100, 341, 111, 1, Smoke::mf_virtual, 394, 0},	//1181 QObject::event(QEvent*)
    {100, 342, 113, 2, Smoke::mf_virtual, 394, 0},	//1182 QObject::eventFilter(QObject*, QEvent*)
    {100, 785, 1366, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1183 QObject::timerEvent(QTimerEvent*)
    {100, 252, 1379, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1184 QObject::childEvent(QChildEvent*)
    {100, 283, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1185 QObject::customEvent(QEvent*)
    {100, 267, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1186 QObject::connectNotify(const char*)
    {100, 308, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1187 QObject::disconnectNotify(const char*)
    {121, 728, 201, 1, Smoke::mf_virtual, 0, 0},	//1188 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {121, 465, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1189 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {121, 462, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1190 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {121, 464, 1374, 1, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//1191 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {121, 463, 1374, 1, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//1192 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {121, 352, 1381, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1193 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {121, 351, 1381, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1194 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {121, 394, 173, 3, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1195 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {121, 559, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1196 QSortFilterProxyModel::parent(const QModelIndex&) const
    {121, 593, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 0},	//1197 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {121, 260, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 0},	//1198 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {121, 285, 170, 2, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//1199 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {121, 654, 247, 3, Smoke::mf_virtual, 394, 0},	//1200 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {121, 374, 251, 3, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//1201 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {121, 675, 255, 4, Smoke::mf_virtual, 394, 0},	//1202 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {121, 469, 177, 1, Smoke::mf_const|Smoke::mf_virtual, 201, 0},	//1203 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {121, 321, 179, 5, Smoke::mf_virtual, 394, 0},	//1204 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {121, 401, 173, 3, Smoke::mf_virtual, 394, 0},	//1205 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {121, 400, 173, 3, Smoke::mf_virtual, 394, 0},	//1206 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {121, 577, 173, 3, Smoke::mf_virtual, 394, 0},	//1207 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {121, 574, 173, 3, Smoke::mf_virtual, 394, 0},	//1208 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {121, 344, 146, 1, Smoke::mf_virtual, 0, 0},	//1209 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {121, 358, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 319, 0},	//1210 QSortFilterProxyModel::flags(const QModelIndex&) const
    {121, 243, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1211 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {121, 466, 263, 5, Smoke::mf_const|Smoke::mf_virtual, 194, 0},	//1212 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {121, 771, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 0},	//1213 QSortFilterProxyModel::span(const QModelIndex&) const
    {121, 472, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 0},	//1214 QSortFilterProxyModel::mimeTypes() const
    {121, 779, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 300, 0},	//1215 QSortFilterProxyModel::supportedDropActions() const
    {132, 695, 201, 1, Smoke::mf_virtual, 0, 0},	//1216 QTreeView::setModel(QAbstractItemModel*)
    {132, 712, 146, 1, Smoke::mf_virtual, 0, 0},	//1217 QTreeView::setRootIndex(const QModelIndex&)
    {132, 717, 269, 1, Smoke::mf_virtual, 0, 0},	//1218 QTreeView::setSelectionModel(QItemSelectionModel*)
    {132, 452, 4, 1, Smoke::mf_virtual, 0, 0},	//1219 QTreeView::keyboardSearch(const QString&)
    {132, 836, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 224, 0},	//1220 QTreeView::visualRect(const QModelIndex&) const
    {132, 605, 1363, 2, Smoke::mf_virtual, 0, 0},	//1221 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {132, 397, 693, 1, Smoke::mf_const|Smoke::mf_virtual, 202, 0},	//1222 QTreeView::indexAt(const QPoint&) const
    {132, 309, 0, 0, Smoke::mf_virtual, 0, 0},	//1223 QTreeView::doItemsLayout()
    {132, 586, 0, 0, Smoke::mf_virtual, 0, 0},	//1224 QTreeView::reset()
    {132, 287, 34, 2, Smoke::mf_virtual, 0, 0},	//1225 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {132, 606, 0, 0, Smoke::mf_virtual, 0, 0},	//1226 QTreeView::selectAll()
    {132, 604, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1227 QTreeView::scrollContentsBy(int, int)
    {132, 596, 217, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1228 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {132, 595, 217, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1229 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {132, 483, 1368, 2, Smoke::mf_protected|Smoke::mf_virtual, 202, 0},	//1230 QTreeView::moveCursor(QAbstractItemView::CursorAction, Qt::KeyboardModifiers)
    {132, 388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//1231 QTreeView::horizontalOffset() const
    {132, 825, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//1232 QTreeView::verticalOffset() const
    {132, 715, 1371, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1233 QTreeView::setSelection(const QRect&, QItemSelectionModel::SelectionFlags)
    {132, 837, 1374, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//1234 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {132, 618, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 194, 0},	//1235 QTreeView::selectedIndexes() const
    {132, 785, 1366, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1236 QTreeView::timerEvent(QTimerEvent*)
    {132, 556, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1237 QTreeView::paintEvent(QPaintEvent*)
    {132, 318, 1384, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1238 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {132, 317, 1388, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1239 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {132, 480, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1240 QTreeView::mousePressEvent(QMouseEvent*)
    {132, 481, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1241 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {132, 478, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1242 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {132, 479, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1243 QTreeView::mouseMoveEvent(QMouseEvent*)
    {132, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1244 QTreeView::keyPressEvent(QKeyEvent*)
    {132, 315, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1245 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {132, 833, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1246 QTreeView::viewportEvent(QEvent*)
    {132, 806, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1247 QTreeView::updateGeometries()
    {132, 756, 60, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//1248 QTreeView::sizeHintForColumn(int) const
    {132, 389, 60, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1249 QTreeView::horizontalScrollbarAction(int)
    {132, 415, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1250 QTreeView::isIndexHidden(const QModelIndex&) const
    {132, 622, 1376, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1251 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {132, 275, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1252 QTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {138, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 480, 0},	//1253 QWidget::devType() const
    {138, 741, 8, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1254 QWidget::setVisible(bool)
    {138, 755, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 232, 0},	//1255 QWidget::sizeHint() const
    {138, 473, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 232, 0},	//1256 QWidget::minimumSizeHint() const
    {138, 375, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 480, 0},	//1257 QWidget::heightForWidth(int) const
    {138, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 0},	//1258 QWidget::paintEngine() const
    {138, 341, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1259 QWidget::event(QEvent*)
    {138, 480, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1260 QWidget::mousePressEvent(QMouseEvent*)
    {138, 481, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1261 QWidget::mouseReleaseEvent(QMouseEvent*)
    {138, 478, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1262 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {138, 479, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1263 QWidget::mouseMoveEvent(QMouseEvent*)
    {138, 838, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1264 QWidget::wheelEvent(QWheelEvent*)
    {138, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1265 QWidget::keyPressEvent(QKeyEvent*)
    {138, 450, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1266 QWidget::keyReleaseEvent(QKeyEvent*)
    {138, 360, 285, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1267 QWidget::focusInEvent(QFocusEvent*)
    {138, 362, 285, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1268 QWidget::focusOutEvent(QFocusEvent*)
    {138, 338, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1269 QWidget::enterEvent(QEvent*)
    {138, 454, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1270 QWidget::leaveEvent(QEvent*)
    {138, 556, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1271 QWidget::paintEvent(QPaintEvent*)
    {138, 484, 1392, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1272 QWidget::moveEvent(QMoveEvent*)
    {138, 257, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1273 QWidget::closeEvent(QCloseEvent*)
    {138, 270, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1274 QWidget::contextMenuEvent(QContextMenuEvent*)
    {138, 780, 1394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1275 QWidget::tabletEvent(QTabletEvent*)
    {138, 230, 1396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1276 QWidget::actionEvent(QActionEvent*)
    {138, 311, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1277 QWidget::dragEnterEvent(QDragEnterEvent*)
    {138, 315, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1278 QWidget::dragMoveEvent(QDragMoveEvent*)
    {138, 313, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1279 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {138, 319, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1280 QWidget::dropEvent(QDropEvent*)
    {138, 749, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1281 QWidget::showEvent(QShowEvent*)
    {138, 377, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1282 QWidget::hideEvent(QHideEvent*)
    {138, 842, 1398, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1283 QWidget::x11Event(_XEvent*)
    {138, 249, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1284 QWidget::changeEvent(QEvent*)
    {138, 468, 1400, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 480, 0},	//1285 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {138, 398, 287, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1286 QWidget::inputMethodEvent(QInputMethodEvent*)
    {138, 399, 271, 1, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//1287 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {138, 361, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 394, 0},	//1288 QWidget::focusNextPrevChild(bool)
    {138, 775, 1402, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1289 QWidget::styleChange(QStyle&)
    {138, 336, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1290 QWidget::enabledChange(bool)
    {138, 558, 1404, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1291 QWidget::paletteChange(const QPalette&)
    {138, 363, 1406, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1292 QWidget::fontChange(const QFont&)
    {138, 839, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1293 QWidget::windowActivationChange(bool)
    {138, 453, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1294 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    716,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    748,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    749,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    758,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    808,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    830,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    842,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    847,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    886,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    890,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    930,  // QGlobalSpace::operator!=(QChar, QChar)
    966,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1002,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1019,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1059,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1061,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1085,  // QGlobalSpace::operator!=(QBool, QBool)
    1098,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    705,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    727,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    737,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    949,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1058,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    801,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    862,  // QGlobalSpace::operator!=(bool, QBool)
    889,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    940,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1039,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1067,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    669,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    792,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    809,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    818,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    881,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    919,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    947,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    968,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    971,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    973,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    994,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1030,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1050,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1062,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1069,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1096,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    752,  // QGlobalSpace::operator*(const QTransform&, double)
    970,  // QGlobalSpace::operator*(const QSize&, double)
    1041,  // QGlobalSpace::operator*(const QPoint&, double)
    1047,  // QGlobalSpace::operator*(const QSizeF&, double)
    1064,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    715,  // QGlobalSpace::operator*(double, const QSizeF&)
    967,  // QGlobalSpace::operator*(double, const QPointF&)
    974,  // QGlobalSpace::operator*(double, const QPoint&)
    1051,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    732,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    742,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    745,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    817,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    853,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    760,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    766,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    791,  // QGlobalSpace::operator+(const QTransform&, double)
    794,  // QGlobalSpace::operator+(QChar, const QString&)
    897,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    673,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    734,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    757,  // QGlobalSpace::operator+(const QString&, QChar)
    954,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    761,  // QGlobalSpace::operator+(const QString&, const char*)
    806,  // QGlobalSpace::operator+(const QString&, char)
    846,  // QGlobalSpace::operator+(char, const QString&)
    961,  // QGlobalSpace::operator+(const char*, const QString&)
    1084,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    820,  // QGlobalSpace::operator-(const QPoint&)
    878,  // QGlobalSpace::operator-(const QPointF&)
    0,
    718,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    735,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    810,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    959,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    731,  // QGlobalSpace::operator/(const QPoint&, double)
    861,  // QGlobalSpace::operator/(const QPointF&, double)
    868,  // QGlobalSpace::operator/(const QTransform&, double)
    902,  // QGlobalSpace::operator/(const QSizeF&, double)
    1028,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    702,  // QGlobalSpace::operator<(QChar, QChar)
    746,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    753,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    813,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1054,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1066,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    708,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    891,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    672,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    677,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    680,  // QGlobalSpace::operator<<(QDataStream&, const KACL&)
    686,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    697,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    698,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    700,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    713,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    717,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    721,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    726,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    733,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    738,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    764,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    779,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    781,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    815,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    816,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    822,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    827,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    834,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    837,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    843,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    857,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    860,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    869,  // QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    872,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    887,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    906,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    910,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    921,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    926,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    942,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    957,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    976,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    991,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    992,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    997,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1007,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1008,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1012,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1032,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    1045,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1046,  // QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    1053,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    1070,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1075,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1080,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1082,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1099,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1100,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    1102,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    858,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1068,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    707,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    895,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    944,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    775,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    790,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    909,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1015,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    908,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    951,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    671,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    676,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    690,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    692,  // QGlobalSpace::operator==(QChar, QChar)
    693,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    771,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    784,  // QGlobalSpace::operator==(QBool, QBool)
    811,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    819,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    825,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    839,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    851,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    863,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    894,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    907,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    969,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    981,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1004,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1034,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1043,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    670,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    849,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1044,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1048,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1076,  // QGlobalSpace::operator==(QBool, bool)
    0,
    665,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    681,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    785,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    879,  // QGlobalSpace::operator==(bool, QBool)
    920,  // QGlobalSpace::operator==(const QString&, QString::Null)
    956,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    711,  // QGlobalSpace::operator>(QChar, QChar)
    762,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    773,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    840,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    682,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    747,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    662,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    704,  // QGlobalSpace::operator>=(QChar, QChar)
    903,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    983,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    883,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1092,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    667,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    674,  // QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    678,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    719,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    754,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    783,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    799,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    803,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    807,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    812,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    821,  // QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    841,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    848,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    850,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    867,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    874,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    876,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    888,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    900,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    911,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    914,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    918,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    923,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    935,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    937,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    939,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    950,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    953,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    958,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    960,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    962,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    964,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    982,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    984,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    999,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    1005,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1016,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    1021,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1022,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1024,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1037,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1052,  // QGlobalSpace::operator>>(QDataStream&, KACL&)
    1060,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1072,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1073,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1077,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1078,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1095,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1101,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    912,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1025,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    658,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    659,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    675,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    684,  // QGlobalSpace::operator|(KAction::ShortcutTypes::enum_type, int)
    687,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffects::enum_type, int)
    699,  // QGlobalSpace::operator|(KFileMetaInfo::WhatFlags::enum_type, int)
    720,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, int)
    739,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    740,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    743,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, int)
    744,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    755,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    763,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, int)
    776,  // QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, int)
    795,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    796,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    797,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    798,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, int)
    805,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlags::enum_type, int)
    814,  // QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, int)
    823,  // QGlobalSpace::operator|(KJob::Capabilities::enum_type, int)
    826,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, int)
    831,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    835,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    838,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    845,  // QGlobalSpace::operator|(KFile::Modes::enum_type, int)
    854,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    859,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    866,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    880,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, int)
    899,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, int)
    901,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    904,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    915,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, int)
    917,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, int)
    924,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    952,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    977,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    987,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, int)
    988,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    989,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, int)
    990,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    993,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    998,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    1013,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    1014,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    1018,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, int)
    1029,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, int)
    1035,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    1036,  // QGlobalSpace::operator|(QStyle::State::enum_type, int)
    1038,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    1042,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    1049,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    1055,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    1074,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    1079,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    1081,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    1090,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, int)
    1097,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    0,
    660,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QDBusServiceWatcher::WatchMode::enum_type)
    661,  // QGlobalSpace::operator|(KFile::Modes::enum_type, QFlags<KFile::Modes::enum_type>)
    663,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    664,  // QGlobalSpace::operator|(KJob::Capabilities::enum_type, QFlags<KJob::Capabilities::enum_type>)
    666,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    668,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    683,  // QGlobalSpace::operator|(QStyle::State::enum_type, QFlags<QStyle::State::enum_type>)
    688,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    689,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    691,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    694,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type)
    695,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    696,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    703,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    706,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    709,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    710,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    712,  // QGlobalSpace::operator|(KFile::Modes::enum_type, KFile::Modes::enum_type)
    714,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QStyleOptionViewItemV2::ViewItemFeatures::enum_type)
    722,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QStyleOptionTab::CornerWidgets::enum_type)
    723,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    725,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    728,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    729,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    730,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type)
    736,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    750,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    751,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    756,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type)
    759,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    767,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    768,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    769,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    774,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    777,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QAbstractSpinBox::StepEnabled::enum_type)
    778,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QStyleOptionToolButton::ToolButtonFeatures::enum_type)
    780,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffects::enum_type, KGlobalSettings::GraphicEffects::enum_type)
    782,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    786,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    788,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlags::enum_type, QFlags<KDirLister::OpenUrlFlags::enum_type>)
    789,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    793,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    800,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QFlags<QAbstractItemView::EditTriggers::enum_type>)
    802,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    804,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    824,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    828,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    829,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    833,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    836,  // QGlobalSpace::operator|(KFileMetaInfo::WhatFlags::enum_type, KFileMetaInfo::WhatFlags::enum_type)
    844,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    852,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    855,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    864,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    865,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>)
    870,  // QGlobalSpace::operator|(QAbstractItemView::EditTriggers::enum_type, QAbstractItemView::EditTriggers::enum_type)
    871,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    873,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, QStyle::SubControls::enum_type)
    875,  // QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QDBusConnection::RegisterOptions::enum_type)
    884,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    885,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QFlags<QStyleOptionToolBar::ToolBarFeatures::enum_type>)
    892,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    893,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    896,  // QGlobalSpace::operator|(QDBusConnection::RegisterOptions::enum_type, QFlags<QDBusConnection::RegisterOptions::enum_type>)
    898,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlags::enum_type, KDirLister::OpenUrlFlags::enum_type)
    905,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    913,  // QGlobalSpace::operator|(KAction::ShortcutTypes::enum_type, KAction::ShortcutTypes::enum_type)
    916,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    925,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffects::enum_type, QFlags<KGlobalSettings::GraphicEffects::enum_type>)
    927,  // QGlobalSpace::operator|(KAction::ShortcutTypes::enum_type, QFlags<KAction::ShortcutTypes::enum_type>)
    928,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    929,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    931,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeatures::enum_type, QFlags<QStyleOptionViewItemV2::ViewItemFeatures::enum_type>)
    932,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchMode::enum_type, QFlags<QDBusServiceWatcher::WatchMode::enum_type>)
    933,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    934,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidgets::enum_type, QFlags<QStyleOptionTab::CornerWidgets::enum_type>)
    936,  // QGlobalSpace::operator|(KFileMetaInfo::WhatFlags::enum_type, QFlags<KFileMetaInfo::WhatFlags::enum_type>)
    941,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QFlags<QStyleOptionButton::ButtonFeatures::enum_type>)
    943,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    945,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    946,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    948,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    955,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    963,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QFlags<QStyleOptionFrameV2::FrameFeatures::enum_type>)
    965,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeatures::enum_type, QFlags<QStyleOptionToolButton::ToolButtonFeatures::enum_type>)
    972,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    975,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    978,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    979,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QItemSelectionModel::SelectionFlags::enum_type)
    980,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    985,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    986,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>)
    995,  // QGlobalSpace::operator|(KJob::Capabilities::enum_type, KJob::Capabilities::enum_type)
    996,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    1000,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    1001,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeatures::enum_type, QStyleOptionButton::ButtonFeatures::enum_type)
    1003,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    1009,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeatures::enum_type, QStyleOptionToolBar::ToolBarFeatures::enum_type)
    1010,  // QGlobalSpace::operator|(QStyle::State::enum_type, QStyle::State::enum_type)
    1011,  // QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, KConfig::OpenFlags::enum_type)
    1017,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    1020,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    1023,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    1026,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    1027,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    1031,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>)
    1033,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    1040,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    1056,  // QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, QFlags<KConfig::OpenFlags::enum_type>)
    1057,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    1063,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabled::enum_type, QFlags<QAbstractSpinBox::StepEnabled::enum_type>)
    1065,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    1071,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    1086,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlags::enum_type, QFlags<QItemSelectionModel::SelectionFlags::enum_type>)
    1087,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeatures::enum_type, QStyleOptionFrameV2::FrameFeatures::enum_type)
    1089,  // QGlobalSpace::operator|(QStyle::SubControls::enum_type, QFlags<QStyle::SubControls::enum_type>)
    1091,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    1094,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {2, 70, 36},	// KAbstractFileWidget::KAbstractFileWidget
    {2, 71, 37},	// KAbstractFileWidget::KAbstractFileWidget#
    {2, 167, 41},	// KAbstractFileWidget::Opening
    {2, 168, 40},	// KAbstractFileWidget::Other
    {2, 185, 42},	// KAbstractFileWidget::Saving
    {2, 227, 31},	// KAbstractFileWidget::accept
    {2, 229, 27},	// KAbstractFileWidget::actionCollection
    {2, 240, 3},	// KAbstractFileWidget::baseUrl
    {2, 246, 24},	// KAbstractFileWidget::cancelButton
    {2, 253, 17},	// KAbstractFileWidget::clearFilter
    {2, 277, 13},	// KAbstractFileWidget::currentFilter
    {2, 278, 14},	// KAbstractFileWidget::currentFilterMimeType
    {2, 281, 16},	// KAbstractFileWidget::currentMimeFilter
    {2, 355, 26},	// KAbstractFileWidget::filterWidget
    {2, 447, 11},	// KAbstractFileWidget::keepsLocation
    {2, 457, 25},	// KAbstractFileWidget::locationEdit
    {2, 477, 20},	// KAbstractFileWidget::mode
    {2, 488, 23},	// KAbstractFileWidget::okButton
    {2, 490, 9},	// KAbstractFileWidget::operationMode
    {2, 616, 4},	// KAbstractFileWidget::selectedFile
    {2, 617, 5},	// KAbstractFileWidget::selectedFiles
    {2, 620, 1},	// KAbstractFileWidget::selectedUrl
    {2, 621, 2},	// KAbstractFileWidget::selectedUrls
    {2, 637, 34},	// KAbstractFileWidget::setConfirmOverwrite$
    {2, 652, 28},	// KAbstractFileWidget::setCustomWidget#
    {2, 653, 29},	// KAbstractFileWidget::setCustomWidget$#
    {2, 672, 12},	// KAbstractFileWidget::setFilter$
    {2, 681, 35},	// KAbstractFileWidget::setInlinePreviewShown$
    {2, 686, 10},	// KAbstractFileWidget::setKeepLocation$
    {2, 689, 21},	// KAbstractFileWidget::setLocationLabel$
    {2, 691, 39},	// KAbstractFileWidget::setMimeFilter?
    {2, 692, 15},	// KAbstractFileWidget::setMimeFilter?$
    {2, 694, 19},	// KAbstractFileWidget::setMode$
    {2, 702, 8},	// KAbstractFileWidget::setOperationMode$
    {2, 711, 18},	// KAbstractFileWidget::setPreviewWidget#
    {2, 716, 7},	// KAbstractFileWidget::setSelection$
    {2, 732, 38},	// KAbstractFileWidget::setUrl#
    {2, 733, 6},	// KAbstractFileWidget::setUrl#$
    {2, 759, 32},	// KAbstractFileWidget::slotCancel
    {2, 762, 30},	// KAbstractFileWidget::slotOk
    {2, 788, 22},	// KAbstractFileWidget::toolBar
    {2, 835, 33},	// KAbstractFileWidget::virtual_hook$$
    {2, 843, 43},	// KAbstractFileWidget::~KAbstractFileWidget
    {15, 8, 198},	// KDirOperator::AllActions
    {15, 47, 197},	// KDirOperator::FileActions
    {15, 72, 185},	// KDirOperator::KDirOperator
    {15, 73, 186},	// KDirOperator::KDirOperator#
    {15, 74, 76},	// KDirOperator::KDirOperator##
    {15, 152, 196},	// KDirOperator::NavActions
    {15, 201, 194},	// KDirOperator::SortActions
    {15, 215, 195},	// KDirOperator::ViewActions
    {15, 229, 108},	// KDirOperator::actionCollection
    {15, 234, 143},	// KDirOperator::activatedMenu##
    {15, 239, 146},	// KDirOperator::back
    {15, 248, 149},	// KDirOperator::cdUp
    {15, 250, 144},	// KDirOperator::changeEvent#
    {15, 251, 142},	// KDirOperator::checkPreviewSupport
    {15, 253, 84},	// KDirOperator::clearFilter
    {15, 254, 117},	// KDirOperator::clearHistory
    {15, 255, 79},	// KDirOperator::close
    {15, 265, 174},	// KDirOperator::completion$
    {15, 266, 106},	// KDirOperator::completionObject
    {15, 269, 181},	// KDirOperator::contextMenuAboutToShow##
    {15, 274, 134},	// KDirOperator::createView#$
    {15, 280, 182},	// KDirOperator::currentIconSizeChanged$
    {15, 289, 128},	// KDirOperator::decorationPosition
    {15, 292, 188},	// KDirOperator::del#
    {15, 293, 189},	// KDirOperator::del##
    {15, 294, 190},	// KDirOperator::del##$
    {15, 295, 116},	// KDirOperator::del##$$
    {15, 296, 153},	// KDirOperator::deleteSelected
    {15, 301, 178},	// KDirOperator::dirActivated#
    {15, 302, 107},	// KDirOperator::dirCompletionObject
    {15, 303, 119},	// KDirOperator::dirHighlighting
    {15, 304, 97},	// KDirOperator::dirLister
    {15, 305, 120},	// KDirOperator::dirOnlyMode
    {15, 306, 121},	// KDirOperator::dirOnlyMode$
    {15, 324, 180},	// KDirOperator::dropped##?
    {15, 343, 145},	// KDirOperator::eventFilter##
    {15, 346, 177},	// KDirOperator::fileHighlighted#
    {15, 349, 179},	// KDirOperator::fileSelected#
    {15, 357, 175},	// KDirOperator::finishedLoading
    {15, 364, 147},	// KDirOperator::forward
    {15, 381, 163},	// KDirOperator::highlightFile#
    {15, 387, 148},	// KDirOperator::home
    {15, 393, 131},	// KDirOperator::iconsZoom
    {15, 416, 130},	// KDirOperator::isInlinePreviewShown
    {15, 423, 96},	// KDirOperator::isRoot
    {15, 424, 133},	// KDirOperator::isSaving
    {15, 426, 103},	// KDirOperator::isSelected#
    {15, 459, 155},	// KDirOperator::makeCompletion$
    {15, 461, 156},	// KDirOperator::makeDirCompletion$
    {15, 467, 69},	// KDirOperator::metaObject
    {15, 471, 83},	// KDirOperator::mimeFilter
    {15, 474, 152},	// KDirOperator::mkdir
    {15, 475, 187},	// KDirOperator::mkdir$
    {15, 476, 115},	// KDirOperator::mkdir$$
    {15, 477, 100},	// KDirOperator::mode
    {15, 485, 81},	// KDirOperator::nameFilter
    {15, 486, 104},	// KDirOperator::numDirs
    {15, 487, 105},	// KDirOperator::numFiles
    {15, 489, 114},	// KDirOperator::onlyDoubleClickSelectsFiles
    {15, 561, 160},	// KDirOperator::pathChanged
    {15, 564, 141},	// KDirOperator::prepareCompletionObjects
    {15, 565, 126},	// KDirOperator::previewGenerator
    {15, 566, 98},	// KDirOperator::progressBar
    {15, 568, 75},	// KDirOperator::qt_metacall$$?
    {15, 570, 70},	// KDirOperator::qt_metacast$
    {15, 572, 111},	// KDirOperator::readConfig#
    {15, 585, 151},	// KDirOperator::rereadDir
    {15, 587, 159},	// KDirOperator::resetCursor
    {15, 589, 136},	// KDirOperator::resizeEvent#
    {15, 608, 161},	// KDirOperator::selectDir#
    {15, 615, 162},	// KDirOperator::selectFile#
    {15, 619, 102},	// KDirOperator::selectedItems
    {15, 625, 123},	// KDirOperator::setAcceptDrops$
    {15, 642, 88},	// KDirOperator::setCurrentItem#
    {15, 643, 87},	// KDirOperator::setCurrentItem$
    {15, 645, 90},	// KDirOperator::setCurrentItems#
    {15, 646, 89},	// KDirOperator::setCurrentItems?
    {15, 656, 129},	// KDirOperator::setDecorationPosition$
    {15, 660, 135},	// KDirOperator::setDirLister#
    {15, 666, 124},	// KDirOperator::setDropOptions$
    {15, 668, 118},	// KDirOperator::setEnableDirHighlighting$
    {15, 679, 158},	// KDirOperator::setIconsZoom$
    {15, 681, 127},	// KDirOperator::setInlinePreviewShown$
    {15, 683, 132},	// KDirOperator::setIsSaving$
    {15, 691, 82},	// KDirOperator::setMimeFilter?
    {15, 694, 99},	// KDirOperator::setMode$
    {15, 698, 80},	// KDirOperator::setNameFilter$
    {15, 700, 113},	// KDirOperator::setOnlyDoubleClickSelectsFiles$
    {15, 711, 101},	// KDirOperator::setPreviewWidget#
    {15, 723, 77},	// KDirOperator::setShowHiddenFiles$
    {15, 727, 94},	// KDirOperator::setSorting$
    {15, 733, 86},	// KDirOperator::setUrl#$
    {15, 737, 91},	// KDirOperator::setView#
    {15, 738, 93},	// KDirOperator::setView$
    {15, 740, 109},	// KDirOperator::setViewConfig#
    {15, 742, 137},	// KDirOperator::setupActions
    {15, 745, 140},	// KDirOperator::setupMenu
    {15, 746, 122},	// KDirOperator::setupMenu$
    {15, 752, 78},	// KDirOperator::showHiddenFiles
    {15, 761, 171},	// KDirOperator::slotCompletionMatch$
    {15, 764, 166},	// KDirOperator::sortByDate
    {15, 765, 164},	// KDirOperator::sortByName
    {15, 766, 165},	// KDirOperator::sortBySize
    {15, 767, 167},	// KDirOperator::sortByType
    {15, 769, 168},	// KDirOperator::sortReversed
    {15, 770, 95},	// KDirOperator::sorting
    {15, 774, 193},	// KDirOperator::staticMetaObject
    {15, 786, 169},	// KDirOperator::toggleDirsFirst
    {15, 787, 170},	// KDirOperator::toggleIgnoreCase
    {15, 790, 183},	// KDirOperator::tr$
    {15, 791, 71},	// KDirOperator::tr$$
    {15, 792, 73},	// KDirOperator::tr$$$
    {15, 794, 184},	// KDirOperator::trUtf8$
    {15, 795, 72},	// KDirOperator::trUtf8$$
    {15, 796, 74},	// KDirOperator::trUtf8$$$
    {15, 798, 191},	// KDirOperator::trash##
    {15, 799, 192},	// KDirOperator::trash##$
    {15, 800, 125},	// KDirOperator::trash##$$
    {15, 801, 157},	// KDirOperator::trashSelected
    {15, 803, 150},	// KDirOperator::updateDir
    {15, 809, 173},	// KDirOperator::updateInformation$$
    {15, 811, 154},	// KDirOperator::updateSelectionDependentActions
    {15, 812, 138},	// KDirOperator::updateSortActions
    {15, 813, 139},	// KDirOperator::updateViewActions
    {15, 814, 85},	// KDirOperator::url
    {15, 820, 172},	// KDirOperator::urlEntered#
    {15, 828, 92},	// KDirOperator::view
    {15, 830, 176},	// KDirOperator::viewChanged#
    {15, 831, 110},	// KDirOperator::viewConfigGroup
    {15, 841, 112},	// KDirOperator::writeConfig#
    {15, 844, 199},	// KDirOperator::~KDirOperator
    {16, 75, 218},	// KDirSelectDialog::KDirSelectDialog
    {16, 76, 219},	// KDirSelectDialog::KDirSelectDialog#
    {16, 77, 220},	// KDirSelectDialog::KDirSelectDialog#$
    {16, 78, 207},	// KDirSelectDialog::KDirSelectDialog#$#
    {16, 227, 214},	// KDirSelectDialog::accept
    {16, 378, 215},	// KDirSelectDialog::hideEvent#
    {16, 456, 210},	// KDirSelectDialog::localOnly
    {16, 467, 200},	// KDirSelectDialog::metaObject
    {16, 568, 206},	// KDirSelectDialog::qt_metacall$$?
    {16, 570, 201},	// KDirSelectDialog::qt_metacast$
    {16, 609, 221},	// KDirSelectDialog::selectDirectory
    {16, 610, 222},	// KDirSelectDialog::selectDirectory#
    {16, 611, 223},	// KDirSelectDialog::selectDirectory#$
    {16, 612, 224},	// KDirSelectDialog::selectDirectory#$#
    {16, 613, 211},	// KDirSelectDialog::selectDirectory#$#$
    {16, 648, 213},	// KDirSelectDialog::setCurrentUrl#
    {16, 772, 212},	// KDirSelectDialog::startDir
    {16, 774, 225},	// KDirSelectDialog::staticMetaObject
    {16, 790, 216},	// KDirSelectDialog::tr$
    {16, 791, 202},	// KDirSelectDialog::tr$$
    {16, 792, 204},	// KDirSelectDialog::tr$$$
    {16, 794, 217},	// KDirSelectDialog::trUtf8$
    {16, 795, 203},	// KDirSelectDialog::trUtf8$$
    {16, 796, 205},	// KDirSelectDialog::trUtf8$$$
    {16, 814, 208},	// KDirSelectDialog::url
    {16, 828, 209},	// KDirSelectDialog::view
    {16, 845, 226},	// KDirSelectDialog::~KDirSelectDialog
    {17, 79, 243},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel
    {17, 80, 234},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel#
    {17, 245, 236},	// KDirSortFilterProxyModel::canFetchMore#
    {17, 372, 244},	// KDirSortFilterProxyModel::hasChildren
    {17, 373, 235},	// KDirSortFilterProxyModel::hasChildren#
    {17, 467, 227},	// KDirSortFilterProxyModel::metaObject
    {17, 563, 237},	// KDirSortFilterProxyModel::pointsForPermissions#
    {17, 568, 233},	// KDirSortFilterProxyModel::qt_metacall$$?
    {17, 570, 228},	// KDirSortFilterProxyModel::qt_metacast$
    {17, 725, 238},	// KDirSortFilterProxyModel::setSortFoldersFirst$
    {17, 768, 239},	// KDirSortFilterProxyModel::sortFoldersFirst
    {17, 774, 245},	// KDirSortFilterProxyModel::staticMetaObject
    {17, 777, 240},	// KDirSortFilterProxyModel::subSortLessThan##
    {17, 790, 241},	// KDirSortFilterProxyModel::tr$
    {17, 791, 229},	// KDirSortFilterProxyModel::tr$$
    {17, 792, 231},	// KDirSortFilterProxyModel::tr$$$
    {17, 794, 242},	// KDirSortFilterProxyModel::trUtf8$
    {17, 795, 230},	// KDirSortFilterProxyModel::trUtf8$$
    {17, 796, 232},	// KDirSortFilterProxyModel::trUtf8$$$
    {17, 846, 246},	// KDirSortFilterProxyModel::~KDirSortFilterProxyModel
    {18, 25, 269},	// KFile::Default
    {18, 27, 271},	// KFile::Detail
    {18, 28, 276},	// KFile::DetailTree
    {18, 30, 264},	// KFile::Directory
    {18, 42, 266},	// KFile::ExistingOnly
    {18, 44, 280},	// KFile::Extended
    {18, 46, 263},	// KFile::File
    {18, 48, 277},	// KFile::FileViewMax
    {18, 49, 265},	// KFile::Files
    {18, 82, 261},	// KFile::KFile#
    {18, 137, 267},	// KFile::LocalOnly
    {18, 138, 268},	// KFile::ModeMax
    {18, 150, 279},	// KFile::Multi
    {18, 161, 281},	// KFile::NoSelection
    {18, 175, 273},	// KFile::PreviewContents
    {18, 176, 274},	// KFile::PreviewInfo
    {18, 192, 272},	// KFile::SeparateDirs
    {18, 196, 270},	// KFile::Simple
    {18, 197, 278},	// KFile::Single
    {18, 208, 275},	// KFile::Tree
    {18, 405, 253},	// KFile::isDefaultView$
    {18, 407, 260},	// KFile::isDetailTreeView$
    {18, 409, 255},	// KFile::isDetailView$
    {18, 419, 257},	// KFile::isPreviewContents$
    {18, 421, 258},	// KFile::isPreviewInfo$
    {18, 428, 256},	// KFile::isSeparateDirs$
    {18, 430, 254},	// KFile::isSimpleView$
    {18, 432, 249},	// KFile::isSortByDate?
    {18, 434, 247},	// KFile::isSortByName?
    {18, 436, 248},	// KFile::isSortBySize?
    {18, 438, 250},	// KFile::isSortByType?
    {18, 440, 252},	// KFile::isSortCaseInsensitive?
    {18, 442, 251},	// KFile::isSortDirsFirst?
    {18, 444, 259},	// KFile::isTreeView$
    {18, 774, 262},	// KFile::staticMetaObject
    {18, 847, 282},	// KFile::~KFile
    {19, 83, 303},	// KFileFilterCombo::KFileFilterCombo
    {19, 84, 290},	// KFileFilterCombo::KFileFilterCombo#
    {19, 277, 292},	// KFileFilterCombo::currentFilter
    {19, 290, 297},	// KFileFilterCombo::defaultFilter
    {19, 343, 299},	// KFileFilterCombo::eventFilter##
    {19, 353, 300},	// KFileFilterCombo::filterChanged
    {19, 356, 298},	// KFileFilterCombo::filters
    {19, 467, 283},	// KFileFilterCombo::metaObject
    {19, 568, 289},	// KFileFilterCombo::qt_metacall$$?
    {19, 570, 284},	// KFileFilterCombo::qt_metacast$
    {19, 640, 293},	// KFileFilterCombo::setCurrentFilter$
    {19, 658, 296},	// KFileFilterCombo::setDefaultFilter$
    {19, 672, 291},	// KFileFilterCombo::setFilter$
    {19, 692, 294},	// KFileFilterCombo::setMimeFilter?$
    {19, 754, 295},	// KFileFilterCombo::showsAllTypes
    {19, 774, 304},	// KFileFilterCombo::staticMetaObject
    {19, 790, 301},	// KFileFilterCombo::tr$
    {19, 791, 285},	// KFileFilterCombo::tr$$
    {19, 792, 287},	// KFileFilterCombo::tr$$$
    {19, 794, 302},	// KFileFilterCombo::trUtf8$
    {19, 795, 286},	// KFileFilterCombo::trUtf8$$
    {19, 796, 288},	// KFileFilterCombo::trUtf8$$$
    {19, 848, 305},	// KFileFilterCombo::~KFileFilterCombo
    {22, 18, 360},	// KFilePlacesModel::CapacityBarRecommendedRole
    {22, 51, 359},	// KFilePlacesModel::FixedDeviceRole
    {22, 56, 357},	// KFilePlacesModel::HiddenRole
    {22, 85, 347},	// KFilePlacesModel::KFilePlacesModel
    {22, 86, 313},	// KFilePlacesModel::KFilePlacesModel#
    {22, 193, 358},	// KFilePlacesModel::SetupNeededRole
    {22, 210, 356},	// KFilePlacesModel::UrlRole
    {22, 236, 348},	// KFilePlacesModel::addPlace$#
    {22, 237, 349},	// KFilePlacesModel::addPlace$#$
    {22, 238, 327},	// KFilePlacesModel::addPlace$#$$
    {22, 242, 321},	// KFilePlacesModel::bookmarkForIndex#
    {22, 259, 337},	// KFilePlacesModel::closestItem#
    {22, 260, 354},	// KFilePlacesModel::columnCount
    {22, 261, 336},	// KFilePlacesModel::columnCount#
    {22, 286, 332},	// KFilePlacesModel::data#$
    {22, 299, 320},	// KFilePlacesModel::deviceForIndex#
    {22, 322, 342},	// KFilePlacesModel::dropMimeData#$$$#
    {22, 327, 350},	// KFilePlacesModel::editPlace#$#
    {22, 328, 351},	// KFilePlacesModel::editPlace#$#$
    {22, 329, 328},	// KFilePlacesModel::editPlace#$#$$
    {22, 335, 323},	// KFilePlacesModel::ejectActionForIndex#
    {22, 340, 343},	// KFilePlacesModel::errorMessage$
    {22, 359, 339},	// KFilePlacesModel::flags#
    {22, 376, 331},	// KFilePlacesModel::hiddenCount
    {22, 392, 316},	// KFilePlacesModel::icon#
    {22, 395, 352},	// KFilePlacesModel::index$$
    {22, 396, 333},	// KFilePlacesModel::index$$#
    {22, 411, 319},	// KFilePlacesModel::isDevice#
    {22, 414, 318},	// KFilePlacesModel::isHidden#
    {22, 467, 306},	// KFilePlacesModel::metaObject
    {22, 470, 341},	// KFilePlacesModel::mimeData?
    {22, 472, 340},	// KFilePlacesModel::mimeTypes
    {22, 560, 334},	// KFilePlacesModel::parent#
    {22, 568, 312},	// KFilePlacesModel::qt_metacall$$?
    {22, 570, 307},	// KFilePlacesModel::qt_metacast$
    {22, 576, 329},	// KFilePlacesModel::removePlace#
    {22, 580, 325},	// KFilePlacesModel::requestEject#
    {22, 582, 326},	// KFilePlacesModel::requestSetup#
    {22, 584, 324},	// KFilePlacesModel::requestTeardown#
    {22, 593, 353},	// KFilePlacesModel::rowCount
    {22, 594, 335},	// KFilePlacesModel::rowCount#
    {22, 704, 330},	// KFilePlacesModel::setPlaceHidden#$
    {22, 744, 344},	// KFilePlacesModel::setupDone#$
    {22, 748, 315},	// KFilePlacesModel::setupNeeded#
    {22, 774, 355},	// KFilePlacesModel::staticMetaObject
    {22, 779, 338},	// KFilePlacesModel::supportedDropActions
    {22, 782, 322},	// KFilePlacesModel::teardownActionForIndex#
    {22, 784, 317},	// KFilePlacesModel::text#
    {22, 790, 345},	// KFilePlacesModel::tr$
    {22, 791, 308},	// KFilePlacesModel::tr$$
    {22, 792, 310},	// KFilePlacesModel::tr$$$
    {22, 794, 346},	// KFilePlacesModel::trUtf8$
    {22, 795, 309},	// KFilePlacesModel::trUtf8$$
    {22, 796, 311},	// KFilePlacesModel::trUtf8$$$
    {22, 815, 314},	// KFilePlacesModel::url#
    {22, 849, 361},	// KFilePlacesModel::~KFilePlacesModel
    {23, 87, 394},	// KFilePlacesView::KFilePlacesView
    {23, 88, 369},	// KFilePlacesView::KFilePlacesView#
    {23, 271, 379},	// KFilePlacesView::contextMenuEvent#
    {23, 288, 389},	// KFilePlacesView::dataChanged##
    {23, 312, 383},	// KFilePlacesView::dragEnterEvent#
    {23, 314, 384},	// KFilePlacesView::dragLeaveEvent#
    {23, 316, 385},	// KFilePlacesView::dragMoveEvent#
    {23, 320, 386},	// KFilePlacesView::dropEvent#
    {23, 378, 382},	// KFilePlacesView::hideEvent#
    {23, 403, 373},	// KFilePlacesView::isAutoResizeItemsEnabled
    {23, 412, 371},	// KFilePlacesView::isDropOnPlaceEnabled
    {23, 449, 378},	// KFilePlacesView::keyPressEvent#
    {23, 467, 362},	// KFilePlacesView::metaObject
    {23, 557, 387},	// KFilePlacesView::paintEvent#
    {23, 568, 368},	// KFilePlacesView::qt_metacall$$?
    {23, 570, 363},	// KFilePlacesView::qt_metacast$
    {23, 589, 380},	// KFilePlacesView::resizeEvent#
    {23, 597, 388},	// KFilePlacesView::rowsInserted#$$
    {23, 630, 372},	// KFilePlacesView::setAutoResizeItemsEnabled$
    {23, 664, 370},	// KFilePlacesView::setDropOnPlaceEnabled$
    {23, 696, 377},	// KFilePlacesView::setModel#
    {23, 719, 375},	// KFilePlacesView::setShowAll$
    {23, 732, 374},	// KFilePlacesView::setUrl#
    {23, 750, 381},	// KFilePlacesView::showEvent#
    {23, 755, 376},	// KFilePlacesView::sizeHint
    {23, 774, 395},	// KFilePlacesView::staticMetaObject
    {23, 790, 392},	// KFilePlacesView::tr$
    {23, 791, 364},	// KFilePlacesView::tr$$
    {23, 792, 366},	// KFilePlacesView::tr$$$
    {23, 794, 393},	// KFilePlacesView::trUtf8$
    {23, 795, 365},	// KFilePlacesView::trUtf8$$
    {23, 796, 367},	// KFilePlacesView::trUtf8$$$
    {23, 818, 390},	// KFilePlacesView::urlChanged#
    {23, 823, 391},	// KFilePlacesView::urlsDropped###
    {23, 850, 396},	// KFilePlacesView::~KFilePlacesView
    {24, 90, 404},	// KFilePreviewGenerator::KFilePreviewGenerator#
    {24, 91, 405},	// KFilePreviewGenerator::KFilePreviewGenerator##
    {24, 247, 410},	// KFilePreviewGenerator::cancelPreviews
    {24, 337, 412},	// KFilePreviewGenerator::enabledPlugins
    {24, 422, 407},	// KFilePreviewGenerator::isPreviewShown
    {24, 467, 397},	// KFilePreviewGenerator::metaObject
    {24, 568, 403},	// KFilePreviewGenerator::qt_metacall$$?
    {24, 570, 398},	// KFilePreviewGenerator::qt_metacast$
    {24, 670, 411},	// KFilePreviewGenerator::setEnabledPlugins?
    {24, 709, 406},	// KFilePreviewGenerator::setPreviewShown$
    {24, 774, 415},	// KFilePreviewGenerator::staticMetaObject
    {24, 790, 413},	// KFilePreviewGenerator::tr$
    {24, 791, 399},	// KFilePreviewGenerator::tr$$
    {24, 792, 401},	// KFilePreviewGenerator::tr$$$
    {24, 794, 414},	// KFilePreviewGenerator::trUtf8$
    {24, 795, 400},	// KFilePreviewGenerator::trUtf8$$
    {24, 796, 402},	// KFilePreviewGenerator::trUtf8$$$
    {24, 807, 409},	// KFilePreviewGenerator::updateIcons
    {24, 810, 408},	// KFilePreviewGenerator::updatePreviews
    {24, 851, 416},	// KFilePreviewGenerator::~KFilePreviewGenerator
    {25, 92, 439},	// KFileTreeView::KFileTreeView
    {25, 93, 424},	// KFileTreeView::KFileTreeView#
    {25, 232, 434},	// KFileTreeView::activated#
    {25, 271, 436},	// KFileTreeView::contextMenuEvent#
    {25, 276, 435},	// KFileTreeView::currentChanged#
    {25, 282, 425},	// KFileTreeView::currentUrl
    {25, 467, 417},	// KFileTreeView::metaObject
    {25, 568, 423},	// KFileTreeView::qt_metacall$$?
    {25, 570, 418},	// KFileTreeView::qt_metacast$
    {25, 592, 428},	// KFileTreeView::rootUrl
    {25, 620, 426},	// KFileTreeView::selectedUrl
    {25, 621, 427},	// KFileTreeView::selectedUrls
    {25, 648, 432},	// KFileTreeView::setCurrentUrl#
    {25, 662, 430},	// KFileTreeView::setDirOnlyMode$
    {25, 714, 433},	// KFileTreeView::setRootUrl#
    {25, 723, 431},	// KFileTreeView::setShowHiddenFiles$
    {25, 752, 429},	// KFileTreeView::showHiddenFiles
    {25, 774, 440},	// KFileTreeView::staticMetaObject
    {25, 790, 437},	// KFileTreeView::tr$
    {25, 791, 419},	// KFileTreeView::tr$$
    {25, 792, 421},	// KFileTreeView::tr$$$
    {25, 794, 438},	// KFileTreeView::trUtf8$
    {25, 795, 420},	// KFileTreeView::trUtf8$$
    {25, 796, 422},	// KFileTreeView::trUtf8$$$
    {25, 852, 441},	// KFileTreeView::~KFileTreeView
    {26, 95, 449},	// KFileWidget::KFileWidget##
    {26, 227, 484},	// KFileWidget::accept
    {26, 228, 495},	// KFileWidget::accepted
    {26, 229, 476},	// KFileWidget::actionCollection
    {26, 240, 452},	// KFileWidget::baseUrl
    {26, 246, 473},	// KFileWidget::cancelButton
    {26, 253, 466},	// KFileWidget::clearFilter
    {26, 277, 462},	// KFileWidget::currentFilter
    {26, 278, 463},	// KFileWidget::currentFilterMimeType
    {26, 281, 465},	// KFileWidget::currentMimeFilter
    {26, 307, 496},	// KFileWidget::dirOperator
    {26, 343, 488},	// KFileWidget::eventFilter##
    {26, 346, 491},	// KFileWidget::fileHighlighted#
    {26, 347, 492},	// KFileWidget::fileHighlighted$
    {26, 349, 489},	// KFileWidget::fileSelected#
    {26, 350, 490},	// KFileWidget::fileSelected$
    {26, 354, 494},	// KFileWidget::filterChanged$
    {26, 355, 475},	// KFileWidget::filterWidget
    {26, 366, 477},	// KFileWidget::getStartUrl#$
    {26, 367, 478},	// KFileWidget::getStartUrl#$$
    {26, 447, 460},	// KFileWidget::keepsLocation
    {26, 457, 474},	// KFileWidget::locationEdit
    {26, 467, 442},	// KFileWidget::metaObject
    {26, 477, 469},	// KFileWidget::mode
    {26, 488, 472},	// KFileWidget::okButton
    {26, 490, 458},	// KFileWidget::operationMode
    {26, 568, 448},	// KFileWidget::qt_metacall$$?
    {26, 570, 443},	// KFileWidget::qt_metacast$
    {26, 572, 497},	// KFileWidget::readConfig#
    {26, 589, 486},	// KFileWidget::resizeEvent#
    {26, 616, 453},	// KFileWidget::selectedFile
    {26, 617, 454},	// KFileWidget::selectedFiles
    {26, 620, 450},	// KFileWidget::selectedUrl
    {26, 621, 451},	// KFileWidget::selectedUrls
    {26, 622, 493},	// KFileWidget::selectionChanged
    {26, 652, 480},	// KFileWidget::setCustomWidget#
    {26, 653, 481},	// KFileWidget::setCustomWidget$#
    {26, 672, 461},	// KFileWidget::setFilter$
    {26, 686, 459},	// KFileWidget::setKeepLocation$
    {26, 689, 470},	// KFileWidget::setLocationLabel$
    {26, 691, 501},	// KFileWidget::setMimeFilter?
    {26, 692, 464},	// KFileWidget::setMimeFilter?$
    {26, 694, 468},	// KFileWidget::setMode$
    {26, 702, 457},	// KFileWidget::setOperationMode$
    {26, 711, 467},	// KFileWidget::setPreviewWidget#
    {26, 716, 456},	// KFileWidget::setSelection$
    {26, 730, 479},	// KFileWidget::setStartDir#
    {26, 732, 500},	// KFileWidget::setUrl#
    {26, 733, 455},	// KFileWidget::setUrl#$
    {26, 750, 487},	// KFileWidget::showEvent#
    {26, 759, 485},	// KFileWidget::slotCancel
    {26, 762, 483},	// KFileWidget::slotOk
    {26, 774, 502},	// KFileWidget::staticMetaObject
    {26, 788, 471},	// KFileWidget::toolBar
    {26, 790, 498},	// KFileWidget::tr$
    {26, 791, 444},	// KFileWidget::tr$$
    {26, 792, 446},	// KFileWidget::tr$$$
    {26, 794, 499},	// KFileWidget::trUtf8$
    {26, 795, 445},	// KFileWidget::trUtf8$$
    {26, 796, 447},	// KFileWidget::trUtf8$$$
    {26, 835, 482},	// KFileWidget::virtual_hook$$
    {26, 853, 503},	// KFileWidget::~KFileWidget
    {39, 115, 511},	// KUrlNavigator::KUrlNavigator###
    {39, 231, 541},	// KUrlNavigator::activated
    {39, 284, 535},	// KUrlNavigator::customProtocols
    {39, 331, 543},	// KUrlNavigator::editableStateChanged$
    {39, 332, 533},	// KUrlNavigator::editor
    {39, 343, 551},	// KUrlNavigator::eventFilter##
    {39, 368, 515},	// KUrlNavigator::goBack
    {39, 369, 516},	// KUrlNavigator::goForward
    {39, 370, 518},	// KUrlNavigator::goHome
    {39, 371, 517},	// KUrlNavigator::goUp
    {39, 382, 544},	// KUrlNavigator::historyChanged
    {39, 383, 529},	// KUrlNavigator::historyIndex
    {39, 384, 528},	// KUrlNavigator::historySize
    {39, 386, 530},	// KUrlNavigator::historyUrl$
    {39, 402, 525},	// KUrlNavigator::isActive
    {39, 417, 527},	// KUrlNavigator::isPlacesSelectorVisible
    {39, 445, 521},	// KUrlNavigator::isUrlEditable
    {39, 451, 548},	// KUrlNavigator::keyReleaseEvent#
    {39, 467, 504},	// KUrlNavigator::metaObject
    {39, 482, 549},	// KUrlNavigator::mouseReleaseEvent#
    {39, 568, 510},	// KUrlNavigator::qt_metacall$$?
    {39, 570, 505},	// KUrlNavigator::qt_metacast$
    {39, 578, 537},	// KUrlNavigator::requestActivation
    {39, 589, 550},	// KUrlNavigator::resizeEvent#
    {39, 590, 547},	// KUrlNavigator::returnPressed
    {39, 599, 539},	// KUrlNavigator::savePosition$$
    {39, 601, 538},	// KUrlNavigator::saveRootUrl#
    {39, 602, 532},	// KUrlNavigator::savedPosition
    {39, 603, 531},	// KUrlNavigator::savedRootUrl
    {39, 627, 524},	// KUrlNavigator::setActive$
    {39, 650, 534},	// KUrlNavigator::setCustomProtocols?
    {39, 673, 540},	// KUrlNavigator::setFocus
    {39, 677, 519},	// KUrlNavigator::setHomeUrl$
    {39, 706, 526},	// KUrlNavigator::setPlacesSelectorVisible$
    {39, 721, 522},	// KUrlNavigator::setShowFullPath$
    {39, 732, 536},	// KUrlNavigator::setUrl#
    {39, 735, 520},	// KUrlNavigator::setUrlEditable$
    {39, 751, 523},	// KUrlNavigator::showFullPath
    {39, 774, 554},	// KUrlNavigator::staticMetaObject
    {39, 790, 552},	// KUrlNavigator::tr$
    {39, 791, 506},	// KUrlNavigator::tr$$
    {39, 792, 508},	// KUrlNavigator::tr$$$
    {39, 794, 553},	// KUrlNavigator::trUtf8$
    {39, 795, 507},	// KUrlNavigator::trUtf8$$
    {39, 796, 509},	// KUrlNavigator::trUtf8$$$
    {39, 802, 513},	// KUrlNavigator::uncommittedUrl
    {39, 814, 512},	// KUrlNavigator::url
    {39, 816, 514},	// KUrlNavigator::url$
    {39, 818, 542},	// KUrlNavigator::urlChanged#
    {39, 822, 546},	// KUrlNavigator::urlsDropped##
    {39, 824, 545},	// KUrlNavigator::urlsDropped?#
    {39, 854, 555},	// KUrlNavigator::~KUrlNavigator
    {75, 57, 1110},	// QGlobalSpace::ITIMER_PROF
    {75, 58, 1108},	// QGlobalSpace::ITIMER_REAL
    {75, 59, 1109},	// QGlobalSpace::ITIMER_VIRTUAL
    {75, 96, 1140},	// QGlobalSpace::KST_CTimeInfo
    {75, 97, 1132},	// QGlobalSpace::KST_KCustom
    {75, 98, 1127},	// QGlobalSpace::KST_KDEDesktopMimeType
    {75, 99, 1126},	// QGlobalSpace::KST_KFolderMimeType
    {75, 100, 1137},	// QGlobalSpace::KST_KImageIO
    {75, 101, 1129},	// QGlobalSpace::KST_KImageIOFormat
    {75, 102, 1125},	// QGlobalSpace::KST_KMimeType
    {75, 103, 1139},	// QGlobalSpace::KST_KMimeTypeFactory
    {75, 104, 1130},	// QGlobalSpace::KST_KProtocolInfo
    {75, 105, 1138},	// QGlobalSpace::KST_KProtocolInfoFactory
    {75, 106, 1123},	// QGlobalSpace::KST_KService
    {75, 107, 1134},	// QGlobalSpace::KST_KServiceFactory
    {75, 108, 1128},	// QGlobalSpace::KST_KServiceGroup
    {75, 109, 1136},	// QGlobalSpace::KST_KServiceGroupFactory
    {75, 110, 1131},	// QGlobalSpace::KST_KServiceSeparator
    {75, 111, 1124},	// QGlobalSpace::KST_KServiceType
    {75, 112, 1135},	// QGlobalSpace::KST_KServiceTypeFactory
    {75, 113, 1122},	// QGlobalSpace::KST_KSycocaEntry
    {75, 117, 1145},	// QGlobalSpace::LicensedActiveQt
    {75, 118, 1133},	// QGlobalSpace::LicensedCore
    {75, 119, 1146},	// QGlobalSpace::LicensedDBus
    {75, 120, 1144},	// QGlobalSpace::LicensedDeclarative
    {75, 121, 1143},	// QGlobalSpace::LicensedGui
    {75, 122, 1156},	// QGlobalSpace::LicensedHelp
    {75, 123, 1155},	// QGlobalSpace::LicensedMultimedia
    {75, 124, 1120},	// QGlobalSpace::LicensedNetwork
    {75, 125, 1117},	// QGlobalSpace::LicensedOpenGL
    {75, 126, 1119},	// QGlobalSpace::LicensedOpenVG
    {75, 127, 1118},	// QGlobalSpace::LicensedQt3Support
    {75, 128, 1149},	// QGlobalSpace::LicensedQt3SupportLight
    {75, 129, 1154},	// QGlobalSpace::LicensedScript
    {75, 130, 1148},	// QGlobalSpace::LicensedScriptTools
    {75, 131, 1121},	// QGlobalSpace::LicensedSql
    {75, 132, 1141},	// QGlobalSpace::LicensedSvg
    {75, 133, 1147},	// QGlobalSpace::LicensedTest
    {75, 134, 1111},	// QGlobalSpace::LicensedXml
    {75, 135, 1142},	// QGlobalSpace::LicensedXmlPatterns
    {75, 177, 1114},	// QGlobalSpace::QtCriticalMsg
    {75, 178, 1112},	// QGlobalSpace::QtDebugMsg
    {75, 179, 1115},	// QGlobalSpace::QtFatalMsg
    {75, 180, 1116},	// QGlobalSpace::QtSystemMsg
    {75, 181, 1113},	// QGlobalSpace::QtWarningMsg
    {75, 218, 1103},	// QGlobalSpace::_IEEE_
    {75, 219, 1107},	// QGlobalSpace::_ISOC_
    {75, 220, 1106},	// QGlobalSpace::_POSIX_
    {75, 221, 1104},	// QGlobalSpace::_SVID_
    {75, 222, 1105},	// QGlobalSpace::_XOPEN_
    {75, 223, 1152},	// QGlobalSpace::__codecvt_error
    {75, 224, 1153},	// QGlobalSpace::__codecvt_noconv
    {75, 225, 1150},	// QGlobalSpace::__codecvt_ok
    {75, 226, 1151},	// QGlobalSpace::__codecvt_partial
    {75, 492, -1},	// QGlobalSpace::operator!=##
    {75, 493, -20},	// QGlobalSpace::operator!=#$
    {75, 494, -26},	// QGlobalSpace::operator!=$#
    {75, 495, 787},	// QGlobalSpace::operator!=$$
    {75, 497, 882},	// QGlobalSpace::operator&##
    {75, 499, -33},	// QGlobalSpace::operator*##
    {75, 500, -50},	// QGlobalSpace::operator*#$
    {75, 501, -56},	// QGlobalSpace::operator*$#
    {75, 503, -61},	// QGlobalSpace::operator+##
    {75, 504, -67},	// QGlobalSpace::operator+#$
    {75, 505, -73},	// QGlobalSpace::operator+$#
    {75, 506, -78},	// QGlobalSpace::operator+$$
    {75, 508, 685},	// QGlobalSpace::operator++$
    {75, 509, 877},	// QGlobalSpace::operator++$$
    {75, 511, -84},	// QGlobalSpace::operator-#
    {75, 512, -87},	// QGlobalSpace::operator-##
    {75, 513, 724},	// QGlobalSpace::operator-#$
    {75, 515, -92},	// QGlobalSpace::operator/#$
    {75, 517, -98},	// QGlobalSpace::operator<##
    {75, 518, 922},	// QGlobalSpace::operator<#$
    {75, 519, -105},	// QGlobalSpace::operator<$#
    {75, 520, 741},	// QGlobalSpace::operator<$$
    {75, 522, -108},	// QGlobalSpace::operator<<##
    {75, 523, -161},	// QGlobalSpace::operator<<#$
    {75, 524, -164},	// QGlobalSpace::operator<<#?
    {75, 526, -168},	// QGlobalSpace::operator<=##
    {75, 527, 770},	// QGlobalSpace::operator<=#$
    {75, 528, -173},	// QGlobalSpace::operator<=$#
    {75, 529, 938},	// QGlobalSpace::operator<=$$
    {75, 531, -176},	// QGlobalSpace::operator==##
    {75, 532, -197},	// QGlobalSpace::operator==#$
    {75, 533, -203},	// QGlobalSpace::operator==$#
    {75, 534, 1083},	// QGlobalSpace::operator==$$
    {75, 536, -210},	// QGlobalSpace::operator>##
    {75, 537, 1093},	// QGlobalSpace::operator>#$
    {75, 538, -215},	// QGlobalSpace::operator>$#
    {75, 539, 856},	// QGlobalSpace::operator>$$
    {75, 541, -218},	// QGlobalSpace::operator>=##
    {75, 542, 679},	// QGlobalSpace::operator>=#$
    {75, 543, -223},	// QGlobalSpace::operator>=$#
    {75, 544, 1088},	// QGlobalSpace::operator>=$$
    {75, 546, -226},	// QGlobalSpace::operator>>##
    {75, 547, -278},	// QGlobalSpace::operator>>#$
    {75, 548, 832},	// QGlobalSpace::operator>>#?
    {75, 550, 772},	// QGlobalSpace::operator^##
    {75, 552, 1006},	// QGlobalSpace::operator|##
    {75, 553, -281},	// QGlobalSpace::operator|?$
    {75, 554, -341},	// QGlobalSpace::operator|??
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();

static bool initialized = false;
Smoke *kfile_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kfile_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    if (initialized) return;
    kfile_Smoke = new Smoke(
        "kfile",
        __smokekfile::classes, 141,
        __smokekfile::methods, 1295,
        __smokekfile::methodMaps, 633,
        __smokekfile::methodNames, 854,
        __smokekfile::types, 490,
        __smokekfile::inheritanceList,
        __smokekfile::argumentList,
        __smokekfile::ambiguousMethodList,
        __smokekfile::cast );
    initialized = true;
}

void delete_kfile_Smoke() { delete kfile_Smoke; }

}
