#include <knewstuff3_includes.h>

#include <smoke.h>
#include <knewstuff3_smoke.h>

namespace __smokeknewstuff3 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KDialog
      switch(to) {
        case 29: return (void*)(QDialog*)(KDialog*)xptr;
        case 86: return (void*)(QWidget*)(KDialog*)xptr;
        case 55: return (void*)(QObject*)(KDialog*)xptr;
        case 5: return (void*)(KDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(KDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 6:   //KGuiItem
      switch(to) {
        case 6: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 7:   //KLocale
      switch(to) {
        case 7: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 8:   //KNS3::Button
      switch(to) {
        case 12: return (void*)(KPushButton*)(KNS3::Button*)xptr;
        case 65: return (void*)(QPushButton*)(KNS3::Button*)xptr;
        case 15: return (void*)(QAbstractButton*)(KNS3::Button*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::Button*)xptr;
        case 55: return (void*)(QObject*)(KNS3::Button*)xptr;
        case 8: return (void*)(KNS3::Button*)xptr;
        default: return xptr;
      }
    case 9:   //KNS3::DownloadDialog
      switch(to) {
        case 5: return (void*)(KDialog*)(KNS3::DownloadDialog*)xptr;
        case 29: return (void*)(QDialog*)(KNS3::DownloadDialog*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::DownloadDialog*)xptr;
        case 55: return (void*)(QObject*)(KNS3::DownloadDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)xptr;
        default: return xptr;
      }
    case 10:   //KNS3::Entry
      switch(to) {
        case 10: return (void*)(KNS3::Entry*)xptr;
        default: return xptr;
      }
    case 11:   //KNS3::UploadDialog
      switch(to) {
        case 5: return (void*)(KDialog*)(KNS3::UploadDialog*)xptr;
        case 29: return (void*)(QDialog*)(KNS3::UploadDialog*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::UploadDialog*)xptr;
        case 55: return (void*)(QObject*)(KNS3::UploadDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)xptr;
        default: return xptr;
      }
    case 12:   //KPushButton
      switch(to) {
        case 65: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 15: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 86: return (void*)(QWidget*)(KPushButton*)xptr;
        case 55: return (void*)(QObject*)(KPushButton*)xptr;
        case 12: return (void*)(KPushButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 13:   //KStandardDirs
      switch(to) {
        case 13: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 14:   //KUrl
      switch(to) {
        case 82: return (void*)(QUrl*)(KUrl*)xptr;
        case 14: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 15:   //QAbstractButton
      switch(to) {
        case 86: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 55: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 15: return (void*)(QAbstractButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 16:   //QActionEvent
      switch(to) {
        case 16: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QBool
      switch(to) {
        case 17: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 18:   //QBrush
      switch(to) {
        case 18: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 19:   //QByteArray
      switch(to) {
        case 19: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 20:   //QChar
      switch(to) {
        case 20: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 21:   //QChildEvent
      switch(to) {
        case 21: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QCloseEvent
      switch(to) {
        case 22: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QColor
      switch(to) {
        case 23: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 24:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QCursor
      switch(to) {
        case 25: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDialog
      switch(to) {
        case 86: return (void*)(QWidget*)(QDialog*)xptr;
        case 55: return (void*)(QObject*)(QDialog*)xptr;
        case 29: return (void*)(QDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 30:   //QDrag
      switch(to) {
        case 30: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 31:   //QDragEnterEvent
      switch(to) {
        case 31: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDragLeaveEvent
      switch(to) {
        case 32: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QDragMoveEvent
      switch(to) {
        case 33: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QDropEvent
      switch(to) {
        case 34: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QEvent
      switch(to) {
        case 35: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QFocusEvent
      switch(to) {
        case 36: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QFont
      switch(to) {
        case 37: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 39:   //QHashDummyValue
      switch(to) {
        case 39: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 40:   //QHideEvent
      switch(to) {
        case 40: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QIcon
      switch(to) {
        case 41: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 42:   //QImage
      switch(to) {
        case 42: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 43:   //QIncompatibleFlag
      switch(to) {
        case 43: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 44:   //QInputMethodEvent
      switch(to) {
        case 44: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeyEvent
      switch(to) {
        case 45: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QKeySequence
      switch(to) {
        case 46: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 47:   //QLatin1String
      switch(to) {
        case 47: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 48:   //QLine
      switch(to) {
        case 48: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 49:   //QLineF
      switch(to) {
        case 49: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMetaObject
      switch(to) {
        case 52: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 53:   //QMouseEvent
      switch(to) {
        case 53: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QMoveEvent
      switch(to) {
        case 54: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QObject
      switch(to) {
        case 55: return (void*)(QObject*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QObject*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QObject*)xptr;
        case 8: return (void*)(KNS3::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 56:   //QPaintEngine
      switch(to) {
        case 56: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 57:   //QPaintEvent
      switch(to) {
        case 57: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QPainterPath
      switch(to) {
        case 58: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 59:   //QPalette
      switch(to) {
        case 59: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 60:   //QPixmap
      switch(to) {
        case 60: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 61:   //QPoint
      switch(to) {
        case 61: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 62:   //QPointF
      switch(to) {
        case 62: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 63:   //QPolygon
      switch(to) {
        case 63: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 64:   //QPolygonF
      switch(to) {
        case 64: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 65:   //QPushButton
      switch(to) {
        case 15: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 86: return (void*)(QWidget*)(QPushButton*)xptr;
        case 55: return (void*)(QObject*)(QPushButton*)xptr;
        case 65: return (void*)(QPushButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 66:   //QRect
      switch(to) {
        case 66: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 67:   //QRectF
      switch(to) {
        case 67: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 68:   //QRegExp
      switch(to) {
        case 68: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 69:   //QRegion
      switch(to) {
        case 69: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 70:   //QResizeEvent
      switch(to) {
        case 70: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QShowEvent
      switch(to) {
        case 71: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QSize
      switch(to) {
        case 72: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 73:   //QSizeF
      switch(to) {
        case 73: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 74:   //QSizePolicy
      switch(to) {
        case 74: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 75:   //QString::Null
      switch(to) {
        case 75: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 76:   //QStringRef
      switch(to) {
        case 76: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 77:   //QStyle
      switch(to) {
        case 77: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 78:   //QTabletEvent
      switch(to) {
        case 78: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTime
      switch(to) {
        case 79: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 80:   //QTimerEvent
      switch(to) {
        case 80: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QTransform
      switch(to) {
        case 81: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 82:   //QUrl
      switch(to) {
        case 82: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 83:   //QVariant
      switch(to) {
        case 83: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 84:   //QVariantComparisonHelper
      switch(to) {
        case 84: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 85:   //QWheelEvent
      switch(to) {
        case 85: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QWidget
      switch(to) {
        case 55: return (void*)(QObject*)(QWidget*)xptr;
        case 86: return (void*)(QWidget*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QWidget*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QWidget*)xptr;
        case 8: return (void*)(KNS3::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: KPushButton
    5, 0,	// 3: KDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS3__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS3__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__DownloadDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__Entry(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__UploadDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KDialog", true, 0, 0, 0, 0, 0 },	//5
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//6
    { "KLocale", true, 0, 0, 0, 0, 0 },	//7
    { "KNS3::Button", false, 1, xcall_KNS3__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::Button) },	//8
    { "KNS3::DownloadDialog", false, 3, xcall_KNS3__DownloadDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::DownloadDialog) },	//9
    { "KNS3::Entry", false, 0, xcall_KNS3__Entry, xenum_KNS3__Entry, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS3::Entry) },	//10
    { "KNS3::UploadDialog", false, 3, xcall_KNS3__UploadDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::UploadDialog) },	//11
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//12
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//13
    { "KUrl", true, 0, 0, 0, 0, 0 },	//14
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//15
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QBool", true, 0, 0, 0, 0, 0 },	//17
    { "QBrush", true, 0, 0, 0, 0, 0 },	//18
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//19
    { "QChar", true, 0, 0, 0, 0, 0 },	//20
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QColor", true, 0, 0, 0, 0, 0 },	//23
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QCursor", true, 0, 0, 0, 0, 0 },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDialog", true, 0, 0, 0, 0, 0 },	//29
    { "QDrag", true, 0, 0, 0, 0, 0 },	//30
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QFont", true, 0, 0, 0, 0, 0 },	//37
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//38
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//39
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QIcon", true, 0, 0, 0, 0, 0 },	//41
    { "QImage", true, 0, 0, 0, 0, 0 },	//42
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//43
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//46
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//47
    { "QLine", true, 0, 0, 0, 0, 0 },	//48
    { "QLineF", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//52
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QObject", true, 0, 0, 0, 0, 0 },	//55
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//56
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//58
    { "QPalette", true, 0, 0, 0, 0, 0 },	//59
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//60
    { "QPoint", true, 0, 0, 0, 0, 0 },	//61
    { "QPointF", true, 0, 0, 0, 0, 0 },	//62
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//63
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//64
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//65
    { "QRect", true, 0, 0, 0, 0, 0 },	//66
    { "QRectF", true, 0, 0, 0, 0, 0 },	//67
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//68
    { "QRegion", true, 0, 0, 0, 0, 0 },	//69
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QSize", true, 0, 0, 0, 0, 0 },	//72
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//73
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//74
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//75
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//76
    { "QStyle", true, 0, 0, 0, 0, 0 },	//77
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTime", true, 0, 0, 0, 0, 0 },	//79
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QTransform", true, 0, 0, 0, 0, 0 },	//81
    { "QUrl", true, 0, 0, 0, 0, 0 },	//82
    { "QVariant", true, 0, 0, 0, 0, 0 },	//83
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//84
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QWidget", true, 0, 0, 0, 0, 0 },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "KConfigBase::WriteConfigFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KDialog::ButtonCodes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "KDialog::CaptionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KGuiItem", 6, Smoke::t_class|Smoke::tf_stack },	//9
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//11
    { "KLocale*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KNS3::Button*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KNS3::DownloadDialog*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KNS3::Entry&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "KNS3::Entry*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KNS3::Entry::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KNS3::UploadDialog*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KStandardDirs*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KUrl::CleanPathOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "KUrl::DirectoryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "KUrl::EncodedPathAndQueryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "KUrl::EqualsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "KUrl::QueryItemsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QActionEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QBool", 17, Smoke::t_class|Smoke::tf_stack },	//29
    { "QBrush&", 18, Smoke::t_class|Smoke::tf_ref },	//30
    { "QByteArray&", 19, Smoke::t_class|Smoke::tf_ref },	//31
    { "QChar", 20, Smoke::t_class|Smoke::tf_stack },	//32
    { "QChar&", 20, Smoke::t_class|Smoke::tf_ref },	//33
    { "QChildEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QCloseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QColor&", 23, Smoke::t_class|Smoke::tf_ref },	//36
    { "QContextMenuEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QCursor&", 25, Smoke::t_class|Smoke::tf_ref },	//38
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//40
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDrag*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDragEnterEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragLeaveEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDragMoveEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QDropEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QFlags<KConfigBase::WriteConfigFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFlags<KDialog::ButtonCodes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<KDialog::CaptionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QFlags<KUrl::CleanPathOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QFlags<KUrl::DirectoryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QFlags<KUrl::EqualsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QFlags<KUrl::QueryItemsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QFlags<QSizePolicy::ControlTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QFlags<QWidget::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QFocusEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QFont&", 37, Smoke::t_class|Smoke::tf_ref },	//78
    { "QHideEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QIcon&", 41, Smoke::t_class|Smoke::tf_ref },	//81
    { "QImage&", 42, Smoke::t_class|Smoke::tf_ref },	//82
    { "QIncompatibleFlag", 43, Smoke::t_class|Smoke::tf_stack },	//83
    { "QInputMethodEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QKeyEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeySequence&", 46, Smoke::t_class|Smoke::tf_ref },	//86
    { "QLine", 48, Smoke::t_class|Smoke::tf_stack },	//87
    { "QLine&", 48, Smoke::t_class|Smoke::tf_ref },	//88
    { "QLineF", 49, Smoke::t_class|Smoke::tf_stack },	//89
    { "QLineF&", 49, Smoke::t_class|Smoke::tf_ref },	//90
    { "QList<KNS3::Entry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//92
    { "QMetaObject::Call", 52, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QMouseEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QMoveEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QObject*", 55, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QPaintEngine*", 56, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QPaintEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QPainterPath", 58, Smoke::t_class|Smoke::tf_stack },	//100
    { "QPainterPath&", 58, Smoke::t_class|Smoke::tf_ref },	//101
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QPalette&", 59, Smoke::t_class|Smoke::tf_ref },	//103
    { "QPixmap&", 60, Smoke::t_class|Smoke::tf_ref },	//104
    { "QPoint", 61, Smoke::t_class|Smoke::tf_stack },	//105
    { "QPoint&", 61, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPointF", 62, Smoke::t_class|Smoke::tf_stack },	//107
    { "QPointF&", 62, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPolygon", 63, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPolygon&", 63, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPolygonF", 64, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPolygonF&", 64, Smoke::t_class|Smoke::tf_ref },	//112
    { "QRect&", 66, Smoke::t_class|Smoke::tf_ref },	//113
    { "QRectF&", 67, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRegExp&", 68, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRegion", 69, Smoke::t_class|Smoke::tf_stack },	//116
    { "QRegion&", 69, Smoke::t_class|Smoke::tf_ref },	//117
    { "QResizeEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QShowEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QSize", 72, Smoke::t_class|Smoke::tf_stack },	//120
    { "QSize&", 72, Smoke::t_class|Smoke::tf_ref },	//121
    { "QSizeF&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QSizePolicy&", 74, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSizePolicy::ControlTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//126
    { "QString::Null", 75, Smoke::t_class|Smoke::tf_stack },	//127
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//130
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//131
    { "QStyle&", 77, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTabletEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QTime&", 79, Smoke::t_class|Smoke::tf_ref },	//134
    { "QTimerEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QTransform", 81, Smoke::t_class|Smoke::tf_stack },	//136
    { "QTransform&", 81, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl&", 82, Smoke::t_class|Smoke::tf_ref },	//138
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QVariant", 83, Smoke::t_class|Smoke::tf_stack },	//140
    { "QVariant&", 83, Smoke::t_class|Smoke::tf_ref },	//141
    { "QVariant::Type&", 83, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QWheelEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QWidget*", 86, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QWidget::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//145
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//146
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//188
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//199
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//202
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//220
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//227
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 38, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForActiveQtModule", 38, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForCoreModule", 38, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForDBusModule", 38, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForDeclarativeModule", 38, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForGuiModule", 38, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForHelpModule", 38, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForMultimediaModule", 38, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForNetworkModule", 38, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForOpenGLModule", 38, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForOpenVGModule", 38, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForQt3SupportLightModule", 38, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForQt3SupportModule", 38, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForScriptModule", 38, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForScriptToolsModule", 38, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForSqlModule", 38, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForSvgModule", 38, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForTestModule", 38, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForXmlModule", 38, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForXmlPatternsModule", 38, Smoke::t_enum|Smoke::tf_stack },	//252
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//253
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//254
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//255
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const KNS3::Entry&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const KUrl&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QBrush&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QByteArray", 19, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//260
    { "const QByteArray&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QChar&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QColor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QCursor&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QFont&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QHashDummyValue&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QIcon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QImage&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QKeySequence&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QLatin1String&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QLine&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QLineF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QList<KNS3::Entry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QMetaObject&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QMetaObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const QObject*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const QPainterPath&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QPalette&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QPixmap&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QPoint", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QPoint&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QPointF", 62, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QPointF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QPolygon&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QPolygonF&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QRect&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QRectF&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QRegExp&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QRegion&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QSize", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QSize&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QSizeF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QSizeF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QSizePolicy&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//299
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//302
    { "const QStringRef&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QTime&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QTransform&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QUrl&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QVariant&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QVariant::Type", 83, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//308
    { "const QVariantComparisonHelper&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//310
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//312
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//313
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//314
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//315
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//316
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//318
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    300, 0,	//1  const QString&
    300, 254, 0,	//3  const QString&, bool
    79, 0,	//6  QHideEvent*
    35, 0,	//8  QCloseEvent*
    85, 0,	//10  QKeyEvent*
    313, 0,	//12  int
    310, 0,	//14  const char*
    310, 310, 0,	//16  const char*, const char*
    310, 310, 313, 0,	//19  const char*, const char*, int
    93, 313, 317, 0,	//23  QMetaObject::Call, int, void**
    300, 300, 144, 0,	//27  const QString&, const QString&, QWidget*
    144, 0,	//31  QWidget*
    275, 0,	//33  const QList<KNS3::Entry>&
    300, 144, 0,	//35  const QString&, QWidget*
    257, 0,	//38  const KNS3::Entry&
    258, 0,	//40  const KUrl&
    94, 0,	//42  QMouseEvent*
    99, 0,	//44  QPaintEvent*
    285, 0,	//46  const QPoint&
    47, 0,	//48  QEvent*
    135, 0,	//50  QTimerEvent*
    254, 0,	//52  bool
    119, 0,	//54  QShowEvent*
    118, 0,	//56  QResizeEvent*
    37, 0,	//58  QContextMenuEvent*
    96, 47, 0,	//60  QObject*, QEvent*
    285, 312, 0,	//63  const QPoint&, double
    312, 287, 0,	//66  double, const QPointF&
    276, 276, 0,	//69  const QMargins&, const QMargins&
    312, 297, 0,	//72  double, const QSizeF&
    39, 82, 0,	//75  QDataStream&, QImage&
    39, 298, 0,	//78  QDataStream&, const QSizePolicy&
    220, 220, 0,	//81  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    290, 290, 0,	//84  const QRect&, const QRect&
    295, 295, 0,	//87  const QSize&, const QSize&
    39, 305, 0,	//90  QDataStream&, const QTransform&
    287, 277, 0,	//93  const QPointF&, const QMatrix&
    273, 305, 0,	//96  const QLine&, const QTransform&
    170, 63, 0,	//99  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    128, 313, 0,	//102  QString::SectionFlags::enum_type, int
    139, 313, 0,	//105  QUrl::FormattingOptions::enum_type, int
    297, 312, 0,	//108  const QSizeF&, double
    39, 273, 0,	//111  QDataStream&, const QLine&
    310, 272, 0,	//114  const char*, const QLatin1String&
    297, 297, 0,	//117  const QSizeF&, const QSizeF&
    261, 261, 0,	//120  const QByteArray&, const QByteArray&
    272, 303, 0,	//123  const QLatin1String&, const QStringRef&
    307, 309, 0,	//126  const QVariant&, const QVariantComparisonHelper&
    29, 29, 0,	//129  QBool, QBool
    127, 127, 0,	//132  QString::Null, QString::Null
    6, 49, 0,	//135  KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>
    39, 291, 0,	//138  QDataStream&, const QRectF&
    32, 300, 0,	//141  QChar, const QString&
    39, 282, 0,	//144  QDataStream&, const QPalette&
    11, 0,	//147  KIconLoader::Group&
    39, 261, 0,	//149  QDataStream&, const QByteArray&
    124, 313, 0,	//152  QSizePolicy::ControlTypes::enum_type, int
    227, 313, 0,	//155  Qt::WindowFlags::enum_type, int
    289, 305, 0,	//158  const QPolygonF&, const QTransform&
    181, 181, 0,	//161  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    5, 48, 0,	//164  KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>
    39, 301, 0,	//167  QDataStream&, const QStringList&
    27, 55, 0,	//170  KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>
    39, 36, 0,	//173  QDataStream&, QColor&
    192, 192, 0,	//176  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    39, 292, 0,	//179  QDataStream&, const QRegExp&
    261, 310, 0,	//182  const QByteArray&, const char*
    27, 313, 0,	//185  KUrl::QueryItemsOptions::enum_type, int
    223, 223, 0,	//188  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    6, 6, 0,	//191  KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type
    273, 277, 0,	//194  const QLine&, const QMatrix&
    274, 277, 0,	//197  const QLineF&, const QMatrix&
    281, 277, 0,	//200  const QPainterPath&, const QMatrix&
    39, 108, 0,	//203  QDataStream&, QPointF&
    39, 271, 0,	//206  QDataStream&, const QKeySequence&
    300, 310, 0,	//209  const QString&, const char*
    39, 264, 0,	//212  QDataStream&, const QCursor&
    196, 196, 0,	//215  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    39, 40, 0,	//218  QDataStream&, QDate&
    202, 202, 0,	//221  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    255, 261, 0,	//224  char, const QByteArray&
    181, 65, 0,	//227  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    310, 300, 0,	//230  const char*, const QString&
    310, 261, 0,	//233  const char*, const QByteArray&
    176, 313, 0,	//236  Qt::GestureFlags::enum_type, int
    39, 31, 0,	//239  QDataStream&, QByteArray&
    39, 141, 0,	//242  QDataStream&, QVariant&
    39, 115, 0,	//245  QDataStream&, QRegExp&
    287, 287, 0,	//248  const QPointF&, const QPointF&
    305, 312, 0,	//251  const QTransform&, double
    215, 313, 0,	//254  Qt::TextInteractionFlags::enum_type, int
    188, 188, 0,	//257  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    303, 303, 0,	//260  const QStringRef&, const QStringRef&
    196, 69, 0,	//263  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    32, 32, 0,	//266  QChar, QChar
    281, 305, 0,	//269  const QPainterPath&, const QTransform&
    39, 259, 0,	//272  QDataStream&, const QBrush&
    139, 59, 0,	//275  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    145, 313, 0,	//278  QWidget::RenderFlags::enum_type, int
    39, 117, 0,	//281  QDataStream&, QRegion&
    202, 313, 0,	//284  Qt::Orientations::enum_type, int
    287, 312, 0,	//287  const QPointF&, double
    184, 313, 0,	//290  Qt::InputMethodHints::enum_type, int
    23, 51, 0,	//293  KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>
    39, 265, 0,	//296  QDataStream&, const QDate&
    26, 313, 0,	//299  KUrl::EqualsOptions::enum_type, int
    215, 215, 0,	//302  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    39, 38, 0,	//305  QDataStream&, QCursor&
    199, 199, 0,	//308  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    39, 137, 0,	//311  QDataStream&, QTransform&
    288, 277, 0,	//314  const QPolygon&, const QMatrix&
    24, 52, 0,	//317  KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>
    300, 127, 0,	//320  const QString&, QString::Null
    39, 122, 0,	//323  QDataStream&, QSizeF&
    287, 0,	//326  const QPointF&
    39, 283, 0,	//328  QDataStream&, const QPixmap&
    261, 300, 0,	//331  const QByteArray&, const QString&
    287, 305, 0,	//334  const QPointF&, const QTransform&
    300, 255, 0,	//337  const QString&, char
    80, 80, 0,	//340  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    39, 306, 0,	//343  QDataStream&, const QUrl&
    196, 313, 0,	//346  Qt::MatchFlags::enum_type, int
    223, 313, 0,	//349  Qt::TouchPointStates::enum_type, int
    39, 307, 0,	//352  QDataStream&, const QVariant&
    39, 88, 0,	//355  QDataStream&, QLine&
    23, 23, 0,	//358  KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type
    7, 7, 0,	//361  KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type
    6, 313, 0,	//364  KDialog::ButtonCodes::enum_type, int
    285, 277, 0,	//367  const QPoint&, const QMatrix&
    285, 285, 0,	//370  const QPoint&, const QPoint&
    303, 300, 0,	//373  const QStringRef&, const QString&
    272, 272, 0,	//376  const QLatin1String&, const QLatin1String&
    7, 50, 0,	//379  KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>
    268, 268, 0,	//382  const QHashDummyValue&, const QHashDummyValue&
    39, 81, 0,	//385  QDataStream&, QIcon&
    23, 313, 0,	//388  KUrl::CleanPathOptions::enum_type, int
    39, 288, 0,	//391  QDataStream&, const QPolygon&
    303, 310, 0,	//394  const QStringRef&, const char*
    181, 313, 0,	//397  Qt::ImageConversionFlags::enum_type, int
    26, 54, 0,	//400  KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>
    39, 274, 0,	//403  QDataStream&, const QLineF&
    80, 56, 0,	//406  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    146, 313, 0,	//409  Qt::Alignment::enum_type, int
    170, 170, 0,	//412  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    128, 58, 0,	//415  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    39, 30, 0,	//418  QDataStream&, QBrush&
    39, 287, 0,	//421  QDataStream&, const QPointF&
    227, 227, 0,	//424  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    300, 300, 0,	//427  const QString&, const QString&
    300, 303, 0,	//430  const QString&, const QStringRef&
    25, 53, 0,	//433  KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>
    215, 72, 0,	//436  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    227, 75, 0,	//439  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    80, 313, 0,	//442  QIODevice::OpenMode::enum_type, int
    39, 123, 0,	//445  QDataStream&, QSizePolicy&
    220, 73, 0,	//448  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    170, 313, 0,	//451  Qt::DropActions::enum_type, int
    310, 303, 0,	//454  const char*, const QStringRef&
    39, 92, 0,	//457  QDataStream&, QMatrix&
    39, 121, 0,	//460  QDataStream&, QSize&
    39, 142, 0,	//463  QDataStream&, QVariant::Type&
    274, 305, 0,	//466  const QLineF&, const QTransform&
    303, 272, 0,	//469  const QStringRef&, const QLatin1String&
    176, 176, 0,	//472  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    39, 289, 0,	//475  QDataStream&, const QPolygonF&
    39, 297, 0,	//478  QDataStream&, const QSizeF&
    184, 66, 0,	//481  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    39, 267, 0,	//484  QDataStream&, const QFont&
    39, 277, 0,	//487  QDataStream&, const QMatrix&
    168, 168, 0,	//490  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    255, 300, 0,	//493  char, const QString&
    168, 313, 0,	//496  Qt::DockWidgetAreas::enum_type, int
    39, 112, 0,	//499  QDataStream&, QPolygonF&
    39, 103, 0,	//502  QDataStream&, QPalette&
    39, 281, 0,	//505  QDataStream&, const QPainterPath&
    291, 291, 0,	//508  const QRectF&, const QRectF&
    25, 25, 0,	//511  KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type
    312, 295, 0,	//514  double, const QSize&
    312, 285, 0,	//517  double, const QPoint&
    39, 285, 0,	//520  QDataStream&, const QPoint&
    39, 270, 0,	//523  QDataStream&, const QImage&
    24, 24, 0,	//526  KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type
    261, 255, 0,	//529  const QByteArray&, char
    5, 313, 0,	//532  KConfigBase::WriteConfigFlags::enum_type, int
    231, 76, 0,	//535  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    231, 231, 0,	//538  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    26, 26, 0,	//541  KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type
    124, 124, 0,	//544  QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type
    124, 57, 0,	//547  QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>
    192, 68, 0,	//550  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    39, 78, 0,	//553  QDataStream&, QFont&
    39, 295, 0,	//556  QDataStream&, const QSize&
    39, 114, 0,	//559  QDataStream&, QRectF&
    223, 74, 0,	//562  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    39, 262, 0,	//565  QDataStream&, const QChar&
    254, 29, 0,	//568  bool, QBool
    288, 305, 0,	//571  const QPolygon&, const QTransform&
    29, 254, 0,	//574  QBool, bool
    39, 130, 0,	//577  QDataStream&, QStringList&
    39, 290, 0,	//580  QDataStream&, const QRect&
    7, 313, 0,	//583  KDialog::CaptionFlags::enum_type, int
    39, 293, 0,	//586  QDataStream&, const QRegion&
    192, 313, 0,	//589  Qt::KeyboardModifiers::enum_type, int
    24, 313, 0,	//592  KUrl::DirectoryOptions::enum_type, int
    39, 263, 0,	//595  QDataStream&, const QColor&
    295, 312, 0,	//598  const QSize&, double
    127, 300, 0,	//601  QString::Null, const QString&
    220, 313, 0,	//604  Qt::ToolBarAreas::enum_type, int
    39, 106, 0,	//607  QDataStream&, QPoint&
    39, 41, 0,	//610  QDataStream&, QDateTime&
    188, 313, 0,	//613  Qt::ItemFlags::enum_type, int
    39, 304, 0,	//616  QDataStream&, const QTime&
    39, 86, 0,	//619  QDataStream&, QKeySequence&
    231, 313, 0,	//622  Qt::WindowStates::enum_type, int
    27, 27, 0,	//625  KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type
    293, 305, 0,	//628  const QRegion&, const QTransform&
    139, 139, 0,	//631  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    289, 277, 0,	//634  const QPolygonF&, const QMatrix&
    39, 110, 0,	//637  QDataStream&, QPolygon&
    202, 71, 0,	//640  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    39, 126, 0,	//643  QDataStream&, QString&
    39, 300, 0,	//646  QDataStream&, const QString&
    5, 5, 0,	//649  KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type
    188, 67, 0,	//652  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    39, 33, 0,	//655  QDataStream&, QChar&
    145, 60, 0,	//658  QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>
    39, 104, 0,	//661  QDataStream&, QPixmap&
    300, 261, 0,	//664  const QString&, const QByteArray&
    25, 313, 0,	//667  KUrl::EncodedPathAndQueryOptions::enum_type, int
    39, 113, 0,	//670  QDataStream&, QRect&
    39, 269, 0,	//673  QDataStream&, const QIcon&
    39, 308, 0,	//676  QDataStream&, const QVariant::Type
    39, 90, 0,	//679  QDataStream&, QLineF&
    39, 101, 0,	//682  QDataStream&, QPainterPath&
    146, 61, 0,	//685  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    285, 305, 0,	//688  const QPoint&, const QTransform&
    39, 266, 0,	//691  QDataStream&, const QDateTime&
    145, 145, 0,	//694  QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type
    199, 313, 0,	//697  Qt::MouseButtons::enum_type, int
    39, 134, 0,	//700  QDataStream&, QTime&
    168, 62, 0,	//703  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    184, 184, 0,	//706  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    293, 277, 0,	//709  const QRegion&, const QMatrix&
    176, 64, 0,	//712  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    128, 128, 0,	//715  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    39, 138, 0,	//718  QDataStream&, QUrl&
    300, 32, 0,	//721  const QString&, QChar
    146, 146, 0,	//724  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    199, 70, 0,	//727  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    11, 313, 0,	//730  KIconLoader::Group&, int
    34, 0,	//733  QChildEvent*
    77, 0,	//735  QFocusEvent*
    143, 0,	//737  QWheelEvent*
    95, 0,	//739  QMoveEvent*
    133, 0,	//741  QTabletEvent*
    28, 0,	//743  QActionEvent*
    43, 0,	//745  QDragEnterEvent*
    45, 0,	//747  QDragMoveEvent*
    44, 0,	//749  QDragLeaveEvent*
    46, 0,	//751  QDropEvent*
    253, 0,	//753  _XEvent*
    97, 0,	//755  QPaintDevice::PaintDeviceMetric
    84, 0,	//757  QInputMethodEvent*
    185, 0,	//759  Qt::InputMethodQuery
    132, 0,	//761  QStyle&
    282, 0,	//763  const QPalette&
    267, 0,	//765  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Button",	//4
    "Button#",	//5
    "Button$$#",	//6
    "Cancel",	//7
    "Close",	//8
    "Default",	//9
    "DelayedPopup",	//10
    "Deleted",	//11
    "Details",	//12
    "DownloadDialog",	//13
    "DownloadDialog#",	//14
    "DownloadDialog$",	//15
    "DownloadDialog$#",	//16
    "Downloadable",	//17
    "DrawChildren",	//18
    "DrawWindowBackground",	//19
    "Entry",	//20
    "Entry#",	//21
    "HIGCompliantCaption",	//22
    "Help",	//23
    "IgnoreMask",	//24
    "Installed",	//25
    "InstantPopup",	//26
    "Invalid",	//27
    "LicensedActiveQt",	//28
    "LicensedCore",	//29
    "LicensedDBus",	//30
    "LicensedDeclarative",	//31
    "LicensedGui",	//32
    "LicensedHelp",	//33
    "LicensedMultimedia",	//34
    "LicensedNetwork",	//35
    "LicensedOpenGL",	//36
    "LicensedOpenVG",	//37
    "LicensedQt3Support",	//38
    "LicensedQt3SupportLight",	//39
    "LicensedScript",	//40
    "LicensedScriptTools",	//41
    "LicensedSql",	//42
    "LicensedSvg",	//43
    "LicensedTest",	//44
    "LicensedXml",	//45
    "LicensedXmlPatterns",	//46
    "ModifiedCaption",	//47
    "No",	//48
    "NoCaptionFlags",	//49
    "NoDefault",	//50
    "None",	//51
    "Ok",	//52
    "Q_COMPLEX_TYPE",	//53
    "Q_DUMMY_TYPE",	//54
    "Q_MOVABLE_TYPE",	//55
    "Q_PRIMITIVE_TYPE",	//56
    "Q_STATIC_TYPE",	//57
    "QtCriticalMsg",	//58
    "QtDebugMsg",	//59
    "QtFatalMsg",	//60
    "QtSystemMsg",	//61
    "QtWarningMsg",	//62
    "Rejected",	//63
    "Reset",	//64
    "Try",	//65
    "Updateable",	//66
    "UploadDialog",	//67
    "UploadDialog#",	//68
    "UploadDialog$",	//69
    "UploadDialog$#",	//70
    "User1",	//71
    "User2",	//72
    "User3",	//73
    "Yes",	//74
    "aboutToShowDialog",	//75
    "accept",	//76
    "actionEvent",	//77
    "category",	//78
    "changeEvent",	//79
    "changedEntries",	//80
    "checkStateSet",	//81
    "childEvent",	//82
    "closeEvent",	//83
    "connectNotify",	//84
    "contextMenuEvent",	//85
    "customEvent",	//86
    "devType",	//87
    "dialogFinished",	//88
    "dialogFinished?",	//89
    "disconnectNotify",	//90
    "done",	//91
    "dragEnterEvent",	//92
    "dragLeaveEvent",	//93
    "dragMoveEvent",	//94
    "dragObject",	//95
    "dropEvent",	//96
    "enabledChange",	//97
    "enterEvent",	//98
    "event",	//99
    "eventFilter",	//100
    "focusInEvent",	//101
    "focusNextPrevChild",	//102
    "focusOutEvent",	//103
    "fontChange",	//104
    "heightForWidth",	//105
    "hideEvent",	//106
    "hitButton",	//107
    "inputMethodEvent",	//108
    "inputMethodQuery",	//109
    "installedEntries",	//110
    "installedFiles",	//111
    "keyPressEvent",	//112
    "keyReleaseEvent",	//113
    "languageChange",	//114
    "leaveEvent",	//115
    "license",	//116
    "metaObject",	//117
    "metric",	//118
    "minimumSizeHint",	//119
    "mouseDoubleClickEvent",	//120
    "mouseMoveEvent",	//121
    "mousePressEvent",	//122
    "mouseReleaseEvent",	//123
    "moveEvent",	//124
    "name",	//125
    "nextCheckState",	//126
    "operator!=",	//127
    "operator!=##",	//128
    "operator!=#$",	//129
    "operator!=$#",	//130
    "operator!=$$",	//131
    "operator*",	//132
    "operator*##",	//133
    "operator*#$",	//134
    "operator*$#",	//135
    "operator+",	//136
    "operator+##",	//137
    "operator+#$",	//138
    "operator+$#",	//139
    "operator+$$",	//140
    "operator++",	//141
    "operator++$",	//142
    "operator++$$",	//143
    "operator-",	//144
    "operator-#",	//145
    "operator-##",	//146
    "operator-#$",	//147
    "operator/",	//148
    "operator/#$",	//149
    "operator<",	//150
    "operator<##",	//151
    "operator<#$",	//152
    "operator<$#",	//153
    "operator<$$",	//154
    "operator<<",	//155
    "operator<<##",	//156
    "operator<<#$",	//157
    "operator<<#?",	//158
    "operator<=",	//159
    "operator<=##",	//160
    "operator<=#$",	//161
    "operator<=$#",	//162
    "operator<=$$",	//163
    "operator=",	//164
    "operator=#",	//165
    "operator==",	//166
    "operator==##",	//167
    "operator==#$",	//168
    "operator==$#",	//169
    "operator==$$",	//170
    "operator>",	//171
    "operator>##",	//172
    "operator>#$",	//173
    "operator>$#",	//174
    "operator>$$",	//175
    "operator>=",	//176
    "operator>=##",	//177
    "operator>=#$",	//178
    "operator>=$#",	//179
    "operator>=$$",	//180
    "operator>>",	//181
    "operator>>##",	//182
    "operator>>#$",	//183
    "operator>>#?",	//184
    "operator|",	//185
    "operator|?$",	//186
    "operator|??",	//187
    "paintEngine",	//188
    "paintEvent",	//189
    "paletteChange",	//190
    "qt_metacall",	//191
    "qt_metacall$$?",	//192
    "qt_metacast",	//193
    "qt_metacast$",	//194
    "reject",	//195
    "resizeEvent",	//196
    "setButtonText",	//197
    "setButtonText$",	//198
    "setCaption",	//199
    "setConfigFile",	//200
    "setConfigFile$",	//201
    "setPlainCaption",	//202
    "setUploadFile",	//203
    "setUploadFile#",	//204
    "setUploadName",	//205
    "setUploadName$",	//206
    "setVisible",	//207
    "showDialog",	//208
    "showEvent",	//209
    "sizeHint",	//210
    "slotButtonClicked",	//211
    "startDrag",	//212
    "staticMetaObject",	//213
    "status",	//214
    "styleChange",	//215
    "summary",	//216
    "tabletEvent",	//217
    "timerEvent",	//218
    "tr",	//219
    "tr$",	//220
    "tr$$",	//221
    "tr$$$",	//222
    "trUtf8",	//223
    "trUtf8$",	//224
    "trUtf8$$",	//225
    "trUtf8$$$",	//226
    "uninstalledFiles",	//227
    "version",	//228
    "wheelEvent",	//229
    "windowActivationChange",	//230
    "x11Event",	//231
    "~Button",	//232
    "~DownloadDialog",	//233
    "~Entry",	//234
    "~UploadDialog",	//235
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//1 KDialog::sizeHint() const
    {5, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//2 KDialog::minimumSizeHint() const
    {5, 199, 1, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3 KDialog::setCaption(const QString&)
    {5, 199, 3, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//4 KDialog::setCaption(const QString&, bool)
    {5, 202, 1, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//5 KDialog::setPlainCaption(const QString&)
    {5, 106, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 KDialog::hideEvent(QHideEvent*)
    {5, 83, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KDialog::closeEvent(QCloseEvent*)
    {5, 112, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KDialog::keyPressEvent(QKeyEvent*)
    {5, 211, 12, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//9 KDialog::slotButtonClicked(int)
    {8, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 1},	//10 KNS3::Button::metaObject() const
    {8, 193, 14, 1, Smoke::mf_virtual, 316, 2},	//11 KNS3::Button::qt_metacast(const char*)
    {8, 219, 16, 2, Smoke::mf_static, 125, 3},	//12 KNS3::Button::tr(const char*, const char*)
    {8, 223, 16, 2, Smoke::mf_static, 125, 4},	//13 KNS3::Button::trUtf8(const char*, const char*)
    {8, 219, 19, 3, Smoke::mf_static, 125, 5},	//14 KNS3::Button::tr(const char*, const char*, int)
    {8, 223, 19, 3, Smoke::mf_static, 125, 6},	//15 KNS3::Button::trUtf8(const char*, const char*, int)
    {8, 191, 23, 3, Smoke::mf_virtual, 313, 7},	//16 KNS3::Button::qt_metacall(QMetaObject::Call, int, void**)
    {8, 4, 27, 3, Smoke::mf_ctor, 13, 8},	//17 KNS3::Button::Button(const QString&, const QString&, QWidget*)
    {8, 4, 31, 1, Smoke::mf_ctor, 13, 9},	//18 KNS3::Button::Button(QWidget*)
    {8, 200, 1, 1, 0, 0, 10},	//19 KNS3::Button::setConfigFile(const QString&)
    {8, 197, 1, 1, 0, 0, 11},	//20 KNS3::Button::setButtonText(const QString&)
    {8, 75, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//21 KNS3::Button::aboutToShowDialog()
    {8, 88, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//22 KNS3::Button::dialogFinished(const QList<KNS3::Entry>&)
    {8, 208, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 14},	//23 KNS3::Button::showDialog()
    {8, 219, 14, 1, Smoke::mf_static, 125, 15},	//24 KNS3::Button::tr(const char*)
    {8, 223, 14, 1, Smoke::mf_static, 125, 16},	//25 KNS3::Button::trUtf8(const char*)
    {8, 213, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 278, 17},	//26 KNS3::Button::staticMetaObject() const
    {8, 232, 0, 0, Smoke::mf_dtor, 0, 18 },	//27 KNS3::Button::~Button()
    {9, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 1},	//28 KNS3::DownloadDialog::metaObject() const
    {9, 193, 14, 1, Smoke::mf_virtual, 316, 2},	//29 KNS3::DownloadDialog::qt_metacast(const char*)
    {9, 219, 16, 2, Smoke::mf_static, 125, 3},	//30 KNS3::DownloadDialog::tr(const char*, const char*)
    {9, 223, 16, 2, Smoke::mf_static, 125, 4},	//31 KNS3::DownloadDialog::trUtf8(const char*, const char*)
    {9, 219, 19, 3, Smoke::mf_static, 125, 5},	//32 KNS3::DownloadDialog::tr(const char*, const char*, int)
    {9, 223, 19, 3, Smoke::mf_static, 125, 6},	//33 KNS3::DownloadDialog::trUtf8(const char*, const char*, int)
    {9, 191, 23, 3, Smoke::mf_virtual, 313, 7},	//34 KNS3::DownloadDialog::qt_metacall(QMetaObject::Call, int, void**)
    {9, 13, 31, 1, Smoke::mf_ctor, 14, 8},	//35 KNS3::DownloadDialog::DownloadDialog(QWidget*)
    {9, 13, 35, 2, Smoke::mf_ctor, 14, 9},	//36 KNS3::DownloadDialog::DownloadDialog(const QString&, QWidget*)
    {9, 80, 0, 0, 0, 91, 10},	//37 KNS3::DownloadDialog::changedEntries()
    {9, 110, 0, 0, 0, 91, 11},	//38 KNS3::DownloadDialog::installedEntries()
    {9, 219, 14, 1, Smoke::mf_static, 125, 12},	//39 KNS3::DownloadDialog::tr(const char*)
    {9, 223, 14, 1, Smoke::mf_static, 125, 13},	//40 KNS3::DownloadDialog::trUtf8(const char*)
    {9, 13, 0, 0, Smoke::mf_ctor, 14, 14},	//41 KNS3::DownloadDialog::DownloadDialog()
    {9, 13, 1, 1, Smoke::mf_ctor, 14, 15},	//42 KNS3::DownloadDialog::DownloadDialog(const QString&)
    {9, 213, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 278, 16},	//43 KNS3::DownloadDialog::staticMetaObject() const
    {9, 233, 0, 0, Smoke::mf_dtor, 0, 17 },	//44 KNS3::DownloadDialog::~DownloadDialog()
    {10, 20, 38, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 1},	//45 KNS3::Entry::Entry(const KNS3::Entry&)
    {10, 164, 38, 1, 0, 15, 2},	//46 KNS3::Entry::operator=(const KNS3::Entry&)
    {10, 125, 0, 0, Smoke::mf_const, 125, 3},	//47 KNS3::Entry::name() const
    {10, 78, 0, 0, Smoke::mf_const, 125, 4},	//48 KNS3::Entry::category() const
    {10, 111, 0, 0, Smoke::mf_const, 129, 5},	//49 KNS3::Entry::installedFiles() const
    {10, 227, 0, 0, Smoke::mf_const, 129, 6},	//50 KNS3::Entry::uninstalledFiles() const
    {10, 214, 0, 0, Smoke::mf_const, 17, 7},	//51 KNS3::Entry::status() const
    {10, 116, 0, 0, Smoke::mf_const, 125, 8},	//52 KNS3::Entry::license() const
    {10, 216, 0, 0, Smoke::mf_const, 125, 9},	//53 KNS3::Entry::summary() const
    {10, 228, 0, 0, Smoke::mf_const, 125, 10},	//54 KNS3::Entry::version() const
    {10, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 11},	//55 KNS3::Entry::Invalid (enum)
    {10, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 12},	//56 KNS3::Entry::Downloadable (enum)
    {10, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 13},	//57 KNS3::Entry::Installed (enum)
    {10, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 14},	//58 KNS3::Entry::Updateable (enum)
    {10, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 15},	//59 KNS3::Entry::Deleted (enum)
    {10, 234, 0, 0, Smoke::mf_dtor, 0, 16 },	//60 KNS3::Entry::~Entry()
    {11, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 1},	//61 KNS3::UploadDialog::metaObject() const
    {11, 193, 14, 1, Smoke::mf_virtual, 316, 2},	//62 KNS3::UploadDialog::qt_metacast(const char*)
    {11, 219, 16, 2, Smoke::mf_static, 125, 3},	//63 KNS3::UploadDialog::tr(const char*, const char*)
    {11, 223, 16, 2, Smoke::mf_static, 125, 4},	//64 KNS3::UploadDialog::trUtf8(const char*, const char*)
    {11, 219, 19, 3, Smoke::mf_static, 125, 5},	//65 KNS3::UploadDialog::tr(const char*, const char*, int)
    {11, 223, 19, 3, Smoke::mf_static, 125, 6},	//66 KNS3::UploadDialog::trUtf8(const char*, const char*, int)
    {11, 191, 23, 3, Smoke::mf_virtual, 313, 7},	//67 KNS3::UploadDialog::qt_metacall(QMetaObject::Call, int, void**)
    {11, 67, 31, 1, Smoke::mf_ctor, 18, 8},	//68 KNS3::UploadDialog::UploadDialog(QWidget*)
    {11, 67, 35, 2, Smoke::mf_ctor, 18, 9},	//69 KNS3::UploadDialog::UploadDialog(const QString&, QWidget*)
    {11, 203, 40, 1, 0, 0, 10},	//70 KNS3::UploadDialog::setUploadFile(const KUrl&)
    {11, 205, 1, 1, 0, 0, 11},	//71 KNS3::UploadDialog::setUploadName(const QString&)
    {11, 76, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//72 KNS3::UploadDialog::accept()
    {11, 219, 14, 1, Smoke::mf_static, 125, 13},	//73 KNS3::UploadDialog::tr(const char*)
    {11, 223, 14, 1, Smoke::mf_static, 125, 14},	//74 KNS3::UploadDialog::trUtf8(const char*)
    {11, 67, 0, 0, Smoke::mf_ctor, 18, 15},	//75 KNS3::UploadDialog::UploadDialog()
    {11, 67, 1, 1, Smoke::mf_ctor, 18, 16},	//76 KNS3::UploadDialog::UploadDialog(const QString&)
    {11, 213, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 278, 17},	//77 KNS3::UploadDialog::staticMetaObject() const
    {11, 235, 0, 0, Smoke::mf_dtor, 0, 18 },	//78 KNS3::UploadDialog::~UploadDialog()
    {12, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//79 KPushButton::sizeHint() const
    {12, 95, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 42, 0},	//80 KPushButton::dragObject()
    {12, 122, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//81 KPushButton::mousePressEvent(QMouseEvent*)
    {12, 121, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//82 KPushButton::mouseMoveEvent(QMouseEvent*)
    {12, 189, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//83 KPushButton::paintEvent(QPaintEvent*)
    {12, 212, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//84 KPushButton::startDrag()
    {15, 107, 46, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//85 QAbstractButton::hitButton(const QPoint&) const
    {15, 81, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//86 QAbstractButton::checkStateSet()
    {15, 126, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//87 QAbstractButton::nextCheckState()
    {15, 113, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//88 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {15, 123, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//89 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {15, 79, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//90 QAbstractButton::changeEvent(QEvent*)
    {15, 218, 50, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//91 QAbstractButton::timerEvent(QTimerEvent*)
    {29, 207, 52, 1, Smoke::mf_virtual, 0, 0},	//92 QDialog::setVisible(bool)
    {29, 91, 12, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//93 QDialog::done(int)
    {29, 76, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//94 QDialog::accept()
    {29, 195, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//95 QDialog::reject()
    {29, 209, 54, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//96 QDialog::showEvent(QShowEvent*)
    {29, 196, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//97 QDialog::resizeEvent(QResizeEvent*)
    {29, 85, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//98 QDialog::contextMenuEvent(QContextMenuEvent*)
    {29, 100, 60, 2, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//99 QDialog::eventFilter(QObject*, QEvent*)
    {38, 132, 63, 2, Smoke::mf_static, 284, 1},	//100 QGlobalSpace::operator*(const QPoint&, double)
    {38, 132, 66, 2, Smoke::mf_static, 286, 2},	//101 QGlobalSpace::operator*(double, const QPointF&)
    {38, 127, 69, 2, Smoke::mf_static, 254, 3},	//102 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {38, 132, 72, 2, Smoke::mf_static, 296, 4},	//103 QGlobalSpace::operator*(double, const QSizeF&)
    {38, 181, 75, 2, Smoke::mf_static, 39, 5},	//104 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {38, 155, 78, 2, Smoke::mf_static, 39, 6},	//105 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {38, 185, 81, 2, Smoke::mf_static, 73, 7},	//106 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {38, 127, 84, 2, Smoke::mf_static, 254, 8},	//107 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {38, 136, 87, 2, Smoke::mf_static, 294, 9},	//108 QGlobalSpace::operator+(const QSize&, const QSize&)
    {38, 155, 90, 2, Smoke::mf_static, 39, 10},	//109 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {38, 132, 93, 2, Smoke::mf_static, 107, 11},	//110 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {38, 132, 96, 2, Smoke::mf_static, 87, 12},	//111 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {38, 185, 99, 2, Smoke::mf_static, 63, 13},	//112 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {38, 185, 102, 2, Smoke::mf_static, 83, 14},	//113 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {38, 166, 69, 2, Smoke::mf_static, 254, 15},	//114 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {38, 185, 105, 2, Smoke::mf_static, 83, 16},	//115 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {38, 132, 108, 2, Smoke::mf_static, 296, 17},	//116 QGlobalSpace::operator*(const QSizeF&, double)
    {38, 155, 111, 2, Smoke::mf_static, 39, 18},	//117 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {38, 171, 114, 2, Smoke::mf_static, 254, 19},	//118 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {38, 144, 117, 2, Smoke::mf_static, 296, 20},	//119 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {38, 176, 120, 2, Smoke::mf_static, 254, 21},	//120 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {38, 166, 123, 2, Smoke::mf_static, 254, 22},	//121 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {38, 127, 126, 2, Smoke::mf_static, 254, 23},	//122 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {38, 166, 129, 2, Smoke::mf_static, 254, 24},	//123 QGlobalSpace::operator==(QBool, QBool)
    {38, 166, 132, 2, Smoke::mf_static, 254, 25},	//124 QGlobalSpace::operator==(QString::Null, QString::Null)
    {38, 185, 135, 2, Smoke::mf_static, 49, 26},	//125 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>)
    {38, 155, 138, 2, Smoke::mf_static, 39, 27},	//126 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {38, 136, 141, 2, Smoke::mf_static, 299, 28},	//127 QGlobalSpace::operator+(QChar, const QString&)
    {38, 155, 144, 2, Smoke::mf_static, 39, 29},	//128 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {38, 141, 147, 1, Smoke::mf_static, 11, 30},	//129 QGlobalSpace::operator++(KIconLoader::Group&)
    {38, 155, 149, 2, Smoke::mf_static, 39, 31},	//130 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {38, 185, 152, 2, Smoke::mf_static, 83, 32},	//131 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    {38, 185, 155, 2, Smoke::mf_static, 83, 33},	//132 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {38, 132, 158, 2, Smoke::mf_static, 111, 34},	//133 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {38, 185, 161, 2, Smoke::mf_static, 65, 35},	//134 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {38, 185, 164, 2, Smoke::mf_static, 48, 36},	//135 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>)
    {38, 136, 117, 2, Smoke::mf_static, 296, 37},	//136 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {38, 155, 167, 2, Smoke::mf_static, 39, 38},	//137 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {38, 185, 170, 2, Smoke::mf_static, 55, 39},	//138 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    {38, 181, 173, 2, Smoke::mf_static, 39, 40},	//139 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {38, 185, 176, 2, Smoke::mf_static, 68, 41},	//140 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {38, 155, 179, 2, Smoke::mf_static, 39, 42},	//141 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {38, 150, 182, 2, Smoke::mf_static, 254, 43},	//142 QGlobalSpace::operator<(const QByteArray&, const char*)
    {38, 185, 185, 2, Smoke::mf_static, 83, 44},	//143 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    {38, 185, 188, 2, Smoke::mf_static, 74, 45},	//144 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {38, 185, 191, 2, Smoke::mf_static, 49, 46},	//145 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type)
    {38, 132, 194, 2, Smoke::mf_static, 87, 47},	//146 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {38, 132, 197, 2, Smoke::mf_static, 89, 48},	//147 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {38, 132, 200, 2, Smoke::mf_static, 100, 49},	//148 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {38, 181, 203, 2, Smoke::mf_static, 39, 50},	//149 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {38, 155, 206, 2, Smoke::mf_static, 39, 51},	//150 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {38, 136, 209, 2, Smoke::mf_static, 299, 52},	//151 QGlobalSpace::operator+(const QString&, const char*)
    {38, 155, 212, 2, Smoke::mf_static, 39, 53},	//152 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {38, 185, 215, 2, Smoke::mf_static, 69, 54},	//153 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {38, 181, 218, 2, Smoke::mf_static, 39, 55},	//154 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {38, 185, 221, 2, Smoke::mf_static, 71, 56},	//155 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {38, 136, 224, 2, Smoke::mf_static, 260, 57},	//156 QGlobalSpace::operator+(char, const QByteArray&)
    {38, 148, 63, 2, Smoke::mf_static, 284, 58},	//157 QGlobalSpace::operator/(const QPoint&, double)
    {38, 185, 227, 2, Smoke::mf_static, 65, 59},	//158 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {38, 136, 230, 2, Smoke::mf_static, 299, 60},	//159 QGlobalSpace::operator+(const char*, const QString&)
    {38, 166, 233, 2, Smoke::mf_static, 254, 61},	//160 QGlobalSpace::operator==(const char*, const QByteArray&)
    {38, 185, 236, 2, Smoke::mf_static, 83, 62},	//161 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {38, 181, 239, 2, Smoke::mf_static, 39, 63},	//162 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {38, 181, 242, 2, Smoke::mf_static, 39, 64},	//163 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {38, 181, 245, 2, Smoke::mf_static, 39, 65},	//164 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {38, 166, 248, 2, Smoke::mf_static, 254, 66},	//165 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {38, 148, 251, 2, Smoke::mf_static, 136, 67},	//166 QGlobalSpace::operator/(const QTransform&, double)
    {38, 159, 230, 2, Smoke::mf_static, 254, 68},	//167 QGlobalSpace::operator<=(const char*, const QString&)
    {38, 185, 254, 2, Smoke::mf_static, 83, 69},	//168 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {38, 185, 257, 2, Smoke::mf_static, 67, 70},	//169 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {38, 127, 260, 2, Smoke::mf_static, 254, 71},	//170 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {38, 185, 263, 2, Smoke::mf_static, 69, 72},	//171 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {38, 150, 266, 2, Smoke::mf_static, 254, 73},	//172 QGlobalSpace::operator<(QChar, QChar)
    {38, 132, 269, 2, Smoke::mf_static, 100, 74},	//173 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {38, 155, 272, 2, Smoke::mf_static, 39, 75},	//174 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {38, 176, 114, 2, Smoke::mf_static, 254, 76},	//175 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {38, 185, 275, 2, Smoke::mf_static, 59, 77},	//176 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {38, 185, 278, 2, Smoke::mf_static, 83, 78},	//177 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    {38, 181, 281, 2, Smoke::mf_static, 39, 79},	//178 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {38, 185, 284, 2, Smoke::mf_static, 83, 80},	//179 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {38, 132, 287, 2, Smoke::mf_static, 286, 81},	//180 QGlobalSpace::operator*(const QPointF&, double)
    {38, 185, 290, 2, Smoke::mf_static, 83, 82},	//181 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {38, 166, 87, 2, Smoke::mf_static, 254, 83},	//182 QGlobalSpace::operator==(const QSize&, const QSize&)
    {38, 185, 293, 2, Smoke::mf_static, 51, 84},	//183 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    {38, 155, 296, 2, Smoke::mf_static, 39, 85},	//184 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {38, 185, 299, 2, Smoke::mf_static, 83, 86},	//185 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    {38, 166, 114, 2, Smoke::mf_static, 254, 87},	//186 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {38, 185, 302, 2, Smoke::mf_static, 72, 88},	//187 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {38, 127, 120, 2, Smoke::mf_static, 254, 89},	//188 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {38, 181, 305, 2, Smoke::mf_static, 39, 90},	//189 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {38, 148, 108, 2, Smoke::mf_static, 296, 91},	//190 QGlobalSpace::operator/(const QSizeF&, double)
    {38, 185, 308, 2, Smoke::mf_static, 70, 92},	//191 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {38, 181, 311, 2, Smoke::mf_static, 39, 93},	//192 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {38, 132, 314, 2, Smoke::mf_static, 109, 94},	//193 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {38, 171, 266, 2, Smoke::mf_static, 254, 95},	//194 QGlobalSpace::operator>(QChar, QChar)
    {38, 185, 317, 2, Smoke::mf_static, 52, 96},	//195 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    {38, 176, 233, 2, Smoke::mf_static, 254, 97},	//196 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {38, 166, 320, 2, Smoke::mf_static, 254, 98},	//197 QGlobalSpace::operator==(const QString&, QString::Null)
    {38, 150, 120, 2, Smoke::mf_static, 254, 99},	//198 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {38, 181, 323, 2, Smoke::mf_static, 39, 100},	//199 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {38, 144, 326, 1, Smoke::mf_static, 286, 101},	//200 QGlobalSpace::operator-(const QPointF&)
    {38, 155, 328, 2, Smoke::mf_static, 39, 102},	//201 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {38, 136, 331, 2, Smoke::mf_static, 299, 103},	//202 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {38, 132, 334, 2, Smoke::mf_static, 107, 104},	//203 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {38, 136, 337, 2, Smoke::mf_static, 299, 105},	//204 QGlobalSpace::operator+(const QString&, char)
    {38, 176, 260, 2, Smoke::mf_static, 254, 106},	//205 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {38, 166, 126, 2, Smoke::mf_static, 254, 107},	//206 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {38, 185, 340, 2, Smoke::mf_static, 56, 108},	//207 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {38, 155, 343, 2, Smoke::mf_static, 39, 109},	//208 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {38, 185, 346, 2, Smoke::mf_static, 83, 110},	//209 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {38, 185, 349, 2, Smoke::mf_static, 83, 111},	//210 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {38, 155, 352, 2, Smoke::mf_static, 39, 112},	//211 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {38, 181, 355, 2, Smoke::mf_static, 39, 113},	//212 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {38, 185, 358, 2, Smoke::mf_static, 51, 114},	//213 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    {38, 150, 233, 2, Smoke::mf_static, 254, 115},	//214 QGlobalSpace::operator<(const char*, const QByteArray&)
    {38, 185, 361, 2, Smoke::mf_static, 50, 116},	//215 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type)
    {38, 185, 364, 2, Smoke::mf_static, 83, 117},	//216 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, int)
    {38, 132, 367, 2, Smoke::mf_static, 105, 118},	//217 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {38, 127, 87, 2, Smoke::mf_static, 254, 119},	//218 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {38, 159, 182, 2, Smoke::mf_static, 254, 120},	//219 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {38, 127, 370, 2, Smoke::mf_static, 254, 121},	//220 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {38, 166, 373, 2, Smoke::mf_static, 254, 122},	//221 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {38, 176, 376, 2, Smoke::mf_static, 254, 123},	//222 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {38, 185, 379, 2, Smoke::mf_static, 50, 124},	//223 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>)
    {38, 166, 382, 2, Smoke::mf_static, 254, 125},	//224 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {38, 181, 385, 2, Smoke::mf_static, 39, 126},	//225 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {38, 185, 388, 2, Smoke::mf_static, 83, 127},	//226 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    {38, 155, 391, 2, Smoke::mf_static, 39, 128},	//227 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {38, 132, 251, 2, Smoke::mf_static, 136, 129},	//228 QGlobalSpace::operator*(const QTransform&, double)
    {38, 150, 260, 2, Smoke::mf_static, 254, 130},	//229 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {38, 127, 394, 2, Smoke::mf_static, 254, 131},	//230 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {38, 127, 233, 2, Smoke::mf_static, 254, 132},	//231 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {38, 171, 260, 2, Smoke::mf_static, 254, 133},	//232 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {38, 185, 397, 2, Smoke::mf_static, 83, 134},	//233 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {38, 185, 400, 2, Smoke::mf_static, 54, 135},	//234 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    {38, 155, 403, 2, Smoke::mf_static, 39, 136},	//235 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {38, 185, 406, 2, Smoke::mf_static, 56, 137},	//236 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {38, 185, 409, 2, Smoke::mf_static, 83, 138},	//237 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {38, 185, 412, 2, Smoke::mf_static, 63, 139},	//238 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {38, 185, 415, 2, Smoke::mf_static, 58, 140},	//239 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {38, 181, 418, 2, Smoke::mf_static, 39, 141},	//240 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {38, 155, 421, 2, Smoke::mf_static, 39, 142},	//241 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {38, 185, 424, 2, Smoke::mf_static, 75, 143},	//242 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {38, 136, 427, 2, Smoke::mf_static, 299, 144},	//243 QGlobalSpace::operator+(const QString&, const QString&)
    {38, 150, 230, 2, Smoke::mf_static, 254, 145},	//244 QGlobalSpace::operator<(const char*, const QString&)
    {38, 127, 230, 2, Smoke::mf_static, 254, 146},	//245 QGlobalSpace::operator!=(const char*, const QString&)
    {38, 127, 182, 2, Smoke::mf_static, 254, 147},	//246 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {38, 127, 430, 2, Smoke::mf_static, 254, 148},	//247 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {38, 185, 433, 2, Smoke::mf_static, 53, 149},	//248 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    {38, 185, 436, 2, Smoke::mf_static, 72, 150},	//249 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {38, 185, 439, 2, Smoke::mf_static, 75, 151},	//250 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {38, 185, 442, 2, Smoke::mf_static, 83, 152},	//251 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {38, 181, 445, 2, Smoke::mf_static, 39, 153},	//252 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {38, 171, 120, 2, Smoke::mf_static, 254, 154},	//253 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {38, 159, 114, 2, Smoke::mf_static, 254, 155},	//254 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {38, 166, 370, 2, Smoke::mf_static, 254, 156},	//255 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {38, 185, 448, 2, Smoke::mf_static, 73, 157},	//256 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {38, 185, 451, 2, Smoke::mf_static, 83, 158},	//257 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {38, 166, 454, 2, Smoke::mf_static, 254, 159},	//258 QGlobalSpace::operator==(const char*, const QStringRef&)
    {38, 136, 233, 2, Smoke::mf_static, 260, 160},	//259 QGlobalSpace::operator+(const char*, const QByteArray&)
    {38, 181, 457, 2, Smoke::mf_static, 39, 161},	//260 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {38, 159, 260, 2, Smoke::mf_static, 254, 162},	//261 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {38, 181, 460, 2, Smoke::mf_static, 39, 163},	//262 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {38, 181, 463, 2, Smoke::mf_static, 39, 164},	//263 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {38, 166, 266, 2, Smoke::mf_static, 254, 165},	//264 QGlobalSpace::operator==(QChar, QChar)
    {38, 127, 373, 2, Smoke::mf_static, 254, 166},	//265 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {38, 132, 466, 2, Smoke::mf_static, 89, 167},	//266 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {38, 127, 469, 2, Smoke::mf_static, 254, 168},	//267 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {38, 185, 472, 2, Smoke::mf_static, 64, 169},	//268 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {38, 155, 475, 2, Smoke::mf_static, 39, 170},	//269 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {38, 155, 478, 2, Smoke::mf_static, 39, 171},	//270 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {38, 185, 481, 2, Smoke::mf_static, 66, 172},	//271 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {38, 155, 484, 2, Smoke::mf_static, 39, 173},	//272 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {38, 155, 487, 2, Smoke::mf_static, 39, 174},	//273 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {38, 185, 490, 2, Smoke::mf_static, 62, 175},	//274 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {38, 136, 493, 2, Smoke::mf_static, 299, 176},	//275 QGlobalSpace::operator+(char, const QString&)
    {38, 127, 123, 2, Smoke::mf_static, 254, 177},	//276 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {38, 127, 266, 2, Smoke::mf_static, 254, 178},	//277 QGlobalSpace::operator!=(QChar, QChar)
    {38, 166, 376, 2, Smoke::mf_static, 254, 179},	//278 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {38, 185, 496, 2, Smoke::mf_static, 83, 180},	//279 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {38, 166, 117, 2, Smoke::mf_static, 254, 181},	//280 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {38, 181, 499, 2, Smoke::mf_static, 39, 182},	//281 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {38, 181, 502, 2, Smoke::mf_static, 39, 183},	//282 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {38, 155, 505, 2, Smoke::mf_static, 39, 184},	//283 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {38, 166, 260, 2, Smoke::mf_static, 254, 185},	//284 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {38, 127, 508, 2, Smoke::mf_static, 254, 186},	//285 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {38, 185, 511, 2, Smoke::mf_static, 53, 187},	//286 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    {38, 132, 514, 2, Smoke::mf_static, 294, 188},	//287 QGlobalSpace::operator*(double, const QSize&)
    {38, 176, 182, 2, Smoke::mf_static, 254, 189},	//288 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {38, 132, 517, 2, Smoke::mf_static, 284, 190},	//289 QGlobalSpace::operator*(double, const QPoint&)
    {38, 155, 520, 2, Smoke::mf_static, 39, 191},	//290 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {38, 155, 523, 2, Smoke::mf_static, 39, 192},	//291 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {38, 185, 526, 2, Smoke::mf_static, 52, 193},	//292 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    {38, 136, 529, 2, Smoke::mf_static, 260, 194},	//293 QGlobalSpace::operator+(const QByteArray&, char)
    {38, 148, 287, 2, Smoke::mf_static, 286, 195},	//294 QGlobalSpace::operator/(const QPointF&, double)
    {38, 185, 532, 2, Smoke::mf_static, 83, 196},	//295 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, int)
    {38, 176, 266, 2, Smoke::mf_static, 254, 197},	//296 QGlobalSpace::operator>=(QChar, QChar)
    {38, 185, 535, 2, Smoke::mf_static, 76, 198},	//297 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {38, 159, 120, 2, Smoke::mf_static, 254, 199},	//298 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {38, 185, 538, 2, Smoke::mf_static, 76, 200},	//299 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {38, 185, 541, 2, Smoke::mf_static, 54, 201},	//300 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    {38, 185, 544, 2, Smoke::mf_static, 57, 202},	//301 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    {38, 185, 547, 2, Smoke::mf_static, 57, 203},	//302 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    {38, 185, 550, 2, Smoke::mf_static, 68, 204},	//303 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {38, 181, 553, 2, Smoke::mf_static, 39, 205},	//304 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {38, 159, 376, 2, Smoke::mf_static, 254, 206},	//305 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {38, 155, 556, 2, Smoke::mf_static, 39, 207},	//306 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {38, 171, 233, 2, Smoke::mf_static, 254, 208},	//307 QGlobalSpace::operator>(const char*, const QByteArray&)
    {38, 181, 559, 2, Smoke::mf_static, 39, 209},	//308 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {38, 185, 562, 2, Smoke::mf_static, 74, 210},	//309 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {38, 155, 565, 2, Smoke::mf_static, 39, 211},	//310 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {38, 166, 508, 2, Smoke::mf_static, 254, 212},	//311 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {38, 127, 568, 2, Smoke::mf_static, 254, 213},	//312 QGlobalSpace::operator!=(bool, QBool)
    {38, 132, 571, 2, Smoke::mf_static, 109, 214},	//313 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {38, 127, 574, 2, Smoke::mf_static, 254, 215},	//314 QGlobalSpace::operator!=(QBool, bool)
    {38, 144, 370, 2, Smoke::mf_static, 284, 216},	//315 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {38, 181, 577, 2, Smoke::mf_static, 39, 217},	//316 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {38, 136, 182, 2, Smoke::mf_static, 260, 218},	//317 QGlobalSpace::operator+(const QByteArray&, const char*)
    {38, 155, 580, 2, Smoke::mf_static, 39, 219},	//318 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {38, 127, 117, 2, Smoke::mf_static, 254, 220},	//319 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {38, 159, 233, 2, Smoke::mf_static, 254, 221},	//320 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {38, 185, 583, 2, Smoke::mf_static, 83, 222},	//321 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, int)
    {38, 155, 586, 2, Smoke::mf_static, 39, 223},	//322 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {38, 166, 430, 2, Smoke::mf_static, 254, 224},	//323 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {38, 185, 589, 2, Smoke::mf_static, 83, 225},	//324 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {38, 127, 376, 2, Smoke::mf_static, 254, 226},	//325 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {38, 185, 592, 2, Smoke::mf_static, 83, 227},	//326 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    {38, 155, 595, 2, Smoke::mf_static, 39, 228},	//327 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {38, 132, 598, 2, Smoke::mf_static, 294, 229},	//328 QGlobalSpace::operator*(const QSize&, double)
    {38, 166, 601, 2, Smoke::mf_static, 254, 230},	//329 QGlobalSpace::operator==(QString::Null, const QString&)
    {38, 185, 604, 2, Smoke::mf_static, 83, 231},	//330 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {38, 181, 607, 2, Smoke::mf_static, 39, 232},	//331 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {38, 166, 182, 2, Smoke::mf_static, 254, 233},	//332 QGlobalSpace::operator==(const QByteArray&, const char*)
    {38, 181, 610, 2, Smoke::mf_static, 39, 234},	//333 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {38, 171, 230, 2, Smoke::mf_static, 254, 235},	//334 QGlobalSpace::operator>(const char*, const QString&)
    {38, 185, 613, 2, Smoke::mf_static, 83, 236},	//335 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {38, 155, 616, 2, Smoke::mf_static, 39, 237},	//336 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {38, 181, 619, 2, Smoke::mf_static, 39, 238},	//337 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {38, 171, 182, 2, Smoke::mf_static, 254, 239},	//338 QGlobalSpace::operator>(const QByteArray&, const char*)
    {38, 150, 114, 2, Smoke::mf_static, 254, 240},	//339 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {38, 185, 622, 2, Smoke::mf_static, 83, 241},	//340 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {38, 136, 370, 2, Smoke::mf_static, 284, 242},	//341 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {38, 159, 266, 2, Smoke::mf_static, 254, 243},	//342 QGlobalSpace::operator<=(QChar, QChar)
    {38, 185, 625, 2, Smoke::mf_static, 55, 244},	//343 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    {38, 132, 628, 2, Smoke::mf_static, 116, 245},	//344 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {38, 127, 601, 2, Smoke::mf_static, 254, 246},	//345 QGlobalSpace::operator!=(QString::Null, const QString&)
    {38, 171, 376, 2, Smoke::mf_static, 254, 247},	//346 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {38, 185, 631, 2, Smoke::mf_static, 59, 248},	//347 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {38, 127, 320, 2, Smoke::mf_static, 254, 249},	//348 QGlobalSpace::operator!=(const QString&, QString::Null)
    {38, 132, 634, 2, Smoke::mf_static, 111, 250},	//349 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {38, 144, 46, 1, Smoke::mf_static, 284, 251},	//350 QGlobalSpace::operator-(const QPoint&)
    {38, 181, 637, 2, Smoke::mf_static, 39, 252},	//351 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {38, 185, 640, 2, Smoke::mf_static, 71, 253},	//352 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {38, 181, 643, 2, Smoke::mf_static, 39, 254},	//353 QGlobalSpace::operator>>(QDataStream&, QString&)
    {38, 166, 120, 2, Smoke::mf_static, 254, 255},	//354 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {38, 155, 646, 2, Smoke::mf_static, 39, 256},	//355 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {38, 185, 649, 2, Smoke::mf_static, 48, 257},	//356 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type)
    {38, 144, 248, 2, Smoke::mf_static, 286, 258},	//357 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {38, 185, 652, 2, Smoke::mf_static, 67, 259},	//358 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {38, 150, 376, 2, Smoke::mf_static, 254, 260},	//359 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {38, 181, 655, 2, Smoke::mf_static, 39, 261},	//360 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {38, 136, 251, 2, Smoke::mf_static, 136, 262},	//361 QGlobalSpace::operator+(const QTransform&, double)
    {38, 185, 658, 2, Smoke::mf_static, 60, 263},	//362 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    {38, 166, 394, 2, Smoke::mf_static, 254, 264},	//363 QGlobalSpace::operator==(const QStringRef&, const char*)
    {38, 127, 454, 2, Smoke::mf_static, 254, 265},	//364 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {38, 181, 661, 2, Smoke::mf_static, 39, 266},	//365 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {38, 136, 120, 2, Smoke::mf_static, 260, 267},	//366 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {38, 136, 664, 2, Smoke::mf_static, 299, 268},	//367 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {38, 185, 667, 2, Smoke::mf_static, 83, 269},	//368 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    {38, 181, 670, 2, Smoke::mf_static, 39, 270},	//369 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {38, 166, 230, 2, Smoke::mf_static, 254, 271},	//370 QGlobalSpace::operator==(const char*, const QString&)
    {38, 155, 673, 2, Smoke::mf_static, 39, 272},	//371 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {38, 155, 676, 2, Smoke::mf_static, 39, 273},	//372 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {38, 148, 598, 2, Smoke::mf_static, 294, 274},	//373 QGlobalSpace::operator/(const QSize&, double)
    {38, 181, 679, 2, Smoke::mf_static, 39, 275},	//374 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {38, 181, 682, 2, Smoke::mf_static, 39, 276},	//375 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {38, 166, 568, 2, Smoke::mf_static, 254, 277},	//376 QGlobalSpace::operator==(bool, QBool)
    {38, 185, 685, 2, Smoke::mf_static, 61, 278},	//377 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {38, 132, 688, 2, Smoke::mf_static, 105, 279},	//378 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {38, 176, 230, 2, Smoke::mf_static, 254, 280},	//379 QGlobalSpace::operator>=(const char*, const QString&)
    {38, 155, 691, 2, Smoke::mf_static, 39, 281},	//380 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {38, 185, 694, 2, Smoke::mf_static, 60, 282},	//381 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    {38, 185, 697, 2, Smoke::mf_static, 83, 283},	//382 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {38, 181, 700, 2, Smoke::mf_static, 39, 284},	//383 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {38, 127, 248, 2, Smoke::mf_static, 254, 285},	//384 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {38, 185, 703, 2, Smoke::mf_static, 62, 286},	//385 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {38, 144, 87, 2, Smoke::mf_static, 294, 287},	//386 QGlobalSpace::operator-(const QSize&, const QSize&)
    {38, 185, 706, 2, Smoke::mf_static, 66, 288},	//387 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {38, 127, 114, 2, Smoke::mf_static, 254, 289},	//388 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {38, 136, 248, 2, Smoke::mf_static, 286, 290},	//389 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {38, 132, 709, 2, Smoke::mf_static, 116, 291},	//390 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {38, 166, 574, 2, Smoke::mf_static, 254, 292},	//391 QGlobalSpace::operator==(QBool, bool)
    {38, 166, 84, 2, Smoke::mf_static, 254, 293},	//392 QGlobalSpace::operator==(const QRect&, const QRect&)
    {38, 185, 712, 2, Smoke::mf_static, 64, 294},	//393 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {38, 185, 715, 2, Smoke::mf_static, 58, 295},	//394 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {38, 181, 718, 2, Smoke::mf_static, 39, 296},	//395 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {38, 136, 721, 2, Smoke::mf_static, 299, 297},	//396 QGlobalSpace::operator+(const QString&, QChar)
    {38, 127, 132, 2, Smoke::mf_static, 254, 298},	//397 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {38, 127, 129, 2, Smoke::mf_static, 254, 299},	//398 QGlobalSpace::operator!=(QBool, QBool)
    {38, 185, 724, 2, Smoke::mf_static, 61, 300},	//399 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {38, 185, 727, 2, Smoke::mf_static, 70, 301},	//400 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {38, 166, 469, 2, Smoke::mf_static, 254, 302},	//401 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {38, 144, 251, 2, Smoke::mf_static, 136, 303},	//402 QGlobalSpace::operator-(const QTransform&, double)
    {38, 141, 730, 2, Smoke::mf_static, 10, 304},	//403 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {38, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 305},	//404 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {38, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 306},	//405 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {38, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 307},	//406 QGlobalSpace::Q_STATIC_TYPE (enum)
    {38, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 308},	//407 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {38, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 309},	//408 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {38, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 310},	//409 QGlobalSpace::LicensedGui (enum)
    {38, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 311},	//410 QGlobalSpace::LicensedXml (enum)
    {38, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 312},	//411 QGlobalSpace::LicensedQt3SupportLight (enum)
    {38, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 313},	//412 QGlobalSpace::LicensedScript (enum)
    {38, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 314},	//413 QGlobalSpace::LicensedOpenVG (enum)
    {38, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 315},	//414 QGlobalSpace::LicensedDBus (enum)
    {38, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 316},	//415 QGlobalSpace::LicensedTest (enum)
    {38, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 317},	//416 QGlobalSpace::LicensedActiveQt (enum)
    {38, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 318},	//417 QGlobalSpace::LicensedScriptTools (enum)
    {38, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 319},	//418 QGlobalSpace::LicensedSvg (enum)
    {38, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 320},	//419 QGlobalSpace::LicensedDeclarative (enum)
    {38, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 321},	//420 QGlobalSpace::LicensedSql (enum)
    {38, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 322},	//421 QGlobalSpace::LicensedOpenGL (enum)
    {38, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 323},	//422 QGlobalSpace::LicensedCore (enum)
    {38, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 324},	//423 QGlobalSpace::QtDebugMsg (enum)
    {38, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 325},	//424 QGlobalSpace::QtWarningMsg (enum)
    {38, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 326},	//425 QGlobalSpace::QtCriticalMsg (enum)
    {38, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 327},	//426 QGlobalSpace::QtFatalMsg (enum)
    {38, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 328},	//427 QGlobalSpace::QtSystemMsg (enum)
    {38, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 329},	//428 QGlobalSpace::LicensedHelp (enum)
    {38, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 330},	//429 QGlobalSpace::LicensedMultimedia (enum)
    {38, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 331},	//430 QGlobalSpace::LicensedQt3Support (enum)
    {38, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 332},	//431 QGlobalSpace::LicensedXmlPatterns (enum)
    {38, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 333},	//432 QGlobalSpace::LicensedNetwork (enum)
    {55, 100, 60, 2, Smoke::mf_virtual, 254, 0},	//433 QObject::eventFilter(QObject*, QEvent*)
    {55, 218, 50, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//434 QObject::timerEvent(QTimerEvent*)
    {55, 82, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//435 QObject::childEvent(QChildEvent*)
    {55, 86, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//436 QObject::customEvent(QEvent*)
    {55, 84, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//437 QObject::connectNotify(const char*)
    {55, 90, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//438 QObject::disconnectNotify(const char*)
    {65, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//439 QPushButton::minimumSizeHint() const
    {65, 99, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//440 QPushButton::event(QEvent*)
    {65, 112, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//441 QPushButton::keyPressEvent(QKeyEvent*)
    {65, 101, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//442 QPushButton::focusInEvent(QFocusEvent*)
    {65, 103, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//443 QPushButton::focusOutEvent(QFocusEvent*)
    {86, 87, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 0},	//444 QWidget::devType() const
    {86, 207, 52, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//445 QWidget::setVisible(bool)
    {86, 105, 12, 1, Smoke::mf_const|Smoke::mf_virtual, 313, 0},	//446 QWidget::heightForWidth(int) const
    {86, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 0},	//447 QWidget::paintEngine() const
    {86, 99, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//448 QWidget::event(QEvent*)
    {86, 122, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//449 QWidget::mousePressEvent(QMouseEvent*)
    {86, 123, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//450 QWidget::mouseReleaseEvent(QMouseEvent*)
    {86, 120, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//451 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {86, 121, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//452 QWidget::mouseMoveEvent(QMouseEvent*)
    {86, 229, 737, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QWidget::wheelEvent(QWheelEvent*)
    {86, 113, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QWidget::keyReleaseEvent(QKeyEvent*)
    {86, 101, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//455 QWidget::focusInEvent(QFocusEvent*)
    {86, 103, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//456 QWidget::focusOutEvent(QFocusEvent*)
    {86, 98, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//457 QWidget::enterEvent(QEvent*)
    {86, 115, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//458 QWidget::leaveEvent(QEvent*)
    {86, 189, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//459 QWidget::paintEvent(QPaintEvent*)
    {86, 124, 739, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//460 QWidget::moveEvent(QMoveEvent*)
    {86, 196, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//461 QWidget::resizeEvent(QResizeEvent*)
    {86, 83, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//462 QWidget::closeEvent(QCloseEvent*)
    {86, 85, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QWidget::contextMenuEvent(QContextMenuEvent*)
    {86, 217, 741, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//464 QWidget::tabletEvent(QTabletEvent*)
    {86, 77, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//465 QWidget::actionEvent(QActionEvent*)
    {86, 92, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//466 QWidget::dragEnterEvent(QDragEnterEvent*)
    {86, 94, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//467 QWidget::dragMoveEvent(QDragMoveEvent*)
    {86, 93, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//468 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {86, 96, 751, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//469 QWidget::dropEvent(QDropEvent*)
    {86, 209, 54, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//470 QWidget::showEvent(QShowEvent*)
    {86, 106, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//471 QWidget::hideEvent(QHideEvent*)
    {86, 231, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//472 QWidget::x11Event(_XEvent*)
    {86, 79, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//473 QWidget::changeEvent(QEvent*)
    {86, 118, 755, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//474 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {86, 108, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//475 QWidget::inputMethodEvent(QInputMethodEvent*)
    {86, 109, 759, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 0},	//476 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {86, 102, 52, 1, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//477 QWidget::focusNextPrevChild(bool)
    {86, 215, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//478 QWidget::styleChange(QStyle&)
    {86, 97, 52, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//479 QWidget::enabledChange(bool)
    {86, 190, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//480 QWidget::paletteChange(const QPalette&)
    {86, 104, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//481 QWidget::fontChange(const QFont&)
    {86, 230, 52, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//482 QWidget::windowActivationChange(bool)
    {86, 114, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//483 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    102,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    107,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    122,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    170,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    188,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    218,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    220,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    267,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    276,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    277,  // QGlobalSpace::operator!=(QChar, QChar)
    285,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    319,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    325,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    384,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    397,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    398,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    230,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    246,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    265,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    314,  // QGlobalSpace::operator!=(QBool, bool)
    345,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    231,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    247,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    312,  // QGlobalSpace::operator!=(bool, QBool)
    348,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    364,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    388,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    110,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    111,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    133,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    146,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    147,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    148,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    173,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    193,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    203,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    217,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    266,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    313,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    344,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    349,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    378,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    390,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    100,  // QGlobalSpace::operator*(const QPoint&, double)
    116,  // QGlobalSpace::operator*(const QSizeF&, double)
    180,  // QGlobalSpace::operator*(const QPointF&, double)
    228,  // QGlobalSpace::operator*(const QTransform&, double)
    328,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    101,  // QGlobalSpace::operator*(double, const QPointF&)
    103,  // QGlobalSpace::operator*(double, const QSizeF&)
    287,  // QGlobalSpace::operator*(double, const QSize&)
    289,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    108,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    136,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    341,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    366,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    389,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    127,  // QGlobalSpace::operator+(QChar, const QString&)
    202,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    293,  // QGlobalSpace::operator+(const QByteArray&, char)
    317,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    361,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    156,  // QGlobalSpace::operator+(char, const QByteArray&)
    259,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    367,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    396,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    151,  // QGlobalSpace::operator+(const QString&, const char*)
    159,  // QGlobalSpace::operator+(const char*, const QString&)
    204,  // QGlobalSpace::operator+(const QString&, char)
    243,  // QGlobalSpace::operator+(const QString&, const QString&)
    275,  // QGlobalSpace::operator+(char, const QString&)
    0,
    200,  // QGlobalSpace::operator-(const QPointF&)
    350,  // QGlobalSpace::operator-(const QPoint&)
    0,
    119,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    315,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    357,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    386,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    157,  // QGlobalSpace::operator/(const QPoint&, double)
    166,  // QGlobalSpace::operator/(const QTransform&, double)
    190,  // QGlobalSpace::operator/(const QSizeF&, double)
    294,  // QGlobalSpace::operator/(const QPointF&, double)
    373,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    172,  // QGlobalSpace::operator<(QChar, QChar)
    198,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    229,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    359,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    214,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    339,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    105,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    109,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    117,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    126,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    128,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    141,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    150,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    174,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    184,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    201,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    208,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    211,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    227,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    235,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    241,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    269,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    270,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    272,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    273,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    283,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    290,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    291,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    306,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    310,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    318,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    322,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    327,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    336,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    371,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    380,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    355,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    372,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    261,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    298,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    305,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    342,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    254,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    320,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    114,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    121,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    123,  // QGlobalSpace::operator==(QBool, QBool)
    124,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    165,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    182,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    206,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    224,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    255,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    264,  // QGlobalSpace::operator==(QChar, QChar)
    278,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    280,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    284,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    311,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    354,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    392,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    401,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    221,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    329,  // QGlobalSpace::operator==(QString::Null, const QString&)
    332,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    363,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    391,  // QGlobalSpace::operator==(QBool, bool)
    0,
    160,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    186,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    197,  // QGlobalSpace::operator==(const QString&, QString::Null)
    258,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    323,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    376,  // QGlobalSpace::operator==(bool, QBool)
    0,
    194,  // QGlobalSpace::operator>(QChar, QChar)
    232,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    253,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    346,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    118,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    307,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    120,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    205,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    222,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    296,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    175,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    196,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    104,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    139,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    149,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    154,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    162,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    163,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    164,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    178,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    189,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    192,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    199,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    212,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    225,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    240,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    252,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    260,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    262,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    281,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    282,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    304,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    308,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    331,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    333,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    337,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    351,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    360,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    365,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    374,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    263,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    353,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    113,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    115,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    131,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    132,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    143,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    161,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    168,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    177,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    179,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    181,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    185,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    209,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    210,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    216,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, int)
    226,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    233,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    237,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    251,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    257,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    279,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    295,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, int)
    321,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, int)
    324,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    326,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    330,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    335,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    340,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    368,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    382,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    0,
    106,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    112,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    125,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>)
    134,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    135,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>)
    138,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    140,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    144,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    145,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type)
    153,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    155,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    158,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    169,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    171,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    176,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    183,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    187,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    191,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    195,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    207,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    213,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    215,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type)
    223,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>)
    234,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    236,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    238,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    239,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    242,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    248,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    249,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    250,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    256,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    268,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    271,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    274,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    286,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    292,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    297,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    299,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    300,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    301,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    302,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    303,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    309,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    343,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    347,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    352,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    356,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type)
    358,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    362,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    377,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    381,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    385,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    387,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    393,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    394,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    399,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    400,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {8, 5, 18},	// KNS3::Button::Button#
    {8, 6, 17},	// KNS3::Button::Button$$#
    {8, 75, 21},	// KNS3::Button::aboutToShowDialog
    {8, 89, 22},	// KNS3::Button::dialogFinished?
    {8, 117, 10},	// KNS3::Button::metaObject
    {8, 192, 16},	// KNS3::Button::qt_metacall$$?
    {8, 194, 11},	// KNS3::Button::qt_metacast$
    {8, 198, 20},	// KNS3::Button::setButtonText$
    {8, 201, 19},	// KNS3::Button::setConfigFile$
    {8, 208, 23},	// KNS3::Button::showDialog
    {8, 213, 26},	// KNS3::Button::staticMetaObject
    {8, 220, 24},	// KNS3::Button::tr$
    {8, 221, 12},	// KNS3::Button::tr$$
    {8, 222, 14},	// KNS3::Button::tr$$$
    {8, 224, 25},	// KNS3::Button::trUtf8$
    {8, 225, 13},	// KNS3::Button::trUtf8$$
    {8, 226, 15},	// KNS3::Button::trUtf8$$$
    {8, 232, 27},	// KNS3::Button::~Button
    {9, 13, 41},	// KNS3::DownloadDialog::DownloadDialog
    {9, 14, 35},	// KNS3::DownloadDialog::DownloadDialog#
    {9, 15, 42},	// KNS3::DownloadDialog::DownloadDialog$
    {9, 16, 36},	// KNS3::DownloadDialog::DownloadDialog$#
    {9, 80, 37},	// KNS3::DownloadDialog::changedEntries
    {9, 110, 38},	// KNS3::DownloadDialog::installedEntries
    {9, 117, 28},	// KNS3::DownloadDialog::metaObject
    {9, 192, 34},	// KNS3::DownloadDialog::qt_metacall$$?
    {9, 194, 29},	// KNS3::DownloadDialog::qt_metacast$
    {9, 213, 43},	// KNS3::DownloadDialog::staticMetaObject
    {9, 220, 39},	// KNS3::DownloadDialog::tr$
    {9, 221, 30},	// KNS3::DownloadDialog::tr$$
    {9, 222, 32},	// KNS3::DownloadDialog::tr$$$
    {9, 224, 40},	// KNS3::DownloadDialog::trUtf8$
    {9, 225, 31},	// KNS3::DownloadDialog::trUtf8$$
    {9, 226, 33},	// KNS3::DownloadDialog::trUtf8$$$
    {9, 233, 44},	// KNS3::DownloadDialog::~DownloadDialog
    {10, 11, 59},	// KNS3::Entry::Deleted
    {10, 17, 56},	// KNS3::Entry::Downloadable
    {10, 21, 45},	// KNS3::Entry::Entry#
    {10, 25, 57},	// KNS3::Entry::Installed
    {10, 27, 55},	// KNS3::Entry::Invalid
    {10, 66, 58},	// KNS3::Entry::Updateable
    {10, 78, 48},	// KNS3::Entry::category
    {10, 111, 49},	// KNS3::Entry::installedFiles
    {10, 116, 52},	// KNS3::Entry::license
    {10, 125, 47},	// KNS3::Entry::name
    {10, 165, 46},	// KNS3::Entry::operator=#
    {10, 214, 51},	// KNS3::Entry::status
    {10, 216, 53},	// KNS3::Entry::summary
    {10, 227, 50},	// KNS3::Entry::uninstalledFiles
    {10, 228, 54},	// KNS3::Entry::version
    {10, 234, 60},	// KNS3::Entry::~Entry
    {11, 67, 75},	// KNS3::UploadDialog::UploadDialog
    {11, 68, 68},	// KNS3::UploadDialog::UploadDialog#
    {11, 69, 76},	// KNS3::UploadDialog::UploadDialog$
    {11, 70, 69},	// KNS3::UploadDialog::UploadDialog$#
    {11, 76, 72},	// KNS3::UploadDialog::accept
    {11, 117, 61},	// KNS3::UploadDialog::metaObject
    {11, 192, 67},	// KNS3::UploadDialog::qt_metacall$$?
    {11, 194, 62},	// KNS3::UploadDialog::qt_metacast$
    {11, 204, 70},	// KNS3::UploadDialog::setUploadFile#
    {11, 206, 71},	// KNS3::UploadDialog::setUploadName$
    {11, 213, 77},	// KNS3::UploadDialog::staticMetaObject
    {11, 220, 73},	// KNS3::UploadDialog::tr$
    {11, 221, 63},	// KNS3::UploadDialog::tr$$
    {11, 222, 65},	// KNS3::UploadDialog::tr$$$
    {11, 224, 74},	// KNS3::UploadDialog::trUtf8$
    {11, 225, 64},	// KNS3::UploadDialog::trUtf8$$
    {11, 226, 66},	// KNS3::UploadDialog::trUtf8$$$
    {11, 235, 78},	// KNS3::UploadDialog::~UploadDialog
    {38, 28, 416},	// QGlobalSpace::LicensedActiveQt
    {38, 29, 422},	// QGlobalSpace::LicensedCore
    {38, 30, 414},	// QGlobalSpace::LicensedDBus
    {38, 31, 419},	// QGlobalSpace::LicensedDeclarative
    {38, 32, 409},	// QGlobalSpace::LicensedGui
    {38, 33, 428},	// QGlobalSpace::LicensedHelp
    {38, 34, 429},	// QGlobalSpace::LicensedMultimedia
    {38, 35, 432},	// QGlobalSpace::LicensedNetwork
    {38, 36, 421},	// QGlobalSpace::LicensedOpenGL
    {38, 37, 413},	// QGlobalSpace::LicensedOpenVG
    {38, 38, 430},	// QGlobalSpace::LicensedQt3Support
    {38, 39, 411},	// QGlobalSpace::LicensedQt3SupportLight
    {38, 40, 412},	// QGlobalSpace::LicensedScript
    {38, 41, 417},	// QGlobalSpace::LicensedScriptTools
    {38, 42, 420},	// QGlobalSpace::LicensedSql
    {38, 43, 418},	// QGlobalSpace::LicensedSvg
    {38, 44, 415},	// QGlobalSpace::LicensedTest
    {38, 45, 410},	// QGlobalSpace::LicensedXml
    {38, 46, 431},	// QGlobalSpace::LicensedXmlPatterns
    {38, 53, 404},	// QGlobalSpace::Q_COMPLEX_TYPE
    {38, 54, 408},	// QGlobalSpace::Q_DUMMY_TYPE
    {38, 55, 407},	// QGlobalSpace::Q_MOVABLE_TYPE
    {38, 56, 405},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {38, 57, 406},	// QGlobalSpace::Q_STATIC_TYPE
    {38, 58, 425},	// QGlobalSpace::QtCriticalMsg
    {38, 59, 423},	// QGlobalSpace::QtDebugMsg
    {38, 60, 426},	// QGlobalSpace::QtFatalMsg
    {38, 61, 427},	// QGlobalSpace::QtSystemMsg
    {38, 62, 424},	// QGlobalSpace::QtWarningMsg
    {38, 128, -1},	// QGlobalSpace::operator!=##
    {38, 129, -18},	// QGlobalSpace::operator!=#$
    {38, 130, -24},	// QGlobalSpace::operator!=$#
    {38, 131, 245},	// QGlobalSpace::operator!=$$
    {38, 133, -31},	// QGlobalSpace::operator*##
    {38, 134, -48},	// QGlobalSpace::operator*#$
    {38, 135, -54},	// QGlobalSpace::operator*$#
    {38, 137, -59},	// QGlobalSpace::operator+##
    {38, 138, -65},	// QGlobalSpace::operator+#$
    {38, 139, -71},	// QGlobalSpace::operator+$#
    {38, 140, -76},	// QGlobalSpace::operator+$$
    {38, 142, 129},	// QGlobalSpace::operator++$
    {38, 143, 403},	// QGlobalSpace::operator++$$
    {38, 145, -82},	// QGlobalSpace::operator-#
    {38, 146, -85},	// QGlobalSpace::operator-##
    {38, 147, 402},	// QGlobalSpace::operator-#$
    {38, 149, -90},	// QGlobalSpace::operator/#$
    {38, 151, -96},	// QGlobalSpace::operator<##
    {38, 152, 142},	// QGlobalSpace::operator<#$
    {38, 153, -101},	// QGlobalSpace::operator<$#
    {38, 154, 244},	// QGlobalSpace::operator<$$
    {38, 156, -104},	// QGlobalSpace::operator<<##
    {38, 157, -137},	// QGlobalSpace::operator<<#$
    {38, 158, 137},	// QGlobalSpace::operator<<#?
    {38, 160, -140},	// QGlobalSpace::operator<=##
    {38, 161, 219},	// QGlobalSpace::operator<=#$
    {38, 162, -145},	// QGlobalSpace::operator<=$#
    {38, 163, 167},	// QGlobalSpace::operator<=$$
    {38, 167, -148},	// QGlobalSpace::operator==##
    {38, 168, -166},	// QGlobalSpace::operator==#$
    {38, 169, -172},	// QGlobalSpace::operator==$#
    {38, 170, 370},	// QGlobalSpace::operator==$$
    {38, 172, -179},	// QGlobalSpace::operator>##
    {38, 173, 338},	// QGlobalSpace::operator>#$
    {38, 174, -184},	// QGlobalSpace::operator>$#
    {38, 175, 334},	// QGlobalSpace::operator>$$
    {38, 177, -187},	// QGlobalSpace::operator>=##
    {38, 178, 288},	// QGlobalSpace::operator>=#$
    {38, 179, -192},	// QGlobalSpace::operator>=$#
    {38, 180, 379},	// QGlobalSpace::operator>=$$
    {38, 182, -195},	// QGlobalSpace::operator>>##
    {38, 183, -228},	// QGlobalSpace::operator>>#$
    {38, 184, 316},	// QGlobalSpace::operator>>#?
    {38, 186, -231},	// QGlobalSpace::operator|?$
    {38, 187, -261},	// QGlobalSpace::operator|??
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();

static bool initialized = false;
Smoke *knewstuff3_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff3_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    if (initialized) return;
    knewstuff3_Smoke = new Smoke(
        "knewstuff3",
        __smokeknewstuff3::classes, 86,
        __smokeknewstuff3::methods, 484,
        __smokeknewstuff3::methodMaps, 144,
        __smokeknewstuff3::methodNames, 235,
        __smokeknewstuff3::types, 318,
        __smokeknewstuff3::inheritanceList,
        __smokeknewstuff3::argumentList,
        __smokeknewstuff3::ambiguousMethodList,
        __smokeknewstuff3::cast );
    initialized = true;
}

void delete_knewstuff3_Smoke() { delete knewstuff3_Smoke; }

}
