#include <ktexteditor_includes.h>

#include <smoke.h>
#include <ktexteditor_smoke.h>

namespace __smokektexteditor {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAction
      switch(to) {
        case 2: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 3:   //KActionCollection
      switch(to) {
        case 3: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 4:   //KCharsets
      switch(to) {
        case 4: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 5:   //KCompletion
      switch(to) {
        case 5: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 6:   //KComponentData
      switch(to) {
        case 6: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 7:   //KConfig
      switch(to) {
        case 7: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KIcon
      switch(to) {
        case 9: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 10:   //KLocale
      switch(to) {
        case 10: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 11:   //KParts::Factory
      switch(to) {
        case 20: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
        case 92: return (void*)(QObject*)(KParts::Factory*)xptr;
        case 11: return (void*)(KParts::Factory*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
        default: return xptr;
      }
    case 12:   //KParts::GUIActivateEvent
      switch(to) {
        case 12: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 13:   //KParts::Part
      switch(to) {
        case 92: return (void*)(QObject*)(KParts::Part*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 13: return (void*)(KParts::Part*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 14:   //KParts::PartActivateEvent
      switch(to) {
        case 14: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 15:   //KParts::PartBase
      switch(to) {
        case 61: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 15: return (void*)(KParts::PartBase*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 16:   //KParts::PartManager
      switch(to) {
        case 16: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 17:   //KParts::PartSelectEvent
      switch(to) {
        case 17: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 18:   //KParts::ReadOnlyPart
      switch(to) {
        case 13: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 92: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 19:   //KParts::ReadWritePart
      switch(to) {
        case 18: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
        case 13: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
        case 92: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
        case 19: return (void*)(KParts::ReadWritePart*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginFactory
      switch(to) {
        case 92: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 20: return (void*)(KPluginFactory*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 23:   //KTextEditor::AnnotationInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEditor::AnnotationModel
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)xptr;
        default: return xptr;
      }
    case 25:   //KTextEditor::AnnotationViewInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)xptr;
        default: return xptr;
      }
    case 26:   //KTextEditor::Attribute
      switch(to) {
        case 105: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
        case 100: return (void*)(QSharedData*)(KTextEditor::Attribute*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)xptr;
        default: return xptr;
      }
    case 27:   //KTextEditor::CodeCompletionInterface
      switch(to) {
        case 27: return (void*)(KTextEditor::CodeCompletionInterface*)xptr;
        default: return xptr;
      }
    case 28:   //KTextEditor::CodeCompletionModel
      switch(to) {
        case 62: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
        default: return xptr;
      }
    case 29:   //KTextEditor::CodeCompletionModel2
      switch(to) {
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 62: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)xptr;
        default: return xptr;
      }
    case 30:   //KTextEditor::Command
      switch(to) {
        case 30: return (void*)(KTextEditor::Command*)xptr;
        default: return xptr;
      }
    case 31:   //KTextEditor::CommandExtension
      switch(to) {
        case 31: return (void*)(KTextEditor::CommandExtension*)xptr;
        default: return xptr;
      }
    case 32:   //KTextEditor::CommandInterface
      switch(to) {
        case 32: return (void*)(KTextEditor::CommandInterface*)xptr;
        default: return xptr;
      }
    case 33:   //KTextEditor::ConfigInterface
      switch(to) {
        case 33: return (void*)(KTextEditor::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 34:   //KTextEditor::ConfigPage
      switch(to) {
        case 109: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)xptr;
        default: return xptr;
      }
    case 35:   //KTextEditor::ContainerInterface
      switch(to) {
        case 35: return (void*)(KTextEditor::ContainerInterface*)xptr;
        default: return xptr;
      }
    case 36:   //KTextEditor::Cursor
      switch(to) {
        case 36: return (void*)(KTextEditor::Cursor*)xptr;
        case 49: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
        default: return xptr;
      }
    case 37:   //KTextEditor::Document
      switch(to) {
        case 19: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
        case 13: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::Document*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
        case 37: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 38:   //KTextEditor::Editor
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
        case 38: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 39:   //KTextEditor::EditorChooser
      switch(to) {
        case 109: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
        case 39: return (void*)(KTextEditor::EditorChooser*)xptr;
        default: return xptr;
      }
    case 40:   //KTextEditor::Factory
      switch(to) {
        case 11: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
        case 20: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::Factory*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)xptr;
        default: return xptr;
      }
    case 41:   //KTextEditor::Mark
      switch(to) {
        case 41: return (void*)(KTextEditor::Mark*)xptr;
        default: return xptr;
      }
    case 42:   //KTextEditor::MarkInterface
      switch(to) {
        case 42: return (void*)(KTextEditor::MarkInterface*)xptr;
        default: return xptr;
      }
    case 43:   //KTextEditor::MdiContainer
      switch(to) {
        case 43: return (void*)(KTextEditor::MdiContainer*)xptr;
        default: return xptr;
      }
    case 44:   //KTextEditor::ModificationInterface
      switch(to) {
        case 44: return (void*)(KTextEditor::ModificationInterface*)xptr;
        default: return xptr;
      }
    case 45:   //KTextEditor::Plugin
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
        case 45: return (void*)(KTextEditor::Plugin*)xptr;
        default: return xptr;
      }
    case 46:   //KTextEditor::Range
      switch(to) {
        case 46: return (void*)(KTextEditor::Range*)xptr;
        case 53: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
        default: return xptr;
      }
    case 47:   //KTextEditor::SearchInterface
      switch(to) {
        case 47: return (void*)(KTextEditor::SearchInterface*)xptr;
        default: return xptr;
      }
    case 48:   //KTextEditor::SessionConfigInterface
      switch(to) {
        case 48: return (void*)(KTextEditor::SessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 49:   //KTextEditor::SmartCursor
      switch(to) {
        case 36: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
        case 49: return (void*)(KTextEditor::SmartCursor*)xptr;
        default: return xptr;
      }
    case 50:   //KTextEditor::SmartCursorNotifier
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
        case 50: return (void*)(KTextEditor::SmartCursorNotifier*)xptr;
        default: return xptr;
      }
    case 51:   //KTextEditor::SmartCursorWatcher
      switch(to) {
        case 51: return (void*)(KTextEditor::SmartCursorWatcher*)xptr;
        default: return xptr;
      }
    case 52:   //KTextEditor::SmartInterface
      switch(to) {
        case 52: return (void*)(KTextEditor::SmartInterface*)xptr;
        default: return xptr;
      }
    case 53:   //KTextEditor::SmartRange
      switch(to) {
        case 46: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
        case 53: return (void*)(KTextEditor::SmartRange*)xptr;
        default: return xptr;
      }
    case 54:   //KTextEditor::SmartRangeNotifier
      switch(to) {
        case 92: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
        case 54: return (void*)(KTextEditor::SmartRangeNotifier*)xptr;
        default: return xptr;
      }
    case 55:   //KTextEditor::SmartRangeWatcher
      switch(to) {
        case 55: return (void*)(KTextEditor::SmartRangeWatcher*)xptr;
        default: return xptr;
      }
    case 56:   //KTextEditor::TemplateInterface
      switch(to) {
        case 56: return (void*)(KTextEditor::TemplateInterface*)xptr;
        default: return xptr;
      }
    case 57:   //KTextEditor::TextHintInterface
      switch(to) {
        case 57: return (void*)(KTextEditor::TextHintInterface*)xptr;
        default: return xptr;
      }
    case 58:   //KTextEditor::VariableInterface
      switch(to) {
        case 58: return (void*)(KTextEditor::VariableInterface*)xptr;
        default: return xptr;
      }
    case 59:   //KTextEditor::View
      switch(to) {
        case 109: return (void*)(QWidget*)(KTextEditor::View*)xptr;
        case 92: return (void*)(QObject*)(KTextEditor::View*)xptr;
        case 61: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
        case 59: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 60:   //KUrl
      switch(to) {
        case 60: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 61:   //KXMLGUIClient
      switch(to) {
        case 61: return (void*)(KXMLGUIClient*)xptr;
        case 37: return (void*)dynamic_cast<KTextEditor::Document*>((KXMLGUIClient*)xptr);
        case 59: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 62:   //QAbstractItemModel
      switch(to) {
        case 92: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 62: return (void*)(QAbstractItemModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 63:   //QAction
      switch(to) {
        case 63: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 64:   //QActionEvent
      switch(to) {
        case 64: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QBool
      switch(to) {
        case 65: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 66:   //QBrush
      switch(to) {
        case 66: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 67:   //QChar
      switch(to) {
        case 67: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 68:   //QChildEvent
      switch(to) {
        case 77: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 68: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QCloseEvent
      switch(to) {
        case 69: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QContextMenuEvent
      switch(to) {
        case 70: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QDomDocument
      switch(to) {
        case 71: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 72:   //QDomElement
      switch(to) {
        case 72: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 73:   //QDragEnterEvent
      switch(to) {
        case 73: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QDragLeaveEvent
      switch(to) {
        case 74: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QDragMoveEvent
      switch(to) {
        case 75: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QDropEvent
      switch(to) {
        case 76: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QEvent
      switch(to) {
        case 77: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QFocusEvent
      switch(to) {
        case 78: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QFont
      switch(to) {
        case 79: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 81:   //QHideEvent
      switch(to) {
        case 81: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QIncompatibleFlag
      switch(to) {
        case 82: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 83:   //QInputMethodEvent
      switch(to) {
        case 83: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QKeyEvent
      switch(to) {
        case 84: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QMenu
      switch(to) {
        case 85: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 86:   //QMetaObject
      switch(to) {
        case 86: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 87:   //QMimeData
      switch(to) {
        case 87: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 88:   //QModelIndex
      switch(to) {
        case 88: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 89:   //QMouseEvent
      switch(to) {
        case 89: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QMoveEvent
      switch(to) {
        case 90: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 91:   //QMutex
      switch(to) {
        case 91: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 92:   //QObject
      switch(to) {
        case 92: return (void*)(QObject*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
        case 40: return (void*)(KTextEditor::Factory*)(QObject*)xptr;
        case 45: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
        case 38: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
        case 50: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
        case 37: return (void*)(KTextEditor::Document*)(QObject*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
        case 39: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
        case 59: return (void*)(KTextEditor::View*)(QObject*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
        case 54: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
        default: return xptr;
      }
    case 93:   //QPaintEngine
      switch(to) {
        case 93: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 94:   //QPaintEvent
      switch(to) {
        case 94: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QPalette
      switch(to) {
        case 95: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 96:   //QPixmap
      switch(to) {
        case 96: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 97:   //QPoint
      switch(to) {
        case 97: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 98:   //QRegExp
      switch(to) {
        case 98: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 99:   //QResizeEvent
      switch(to) {
        case 99: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 100:   //QSharedData
      switch(to) {
        case 100: return (void*)(QSharedData*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 101:   //QShowEvent
      switch(to) {
        case 101: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QSize
      switch(to) {
        case 102: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 103:   //QStyle
      switch(to) {
        case 103: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 104:   //QTabletEvent
      switch(to) {
        case 104: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 105:   //QTextCharFormat
      switch(to) {
        case 105: return (void*)(QTextCharFormat*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
        default: return xptr;
      }
    case 106:   //QTimerEvent
      switch(to) {
        case 77: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 106: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 107:   //QVariant
      switch(to) {
        case 107: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 108:   //QWheelEvent
      switch(to) {
        case 108: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 109:   //QWidget
      switch(to) {
        case 92: return (void*)(QObject*)(QWidget*)xptr;
        case 109: return (void*)(QWidget*)xptr;
        case 39: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
        case 59: return (void*)(KTextEditor::View*)(QWidget*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    92, 0,	// 1: QObject
    23, 0,	// 3: KTextEditor::AnnotationInterface
    105, 100, 0,	// 5: QTextCharFormat, QSharedData
    62, 0,	// 8: QAbstractItemModel
    28, 0,	// 10: KTextEditor::CodeCompletionModel
    109, 0,	// 12: QWidget
    19, 0,	// 14: KParts::ReadWritePart
    11, 0,	// 16: KParts::Factory
    36, 0,	// 18: KTextEditor::Cursor
    46, 0,	// 20: KTextEditor::Range
    109, 61, 0,	// 22: QWidget, KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextListFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextFrameFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ViewBarContainer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ParameterizedSessionConfigInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextLength(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIcon(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KAction", true, 0, 0, 0, 0, 0 },	//2
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//3
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//4
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//5
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//6
    { "KConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KIcon", true, 0, 0, 0, 0, 0 },	//9
    { "KLocale", true, 0, 0, 0, 0, 0 },	//10
    { "KParts::Factory", true, 0, 0, 0, 0, 0 },	//11
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//12
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//13
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//14
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//15
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//16
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//17
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//18
    { "KParts::ReadWritePart", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginFactory", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_namespace, 0 },	//22
    { "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationInterface) },	//23
    { "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationModel) },	//24
    { "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationViewInterface) },	//25
    { "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Attribute) },	//26
    { "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionInterface) },	//27
    { "KTextEditor::CodeCompletionModel", false, 8, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel) },	//28
    { "KTextEditor::CodeCompletionModel2", false, 10, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel2) },	//29
    { "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Command) },	//30
    { "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandExtension) },	//31
    { "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandInterface) },	//32
    { "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ConfigInterface) },	//33
    { "KTextEditor::ConfigPage", false, 12, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::ConfigPage) },	//34
    { "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ContainerInterface) },	//35
    { "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Cursor) },	//36
    { "KTextEditor::Document", false, 14, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Document) },	//37
    { "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Editor) },	//38
    { "KTextEditor::EditorChooser", false, 12, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::EditorChooser) },	//39
    { "KTextEditor::Factory", false, 16, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Factory) },	//40
    { "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::Mark) },	//41
    { "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MarkInterface) },	//42
    { "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MdiContainer) },	//43
    { "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ModificationInterface) },	//44
    { "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Plugin) },	//45
    { "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Range) },	//46
    { "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SearchInterface) },	//47
    { "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SessionConfigInterface) },	//48
    { "KTextEditor::SmartCursor", false, 18, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursor) },	//49
    { "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorNotifier) },	//50
    { "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorWatcher) },	//51
    { "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartInterface) },	//52
    { "KTextEditor::SmartRange", false, 20, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRange) },	//53
    { "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeNotifier) },	//54
    { "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeWatcher) },	//55
    { "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TemplateInterface) },	//56
    { "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TextHintInterface) },	//57
    { "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::VariableInterface) },	//58
    { "KTextEditor::View", false, 22, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::View) },	//59
    { "KUrl", true, 0, 0, 0, 0, 0 },	//60
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//61
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//62
    { "QAction", true, 0, 0, 0, 0, 0 },	//63
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QBool", true, 0, 0, 0, 0, 0 },	//65
    { "QBrush", true, 0, 0, 0, 0, 0 },	//66
    { "QChar", true, 0, 0, 0, 0, 0 },	//67
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//71
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//72
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QFont", true, 0, 0, 0, 0, 0 },	//79
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//80
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//82
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QMenu", true, 0, 0, 0, 0, 0 },	//85
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//86
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//87
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//88
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//90
    { "QMutex", true, 0, 0, 0, 0, 0 },	//91
    { "QObject", true, 0, 0, 0, 0, 0 },	//92
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//93
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QPalette", true, 0, 0, 0, 0, 0 },	//95
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//96
    { "QPoint", true, 0, 0, 0, 0, 0 },	//97
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//98
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//99
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//100
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QSize", true, 0, 0, 0, 0, 0 },	//102
    { "QStyle", true, 0, 0, 0, 0, 0 },	//103
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//104
    { "QTextCharFormat", true, 0, 0, 0, 0, 0 },	//105
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//106
    { "QVariant", true, 0, 0, 0, 0, 0 },	//107
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//108
    { "QWidget", true, 0, 0, 0, 0, 0 },	//109
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCompletion*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfig*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KIcon", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "KLocale*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KParts::GUIActivateEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KParts::Part*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KParts::PartActivateEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KParts::PartManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KParts::PartSelectEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KSycocaFactoryId", 80, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KSycocaType", 80, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KTextEditor::AnnotationInterface*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KTextEditor::AnnotationModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KTextEditor::AnnotationViewInterface*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref },	//25
    { "KTextEditor::Attribute*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEditor::Attribute::ActivationType", 26, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KTextEditor::Attribute::CustomProperties", 26, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KTextEditor::Attribute::Effect", 26, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KTextEditor::Attribute::Effects", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "KTextEditor::Attribute::Effects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "KTextEditor::CodeCompletionInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KTextEditor::CodeCompletionModel*", 28, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KTextEditor::CodeCompletionModel2*", 29, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KTextEditor::CodeCompletionModel::Columns", 28, Smoke::t_enum|Smoke::tf_stack },	//35
    { "KTextEditor::CodeCompletionModel::CompletionProperties::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "KTextEditor::CodeCompletionModel::CompletionProperty", 28, Smoke::t_enum|Smoke::tf_stack },	//37
    { "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 28, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KTextEditor::CodeCompletionModel::HighlightMethod", 28, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KTextEditor::CodeCompletionModel::HighlightMethods::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "KTextEditor::CodeCompletionModel::InvocationType", 28, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KTextEditor::Command*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KTextEditor::CommandExtension*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KTextEditor::CommandInterface*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KTextEditor::ConfigInterface*", 33, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KTextEditor::ConfigPage*", 34, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KTextEditor::ContainerInterface*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "KTextEditor::Cursor", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "KTextEditor::Cursor&", 36, Smoke::t_class|Smoke::tf_ref },	//49
    { "KTextEditor::Cursor*", 36, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KTextEditor::Document*", 37, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KTextEditor::Editor*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KTextEditor::EditorChooser*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KTextEditor::Factory*", 40, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KTextEditor::Mark", 41, Smoke::t_class|Smoke::tf_stack },	//55
    { "KTextEditor::Mark*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KTextEditor::MarkInterface*", 42, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KTextEditor::MarkInterface::MarkChangeAction", 42, Smoke::t_enum|Smoke::tf_stack },	//58
    { "KTextEditor::MarkInterface::MarkTypes", 42, Smoke::t_enum|Smoke::tf_stack },	//59
    { "KTextEditor::MdiContainer*", 43, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KTextEditor::ModificationInterface*", 44, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 44, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KTextEditor::Plugin*", 45, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KTextEditor::Range", 46, Smoke::t_class|Smoke::tf_stack },	//64
    { "KTextEditor::Range&", 46, Smoke::t_class|Smoke::tf_ref },	//65
    { "KTextEditor::Range*", 46, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KTextEditor::Search::SearchOptions", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "KTextEditor::Search::SearchOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "KTextEditor::Search::SearchOptionsEnum", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "KTextEditor::SearchInterface*", 47, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KTextEditor::SessionConfigInterface*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KTextEditor::SmartCursor&", 49, Smoke::t_class|Smoke::tf_ref },	//72
    { "KTextEditor::SmartCursor*", 49, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KTextEditor::SmartCursor::AdvanceMode", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "KTextEditor::SmartCursor::InsertBehavior", 49, Smoke::t_enum|Smoke::tf_stack },	//75
    { "KTextEditor::SmartCursorNotifier*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "KTextEditor::SmartCursorWatcher*", 51, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KTextEditor::SmartInterface*", 52, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KTextEditor::SmartRange&", 53, Smoke::t_class|Smoke::tf_ref },	//79
    { "KTextEditor::SmartRange*", 53, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KTextEditor::SmartRange::InsertBehavior", 53, Smoke::t_enum|Smoke::tf_stack },	//81
    { "KTextEditor::SmartRange::InsertBehaviors", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "KTextEditor::SmartRange::InsertBehaviors::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "KTextEditor::SmartRangeNotifier*", 54, Smoke::t_class|Smoke::tf_ptr },	//84
    { "KTextEditor::SmartRangeWatcher*", 55, Smoke::t_class|Smoke::tf_ptr },	//85
    { "KTextEditor::TemplateInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//86
    { "KTextEditor::TextHintInterface*", 57, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KTextEditor::VariableInterface*", 58, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KTextEditor::View*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "KTextEditor::View::EditMode", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "KXMLGUIClient::ReverseStateChange", 61, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QAction*", 63, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QActionEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QBool", 65, Smoke::t_class|Smoke::tf_stack },	//94
    { "QBrush", 66, Smoke::t_class|Smoke::tf_stack },	//95
    { "QChar", 67, Smoke::t_class|Smoke::tf_stack },	//96
    { "QChildEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QCloseEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QContextMenuEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QDomDocument", 71, Smoke::t_class|Smoke::tf_stack },	//100
    { "QDragEnterEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QDragLeaveEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QDragMoveEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QDropEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QFlags<KTextEditor::Attribute::Effects::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QFlags<KTextEditor::Search::SearchOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QFocusEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QHideEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QIncompatibleFlag", 82, Smoke::t_class|Smoke::tf_stack },	//113
    { "QInputMethodEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QKeyEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QList<KTextEditor::Command*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//119
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QMenu*", 85, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QMetaObject::Call", 86, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QMimeData*", 87, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QModelIndex", 88, Smoke::t_class|Smoke::tf_stack },	//124
    { "QMouseEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QMoveEvent*", 90, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QMutex*", 91, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QObject*", 92, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QPaintEngine*", 93, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QPaintEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QPixmap", 96, Smoke::t_class|Smoke::tf_stack },	//132
    { "QPoint", 97, Smoke::t_class|Smoke::tf_stack },	//133
    { "QRegExp&", 98, Smoke::t_class|Smoke::tf_ref },	//134
    { "QResizeEvent*", 99, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QShowEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QSize", 102, Smoke::t_class|Smoke::tf_stack },	//137
    { "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//138
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//140
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//141
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//142
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//143
    { "QStyle&", 103, Smoke::t_class|Smoke::tf_ref },	//144
    { "QTabletEvent*", 104, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QTimerEvent*", 106, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QVariant", 107, Smoke::t_class|Smoke::tf_stack },	//147
    { "QVector<KTextEditor::Range>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QWheelEvent*", 108, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QWidget*", 109, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//173
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//188
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//195
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtMsgType", 80, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForActiveQtModule", 80, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForCoreModule", 80, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForDBusModule", 80, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForDeclarativeModule", 80, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForGuiModule", 80, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForHelpModule", 80, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForMultimediaModule", 80, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForNetworkModule", 80, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForOpenGLModule", 80, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForOpenVGModule", 80, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForQt3SupportLightModule", 80, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForQt3SupportModule", 80, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForScriptModule", 80, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForScriptToolsModule", 80, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForSqlModule", 80, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForSvgModule", 80, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForTestModule", 80, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForXmlModule", 80, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForXmlPatternsModule", 80, Smoke::t_enum|Smoke::tf_stack },	//244
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//245
    { "__codecvt_result", 80, Smoke::t_enum|Smoke::tf_stack },	//246
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//247
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//248
    { "const KComponentData&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const KTextEditor::AnnotationInterface&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const KTextEditor::AnnotationViewInterface&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const KTextEditor::CodeCompletionInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const KTextEditor::Command&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const KTextEditor::CommandExtension&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const KTextEditor::CommandInterface&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const KTextEditor::ConfigInterface&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const KTextEditor::ContainerInterface&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const KTextEditor::Cursor&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const KTextEditor::Mark&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const KTextEditor::MarkInterface&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const KTextEditor::MdiContainer&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const KTextEditor::ModificationInterface&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const KTextEditor::Range&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const KTextEditor::Search::SearchOptions", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//266
    { "const KTextEditor::SearchInterface&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const KTextEditor::SessionConfigInterface&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const KTextEditor::SmartCursor&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const KTextEditor::SmartCursorWatcher&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const KTextEditor::SmartInterface&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const KTextEditor::SmartRange&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const KTextEditor::SmartRange*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const KTextEditor::SmartRangeWatcher&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const KTextEditor::TemplateInterface&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const KTextEditor::TextHintInterface&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const KTextEditor::VariableInterface&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const KUrl&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QBrush&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QDomDocument&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QDomElement&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QFont&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QList<KAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//288
    { "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QMetaObject&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QMetaObject*", 86, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//296
    { "const QMimeData*", 87, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const QModelIndex&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QObject*", 92, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const QPalette&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QPixmap&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QPoint&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QRegExp&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//306
    { "const QVariant&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//308
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//309
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//310
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//311
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//312
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//313
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//314
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//315
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//316
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//317
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    150, 128, 308, 305, 0,	//1  QWidget*, QObject*, const char*, const QStringList&
    128, 308, 305, 0,	//6  QObject*, const char*, const QStringList&
    150, 0,	//10  QWidget*
    14, 0,	//12  KParts::PartManager*
    150, 302, 0,	//14  QWidget*, const QPoint&
    247, 0,	//17  bool
    105, 0,	//19  QEvent*
    13, 0,	//21  KParts::PartActivateEvent*
    15, 0,	//23  KParts::PartSelectEvent*
    249, 0,	//25  const KComponentData&
    249, 247, 0,	//27  const KComponentData&, bool
    278, 0,	//30  const KUrl&
    11, 0,	//32  KParts::GUIActivateEvent*
    308, 150, 128, 292, 304, 0,	//34  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    40, 108, 0,	//40  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>
    83, 83, 0,	//43  KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type
    40, 311, 0,	//46  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int
    31, 31, 0,	//49  KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type
    36, 107, 0,	//52  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>
    83, 311, 0,	//55  KTextEditor::SmartRange::InsertBehaviors::enum_type, int
    83, 110, 0,	//58  KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>
    31, 106, 0,	//61  KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>
    36, 36, 0,	//64  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type
    31, 311, 0,	//67  KTextEditor::Attribute::Effects::enum_type, int
    308, 0,	//70  const char*
    16, 128, 0,	//72  KSharedPtr<KService>, QObject*
    36, 311, 0,	//75  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int
    40, 40, 0,	//78  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type
    23, 0,	//81  KTextEditor::AnnotationModel*
    251, 0,	//83  const KTextEditor::AnnotationInterface&
    308, 308, 0,	//85  const char*, const char*
    308, 308, 311, 0,	//88  const char*, const char*, int
    122, 311, 316, 0,	//92  QMetaObject::Call, int, void**
    311, 186, 0,	//96  int, Qt::ItemDataRole
    311, 0,	//99  int
    89, 121, 311, 0,	//101  KTextEditor::View*, QMenu*, int
    89, 311, 0,	//105  KTextEditor::View*, int
    89, 247, 0,	//108  KTextEditor::View*, bool
    252, 0,	//111  const KTextEditor::AnnotationViewInterface&
    253, 0,	//113  const KTextEditor::Attribute&
    279, 0,	//115  const QBrush&
    27, 0,	//117  KTextEditor::Attribute::ActivationType
    27, 18, 0,	//119  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>
    30, 0,	//122  KTextEditor::Attribute::Effects
    265, 33, 0,	//124  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*
    33, 0,	//127  KTextEditor::CodeCompletionModel*
    254, 0,	//129  const KTextEditor::CodeCompletionInterface&
    128, 0,	//131  QObject*
    89, 265, 41, 0,	//133  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType
    51, 265, 311, 0,	//137  KTextEditor::Document*, const KTextEditor::Range&, int
    298, 0,	//141  const QModelIndex&
    311, 311, 298, 0,	//143  int, int, const QModelIndex&
    33, 247, 0,	//147  KTextEditor::CodeCompletionModel*, bool
    311, 311, 0,	//150  int, int
    51, 265, 298, 0,	//153  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&
    89, 304, 140, 0,	//157  KTextEditor::View*, const QString&, QString&
    255, 0,	//161  const KTextEditor::Command&
    142, 0,	//163  QStringList&
    89, 304, 0,	//165  KTextEditor::View*, const QString&
    304, 0,	//168  const QString&
    256, 0,	//170  const KTextEditor::CommandExtension&
    42, 0,	//172  KTextEditor::Command*
    257, 0,	//174  const KTextEditor::CommandInterface&
    304, 307, 0,	//176  const QString&, const QVariant&
    258, 0,	//179  const KTextEditor::ConfigInterface&
    259, 0,	//181  const KTextEditor::ContainerInterface&
    260, 0,	//183  const KTextEditor::Cursor&
    312, 312, 0,	//185  int&, int&
    66, 0,	//188  KTextEditor::Range*
    51, 89, 0,	//190  KTextEditor::Document*, KTextEditor::View*
    51, 0,	//193  KTextEditor::Document*
    51, 247, 0,	//195  KTextEditor::Document*, bool
    265, 247, 0,	//198  const KTextEditor::Range&, bool
    305, 0,	//201  const QStringList&
    260, 304, 247, 0,	//203  const KTextEditor::Cursor&, const QString&, bool
    260, 305, 247, 0,	//207  const KTextEditor::Cursor&, const QStringList&, bool
    265, 304, 247, 0,	//211  const KTextEditor::Range&, const QString&, bool
    265, 305, 247, 0,	//215  const KTextEditor::Range&, const QStringList&, bool
    311, 304, 0,	//219  int, const QString&
    311, 305, 0,	//222  int, const QStringList&
    51, 265, 0,	//225  KTextEditor::Document*, const KTextEditor::Range&
    51, 265, 265, 0,	//228  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&
    265, 0,	//232  const KTextEditor::Range&
    260, 304, 0,	//234  const KTextEditor::Cursor&, const QString&
    260, 305, 0,	//237  const KTextEditor::Cursor&, const QStringList&
    265, 304, 0,	//240  const KTextEditor::Range&, const QString&
    265, 305, 0,	//243  const KTextEditor::Range&, const QStringList&
    6, 0,	//246  KConfig*
    311, 150, 0,	//248  int, QWidget*
    52, 51, 0,	//251  KTextEditor::Editor*, KTextEditor::Document*
    304, 247, 0,	//254  const QString&, bool
    261, 0,	//257  const KTextEditor::Mark&
    314, 0,	//259  unsigned int
    311, 314, 0,	//261  int, unsigned int
    59, 301, 0,	//264  KTextEditor::MarkInterface::MarkTypes, const QPixmap&
    59, 0,	//267  KTextEditor::MarkInterface::MarkTypes
    59, 304, 0,	//269  KTextEditor::MarkInterface::MarkTypes, const QString&
    51, 55, 58, 0,	//272  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction
    262, 0,	//276  const KTextEditor::MarkInterface&
    89, 0,	//278  KTextEditor::View*
    263, 0,	//280  const KTextEditor::MdiContainer&
    62, 0,	//282  KTextEditor::ModificationInterface::ModifiedOnDiskReason
    51, 247, 62, 0,	//284  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason
    264, 0,	//288  const KTextEditor::ModificationInterface&
    260, 260, 0,	//290  const KTextEditor::Cursor&, const KTextEditor::Cursor&
    260, 311, 0,	//293  const KTextEditor::Cursor&, int
    260, 311, 311, 0,	//296  const KTextEditor::Cursor&, int, int
    311, 311, 311, 311, 0,	//300  int, int, int, int
    50, 50, 0,	//305  KTextEditor::Cursor*, KTextEditor::Cursor*
    50, 265, 0,	//308  KTextEditor::Cursor*, const KTextEditor::Range&
    50, 0,	//311  KTextEditor::Cursor*
    265, 304, 266, 0,	//313  const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions
    267, 0,	//317  const KTextEditor::SearchInterface&
    250, 0,	//319  const KConfigGroup&
    7, 0,	//321  KConfigGroup&
    268, 0,	//323  const KTextEditor::SessionConfigInterface&
    305, 247, 0,	//325  const QStringList&, bool
    311, 74, 0,	//328  int, KTextEditor::SmartCursor::AdvanceMode
    75, 0,	//331  KTextEditor::SmartCursor::InsertBehavior
    77, 0,	//333  KTextEditor::SmartCursorWatcher*
    269, 0,	//335  const KTextEditor::SmartCursor&
    260, 51, 75, 0,	//337  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior
    73, 0,	//341  KTextEditor::SmartCursor*
    73, 247, 0,	//343  KTextEditor::SmartCursor*, bool
    270, 0,	//346  const KTextEditor::SmartCursorWatcher&
    260, 75, 0,	//348  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior
    265, 82, 0,	//351  const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors
    311, 311, 75, 0,	//354  int, int, KTextEditor::SmartCursor::InsertBehavior
    265, 80, 82, 0,	//358  const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    260, 260, 80, 82, 0,	//362  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    311, 311, 311, 311, 80, 82, 0,	//367  int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    73, 73, 80, 82, 0,	//374  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors
    80, 0,	//379  KTextEditor::SmartRange*
    80, 247, 0,	//381  KTextEditor::SmartRange*, bool
    89, 80, 247, 0,	//384  KTextEditor::View*, KTextEditor::SmartRange*, bool
    89, 80, 0,	//388  KTextEditor::View*, KTextEditor::SmartRange*
    18, 0,	//391  KSharedPtr<KTextEditor::Attribute>
    271, 0,	//393  const KTextEditor::SmartInterface&
    265, 80, 0,	//395  const KTextEditor::Range&, KTextEditor::SmartRange*
    260, 260, 80, 0,	//398  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*
    311, 311, 311, 311, 80, 0,	//402  int, int, int, int, KTextEditor::SmartRange*
    73, 73, 0,	//408  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*
    73, 73, 80, 0,	//411  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*
    82, 0,	//415  KTextEditor::SmartRange::InsertBehaviors
    273, 0,	//417  const KTextEditor::SmartRange*
    260, 138, 138, 0,	//419  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*
    1, 0,	//423  KAction*
    84, 0,	//425  KTextEditor::SmartRangeNotifier*
    85, 0,	//427  KTextEditor::SmartRangeWatcher*
    272, 0,	//429  const KTextEditor::SmartRange&
    260, 138, 0,	//431  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*
    80, 80, 0,	//434  KTextEditor::SmartRange*, KTextEditor::SmartRange*
    80, 89, 0,	//437  KTextEditor::SmartRange*, KTextEditor::View*
    80, 80, 80, 0,	//440  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*
    80, 18, 18, 0,	//444  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>
    274, 0,	//448  const KTextEditor::SmartRangeWatcher&
    119, 150, 0,	//450  QMap<QString,QString>&, QWidget*
    260, 304, 293, 0,	//453  const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&
    275, 0,	//457  const KTextEditor::TemplateInterface&
    260, 140, 0,	//459  const KTextEditor::Cursor&, QString&
    276, 0,	//462  const KTextEditor::TextHintInterface&
    51, 304, 304, 0,	//464  KTextEditor::Document*, const QString&, const QString&
    277, 0,	//468  const KTextEditor::VariableInterface&
    89, 90, 0,	//470  KTextEditor::View*, KTextEditor::View::EditMode
    89, 260, 304, 0,	//473  KTextEditor::View*, const KTextEditor::Cursor&, const QString&
    121, 0,	//477  QMenu*
    89, 121, 0,	//479  KTextEditor::View*, QMenu*
    48, 0,	//482  KTextEditor::Cursor
    89, 260, 0,	//484  KTextEditor::View*, const KTextEditor::Cursor&
    260, 311, 247, 0,	//487  const KTextEditor::Cursor&, int, bool
    281, 0,	//491  const QDomElement&
    304, 247, 247, 0,	//493  const QString&, bool, bool
    280, 247, 0,	//497  const QDomDocument&, bool
    304, 91, 0,	//500  const QString&, KXMLGUIClient::ReverseStateChange
    311, 315, 0,	//503  int, void*
    298, 311, 0,	//506  const QModelIndex&, int
    298, 307, 311, 0,	//509  const QModelIndex&, const QVariant&, int
    311, 199, 311, 0,	//513  int, Qt::Orientation, int
    311, 199, 307, 311, 0,	//517  int, Qt::Orientation, const QVariant&, int
    298, 294, 0,	//522  const QModelIndex&, const QMap<int,QVariant>&
    291, 0,	//525  const QList<QModelIndex>&
    297, 172, 311, 311, 298, 0,	//527  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    311, 207, 0,	//533  int, Qt::SortOrder
    298, 311, 307, 311, 195, 0,	//536  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    128, 105, 0,	//542  QObject*, QEvent*
    146, 0,	//545  QTimerEvent*
    97, 0,	//547  QChildEvent*
    125, 0,	//549  QMouseEvent*
    149, 0,	//551  QWheelEvent*
    115, 0,	//553  QKeyEvent*
    111, 0,	//555  QFocusEvent*
    131, 0,	//557  QPaintEvent*
    126, 0,	//559  QMoveEvent*
    135, 0,	//561  QResizeEvent*
    98, 0,	//563  QCloseEvent*
    99, 0,	//565  QContextMenuEvent*
    145, 0,	//567  QTabletEvent*
    93, 0,	//569  QActionEvent*
    101, 0,	//571  QDragEnterEvent*
    103, 0,	//573  QDragMoveEvent*
    102, 0,	//575  QDragLeaveEvent*
    104, 0,	//577  QDropEvent*
    136, 0,	//579  QShowEvent*
    112, 0,	//581  QHideEvent*
    245, 0,	//583  _XEvent*
    129, 0,	//585  QPaintDevice::PaintDeviceMetric
    114, 0,	//587  QInputMethodEvent*
    185, 0,	//589  Qt::InputMethodQuery
    144, 0,	//591  QStyle&
    300, 0,	//593  const QPalette&
    282, 0,	//595  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeDynamicEffect",	//15
    "AttributeInternalProperty",	//16
    "AttributeUserProperty",	//17
    "AutomaticInvocation",	//18
    "BackgroundFillWhitespace",	//19
    "BestMatchesCount",	//20
    "Bookmark",	//21
    "BreakpointActive",	//22
    "BreakpointDisabled",	//23
    "BreakpointReached",	//24
    "ByCharacter",	//25
    "ByCursorPosition",	//26
    "Class",	//27
    "CodeCompletionInterface",	//28
    "CodeCompletionInterface#",	//29
    "CodeCompletionModel",	//30
    "CodeCompletionModel#",	//31
    "CodeCompletionModel2",	//32
    "CodeCompletionModel2#",	//33
    "ColumnCount",	//34
    "Command",	//35
    "Command#",	//36
    "CommandExtension",	//37
    "CommandExtension#",	//38
    "CommandInterface",	//39
    "CommandInterface#",	//40
    "CompletionRole",	//41
    "ConfigInterface",	//42
    "ConfigInterface#",	//43
    "ConfigPage",	//44
    "ConfigPage#",	//45
    "Const",	//46
    "ContainerInterface",	//47
    "ContainerInterface#",	//48
    "Cursor",	//49
    "Cursor#",	//50
    "Cursor$$",	//51
    "CustomHighlight",	//52
    "CustomHighlighting",	//53
    "DoNotExpand",	//54
    "DoNotLoadPlugins",	//55
    "Document",	//56
    "Document#",	//57
    "DrawChildren",	//58
    "DrawWindowBackground",	//59
    "EditInsert",	//60
    "EditOverwrite",	//61
    "Editor",	//62
    "Editor#",	//63
    "EditorChooser",	//64
    "EditorChooser#",	//65
    "EffectCycleGradient",	//66
    "EffectFadeIn",	//67
    "EffectFadeOut",	//68
    "EffectNone",	//69
    "EffectPulse",	//70
    "Enum",	//71
    "Error",	//72
    "Execution",	//73
    "ExpandLeft",	//74
    "ExpandRight",	//75
    "ExpandingWidget",	//76
    "Factory",	//77
    "Factory#",	//78
    "FirstProperty",	//79
    "Friend",	//80
    "Function",	//81
    "GlobalScope",	//82
    "GroupRole",	//83
    "HighlightingMethod",	//84
    "Icon",	//85
    "IgnoreMask",	//86
    "InheritanceDepth",	//87
    "Inline",	//88
    "InternalHighlighting",	//89
    "IsExpandable",	//90
    "ItemSelected",	//91
    "KST_CTimeInfo",	//92
    "KST_KCustom",	//93
    "KST_KDEDesktopMimeType",	//94
    "KST_KFolderMimeType",	//95
    "KST_KImageIO",	//96
    "KST_KImageIOFormat",	//97
    "KST_KMimeType",	//98
    "KST_KMimeTypeFactory",	//99
    "KST_KProtocolInfo",	//100
    "KST_KProtocolInfoFactory",	//101
    "KST_KService",	//102
    "KST_KServiceFactory",	//103
    "KST_KServiceGroup",	//104
    "KST_KServiceGroupFactory",	//105
    "KST_KServiceSeparator",	//106
    "KST_KServiceType",	//107
    "KST_KServiceTypeFactory",	//108
    "KST_KSycocaEntry",	//109
    "LastItemDataRole",	//110
    "LastProperty",	//111
    "LicensedActiveQt",	//112
    "LicensedCore",	//113
    "LicensedDBus",	//114
    "LicensedDeclarative",	//115
    "LicensedGui",	//116
    "LicensedHelp",	//117
    "LicensedMultimedia",	//118
    "LicensedNetwork",	//119
    "LicensedOpenGL",	//120
    "LicensedOpenVG",	//121
    "LicensedQt3Support",	//122
    "LicensedQt3SupportLight",	//123
    "LicensedScript",	//124
    "LicensedScriptTools",	//125
    "LicensedSql",	//126
    "LicensedSvg",	//127
    "LicensedTest",	//128
    "LicensedXml",	//129
    "LicensedXmlPatterns",	//130
    "LoadPlugins",	//131
    "LoadPluginsIfEnabled",	//132
    "LocalScope",	//133
    "ManualInvocation",	//134
    "Mark",	//135
    "Mark#",	//136
    "MarkAdded",	//137
    "MarkInterface",	//138
    "MarkInterface#",	//139
    "MarkRemoved",	//140
    "MatchQuality",	//141
    "MdiContainer",	//142
    "MdiContainer#",	//143
    "ModificationInterface",	//144
    "ModificationInterface#",	//145
    "MoveOnInsert",	//146
    "Name",	//147
    "Namespace",	//148
    "NamespaceScope",	//149
    "NoHighlighting",	//150
    "NoProperty",	//151
    "OnDiskCreated",	//152
    "OnDiskDeleted",	//153
    "OnDiskModified",	//154
    "OnDiskUnmodified",	//155
    "Outline",	//156
    "Override",	//157
    "Plugin",	//158
    "Plugin#",	//159
    "Postfix",	//160
    "Prefix",	//161
    "Private",	//162
    "Protected",	//163
    "Public",	//164
    "Q_COMPLEX_TYPE",	//165
    "Q_DUMMY_TYPE",	//166
    "Q_MOVABLE_TYPE",	//167
    "Q_PRIMITIVE_TYPE",	//168
    "Q_STATIC_TYPE",	//169
    "QtCriticalMsg",	//170
    "QtDebugMsg",	//171
    "QtFatalMsg",	//172
    "QtSystemMsg",	//173
    "QtWarningMsg",	//174
    "Range",	//175
    "Range#",	//176
    "Range##",	//177
    "Range#$",	//178
    "Range#$$",	//179
    "Range$$$$",	//180
    "Scope",	//181
    "ScopeIndex",	//182
    "SearchInterface",	//183
    "SearchInterface#",	//184
    "SelectedBackground",	//185
    "SelectedForeground",	//186
    "SessionConfigInterface",	//187
    "SessionConfigInterface#",	//188
    "SetMatchContext",	//189
    "Signal",	//190
    "Slot",	//191
    "SmartCursor",	//192
    "SmartCursor##$",	//193
    "SmartCursorNotifier",	//194
    "SmartCursorWatcher",	//195
    "SmartCursorWatcher#",	//196
    "SmartInterface",	//197
    "SmartInterface#",	//198
    "SmartRange",	//199
    "SmartRange##",	//200
    "SmartRange###",	//201
    "SmartRange###$",	//202
    "SmartRangeNotifier",	//203
    "SmartRangeWatcher",	//204
    "SmartRangeWatcher#",	//205
    "StateNoReverse",	//206
    "StateReverse",	//207
    "Static",	//208
    "StayOnInsert",	//209
    "Struct",	//210
    "Template",	//211
    "TemplateInterface",	//212
    "TemplateInterface#",	//213
    "TextHintInterface",	//214
    "TextHintInterface#",	//215
    "TypeAlias",	//216
    "Union",	//217
    "UserInvocation",	//218
    "Variable",	//219
    "VariableInterface",	//220
    "VariableInterface#",	//221
    "View",	//222
    "View#",	//223
    "Virtual",	//224
    "Warning",	//225
    "__codecvt_error",	//226
    "__codecvt_noconv",	//227
    "__codecvt_ok",	//228
    "__codecvt_partial",	//229
    "abortCompletion",	//230
    "aboutData",	//231
    "aboutToClose",	//232
    "aboutToClose#",	//233
    "aboutToReload",	//234
    "aboutToReload#",	//235
    "action",	//236
    "actionCollection",	//237
    "actionEvent",	//238
    "activeView",	//239
    "addActionsToDocument",	//240
    "addActionsToDocument#",	//241
    "addActionsToView",	//242
    "addActionsToView##",	//243
    "addDocument",	//244
    "addDocument#",	//245
    "addHighlightToDocument",	//246
    "addHighlightToDocument#",	//247
    "addHighlightToDocument#$",	//248
    "addHighlightToView",	//249
    "addHighlightToView##",	//250
    "addHighlightToView##$",	//251
    "addMark",	//252
    "addMark$$",	//253
    "addNotifier",	//254
    "addNotifier#",	//255
    "addView",	//256
    "addView#",	//257
    "addWatcher",	//258
    "addWatcher#",	//259
    "advance",	//260
    "advance$",	//261
    "advance$$",	//262
    "annotationActivated",	//263
    "annotationActivated#$",	//264
    "annotationBorderVisibilityChanged",	//265
    "annotationBorderVisibilityChanged#$",	//266
    "annotationContextMenuAboutToShow",	//267
    "annotationContextMenuAboutToShow##$",	//268
    "annotationModel",	//269
    "apply",	//270
    "associateAction",	//271
    "associateAction#",	//272
    "associatedActions",	//273
    "atEndOfDocument",	//274
    "atEndOfLine",	//275
    "atStartOfDocument",	//276
    "atStartOfLine",	//277
    "attribute",	//278
    "attributeDynamic",	//279
    "attributeDynamic?",	//280
    "attributeNotDynamic",	//281
    "attributeNotDynamic?",	//282
    "backgroundFillWhitespace",	//283
    "blockSelection",	//284
    "boundaryAtCursor",	//285
    "boundaryAtCursor#",	//286
    "boundaryOnLine",	//287
    "boundaryOnLine$",	//288
    "buddy",	//289
    "canFetchMore",	//290
    "caretEnteredRange",	//291
    "caretEnteredRange##",	//292
    "caretExitedRange",	//293
    "caretExitedRange##",	//294
    "changeEvent",	//295
    "changed",	//296
    "character",	//297
    "character#",	//298
    "characterDeleted",	//299
    "characterDeleted#$",	//300
    "characterInserted",	//301
    "characterInserted#$",	//302
    "checkFeedback",	//303
    "childAfter",	//304
    "childAfter#",	//305
    "childBefore",	//306
    "childBefore#",	//307
    "childEvent",	//308
    "childRangeInserted",	//309
    "childRangeInserted##",	//310
    "childRangeRemoved",	//311
    "childRangeRemoved##",	//312
    "childRanges",	//313
    "clear",	//314
    "clearAndDeleteChildRanges",	//315
    "clearAssociatedActions",	//316
    "clearChildRanges",	//317
    "clearDocumentActions",	//318
    "clearDocumentHighlights",	//319
    "clearMark",	//320
    "clearMark$",	//321
    "clearMarks",	//322
    "clearOnDocumentReload",	//323
    "clearRevision",	//324
    "clearSmartInterface",	//325
    "clearViewActions",	//326
    "clearViewActions#",	//327
    "clearViewHighlights",	//328
    "clearViewHighlights#",	//329
    "closeDocument",	//330
    "closeDocument#",	//331
    "closeEvent",	//332
    "closeUrl",	//333
    "closeView",	//334
    "closeView#",	//335
    "cmds",	//336
    "column",	//337
    "columnCount",	//338
    "columnCount#",	//339
    "columnWidth",	//340
    "commandList",	//341
    "commands",	//342
    "completionInvoked",	//343
    "completionInvoked##$",	//344
    "completionObject",	//345
    "completionObject#$",	//346
    "componentData",	//347
    "configDialog",	//348
    "configDialog#",	//349
    "configDialogSupported",	//350
    "configKeys",	//351
    "configPage",	//352
    "configPage$#",	//353
    "configPageFullName",	//354
    "configPageFullName$",	//355
    "configPageIcon",	//356
    "configPageIcon$",	//357
    "configPageName",	//358
    "configPageName$",	//359
    "configPages",	//360
    "configValue",	//361
    "configValue$",	//362
    "confineToRange",	//363
    "confineToRange#",	//364
    "connectNotify",	//365
    "container",	//366
    "contains",	//367
    "contains#",	//368
    "containsColumn",	//369
    "containsColumn$",	//370
    "containsLine",	//371
    "containsLine$",	//372
    "contextMenu",	//373
    "contextMenuAboutToShow",	//374
    "contextMenuAboutToShow##",	//375
    "contextMenuEvent",	//376
    "create",	//377
    "createDocument",	//378
    "createDocument#",	//379
    "createNotifier",	//380
    "createObject",	//381
    "createPartObject",	//382
    "createPlugin",	//383
    "createPlugin?#",	//384
    "createView",	//385
    "createView#",	//386
    "currentRevision",	//387
    "cursorChangedDirectly",	//388
    "cursorChangedDirectly#",	//389
    "cursorInText",	//390
    "cursorInText#",	//391
    "cursorPosition",	//392
    "cursorPositionChanged",	//393
    "cursorPositionChanged##",	//394
    "cursorPositionCoordinates",	//395
    "cursorPositionVirtual",	//396
    "cursorToCoordinate",	//397
    "cursorToCoordinate#",	//398
    "customEvent",	//399
    "data",	//400
    "data$$",	//401
    "deepestRangeContaining",	//402
    "deepestRangeContaining#",	//403
    "deepestRangeContaining#?",	//404
    "deepestRangeContaining#??",	//405
    "deepestRangesContaining",	//406
    "deepestRangesContaining#",	//407
    "defaultContextMenu",	//408
    "defaultContextMenu#",	//409
    "defaults",	//410
    "deleteChildRanges",	//411
    "deleteCursors",	//412
    "deleteNotifier",	//413
    "deletePrimaryNotifier",	//414
    "deleteRanges",	//415
    "deleted",	//416
    "deleted#",	//417
    "depth",	//418
    "devType",	//419
    "disableTextHints",	//420
    "disconnectNotify",	//421
    "dissociateAction",	//422
    "dissociateAction#",	//423
    "document",	//424
    "documentActions",	//425
    "documentCreated",	//426
    "documentCreated##",	//427
    "documentEnd",	//428
    "documentHighlights",	//429
    "documentName",	//430
    "documentNameChanged",	//431
    "documentNameChanged#",	//432
    "documentRange",	//433
    "documentReload",	//434
    "documentSave",	//435
    "documentSaveAs",	//436
    "documentSavedOrUploaded",	//437
    "documentSavedOrUploaded#$",	//438
    "documentUrlChanged",	//439
    "documentUrlChanged#",	//440
    "documents",	//441
    "domDocument",	//442
    "dragEnterEvent",	//443
    "dragLeaveEvent",	//444
    "dragMoveEvent",	//445
    "dropEvent",	//446
    "dropMimeData",	//447
    "dynamicAttribute",	//448
    "dynamicAttribute$",	//449
    "editableMarks",	//450
    "editor",	//451
    "editor$",	//452
    "editor$$",	//453
    "effects",	//454
    "embed",	//455
    "enableTextHints",	//456
    "enableTextHints$",	//457
    "enabledChange",	//458
    "encoding",	//459
    "encompass",	//460
    "encompass#",	//461
    "end",	//462
    "endEditing",	//463
    "endOfLine",	//464
    "endOfLine$",	//465
    "enterEvent",	//466
    "event",	//467
    "eventFilter",	//468
    "exec",	//469
    "exec#$$",	//470
    "executeCompletionItem",	//471
    "executeCompletionItem##$",	//472
    "executeCompletionItem2",	//473
    "executeCompletionItem2###",	//474
    "expandMacros",	//475
    "expandMacros?#",	//476
    "expandToRange",	//477
    "expandToRange#",	//478
    "fetchMore",	//479
    "firstRangeContaining",	//480
    "firstRangeContaining#",	//481
    "flagCompletions",	//482
    "flagCompletions?",	//483
    "flags",	//484
    "focusIn",	//485
    "focusIn#",	//486
    "focusInEvent",	//487
    "focusNextPrevChild",	//488
    "focusOut",	//489
    "focusOut#",	//490
    "focusOutEvent",	//491
    "fontBold",	//492
    "fontChange",	//493
    "forceCompletion",	//494
    "guiActivateEvent",	//495
    "hasAnyProperty",	//496
    "hasChildren",	//497
    "hasGroups",	//498
    "hasGroupsChanged",	//499
    "hasGroupsChanged#$",	//500
    "hasNotifier",	//501
    "hasParent",	//502
    "hasParent#",	//503
    "headerData",	//504
    "heightForWidth",	//505
    "help",	//506
    "help#$$",	//507
    "hideEvent",	//508
    "highlightingMode",	//509
    "highlightingModeChanged",	//510
    "highlightingModeChanged#",	//511
    "highlightingModeSection",	//512
    "highlightingModeSection$",	//513
    "highlightingModes",	//514
    "hitTest",	//515
    "horizontalScrollPositionChanged",	//516
    "horizontalScrollPositionChanged#",	//517
    "index",	//518
    "index$$",	//519
    "index$$#",	//520
    "informationMessage",	//521
    "informationMessage#$",	//522
    "inputMethodEvent",	//523
    "inputMethodQuery",	//524
    "insertBehavior",	//525
    "insertColumns",	//526
    "insertLine",	//527
    "insertLine$$",	//528
    "insertLines",	//529
    "insertLines$?",	//530
    "insertRows",	//531
    "insertTemplateText",	//532
    "insertTemplateText#$?",	//533
    "insertTemplateTextImplementation",	//534
    "insertTemplateTextImplementation#$?",	//535
    "insertText",	//536
    "insertText#$",	//537
    "insertText#$$",	//538
    "insertText#?",	//539
    "insertText#?$",	//540
    "insertText$",	//541
    "insertText?",	//542
    "insertText?$",	//543
    "intersect",	//544
    "intersect#",	//545
    "invalid",	//546
    "isActiveView",	//547
    "isAnnotationBorderVisible",	//548
    "isAutomaticInvocationEnabled",	//549
    "isCompletionActive",	//550
    "isEmpty",	//551
    "isSmartCursor",	//552
    "isSmartRange",	//553
    "isValid",	//554
    "itemData",	//555
    "itemData#",	//556
    "keyPressEvent",	//557
    "keyReleaseEvent",	//558
    "languageChange",	//559
    "leaveEvent",	//560
    "line",	//561
    "line$",	//562
    "lineChanged",	//563
    "lineChanged$",	//564
    "lineLength",	//565
    "lineLength$",	//566
    "lines",	//567
    "localXMLFile",	//568
    "m_column",	//569
    "m_end",	//570
    "m_line",	//571
    "m_range",	//572
    "m_start",	//573
    "mark",	//574
    "mark$",	//575
    "markChanged",	//576
    "markChanged##$",	//577
    "markDescription",	//578
    "markDescription$",	//579
    "markPixmap",	//580
    "markPixmap$",	//581
    "markType01",	//582
    "markType02",	//583
    "markType03",	//584
    "markType04",	//585
    "markType05",	//586
    "markType06",	//587
    "markType07",	//588
    "markType08",	//589
    "markType09",	//590
    "markType10",	//591
    "markType11",	//592
    "markType12",	//593
    "markType13",	//594
    "markType14",	//595
    "markType15",	//596
    "markType16",	//597
    "markType17",	//598
    "markType18",	//599
    "markType19",	//600
    "markType20",	//601
    "markType21",	//602
    "markType22",	//603
    "markType23",	//604
    "markType24",	//605
    "markType25",	//606
    "markType26",	//607
    "markType27",	//608
    "markType28",	//609
    "markType29",	//610
    "markType30",	//611
    "markType31",	//612
    "markType32",	//613
    "marks",	//614
    "marksChanged",	//615
    "marksChanged#",	//616
    "match",	//617
    "metaObject",	//618
    "metric",	//619
    "mimeData",	//620
    "mimeType",	//621
    "mimeTypes",	//622
    "minimumSizeHint",	//623
    "mode",	//624
    "modeChanged",	//625
    "modeChanged#",	//626
    "modeSection",	//627
    "modeSection$",	//628
    "modes",	//629
    "modifiedChanged",	//630
    "modifiedChanged#",	//631
    "modifiedOnDisk",	//632
    "modifiedOnDisk#$$",	//633
    "mostSpecificRange",	//634
    "mostSpecificRange#",	//635
    "mouseDoubleClickEvent",	//636
    "mouseEnteredRange",	//637
    "mouseEnteredRange##",	//638
    "mouseExitedRange",	//639
    "mouseExitedRange##",	//640
    "mouseMoveEvent",	//641
    "mousePositionChanged",	//642
    "mousePositionChanged##",	//643
    "mousePressEvent",	//644
    "mouseReleaseEvent",	//645
    "mouseTrackingEnabled",	//646
    "moveEvent",	//647
    "needTextHint",	//648
    "needTextHint#$",	//649
    "newSmartCursor",	//650
    "newSmartCursor#",	//651
    "newSmartCursor#$",	//652
    "newSmartCursor$$",	//653
    "newSmartCursor$$$",	//654
    "newSmartRange",	//655
    "newSmartRange#",	//656
    "newSmartRange##",	//657
    "newSmartRange###",	//658
    "newSmartRange###$",	//659
    "newSmartRange##$",	//660
    "newSmartRange$$$$",	//661
    "newSmartRange$$$$#",	//662
    "newSmartRange$$$$#$",	//663
    "notifier",	//664
    "notifiers",	//665
    "numberOfLines",	//666
    "onSingleLine",	//667
    "openFile",	//668
    "openUrl",	//669
    "openingError",	//670
    "openingErrorMessage",	//671
    "operator+=",	//672
    "operator+=#",	//673
    "operator=",	//674
    "operator=#",	//675
    "operator|",	//676
    "operator|?$",	//677
    "operator|??",	//678
    "outline",	//679
    "overlapCount",	//680
    "overlaps",	//681
    "overlaps#",	//682
    "overlapsColumn",	//683
    "overlapsColumn$",	//684
    "overlapsLine",	//685
    "overlapsLine$",	//686
    "paintEngine",	//687
    "paintEvent",	//688
    "paletteChange",	//689
    "parent",	//690
    "parent#",	//691
    "parentRange",	//692
    "parentRangeChanged",	//693
    "parentRangeChanged###",	//694
    "partActivateEvent",	//695
    "partComponentData",	//696
    "partSelectEvent",	//697
    "position",	//698
    "position$$",	//699
    "positionChanged",	//700
    "positionChanged#",	//701
    "positionDeleted",	//702
    "positionDeleted#",	//703
    "positionRelativeToCursor",	//704
    "positionRelativeToCursor#",	//705
    "positionRelativeToLine",	//706
    "positionRelativeToLine$",	//707
    "primaryNotifier",	//708
    "processText",	//709
    "processText#$",	//710
    "qt_metacall",	//711
    "qt_metacall$$?",	//712
    "qt_metacast",	//713
    "qt_metacast$",	//714
    "queryClose",	//715
    "queryCommand",	//716
    "queryCommand$",	//717
    "range",	//718
    "rangeAttributeChanged",	//719
    "rangeAttributeChanged#??",	//720
    "rangeChanged",	//721
    "rangeChanged##",	//722
    "rangeContentsChanged",	//723
    "rangeContentsChanged#",	//724
    "rangeContentsChanged##",	//725
    "rangeDeleted",	//726
    "rangeDeleted#",	//727
    "rangeEliminated",	//728
    "rangeEliminated#",	//729
    "rangePositionChanged",	//730
    "rangePositionChanged#",	//731
    "readAppSetting",	//732
    "readAppSetting$",	//733
    "readConfig",	//734
    "readConfig#",	//735
    "readSessionConfig",	//736
    "readSessionConfig#",	//737
    "rebuildChildStructure",	//738
    "registerCommand",	//739
    "registerCommand#",	//740
    "registerCompletionModel",	//741
    "registerCompletionModel#",	//742
    "releaseRevision",	//743
    "releaseRevision$",	//744
    "removeActionsFromDocument",	//745
    "removeActionsFromDocument#",	//746
    "removeActionsFromView",	//747
    "removeActionsFromView##",	//748
    "removeColumns",	//749
    "removeDocument",	//750
    "removeDocument#",	//751
    "removeHighlightFromDocument",	//752
    "removeHighlightFromDocument#",	//753
    "removeHighlightFromView",	//754
    "removeHighlightFromView##",	//755
    "removeLine",	//756
    "removeLine$",	//757
    "removeMark",	//758
    "removeMark$$",	//759
    "removeNotifier",	//760
    "removeNotifier#",	//761
    "removeRows",	//762
    "removeSelection",	//763
    "removeSelectionText",	//764
    "removeText",	//765
    "removeText#",	//766
    "removeText#$",	//767
    "removeText$",	//768
    "removeView",	//769
    "removeView#",	//770
    "removeWatcher",	//771
    "removeWatcher#",	//772
    "replaceText",	//773
    "replaceText#$",	//774
    "replaceText#$$",	//775
    "replaceText#?",	//776
    "replaceText#?$",	//777
    "replaceText?",	//778
    "replaceText?$",	//779
    "reservedMarkersCount",	//780
    "reset",	//781
    "resizeEvent",	//782
    "revert",	//783
    "rowCount",	//784
    "rowCount#",	//785
    "save",	//786
    "saveAs",	//787
    "saveFile",	//788
    "saveToUrl",	//789
    "searchText",	//790
    "searchText#$",	//791
    "searchText#$$",	//792
    "selectedBackground",	//793
    "selectedForeground",	//794
    "selection",	//795
    "selectionChanged",	//796
    "selectionChanged#",	//797
    "selectionRange",	//798
    "selectionText",	//799
    "setActiveView",	//800
    "setActiveView#",	//801
    "setAnnotationBorderVisible",	//802
    "setAnnotationBorderVisible$",	//803
    "setAnnotationModel",	//804
    "setAnnotationModel#",	//805
    "setAttribute",	//806
    "setAttribute?",	//807
    "setAutomaticInvocationEnabled",	//808
    "setAutomaticInvocationEnabled$",	//809
    "setBackgroundFillWhitespace",	//810
    "setBackgroundFillWhitespace$",	//811
    "setBlockSelection",	//812
    "setBlockSelection$",	//813
    "setBothColumns",	//814
    "setBothColumns$",	//815
    "setBothLines",	//816
    "setBothLines$",	//817
    "setClearOnDocumentReload",	//818
    "setClearOnDocumentReload$",	//819
    "setColumn",	//820
    "setColumn$",	//821
    "setComponentData",	//822
    "setConfigValue",	//823
    "setConfigValue$#",	//824
    "setContainer",	//825
    "setContainer#",	//826
    "setContextMenu",	//827
    "setContextMenu#",	//828
    "setCursorPosition",	//829
    "setCursorPosition#",	//830
    "setDOMDocument",	//831
    "setData",	//832
    "setDynamicAttribute",	//833
    "setDynamicAttribute$?",	//834
    "setEditableMarks",	//835
    "setEditableMarks$",	//836
    "setEffects",	//837
    "setEffects$",	//838
    "setEncoding",	//839
    "setEncoding$",	//840
    "setFontBold",	//841
    "setFontBold$",	//842
    "setHasGroups",	//843
    "setHasGroups$",	//844
    "setHeaderData",	//845
    "setHighlightingMode",	//846
    "setHighlightingMode$",	//847
    "setInsertBehavior",	//848
    "setInsertBehavior$",	//849
    "setItemData",	//850
    "setLine",	//851
    "setLine$",	//852
    "setLocalXMLFile",	//853
    "setM_column",	//854
    "setM_column$",	//855
    "setM_end",	//856
    "setM_end#",	//857
    "setM_line",	//858
    "setM_line$",	//859
    "setM_range",	//860
    "setM_range#",	//861
    "setM_start",	//862
    "setM_start#",	//863
    "setManager",	//864
    "setMark",	//865
    "setMark$$",	//866
    "setMarkDescription",	//867
    "setMarkDescription$$",	//868
    "setMarkPixmap",	//869
    "setMarkPixmap$#",	//870
    "setMode",	//871
    "setMode$",	//872
    "setModified",	//873
    "setModifiedOnDisk",	//874
    "setModifiedOnDisk$",	//875
    "setModifiedOnDiskWarning",	//876
    "setModifiedOnDiskWarning$",	//877
    "setMouseTrackingEnabled",	//878
    "setMouseTrackingEnabled$",	//879
    "setOpeningError",	//880
    "setOpeningError$",	//881
    "setOpeningErrorMessage",	//882
    "setOpeningErrorMessage$",	//883
    "setOutline",	//884
    "setOutline#",	//885
    "setParentRange",	//886
    "setParentRange#",	//887
    "setPosition",	//888
    "setPosition#",	//889
    "setPosition$$",	//890
    "setRange",	//891
    "setRange#",	//892
    "setRange##",	//893
    "setReadWrite",	//894
    "setRowCount",	//895
    "setRowCount$",	//896
    "setSelectable",	//897
    "setSelectedBackground",	//898
    "setSelectedBackground#",	//899
    "setSelectedForeground",	//900
    "setSelectedForeground#",	//901
    "setSelection",	//902
    "setSelection#",	//903
    "setSelection#$",	//904
    "setSelection#$$",	//905
    "setSimpleMode",	//906
    "setSimpleMode$",	//907
    "setSuppressOpeningErrorDialogs",	//908
    "setSuppressOpeningErrorDialogs$",	//909
    "setText",	//910
    "setText$",	//911
    "setText?",	//912
    "setType",	//913
    "setType$",	//914
    "setVisible",	//915
    "setWantsDirectChanges",	//916
    "setWantsDirectChanges$",	//917
    "setWatcher",	//918
    "setWatcher#",	//919
    "setWidget",	//920
    "setXML",	//921
    "setXMLFile",	//922
    "setupTranslations",	//923
    "showEvent",	//924
    "simpleMode",	//925
    "sizeHint",	//926
    "slotModifiedOnDisk",	//927
    "slotModifiedOnDisk#",	//928
    "smartEnd",	//929
    "smartMutex",	//930
    "smartRange",	//931
    "smartStart",	//932
    "sort",	//933
    "span",	//934
    "start",	//935
    "startCompletion",	//936
    "startCompletion##",	//937
    "startEditing",	//938
    "stateChanged",	//939
    "staticMetaObject",	//940
    "styleChange",	//941
    "submit",	//942
    "supportedDropActions",	//943
    "supportedSearchOptions",	//944
    "suppressOpeningErrorDialogs",	//945
    "tabletEvent",	//946
    "text",	//947
    "text#",	//948
    "text#$",	//949
    "text$",	//950
    "textChanged",	//951
    "textChanged#",	//952
    "textChanged###",	//953
    "textInserted",	//954
    "textInserted##",	//955
    "textInserted##$",	//956
    "textLines",	//957
    "textLines#",	//958
    "textLines#$",	//959
    "textRemoved",	//960
    "textRemoved##",	//961
    "timerEvent",	//962
    "toSmartCursor",	//963
    "toSmartRange",	//964
    "topParentRange",	//965
    "totalCharacters",	//966
    "tr",	//967
    "tr$",	//968
    "tr$$",	//969
    "tr$$$",	//970
    "trUtf8",	//971
    "trUtf8$",	//972
    "trUtf8$$",	//973
    "trUtf8$$$",	//974
    "translateFromRevision",	//975
    "translateFromRevision#",	//976
    "translateFromRevision#$",	//977
    "type",	//978
    "unbindSmartRange",	//979
    "unbindSmartRange#",	//980
    "unregisterCommand",	//981
    "unregisterCommand#",	//982
    "unregisterCompletionModel",	//983
    "unregisterCompletionModel#",	//984
    "useRevision",	//985
    "useRevision$",	//986
    "variable",	//987
    "variable$",	//988
    "variableChanged",	//989
    "variableChanged#$$",	//990
    "verticalScrollPositionChanged",	//991
    "verticalScrollPositionChanged##",	//992
    "viewActions",	//993
    "viewActions#",	//994
    "viewCreated",	//995
    "viewCreated##",	//996
    "viewEditMode",	//997
    "viewEditModeChanged",	//998
    "viewEditModeChanged#$",	//999
    "viewHighlights",	//1000
    "viewHighlights#",	//1001
    "viewMode",	//1002
    "viewModeChanged",	//1003
    "viewModeChanged#",	//1004
    "views",	//1005
    "virtual_hook",	//1006
    "waitForReset",	//1007
    "wantsDirectChanges",	//1008
    "wantsToProcessText",	//1009
    "wantsToProcessText$",	//1010
    "watcher",	//1011
    "watchers",	//1012
    "wheelEvent",	//1013
    "widget",	//1014
    "windowActivationChange",	//1015
    "writeAppSetting",	//1016
    "writeAppSetting$",	//1017
    "writeConfig",	//1018
    "writeConfig#",	//1019
    "writeSessionConfig",	//1020
    "writeSessionConfig#",	//1021
    "x11Event",	//1022
    "xmlFile",	//1023
    "~AnnotationInterface",	//1024
    "~AnnotationModel",	//1025
    "~AnnotationViewInterface",	//1026
    "~Attribute",	//1027
    "~CodeCompletionInterface",	//1028
    "~CodeCompletionModel",	//1029
    "~CodeCompletionModel2",	//1030
    "~Command",	//1031
    "~CommandExtension",	//1032
    "~CommandInterface",	//1033
    "~ConfigInterface",	//1034
    "~ConfigPage",	//1035
    "~ContainerInterface",	//1036
    "~Cursor",	//1037
    "~Document",	//1038
    "~Editor",	//1039
    "~EditorChooser",	//1040
    "~Factory",	//1041
    "~Mark",	//1042
    "~MarkInterface",	//1043
    "~MdiContainer",	//1044
    "~ModificationInterface",	//1045
    "~Plugin",	//1046
    "~Range",	//1047
    "~SearchInterface",	//1048
    "~SessionConfigInterface",	//1049
    "~SmartCursor",	//1050
    "~SmartCursorNotifier",	//1051
    "~SmartCursorWatcher",	//1052
    "~SmartInterface",	//1053
    "~SmartRange",	//1054
    "~SmartRangeNotifier",	//1055
    "~SmartRangeWatcher",	//1056
    "~TemplateInterface",	//1057
    "~TextHintInterface",	//1058
    "~VariableInterface",	//1059
    "~View",	//1060
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {11, 696, 0, 0, Smoke::mf_virtual, 5, 0},	//1 KParts::Factory::partComponentData()
    {11, 382, 1, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 0},	//2 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
    {11, 381, 6, 3, Smoke::mf_protected|Smoke::mf_virtual, 128, 0},	//3 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
    {13, 455, 10, 1, Smoke::mf_virtual, 0, 0},	//4 KParts::Part::embed(QWidget*)
    {13, 1014, 0, 0, Smoke::mf_virtual, 150, 0},	//5 KParts::Part::widget()
    {13, 864, 12, 1, Smoke::mf_virtual, 0, 0},	//6 KParts::Part::setManager(KParts::PartManager*)
    {13, 515, 14, 2, Smoke::mf_virtual, 12, 0},	//7 KParts::Part::hitTest(QWidget*, const QPoint&)
    {13, 897, 17, 1, Smoke::mf_virtual, 0, 0},	//8 KParts::Part::setSelectable(bool)
    {13, 920, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KParts::Part::setWidget(QWidget*)
    {13, 399, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KParts::Part::customEvent(QEvent*)
    {13, 695, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {13, 697, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {15, 822, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KParts::PartBase::setComponentData(const KComponentData&)
    {15, 822, 27, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {18, 669, 30, 1, Smoke::mf_virtual|Smoke::mf_slot, 247, 0},	//15 KParts::ReadOnlyPart::openUrl(const KUrl&)
    {18, 668, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 0},	//16 KParts::ReadOnlyPart::openFile() [pure virtual]
    {18, 495, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {19, 894, 17, 1, Smoke::mf_virtual, 0, 0},	//18 KParts::ReadWritePart::setReadWrite(bool)
    {19, 715, 0, 0, Smoke::mf_virtual, 247, 0},	//19 KParts::ReadWritePart::queryClose()
    {19, 333, 0, 0, Smoke::mf_virtual, 247, 0},	//20 KParts::ReadWritePart::closeUrl()
    {19, 333, 17, 1, Smoke::mf_virtual, 247, 0},	//21 KParts::ReadWritePart::closeUrl(bool)
    {19, 787, 30, 1, Smoke::mf_virtual, 247, 0},	//22 KParts::ReadWritePart::saveAs(const KUrl&)
    {19, 873, 17, 1, Smoke::mf_virtual, 0, 0},	//23 KParts::ReadWritePart::setModified(bool)
    {19, 786, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 247, 0},	//24 KParts::ReadWritePart::save()
    {19, 788, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 0},	//25 KParts::ReadWritePart::saveFile() [pure virtual]
    {19, 789, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 247, 0},	//26 KParts::ReadWritePart::saveToUrl()
    {20, 923, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 KPluginFactory::setupTranslations()
    {20, 377, 34, 5, Smoke::mf_protected|Smoke::mf_virtual, 128, 0},	//28 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {22, 676, 40, 2, Smoke::mf_static, 108, 1},	//29 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    {22, 676, 43, 2, Smoke::mf_static, 110, 2},	//30 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    {22, 676, 46, 2, Smoke::mf_static, 113, 3},	//31 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    {22, 676, 49, 2, Smoke::mf_static, 106, 4},	//32 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    {22, 676, 52, 2, Smoke::mf_static, 107, 5},	//33 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    {22, 676, 55, 2, Smoke::mf_static, 113, 6},	//34 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    {22, 676, 58, 2, Smoke::mf_static, 110, 7},	//35 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    {22, 676, 61, 2, Smoke::mf_static, 106, 8},	//36 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    {22, 676, 64, 2, Smoke::mf_static, 107, 9},	//37 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    {22, 676, 67, 2, Smoke::mf_static, 113, 10},	//38 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    {22, 451, 70, 1, Smoke::mf_static, 52, 11},	//39 KTextEditor::editor(const char*)
    {22, 383, 72, 2, Smoke::mf_static, 63, 12},	//40 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
    {22, 676, 75, 2, Smoke::mf_static, 113, 13},	//41 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    {22, 676, 78, 2, Smoke::mf_static, 108, 14},	//42 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    {23, 804, 81, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//43 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
    {23, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//44 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
    {23, 6, 0, 0, Smoke::mf_ctor, 22, 3},	//45 KTextEditor::AnnotationInterface::AnnotationInterface()
    {23, 6, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 4},	//46 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
    {23, 1024, 0, 0, Smoke::mf_dtor, 0, 5 },	//47 KTextEditor::AnnotationInterface::~AnnotationInterface()
    {24, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//48 KTextEditor::AnnotationModel::metaObject() const
    {24, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//49 KTextEditor::AnnotationModel::qt_metacast(const char*)
    {24, 967, 85, 2, Smoke::mf_static, 139, 3},	//50 KTextEditor::AnnotationModel::tr(const char*, const char*)
    {24, 971, 85, 2, Smoke::mf_static, 139, 4},	//51 KTextEditor::AnnotationModel::trUtf8(const char*, const char*)
    {24, 967, 88, 3, Smoke::mf_static, 139, 5},	//52 KTextEditor::AnnotationModel::tr(const char*, const char*, int)
    {24, 971, 88, 3, Smoke::mf_static, 139, 6},	//53 KTextEditor::AnnotationModel::trUtf8(const char*, const char*, int)
    {24, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//54 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 400, 96, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 8},	//55 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
    {24, 781, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//56 KTextEditor::AnnotationModel::reset()
    {24, 563, 99, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//57 KTextEditor::AnnotationModel::lineChanged(int)
    {24, 8, 0, 0, Smoke::mf_ctor, 23, 11},	//58 KTextEditor::AnnotationModel::AnnotationModel()
    {24, 967, 70, 1, Smoke::mf_static, 139, 12},	//59 KTextEditor::AnnotationModel::tr(const char*)
    {24, 971, 70, 1, Smoke::mf_static, 139, 13},	//60 KTextEditor::AnnotationModel::trUtf8(const char*)
    {24, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 14},	//61 KTextEditor::AnnotationModel::staticMetaObject() const
    {24, 1025, 0, 0, Smoke::mf_dtor, 0, 15 },	//62 KTextEditor::AnnotationModel::~AnnotationModel()
    {25, 802, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//63 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
    {25, 548, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 2},	//64 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
    {25, 267, 101, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//65 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
    {25, 263, 105, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//66 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
    {25, 265, 108, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//67 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
    {25, 9, 0, 0, Smoke::mf_ctor, 24, 6},	//68 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
    {25, 9, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 7},	//69 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
    {25, 1026, 0, 0, Smoke::mf_dtor, 0, 8 },	//70 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
    {26, 13, 0, 0, Smoke::mf_ctor, 26, 1},	//71 KTextEditor::Attribute::Attribute()
    {26, 13, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//72 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
    {26, 492, 0, 0, Smoke::mf_const, 247, 3},	//73 KTextEditor::Attribute::fontBold() const
    {26, 841, 17, 1, 0, 0, 4},	//74 KTextEditor::Attribute::setFontBold(bool)
    {26, 679, 0, 0, Smoke::mf_const, 95, 5},	//75 KTextEditor::Attribute::outline() const
    {26, 884, 115, 1, 0, 0, 6},	//76 KTextEditor::Attribute::setOutline(const QBrush&)
    {26, 794, 0, 0, Smoke::mf_const, 95, 7},	//77 KTextEditor::Attribute::selectedForeground() const
    {26, 900, 115, 1, 0, 0, 8},	//78 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
    {26, 793, 0, 0, Smoke::mf_const, 95, 9},	//79 KTextEditor::Attribute::selectedBackground() const
    {26, 898, 115, 1, 0, 0, 10},	//80 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
    {26, 283, 0, 0, Smoke::mf_const, 247, 11},	//81 KTextEditor::Attribute::backgroundFillWhitespace() const
    {26, 810, 17, 1, 0, 0, 12},	//82 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
    {26, 314, 0, 0, 0, 0, 13},	//83 KTextEditor::Attribute::clear()
    {26, 496, 0, 0, Smoke::mf_const, 247, 14},	//84 KTextEditor::Attribute::hasAnyProperty() const
    {26, 273, 0, 0, Smoke::mf_const, 284, 15},	//85 KTextEditor::Attribute::associatedActions() const
    {26, 316, 0, 0, 0, 0, 16},	//86 KTextEditor::Attribute::clearAssociatedActions()
    {26, 448, 117, 1, Smoke::mf_const, 18, 17},	//87 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
    {26, 833, 119, 2, 0, 0, 18},	//88 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
    {26, 454, 0, 0, Smoke::mf_const, 30, 19},	//89 KTextEditor::Attribute::effects() const
    {26, 837, 122, 1, 0, 0, 20},	//90 KTextEditor::Attribute::setEffects(KTextEditor::Attribute::Effects)
    {26, 672, 113, 1, 0, 25, 21},	//91 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
    {26, 674, 113, 1, 0, 25, 22},	//92 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
    {26, 841, 0, 0, 0, 0, 23},	//93 KTextEditor::Attribute::setFontBold()
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 24},	//94 KTextEditor::Attribute::Outline (enum)
    {26, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 25},	//95 KTextEditor::Attribute::SelectedForeground (enum)
    {26, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 26},	//96 KTextEditor::Attribute::SelectedBackground (enum)
    {26, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 27},	//97 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 28},	//98 KTextEditor::Attribute::AttributeDynamicEffect (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 29},	//99 KTextEditor::Attribute::AttributeInternalProperty (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 30},	//100 KTextEditor::Attribute::AttributeUserProperty (enum)
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 31},	//101 KTextEditor::Attribute::ActivateMouseIn (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 32},	//102 KTextEditor::Attribute::ActivateCaretIn (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 33},	//103 KTextEditor::Attribute::EffectNone (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 34},	//104 KTextEditor::Attribute::EffectFadeIn (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 35},	//105 KTextEditor::Attribute::EffectFadeOut (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 36},	//106 KTextEditor::Attribute::EffectPulse (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 37},	//107 KTextEditor::Attribute::EffectCycleGradient (enum)
    {26, 1027, 0, 0, Smoke::mf_dtor, 0, 38 },	//108 KTextEditor::Attribute::~Attribute()
    {27, 550, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 1},	//109 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
    {27, 936, 124, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//110 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 230, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//111 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
    {27, 494, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//112 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
    {27, 741, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//113 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 983, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//114 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 549, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 7},	//115 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
    {27, 808, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//116 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
    {27, 28, 0, 0, Smoke::mf_ctor, 32, 9},	//117 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
    {27, 28, 129, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 10},	//118 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
    {27, 808, 0, 0, Smoke::mf_purevirtual, 0, 11},	//119 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled() [pure virtual]
    {27, 1028, 0, 0, Smoke::mf_dtor, 0, 12 },	//120 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
    {28, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//121 KTextEditor::CodeCompletionModel::metaObject() const
    {28, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//122 KTextEditor::CodeCompletionModel::qt_metacast(const char*)
    {28, 967, 85, 2, Smoke::mf_static, 139, 3},	//123 KTextEditor::CodeCompletionModel::tr(const char*, const char*)
    {28, 971, 85, 2, Smoke::mf_static, 139, 4},	//124 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*)
    {28, 967, 88, 3, Smoke::mf_static, 139, 5},	//125 KTextEditor::CodeCompletionModel::tr(const char*, const char*, int)
    {28, 971, 88, 3, Smoke::mf_static, 139, 6},	//126 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*, int)
    {28, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//127 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
    {28, 30, 131, 1, Smoke::mf_ctor, 33, 8},	//128 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
    {28, 895, 99, 1, 0, 0, 9},	//129 KTextEditor::CodeCompletionModel::setRowCount(int)
    {28, 343, 133, 3, Smoke::mf_virtual, 0, 10},	//130 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
    {28, 471, 137, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//131 KTextEditor::CodeCompletionModel::executeCompletionItem(KTextEditor::Document*, const KTextEditor::Range&, int) const
    {28, 338, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 311, 12},	//132 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
    {28, 518, 143, 3, Smoke::mf_const|Smoke::mf_virtual, 124, 13},	//133 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
    {28, 555, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 120, 14},	//134 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
    {28, 690, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 124, 15},	//135 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
    {28, 784, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 311, 16},	//136 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
    {28, 498, 0, 0, Smoke::mf_const, 247, 17},	//137 KTextEditor::CodeCompletionModel::hasGroups() const
    {28, 1007, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//138 KTextEditor::CodeCompletionModel::waitForReset()
    {28, 499, 147, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//139 KTextEditor::CodeCompletionModel::hasGroupsChanged(KTextEditor::CodeCompletionModel*, bool)
    {28, 843, 17, 1, Smoke::mf_protected, 0, 20},	//140 KTextEditor::CodeCompletionModel::setHasGroups(bool)
    {28, 967, 70, 1, Smoke::mf_static, 139, 21},	//141 KTextEditor::CodeCompletionModel::tr(const char*)
    {28, 971, 70, 1, Smoke::mf_static, 139, 22},	//142 KTextEditor::CodeCompletionModel::trUtf8(const char*)
    {28, 338, 0, 0, Smoke::mf_const, 311, 23},	//143 KTextEditor::CodeCompletionModel::columnCount() const
    {28, 518, 150, 2, Smoke::mf_const, 124, 24},	//144 KTextEditor::CodeCompletionModel::index(int, int) const
    {28, 784, 0, 0, Smoke::mf_const, 311, 25},	//145 KTextEditor::CodeCompletionModel::rowCount() const
    {28, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 26},	//146 KTextEditor::CodeCompletionModel::staticMetaObject() const
    {28, 34, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 309, 27},	//147 KTextEditor::CodeCompletionModel::ColumnCount() const
    {28, 110, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 309, 28},	//148 KTextEditor::CodeCompletionModel::LastItemDataRole() const
    {28, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 29},	//149 KTextEditor::CodeCompletionModel::Prefix (enum)
    {28, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 30},	//150 KTextEditor::CodeCompletionModel::Icon (enum)
    {28, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//151 KTextEditor::CodeCompletionModel::Scope (enum)
    {28, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//152 KTextEditor::CodeCompletionModel::Name (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//153 KTextEditor::CodeCompletionModel::Arguments (enum)
    {28, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 34},	//154 KTextEditor::CodeCompletionModel::Postfix (enum)
    {28, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//155 KTextEditor::CodeCompletionModel::NoProperty (enum)
    {28, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 36},	//156 KTextEditor::CodeCompletionModel::FirstProperty (enum)
    {28, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 37},	//157 KTextEditor::CodeCompletionModel::Public (enum)
    {28, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 38},	//158 KTextEditor::CodeCompletionModel::Protected (enum)
    {28, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 39},	//159 KTextEditor::CodeCompletionModel::Private (enum)
    {28, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 40},	//160 KTextEditor::CodeCompletionModel::Static (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 41},	//161 KTextEditor::CodeCompletionModel::Const (enum)
    {28, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 42},	//162 KTextEditor::CodeCompletionModel::Namespace (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 43},	//163 KTextEditor::CodeCompletionModel::Class (enum)
    {28, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 44},	//164 KTextEditor::CodeCompletionModel::Struct (enum)
    {28, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 45},	//165 KTextEditor::CodeCompletionModel::Union (enum)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 46},	//166 KTextEditor::CodeCompletionModel::Function (enum)
    {28, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 47},	//167 KTextEditor::CodeCompletionModel::Variable (enum)
    {28, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 48},	//168 KTextEditor::CodeCompletionModel::Enum (enum)
    {28, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 49},	//169 KTextEditor::CodeCompletionModel::Template (enum)
    {28, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 50},	//170 KTextEditor::CodeCompletionModel::TypeAlias (enum)
    {28, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 51},	//171 KTextEditor::CodeCompletionModel::Virtual (enum)
    {28, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 52},	//172 KTextEditor::CodeCompletionModel::Override (enum)
    {28, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 53},	//173 KTextEditor::CodeCompletionModel::Inline (enum)
    {28, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 54},	//174 KTextEditor::CodeCompletionModel::Friend (enum)
    {28, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 55},	//175 KTextEditor::CodeCompletionModel::Signal (enum)
    {28, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 56},	//176 KTextEditor::CodeCompletionModel::Slot (enum)
    {28, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 57},	//177 KTextEditor::CodeCompletionModel::LocalScope (enum)
    {28, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 58},	//178 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
    {28, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 59},	//179 KTextEditor::CodeCompletionModel::GlobalScope (enum)
    {28, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 60},	//180 KTextEditor::CodeCompletionModel::LastProperty (enum)
    {28, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 61},	//181 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
    {28, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 62},	//182 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
    {28, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 63},	//183 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
    {28, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 64},	//184 KTextEditor::CodeCompletionModel::CompletionRole (enum)
    {28, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 65},	//185 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
    {28, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 66},	//186 KTextEditor::CodeCompletionModel::MatchQuality (enum)
    {28, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 67},	//187 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
    {28, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 68},	//188 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
    {28, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 69},	//189 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
    {28, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 70},	//190 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
    {28, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 71},	//191 KTextEditor::CodeCompletionModel::IsExpandable (enum)
    {28, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 72},	//192 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
    {28, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 73},	//193 KTextEditor::CodeCompletionModel::ItemSelected (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 74},	//194 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
    {28, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 75},	//195 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
    {28, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 76},	//196 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 77},	//197 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
    {28, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 78},	//198 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
    {28, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 79},	//199 KTextEditor::CodeCompletionModel::GroupRole (enum)
    {28, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 80},	//200 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
    {28, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 81},	//201 KTextEditor::CodeCompletionModel::UserInvocation (enum)
    {28, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 82},	//202 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
    {28, 1029, 0, 0, Smoke::mf_dtor, 0, 83 },	//203 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
    {29, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//204 KTextEditor::CodeCompletionModel2::metaObject() const
    {29, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//205 KTextEditor::CodeCompletionModel2::qt_metacast(const char*)
    {29, 967, 85, 2, Smoke::mf_static, 139, 3},	//206 KTextEditor::CodeCompletionModel2::tr(const char*, const char*)
    {29, 971, 85, 2, Smoke::mf_static, 139, 4},	//207 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*)
    {29, 967, 88, 3, Smoke::mf_static, 139, 5},	//208 KTextEditor::CodeCompletionModel2::tr(const char*, const char*, int)
    {29, 971, 88, 3, Smoke::mf_static, 139, 6},	//209 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*, int)
    {29, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//210 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
    {29, 32, 131, 1, Smoke::mf_ctor, 34, 8},	//211 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
    {29, 473, 153, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//212 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
    {29, 967, 70, 1, Smoke::mf_static, 139, 10},	//213 KTextEditor::CodeCompletionModel2::tr(const char*)
    {29, 971, 70, 1, Smoke::mf_static, 139, 11},	//214 KTextEditor::CodeCompletionModel2::trUtf8(const char*)
    {29, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 12},	//215 KTextEditor::CodeCompletionModel2::staticMetaObject() const
    {29, 1030, 0, 0, Smoke::mf_dtor, 0, 13 },	//216 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
    {30, 336, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 305, 1},	//217 KTextEditor::Command::cmds() [pure virtual]
    {30, 469, 157, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 2},	//218 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {30, 506, 157, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 3},	//219 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {30, 35, 0, 0, Smoke::mf_ctor, 42, 4},	//220 KTextEditor::Command::Command()
    {30, 35, 161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 5},	//221 KTextEditor::Command::Command(const KTextEditor::Command&)
    {30, 1031, 0, 0, Smoke::mf_dtor, 0, 6 },	//222 KTextEditor::Command::~Command()
    {31, 482, 163, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//223 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
    {31, 345, 165, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 2},	//224 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
    {31, 1009, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 3},	//225 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
    {31, 709, 165, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//226 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
    {31, 37, 0, 0, Smoke::mf_ctor, 43, 5},	//227 KTextEditor::CommandExtension::CommandExtension()
    {31, 37, 170, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 6},	//228 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
    {31, 1032, 0, 0, Smoke::mf_dtor, 0, 7 },	//229 KTextEditor::CommandExtension::~CommandExtension()
    {32, 739, 172, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 1},	//230 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
    {32, 981, 172, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 2},	//231 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
    {32, 716, 168, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 42, 3},	//232 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
    {32, 342, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 116, 4},	//233 KTextEditor::CommandInterface::commands() const [pure virtual]
    {32, 341, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 5},	//234 KTextEditor::CommandInterface::commandList() const [pure virtual]
    {32, 39, 0, 0, Smoke::mf_ctor, 44, 6},	//235 KTextEditor::CommandInterface::CommandInterface()
    {32, 39, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 7},	//236 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
    {32, 1033, 0, 0, Smoke::mf_dtor, 0, 8 },	//237 KTextEditor::CommandInterface::~CommandInterface()
    {33, 42, 0, 0, Smoke::mf_ctor, 45, 1},	//238 KTextEditor::ConfigInterface::ConfigInterface()
    {33, 351, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 2},	//239 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
    {33, 361, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 3},	//240 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
    {33, 823, 176, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//241 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
    {33, 42, 179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 5},	//242 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
    {33, 1034, 0, 0, Smoke::mf_dtor, 0, 6 },	//243 KTextEditor::ConfigInterface::~ConfigInterface()
    {34, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//244 KTextEditor::ConfigPage::metaObject() const
    {34, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//245 KTextEditor::ConfigPage::qt_metacast(const char*)
    {34, 967, 85, 2, Smoke::mf_static, 139, 3},	//246 KTextEditor::ConfigPage::tr(const char*, const char*)
    {34, 971, 85, 2, Smoke::mf_static, 139, 4},	//247 KTextEditor::ConfigPage::trUtf8(const char*, const char*)
    {34, 967, 88, 3, Smoke::mf_static, 139, 5},	//248 KTextEditor::ConfigPage::tr(const char*, const char*, int)
    {34, 971, 88, 3, Smoke::mf_static, 139, 6},	//249 KTextEditor::ConfigPage::trUtf8(const char*, const char*, int)
    {34, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//250 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {34, 44, 10, 1, Smoke::mf_ctor, 46, 8},	//251 KTextEditor::ConfigPage::ConfigPage(QWidget*)
    {34, 270, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 9},	//252 KTextEditor::ConfigPage::apply() [pure virtual]
    {34, 781, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 10},	//253 KTextEditor::ConfigPage::reset() [pure virtual]
    {34, 410, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 11},	//254 KTextEditor::ConfigPage::defaults() [pure virtual]
    {34, 296, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//255 KTextEditor::ConfigPage::changed()
    {34, 967, 70, 1, Smoke::mf_static, 139, 13},	//256 KTextEditor::ConfigPage::tr(const char*)
    {34, 971, 70, 1, Smoke::mf_static, 139, 14},	//257 KTextEditor::ConfigPage::trUtf8(const char*)
    {34, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 15},	//258 KTextEditor::ConfigPage::staticMetaObject() const
    {34, 1035, 0, 0, Smoke::mf_dtor, 0, 16 },	//259 KTextEditor::ConfigPage::~ConfigPage()
    {35, 47, 0, 0, Smoke::mf_ctor, 47, 1},	//260 KTextEditor::ContainerInterface::ContainerInterface()
    {35, 825, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//261 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
    {35, 366, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 3},	//262 KTextEditor::ContainerInterface::container() [pure virtual]
    {35, 47, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 4},	//263 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
    {35, 1036, 0, 0, Smoke::mf_dtor, 0, 5 },	//264 KTextEditor::ContainerInterface::~ContainerInterface()
    {36, 49, 0, 0, Smoke::mf_ctor, 50, 1},	//265 KTextEditor::Cursor::Cursor()
    {36, 49, 150, 2, Smoke::mf_ctor, 50, 2},	//266 KTextEditor::Cursor::Cursor(int, int)
    {36, 49, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 3},	//267 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
    {36, 554, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 4},	//268 KTextEditor::Cursor::isValid() const
    {36, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 5},	//269 KTextEditor::Cursor::isSmartCursor() const
    {36, 963, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 73, 6},	//270 KTextEditor::Cursor::toSmartCursor() const
    {36, 546, 0, 0, Smoke::mf_static, 48, 7},	//271 KTextEditor::Cursor::invalid()
    {36, 935, 0, 0, Smoke::mf_static, 48, 8},	//272 KTextEditor::Cursor::start()
    {36, 888, 183, 1, Smoke::mf_virtual, 0, 9},	//273 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
    {36, 888, 150, 2, 0, 0, 10},	//274 KTextEditor::Cursor::setPosition(int, int)
    {36, 561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 311, 11},	//275 KTextEditor::Cursor::line() const
    {36, 851, 99, 1, Smoke::mf_virtual, 0, 12},	//276 KTextEditor::Cursor::setLine(int)
    {36, 337, 0, 0, Smoke::mf_const, 311, 13},	//277 KTextEditor::Cursor::column() const
    {36, 820, 99, 1, Smoke::mf_virtual, 0, 14},	//278 KTextEditor::Cursor::setColumn(int)
    {36, 277, 0, 0, Smoke::mf_const, 247, 15},	//279 KTextEditor::Cursor::atStartOfLine() const
    {36, 276, 0, 0, Smoke::mf_const, 247, 16},	//280 KTextEditor::Cursor::atStartOfDocument() const
    {36, 698, 185, 2, Smoke::mf_const, 0, 17},	//281 KTextEditor::Cursor::position(int&, int&) const
    {36, 718, 0, 0, Smoke::mf_const, 66, 18},	//282 KTextEditor::Cursor::range() const
    {36, 674, 183, 1, 0, 49, 19},	//283 KTextEditor::Cursor::operator=(const KTextEditor::Cursor&)
    {36, 891, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//284 KTextEditor::Cursor::setRange(KTextEditor::Range*)
    {36, 388, 183, 1, Smoke::mf_protected, 0, 21},	//285 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
    {36, 571, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 311, 22},	//286 KTextEditor::Cursor::m_line() const
    {36, 858, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 23},	//287 KTextEditor::Cursor::setM_line(int)
    {36, 569, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 311, 24},	//288 KTextEditor::Cursor::m_column() const
    {36, 854, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 25},	//289 KTextEditor::Cursor::setM_column(int)
    {36, 572, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 66, 26},	//290 KTextEditor::Cursor::m_range() const
    {36, 860, 188, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 27},	//291 KTextEditor::Cursor::setM_range(KTextEditor::Range*)
    {36, 1037, 0, 0, Smoke::mf_dtor, 0, 28 },	//292 KTextEditor::Cursor::~Cursor()
    {37, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//293 KTextEditor::Document::metaObject() const
    {37, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//294 KTextEditor::Document::qt_metacast(const char*)
    {37, 967, 85, 2, Smoke::mf_static, 139, 3},	//295 KTextEditor::Document::tr(const char*, const char*)
    {37, 971, 85, 2, Smoke::mf_static, 139, 4},	//296 KTextEditor::Document::trUtf8(const char*, const char*)
    {37, 967, 88, 3, Smoke::mf_static, 139, 5},	//297 KTextEditor::Document::tr(const char*, const char*, int)
    {37, 971, 88, 3, Smoke::mf_static, 139, 6},	//298 KTextEditor::Document::trUtf8(const char*, const char*, int)
    {37, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//299 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
    {37, 56, 131, 1, Smoke::mf_ctor, 51, 8},	//300 KTextEditor::Document::Document(QObject*)
    {37, 451, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//301 KTextEditor::Document::editor() [pure virtual]
    {37, 385, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 10},	//302 KTextEditor::Document::createView(QWidget*) [pure virtual]
    {37, 239, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 11},	//303 KTextEditor::Document::activeView() const [pure virtual]
    {37, 1005, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 290, 12},	//304 KTextEditor::Document::views() const [pure virtual]
    {37, 995, 190, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//305 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
    {37, 430, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 304, 14},	//306 KTextEditor::Document::documentName() const [pure virtual]
    {37, 621, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 15},	//307 KTextEditor::Document::mimeType() [pure virtual]
    {37, 431, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//308 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
    {37, 439, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//309 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
    {37, 630, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//310 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
    {37, 839, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 19},	//311 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
    {37, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 304, 20},	//312 KTextEditor::Document::encoding() const [pure virtual]
    {37, 434, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 21},	//313 KTextEditor::Document::documentReload() [pure virtual]
    {37, 435, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 22},	//314 KTextEditor::Document::documentSave() [pure virtual]
    {37, 436, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 23},	//315 KTextEditor::Document::documentSaveAs() [pure virtual]
    {37, 437, 195, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//316 KTextEditor::Document::documentSavedOrUploaded(KTextEditor::Document*, bool)
    {37, 938, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 25},	//317 KTextEditor::Document::startEditing() [pure virtual]
    {37, 463, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 26},	//318 KTextEditor::Document::endEditing() [pure virtual]
    {37, 947, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 27},	//319 KTextEditor::Document::text() const [pure virtual]
    {37, 947, 198, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 28},	//320 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
    {37, 297, 183, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 96, 29},	//321 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
    {37, 957, 198, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 30},	//322 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
    {37, 561, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 31},	//323 KTextEditor::Document::line(int) const [pure virtual]
    {37, 567, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 311, 32},	//324 KTextEditor::Document::lines() const [pure virtual]
    {37, 428, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 33},	//325 KTextEditor::Document::documentEnd() const [pure virtual]
    {37, 433, 0, 0, Smoke::mf_const, 64, 34},	//326 KTextEditor::Document::documentRange() const
    {37, 966, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 311, 35},	//327 KTextEditor::Document::totalCharacters() const [pure virtual]
    {37, 551, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 36},	//328 KTextEditor::Document::isEmpty() const
    {37, 565, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 311, 37},	//329 KTextEditor::Document::lineLength(int) const [pure virtual]
    {37, 464, 99, 1, Smoke::mf_const, 48, 38},	//330 KTextEditor::Document::endOfLine(int) const
    {37, 910, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 39},	//331 KTextEditor::Document::setText(const QString&) [pure virtual]
    {37, 910, 201, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 40},	//332 KTextEditor::Document::setText(const QStringList&) [pure virtual]
    {37, 314, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 41},	//333 KTextEditor::Document::clear() [pure virtual]
    {37, 536, 203, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 42},	//334 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
    {37, 536, 207, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 43},	//335 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
    {37, 773, 211, 3, Smoke::mf_virtual, 247, 44},	//336 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
    {37, 773, 215, 3, Smoke::mf_virtual, 247, 45},	//337 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
    {37, 765, 198, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 46},	//338 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
    {37, 390, 183, 1, Smoke::mf_virtual, 247, 47},	//339 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
    {37, 527, 219, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 48},	//340 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
    {37, 529, 222, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 49},	//341 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
    {37, 756, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 50},	//342 KTextEditor::Document::removeLine(int) [pure virtual]
    {37, 951, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//343 KTextEditor::Document::textChanged(KTextEditor::Document*)
    {37, 954, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//344 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
    {37, 960, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//345 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
    {37, 951, 228, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//346 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
    {37, 232, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//347 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
    {37, 234, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//348 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
    {37, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 57},	//349 KTextEditor::Document::mode() const [pure virtual]
    {37, 509, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 58},	//350 KTextEditor::Document::highlightingMode() const [pure virtual]
    {37, 629, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 59},	//351 KTextEditor::Document::modes() const [pure virtual]
    {37, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 60},	//352 KTextEditor::Document::highlightingModes() const [pure virtual]
    {37, 871, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 61},	//353 KTextEditor::Document::setMode(const QString&) [pure virtual]
    {37, 846, 168, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 62},	//354 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
    {37, 512, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 63},	//355 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
    {37, 627, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 64},	//356 KTextEditor::Document::modeSection(int) const [pure virtual]
    {37, 625, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//357 KTextEditor::Document::modeChanged(KTextEditor::Document*)
    {37, 510, 193, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//358 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
    {37, 908, 17, 1, 0, 0, 67},	//359 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
    {37, 945, 0, 0, Smoke::mf_const, 247, 68},	//360 KTextEditor::Document::suppressOpeningErrorDialogs() const
    {37, 670, 0, 0, Smoke::mf_const, 247, 69},	//361 KTextEditor::Document::openingError() const
    {37, 671, 0, 0, Smoke::mf_const, 139, 70},	//362 KTextEditor::Document::openingErrorMessage() const
    {37, 880, 17, 1, Smoke::mf_protected, 0, 71},	//363 KTextEditor::Document::setOpeningError(bool)
    {37, 882, 168, 1, Smoke::mf_protected, 0, 72},	//364 KTextEditor::Document::setOpeningErrorMessage(const QString&)
    {37, 967, 70, 1, Smoke::mf_static, 139, 73},	//365 KTextEditor::Document::tr(const char*)
    {37, 971, 70, 1, Smoke::mf_static, 139, 74},	//366 KTextEditor::Document::trUtf8(const char*)
    {37, 56, 0, 0, Smoke::mf_ctor, 51, 75},	//367 KTextEditor::Document::Document()
    {37, 947, 232, 1, Smoke::mf_const|Smoke::mf_purevirtual, 139, 76},	//368 KTextEditor::Document::text(const KTextEditor::Range&) const [pure virtual]
    {37, 957, 232, 1, Smoke::mf_const|Smoke::mf_purevirtual, 141, 77},	//369 KTextEditor::Document::textLines(const KTextEditor::Range&) const [pure virtual]
    {37, 536, 234, 2, Smoke::mf_purevirtual, 247, 78},	//370 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&) [pure virtual]
    {37, 536, 237, 2, Smoke::mf_purevirtual, 247, 79},	//371 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&) [pure virtual]
    {37, 773, 240, 2, 0, 247, 80},	//372 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
    {37, 773, 243, 2, 0, 247, 81},	//373 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
    {37, 765, 232, 1, Smoke::mf_purevirtual, 247, 82},	//374 KTextEditor::Document::removeText(const KTextEditor::Range&) [pure virtual]
    {37, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 83},	//375 KTextEditor::Document::staticMetaObject() const
    {37, 1038, 0, 0, Smoke::mf_dtor, 0, 84 },	//376 KTextEditor::Document::~Document()
    {38, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//377 KTextEditor::Editor::metaObject() const
    {38, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//378 KTextEditor::Editor::qt_metacast(const char*)
    {38, 967, 85, 2, Smoke::mf_static, 139, 3},	//379 KTextEditor::Editor::tr(const char*, const char*)
    {38, 971, 85, 2, Smoke::mf_static, 139, 4},	//380 KTextEditor::Editor::trUtf8(const char*, const char*)
    {38, 967, 88, 3, Smoke::mf_static, 139, 5},	//381 KTextEditor::Editor::tr(const char*, const char*, int)
    {38, 971, 88, 3, Smoke::mf_static, 139, 6},	//382 KTextEditor::Editor::trUtf8(const char*, const char*, int)
    {38, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//383 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
    {38, 62, 131, 1, Smoke::mf_ctor, 52, 8},	//384 KTextEditor::Editor::Editor(QObject*)
    {38, 906, 17, 1, 0, 0, 9},	//385 KTextEditor::Editor::setSimpleMode(bool)
    {38, 925, 0, 0, Smoke::mf_const, 247, 10},	//386 KTextEditor::Editor::simpleMode() const
    {38, 378, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 11},	//387 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
    {38, 441, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 285, 12},	//388 KTextEditor::Editor::documents() [pure virtual]
    {38, 231, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 248, 13},	//389 KTextEditor::Editor::aboutData() const [pure virtual]
    {38, 734, 246, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//390 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
    {38, 1018, 246, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//391 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
    {38, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 16},	//392 KTextEditor::Editor::configDialogSupported() const [pure virtual]
    {38, 348, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//393 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
    {38, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 311, 18},	//394 KTextEditor::Editor::configPages() const [pure virtual]
    {38, 352, 248, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 46, 19},	//395 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
    {38, 358, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 20},	//396 KTextEditor::Editor::configPageName(int) const [pure virtual]
    {38, 354, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 21},	//397 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
    {38, 356, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 9, 22},	//398 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
    {38, 426, 251, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//399 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
    {38, 967, 70, 1, Smoke::mf_static, 139, 24},	//400 KTextEditor::Editor::tr(const char*)
    {38, 971, 70, 1, Smoke::mf_static, 139, 25},	//401 KTextEditor::Editor::trUtf8(const char*)
    {38, 734, 0, 0, Smoke::mf_purevirtual, 0, 26},	//402 KTextEditor::Editor::readConfig() [pure virtual]
    {38, 1018, 0, 0, Smoke::mf_purevirtual, 0, 27},	//403 KTextEditor::Editor::writeConfig() [pure virtual]
    {38, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 28},	//404 KTextEditor::Editor::staticMetaObject() const
    {38, 1039, 0, 0, Smoke::mf_dtor, 0, 29 },	//405 KTextEditor::Editor::~Editor()
    {39, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//406 KTextEditor::EditorChooser::metaObject() const
    {39, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//407 KTextEditor::EditorChooser::qt_metacast(const char*)
    {39, 967, 85, 2, Smoke::mf_static, 139, 3},	//408 KTextEditor::EditorChooser::tr(const char*, const char*)
    {39, 971, 85, 2, Smoke::mf_static, 139, 4},	//409 KTextEditor::EditorChooser::trUtf8(const char*, const char*)
    {39, 967, 88, 3, Smoke::mf_static, 139, 5},	//410 KTextEditor::EditorChooser::tr(const char*, const char*, int)
    {39, 971, 88, 3, Smoke::mf_static, 139, 6},	//411 KTextEditor::EditorChooser::trUtf8(const char*, const char*, int)
    {39, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//412 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
    {39, 64, 10, 1, Smoke::mf_ctor, 53, 8},	//413 KTextEditor::EditorChooser::EditorChooser(QWidget*)
    {39, 732, 168, 1, 0, 0, 9},	//414 KTextEditor::EditorChooser::readAppSetting(const QString&)
    {39, 1016, 168, 1, 0, 0, 10},	//415 KTextEditor::EditorChooser::writeAppSetting(const QString&)
    {39, 451, 254, 2, Smoke::mf_static, 52, 11},	//416 KTextEditor::EditorChooser::editor(const QString&, bool)
    {39, 296, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//417 KTextEditor::EditorChooser::changed()
    {39, 967, 70, 1, Smoke::mf_static, 139, 13},	//418 KTextEditor::EditorChooser::tr(const char*)
    {39, 971, 70, 1, Smoke::mf_static, 139, 14},	//419 KTextEditor::EditorChooser::trUtf8(const char*)
    {39, 64, 0, 0, Smoke::mf_ctor, 53, 15},	//420 KTextEditor::EditorChooser::EditorChooser()
    {39, 732, 0, 0, 0, 0, 16},	//421 KTextEditor::EditorChooser::readAppSetting()
    {39, 1016, 0, 0, 0, 0, 17},	//422 KTextEditor::EditorChooser::writeAppSetting()
    {39, 451, 0, 0, Smoke::mf_static, 52, 18},	//423 KTextEditor::EditorChooser::editor()
    {39, 451, 168, 1, Smoke::mf_static, 52, 19},	//424 KTextEditor::EditorChooser::editor(const QString&)
    {39, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 20},	//425 KTextEditor::EditorChooser::staticMetaObject() const
    {39, 1040, 0, 0, Smoke::mf_dtor, 0, 21 },	//426 KTextEditor::EditorChooser::~EditorChooser()
    {40, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//427 KTextEditor::Factory::metaObject() const
    {40, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//428 KTextEditor::Factory::qt_metacast(const char*)
    {40, 967, 85, 2, Smoke::mf_static, 139, 3},	//429 KTextEditor::Factory::tr(const char*, const char*)
    {40, 971, 85, 2, Smoke::mf_static, 139, 4},	//430 KTextEditor::Factory::trUtf8(const char*, const char*)
    {40, 967, 88, 3, Smoke::mf_static, 139, 5},	//431 KTextEditor::Factory::tr(const char*, const char*, int)
    {40, 971, 88, 3, Smoke::mf_static, 139, 6},	//432 KTextEditor::Factory::trUtf8(const char*, const char*, int)
    {40, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//433 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
    {40, 77, 131, 1, Smoke::mf_ctor, 54, 8},	//434 KTextEditor::Factory::Factory(QObject*)
    {40, 451, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//435 KTextEditor::Factory::editor() [pure virtual]
    {40, 967, 70, 1, Smoke::mf_static, 139, 10},	//436 KTextEditor::Factory::tr(const char*)
    {40, 971, 70, 1, Smoke::mf_static, 139, 11},	//437 KTextEditor::Factory::trUtf8(const char*)
    {40, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 12},	//438 KTextEditor::Factory::staticMetaObject() const
    {40, 1041, 0, 0, Smoke::mf_dtor, 0, 13 },	//439 KTextEditor::Factory::~Factory()
    {41, 135, 0, 0, Smoke::mf_ctor, 56, 1},	//440 KTextEditor::Mark::Mark()
    {41, 135, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//441 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
    {41, 561, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 311, 3},	//442 KTextEditor::Mark::line() const
    {41, 851, 99, 1, Smoke::mf_attribute, 0, 4},	//443 KTextEditor::Mark::setLine(int)
    {41, 978, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 314, 5},	//444 KTextEditor::Mark::type() const
    {41, 913, 259, 1, Smoke::mf_attribute, 0, 6},	//445 KTextEditor::Mark::setType(unsigned int)
    {41, 1042, 0, 0, Smoke::mf_dtor, 0, 7 },	//446 KTextEditor::Mark::~Mark()
    {42, 138, 0, 0, Smoke::mf_ctor, 57, 1},	//447 KTextEditor::MarkInterface::MarkInterface()
    {42, 574, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 314, 2},	//448 KTextEditor::MarkInterface::mark(int) [pure virtual]
    {42, 865, 261, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//449 KTextEditor::MarkInterface::setMark(int, unsigned int) [pure virtual]
    {42, 320, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//450 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
    {42, 252, 261, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//451 KTextEditor::MarkInterface::addMark(int, unsigned int) [pure virtual]
    {42, 758, 261, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//452 KTextEditor::MarkInterface::removeMark(int, unsigned int) [pure virtual]
    {42, 614, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 283, 7},	//453 KTextEditor::MarkInterface::marks() [pure virtual]
    {42, 322, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//454 KTextEditor::MarkInterface::clearMarks() [pure virtual]
    {42, 780, 0, 0, Smoke::mf_static, 311, 9},	//455 KTextEditor::MarkInterface::reservedMarkersCount()
    {42, 615, 193, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//456 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
    {42, 869, 264, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//457 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
    {42, 580, 267, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 132, 12},	//458 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {42, 867, 269, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//459 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
    {42, 578, 267, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 14},	//460 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {42, 835, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//461 KTextEditor::MarkInterface::setEditableMarks(unsigned int) [pure virtual]
    {42, 450, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 314, 16},	//462 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
    {42, 576, 272, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//463 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
    {42, 138, 276, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 18},	//464 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
    {42, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//465 KTextEditor::MarkInterface::markType01 (enum)
    {42, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 20},	//466 KTextEditor::MarkInterface::markType02 (enum)
    {42, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 21},	//467 KTextEditor::MarkInterface::markType03 (enum)
    {42, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 22},	//468 KTextEditor::MarkInterface::markType04 (enum)
    {42, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 23},	//469 KTextEditor::MarkInterface::markType05 (enum)
    {42, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 24},	//470 KTextEditor::MarkInterface::markType06 (enum)
    {42, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 25},	//471 KTextEditor::MarkInterface::markType07 (enum)
    {42, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 26},	//472 KTextEditor::MarkInterface::markType08 (enum)
    {42, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 27},	//473 KTextEditor::MarkInterface::markType09 (enum)
    {42, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 28},	//474 KTextEditor::MarkInterface::markType10 (enum)
    {42, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 29},	//475 KTextEditor::MarkInterface::markType11 (enum)
    {42, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 30},	//476 KTextEditor::MarkInterface::markType12 (enum)
    {42, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 31},	//477 KTextEditor::MarkInterface::markType13 (enum)
    {42, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 32},	//478 KTextEditor::MarkInterface::markType14 (enum)
    {42, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 33},	//479 KTextEditor::MarkInterface::markType15 (enum)
    {42, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 34},	//480 KTextEditor::MarkInterface::markType16 (enum)
    {42, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 35},	//481 KTextEditor::MarkInterface::markType17 (enum)
    {42, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 36},	//482 KTextEditor::MarkInterface::markType18 (enum)
    {42, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 37},	//483 KTextEditor::MarkInterface::markType19 (enum)
    {42, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 38},	//484 KTextEditor::MarkInterface::markType20 (enum)
    {42, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 39},	//485 KTextEditor::MarkInterface::markType21 (enum)
    {42, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 40},	//486 KTextEditor::MarkInterface::markType22 (enum)
    {42, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 41},	//487 KTextEditor::MarkInterface::markType23 (enum)
    {42, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 42},	//488 KTextEditor::MarkInterface::markType24 (enum)
    {42, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 43},	//489 KTextEditor::MarkInterface::markType25 (enum)
    {42, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 44},	//490 KTextEditor::MarkInterface::markType26 (enum)
    {42, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 45},	//491 KTextEditor::MarkInterface::markType27 (enum)
    {42, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 46},	//492 KTextEditor::MarkInterface::markType28 (enum)
    {42, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 47},	//493 KTextEditor::MarkInterface::markType29 (enum)
    {42, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 48},	//494 KTextEditor::MarkInterface::markType30 (enum)
    {42, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 49},	//495 KTextEditor::MarkInterface::markType31 (enum)
    {42, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 50},	//496 KTextEditor::MarkInterface::markType32 (enum)
    {42, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 51},	//497 KTextEditor::MarkInterface::Bookmark (enum)
    {42, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 52},	//498 KTextEditor::MarkInterface::BreakpointActive (enum)
    {42, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 53},	//499 KTextEditor::MarkInterface::BreakpointReached (enum)
    {42, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 54},	//500 KTextEditor::MarkInterface::BreakpointDisabled (enum)
    {42, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 55},	//501 KTextEditor::MarkInterface::Execution (enum)
    {42, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 56},	//502 KTextEditor::MarkInterface::Warning (enum)
    {42, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 57},	//503 KTextEditor::MarkInterface::Error (enum)
    {42, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 58},	//504 KTextEditor::MarkInterface::MarkAdded (enum)
    {42, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 59},	//505 KTextEditor::MarkInterface::MarkRemoved (enum)
    {42, 1043, 0, 0, Smoke::mf_dtor, 0, 60 },	//506 KTextEditor::MarkInterface::~MarkInterface()
    {43, 142, 0, 0, Smoke::mf_ctor, 60, 1},	//507 KTextEditor::MdiContainer::MdiContainer()
    {43, 800, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//508 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
    {43, 239, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 3},	//509 KTextEditor::MdiContainer::activeView() [pure virtual]
    {43, 378, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 4},	//510 KTextEditor::MdiContainer::createDocument() [pure virtual]
    {43, 330, 193, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 5},	//511 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
    {43, 385, 193, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 89, 6},	//512 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
    {43, 334, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 7},	//513 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
    {43, 142, 280, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 8},	//514 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
    {43, 1044, 0, 0, Smoke::mf_dtor, 0, 9 },	//515 KTextEditor::MdiContainer::~MdiContainer()
    {44, 144, 0, 0, Smoke::mf_ctor, 61, 1},	//516 KTextEditor::ModificationInterface::ModificationInterface()
    {44, 874, 282, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//517 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {44, 876, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//518 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
    {44, 927, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//519 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
    {44, 632, 284, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//520 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {44, 144, 288, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 6},	//521 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
    {44, 927, 0, 0, Smoke::mf_purevirtual, 0, 7},	//522 KTextEditor::ModificationInterface::slotModifiedOnDisk() [pure virtual]
    {44, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 8},	//523 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
    {44, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 9},	//524 KTextEditor::ModificationInterface::OnDiskModified (enum)
    {44, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 10},	//525 KTextEditor::ModificationInterface::OnDiskCreated (enum)
    {44, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 11},	//526 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
    {44, 1045, 0, 0, Smoke::mf_dtor, 0, 12 },	//527 KTextEditor::ModificationInterface::~ModificationInterface()
    {45, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//528 KTextEditor::Plugin::metaObject() const
    {45, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//529 KTextEditor::Plugin::qt_metacast(const char*)
    {45, 967, 85, 2, Smoke::mf_static, 139, 3},	//530 KTextEditor::Plugin::tr(const char*, const char*)
    {45, 971, 85, 2, Smoke::mf_static, 139, 4},	//531 KTextEditor::Plugin::trUtf8(const char*, const char*)
    {45, 967, 88, 3, Smoke::mf_static, 139, 5},	//532 KTextEditor::Plugin::tr(const char*, const char*, int)
    {45, 971, 88, 3, Smoke::mf_static, 139, 6},	//533 KTextEditor::Plugin::trUtf8(const char*, const char*, int)
    {45, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//534 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {45, 158, 131, 1, Smoke::mf_ctor, 63, 8},	//535 KTextEditor::Plugin::Plugin(QObject*)
    {45, 244, 193, 1, Smoke::mf_virtual, 0, 9},	//536 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
    {45, 750, 193, 1, Smoke::mf_virtual, 0, 10},	//537 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
    {45, 256, 278, 1, Smoke::mf_virtual, 0, 11},	//538 KTextEditor::Plugin::addView(KTextEditor::View*)
    {45, 769, 278, 1, Smoke::mf_virtual, 0, 12},	//539 KTextEditor::Plugin::removeView(KTextEditor::View*)
    {45, 967, 70, 1, Smoke::mf_static, 139, 13},	//540 KTextEditor::Plugin::tr(const char*)
    {45, 971, 70, 1, Smoke::mf_static, 139, 14},	//541 KTextEditor::Plugin::trUtf8(const char*)
    {45, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 15},	//542 KTextEditor::Plugin::staticMetaObject() const
    {45, 1046, 0, 0, Smoke::mf_dtor, 0, 16 },	//543 KTextEditor::Plugin::~Plugin()
    {46, 175, 0, 0, Smoke::mf_ctor, 66, 1},	//544 KTextEditor::Range::Range()
    {46, 175, 290, 2, Smoke::mf_ctor, 66, 2},	//545 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {46, 175, 293, 2, Smoke::mf_ctor, 66, 3},	//546 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
    {46, 175, 296, 3, Smoke::mf_ctor, 66, 4},	//547 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
    {46, 175, 300, 4, Smoke::mf_ctor, 66, 5},	//548 KTextEditor::Range::Range(int, int, int, int)
    {46, 175, 232, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//549 KTextEditor::Range::Range(const KTextEditor::Range&)
    {46, 554, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 7},	//550 KTextEditor::Range::isValid() const
    {46, 546, 0, 0, Smoke::mf_static, 64, 8},	//551 KTextEditor::Range::invalid()
    {46, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 9},	//552 KTextEditor::Range::isSmartRange() const
    {46, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 80, 10},	//553 KTextEditor::Range::toSmartRange() const
    {46, 935, 0, 0, 0, 49, 11},	//554 KTextEditor::Range::start()
    {46, 935, 0, 0, Smoke::mf_const, 260, 12},	//555 KTextEditor::Range::start() const
    {46, 462, 0, 0, 0, 49, 13},	//556 KTextEditor::Range::end()
    {46, 462, 0, 0, Smoke::mf_const, 260, 14},	//557 KTextEditor::Range::end() const
    {46, 816, 99, 1, 0, 0, 15},	//558 KTextEditor::Range::setBothLines(int)
    {46, 814, 99, 1, 0, 0, 16},	//559 KTextEditor::Range::setBothColumns(int)
    {46, 891, 232, 1, Smoke::mf_virtual, 0, 17},	//560 KTextEditor::Range::setRange(const KTextEditor::Range&)
    {46, 891, 290, 2, 0, 0, 18},	//561 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {46, 477, 232, 1, Smoke::mf_virtual, 247, 19},	//562 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
    {46, 363, 232, 1, Smoke::mf_virtual, 247, 20},	//563 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
    {46, 667, 0, 0, Smoke::mf_const, 247, 21},	//564 KTextEditor::Range::onSingleLine() const
    {46, 666, 0, 0, Smoke::mf_const, 311, 22},	//565 KTextEditor::Range::numberOfLines() const
    {46, 340, 0, 0, Smoke::mf_const, 311, 23},	//566 KTextEditor::Range::columnWidth() const
    {46, 551, 0, 0, Smoke::mf_const, 247, 24},	//567 KTextEditor::Range::isEmpty() const
    {46, 367, 232, 1, Smoke::mf_const, 247, 25},	//568 KTextEditor::Range::contains(const KTextEditor::Range&) const
    {46, 367, 183, 1, Smoke::mf_const, 247, 26},	//569 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    {46, 371, 99, 1, Smoke::mf_const, 247, 27},	//570 KTextEditor::Range::containsLine(int) const
    {46, 369, 99, 1, Smoke::mf_const, 247, 28},	//571 KTextEditor::Range::containsColumn(int) const
    {46, 681, 232, 1, Smoke::mf_const, 247, 29},	//572 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
    {46, 685, 99, 1, Smoke::mf_const, 247, 30},	//573 KTextEditor::Range::overlapsLine(int) const
    {46, 683, 99, 1, Smoke::mf_const, 247, 31},	//574 KTextEditor::Range::overlapsColumn(int) const
    {46, 704, 183, 1, Smoke::mf_const, 311, 32},	//575 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
    {46, 706, 99, 1, Smoke::mf_const, 311, 33},	//576 KTextEditor::Range::positionRelativeToLine(int) const
    {46, 285, 183, 1, Smoke::mf_const, 247, 34},	//577 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
    {46, 287, 99, 1, Smoke::mf_const, 247, 35},	//578 KTextEditor::Range::boundaryOnLine(int) const
    {46, 544, 232, 1, Smoke::mf_const, 64, 36},	//579 KTextEditor::Range::intersect(const KTextEditor::Range&) const
    {46, 460, 232, 1, Smoke::mf_const, 64, 37},	//580 KTextEditor::Range::encompass(const KTextEditor::Range&) const
    {46, 674, 232, 1, 0, 65, 38},	//581 KTextEditor::Range::operator=(const KTextEditor::Range&)
    {46, 175, 305, 2, Smoke::mf_ctor|Smoke::mf_protected, 66, 39},	//582 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    {46, 721, 308, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//583 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {46, 573, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 50, 41},	//584 KTextEditor::Range::m_start() const
    {46, 862, 311, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//585 KTextEditor::Range::setM_start(KTextEditor::Cursor*)
    {46, 570, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 50, 43},	//586 KTextEditor::Range::m_end() const
    {46, 856, 311, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//587 KTextEditor::Range::setM_end(KTextEditor::Cursor*)
    {46, 1047, 0, 0, Smoke::mf_dtor, 0, 45 },	//588 KTextEditor::Range::~Range()
    {47, 183, 0, 0, Smoke::mf_ctor, 70, 1},	//589 KTextEditor::SearchInterface::SearchInterface()
    {47, 790, 313, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 2},	//590 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const KTextEditor::Search::SearchOptions) [pure virtual]
    {47, 944, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 67, 3},	//591 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
    {47, 183, 317, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 4},	//592 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
    {47, 790, 240, 2, Smoke::mf_purevirtual, 148, 5},	//593 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&) [pure virtual]
    {47, 1048, 0, 0, Smoke::mf_dtor, 0, 6 },	//594 KTextEditor::SearchInterface::~SearchInterface()
    {48, 187, 0, 0, Smoke::mf_ctor, 71, 1},	//595 KTextEditor::SessionConfigInterface::SessionConfigInterface()
    {48, 736, 319, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//596 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
    {48, 1020, 321, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//597 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
    {48, 187, 323, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 4},	//598 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
    {48, 1049, 0, 0, Smoke::mf_dtor, 0, 5 },	//599 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
    {49, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 1},	//600 KTextEditor::SmartCursor::isSmartCursor() const
    {49, 963, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 73, 2},	//601 KTextEditor::SmartCursor::toSmartCursor() const
    {49, 931, 0, 0, Smoke::mf_const, 80, 3},	//602 KTextEditor::SmartCursor::smartRange() const
    {49, 424, 0, 0, Smoke::mf_const, 51, 4},	//603 KTextEditor::SmartCursor::document() const
    {49, 275, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 5},	//604 KTextEditor::SmartCursor::atEndOfLine() const
    {49, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 6},	//605 KTextEditor::SmartCursor::atEndOfDocument() const
    {49, 554, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 7},	//606 KTextEditor::SmartCursor::isValid() const
    {49, 297, 0, 0, Smoke::mf_const, 96, 8},	//607 KTextEditor::SmartCursor::character() const
    {49, 536, 325, 2, Smoke::mf_virtual, 247, 9},	//608 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
    {49, 260, 328, 2, Smoke::mf_virtual, 247, 10},	//609 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
    {49, 525, 0, 0, Smoke::mf_const, 75, 11},	//610 KTextEditor::SmartCursor::insertBehavior() const
    {49, 848, 331, 1, 0, 0, 12},	//611 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
    {49, 501, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 13},	//612 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
    {49, 664, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 76, 14},	//613 KTextEditor::SmartCursor::notifier() [pure virtual]
    {49, 413, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//614 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
    {49, 1011, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 16},	//615 KTextEditor::SmartCursor::watcher() const [pure virtual]
    {49, 918, 333, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//616 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
    {49, 674, 335, 1, 0, 72, 18},	//617 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
    {49, 192, 337, 3, Smoke::mf_ctor|Smoke::mf_protected, 73, 19},	//618 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
    {49, 536, 201, 1, 0, 247, 20},	//619 KTextEditor::SmartCursor::insertText(const QStringList&)
    {49, 260, 99, 1, 0, 247, 21},	//620 KTextEditor::SmartCursor::advance(int)
    {49, 918, 0, 0, Smoke::mf_purevirtual, 0, 22},	//621 KTextEditor::SmartCursor::setWatcher() [pure virtual]
    {49, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 23},	//622 KTextEditor::SmartCursor::ByCharacter (enum)
    {49, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 24},	//623 KTextEditor::SmartCursor::ByCursorPosition (enum)
    {49, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 25},	//624 KTextEditor::SmartCursor::StayOnInsert (enum)
    {49, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 26},	//625 KTextEditor::SmartCursor::MoveOnInsert (enum)
    {49, 1050, 0, 0, Smoke::mf_dtor, 0, 27 },	//626 KTextEditor::SmartCursor::~SmartCursor()
    {50, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//627 KTextEditor::SmartCursorNotifier::metaObject() const
    {50, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//628 KTextEditor::SmartCursorNotifier::qt_metacast(const char*)
    {50, 967, 85, 2, Smoke::mf_static, 139, 3},	//629 KTextEditor::SmartCursorNotifier::tr(const char*, const char*)
    {50, 971, 85, 2, Smoke::mf_static, 139, 4},	//630 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*)
    {50, 967, 88, 3, Smoke::mf_static, 139, 5},	//631 KTextEditor::SmartCursorNotifier::tr(const char*, const char*, int)
    {50, 971, 88, 3, Smoke::mf_static, 139, 6},	//632 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*, int)
    {50, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//633 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {50, 194, 0, 0, Smoke::mf_ctor, 76, 8},	//634 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
    {50, 1008, 0, 0, Smoke::mf_const, 247, 9},	//635 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
    {50, 916, 17, 1, 0, 0, 10},	//636 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
    {50, 700, 341, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//637 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
    {50, 702, 341, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//638 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
    {50, 299, 343, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//639 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
    {50, 301, 343, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//640 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
    {50, 416, 341, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//641 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
    {50, 967, 70, 1, Smoke::mf_static, 139, 16},	//642 KTextEditor::SmartCursorNotifier::tr(const char*)
    {50, 971, 70, 1, Smoke::mf_static, 139, 17},	//643 KTextEditor::SmartCursorNotifier::trUtf8(const char*)
    {50, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 18},	//644 KTextEditor::SmartCursorNotifier::staticMetaObject() const
    {50, 1051, 0, 0, Smoke::mf_dtor, 0, 19 },	//645 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
    {51, 195, 0, 0, Smoke::mf_ctor, 77, 1},	//646 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
    {51, 1008, 0, 0, Smoke::mf_const, 247, 2},	//647 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
    {51, 916, 17, 1, 0, 0, 3},	//648 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
    {51, 700, 341, 1, Smoke::mf_virtual, 0, 4},	//649 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
    {51, 702, 341, 1, Smoke::mf_virtual, 0, 5},	//650 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
    {51, 299, 343, 2, Smoke::mf_virtual, 0, 6},	//651 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
    {51, 301, 343, 2, Smoke::mf_virtual, 0, 7},	//652 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
    {51, 416, 341, 1, Smoke::mf_virtual, 0, 8},	//653 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
    {51, 195, 346, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 9},	//654 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
    {51, 1052, 0, 0, Smoke::mf_dtor, 0, 10 },	//655 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
    {52, 197, 0, 0, Smoke::mf_ctor, 78, 1},	//656 KTextEditor::SmartInterface::SmartInterface()
    {52, 930, 0, 0, Smoke::mf_const, 127, 2},	//657 KTextEditor::SmartInterface::smartMutex() const
    {52, 325, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//658 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
    {52, 323, 0, 0, Smoke::mf_const, 247, 4},	//659 KTextEditor::SmartInterface::clearOnDocumentReload() const
    {52, 818, 17, 1, 0, 0, 5},	//660 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
    {52, 387, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 311, 6},	//661 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
    {52, 743, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//662 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
    {52, 985, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//663 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
    {52, 324, 0, 0, 0, 0, 9},	//664 KTextEditor::SmartInterface::clearRevision()
    {52, 975, 348, 2, Smoke::mf_const|Smoke::mf_virtual, 48, 10},	//665 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    {52, 975, 351, 2, Smoke::mf_const|Smoke::mf_virtual, 64, 11},	//666 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
    {52, 650, 348, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 12},	//667 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
    {52, 650, 354, 3, 0, 73, 13},	//668 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
    {52, 412, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//669 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
    {52, 655, 358, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 80, 15},	//670 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
    {52, 655, 362, 4, 0, 80, 16},	//671 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    {52, 655, 367, 6, 0, 80, 17},	//672 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    {52, 655, 374, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 80, 18},	//673 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors) [pure virtual]
    {52, 979, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//674 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
    {52, 415, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 20},	//675 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
    {52, 246, 381, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//676 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
    {52, 752, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//677 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 429, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 286, 23},	//678 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
    {52, 319, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//679 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
    {52, 249, 384, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//680 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
    {52, 754, 388, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//681 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 1000, 278, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 286, 27},	//682 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
    {52, 328, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//683 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
    {52, 240, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//684 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 745, 379, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//685 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 425, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 286, 31},	//686 KTextEditor::SmartInterface::documentActions() const [pure virtual]
    {52, 318, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//687 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
    {52, 242, 388, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//688 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 747, 388, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 34},	//689 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 993, 278, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 286, 35},	//690 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
    {52, 326, 278, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//691 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
    {52, 279, 391, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 37},	//692 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {52, 281, 391, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 38},	//693 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {52, 197, 393, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 39},	//694 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
    {52, 975, 183, 1, Smoke::mf_const, 48, 40},	//695 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    {52, 975, 232, 1, Smoke::mf_const, 64, 41},	//696 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    {52, 650, 0, 0, Smoke::mf_purevirtual, 73, 42},	//697 KTextEditor::SmartInterface::newSmartCursor() [pure virtual]
    {52, 650, 183, 1, Smoke::mf_purevirtual, 73, 43},	//698 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&) [pure virtual]
    {52, 650, 150, 2, 0, 73, 44},	//699 KTextEditor::SmartInterface::newSmartCursor(int, int)
    {52, 655, 0, 0, Smoke::mf_purevirtual, 80, 45},	//700 KTextEditor::SmartInterface::newSmartRange() [pure virtual]
    {52, 655, 232, 1, Smoke::mf_purevirtual, 80, 46},	//701 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&) [pure virtual]
    {52, 655, 395, 2, Smoke::mf_purevirtual, 80, 47},	//702 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*) [pure virtual]
    {52, 655, 290, 2, 0, 80, 48},	//703 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {52, 655, 398, 3, 0, 80, 49},	//704 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    {52, 655, 300, 4, 0, 80, 50},	//705 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
    {52, 655, 402, 5, 0, 80, 51},	//706 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
    {52, 655, 408, 2, Smoke::mf_purevirtual, 80, 52},	//707 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*) [pure virtual]
    {52, 655, 411, 3, Smoke::mf_purevirtual, 80, 53},	//708 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*) [pure virtual]
    {52, 246, 379, 1, Smoke::mf_purevirtual, 0, 54},	//709 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*) [pure virtual]
    {52, 249, 388, 2, Smoke::mf_purevirtual, 0, 55},	//710 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {52, 1053, 0, 0, Smoke::mf_dtor, 0, 56 },	//711 KTextEditor::SmartInterface::~SmartInterface()
    {53, 553, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 247, 1},	//712 KTextEditor::SmartRange::isSmartRange() const
    {53, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 80, 2},	//713 KTextEditor::SmartRange::toSmartRange() const
    {53, 891, 232, 1, Smoke::mf_virtual, 0, 3},	//714 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
    {53, 932, 0, 0, 0, 72, 4},	//715 KTextEditor::SmartRange::smartStart()
    {53, 932, 0, 0, Smoke::mf_const, 269, 5},	//716 KTextEditor::SmartRange::smartStart() const
    {53, 929, 0, 0, 0, 72, 6},	//717 KTextEditor::SmartRange::smartEnd()
    {53, 929, 0, 0, Smoke::mf_const, 269, 7},	//718 KTextEditor::SmartRange::smartEnd() const
    {53, 363, 232, 1, Smoke::mf_virtual, 247, 8},	//719 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
    {53, 477, 232, 1, Smoke::mf_virtual, 247, 9},	//720 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
    {53, 424, 0, 0, Smoke::mf_const, 51, 10},	//721 KTextEditor::SmartRange::document() const
    {53, 947, 17, 1, Smoke::mf_const|Smoke::mf_virtual, 141, 11},	//722 KTextEditor::SmartRange::text(bool) const
    {53, 773, 325, 2, Smoke::mf_virtual, 247, 12},	//723 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
    {53, 765, 17, 1, Smoke::mf_virtual, 247, 13},	//724 KTextEditor::SmartRange::removeText(bool)
    {53, 525, 0, 0, Smoke::mf_const, 82, 14},	//725 KTextEditor::SmartRange::insertBehavior() const
    {53, 848, 415, 1, 0, 0, 15},	//726 KTextEditor::SmartRange::setInsertBehavior(KTextEditor::SmartRange::InsertBehaviors)
    {53, 692, 0, 0, Smoke::mf_const, 80, 16},	//727 KTextEditor::SmartRange::parentRange() const
    {53, 886, 379, 1, Smoke::mf_virtual, 0, 17},	//728 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
    {53, 502, 379, 1, Smoke::mf_const, 247, 18},	//729 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
    {53, 418, 0, 0, Smoke::mf_const, 311, 19},	//730 KTextEditor::SmartRange::depth() const
    {53, 965, 0, 0, Smoke::mf_const, 80, 20},	//731 KTextEditor::SmartRange::topParentRange() const
    {53, 313, 0, 0, Smoke::mf_const, 287, 21},	//732 KTextEditor::SmartRange::childRanges() const
    {53, 317, 0, 0, 0, 0, 22},	//733 KTextEditor::SmartRange::clearChildRanges()
    {53, 411, 0, 0, 0, 0, 23},	//734 KTextEditor::SmartRange::deleteChildRanges()
    {53, 315, 0, 0, 0, 0, 24},	//735 KTextEditor::SmartRange::clearAndDeleteChildRanges()
    {53, 306, 417, 1, Smoke::mf_const, 80, 25},	//736 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
    {53, 304, 417, 1, Smoke::mf_const, 80, 26},	//737 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
    {53, 634, 232, 1, Smoke::mf_const, 80, 27},	//738 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
    {53, 480, 183, 1, Smoke::mf_const, 80, 28},	//739 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
    {53, 402, 419, 3, Smoke::mf_const, 80, 29},	//740 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
    {53, 406, 183, 1, Smoke::mf_const, 117, 30},	//741 KTextEditor::SmartRange::deepestRangesContaining(const KTextEditor::Cursor&) const
    {53, 680, 0, 0, Smoke::mf_const, 311, 31},	//742 KTextEditor::SmartRange::overlapCount() const
    {53, 278, 0, 0, Smoke::mf_const, 18, 32},	//743 KTextEditor::SmartRange::attribute() const
    {53, 806, 391, 1, 0, 0, 33},	//744 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
    {53, 271, 423, 1, 0, 0, 34},	//745 KTextEditor::SmartRange::associateAction(KAction*)
    {53, 422, 423, 1, 0, 0, 35},	//746 KTextEditor::SmartRange::dissociateAction(KAction*)
    {53, 273, 0, 0, Smoke::mf_const, 284, 36},	//747 KTextEditor::SmartRange::associatedActions() const
    {53, 316, 0, 0, 0, 0, 37},	//748 KTextEditor::SmartRange::clearAssociatedActions()
    {53, 708, 0, 0, 0, 84, 38},	//749 KTextEditor::SmartRange::primaryNotifier()
    {53, 665, 0, 0, Smoke::mf_const, 288, 39},	//750 KTextEditor::SmartRange::notifiers() const
    {53, 254, 425, 1, 0, 0, 40},	//751 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
    {53, 760, 425, 1, 0, 0, 41},	//752 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
    {53, 414, 0, 0, 0, 0, 42},	//753 KTextEditor::SmartRange::deletePrimaryNotifier()
    {53, 1012, 0, 0, Smoke::mf_const, 289, 43},	//754 KTextEditor::SmartRange::watchers() const
    {53, 258, 427, 1, 0, 0, 44},	//755 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
    {53, 771, 427, 1, 0, 0, 45},	//756 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
    {53, 674, 429, 1, 0, 79, 46},	//757 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    {53, 674, 232, 1, 0, 79, 47},	//758 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    {53, 199, 374, 4, Smoke::mf_ctor|Smoke::mf_protected, 80, 48},	//759 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    {53, 721, 308, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//760 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {53, 303, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//761 KTextEditor::SmartRange::checkFeedback()
    {53, 380, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 84, 51},	//762 KTextEditor::SmartRange::createNotifier() [pure virtual]
    {53, 738, 0, 0, Smoke::mf_protected, 0, 52},	//763 KTextEditor::SmartRange::rebuildChildStructure()
    {53, 947, 0, 0, Smoke::mf_const, 141, 53},	//764 KTextEditor::SmartRange::text() const
    {53, 773, 201, 1, 0, 247, 54},	//765 KTextEditor::SmartRange::replaceText(const QStringList&)
    {53, 765, 0, 0, 0, 247, 55},	//766 KTextEditor::SmartRange::removeText()
    {53, 402, 183, 1, Smoke::mf_const, 80, 56},	//767 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
    {53, 402, 431, 2, Smoke::mf_const, 80, 57},	//768 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
    {53, 199, 408, 2, Smoke::mf_ctor|Smoke::mf_protected, 80, 58},	//769 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {53, 199, 411, 3, Smoke::mf_ctor|Smoke::mf_protected, 80, 59},	//770 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {53, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 60},	//771 KTextEditor::SmartRange::DoNotExpand (enum)
    {53, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 61},	//772 KTextEditor::SmartRange::ExpandLeft (enum)
    {53, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 62},	//773 KTextEditor::SmartRange::ExpandRight (enum)
    {53, 1054, 0, 0, Smoke::mf_dtor, 0, 63 },	//774 KTextEditor::SmartRange::~SmartRange()
    {54, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//775 KTextEditor::SmartRangeNotifier::metaObject() const
    {54, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//776 KTextEditor::SmartRangeNotifier::qt_metacast(const char*)
    {54, 967, 85, 2, Smoke::mf_static, 139, 3},	//777 KTextEditor::SmartRangeNotifier::tr(const char*, const char*)
    {54, 971, 85, 2, Smoke::mf_static, 139, 4},	//778 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*)
    {54, 967, 88, 3, Smoke::mf_static, 139, 5},	//779 KTextEditor::SmartRangeNotifier::tr(const char*, const char*, int)
    {54, 971, 88, 3, Smoke::mf_static, 139, 6},	//780 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*, int)
    {54, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//781 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {54, 203, 0, 0, Smoke::mf_ctor, 84, 8},	//782 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
    {54, 1008, 0, 0, Smoke::mf_const, 247, 9},	//783 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
    {54, 916, 17, 1, 0, 0, 10},	//784 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
    {54, 730, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//785 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
    {54, 723, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//786 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
    {54, 723, 434, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//787 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 637, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//788 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 639, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//789 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 291, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//790 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 293, 437, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//791 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {54, 728, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//792 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
    {54, 726, 379, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//793 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
    {54, 693, 440, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//794 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 309, 434, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//795 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 311, 434, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//796 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {54, 719, 444, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//797 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {54, 967, 70, 1, Smoke::mf_static, 139, 24},	//798 KTextEditor::SmartRangeNotifier::tr(const char*)
    {54, 971, 70, 1, Smoke::mf_static, 139, 25},	//799 KTextEditor::SmartRangeNotifier::trUtf8(const char*)
    {54, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 26},	//800 KTextEditor::SmartRangeNotifier::staticMetaObject() const
    {54, 1055, 0, 0, Smoke::mf_dtor, 0, 27 },	//801 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
    {55, 204, 0, 0, Smoke::mf_ctor, 85, 1},	//802 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
    {55, 1008, 0, 0, Smoke::mf_const, 247, 2},	//803 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
    {55, 916, 17, 1, 0, 0, 3},	//804 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
    {55, 730, 379, 1, Smoke::mf_virtual, 0, 4},	//805 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
    {55, 723, 379, 1, Smoke::mf_virtual, 0, 5},	//806 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
    {55, 723, 434, 2, Smoke::mf_virtual, 0, 6},	//807 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 637, 437, 2, Smoke::mf_virtual, 0, 7},	//808 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 639, 437, 2, Smoke::mf_virtual, 0, 8},	//809 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 291, 437, 2, Smoke::mf_virtual, 0, 9},	//810 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 293, 437, 2, Smoke::mf_virtual, 0, 10},	//811 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {55, 728, 379, 1, Smoke::mf_virtual, 0, 11},	//812 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
    {55, 726, 379, 1, Smoke::mf_virtual, 0, 12},	//813 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
    {55, 693, 440, 3, Smoke::mf_virtual, 0, 13},	//814 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 309, 434, 2, Smoke::mf_virtual, 0, 14},	//815 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 311, 434, 2, Smoke::mf_virtual, 0, 15},	//816 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {55, 719, 444, 3, Smoke::mf_virtual, 0, 16},	//817 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {55, 204, 448, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 17},	//818 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
    {55, 1056, 0, 0, Smoke::mf_dtor, 0, 18 },	//819 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
    {56, 212, 0, 0, Smoke::mf_ctor, 86, 1},	//820 KTextEditor::TemplateInterface::TemplateInterface()
    {56, 475, 450, 2, Smoke::mf_static, 247, 2},	//821 KTextEditor::TemplateInterface::expandMacros(QMap<QString,QString>&, QWidget*)
    {56, 532, 453, 3, 0, 247, 3},	//822 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&)
    {56, 534, 453, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 4},	//823 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&) [pure virtual]
    {56, 212, 457, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 5},	//824 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
    {56, 1057, 0, 0, Smoke::mf_dtor, 0, 6 },	//825 KTextEditor::TemplateInterface::~TemplateInterface()
    {57, 214, 0, 0, Smoke::mf_ctor, 87, 1},	//826 KTextEditor::TextHintInterface::TextHintInterface()
    {57, 456, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//827 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
    {57, 420, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//828 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
    {57, 648, 459, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//829 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
    {57, 214, 462, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 5},	//830 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
    {57, 1058, 0, 0, Smoke::mf_dtor, 0, 6 },	//831 KTextEditor::TextHintInterface::~TextHintInterface()
    {58, 220, 0, 0, Smoke::mf_ctor, 88, 1},	//832 KTextEditor::VariableInterface::VariableInterface()
    {58, 987, 168, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 2},	//833 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
    {58, 989, 464, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//834 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
    {58, 220, 468, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 4},	//835 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
    {58, 1059, 0, 0, Smoke::mf_dtor, 0, 5 },	//836 KTextEditor::VariableInterface::~VariableInterface()
    {59, 618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 296, 1},	//837 KTextEditor::View::metaObject() const
    {59, 713, 70, 1, Smoke::mf_virtual, 315, 2},	//838 KTextEditor::View::qt_metacast(const char*)
    {59, 967, 85, 2, Smoke::mf_static, 139, 3},	//839 KTextEditor::View::tr(const char*, const char*)
    {59, 971, 85, 2, Smoke::mf_static, 139, 4},	//840 KTextEditor::View::trUtf8(const char*, const char*)
    {59, 967, 88, 3, Smoke::mf_static, 139, 5},	//841 KTextEditor::View::tr(const char*, const char*, int)
    {59, 971, 88, 3, Smoke::mf_static, 139, 6},	//842 KTextEditor::View::trUtf8(const char*, const char*, int)
    {59, 711, 92, 3, Smoke::mf_virtual, 311, 7},	//843 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
    {59, 222, 10, 1, Smoke::mf_ctor, 89, 8},	//844 KTextEditor::View::View(QWidget*)
    {59, 424, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 9},	//845 KTextEditor::View::document() const [pure virtual]
    {59, 547, 0, 0, Smoke::mf_const, 247, 10},	//846 KTextEditor::View::isActiveView() const
    {59, 1002, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 11},	//847 KTextEditor::View::viewMode() const [pure virtual]
    {59, 997, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 12},	//848 KTextEditor::View::viewEditMode() const [pure virtual]
    {59, 485, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//849 KTextEditor::View::focusIn(KTextEditor::View*)
    {59, 489, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//850 KTextEditor::View::focusOut(KTextEditor::View*)
    {59, 1003, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//851 KTextEditor::View::viewModeChanged(KTextEditor::View*)
    {59, 998, 470, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//852 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
    {59, 521, 165, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//853 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
    {59, 954, 473, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//854 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
    {59, 827, 477, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//855 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
    {59, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 20},	//856 KTextEditor::View::contextMenu() const [pure virtual]
    {59, 408, 477, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 21},	//857 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
    {59, 374, 479, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//858 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
    {59, 829, 482, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 23},	//859 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
    {59, 392, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 24},	//860 KTextEditor::View::cursorPosition() const [pure virtual]
    {59, 396, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 25},	//861 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
    {59, 397, 183, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 26},	//862 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
    {59, 395, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 27},	//863 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
    {59, 393, 484, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//864 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {59, 991, 484, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//865 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {59, 516, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//866 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
    {59, 646, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 31},	//867 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
    {59, 878, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 32},	//868 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
    {59, 642, 484, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//869 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {59, 902, 232, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 34},	//870 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
    {59, 902, 487, 3, Smoke::mf_virtual, 247, 35},	//871 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
    {59, 795, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 36},	//872 KTextEditor::View::selection() const [pure virtual]
    {59, 798, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 265, 37},	//873 KTextEditor::View::selectionRange() const [pure virtual]
    {59, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 38},	//874 KTextEditor::View::selectionText() const [pure virtual]
    {59, 763, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 39},	//875 KTextEditor::View::removeSelection() [pure virtual]
    {59, 764, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 40},	//876 KTextEditor::View::removeSelectionText() [pure virtual]
    {59, 812, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 41},	//877 KTextEditor::View::setBlockSelection(bool) [pure virtual]
    {59, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 247, 42},	//878 KTextEditor::View::blockSelection() const [pure virtual]
    {59, 796, 278, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//879 KTextEditor::View::selectionChanged(KTextEditor::View*)
    {59, 536, 168, 1, Smoke::mf_virtual, 247, 44},	//880 KTextEditor::View::insertText(const QString&)
    {59, 967, 70, 1, Smoke::mf_static, 139, 45},	//881 KTextEditor::View::tr(const char*)
    {59, 971, 70, 1, Smoke::mf_static, 139, 46},	//882 KTextEditor::View::trUtf8(const char*)
    {59, 408, 0, 0, Smoke::mf_const|Smoke::mf_purevirtual, 121, 47},	//883 KTextEditor::View::defaultContextMenu() const [pure virtual]
    {59, 902, 293, 2, 0, 247, 48},	//884 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
    {59, 940, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 295, 49},	//885 KTextEditor::View::staticMetaObject() const
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 50},	//886 KTextEditor::View::EditInsert (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 51},	//887 KTextEditor::View::EditOverwrite (enum)
    {59, 1060, 0, 0, Smoke::mf_dtor, 0, 52 },	//888 KTextEditor::View::~View()
    {61, 236, 491, 1, Smoke::mf_const|Smoke::mf_virtual, 92, 0},	//889 KXMLGUIClient::action(const QDomElement&) const
    {61, 237, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//890 KXMLGUIClient::actionCollection() const
    {61, 347, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 5, 0},	//891 KXMLGUIClient::componentData() const
    {61, 442, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//892 KXMLGUIClient::domDocument() const
    {61, 1023, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 139, 0},	//893 KXMLGUIClient::xmlFile() const
    {61, 568, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 139, 0},	//894 KXMLGUIClient::localXMLFile() const
    {61, 822, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//895 KXMLGUIClient::setComponentData(const KComponentData&)
    {61, 922, 493, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//896 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {61, 853, 168, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//897 KXMLGUIClient::setLocalXMLFile(const QString&)
    {61, 921, 254, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//898 KXMLGUIClient::setXML(const QString&, bool)
    {61, 831, 497, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//899 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {61, 939, 500, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//900 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {61, 1006, 503, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//901 KXMLGUIClient::virtual_hook(int, void*)
    {61, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 14},	//902 KXMLGUIClient::StateNoReverse (enum)
    {61, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 15},	//903 KXMLGUIClient::StateReverse (enum)
    {62, 497, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 247, 0},	//904 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {62, 400, 506, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 0},	//905 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
    {62, 832, 509, 3, Smoke::mf_virtual, 247, 0},	//906 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {62, 504, 513, 3, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//907 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {62, 845, 517, 4, Smoke::mf_virtual, 247, 0},	//908 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {62, 850, 522, 2, Smoke::mf_virtual, 247, 0},	//909 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {62, 622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 0},	//910 QAbstractItemModel::mimeTypes() const
    {62, 620, 525, 1, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//911 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {62, 447, 527, 5, Smoke::mf_virtual, 247, 0},	//912 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {62, 943, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//913 QAbstractItemModel::supportedDropActions() const
    {62, 531, 143, 3, Smoke::mf_virtual, 247, 0},	//914 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {62, 526, 143, 3, Smoke::mf_virtual, 247, 0},	//915 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {62, 762, 143, 3, Smoke::mf_virtual, 247, 0},	//916 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {62, 749, 143, 3, Smoke::mf_virtual, 247, 0},	//917 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {62, 479, 141, 1, Smoke::mf_virtual, 0, 0},	//918 QAbstractItemModel::fetchMore(const QModelIndex&)
    {62, 290, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 247, 0},	//919 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {62, 484, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//920 QAbstractItemModel::flags(const QModelIndex&) const
    {62, 933, 533, 2, Smoke::mf_virtual, 0, 0},	//921 QAbstractItemModel::sort(int, Qt::SortOrder)
    {62, 289, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 124, 0},	//922 QAbstractItemModel::buddy(const QModelIndex&) const
    {62, 617, 536, 5, Smoke::mf_const|Smoke::mf_virtual, 118, 0},	//923 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {62, 934, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 137, 0},	//924 QAbstractItemModel::span(const QModelIndex&) const
    {62, 942, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 247, 0},	//925 QAbstractItemModel::submit()
    {62, 783, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//926 QAbstractItemModel::revert()
    {80, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 1},	//927 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {80, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 2},	//928 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {80, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 3},	//929 QGlobalSpace::Q_STATIC_TYPE (enum)
    {80, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 4},	//930 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {80, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 5},	//931 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {80, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 6},	//932 QGlobalSpace::LicensedGui (enum)
    {80, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 7},	//933 QGlobalSpace::LicensedXml (enum)
    {80, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 8},	//934 QGlobalSpace::LicensedQt3SupportLight (enum)
    {80, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 9},	//935 QGlobalSpace::KST_KSycocaEntry (enum)
    {80, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 10},	//936 QGlobalSpace::KST_KService (enum)
    {80, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 11},	//937 QGlobalSpace::KST_KServiceType (enum)
    {80, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 12},	//938 QGlobalSpace::KST_KMimeType (enum)
    {80, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 13},	//939 QGlobalSpace::KST_KFolderMimeType (enum)
    {80, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 14},	//940 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {80, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 15},	//941 QGlobalSpace::KST_KServiceGroup (enum)
    {80, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 16},	//942 QGlobalSpace::KST_KImageIOFormat (enum)
    {80, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 17},	//943 QGlobalSpace::KST_KProtocolInfo (enum)
    {80, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 18},	//944 QGlobalSpace::KST_KServiceSeparator (enum)
    {80, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 19},	//945 QGlobalSpace::KST_KCustom (enum)
    {80, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 20},	//946 QGlobalSpace::LicensedScript (enum)
    {80, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 21},	//947 QGlobalSpace::LicensedOpenVG (enum)
    {80, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 22},	//948 QGlobalSpace::LicensedDBus (enum)
    {80, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 23},	//949 QGlobalSpace::LicensedTest (enum)
    {80, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 24},	//950 QGlobalSpace::LicensedActiveQt (enum)
    {80, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 25},	//951 QGlobalSpace::LicensedScriptTools (enum)
    {80, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 26},	//952 QGlobalSpace::LicensedSvg (enum)
    {80, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 27},	//953 QGlobalSpace::LicensedDeclarative (enum)
    {80, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 28},	//954 QGlobalSpace::LicensedSql (enum)
    {80, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 29},	//955 QGlobalSpace::LicensedOpenGL (enum)
    {80, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 30},	//956 QGlobalSpace::LicensedCore (enum)
    {80, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 31},	//957 QGlobalSpace::QtDebugMsg (enum)
    {80, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 32},	//958 QGlobalSpace::QtWarningMsg (enum)
    {80, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 33},	//959 QGlobalSpace::QtCriticalMsg (enum)
    {80, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 34},	//960 QGlobalSpace::QtFatalMsg (enum)
    {80, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 35},	//961 QGlobalSpace::QtSystemMsg (enum)
    {80, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 36},	//962 QGlobalSpace::LicensedHelp (enum)
    {80, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 37},	//963 QGlobalSpace::LicensedMultimedia (enum)
    {80, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 38},	//964 QGlobalSpace::LicensedQt3Support (enum)
    {80, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 39},	//965 QGlobalSpace::KST_KServiceFactory (enum)
    {80, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 40},	//966 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {80, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 41},	//967 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {80, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//968 QGlobalSpace::KST_KImageIO (enum)
    {80, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//969 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {80, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//970 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {80, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//971 QGlobalSpace::KST_CTimeInfo (enum)
    {80, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 46},	//972 QGlobalSpace::LicensedXmlPatterns (enum)
    {80, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 47},	//973 QGlobalSpace::LicensedNetwork (enum)
    {80, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 48},	//974 QGlobalSpace::__codecvt_ok (enum)
    {80, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 49},	//975 QGlobalSpace::__codecvt_partial (enum)
    {80, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 50},	//976 QGlobalSpace::__codecvt_error (enum)
    {80, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 51},	//977 QGlobalSpace::__codecvt_noconv (enum)
    {92, 467, 19, 1, Smoke::mf_virtual, 247, 0},	//978 QObject::event(QEvent*)
    {92, 468, 542, 2, Smoke::mf_virtual, 247, 0},	//979 QObject::eventFilter(QObject*, QEvent*)
    {92, 962, 545, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//980 QObject::timerEvent(QTimerEvent*)
    {92, 308, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//981 QObject::childEvent(QChildEvent*)
    {92, 399, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//982 QObject::customEvent(QEvent*)
    {92, 365, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//983 QObject::connectNotify(const char*)
    {92, 421, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//984 QObject::disconnectNotify(const char*)
    {109, 419, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 311, 0},	//985 QWidget::devType() const
    {109, 915, 17, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//986 QWidget::setVisible(bool)
    {109, 926, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 137, 0},	//987 QWidget::sizeHint() const
    {109, 623, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 137, 0},	//988 QWidget::minimumSizeHint() const
    {109, 505, 99, 1, Smoke::mf_const|Smoke::mf_virtual, 311, 0},	//989 QWidget::heightForWidth(int) const
    {109, 687, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 130, 0},	//990 QWidget::paintEngine() const
    {109, 467, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 247, 0},	//991 QWidget::event(QEvent*)
    {109, 644, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//992 QWidget::mousePressEvent(QMouseEvent*)
    {109, 645, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//993 QWidget::mouseReleaseEvent(QMouseEvent*)
    {109, 636, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//994 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {109, 641, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//995 QWidget::mouseMoveEvent(QMouseEvent*)
    {109, 1013, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//996 QWidget::wheelEvent(QWheelEvent*)
    {109, 557, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//997 QWidget::keyPressEvent(QKeyEvent*)
    {109, 558, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//998 QWidget::keyReleaseEvent(QKeyEvent*)
    {109, 487, 555, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//999 QWidget::focusInEvent(QFocusEvent*)
    {109, 491, 555, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1000 QWidget::focusOutEvent(QFocusEvent*)
    {109, 466, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1001 QWidget::enterEvent(QEvent*)
    {109, 560, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1002 QWidget::leaveEvent(QEvent*)
    {109, 688, 557, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1003 QWidget::paintEvent(QPaintEvent*)
    {109, 647, 559, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1004 QWidget::moveEvent(QMoveEvent*)
    {109, 782, 561, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1005 QWidget::resizeEvent(QResizeEvent*)
    {109, 332, 563, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1006 QWidget::closeEvent(QCloseEvent*)
    {109, 376, 565, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1007 QWidget::contextMenuEvent(QContextMenuEvent*)
    {109, 946, 567, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1008 QWidget::tabletEvent(QTabletEvent*)
    {109, 238, 569, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1009 QWidget::actionEvent(QActionEvent*)
    {109, 443, 571, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1010 QWidget::dragEnterEvent(QDragEnterEvent*)
    {109, 445, 573, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1011 QWidget::dragMoveEvent(QDragMoveEvent*)
    {109, 444, 575, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1012 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {109, 446, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1013 QWidget::dropEvent(QDropEvent*)
    {109, 924, 579, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1014 QWidget::showEvent(QShowEvent*)
    {109, 508, 581, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1015 QWidget::hideEvent(QHideEvent*)
    {109, 1022, 583, 1, Smoke::mf_protected|Smoke::mf_virtual, 247, 0},	//1016 QWidget::x11Event(_XEvent*)
    {109, 295, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1017 QWidget::changeEvent(QEvent*)
    {109, 619, 585, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 311, 0},	//1018 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {109, 523, 587, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1019 QWidget::inputMethodEvent(QInputMethodEvent*)
    {109, 524, 589, 1, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//1020 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {109, 488, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 247, 0},	//1021 QWidget::focusNextPrevChild(bool)
    {109, 941, 591, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1022 QWidget::styleChange(QStyle&)
    {109, 458, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QWidget::enabledChange(bool)
    {109, 689, 593, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1024 QWidget::paletteChange(const QPalette&)
    {109, 493, 595, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::fontChange(const QFont&)
    {109, 1015, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1026 QWidget::windowActivationChange(bool)
    {109, 559, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    757,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    758,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    0,
    717,  // KTextEditor::SmartRange::smartEnd()
    718,  // KTextEditor::SmartRange::smartEnd() const
    0,
    715,  // KTextEditor::SmartRange::smartStart()
    716,  // KTextEditor::SmartRange::smartStart() const
    0,
    545,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    582,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    568,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    569,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    0,
    556,  // KTextEditor::Range::end()
    557,  // KTextEditor::Range::end() const
    0,
    554,  // KTextEditor::Range::start()
    555,  // KTextEditor::Range::start() const
    0,
    31,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    34,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    38,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    41,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    0,
    29,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    30,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    32,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    33,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    35,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    36,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    37,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    42,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    0,
    702,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    703,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    707,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    0,
    704,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    708,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    671,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    673,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, KTextEditor::SmartRange::InsertBehaviors)
    0,
    695,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    696,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    665,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    666,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, KTextEditor::SmartRange::InsertBehaviors) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {22, 384, 40},	// KTextEditor::createPlugin?#
    {22, 452, 39},	// KTextEditor::editor$
    {22, 677, -22},	// KTextEditor::operator|?$
    {22, 678, -27},	// KTextEditor::operator|??
    {23, 6, 45},	// KTextEditor::AnnotationInterface::AnnotationInterface
    {23, 7, 46},	// KTextEditor::AnnotationInterface::AnnotationInterface#
    {23, 269, 44},	// KTextEditor::AnnotationInterface::annotationModel
    {23, 805, 43},	// KTextEditor::AnnotationInterface::setAnnotationModel#
    {23, 1024, 47},	// KTextEditor::AnnotationInterface::~AnnotationInterface
    {24, 8, 58},	// KTextEditor::AnnotationModel::AnnotationModel
    {24, 401, 55},	// KTextEditor::AnnotationModel::data$$
    {24, 564, 57},	// KTextEditor::AnnotationModel::lineChanged$
    {24, 618, 48},	// KTextEditor::AnnotationModel::metaObject
    {24, 712, 54},	// KTextEditor::AnnotationModel::qt_metacall$$?
    {24, 714, 49},	// KTextEditor::AnnotationModel::qt_metacast$
    {24, 781, 56},	// KTextEditor::AnnotationModel::reset
    {24, 940, 61},	// KTextEditor::AnnotationModel::staticMetaObject
    {24, 968, 59},	// KTextEditor::AnnotationModel::tr$
    {24, 969, 50},	// KTextEditor::AnnotationModel::tr$$
    {24, 970, 52},	// KTextEditor::AnnotationModel::tr$$$
    {24, 972, 60},	// KTextEditor::AnnotationModel::trUtf8$
    {24, 973, 51},	// KTextEditor::AnnotationModel::trUtf8$$
    {24, 974, 53},	// KTextEditor::AnnotationModel::trUtf8$$$
    {24, 1025, 62},	// KTextEditor::AnnotationModel::~AnnotationModel
    {25, 9, 68},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface
    {25, 10, 69},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
    {25, 264, 66},	// KTextEditor::AnnotationViewInterface::annotationActivated#$
    {25, 266, 67},	// KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
    {25, 268, 65},	// KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
    {25, 548, 64},	// KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
    {25, 803, 63},	// KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
    {25, 1026, 70},	// KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
    {26, 4, 102},	// KTextEditor::Attribute::ActivateCaretIn
    {26, 5, 101},	// KTextEditor::Attribute::ActivateMouseIn
    {26, 13, 71},	// KTextEditor::Attribute::Attribute
    {26, 14, 72},	// KTextEditor::Attribute::Attribute#
    {26, 15, 98},	// KTextEditor::Attribute::AttributeDynamicEffect
    {26, 16, 99},	// KTextEditor::Attribute::AttributeInternalProperty
    {26, 17, 100},	// KTextEditor::Attribute::AttributeUserProperty
    {26, 19, 97},	// KTextEditor::Attribute::BackgroundFillWhitespace
    {26, 66, 107},	// KTextEditor::Attribute::EffectCycleGradient
    {26, 67, 104},	// KTextEditor::Attribute::EffectFadeIn
    {26, 68, 105},	// KTextEditor::Attribute::EffectFadeOut
    {26, 69, 103},	// KTextEditor::Attribute::EffectNone
    {26, 70, 106},	// KTextEditor::Attribute::EffectPulse
    {26, 156, 94},	// KTextEditor::Attribute::Outline
    {26, 185, 96},	// KTextEditor::Attribute::SelectedBackground
    {26, 186, 95},	// KTextEditor::Attribute::SelectedForeground
    {26, 273, 85},	// KTextEditor::Attribute::associatedActions
    {26, 283, 81},	// KTextEditor::Attribute::backgroundFillWhitespace
    {26, 314, 83},	// KTextEditor::Attribute::clear
    {26, 316, 86},	// KTextEditor::Attribute::clearAssociatedActions
    {26, 449, 87},	// KTextEditor::Attribute::dynamicAttribute$
    {26, 454, 89},	// KTextEditor::Attribute::effects
    {26, 492, 73},	// KTextEditor::Attribute::fontBold
    {26, 496, 84},	// KTextEditor::Attribute::hasAnyProperty
    {26, 673, 91},	// KTextEditor::Attribute::operator+=#
    {26, 675, 92},	// KTextEditor::Attribute::operator=#
    {26, 679, 75},	// KTextEditor::Attribute::outline
    {26, 793, 79},	// KTextEditor::Attribute::selectedBackground
    {26, 794, 77},	// KTextEditor::Attribute::selectedForeground
    {26, 811, 82},	// KTextEditor::Attribute::setBackgroundFillWhitespace$
    {26, 834, 88},	// KTextEditor::Attribute::setDynamicAttribute$?
    {26, 838, 90},	// KTextEditor::Attribute::setEffects$
    {26, 841, 93},	// KTextEditor::Attribute::setFontBold
    {26, 842, 74},	// KTextEditor::Attribute::setFontBold$
    {26, 885, 76},	// KTextEditor::Attribute::setOutline#
    {26, 899, 80},	// KTextEditor::Attribute::setSelectedBackground#
    {26, 901, 78},	// KTextEditor::Attribute::setSelectedForeground#
    {26, 1027, 108},	// KTextEditor::Attribute::~Attribute
    {27, 28, 117},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface
    {27, 29, 118},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
    {27, 230, 111},	// KTextEditor::CodeCompletionInterface::abortCompletion
    {27, 494, 112},	// KTextEditor::CodeCompletionInterface::forceCompletion
    {27, 549, 115},	// KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
    {27, 550, 109},	// KTextEditor::CodeCompletionInterface::isCompletionActive
    {27, 742, 113},	// KTextEditor::CodeCompletionInterface::registerCompletionModel#
    {27, 808, 119},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
    {27, 809, 116},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
    {27, 937, 110},	// KTextEditor::CodeCompletionInterface::startCompletion##
    {27, 984, 114},	// KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
    {27, 1028, 120},	// KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
    {28, 1, 198},	// KTextEditor::CodeCompletionModel::AccessibilityAccept
    {28, 2, 196},	// KTextEditor::CodeCompletionModel::AccessibilityNext
    {28, 3, 197},	// KTextEditor::CodeCompletionModel::AccessibilityPrevious
    {28, 11, 194},	// KTextEditor::CodeCompletionModel::ArgumentHintDepth
    {28, 12, 153},	// KTextEditor::CodeCompletionModel::Arguments
    {28, 18, 200},	// KTextEditor::CodeCompletionModel::AutomaticInvocation
    {28, 20, 195},	// KTextEditor::CodeCompletionModel::BestMatchesCount
    {28, 27, 163},	// KTextEditor::CodeCompletionModel::Class
    {28, 31, 128},	// KTextEditor::CodeCompletionModel::CodeCompletionModel#
    {28, 34, 147},	// KTextEditor::CodeCompletionModel::ColumnCount
    {28, 41, 184},	// KTextEditor::CodeCompletionModel::CompletionRole
    {28, 46, 161},	// KTextEditor::CodeCompletionModel::Const
    {28, 52, 189},	// KTextEditor::CodeCompletionModel::CustomHighlight
    {28, 53, 183},	// KTextEditor::CodeCompletionModel::CustomHighlighting
    {28, 71, 168},	// KTextEditor::CodeCompletionModel::Enum
    {28, 76, 192},	// KTextEditor::CodeCompletionModel::ExpandingWidget
    {28, 79, 156},	// KTextEditor::CodeCompletionModel::FirstProperty
    {28, 80, 174},	// KTextEditor::CodeCompletionModel::Friend
    {28, 81, 166},	// KTextEditor::CodeCompletionModel::Function
    {28, 82, 179},	// KTextEditor::CodeCompletionModel::GlobalScope
    {28, 83, 199},	// KTextEditor::CodeCompletionModel::GroupRole
    {28, 84, 188},	// KTextEditor::CodeCompletionModel::HighlightingMethod
    {28, 85, 150},	// KTextEditor::CodeCompletionModel::Icon
    {28, 87, 190},	// KTextEditor::CodeCompletionModel::InheritanceDepth
    {28, 88, 173},	// KTextEditor::CodeCompletionModel::Inline
    {28, 89, 182},	// KTextEditor::CodeCompletionModel::InternalHighlighting
    {28, 90, 191},	// KTextEditor::CodeCompletionModel::IsExpandable
    {28, 91, 193},	// KTextEditor::CodeCompletionModel::ItemSelected
    {28, 110, 148},	// KTextEditor::CodeCompletionModel::LastItemDataRole
    {28, 111, 180},	// KTextEditor::CodeCompletionModel::LastProperty
    {28, 133, 177},	// KTextEditor::CodeCompletionModel::LocalScope
    {28, 134, 202},	// KTextEditor::CodeCompletionModel::ManualInvocation
    {28, 141, 186},	// KTextEditor::CodeCompletionModel::MatchQuality
    {28, 147, 152},	// KTextEditor::CodeCompletionModel::Name
    {28, 148, 162},	// KTextEditor::CodeCompletionModel::Namespace
    {28, 149, 178},	// KTextEditor::CodeCompletionModel::NamespaceScope
    {28, 150, 181},	// KTextEditor::CodeCompletionModel::NoHighlighting
    {28, 151, 155},	// KTextEditor::CodeCompletionModel::NoProperty
    {28, 157, 172},	// KTextEditor::CodeCompletionModel::Override
    {28, 160, 154},	// KTextEditor::CodeCompletionModel::Postfix
    {28, 161, 149},	// KTextEditor::CodeCompletionModel::Prefix
    {28, 162, 159},	// KTextEditor::CodeCompletionModel::Private
    {28, 163, 158},	// KTextEditor::CodeCompletionModel::Protected
    {28, 164, 157},	// KTextEditor::CodeCompletionModel::Public
    {28, 181, 151},	// KTextEditor::CodeCompletionModel::Scope
    {28, 182, 185},	// KTextEditor::CodeCompletionModel::ScopeIndex
    {28, 189, 187},	// KTextEditor::CodeCompletionModel::SetMatchContext
    {28, 190, 175},	// KTextEditor::CodeCompletionModel::Signal
    {28, 191, 176},	// KTextEditor::CodeCompletionModel::Slot
    {28, 208, 160},	// KTextEditor::CodeCompletionModel::Static
    {28, 210, 164},	// KTextEditor::CodeCompletionModel::Struct
    {28, 211, 169},	// KTextEditor::CodeCompletionModel::Template
    {28, 216, 170},	// KTextEditor::CodeCompletionModel::TypeAlias
    {28, 217, 165},	// KTextEditor::CodeCompletionModel::Union
    {28, 218, 201},	// KTextEditor::CodeCompletionModel::UserInvocation
    {28, 219, 167},	// KTextEditor::CodeCompletionModel::Variable
    {28, 224, 171},	// KTextEditor::CodeCompletionModel::Virtual
    {28, 338, 143},	// KTextEditor::CodeCompletionModel::columnCount
    {28, 339, 132},	// KTextEditor::CodeCompletionModel::columnCount#
    {28, 344, 130},	// KTextEditor::CodeCompletionModel::completionInvoked##$
    {28, 472, 131},	// KTextEditor::CodeCompletionModel::executeCompletionItem##$
    {28, 498, 137},	// KTextEditor::CodeCompletionModel::hasGroups
    {28, 500, 139},	// KTextEditor::CodeCompletionModel::hasGroupsChanged#$
    {28, 519, 144},	// KTextEditor::CodeCompletionModel::index$$
    {28, 520, 133},	// KTextEditor::CodeCompletionModel::index$$#
    {28, 556, 134},	// KTextEditor::CodeCompletionModel::itemData#
    {28, 618, 121},	// KTextEditor::CodeCompletionModel::metaObject
    {28, 691, 135},	// KTextEditor::CodeCompletionModel::parent#
    {28, 712, 127},	// KTextEditor::CodeCompletionModel::qt_metacall$$?
    {28, 714, 122},	// KTextEditor::CodeCompletionModel::qt_metacast$
    {28, 784, 145},	// KTextEditor::CodeCompletionModel::rowCount
    {28, 785, 136},	// KTextEditor::CodeCompletionModel::rowCount#
    {28, 844, 140},	// KTextEditor::CodeCompletionModel::setHasGroups$
    {28, 896, 129},	// KTextEditor::CodeCompletionModel::setRowCount$
    {28, 940, 146},	// KTextEditor::CodeCompletionModel::staticMetaObject
    {28, 968, 141},	// KTextEditor::CodeCompletionModel::tr$
    {28, 969, 123},	// KTextEditor::CodeCompletionModel::tr$$
    {28, 970, 125},	// KTextEditor::CodeCompletionModel::tr$$$
    {28, 972, 142},	// KTextEditor::CodeCompletionModel::trUtf8$
    {28, 973, 124},	// KTextEditor::CodeCompletionModel::trUtf8$$
    {28, 974, 126},	// KTextEditor::CodeCompletionModel::trUtf8$$$
    {28, 1007, 138},	// KTextEditor::CodeCompletionModel::waitForReset
    {28, 1029, 203},	// KTextEditor::CodeCompletionModel::~CodeCompletionModel
    {29, 33, 211},	// KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
    {29, 474, 212},	// KTextEditor::CodeCompletionModel2::executeCompletionItem2###
    {29, 618, 204},	// KTextEditor::CodeCompletionModel2::metaObject
    {29, 712, 210},	// KTextEditor::CodeCompletionModel2::qt_metacall$$?
    {29, 714, 205},	// KTextEditor::CodeCompletionModel2::qt_metacast$
    {29, 940, 215},	// KTextEditor::CodeCompletionModel2::staticMetaObject
    {29, 968, 213},	// KTextEditor::CodeCompletionModel2::tr$
    {29, 969, 206},	// KTextEditor::CodeCompletionModel2::tr$$
    {29, 970, 208},	// KTextEditor::CodeCompletionModel2::tr$$$
    {29, 972, 214},	// KTextEditor::CodeCompletionModel2::trUtf8$
    {29, 973, 207},	// KTextEditor::CodeCompletionModel2::trUtf8$$
    {29, 974, 209},	// KTextEditor::CodeCompletionModel2::trUtf8$$$
    {29, 1030, 216},	// KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
    {30, 35, 220},	// KTextEditor::Command::Command
    {30, 36, 221},	// KTextEditor::Command::Command#
    {30, 336, 217},	// KTextEditor::Command::cmds
    {30, 470, 218},	// KTextEditor::Command::exec#$$
    {30, 507, 219},	// KTextEditor::Command::help#$$
    {30, 1031, 222},	// KTextEditor::Command::~Command
    {31, 37, 227},	// KTextEditor::CommandExtension::CommandExtension
    {31, 38, 228},	// KTextEditor::CommandExtension::CommandExtension#
    {31, 346, 224},	// KTextEditor::CommandExtension::completionObject#$
    {31, 483, 223},	// KTextEditor::CommandExtension::flagCompletions?
    {31, 710, 226},	// KTextEditor::CommandExtension::processText#$
    {31, 1010, 225},	// KTextEditor::CommandExtension::wantsToProcessText$
    {31, 1032, 229},	// KTextEditor::CommandExtension::~CommandExtension
    {32, 39, 235},	// KTextEditor::CommandInterface::CommandInterface
    {32, 40, 236},	// KTextEditor::CommandInterface::CommandInterface#
    {32, 341, 234},	// KTextEditor::CommandInterface::commandList
    {32, 342, 233},	// KTextEditor::CommandInterface::commands
    {32, 717, 232},	// KTextEditor::CommandInterface::queryCommand$
    {32, 740, 230},	// KTextEditor::CommandInterface::registerCommand#
    {32, 982, 231},	// KTextEditor::CommandInterface::unregisterCommand#
    {32, 1033, 237},	// KTextEditor::CommandInterface::~CommandInterface
    {33, 42, 238},	// KTextEditor::ConfigInterface::ConfigInterface
    {33, 43, 242},	// KTextEditor::ConfigInterface::ConfigInterface#
    {33, 351, 239},	// KTextEditor::ConfigInterface::configKeys
    {33, 362, 240},	// KTextEditor::ConfigInterface::configValue$
    {33, 824, 241},	// KTextEditor::ConfigInterface::setConfigValue$#
    {33, 1034, 243},	// KTextEditor::ConfigInterface::~ConfigInterface
    {34, 45, 251},	// KTextEditor::ConfigPage::ConfigPage#
    {34, 270, 252},	// KTextEditor::ConfigPage::apply
    {34, 296, 255},	// KTextEditor::ConfigPage::changed
    {34, 410, 254},	// KTextEditor::ConfigPage::defaults
    {34, 618, 244},	// KTextEditor::ConfigPage::metaObject
    {34, 712, 250},	// KTextEditor::ConfigPage::qt_metacall$$?
    {34, 714, 245},	// KTextEditor::ConfigPage::qt_metacast$
    {34, 781, 253},	// KTextEditor::ConfigPage::reset
    {34, 940, 258},	// KTextEditor::ConfigPage::staticMetaObject
    {34, 968, 256},	// KTextEditor::ConfigPage::tr$
    {34, 969, 246},	// KTextEditor::ConfigPage::tr$$
    {34, 970, 248},	// KTextEditor::ConfigPage::tr$$$
    {34, 972, 257},	// KTextEditor::ConfigPage::trUtf8$
    {34, 973, 247},	// KTextEditor::ConfigPage::trUtf8$$
    {34, 974, 249},	// KTextEditor::ConfigPage::trUtf8$$$
    {34, 1035, 259},	// KTextEditor::ConfigPage::~ConfigPage
    {35, 47, 260},	// KTextEditor::ContainerInterface::ContainerInterface
    {35, 48, 263},	// KTextEditor::ContainerInterface::ContainerInterface#
    {35, 366, 262},	// KTextEditor::ContainerInterface::container
    {35, 826, 261},	// KTextEditor::ContainerInterface::setContainer#
    {35, 1036, 264},	// KTextEditor::ContainerInterface::~ContainerInterface
    {36, 49, 265},	// KTextEditor::Cursor::Cursor
    {36, 50, 267},	// KTextEditor::Cursor::Cursor#
    {36, 51, 266},	// KTextEditor::Cursor::Cursor$$
    {36, 276, 280},	// KTextEditor::Cursor::atStartOfDocument
    {36, 277, 279},	// KTextEditor::Cursor::atStartOfLine
    {36, 337, 277},	// KTextEditor::Cursor::column
    {36, 389, 285},	// KTextEditor::Cursor::cursorChangedDirectly#
    {36, 546, 271},	// KTextEditor::Cursor::invalid
    {36, 552, 269},	// KTextEditor::Cursor::isSmartCursor
    {36, 554, 268},	// KTextEditor::Cursor::isValid
    {36, 561, 275},	// KTextEditor::Cursor::line
    {36, 569, 288},	// KTextEditor::Cursor::m_column
    {36, 571, 286},	// KTextEditor::Cursor::m_line
    {36, 572, 290},	// KTextEditor::Cursor::m_range
    {36, 675, 283},	// KTextEditor::Cursor::operator=#
    {36, 699, 281},	// KTextEditor::Cursor::position$$
    {36, 718, 282},	// KTextEditor::Cursor::range
    {36, 821, 278},	// KTextEditor::Cursor::setColumn$
    {36, 852, 276},	// KTextEditor::Cursor::setLine$
    {36, 855, 289},	// KTextEditor::Cursor::setM_column$
    {36, 859, 287},	// KTextEditor::Cursor::setM_line$
    {36, 861, 291},	// KTextEditor::Cursor::setM_range#
    {36, 889, 273},	// KTextEditor::Cursor::setPosition#
    {36, 890, 274},	// KTextEditor::Cursor::setPosition$$
    {36, 892, 284},	// KTextEditor::Cursor::setRange#
    {36, 935, 272},	// KTextEditor::Cursor::start
    {36, 963, 270},	// KTextEditor::Cursor::toSmartCursor
    {36, 1037, 292},	// KTextEditor::Cursor::~Cursor
    {37, 56, 367},	// KTextEditor::Document::Document
    {37, 57, 300},	// KTextEditor::Document::Document#
    {37, 233, 347},	// KTextEditor::Document::aboutToClose#
    {37, 235, 348},	// KTextEditor::Document::aboutToReload#
    {37, 239, 303},	// KTextEditor::Document::activeView
    {37, 298, 321},	// KTextEditor::Document::character#
    {37, 314, 333},	// KTextEditor::Document::clear
    {37, 386, 302},	// KTextEditor::Document::createView#
    {37, 391, 339},	// KTextEditor::Document::cursorInText#
    {37, 428, 325},	// KTextEditor::Document::documentEnd
    {37, 430, 306},	// KTextEditor::Document::documentName
    {37, 432, 308},	// KTextEditor::Document::documentNameChanged#
    {37, 433, 326},	// KTextEditor::Document::documentRange
    {37, 434, 313},	// KTextEditor::Document::documentReload
    {37, 435, 314},	// KTextEditor::Document::documentSave
    {37, 436, 315},	// KTextEditor::Document::documentSaveAs
    {37, 438, 316},	// KTextEditor::Document::documentSavedOrUploaded#$
    {37, 440, 309},	// KTextEditor::Document::documentUrlChanged#
    {37, 451, 301},	// KTextEditor::Document::editor
    {37, 459, 312},	// KTextEditor::Document::encoding
    {37, 463, 318},	// KTextEditor::Document::endEditing
    {37, 465, 330},	// KTextEditor::Document::endOfLine$
    {37, 509, 350},	// KTextEditor::Document::highlightingMode
    {37, 511, 358},	// KTextEditor::Document::highlightingModeChanged#
    {37, 513, 355},	// KTextEditor::Document::highlightingModeSection$
    {37, 514, 352},	// KTextEditor::Document::highlightingModes
    {37, 528, 340},	// KTextEditor::Document::insertLine$$
    {37, 530, 341},	// KTextEditor::Document::insertLines$?
    {37, 537, 370},	// KTextEditor::Document::insertText#$
    {37, 538, 334},	// KTextEditor::Document::insertText#$$
    {37, 539, 371},	// KTextEditor::Document::insertText#?
    {37, 540, 335},	// KTextEditor::Document::insertText#?$
    {37, 551, 328},	// KTextEditor::Document::isEmpty
    {37, 562, 323},	// KTextEditor::Document::line$
    {37, 566, 329},	// KTextEditor::Document::lineLength$
    {37, 567, 324},	// KTextEditor::Document::lines
    {37, 618, 293},	// KTextEditor::Document::metaObject
    {37, 621, 307},	// KTextEditor::Document::mimeType
    {37, 624, 349},	// KTextEditor::Document::mode
    {37, 626, 357},	// KTextEditor::Document::modeChanged#
    {37, 628, 356},	// KTextEditor::Document::modeSection$
    {37, 629, 351},	// KTextEditor::Document::modes
    {37, 631, 310},	// KTextEditor::Document::modifiedChanged#
    {37, 670, 361},	// KTextEditor::Document::openingError
    {37, 671, 362},	// KTextEditor::Document::openingErrorMessage
    {37, 712, 299},	// KTextEditor::Document::qt_metacall$$?
    {37, 714, 294},	// KTextEditor::Document::qt_metacast$
    {37, 757, 342},	// KTextEditor::Document::removeLine$
    {37, 766, 374},	// KTextEditor::Document::removeText#
    {37, 767, 338},	// KTextEditor::Document::removeText#$
    {37, 774, 372},	// KTextEditor::Document::replaceText#$
    {37, 775, 336},	// KTextEditor::Document::replaceText#$$
    {37, 776, 373},	// KTextEditor::Document::replaceText#?
    {37, 777, 337},	// KTextEditor::Document::replaceText#?$
    {37, 840, 311},	// KTextEditor::Document::setEncoding$
    {37, 847, 354},	// KTextEditor::Document::setHighlightingMode$
    {37, 872, 353},	// KTextEditor::Document::setMode$
    {37, 881, 363},	// KTextEditor::Document::setOpeningError$
    {37, 883, 364},	// KTextEditor::Document::setOpeningErrorMessage$
    {37, 909, 359},	// KTextEditor::Document::setSuppressOpeningErrorDialogs$
    {37, 911, 331},	// KTextEditor::Document::setText$
    {37, 912, 332},	// KTextEditor::Document::setText?
    {37, 938, 317},	// KTextEditor::Document::startEditing
    {37, 940, 375},	// KTextEditor::Document::staticMetaObject
    {37, 945, 360},	// KTextEditor::Document::suppressOpeningErrorDialogs
    {37, 947, 319},	// KTextEditor::Document::text
    {37, 948, 368},	// KTextEditor::Document::text#
    {37, 949, 320},	// KTextEditor::Document::text#$
    {37, 952, 343},	// KTextEditor::Document::textChanged#
    {37, 953, 346},	// KTextEditor::Document::textChanged###
    {37, 955, 344},	// KTextEditor::Document::textInserted##
    {37, 958, 369},	// KTextEditor::Document::textLines#
    {37, 959, 322},	// KTextEditor::Document::textLines#$
    {37, 961, 345},	// KTextEditor::Document::textRemoved##
    {37, 966, 327},	// KTextEditor::Document::totalCharacters
    {37, 968, 365},	// KTextEditor::Document::tr$
    {37, 969, 295},	// KTextEditor::Document::tr$$
    {37, 970, 297},	// KTextEditor::Document::tr$$$
    {37, 972, 366},	// KTextEditor::Document::trUtf8$
    {37, 973, 296},	// KTextEditor::Document::trUtf8$$
    {37, 974, 298},	// KTextEditor::Document::trUtf8$$$
    {37, 996, 305},	// KTextEditor::Document::viewCreated##
    {37, 1005, 304},	// KTextEditor::Document::views
    {37, 1038, 376},	// KTextEditor::Document::~Document
    {38, 63, 384},	// KTextEditor::Editor::Editor#
    {38, 231, 389},	// KTextEditor::Editor::aboutData
    {38, 349, 393},	// KTextEditor::Editor::configDialog#
    {38, 350, 392},	// KTextEditor::Editor::configDialogSupported
    {38, 353, 395},	// KTextEditor::Editor::configPage$#
    {38, 355, 397},	// KTextEditor::Editor::configPageFullName$
    {38, 357, 398},	// KTextEditor::Editor::configPageIcon$
    {38, 359, 396},	// KTextEditor::Editor::configPageName$
    {38, 360, 394},	// KTextEditor::Editor::configPages
    {38, 379, 387},	// KTextEditor::Editor::createDocument#
    {38, 427, 399},	// KTextEditor::Editor::documentCreated##
    {38, 441, 388},	// KTextEditor::Editor::documents
    {38, 618, 377},	// KTextEditor::Editor::metaObject
    {38, 712, 383},	// KTextEditor::Editor::qt_metacall$$?
    {38, 714, 378},	// KTextEditor::Editor::qt_metacast$
    {38, 734, 402},	// KTextEditor::Editor::readConfig
    {38, 735, 390},	// KTextEditor::Editor::readConfig#
    {38, 907, 385},	// KTextEditor::Editor::setSimpleMode$
    {38, 925, 386},	// KTextEditor::Editor::simpleMode
    {38, 940, 404},	// KTextEditor::Editor::staticMetaObject
    {38, 968, 400},	// KTextEditor::Editor::tr$
    {38, 969, 379},	// KTextEditor::Editor::tr$$
    {38, 970, 381},	// KTextEditor::Editor::tr$$$
    {38, 972, 401},	// KTextEditor::Editor::trUtf8$
    {38, 973, 380},	// KTextEditor::Editor::trUtf8$$
    {38, 974, 382},	// KTextEditor::Editor::trUtf8$$$
    {38, 1018, 403},	// KTextEditor::Editor::writeConfig
    {38, 1019, 391},	// KTextEditor::Editor::writeConfig#
    {38, 1039, 405},	// KTextEditor::Editor::~Editor
    {39, 64, 420},	// KTextEditor::EditorChooser::EditorChooser
    {39, 65, 413},	// KTextEditor::EditorChooser::EditorChooser#
    {39, 296, 417},	// KTextEditor::EditorChooser::changed
    {39, 451, 423},	// KTextEditor::EditorChooser::editor
    {39, 452, 424},	// KTextEditor::EditorChooser::editor$
    {39, 453, 416},	// KTextEditor::EditorChooser::editor$$
    {39, 618, 406},	// KTextEditor::EditorChooser::metaObject
    {39, 712, 412},	// KTextEditor::EditorChooser::qt_metacall$$?
    {39, 714, 407},	// KTextEditor::EditorChooser::qt_metacast$
    {39, 732, 421},	// KTextEditor::EditorChooser::readAppSetting
    {39, 733, 414},	// KTextEditor::EditorChooser::readAppSetting$
    {39, 940, 425},	// KTextEditor::EditorChooser::staticMetaObject
    {39, 968, 418},	// KTextEditor::EditorChooser::tr$
    {39, 969, 408},	// KTextEditor::EditorChooser::tr$$
    {39, 970, 410},	// KTextEditor::EditorChooser::tr$$$
    {39, 972, 419},	// KTextEditor::EditorChooser::trUtf8$
    {39, 973, 409},	// KTextEditor::EditorChooser::trUtf8$$
    {39, 974, 411},	// KTextEditor::EditorChooser::trUtf8$$$
    {39, 1016, 422},	// KTextEditor::EditorChooser::writeAppSetting
    {39, 1017, 415},	// KTextEditor::EditorChooser::writeAppSetting$
    {39, 1040, 426},	// KTextEditor::EditorChooser::~EditorChooser
    {40, 78, 434},	// KTextEditor::Factory::Factory#
    {40, 451, 435},	// KTextEditor::Factory::editor
    {40, 618, 427},	// KTextEditor::Factory::metaObject
    {40, 712, 433},	// KTextEditor::Factory::qt_metacall$$?
    {40, 714, 428},	// KTextEditor::Factory::qt_metacast$
    {40, 940, 438},	// KTextEditor::Factory::staticMetaObject
    {40, 968, 436},	// KTextEditor::Factory::tr$
    {40, 969, 429},	// KTextEditor::Factory::tr$$
    {40, 970, 431},	// KTextEditor::Factory::tr$$$
    {40, 972, 437},	// KTextEditor::Factory::trUtf8$
    {40, 973, 430},	// KTextEditor::Factory::trUtf8$$
    {40, 974, 432},	// KTextEditor::Factory::trUtf8$$$
    {40, 1041, 439},	// KTextEditor::Factory::~Factory
    {41, 135, 440},	// KTextEditor::Mark::Mark
    {41, 136, 441},	// KTextEditor::Mark::Mark#
    {41, 561, 442},	// KTextEditor::Mark::line
    {41, 852, 443},	// KTextEditor::Mark::setLine$
    {41, 914, 445},	// KTextEditor::Mark::setType$
    {41, 978, 444},	// KTextEditor::Mark::type
    {41, 1042, 446},	// KTextEditor::Mark::~Mark
    {42, 21, 497},	// KTextEditor::MarkInterface::Bookmark
    {42, 22, 498},	// KTextEditor::MarkInterface::BreakpointActive
    {42, 23, 500},	// KTextEditor::MarkInterface::BreakpointDisabled
    {42, 24, 499},	// KTextEditor::MarkInterface::BreakpointReached
    {42, 72, 503},	// KTextEditor::MarkInterface::Error
    {42, 73, 501},	// KTextEditor::MarkInterface::Execution
    {42, 137, 504},	// KTextEditor::MarkInterface::MarkAdded
    {42, 138, 447},	// KTextEditor::MarkInterface::MarkInterface
    {42, 139, 464},	// KTextEditor::MarkInterface::MarkInterface#
    {42, 140, 505},	// KTextEditor::MarkInterface::MarkRemoved
    {42, 225, 502},	// KTextEditor::MarkInterface::Warning
    {42, 253, 451},	// KTextEditor::MarkInterface::addMark$$
    {42, 321, 450},	// KTextEditor::MarkInterface::clearMark$
    {42, 322, 454},	// KTextEditor::MarkInterface::clearMarks
    {42, 450, 462},	// KTextEditor::MarkInterface::editableMarks
    {42, 575, 448},	// KTextEditor::MarkInterface::mark$
    {42, 577, 463},	// KTextEditor::MarkInterface::markChanged##$
    {42, 579, 460},	// KTextEditor::MarkInterface::markDescription$
    {42, 581, 458},	// KTextEditor::MarkInterface::markPixmap$
    {42, 582, 465},	// KTextEditor::MarkInterface::markType01
    {42, 583, 466},	// KTextEditor::MarkInterface::markType02
    {42, 584, 467},	// KTextEditor::MarkInterface::markType03
    {42, 585, 468},	// KTextEditor::MarkInterface::markType04
    {42, 586, 469},	// KTextEditor::MarkInterface::markType05
    {42, 587, 470},	// KTextEditor::MarkInterface::markType06
    {42, 588, 471},	// KTextEditor::MarkInterface::markType07
    {42, 589, 472},	// KTextEditor::MarkInterface::markType08
    {42, 590, 473},	// KTextEditor::MarkInterface::markType09
    {42, 591, 474},	// KTextEditor::MarkInterface::markType10
    {42, 592, 475},	// KTextEditor::MarkInterface::markType11
    {42, 593, 476},	// KTextEditor::MarkInterface::markType12
    {42, 594, 477},	// KTextEditor::MarkInterface::markType13
    {42, 595, 478},	// KTextEditor::MarkInterface::markType14
    {42, 596, 479},	// KTextEditor::MarkInterface::markType15
    {42, 597, 480},	// KTextEditor::MarkInterface::markType16
    {42, 598, 481},	// KTextEditor::MarkInterface::markType17
    {42, 599, 482},	// KTextEditor::MarkInterface::markType18
    {42, 600, 483},	// KTextEditor::MarkInterface::markType19
    {42, 601, 484},	// KTextEditor::MarkInterface::markType20
    {42, 602, 485},	// KTextEditor::MarkInterface::markType21
    {42, 603, 486},	// KTextEditor::MarkInterface::markType22
    {42, 604, 487},	// KTextEditor::MarkInterface::markType23
    {42, 605, 488},	// KTextEditor::MarkInterface::markType24
    {42, 606, 489},	// KTextEditor::MarkInterface::markType25
    {42, 607, 490},	// KTextEditor::MarkInterface::markType26
    {42, 608, 491},	// KTextEditor::MarkInterface::markType27
    {42, 609, 492},	// KTextEditor::MarkInterface::markType28
    {42, 610, 493},	// KTextEditor::MarkInterface::markType29
    {42, 611, 494},	// KTextEditor::MarkInterface::markType30
    {42, 612, 495},	// KTextEditor::MarkInterface::markType31
    {42, 613, 496},	// KTextEditor::MarkInterface::markType32
    {42, 614, 453},	// KTextEditor::MarkInterface::marks
    {42, 616, 456},	// KTextEditor::MarkInterface::marksChanged#
    {42, 759, 452},	// KTextEditor::MarkInterface::removeMark$$
    {42, 780, 455},	// KTextEditor::MarkInterface::reservedMarkersCount
    {42, 836, 461},	// KTextEditor::MarkInterface::setEditableMarks$
    {42, 866, 449},	// KTextEditor::MarkInterface::setMark$$
    {42, 868, 459},	// KTextEditor::MarkInterface::setMarkDescription$$
    {42, 870, 457},	// KTextEditor::MarkInterface::setMarkPixmap$#
    {42, 1043, 506},	// KTextEditor::MarkInterface::~MarkInterface
    {43, 142, 507},	// KTextEditor::MdiContainer::MdiContainer
    {43, 143, 514},	// KTextEditor::MdiContainer::MdiContainer#
    {43, 239, 509},	// KTextEditor::MdiContainer::activeView
    {43, 331, 511},	// KTextEditor::MdiContainer::closeDocument#
    {43, 335, 513},	// KTextEditor::MdiContainer::closeView#
    {43, 378, 510},	// KTextEditor::MdiContainer::createDocument
    {43, 386, 512},	// KTextEditor::MdiContainer::createView#
    {43, 801, 508},	// KTextEditor::MdiContainer::setActiveView#
    {43, 1044, 515},	// KTextEditor::MdiContainer::~MdiContainer
    {44, 144, 516},	// KTextEditor::ModificationInterface::ModificationInterface
    {44, 145, 521},	// KTextEditor::ModificationInterface::ModificationInterface#
    {44, 152, 525},	// KTextEditor::ModificationInterface::OnDiskCreated
    {44, 153, 526},	// KTextEditor::ModificationInterface::OnDiskDeleted
    {44, 154, 524},	// KTextEditor::ModificationInterface::OnDiskModified
    {44, 155, 523},	// KTextEditor::ModificationInterface::OnDiskUnmodified
    {44, 633, 520},	// KTextEditor::ModificationInterface::modifiedOnDisk#$$
    {44, 875, 517},	// KTextEditor::ModificationInterface::setModifiedOnDisk$
    {44, 877, 518},	// KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
    {44, 927, 522},	// KTextEditor::ModificationInterface::slotModifiedOnDisk
    {44, 928, 519},	// KTextEditor::ModificationInterface::slotModifiedOnDisk#
    {44, 1045, 527},	// KTextEditor::ModificationInterface::~ModificationInterface
    {45, 159, 535},	// KTextEditor::Plugin::Plugin#
    {45, 245, 536},	// KTextEditor::Plugin::addDocument#
    {45, 257, 538},	// KTextEditor::Plugin::addView#
    {45, 618, 528},	// KTextEditor::Plugin::metaObject
    {45, 712, 534},	// KTextEditor::Plugin::qt_metacall$$?
    {45, 714, 529},	// KTextEditor::Plugin::qt_metacast$
    {45, 751, 537},	// KTextEditor::Plugin::removeDocument#
    {45, 770, 539},	// KTextEditor::Plugin::removeView#
    {45, 940, 542},	// KTextEditor::Plugin::staticMetaObject
    {45, 968, 540},	// KTextEditor::Plugin::tr$
    {45, 969, 530},	// KTextEditor::Plugin::tr$$
    {45, 970, 532},	// KTextEditor::Plugin::tr$$$
    {45, 972, 541},	// KTextEditor::Plugin::trUtf8$
    {45, 973, 531},	// KTextEditor::Plugin::trUtf8$$
    {45, 974, 533},	// KTextEditor::Plugin::trUtf8$$$
    {45, 1046, 543},	// KTextEditor::Plugin::~Plugin
    {46, 175, 544},	// KTextEditor::Range::Range
    {46, 176, 549},	// KTextEditor::Range::Range#
    {46, 177, -10},	// KTextEditor::Range::Range##
    {46, 178, 546},	// KTextEditor::Range::Range#$
    {46, 179, 547},	// KTextEditor::Range::Range#$$
    {46, 180, 548},	// KTextEditor::Range::Range$$$$
    {46, 286, 577},	// KTextEditor::Range::boundaryAtCursor#
    {46, 288, 578},	// KTextEditor::Range::boundaryOnLine$
    {46, 340, 566},	// KTextEditor::Range::columnWidth
    {46, 364, 563},	// KTextEditor::Range::confineToRange#
    {46, 368, -13},	// KTextEditor::Range::contains#
    {46, 370, 571},	// KTextEditor::Range::containsColumn$
    {46, 372, 570},	// KTextEditor::Range::containsLine$
    {46, 461, 580},	// KTextEditor::Range::encompass#
    {46, 462, -16},	// KTextEditor::Range::end
    {46, 478, 562},	// KTextEditor::Range::expandToRange#
    {46, 545, 579},	// KTextEditor::Range::intersect#
    {46, 546, 551},	// KTextEditor::Range::invalid
    {46, 551, 567},	// KTextEditor::Range::isEmpty
    {46, 553, 552},	// KTextEditor::Range::isSmartRange
    {46, 554, 550},	// KTextEditor::Range::isValid
    {46, 570, 586},	// KTextEditor::Range::m_end
    {46, 573, 584},	// KTextEditor::Range::m_start
    {46, 666, 565},	// KTextEditor::Range::numberOfLines
    {46, 667, 564},	// KTextEditor::Range::onSingleLine
    {46, 675, 581},	// KTextEditor::Range::operator=#
    {46, 682, 572},	// KTextEditor::Range::overlaps#
    {46, 684, 574},	// KTextEditor::Range::overlapsColumn$
    {46, 686, 573},	// KTextEditor::Range::overlapsLine$
    {46, 705, 575},	// KTextEditor::Range::positionRelativeToCursor#
    {46, 707, 576},	// KTextEditor::Range::positionRelativeToLine$
    {46, 722, 583},	// KTextEditor::Range::rangeChanged##
    {46, 815, 559},	// KTextEditor::Range::setBothColumns$
    {46, 817, 558},	// KTextEditor::Range::setBothLines$
    {46, 857, 587},	// KTextEditor::Range::setM_end#
    {46, 863, 585},	// KTextEditor::Range::setM_start#
    {46, 892, 560},	// KTextEditor::Range::setRange#
    {46, 893, 561},	// KTextEditor::Range::setRange##
    {46, 935, -19},	// KTextEditor::Range::start
    {46, 964, 553},	// KTextEditor::Range::toSmartRange
    {46, 1047, 588},	// KTextEditor::Range::~Range
    {47, 183, 589},	// KTextEditor::SearchInterface::SearchInterface
    {47, 184, 592},	// KTextEditor::SearchInterface::SearchInterface#
    {47, 791, 593},	// KTextEditor::SearchInterface::searchText#$
    {47, 792, 590},	// KTextEditor::SearchInterface::searchText#$$
    {47, 944, 591},	// KTextEditor::SearchInterface::supportedSearchOptions
    {47, 1048, 594},	// KTextEditor::SearchInterface::~SearchInterface
    {48, 187, 595},	// KTextEditor::SessionConfigInterface::SessionConfigInterface
    {48, 188, 598},	// KTextEditor::SessionConfigInterface::SessionConfigInterface#
    {48, 737, 596},	// KTextEditor::SessionConfigInterface::readSessionConfig#
    {48, 1021, 597},	// KTextEditor::SessionConfigInterface::writeSessionConfig#
    {48, 1049, 599},	// KTextEditor::SessionConfigInterface::~SessionConfigInterface
    {49, 25, 622},	// KTextEditor::SmartCursor::ByCharacter
    {49, 26, 623},	// KTextEditor::SmartCursor::ByCursorPosition
    {49, 146, 625},	// KTextEditor::SmartCursor::MoveOnInsert
    {49, 193, 618},	// KTextEditor::SmartCursor::SmartCursor##$
    {49, 209, 624},	// KTextEditor::SmartCursor::StayOnInsert
    {49, 261, 620},	// KTextEditor::SmartCursor::advance$
    {49, 262, 609},	// KTextEditor::SmartCursor::advance$$
    {49, 274, 605},	// KTextEditor::SmartCursor::atEndOfDocument
    {49, 275, 604},	// KTextEditor::SmartCursor::atEndOfLine
    {49, 297, 607},	// KTextEditor::SmartCursor::character
    {49, 413, 614},	// KTextEditor::SmartCursor::deleteNotifier
    {49, 424, 603},	// KTextEditor::SmartCursor::document
    {49, 501, 612},	// KTextEditor::SmartCursor::hasNotifier
    {49, 525, 610},	// KTextEditor::SmartCursor::insertBehavior
    {49, 542, 619},	// KTextEditor::SmartCursor::insertText?
    {49, 543, 608},	// KTextEditor::SmartCursor::insertText?$
    {49, 552, 600},	// KTextEditor::SmartCursor::isSmartCursor
    {49, 554, 606},	// KTextEditor::SmartCursor::isValid
    {49, 664, 613},	// KTextEditor::SmartCursor::notifier
    {49, 675, 617},	// KTextEditor::SmartCursor::operator=#
    {49, 849, 611},	// KTextEditor::SmartCursor::setInsertBehavior$
    {49, 918, 621},	// KTextEditor::SmartCursor::setWatcher
    {49, 919, 616},	// KTextEditor::SmartCursor::setWatcher#
    {49, 931, 602},	// KTextEditor::SmartCursor::smartRange
    {49, 963, 601},	// KTextEditor::SmartCursor::toSmartCursor
    {49, 1011, 615},	// KTextEditor::SmartCursor::watcher
    {49, 1050, 626},	// KTextEditor::SmartCursor::~SmartCursor
    {50, 194, 634},	// KTextEditor::SmartCursorNotifier::SmartCursorNotifier
    {50, 300, 639},	// KTextEditor::SmartCursorNotifier::characterDeleted#$
    {50, 302, 640},	// KTextEditor::SmartCursorNotifier::characterInserted#$
    {50, 417, 641},	// KTextEditor::SmartCursorNotifier::deleted#
    {50, 618, 627},	// KTextEditor::SmartCursorNotifier::metaObject
    {50, 701, 637},	// KTextEditor::SmartCursorNotifier::positionChanged#
    {50, 703, 638},	// KTextEditor::SmartCursorNotifier::positionDeleted#
    {50, 712, 633},	// KTextEditor::SmartCursorNotifier::qt_metacall$$?
    {50, 714, 628},	// KTextEditor::SmartCursorNotifier::qt_metacast$
    {50, 917, 636},	// KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
    {50, 940, 644},	// KTextEditor::SmartCursorNotifier::staticMetaObject
    {50, 968, 642},	// KTextEditor::SmartCursorNotifier::tr$
    {50, 969, 629},	// KTextEditor::SmartCursorNotifier::tr$$
    {50, 970, 631},	// KTextEditor::SmartCursorNotifier::tr$$$
    {50, 972, 643},	// KTextEditor::SmartCursorNotifier::trUtf8$
    {50, 973, 630},	// KTextEditor::SmartCursorNotifier::trUtf8$$
    {50, 974, 632},	// KTextEditor::SmartCursorNotifier::trUtf8$$$
    {50, 1008, 635},	// KTextEditor::SmartCursorNotifier::wantsDirectChanges
    {50, 1051, 645},	// KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
    {51, 195, 646},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher
    {51, 196, 654},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
    {51, 300, 651},	// KTextEditor::SmartCursorWatcher::characterDeleted#$
    {51, 302, 652},	// KTextEditor::SmartCursorWatcher::characterInserted#$
    {51, 417, 653},	// KTextEditor::SmartCursorWatcher::deleted#
    {51, 701, 649},	// KTextEditor::SmartCursorWatcher::positionChanged#
    {51, 703, 650},	// KTextEditor::SmartCursorWatcher::positionDeleted#
    {51, 917, 648},	// KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
    {51, 1008, 647},	// KTextEditor::SmartCursorWatcher::wantsDirectChanges
    {51, 1052, 655},	// KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
    {52, 197, 656},	// KTextEditor::SmartInterface::SmartInterface
    {52, 198, 694},	// KTextEditor::SmartInterface::SmartInterface#
    {52, 241, 684},	// KTextEditor::SmartInterface::addActionsToDocument#
    {52, 243, 688},	// KTextEditor::SmartInterface::addActionsToView##
    {52, 247, 709},	// KTextEditor::SmartInterface::addHighlightToDocument#
    {52, 248, 676},	// KTextEditor::SmartInterface::addHighlightToDocument#$
    {52, 250, 710},	// KTextEditor::SmartInterface::addHighlightToView##
    {52, 251, 680},	// KTextEditor::SmartInterface::addHighlightToView##$
    {52, 280, 692},	// KTextEditor::SmartInterface::attributeDynamic?
    {52, 282, 693},	// KTextEditor::SmartInterface::attributeNotDynamic?
    {52, 318, 687},	// KTextEditor::SmartInterface::clearDocumentActions
    {52, 319, 679},	// KTextEditor::SmartInterface::clearDocumentHighlights
    {52, 323, 659},	// KTextEditor::SmartInterface::clearOnDocumentReload
    {52, 324, 664},	// KTextEditor::SmartInterface::clearRevision
    {52, 325, 658},	// KTextEditor::SmartInterface::clearSmartInterface
    {52, 327, 691},	// KTextEditor::SmartInterface::clearViewActions#
    {52, 329, 683},	// KTextEditor::SmartInterface::clearViewHighlights#
    {52, 387, 661},	// KTextEditor::SmartInterface::currentRevision
    {52, 412, 669},	// KTextEditor::SmartInterface::deleteCursors
    {52, 415, 675},	// KTextEditor::SmartInterface::deleteRanges
    {52, 425, 686},	// KTextEditor::SmartInterface::documentActions
    {52, 429, 678},	// KTextEditor::SmartInterface::documentHighlights
    {52, 650, 697},	// KTextEditor::SmartInterface::newSmartCursor
    {52, 651, 698},	// KTextEditor::SmartInterface::newSmartCursor#
    {52, 652, 667},	// KTextEditor::SmartInterface::newSmartCursor#$
    {52, 653, 699},	// KTextEditor::SmartInterface::newSmartCursor$$
    {52, 654, 668},	// KTextEditor::SmartInterface::newSmartCursor$$$
    {52, 655, 700},	// KTextEditor::SmartInterface::newSmartRange
    {52, 656, 701},	// KTextEditor::SmartInterface::newSmartRange#
    {52, 657, -36},	// KTextEditor::SmartInterface::newSmartRange##
    {52, 658, -40},	// KTextEditor::SmartInterface::newSmartRange###
    {52, 659, -43},	// KTextEditor::SmartInterface::newSmartRange###$
    {52, 660, 670},	// KTextEditor::SmartInterface::newSmartRange##$
    {52, 661, 705},	// KTextEditor::SmartInterface::newSmartRange$$$$
    {52, 662, 706},	// KTextEditor::SmartInterface::newSmartRange$$$$#
    {52, 663, 672},	// KTextEditor::SmartInterface::newSmartRange$$$$#$
    {52, 744, 662},	// KTextEditor::SmartInterface::releaseRevision$
    {52, 746, 685},	// KTextEditor::SmartInterface::removeActionsFromDocument#
    {52, 748, 689},	// KTextEditor::SmartInterface::removeActionsFromView##
    {52, 753, 677},	// KTextEditor::SmartInterface::removeHighlightFromDocument#
    {52, 755, 681},	// KTextEditor::SmartInterface::removeHighlightFromView##
    {52, 819, 660},	// KTextEditor::SmartInterface::setClearOnDocumentReload$
    {52, 930, 657},	// KTextEditor::SmartInterface::smartMutex
    {52, 976, -46},	// KTextEditor::SmartInterface::translateFromRevision#
    {52, 977, -49},	// KTextEditor::SmartInterface::translateFromRevision#$
    {52, 980, 674},	// KTextEditor::SmartInterface::unbindSmartRange#
    {52, 986, 663},	// KTextEditor::SmartInterface::useRevision$
    {52, 994, 690},	// KTextEditor::SmartInterface::viewActions#
    {52, 1001, 682},	// KTextEditor::SmartInterface::viewHighlights#
    {52, 1053, 711},	// KTextEditor::SmartInterface::~SmartInterface
    {53, 54, 771},	// KTextEditor::SmartRange::DoNotExpand
    {53, 74, 772},	// KTextEditor::SmartRange::ExpandLeft
    {53, 75, 773},	// KTextEditor::SmartRange::ExpandRight
    {53, 200, 769},	// KTextEditor::SmartRange::SmartRange##
    {53, 201, 770},	// KTextEditor::SmartRange::SmartRange###
    {53, 202, 759},	// KTextEditor::SmartRange::SmartRange###$
    {53, 255, 751},	// KTextEditor::SmartRange::addNotifier#
    {53, 259, 755},	// KTextEditor::SmartRange::addWatcher#
    {53, 272, 745},	// KTextEditor::SmartRange::associateAction#
    {53, 273, 747},	// KTextEditor::SmartRange::associatedActions
    {53, 278, 743},	// KTextEditor::SmartRange::attribute
    {53, 303, 761},	// KTextEditor::SmartRange::checkFeedback
    {53, 305, 737},	// KTextEditor::SmartRange::childAfter#
    {53, 307, 736},	// KTextEditor::SmartRange::childBefore#
    {53, 313, 732},	// KTextEditor::SmartRange::childRanges
    {53, 315, 735},	// KTextEditor::SmartRange::clearAndDeleteChildRanges
    {53, 316, 748},	// KTextEditor::SmartRange::clearAssociatedActions
    {53, 317, 733},	// KTextEditor::SmartRange::clearChildRanges
    {53, 364, 719},	// KTextEditor::SmartRange::confineToRange#
    {53, 380, 762},	// KTextEditor::SmartRange::createNotifier
    {53, 403, 767},	// KTextEditor::SmartRange::deepestRangeContaining#
    {53, 404, 768},	// KTextEditor::SmartRange::deepestRangeContaining#?
    {53, 405, 740},	// KTextEditor::SmartRange::deepestRangeContaining#??
    {53, 407, 741},	// KTextEditor::SmartRange::deepestRangesContaining#
    {53, 411, 734},	// KTextEditor::SmartRange::deleteChildRanges
    {53, 414, 753},	// KTextEditor::SmartRange::deletePrimaryNotifier
    {53, 418, 730},	// KTextEditor::SmartRange::depth
    {53, 423, 746},	// KTextEditor::SmartRange::dissociateAction#
    {53, 424, 721},	// KTextEditor::SmartRange::document
    {53, 478, 720},	// KTextEditor::SmartRange::expandToRange#
    {53, 481, 739},	// KTextEditor::SmartRange::firstRangeContaining#
    {53, 503, 729},	// KTextEditor::SmartRange::hasParent#
    {53, 525, 725},	// KTextEditor::SmartRange::insertBehavior
    {53, 553, 712},	// KTextEditor::SmartRange::isSmartRange
    {53, 635, 738},	// KTextEditor::SmartRange::mostSpecificRange#
    {53, 665, 750},	// KTextEditor::SmartRange::notifiers
    {53, 675, -1},	// KTextEditor::SmartRange::operator=#
    {53, 680, 742},	// KTextEditor::SmartRange::overlapCount
    {53, 692, 727},	// KTextEditor::SmartRange::parentRange
    {53, 708, 749},	// KTextEditor::SmartRange::primaryNotifier
    {53, 722, 760},	// KTextEditor::SmartRange::rangeChanged##
    {53, 738, 763},	// KTextEditor::SmartRange::rebuildChildStructure
    {53, 761, 752},	// KTextEditor::SmartRange::removeNotifier#
    {53, 765, 766},	// KTextEditor::SmartRange::removeText
    {53, 768, 724},	// KTextEditor::SmartRange::removeText$
    {53, 772, 756},	// KTextEditor::SmartRange::removeWatcher#
    {53, 778, 765},	// KTextEditor::SmartRange::replaceText?
    {53, 779, 723},	// KTextEditor::SmartRange::replaceText?$
    {53, 807, 744},	// KTextEditor::SmartRange::setAttribute?
    {53, 849, 726},	// KTextEditor::SmartRange::setInsertBehavior$
    {53, 887, 728},	// KTextEditor::SmartRange::setParentRange#
    {53, 892, 714},	// KTextEditor::SmartRange::setRange#
    {53, 929, -4},	// KTextEditor::SmartRange::smartEnd
    {53, 932, -7},	// KTextEditor::SmartRange::smartStart
    {53, 947, 764},	// KTextEditor::SmartRange::text
    {53, 950, 722},	// KTextEditor::SmartRange::text$
    {53, 964, 713},	// KTextEditor::SmartRange::toSmartRange
    {53, 965, 731},	// KTextEditor::SmartRange::topParentRange
    {53, 1012, 754},	// KTextEditor::SmartRange::watchers
    {53, 1054, 774},	// KTextEditor::SmartRange::~SmartRange
    {54, 203, 782},	// KTextEditor::SmartRangeNotifier::SmartRangeNotifier
    {54, 292, 790},	// KTextEditor::SmartRangeNotifier::caretEnteredRange##
    {54, 294, 791},	// KTextEditor::SmartRangeNotifier::caretExitedRange##
    {54, 310, 795},	// KTextEditor::SmartRangeNotifier::childRangeInserted##
    {54, 312, 796},	// KTextEditor::SmartRangeNotifier::childRangeRemoved##
    {54, 618, 775},	// KTextEditor::SmartRangeNotifier::metaObject
    {54, 638, 788},	// KTextEditor::SmartRangeNotifier::mouseEnteredRange##
    {54, 640, 789},	// KTextEditor::SmartRangeNotifier::mouseExitedRange##
    {54, 694, 794},	// KTextEditor::SmartRangeNotifier::parentRangeChanged###
    {54, 712, 781},	// KTextEditor::SmartRangeNotifier::qt_metacall$$?
    {54, 714, 776},	// KTextEditor::SmartRangeNotifier::qt_metacast$
    {54, 720, 797},	// KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
    {54, 724, 786},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged#
    {54, 725, 787},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged##
    {54, 727, 793},	// KTextEditor::SmartRangeNotifier::rangeDeleted#
    {54, 729, 792},	// KTextEditor::SmartRangeNotifier::rangeEliminated#
    {54, 731, 785},	// KTextEditor::SmartRangeNotifier::rangePositionChanged#
    {54, 917, 784},	// KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
    {54, 940, 800},	// KTextEditor::SmartRangeNotifier::staticMetaObject
    {54, 968, 798},	// KTextEditor::SmartRangeNotifier::tr$
    {54, 969, 777},	// KTextEditor::SmartRangeNotifier::tr$$
    {54, 970, 779},	// KTextEditor::SmartRangeNotifier::tr$$$
    {54, 972, 799},	// KTextEditor::SmartRangeNotifier::trUtf8$
    {54, 973, 778},	// KTextEditor::SmartRangeNotifier::trUtf8$$
    {54, 974, 780},	// KTextEditor::SmartRangeNotifier::trUtf8$$$
    {54, 1008, 783},	// KTextEditor::SmartRangeNotifier::wantsDirectChanges
    {54, 1055, 801},	// KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
    {55, 204, 802},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher
    {55, 205, 818},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
    {55, 292, 810},	// KTextEditor::SmartRangeWatcher::caretEnteredRange##
    {55, 294, 811},	// KTextEditor::SmartRangeWatcher::caretExitedRange##
    {55, 310, 815},	// KTextEditor::SmartRangeWatcher::childRangeInserted##
    {55, 312, 816},	// KTextEditor::SmartRangeWatcher::childRangeRemoved##
    {55, 638, 808},	// KTextEditor::SmartRangeWatcher::mouseEnteredRange##
    {55, 640, 809},	// KTextEditor::SmartRangeWatcher::mouseExitedRange##
    {55, 694, 814},	// KTextEditor::SmartRangeWatcher::parentRangeChanged###
    {55, 720, 817},	// KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
    {55, 724, 806},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged#
    {55, 725, 807},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged##
    {55, 727, 813},	// KTextEditor::SmartRangeWatcher::rangeDeleted#
    {55, 729, 812},	// KTextEditor::SmartRangeWatcher::rangeEliminated#
    {55, 731, 805},	// KTextEditor::SmartRangeWatcher::rangePositionChanged#
    {55, 917, 804},	// KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
    {55, 1008, 803},	// KTextEditor::SmartRangeWatcher::wantsDirectChanges
    {55, 1056, 819},	// KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
    {56, 212, 820},	// KTextEditor::TemplateInterface::TemplateInterface
    {56, 213, 824},	// KTextEditor::TemplateInterface::TemplateInterface#
    {56, 476, 821},	// KTextEditor::TemplateInterface::expandMacros?#
    {56, 533, 822},	// KTextEditor::TemplateInterface::insertTemplateText#$?
    {56, 535, 823},	// KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
    {56, 1057, 825},	// KTextEditor::TemplateInterface::~TemplateInterface
    {57, 214, 826},	// KTextEditor::TextHintInterface::TextHintInterface
    {57, 215, 830},	// KTextEditor::TextHintInterface::TextHintInterface#
    {57, 420, 828},	// KTextEditor::TextHintInterface::disableTextHints
    {57, 457, 827},	// KTextEditor::TextHintInterface::enableTextHints$
    {57, 649, 829},	// KTextEditor::TextHintInterface::needTextHint#$
    {57, 1058, 831},	// KTextEditor::TextHintInterface::~TextHintInterface
    {58, 220, 832},	// KTextEditor::VariableInterface::VariableInterface
    {58, 221, 835},	// KTextEditor::VariableInterface::VariableInterface#
    {58, 988, 833},	// KTextEditor::VariableInterface::variable$
    {58, 990, 834},	// KTextEditor::VariableInterface::variableChanged#$$
    {58, 1059, 836},	// KTextEditor::VariableInterface::~VariableInterface
    {59, 60, 886},	// KTextEditor::View::EditInsert
    {59, 61, 887},	// KTextEditor::View::EditOverwrite
    {59, 223, 844},	// KTextEditor::View::View#
    {59, 284, 878},	// KTextEditor::View::blockSelection
    {59, 373, 856},	// KTextEditor::View::contextMenu
    {59, 375, 858},	// KTextEditor::View::contextMenuAboutToShow##
    {59, 392, 860},	// KTextEditor::View::cursorPosition
    {59, 394, 864},	// KTextEditor::View::cursorPositionChanged##
    {59, 395, 863},	// KTextEditor::View::cursorPositionCoordinates
    {59, 396, 861},	// KTextEditor::View::cursorPositionVirtual
    {59, 398, 862},	// KTextEditor::View::cursorToCoordinate#
    {59, 408, 883},	// KTextEditor::View::defaultContextMenu
    {59, 409, 857},	// KTextEditor::View::defaultContextMenu#
    {59, 424, 845},	// KTextEditor::View::document
    {59, 486, 849},	// KTextEditor::View::focusIn#
    {59, 490, 850},	// KTextEditor::View::focusOut#
    {59, 517, 866},	// KTextEditor::View::horizontalScrollPositionChanged#
    {59, 522, 853},	// KTextEditor::View::informationMessage#$
    {59, 541, 880},	// KTextEditor::View::insertText$
    {59, 547, 846},	// KTextEditor::View::isActiveView
    {59, 618, 837},	// KTextEditor::View::metaObject
    {59, 643, 869},	// KTextEditor::View::mousePositionChanged##
    {59, 646, 867},	// KTextEditor::View::mouseTrackingEnabled
    {59, 712, 843},	// KTextEditor::View::qt_metacall$$?
    {59, 714, 838},	// KTextEditor::View::qt_metacast$
    {59, 763, 875},	// KTextEditor::View::removeSelection
    {59, 764, 876},	// KTextEditor::View::removeSelectionText
    {59, 795, 872},	// KTextEditor::View::selection
    {59, 797, 879},	// KTextEditor::View::selectionChanged#
    {59, 798, 873},	// KTextEditor::View::selectionRange
    {59, 799, 874},	// KTextEditor::View::selectionText
    {59, 813, 877},	// KTextEditor::View::setBlockSelection$
    {59, 828, 855},	// KTextEditor::View::setContextMenu#
    {59, 830, 859},	// KTextEditor::View::setCursorPosition#
    {59, 879, 868},	// KTextEditor::View::setMouseTrackingEnabled$
    {59, 903, 870},	// KTextEditor::View::setSelection#
    {59, 904, 884},	// KTextEditor::View::setSelection#$
    {59, 905, 871},	// KTextEditor::View::setSelection#$$
    {59, 940, 885},	// KTextEditor::View::staticMetaObject
    {59, 956, 854},	// KTextEditor::View::textInserted##$
    {59, 968, 881},	// KTextEditor::View::tr$
    {59, 969, 839},	// KTextEditor::View::tr$$
    {59, 970, 841},	// KTextEditor::View::tr$$$
    {59, 972, 882},	// KTextEditor::View::trUtf8$
    {59, 973, 840},	// KTextEditor::View::trUtf8$$
    {59, 974, 842},	// KTextEditor::View::trUtf8$$$
    {59, 992, 865},	// KTextEditor::View::verticalScrollPositionChanged##
    {59, 997, 848},	// KTextEditor::View::viewEditMode
    {59, 999, 852},	// KTextEditor::View::viewEditModeChanged#$
    {59, 1002, 847},	// KTextEditor::View::viewMode
    {59, 1004, 851},	// KTextEditor::View::viewModeChanged#
    {59, 1060, 888},	// KTextEditor::View::~View
    {80, 92, 971},	// QGlobalSpace::KST_CTimeInfo
    {80, 93, 945},	// QGlobalSpace::KST_KCustom
    {80, 94, 940},	// QGlobalSpace::KST_KDEDesktopMimeType
    {80, 95, 939},	// QGlobalSpace::KST_KFolderMimeType
    {80, 96, 968},	// QGlobalSpace::KST_KImageIO
    {80, 97, 942},	// QGlobalSpace::KST_KImageIOFormat
    {80, 98, 938},	// QGlobalSpace::KST_KMimeType
    {80, 99, 970},	// QGlobalSpace::KST_KMimeTypeFactory
    {80, 100, 943},	// QGlobalSpace::KST_KProtocolInfo
    {80, 101, 969},	// QGlobalSpace::KST_KProtocolInfoFactory
    {80, 102, 936},	// QGlobalSpace::KST_KService
    {80, 103, 965},	// QGlobalSpace::KST_KServiceFactory
    {80, 104, 941},	// QGlobalSpace::KST_KServiceGroup
    {80, 105, 967},	// QGlobalSpace::KST_KServiceGroupFactory
    {80, 106, 944},	// QGlobalSpace::KST_KServiceSeparator
    {80, 107, 937},	// QGlobalSpace::KST_KServiceType
    {80, 108, 966},	// QGlobalSpace::KST_KServiceTypeFactory
    {80, 109, 935},	// QGlobalSpace::KST_KSycocaEntry
    {80, 112, 950},	// QGlobalSpace::LicensedActiveQt
    {80, 113, 956},	// QGlobalSpace::LicensedCore
    {80, 114, 948},	// QGlobalSpace::LicensedDBus
    {80, 115, 953},	// QGlobalSpace::LicensedDeclarative
    {80, 116, 932},	// QGlobalSpace::LicensedGui
    {80, 117, 962},	// QGlobalSpace::LicensedHelp
    {80, 118, 963},	// QGlobalSpace::LicensedMultimedia
    {80, 119, 973},	// QGlobalSpace::LicensedNetwork
    {80, 120, 955},	// QGlobalSpace::LicensedOpenGL
    {80, 121, 947},	// QGlobalSpace::LicensedOpenVG
    {80, 122, 964},	// QGlobalSpace::LicensedQt3Support
    {80, 123, 934},	// QGlobalSpace::LicensedQt3SupportLight
    {80, 124, 946},	// QGlobalSpace::LicensedScript
    {80, 125, 951},	// QGlobalSpace::LicensedScriptTools
    {80, 126, 954},	// QGlobalSpace::LicensedSql
    {80, 127, 952},	// QGlobalSpace::LicensedSvg
    {80, 128, 949},	// QGlobalSpace::LicensedTest
    {80, 129, 933},	// QGlobalSpace::LicensedXml
    {80, 130, 972},	// QGlobalSpace::LicensedXmlPatterns
    {80, 165, 927},	// QGlobalSpace::Q_COMPLEX_TYPE
    {80, 166, 931},	// QGlobalSpace::Q_DUMMY_TYPE
    {80, 167, 930},	// QGlobalSpace::Q_MOVABLE_TYPE
    {80, 168, 928},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {80, 169, 929},	// QGlobalSpace::Q_STATIC_TYPE
    {80, 170, 959},	// QGlobalSpace::QtCriticalMsg
    {80, 171, 957},	// QGlobalSpace::QtDebugMsg
    {80, 172, 960},	// QGlobalSpace::QtFatalMsg
    {80, 173, 961},	// QGlobalSpace::QtSystemMsg
    {80, 174, 958},	// QGlobalSpace::QtWarningMsg
    {80, 226, 976},	// QGlobalSpace::__codecvt_error
    {80, 227, 977},	// QGlobalSpace::__codecvt_noconv
    {80, 228, 974},	// QGlobalSpace::__codecvt_ok
    {80, 229, 975},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    if (initialized) return;
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        __smokektexteditor::classes, 109,
        __smokektexteditor::methods, 1028,
        __smokektexteditor::methodMaps, 889,
        __smokektexteditor::methodNames, 1060,
        __smokektexteditor::types, 317,
        __smokektexteditor::inheritanceList,
        __smokektexteditor::argumentList,
        __smokektexteditor::ambiguousMethodList,
        __smokektexteditor::cast );
    initialized = true;
}

void delete_ktexteditor_Smoke() { delete ktexteditor_Smoke; }

}
