#include <kutils_includes.h>

#include <smoke.h>
#include <kutils_smoke.h>

namespace __smokekutils {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KCModule
      switch(to) {
        case 95: return (void*)(QWidget*)(KCModule*)xptr;
        case 64: return (void*)(QObject*)(KCModule*)xptr;
        case 2: return (void*)(KCModule*)xptr;
        case 3: return (void*)(KCModuleContainer*)(KCModule*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(KCModule*)xptr;
        default: return xptr;
      }
    case 3:   //KCModuleContainer
      switch(to) {
        case 2: return (void*)(KCModule*)(KCModuleContainer*)xptr;
        case 95: return (void*)(QWidget*)(KCModuleContainer*)xptr;
        case 64: return (void*)(QObject*)(KCModuleContainer*)xptr;
        case 3: return (void*)(KCModuleContainer*)xptr;
        default: return xptr;
      }
    case 4:   //KCModuleInfo
      switch(to) {
        case 4: return (void*)(KCModuleInfo*)xptr;
        default: return xptr;
      }
    case 5:   //KCModuleProxy
      switch(to) {
        case 95: return (void*)(QWidget*)(KCModuleProxy*)xptr;
        case 64: return (void*)(QObject*)(KCModuleProxy*)xptr;
        case 5: return (void*)(KCModuleProxy*)xptr;
        default: return xptr;
      }
    case 6:   //KCMultiDialog
      switch(to) {
        case 17: return (void*)(KPageDialog*)(KCMultiDialog*)xptr;
        case 10: return (void*)(KDialog*)(KCMultiDialog*)xptr;
        case 39: return (void*)(QDialog*)(KCMultiDialog*)xptr;
        case 95: return (void*)(QWidget*)(KCMultiDialog*)xptr;
        case 64: return (void*)(QObject*)(KCMultiDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KCMultiDialog*)xptr;
        default: return xptr;
      }
    case 7:   //KCMultiDialogPrivate
      switch(to) {
        case 7: return (void*)(KCMultiDialogPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //KCharsets
      switch(to) {
        case 8: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 9:   //KComponentData
      switch(to) {
        case 9: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 10:   //KDialog
      switch(to) {
        case 39: return (void*)(QDialog*)(KDialog*)xptr;
        case 95: return (void*)(QWidget*)(KDialog*)xptr;
        case 64: return (void*)(QObject*)(KDialog*)xptr;
        case 10: return (void*)(KDialog*)xptr;
        case 21: return (void*)(KPrintPreview*)(KDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(KDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 11:   //KEmoticons
      switch(to) {
        case 64: return (void*)(QObject*)(KEmoticons*)xptr;
        case 11: return (void*)(KEmoticons*)xptr;
        default: return xptr;
      }
    case 12:   //KEmoticonsProvider
      switch(to) {
        case 64: return (void*)(QObject*)(KEmoticonsProvider*)xptr;
        case 12: return (void*)(KEmoticonsProvider*)xptr;
        default: return xptr;
      }
    case 13:   //KEmoticonsTheme
      switch(to) {
        case 13: return (void*)(KEmoticonsTheme*)xptr;
        default: return xptr;
      }
    case 14:   //KIdleTime
      switch(to) {
        case 64: return (void*)(QObject*)(KIdleTime*)xptr;
        case 14: return (void*)(KIdleTime*)xptr;
        default: return xptr;
      }
    case 15:   //KLocale
      switch(to) {
        case 15: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 16:   //KLocalizedString
      switch(to) {
        case 16: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 17:   //KPageDialog
      switch(to) {
        case 10: return (void*)(KDialog*)(KPageDialog*)xptr;
        case 39: return (void*)(QDialog*)(KPageDialog*)xptr;
        case 95: return (void*)(QWidget*)(KPageDialog*)xptr;
        case 64: return (void*)(QObject*)(KPageDialog*)xptr;
        case 17: return (void*)(KPageDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(KPageDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KPageDialog*)xptr;
        default: return xptr;
      }
    case 18:   //KPageWidget
      switch(to) {
        case 95: return (void*)(QWidget*)(KPageWidget*)xptr;
        case 64: return (void*)(QObject*)(KPageWidget*)xptr;
        case 18: return (void*)(KPageWidget*)xptr;
        default: return xptr;
      }
    case 19:   //KPageWidgetItem
      switch(to) {
        case 64: return (void*)(QObject*)(KPageWidgetItem*)xptr;
        case 19: return (void*)(KPageWidgetItem*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginSelector
      switch(to) {
        case 95: return (void*)(QWidget*)(KPluginSelector*)xptr;
        case 64: return (void*)(QObject*)(KPluginSelector*)xptr;
        case 20: return (void*)(KPluginSelector*)xptr;
        default: return xptr;
      }
    case 21:   //KPrintPreview
      switch(to) {
        case 10: return (void*)(KDialog*)(KPrintPreview*)xptr;
        case 39: return (void*)(QDialog*)(KPrintPreview*)xptr;
        case 95: return (void*)(QWidget*)(KPrintPreview*)xptr;
        case 64: return (void*)(QObject*)(KPrintPreview*)xptr;
        case 21: return (void*)(KPrintPreview*)xptr;
        default: return xptr;
      }
    case 22:   //KServiceAction
      switch(to) {
        case 22: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 23:   //KSettings::Dialog
      switch(to) {
        case 6: return (void*)(KCMultiDialog*)(KSettings::Dialog*)xptr;
        case 17: return (void*)(KPageDialog*)(KSettings::Dialog*)xptr;
        case 10: return (void*)(KDialog*)(KSettings::Dialog*)xptr;
        case 39: return (void*)(QDialog*)(KSettings::Dialog*)xptr;
        case 95: return (void*)(QWidget*)(KSettings::Dialog*)xptr;
        case 64: return (void*)(QObject*)(KSettings::Dialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)xptr;
        default: return xptr;
      }
    case 24:   //KSettings::PluginPage
      switch(to) {
        case 2: return (void*)(KCModule*)(KSettings::PluginPage*)xptr;
        case 95: return (void*)(QWidget*)(KSettings::PluginPage*)xptr;
        case 64: return (void*)(QObject*)(KSettings::PluginPage*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)xptr;
        default: return xptr;
      }
    case 25:   //KStandardDirs
      switch(to) {
        case 25: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 26:   //QActionEvent
      switch(to) {
        case 26: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QBool
      switch(to) {
        case 27: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 28:   //QBrush
      switch(to) {
        case 28: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 29:   //QByteArray
      switch(to) {
        case 29: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 30:   //QChar
      switch(to) {
        case 30: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QCloseEvent
      switch(to) {
        case 32: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QColor
      switch(to) {
        case 33: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 34:   //QContextMenuEvent
      switch(to) {
        case 34: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QCursor
      switch(to) {
        case 35: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 36:   //QDataStream
      switch(to) {
        case 36: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 37:   //QDate
      switch(to) {
        case 37: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 38:   //QDateTime
      switch(to) {
        case 38: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 39:   //QDialog
      switch(to) {
        case 95: return (void*)(QWidget*)(QDialog*)xptr;
        case 64: return (void*)(QObject*)(QDialog*)xptr;
        case 39: return (void*)(QDialog*)xptr;
        case 21: return (void*)(KPrintPreview*)(QDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 40:   //QDragEnterEvent
      switch(to) {
        case 40: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragLeaveEvent
      switch(to) {
        case 41: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragMoveEvent
      switch(to) {
        case 42: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDropEvent
      switch(to) {
        case 43: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QEvent
      switch(to) {
        case 44: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFocusEvent
      switch(to) {
        case 45: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFont
      switch(to) {
        case 46: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 48:   //QHashDummyValue
      switch(to) {
        case 48: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 49:   //QHideEvent
      switch(to) {
        case 49: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QIcon
      switch(to) {
        case 50: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 51:   //QImage
      switch(to) {
        case 51: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 52:   //QIncompatibleFlag
      switch(to) {
        case 52: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QKeyEvent
      switch(to) {
        case 54: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QKeySequence
      switch(to) {
        case 55: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 56:   //QLatin1String
      switch(to) {
        case 56: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 57:   //QLine
      switch(to) {
        case 57: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 58:   //QLineF
      switch(to) {
        case 58: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 59:   //QMargins
      switch(to) {
        case 59: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 60:   //QMatrix
      switch(to) {
        case 60: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 61:   //QMetaObject
      switch(to) {
        case 61: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 62:   //QMouseEvent
      switch(to) {
        case 62: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QMoveEvent
      switch(to) {
        case 63: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QObject
      switch(to) {
        case 64: return (void*)(QObject*)xptr;
        case 14: return (void*)(KIdleTime*)(QObject*)xptr;
        case 21: return (void*)(KPrintPreview*)(QObject*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QObject*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QObject*)xptr;
        case 5: return (void*)(KCModuleProxy*)(QObject*)xptr;
        case 12: return (void*)(KEmoticonsProvider*)(QObject*)xptr;
        case 3: return (void*)(KCModuleContainer*)(QObject*)xptr;
        case 11: return (void*)(KEmoticons*)(QObject*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(QObject*)xptr;
        case 20: return (void*)(KPluginSelector*)(QObject*)xptr;
        default: return xptr;
      }
    case 65:   //QPaintEngine
      switch(to) {
        case 65: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 66:   //QPaintEvent
      switch(to) {
        case 66: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QPainterPath
      switch(to) {
        case 67: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 68:   //QPalette
      switch(to) {
        case 68: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 69:   //QPixmap
      switch(to) {
        case 69: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 70:   //QPoint
      switch(to) {
        case 70: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 71:   //QPointF
      switch(to) {
        case 71: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygon
      switch(to) {
        case 72: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 73:   //QPolygonF
      switch(to) {
        case 73: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 74:   //QPrinter
      switch(to) {
        case 74: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 75:   //QRect
      switch(to) {
        case 75: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 76:   //QRectF
      switch(to) {
        case 76: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 77:   //QRegExp
      switch(to) {
        case 77: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 78:   //QRegion
      switch(to) {
        case 78: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 79:   //QResizeEvent
      switch(to) {
        case 79: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QShowEvent
      switch(to) {
        case 80: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QSize
      switch(to) {
        case 81: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 82:   //QSizeF
      switch(to) {
        case 82: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 83:   //QSizePolicy
      switch(to) {
        case 83: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QTabletEvent
      switch(to) {
        case 87: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QTime
      switch(to) {
        case 88: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 89:   //QTimerEvent
      switch(to) {
        case 89: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QTransform
      switch(to) {
        case 90: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 91:   //QUrl
      switch(to) {
        case 91: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 92:   //QVariant
      switch(to) {
        case 92: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 93:   //QVariantComparisonHelper
      switch(to) {
        case 93: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 94:   //QWheelEvent
      switch(to) {
        case 94: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QWidget
      switch(to) {
        case 64: return (void*)(QObject*)(QWidget*)xptr;
        case 95: return (void*)(QWidget*)xptr;
        case 21: return (void*)(KPrintPreview*)(QWidget*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QWidget*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QWidget*)xptr;
        case 5: return (void*)(KCModuleProxy*)(QWidget*)xptr;
        case 3: return (void*)(KCModuleContainer*)(QWidget*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(QWidget*)xptr;
        case 20: return (void*)(KPluginSelector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    2, 0,	// 1: KCModule
    95, 0,	// 3: QWidget
    17, 0,	// 5: KPageDialog
    64, 0,	// 7: QObject
    10, 0,	// 9: KDialog
    6, 0,	// 11: KCMultiDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEmoticonsProvider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KPageView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KPluginSelector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KPageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KCModuleContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KCModuleProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_KCMultiDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticons(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticonsProvider(Smoke::Index, void*, Smoke::Stack);
void xcall_KIdleTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginSelector(Smoke::Index, void*, Smoke::Stack);
void xcall_KPrintPreview(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__PluginPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KCModule", true, 0, 0, 0, 0, 0 },	//2
    { "KCModuleContainer", false, 1, xcall_KCModuleContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleContainer) },	//3
    { "KCModuleInfo", true, 0, 0, 0, 0, 0 },	//4
    { "KCModuleProxy", false, 3, xcall_KCModuleProxy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleProxy) },	//5
    { "KCMultiDialog", false, 5, xcall_KCMultiDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCMultiDialog) },	//6
    { "KCMultiDialogPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//8
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//9
    { "KDialog", true, 0, 0, 0, 0, 0 },	//10
    { "KEmoticons", false, 7, xcall_KEmoticons, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticons) },	//11
    { "KEmoticonsProvider", false, 7, xcall_KEmoticonsProvider, xenum_KEmoticonsProvider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticonsProvider) },	//12
    { "KEmoticonsTheme", true, 0, 0, 0, 0, 0 },	//13
    { "KIdleTime", false, 7, xcall_KIdleTime, 0, Smoke::cf_virtual, sizeof(KIdleTime) },	//14
    { "KLocale", true, 0, 0, 0, 0, 0 },	//15
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//16
    { "KPageDialog", true, 0, 0, 0, 0, 0 },	//17
    { "KPageWidget", true, 0, 0, 0, 0, 0 },	//18
    { "KPageWidgetItem", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginSelector", false, 3, xcall_KPluginSelector, xenum_KPluginSelector, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginSelector) },	//20
    { "KPrintPreview", false, 9, xcall_KPrintPreview, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPrintPreview) },	//21
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//22
    { "KSettings::Dialog", false, 11, xcall_KSettings__Dialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::Dialog) },	//23
    { "KSettings::PluginPage", false, 1, xcall_KSettings__PluginPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::PluginPage) },	//24
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//25
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QBool", true, 0, 0, 0, 0, 0 },	//27
    { "QBrush", true, 0, 0, 0, 0, 0 },	//28
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//29
    { "QChar", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QColor", true, 0, 0, 0, 0, 0 },	//33
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QCursor", true, 0, 0, 0, 0, 0 },	//35
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//36
    { "QDate", true, 0, 0, 0, 0, 0 },	//37
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//38
    { "QDialog", true, 0, 0, 0, 0, 0 },	//39
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFont", true, 0, 0, 0, 0, 0 },	//46
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//47
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//48
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QIcon", true, 0, 0, 0, 0, 0 },	//50
    { "QImage", true, 0, 0, 0, 0, 0 },	//51
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//55
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//56
    { "QLine", true, 0, 0, 0, 0, 0 },	//57
    { "QLineF", true, 0, 0, 0, 0, 0 },	//58
    { "QMargins", true, 0, 0, 0, 0, 0 },	//59
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//60
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//61
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QObject", true, 0, 0, 0, 0, 0 },	//64
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//65
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//67
    { "QPalette", true, 0, 0, 0, 0, 0 },	//68
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//69
    { "QPoint", true, 0, 0, 0, 0, 0 },	//70
    { "QPointF", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//72
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//73
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//74
    { "QRect", true, 0, 0, 0, 0, 0 },	//75
    { "QRectF", true, 0, 0, 0, 0, 0 },	//76
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//77
    { "QRegion", true, 0, 0, 0, 0, 0 },	//78
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QSize", true, 0, 0, 0, 0, 0 },	//81
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//82
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QTime", true, 0, 0, 0, 0, 0 },	//88
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QTransform", true, 0, 0, 0, 0, 0 },	//90
    { "QUrl", true, 0, 0, 0, 0, 0 },	//91
    { "QVariant", true, 0, 0, 0, 0, 0 },	//92
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//93
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QWidget", true, 0, 0, 0, 0, 0 },	//95
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCModule*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCModule::Buttons", 0, Smoke::t_uint|Smoke::tf_stack },	//2
    { "KCModule::Buttons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "KCModuleContainer*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KCModuleInfo", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KCModuleLoader::ErrorReporting", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KCModuleProxy*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KCMultiDialog*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KCMultiDialogPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//9
    { "KCharsets*", 8, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KComponentData", 9, Smoke::t_class|Smoke::tf_stack },	//11
    { "KConfig::OpenFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "KConfigBase::WriteConfigFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "KDialog::ButtonCodes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "KDialog::CaptionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "KEmoticons*", 11, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KEmoticonsProvider*", 12, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KEmoticonsProvider::AddEmoticonOption", 12, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KEmoticonsTheme", 13, Smoke::t_class|Smoke::tf_stack },	//19
    { "KEmoticonsTheme::ParseMode", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "KEmoticonsTheme::ParseMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//21
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//24
    { "KIdleTime*", 14, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KLocale*", 15, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KLocale::DateTimeFormatOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "KLocale::TimeFormatOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "KLocale::TimeProcessingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "KLocalizedString", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "KPageWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KPageWidgetItem*", 19, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KPluginSelector*", 20, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KPluginSelector::PluginLoadMethod", 20, Smoke::t_enum|Smoke::tf_stack },	//34
    { "KPrintPreview*", 21, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KServiceAction&", 22, Smoke::t_class|Smoke::tf_ref },	//36
    { "KSettings::Dialog*", 23, Smoke::t_class|Smoke::tf_ptr },	//37
    { "KSettings::PluginPage*", 24, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "KStandardDirs*", 25, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KSycocaFactoryId", 47, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KSycocaType", 47, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KUrl::CleanPathOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "KUrl::DirectoryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "KUrl::EncodedPathAndQueryOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "KUrl::EqualsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "KUrl::QueryItemsOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QActionEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QBool", 27, Smoke::t_class|Smoke::tf_stack },	//49
    { "QBrush&", 28, Smoke::t_class|Smoke::tf_ref },	//50
    { "QByteArray&", 29, Smoke::t_class|Smoke::tf_ref },	//51
    { "QChar", 30, Smoke::t_class|Smoke::tf_stack },	//52
    { "QChar&", 30, Smoke::t_class|Smoke::tf_ref },	//53
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QCloseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QColor&", 33, Smoke::t_class|Smoke::tf_ref },	//56
    { "QContextMenuEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QCursor&", 35, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDataStream&", 36, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDate&", 37, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDateTime&", 38, Smoke::t_class|Smoke::tf_ref },	//61
    { "QDragEnterEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDragLeaveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDragMoveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QDropEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFlags<KCModule::Buttons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QFlags<KConfig::OpenFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QFlags<KConfigBase::WriteConfigFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QFlags<KDialog::ButtonCodes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QFlags<KDialog::CaptionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QFlags<KEmoticonsTheme::ParseMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QFlags<KLocale::DateTimeFormatOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QFlags<KLocale::TimeFormatOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QFlags<KLocale::TimeProcessingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QFlags<KUrl::CleanPathOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QFlags<KUrl::DirectoryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QFlags<KUrl::EqualsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QFlags<KUrl::QueryItemsOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QFlags<QSizePolicy::ControlTypes::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QFlags<QWidget::RenderFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QFocusEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QFont&", 46, Smoke::t_class|Smoke::tf_ref },	//105
    { "QHash<QChar,QList<Emoticon> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QHash<QString,QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QHash<int,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QHideEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QIcon&", 50, Smoke::t_class|Smoke::tf_ref },	//111
    { "QImage&", 51, Smoke::t_class|Smoke::tf_ref },	//112
    { "QIncompatibleFlag", 52, Smoke::t_class|Smoke::tf_stack },	//113
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QKeyEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QKeySequence&", 55, Smoke::t_class|Smoke::tf_ref },	//116
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QLine", 57, Smoke::t_class|Smoke::tf_stack },	//118
    { "QLine&", 57, Smoke::t_class|Smoke::tf_ref },	//119
    { "QLineF", 58, Smoke::t_class|Smoke::tf_stack },	//120
    { "QLineF&", 58, Smoke::t_class|Smoke::tf_ref },	//121
    { "QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//123
    { "QList<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QMatrix&", 60, Smoke::t_class|Smoke::tf_ref },	//125
    { "QMetaObject::Call", 61, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QMouseEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QMoveEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QObject*", 64, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QPaintEngine*", 65, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QPaintEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QPainterPath", 67, Smoke::t_class|Smoke::tf_stack },	//133
    { "QPainterPath&", 67, Smoke::t_class|Smoke::tf_ref },	//134
    { "QPalette&", 68, Smoke::t_class|Smoke::tf_ref },	//135
    { "QPixmap&", 69, Smoke::t_class|Smoke::tf_ref },	//136
    { "QPoint", 70, Smoke::t_class|Smoke::tf_stack },	//137
    { "QPoint&", 70, Smoke::t_class|Smoke::tf_ref },	//138
    { "QPointF", 71, Smoke::t_class|Smoke::tf_stack },	//139
    { "QPointF&", 71, Smoke::t_class|Smoke::tf_ref },	//140
    { "QPolygon", 72, Smoke::t_class|Smoke::tf_stack },	//141
    { "QPolygon&", 72, Smoke::t_class|Smoke::tf_ref },	//142
    { "QPolygonF", 73, Smoke::t_class|Smoke::tf_stack },	//143
    { "QPolygonF&", 73, Smoke::t_class|Smoke::tf_ref },	//144
    { "QPrinter*", 74, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QRect&", 75, Smoke::t_class|Smoke::tf_ref },	//146
    { "QRectF&", 76, Smoke::t_class|Smoke::tf_ref },	//147
    { "QRegExp&", 77, Smoke::t_class|Smoke::tf_ref },	//148
    { "QRegion", 78, Smoke::t_class|Smoke::tf_stack },	//149
    { "QRegion&", 78, Smoke::t_class|Smoke::tf_ref },	//150
    { "QResizeEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QShowEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QSize", 81, Smoke::t_class|Smoke::tf_stack },	//153
    { "QSize&", 81, Smoke::t_class|Smoke::tf_ref },	//154
    { "QSizeF&", 82, Smoke::t_class|Smoke::tf_ref },	//155
    { "QSizePolicy&", 83, Smoke::t_class|Smoke::tf_ref },	//156
    { "QSizePolicy::ControlTypes::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//157
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//158
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//159
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//160
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//163
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//164
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//165
    { "QTabletEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QTime&", 88, Smoke::t_class|Smoke::tf_ref },	//167
    { "QTimerEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QTransform", 90, Smoke::t_class|Smoke::tf_stack },	//169
    { "QTransform&", 90, Smoke::t_class|Smoke::tf_ref },	//170
    { "QUrl&", 91, Smoke::t_class|Smoke::tf_ref },	//171
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QVariant", 92, Smoke::t_class|Smoke::tf_stack },	//173
    { "QVariant&", 92, Smoke::t_class|Smoke::tf_ref },	//174
    { "QVariant::Type&", 92, Smoke::t_enum|Smoke::tf_ref },	//175
    { "QWheelEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QWidget*", 95, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QWidget::RenderFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//201
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//203
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//209
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//214
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//217
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//221
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//225
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//232
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//235
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//264
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtMsgType", 47, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtValidLicenseForActiveQtModule", 47, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtValidLicenseForCoreModule", 47, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QtValidLicenseForDBusModule", 47, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QtValidLicenseForDeclarativeModule", 47, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QtValidLicenseForGuiModule", 47, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QtValidLicenseForHelpModule", 47, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QtValidLicenseForMultimediaModule", 47, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QtValidLicenseForNetworkModule", 47, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QtValidLicenseForOpenGLModule", 47, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QtValidLicenseForOpenVGModule", 47, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QtValidLicenseForQt3SupportLightModule", 47, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QtValidLicenseForQt3SupportModule", 47, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QtValidLicenseForScriptModule", 47, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QtValidLicenseForScriptToolsModule", 47, Smoke::t_enum|Smoke::tf_stack },	//280
    { "QtValidLicenseForSqlModule", 47, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QtValidLicenseForSvgModule", 47, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QtValidLicenseForTestModule", 47, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QtValidLicenseForXmlModule", 47, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QtValidLicenseForXmlPatternsModule", 47, Smoke::t_enum|Smoke::tf_stack },	//285
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//287
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//288
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const KCModuleInfo&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const KComponentData&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const KEmoticonsTheme&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const KServiceAction&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const KSharedPtr<KService>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QBrush&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QByteArray", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//297
    { "const QByteArray&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QChar&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QColor&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QCursor&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QDate&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QDateTime&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QFont&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QHashDummyValue&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QIcon&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QImage&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QKeySequence&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QLatin1String&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QLine&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QLineF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QList<KPluginInfo>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QMargins&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QMatrix&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QMetaObject&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QMetaObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//318
    { "const QObject*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//319
    { "const QPainterPath&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QPalette&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QPixmap&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QPoint", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//323
    { "const QPoint&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QPointF", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//325
    { "const QPointF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QPolygon&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QPolygonF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QRect&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QRectF&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QRegExp&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QRegion&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QSize", 81, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//333
    { "const QSize&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QSizeF", 82, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//335
    { "const QSizeF&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QSizePolicy&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//338
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//341
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QTime&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QTransform&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QUrl&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QVariant&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QVariant::Type", 92, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//347
    { "const QVariantComparisonHelper&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//349
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//350
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//351
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//352
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//353
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//354
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//355
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//356
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//357
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    152, 0,	//1  QShowEvent*
    349, 0,	//3  const char*
    349, 349, 0,	//5  const char*, const char*
    349, 349, 352, 0,	//8  const char*, const char*, int
    126, 352, 356, 0,	//12  QMetaObject::Call, int, void**
    177, 340, 0,	//16  QWidget*, const QStringList&
    177, 339, 0,	//19  QWidget*, const QString&
    339, 0,	//22  const QString&
    177, 0,	//24  QWidget*
    312, 0,	//26  const QList<KCModuleProxy*>&
    290, 177, 340, 0,	//28  const KCModuleInfo&, QWidget*, const QStringList&
    339, 177, 340, 0,	//32  const QString&, QWidget*, const QStringList&
    294, 177, 340, 0,	//36  const KSharedPtr<KService>&, QWidget*, const QStringList&
    287, 0,	//40  bool
    7, 0,	//42  KCModuleProxy*
    290, 0,	//44  const KCModuleInfo&
    290, 177, 0,	//46  const KCModuleInfo&, QWidget*
    339, 177, 0,	//49  const QString&, QWidget*
    294, 0,	//52  const KSharedPtr<KService>&
    294, 177, 0,	//54  const KSharedPtr<KService>&, QWidget*
    339, 340, 0,	//57  const QString&, const QStringList&
    290, 32, 340, 0,	//60  const KCModuleInfo&, KPageWidgetItem*, const QStringList&
    298, 0,	//64  const QByteArray&
    31, 177, 103, 0,	//66  KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    9, 31, 177, 103, 0,	//70  KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    290, 32, 0,	//75  const KCModuleInfo&, KPageWidgetItem*
    31, 177, 0,	//78  KPageWidget*, QWidget*
    9, 31, 177, 0,	//81  KCMultiDialogPrivate&, KPageWidget*, QWidget*
    339, 287, 0,	//85  const QString&, bool
    109, 0,	//88  QHideEvent*
    55, 0,	//90  QCloseEvent*
    115, 0,	//92  QKeyEvent*
    352, 0,	//94  int
    292, 0,	//96  const KEmoticonsTheme&
    339, 294, 0,	//98  const QString&, const KSharedPtr<KService>&
    20, 0,	//101  KEmoticonsTheme::ParseMode
    129, 0,	//103  QObject*
    339, 339, 18, 0,	//105  const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption
    158, 162, 0,	//109  QString, QStringList
    158, 0,	//112  QString
    339, 339, 0,	//114  const QString&, const QString&
    352, 352, 0,	//117  int, int
    339, 339, 339, 39, 0,	//120  const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>
    291, 339, 339, 295, 0,	//125  const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    313, 34, 339, 339, 295, 0,	//130  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    339, 339, 339, 0,	//136  const QString&, const QString&, const QString&
    291, 0,	//140  const KComponentData&
    291, 339, 0,	//142  const KComponentData&, const QString&
    291, 339, 339, 0,	//145  const KComponentData&, const QString&, const QString&
    313, 0,	//149  const QList<KPluginInfo>&
    313, 34, 0,	//151  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod
    313, 34, 339, 0,	//154  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&
    313, 34, 339, 339, 0,	//158  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&
    145, 177, 0,	//163  QPrinter*, QWidget*
    145, 0,	//166  QPrinter*
    340, 177, 0,	//168  const QStringList&, QWidget*
    340, 0,	//171  const QStringList&
    291, 177, 314, 0,	//173  const KComponentData&, QWidget*, const QList<QVariant>&
    291, 177, 0,	//177  const KComponentData&, QWidget*
    151, 0,	//180  QResizeEvent*
    57, 0,	//182  QContextMenuEvent*
    129, 66, 0,	//184  QObject*, QEvent*
    324, 351, 0,	//187  const QPoint&, double
    351, 326, 0,	//190  double, const QPointF&
    315, 315, 0,	//193  const QMargins&, const QMargins&
    351, 336, 0,	//196  double, const QSizeF&
    59, 112, 0,	//199  QDataStream&, QImage&
    59, 337, 0,	//202  QDataStream&, const QSizePolicy&
    253, 253, 0,	//205  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    329, 329, 0,	//208  const QRect&, const QRect&
    334, 334, 0,	//211  const QSize&, const QSize&
    59, 344, 0,	//214  QDataStream&, const QTransform&
    326, 316, 0,	//217  const QPointF&, const QMatrix&
    59, 293, 0,	//220  QDataStream&, const KServiceAction&
    29, 29, 0,	//223  KLocale::TimeProcessingOptions::enum_type, KLocale::TimeProcessingOptions::enum_type
    310, 344, 0,	//226  const QLine&, const QTransform&
    203, 89, 0,	//229  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    161, 352, 0,	//232  QString::SectionFlags::enum_type, int
    172, 352, 0,	//235  QUrl::FormattingOptions::enum_type, int
    336, 351, 0,	//238  const QSizeF&, double
    59, 310, 0,	//241  QDataStream&, const QLine&
    349, 309, 0,	//244  const char*, const QLatin1String&
    336, 336, 0,	//247  const QSizeF&, const QSizeF&
    298, 298, 0,	//250  const QByteArray&, const QByteArray&
    309, 342, 0,	//253  const QLatin1String&, const QStringRef&
    346, 348, 0,	//256  const QVariant&, const QVariantComparisonHelper&
    49, 49, 0,	//259  QBool, QBool
    160, 160, 0,	//262  QString::Null, QString::Null
    14, 70, 0,	//265  KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>
    59, 36, 0,	//268  QDataStream&, KServiceAction&
    29, 75, 0,	//271  KLocale::TimeProcessingOptions::enum_type, QFlags<KLocale::TimeProcessingOptions::enum_type>
    59, 330, 0,	//274  QDataStream&, const QRectF&
    52, 339, 0,	//277  QChar, const QString&
    117, 82, 0,	//280  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    59, 321, 0,	//283  QDataStream&, const QPalette&
    24, 0,	//286  KIconLoader::Group&
    59, 298, 0,	//288  QDataStream&, const QByteArray&
    157, 352, 0,	//291  QSizePolicy::ControlTypes::enum_type, int
    260, 352, 0,	//294  Qt::WindowFlags::enum_type, int
    21, 352, 0,	//297  KEmoticonsTheme::ParseMode::enum_type, int
    214, 214, 0,	//300  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    328, 344, 0,	//303  const QPolygonF&, const QTransform&
    13, 69, 0,	//306  KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>
    59, 340, 0,	//309  QDataStream&, const QStringList&
    47, 80, 0,	//312  KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>
    59, 56, 0,	//315  QDataStream&, QColor&
    225, 225, 0,	//318  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    59, 331, 0,	//321  QDataStream&, const QRegExp&
    298, 349, 0,	//324  const QByteArray&, const char*
    47, 352, 0,	//327  KUrl::QueryItemsOptions::enum_type, int
    117, 352, 0,	//330  QLibrary::LoadHints::enum_type, int
    256, 256, 0,	//333  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    310, 316, 0,	//336  const QLine&, const QMatrix&
    14, 14, 0,	//339  KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type
    311, 316, 0,	//342  const QLineF&, const QMatrix&
    320, 316, 0,	//345  const QPainterPath&, const QMatrix&
    59, 140, 0,	//348  QDataStream&, QPointF&
    59, 308, 0,	//351  QDataStream&, const QKeySequence&
    339, 349, 0,	//354  const QString&, const char*
    3, 3, 0,	//357  KCModule::Buttons::enum_type, KCModule::Buttons::enum_type
    59, 301, 0,	//360  QDataStream&, const QCursor&
    229, 229, 0,	//363  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    59, 60, 0,	//366  QDataStream&, QDate&
    235, 235, 0,	//369  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    288, 298, 0,	//372  char, const QByteArray&
    214, 91, 0,	//375  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    349, 339, 0,	//378  const char*, const QString&
    349, 298, 0,	//381  const char*, const QByteArray&
    209, 352, 0,	//384  Qt::GestureFlags::enum_type, int
    59, 51, 0,	//387  QDataStream&, QByteArray&
    59, 174, 0,	//390  QDataStream&, QVariant&
    59, 148, 0,	//393  QDataStream&, QRegExp&
    326, 326, 0,	//396  const QPointF&, const QPointF&
    344, 351, 0,	//399  const QTransform&, double
    248, 352, 0,	//402  Qt::TextInteractionFlags::enum_type, int
    221, 221, 0,	//405  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    342, 342, 0,	//408  const QStringRef&, const QStringRef&
    229, 95, 0,	//411  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    52, 52, 0,	//414  QChar, QChar
    3, 67, 0,	//417  KCModule::Buttons::enum_type, QFlags<KCModule::Buttons::enum_type>
    320, 344, 0,	//420  const QPainterPath&, const QTransform&
    59, 296, 0,	//423  QDataStream&, const QBrush&
    28, 74, 0,	//426  KLocale::TimeFormatOptions::enum_type, QFlags<KLocale::TimeFormatOptions::enum_type>
    172, 85, 0,	//429  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    178, 352, 0,	//432  QWidget::RenderFlags::enum_type, int
    59, 150, 0,	//435  QDataStream&, QRegion&
    235, 352, 0,	//438  Qt::Orientations::enum_type, int
    326, 351, 0,	//441  const QPointF&, double
    217, 352, 0,	//444  Qt::InputMethodHints::enum_type, int
    43, 76, 0,	//447  KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>
    59, 302, 0,	//450  QDataStream&, const QDate&
    46, 352, 0,	//453  KUrl::EqualsOptions::enum_type, int
    248, 248, 0,	//456  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    59, 58, 0,	//459  QDataStream&, QCursor&
    232, 232, 0,	//462  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    59, 170, 0,	//465  QDataStream&, QTransform&
    327, 316, 0,	//468  const QPolygon&, const QMatrix&
    44, 77, 0,	//471  KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>
    339, 160, 0,	//474  const QString&, QString::Null
    59, 155, 0,	//477  QDataStream&, QSizeF&
    326, 0,	//480  const QPointF&
    59, 322, 0,	//482  QDataStream&, const QPixmap&
    298, 339, 0,	//485  const QByteArray&, const QString&
    326, 344, 0,	//488  const QPointF&, const QTransform&
    339, 288, 0,	//491  const QString&, char
    110, 110, 0,	//494  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    59, 345, 0,	//497  QDataStream&, const QUrl&
    229, 352, 0,	//500  Qt::MatchFlags::enum_type, int
    256, 352, 0,	//503  Qt::TouchPointStates::enum_type, int
    349, 349, 349, 0,	//506  const char*, const char*, const char*
    59, 346, 0,	//510  QDataStream&, const QVariant&
    59, 119, 0,	//513  QDataStream&, QLine&
    43, 43, 0,	//516  KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type
    15, 15, 0,	//519  KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type
    14, 352, 0,	//522  KDialog::ButtonCodes::enum_type, int
    324, 316, 0,	//525  const QPoint&, const QMatrix&
    324, 324, 0,	//528  const QPoint&, const QPoint&
    342, 339, 0,	//531  const QStringRef&, const QString&
    28, 352, 0,	//534  KLocale::TimeFormatOptions::enum_type, int
    309, 309, 0,	//537  const QLatin1String&, const QLatin1String&
    15, 71, 0,	//540  KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>
    305, 305, 0,	//543  const QHashDummyValue&, const QHashDummyValue&
    43, 352, 0,	//546  KUrl::CleanPathOptions::enum_type, int
    59, 111, 0,	//549  QDataStream&, QIcon&
    59, 327, 0,	//552  QDataStream&, const QPolygon&
    21, 21, 0,	//555  KEmoticonsTheme::ParseMode::enum_type, KEmoticonsTheme::ParseMode::enum_type
    342, 349, 0,	//558  const QStringRef&, const char*
    214, 352, 0,	//561  Qt::ImageConversionFlags::enum_type, int
    46, 79, 0,	//564  KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>
    59, 311, 0,	//567  QDataStream&, const QLineF&
    110, 81, 0,	//570  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    179, 352, 0,	//573  Qt::Alignment::enum_type, int
    203, 203, 0,	//576  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    161, 84, 0,	//579  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    59, 50, 0,	//582  QDataStream&, QBrush&
    59, 326, 0,	//585  QDataStream&, const QPointF&
    260, 260, 0,	//588  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    339, 342, 0,	//591  const QString&, const QStringRef&
    45, 78, 0,	//594  KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>
    248, 98, 0,	//597  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    260, 101, 0,	//600  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    110, 352, 0,	//603  QIODevice::OpenMode::enum_type, int
    59, 156, 0,	//606  QDataStream&, QSizePolicy&
    253, 99, 0,	//609  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    203, 352, 0,	//612  Qt::DropActions::enum_type, int
    349, 342, 0,	//615  const char*, const QStringRef&
    59, 125, 0,	//618  QDataStream&, QMatrix&
    28, 28, 0,	//621  KLocale::TimeFormatOptions::enum_type, KLocale::TimeFormatOptions::enum_type
    59, 154, 0,	//624  QDataStream&, QSize&
    59, 175, 0,	//627  QDataStream&, QVariant::Type&
    311, 344, 0,	//630  const QLineF&, const QTransform&
    342, 309, 0,	//633  const QStringRef&, const QLatin1String&
    209, 209, 0,	//636  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    59, 328, 0,	//639  QDataStream&, const QPolygonF&
    59, 336, 0,	//642  QDataStream&, const QSizeF&
    217, 92, 0,	//645  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    59, 304, 0,	//648  QDataStream&, const QFont&
    59, 316, 0,	//651  QDataStream&, const QMatrix&
    201, 201, 0,	//654  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    288, 339, 0,	//657  char, const QString&
    12, 68, 0,	//660  KConfig::OpenFlags::enum_type, QFlags<KConfig::OpenFlags::enum_type>
    201, 352, 0,	//663  Qt::DockWidgetAreas::enum_type, int
    117, 117, 0,	//666  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    27, 73, 0,	//669  KLocale::DateTimeFormatOptions::enum_type, QFlags<KLocale::DateTimeFormatOptions::enum_type>
    59, 144, 0,	//672  QDataStream&, QPolygonF&
    59, 320, 0,	//675  QDataStream&, const QPainterPath&
    59, 135, 0,	//678  QDataStream&, QPalette&
    330, 330, 0,	//681  const QRectF&, const QRectF&
    45, 45, 0,	//684  KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type
    351, 334, 0,	//687  double, const QSize&
    351, 324, 0,	//690  double, const QPoint&
    59, 324, 0,	//693  QDataStream&, const QPoint&
    59, 307, 0,	//696  QDataStream&, const QImage&
    44, 44, 0,	//699  KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type
    298, 288, 0,	//702  const QByteArray&, char
    13, 352, 0,	//705  KConfigBase::WriteConfigFlags::enum_type, int
    264, 102, 0,	//708  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    27, 27, 0,	//711  KLocale::DateTimeFormatOptions::enum_type, KLocale::DateTimeFormatOptions::enum_type
    264, 264, 0,	//714  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    46, 46, 0,	//717  KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type
    21, 72, 0,	//720  KEmoticonsTheme::ParseMode::enum_type, QFlags<KEmoticonsTheme::ParseMode::enum_type>
    157, 157, 0,	//723  QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type
    157, 83, 0,	//726  QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>
    225, 94, 0,	//729  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    59, 105, 0,	//732  QDataStream&, QFont&
    59, 334, 0,	//735  QDataStream&, const QSize&
    59, 147, 0,	//738  QDataStream&, QRectF&
    256, 100, 0,	//741  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    59, 299, 0,	//744  QDataStream&, const QChar&
    287, 49, 0,	//747  bool, QBool
    327, 344, 0,	//750  const QPolygon&, const QTransform&
    49, 287, 0,	//753  QBool, bool
    59, 163, 0,	//756  QDataStream&, QStringList&
    59, 329, 0,	//759  QDataStream&, const QRect&
    15, 352, 0,	//762  KDialog::CaptionFlags::enum_type, int
    59, 332, 0,	//765  QDataStream&, const QRegion&
    225, 352, 0,	//768  Qt::KeyboardModifiers::enum_type, int
    44, 352, 0,	//771  KUrl::DirectoryOptions::enum_type, int
    59, 300, 0,	//774  QDataStream&, const QColor&
    334, 351, 0,	//777  const QSize&, double
    160, 339, 0,	//780  QString::Null, const QString&
    253, 352, 0,	//783  Qt::ToolBarAreas::enum_type, int
    59, 138, 0,	//786  QDataStream&, QPoint&
    59, 61, 0,	//789  QDataStream&, QDateTime&
    221, 352, 0,	//792  Qt::ItemFlags::enum_type, int
    59, 343, 0,	//795  QDataStream&, const QTime&
    59, 116, 0,	//798  QDataStream&, QKeySequence&
    264, 352, 0,	//801  Qt::WindowStates::enum_type, int
    12, 12, 0,	//804  KConfig::OpenFlags::enum_type, KConfig::OpenFlags::enum_type
    47, 47, 0,	//807  KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type
    332, 344, 0,	//810  const QRegion&, const QTransform&
    172, 172, 0,	//813  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    12, 352, 0,	//816  KConfig::OpenFlags::enum_type, int
    328, 316, 0,	//819  const QPolygonF&, const QMatrix&
    324, 0,	//822  const QPoint&
    59, 142, 0,	//824  QDataStream&, QPolygon&
    235, 97, 0,	//827  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    59, 159, 0,	//830  QDataStream&, QString&
    59, 339, 0,	//833  QDataStream&, const QString&
    13, 13, 0,	//836  KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type
    221, 93, 0,	//839  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    59, 53, 0,	//842  QDataStream&, QChar&
    178, 86, 0,	//845  QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>
    59, 136, 0,	//848  QDataStream&, QPixmap&
    339, 298, 0,	//851  const QString&, const QByteArray&
    45, 352, 0,	//854  KUrl::EncodedPathAndQueryOptions::enum_type, int
    59, 146, 0,	//857  QDataStream&, QRect&
    59, 306, 0,	//860  QDataStream&, const QIcon&
    59, 347, 0,	//863  QDataStream&, const QVariant::Type
    3, 352, 0,	//866  KCModule::Buttons::enum_type, int
    59, 121, 0,	//869  QDataStream&, QLineF&
    59, 134, 0,	//872  QDataStream&, QPainterPath&
    179, 87, 0,	//875  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    324, 344, 0,	//878  const QPoint&, const QTransform&
    59, 303, 0,	//881  QDataStream&, const QDateTime&
    178, 178, 0,	//884  QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type
    232, 352, 0,	//887  Qt::MouseButtons::enum_type, int
    59, 167, 0,	//890  QDataStream&, QTime&
    201, 88, 0,	//893  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    29, 352, 0,	//896  KLocale::TimeProcessingOptions::enum_type, int
    27, 352, 0,	//899  KLocale::DateTimeFormatOptions::enum_type, int
    217, 217, 0,	//902  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    332, 316, 0,	//905  const QRegion&, const QMatrix&
    209, 90, 0,	//908  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    161, 161, 0,	//911  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    59, 171, 0,	//914  QDataStream&, QUrl&
    339, 52, 0,	//917  const QString&, QChar
    179, 179, 0,	//920  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    232, 96, 0,	//923  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    24, 352, 0,	//926  KIconLoader::Group&, int
    66, 0,	//929  QEvent*
    168, 0,	//931  QTimerEvent*
    54, 0,	//933  QChildEvent*
    127, 0,	//935  QMouseEvent*
    176, 0,	//937  QWheelEvent*
    104, 0,	//939  QFocusEvent*
    132, 0,	//941  QPaintEvent*
    128, 0,	//943  QMoveEvent*
    166, 0,	//945  QTabletEvent*
    48, 0,	//947  QActionEvent*
    62, 0,	//949  QDragEnterEvent*
    64, 0,	//951  QDragMoveEvent*
    63, 0,	//953  QDragLeaveEvent*
    65, 0,	//955  QDropEvent*
    286, 0,	//957  _XEvent*
    130, 0,	//959  QPaintDevice::PaintDeviceMetric
    114, 0,	//961  QInputMethodEvent*
    218, 0,	//963  Qt::InputMethodQuery
    165, 0,	//965  QStyle&
    321, 0,	//967  const QPalette&
    304, 0,	//969  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Cancel",	//4
    "Close",	//5
    "Copy",	//6
    "Default",	//7
    "DelayedPopup",	//8
    "Details",	//9
    "Dialog",	//10
    "Dialog#",	//11
    "Dialog?",	//12
    "Dialog?#",	//13
    "DoNotCopy",	//14
    "DrawChildren",	//15
    "DrawWindowBackground",	//16
    "HIGCompliantCaption",	//17
    "Help",	//18
    "IgnoreConfigFile",	//19
    "IgnoreMask",	//20
    "InstantPopup",	//21
    "KCModuleContainer",	//22
    "KCModuleContainer#",	//23
    "KCModuleContainer#$",	//24
    "KCModuleContainer#?",	//25
    "KCModuleProxy",	//26
    "KCModuleProxy#",	//27
    "KCModuleProxy##",	//28
    "KCModuleProxy##?",	//29
    "KCModuleProxy$",	//30
    "KCModuleProxy$#",	//31
    "KCModuleProxy$#?",	//32
    "KCModuleProxy?",	//33
    "KCModuleProxy?#",	//34
    "KCModuleProxy?#?",	//35
    "KCMultiDialog",	//36
    "KCMultiDialog#",	//37
    "KCMultiDialog##",	//38
    "KCMultiDialog###",	//39
    "KCMultiDialog###?",	//40
    "KCMultiDialog##?",	//41
    "KEmoticons",	//42
    "KEmoticonsProvider",	//43
    "KEmoticonsProvider#",	//44
    "KPluginSelector",	//45
    "KPluginSelector#",	//46
    "KPrintPreview",	//47
    "KPrintPreview#",	//48
    "KPrintPreview##",	//49
    "KST_CTimeInfo",	//50
    "KST_KCustom",	//51
    "KST_KDEDesktopMimeType",	//52
    "KST_KFolderMimeType",	//53
    "KST_KImageIO",	//54
    "KST_KImageIOFormat",	//55
    "KST_KMimeType",	//56
    "KST_KMimeTypeFactory",	//57
    "KST_KProtocolInfo",	//58
    "KST_KProtocolInfoFactory",	//59
    "KST_KService",	//60
    "KST_KServiceFactory",	//61
    "KST_KServiceGroup",	//62
    "KST_KServiceGroupFactory",	//63
    "KST_KServiceSeparator",	//64
    "KST_KServiceType",	//65
    "KST_KServiceTypeFactory",	//66
    "KST_KSycocaEntry",	//67
    "LicensedActiveQt",	//68
    "LicensedCore",	//69
    "LicensedDBus",	//70
    "LicensedDeclarative",	//71
    "LicensedGui",	//72
    "LicensedHelp",	//73
    "LicensedMultimedia",	//74
    "LicensedNetwork",	//75
    "LicensedOpenGL",	//76
    "LicensedOpenVG",	//77
    "LicensedQt3Support",	//78
    "LicensedQt3SupportLight",	//79
    "LicensedScript",	//80
    "LicensedScriptTools",	//81
    "LicensedSql",	//82
    "LicensedSvg",	//83
    "LicensedTest",	//84
    "LicensedXml",	//85
    "LicensedXmlPatterns",	//86
    "ModifiedCaption",	//87
    "No",	//88
    "NoAdditionalButton",	//89
    "NoCaptionFlags",	//90
    "NoDefault",	//91
    "None",	//92
    "Ok",	//93
    "PluginPage",	//94
    "PluginPage#",	//95
    "PluginPage##",	//96
    "PluginPage##?",	//97
    "Q_COMPLEX_TYPE",	//98
    "Q_DUMMY_TYPE",	//99
    "Q_MOVABLE_TYPE",	//100
    "Q_PRIMITIVE_TYPE",	//101
    "Q_STATIC_TYPE",	//102
    "QtCriticalMsg",	//103
    "QtDebugMsg",	//104
    "QtFatalMsg",	//105
    "QtSystemMsg",	//106
    "QtWarningMsg",	//107
    "ReadConfigFile",	//108
    "Rejected",	//109
    "Reset",	//110
    "Try",	//111
    "User1",	//112
    "User2",	//113
    "User3",	//114
    "Yes",	//115
    "aboutData",	//116
    "accept",	//117
    "actionEvent",	//118
    "addEmoticon",	//119
    "addEmoticon$$",	//120
    "addEmoticon$$$",	//121
    "addEmoticonIndex",	//122
    "addEmoticonIndex$?",	//123
    "addEmoticonsMap",	//124
    "addEmoticonsMap$?",	//125
    "addIdleTimeout",	//126
    "addIdleTimeout$",	//127
    "addModule",	//128
    "addModule#",	//129
    "addModule##",	//130
    "addModule##?",	//131
    "addModule$",	//132
    "addModule$?",	//133
    "addPluginInfos",	//134
    "addPluginInfos?",	//135
    "addPlugins",	//136
    "addPlugins#",	//137
    "addPlugins#$",	//138
    "addPlugins#$$",	//139
    "addPlugins#$$?",	//140
    "addPlugins$",	//141
    "addPlugins$$",	//142
    "addPlugins$$$",	//143
    "addPlugins$$$?",	//144
    "addPlugins?",	//145
    "addPlugins?$",	//146
    "addPlugins?$$",	//147
    "addPlugins?$$$",	//148
    "addPlugins?$$$?",	//149
    "allModules",	//150
    "allowComponentSelection",	//151
    "buttons",	//152
    "catchNextResumeEvent",	//153
    "changeEvent",	//154
    "changed",	//155
    "changed#",	//156
    "changed$",	//157
    "changedModules",	//158
    "childClosed",	//159
    "childEvent",	//160
    "clear",	//161
    "clearEmoticonsMap",	//162
    "closeEvent",	//163
    "componentData",	//164
    "configCommitted",	//165
    "configCommitted#",	//166
    "connectNotify",	//167
    "contextMenuEvent",	//168
    "createNew",	//169
    "currentThemeName",	//170
    "customEvent",	//171
    "dbusPath",	//172
    "dbusService",	//173
    "defaults",	//174
    "deleteClient",	//175
    "devType",	//176
    "disconnectNotify",	//177
    "done",	//178
    "dragEnterEvent",	//179
    "dragLeaveEvent",	//180
    "dragMoveEvent",	//181
    "dropEvent",	//182
    "emoticonsIndex",	//183
    "emoticonsMap",	//184
    "enabledChange",	//185
    "enterEvent",	//186
    "event",	//187
    "eventFilter",	//188
    "fileName",	//189
    "focusInEvent",	//190
    "focusNextPrevChild",	//191
    "focusOutEvent",	//192
    "fontChange",	//193
    "heightForWidth",	//194
    "hideEvent",	//195
    "i18n",	//196
    "i18n$",	//197
    "i18nc",	//198
    "i18nc$$",	//199
    "idleTime",	//200
    "idleTimeouts",	//201
    "inputMethodEvent",	//202
    "inputMethodQuery",	//203
    "installTheme",	//204
    "installTheme$",	//205
    "instance",	//206
    "isDefault",	//207
    "keyPressEvent",	//208
    "keyReleaseEvent",	//209
    "ki18n",	//210
    "ki18n$",	//211
    "ki18nc",	//212
    "ki18nc$$",	//213
    "ki18ncp",	//214
    "ki18ncp$$$",	//215
    "ki18np",	//216
    "ki18np$$",	//217
    "languageChange",	//218
    "leaveEvent",	//219
    "load",	//220
    "loadTheme",	//221
    "loadTheme$",	//222
    "metaObject",	//223
    "metric",	//224
    "minimumSizeHint",	//225
    "moduleInfo",	//226
    "mouseDoubleClickEvent",	//227
    "mouseMoveEvent",	//228
    "mousePressEvent",	//229
    "mouseReleaseEvent",	//230
    "moveEvent",	//231
    "newTheme",	//232
    "newTheme$?",	//233
    "operator!=",	//234
    "operator!=##",	//235
    "operator!=#$",	//236
    "operator!=$#",	//237
    "operator!=$$",	//238
    "operator*",	//239
    "operator*##",	//240
    "operator*#$",	//241
    "operator*$#",	//242
    "operator+",	//243
    "operator+##",	//244
    "operator+#$",	//245
    "operator+$#",	//246
    "operator+$$",	//247
    "operator++",	//248
    "operator++$",	//249
    "operator++$$",	//250
    "operator-",	//251
    "operator-#",	//252
    "operator-##",	//253
    "operator-#$",	//254
    "operator/",	//255
    "operator/#$",	//256
    "operator<",	//257
    "operator<##",	//258
    "operator<#$",	//259
    "operator<$#",	//260
    "operator<$$",	//261
    "operator<<",	//262
    "operator<<##",	//263
    "operator<<#$",	//264
    "operator<<#?",	//265
    "operator<=",	//266
    "operator<=##",	//267
    "operator<=#$",	//268
    "operator<=$#",	//269
    "operator<=$$",	//270
    "operator==",	//271
    "operator==##",	//272
    "operator==#$",	//273
    "operator==$#",	//274
    "operator==$$",	//275
    "operator>",	//276
    "operator>##",	//277
    "operator>#$",	//278
    "operator>$#",	//279
    "operator>$$",	//280
    "operator>=",	//281
    "operator>=##",	//282
    "operator>=#$",	//283
    "operator>=$#",	//284
    "operator>=$$",	//285
    "operator>>",	//286
    "operator>>##",	//287
    "operator>>#$",	//288
    "operator>>#?",	//289
    "operator|",	//290
    "operator|?$",	//291
    "operator|??",	//292
    "paintEngine",	//293
    "paintEvent",	//294
    "paletteChange",	//295
    "parseMode",	//296
    "pluginInfos",	//297
    "pluginSelectionChanged",	//298
    "pluginSelector",	//299
    "qt_metacall",	//300
    "qt_metacall$$?",	//301
    "qt_metacast",	//302
    "qt_metacast$",	//303
    "quickHelp",	//304
    "quickHelpChanged",	//305
    "realModule",	//306
    "reject",	//307
    "removeAllIdleTimeouts",	//308
    "removeEmoticon",	//309
    "removeEmoticon$",	//310
    "removeEmoticonIndex",	//311
    "removeEmoticonIndex$?",	//312
    "removeEmoticonsMap",	//313
    "removeEmoticonsMap$",	//314
    "removeIdleTimeout",	//315
    "removeIdleTimeout$",	//316
    "resizeEvent",	//317
    "resumingFromIdle",	//318
    "rootOnlyMessage",	//319
    "save",	//320
    "setAllModules",	//321
    "setAllModules?",	//322
    "setAllowComponentSelection",	//323
    "setAllowComponentSelection$",	//324
    "setCaption",	//325
    "setChangedModules",	//326
    "setChangedModules?",	//327
    "setComponentBlacklist",	//328
    "setComponentBlacklist?",	//329
    "setKCMArguments",	//330
    "setKCMArguments?",	//331
    "setParseMode",	//332
    "setParseMode$",	//333
    "setPlainCaption",	//334
    "setTheme",	//335
    "setTheme#",	//336
    "setTheme$",	//337
    "setThemeName",	//338
    "setThemeName$",	//339
    "setVisible",	//340
    "showEvent",	//341
    "showEvent#",	//342
    "simulateUserActivity",	//343
    "sizeHint",	//344
    "slotApplyClicked",	//345
    "slotButtonClicked",	//346
    "slotDefaultClicked",	//347
    "slotHelpClicked",	//348
    "slotOkClicked",	//349
    "slotUser1Clicked",	//350
    "staticMetaObject",	//351
    "stopCatchingResumeEvent",	//352
    "styleChange",	//353
    "tabletEvent",	//354
    "theme",	//355
    "theme$",	//356
    "themeList",	//357
    "themeName",	//358
    "themePath",	//359
    "timeoutReached",	//360
    "timeoutReached$",	//361
    "timeoutReached$$",	//362
    "timerEvent",	//363
    "tr",	//364
    "tr$",	//365
    "tr$$",	//366
    "tr$$$",	//367
    "tr2i18n",	//368
    "tr2i18n$",	//369
    "tr2i18n$$",	//370
    "trUtf8",	//371
    "trUtf8$",	//372
    "trUtf8$$",	//373
    "trUtf8$$$",	//374
    "updatePluginsState",	//375
    "useRootOnlyMessage",	//376
    "wheelEvent",	//377
    "windowActivationChange",	//378
    "x11Event",	//379
    "~Dialog",	//380
    "~KCModuleContainer",	//381
    "~KCModuleProxy",	//382
    "~KCMultiDialog",	//383
    "~KEmoticons",	//384
    "~KEmoticonsProvider",	//385
    "~KIdleTime",	//386
    "~KPluginSelector",	//387
    "~KPrintPreview",	//388
    "~PluginPage",	//389
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 304, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 0},	//1 KCModule::quickHelp() const
    {2, 116, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//2 KCModule::aboutData() const
    {2, 341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 KCModule::showEvent(QShowEvent*)
    {3, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//4 KCModuleContainer::metaObject() const
    {3, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//5 KCModuleContainer::qt_metacast(const char*)
    {3, 364, 5, 2, Smoke::mf_static, 158, 3},	//6 KCModuleContainer::tr(const char*, const char*)
    {3, 371, 5, 2, Smoke::mf_static, 158, 4},	//7 KCModuleContainer::trUtf8(const char*, const char*)
    {3, 364, 8, 3, Smoke::mf_static, 158, 5},	//8 KCModuleContainer::tr(const char*, const char*, int)
    {3, 371, 8, 3, Smoke::mf_static, 158, 6},	//9 KCModuleContainer::trUtf8(const char*, const char*, int)
    {3, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//10 KCModuleContainer::qt_metacall(QMetaObject::Call, int, void**)
    {3, 22, 16, 2, Smoke::mf_ctor, 4, 8},	//11 KCModuleContainer::KCModuleContainer(QWidget*, const QStringList&)
    {3, 22, 19, 2, Smoke::mf_ctor, 4, 9},	//12 KCModuleContainer::KCModuleContainer(QWidget*, const QString&)
    {3, 128, 22, 1, 0, 0, 10},	//13 KCModuleContainer::addModule(const QString&)
    {3, 320, 0, 0, Smoke::mf_virtual, 0, 11},	//14 KCModuleContainer::save()
    {3, 220, 0, 0, Smoke::mf_virtual, 0, 12},	//15 KCModuleContainer::load()
    {3, 174, 0, 0, Smoke::mf_virtual, 0, 13},	//16 KCModuleContainer::defaults()
    {3, 364, 3, 1, Smoke::mf_static, 158, 14},	//17 KCModuleContainer::tr(const char*)
    {3, 371, 3, 1, Smoke::mf_static, 158, 15},	//18 KCModuleContainer::trUtf8(const char*)
    {3, 22, 24, 1, Smoke::mf_ctor, 4, 16},	//19 KCModuleContainer::KCModuleContainer(QWidget*)
    {3, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 17},	//20 KCModuleContainer::staticMetaObject() const
    {3, 158, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 122, 18},	//21 KCModuleContainer::changedModules() const
    {3, 326, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//22 KCModuleContainer::setChangedModules(const QList<KCModuleProxy*>&)
    {3, 150, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 122, 20},	//23 KCModuleContainer::allModules() const
    {3, 321, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 21},	//24 KCModuleContainer::setAllModules(const QList<KCModuleProxy*>&)
    {3, 381, 0, 0, Smoke::mf_dtor, 0, 22 },	//25 KCModuleContainer::~KCModuleContainer()
    {5, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//26 KCModuleProxy::metaObject() const
    {5, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//27 KCModuleProxy::qt_metacast(const char*)
    {5, 364, 5, 2, Smoke::mf_static, 158, 3},	//28 KCModuleProxy::tr(const char*, const char*)
    {5, 371, 5, 2, Smoke::mf_static, 158, 4},	//29 KCModuleProxy::trUtf8(const char*, const char*)
    {5, 364, 8, 3, Smoke::mf_static, 158, 5},	//30 KCModuleProxy::tr(const char*, const char*, int)
    {5, 371, 8, 3, Smoke::mf_static, 158, 6},	//31 KCModuleProxy::trUtf8(const char*, const char*, int)
    {5, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//32 KCModuleProxy::qt_metacall(QMetaObject::Call, int, void**)
    {5, 26, 28, 3, Smoke::mf_ctor, 7, 8},	//33 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*, const QStringList&)
    {5, 26, 32, 3, Smoke::mf_ctor, 7, 9},	//34 KCModuleProxy::KCModuleProxy(const QString&, QWidget*, const QStringList&)
    {5, 26, 36, 3, Smoke::mf_ctor, 7, 10},	//35 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*, const QStringList&)
    {5, 220, 0, 0, 0, 0, 11},	//36 KCModuleProxy::load()
    {5, 320, 0, 0, 0, 0, 12},	//37 KCModuleProxy::save()
    {5, 304, 0, 0, Smoke::mf_const, 158, 13},	//38 KCModuleProxy::quickHelp() const
    {5, 116, 0, 0, Smoke::mf_const, 289, 14},	//39 KCModuleProxy::aboutData() const
    {5, 152, 0, 0, Smoke::mf_const, 2, 15},	//40 KCModuleProxy::buttons() const
    {5, 319, 0, 0, Smoke::mf_const, 158, 16},	//41 KCModuleProxy::rootOnlyMessage() const
    {5, 376, 0, 0, Smoke::mf_const, 287, 17},	//42 KCModuleProxy::useRootOnlyMessage() const
    {5, 164, 0, 0, Smoke::mf_const, 11, 18},	//43 KCModuleProxy::componentData() const
    {5, 155, 0, 0, Smoke::mf_const, 287, 19},	//44 KCModuleProxy::changed() const
    {5, 306, 0, 0, Smoke::mf_const, 1, 20},	//45 KCModuleProxy::realModule() const
    {5, 226, 0, 0, Smoke::mf_const, 5, 21},	//46 KCModuleProxy::moduleInfo() const
    {5, 173, 0, 0, Smoke::mf_const, 158, 22},	//47 KCModuleProxy::dbusService() const
    {5, 172, 0, 0, Smoke::mf_const, 158, 23},	//48 KCModuleProxy::dbusPath() const
    {5, 225, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 24},	//49 KCModuleProxy::minimumSizeHint() const
    {5, 174, 0, 0, Smoke::mf_slot, 0, 25},	//50 KCModuleProxy::defaults()
    {5, 175, 0, 0, Smoke::mf_slot, 0, 26},	//51 KCModuleProxy::deleteClient()
    {5, 155, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//52 KCModuleProxy::changed(bool)
    {5, 155, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//53 KCModuleProxy::changed(KCModuleProxy*)
    {5, 159, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//54 KCModuleProxy::childClosed()
    {5, 305, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//55 KCModuleProxy::quickHelpChanged()
    {5, 341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//56 KCModuleProxy::showEvent(QShowEvent*)
    {5, 364, 3, 1, Smoke::mf_static, 158, 32},	//57 KCModuleProxy::tr(const char*)
    {5, 371, 3, 1, Smoke::mf_static, 158, 33},	//58 KCModuleProxy::trUtf8(const char*)
    {5, 26, 44, 1, Smoke::mf_ctor, 7, 34},	//59 KCModuleProxy::KCModuleProxy(const KCModuleInfo&)
    {5, 26, 46, 2, Smoke::mf_ctor, 7, 35},	//60 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*)
    {5, 26, 22, 1, Smoke::mf_ctor, 7, 36},	//61 KCModuleProxy::KCModuleProxy(const QString&)
    {5, 26, 49, 2, Smoke::mf_ctor, 7, 37},	//62 KCModuleProxy::KCModuleProxy(const QString&, QWidget*)
    {5, 26, 52, 1, Smoke::mf_ctor, 7, 38},	//63 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&)
    {5, 26, 54, 2, Smoke::mf_ctor, 7, 39},	//64 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*)
    {5, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 40},	//65 KCModuleProxy::staticMetaObject() const
    {5, 382, 0, 0, Smoke::mf_dtor, 0, 41 },	//66 KCModuleProxy::~KCModuleProxy()
    {6, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//67 KCMultiDialog::metaObject() const
    {6, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//68 KCMultiDialog::qt_metacast(const char*)
    {6, 364, 5, 2, Smoke::mf_static, 158, 3},	//69 KCMultiDialog::tr(const char*, const char*)
    {6, 371, 5, 2, Smoke::mf_static, 158, 4},	//70 KCMultiDialog::trUtf8(const char*, const char*)
    {6, 364, 8, 3, Smoke::mf_static, 158, 5},	//71 KCMultiDialog::tr(const char*, const char*, int)
    {6, 371, 8, 3, Smoke::mf_static, 158, 6},	//72 KCMultiDialog::trUtf8(const char*, const char*, int)
    {6, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//73 KCMultiDialog::qt_metacall(QMetaObject::Call, int, void**)
    {6, 36, 24, 1, Smoke::mf_ctor, 8, 8},	//74 KCMultiDialog::KCMultiDialog(QWidget*)
    {6, 128, 57, 2, 0, 32, 9},	//75 KCMultiDialog::addModule(const QString&, const QStringList&)
    {6, 128, 60, 3, 0, 32, 10},	//76 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*, const QStringList&)
    {6, 161, 0, 0, 0, 0, 11},	//77 KCMultiDialog::clear()
    {6, 165, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//78 KCMultiDialog::configCommitted()
    {6, 165, 64, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//79 KCMultiDialog::configCommitted(const QByteArray&)
    {6, 36, 66, 3, Smoke::mf_ctor|Smoke::mf_protected, 8, 14},	//80 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {6, 36, 70, 4, Smoke::mf_ctor|Smoke::mf_protected, 8, 15},	//81 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {6, 347, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//82 KCMultiDialog::slotDefaultClicked()
    {6, 350, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 17},	//83 KCMultiDialog::slotUser1Clicked()
    {6, 345, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 18},	//84 KCMultiDialog::slotApplyClicked()
    {6, 349, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//85 KCMultiDialog::slotOkClicked()
    {6, 348, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 20},	//86 KCMultiDialog::slotHelpClicked()
    {6, 364, 3, 1, Smoke::mf_static, 158, 21},	//87 KCMultiDialog::tr(const char*)
    {6, 371, 3, 1, Smoke::mf_static, 158, 22},	//88 KCMultiDialog::trUtf8(const char*)
    {6, 36, 0, 0, Smoke::mf_ctor, 8, 23},	//89 KCMultiDialog::KCMultiDialog()
    {6, 128, 22, 1, 0, 32, 24},	//90 KCMultiDialog::addModule(const QString&)
    {6, 128, 44, 1, 0, 32, 25},	//91 KCMultiDialog::addModule(const KCModuleInfo&)
    {6, 128, 75, 2, 0, 32, 26},	//92 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*)
    {6, 36, 78, 2, Smoke::mf_ctor|Smoke::mf_protected, 8, 27},	//93 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*)
    {6, 36, 81, 3, Smoke::mf_ctor|Smoke::mf_protected, 8, 28},	//94 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*)
    {6, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 29},	//95 KCMultiDialog::staticMetaObject() const
    {6, 383, 0, 0, Smoke::mf_dtor, 0, 30 },	//96 KCMultiDialog::~KCMultiDialog()
    {10, 344, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 0},	//97 KDialog::sizeHint() const
    {10, 225, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 0},	//98 KDialog::minimumSizeHint() const
    {10, 325, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//99 KDialog::setCaption(const QString&)
    {10, 325, 85, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//100 KDialog::setCaption(const QString&, bool)
    {10, 334, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//101 KDialog::setPlainCaption(const QString&)
    {10, 195, 88, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//102 KDialog::hideEvent(QHideEvent*)
    {10, 163, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//103 KDialog::closeEvent(QCloseEvent*)
    {10, 208, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//104 KDialog::keyPressEvent(QKeyEvent*)
    {10, 346, 94, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//105 KDialog::slotButtonClicked(int)
    {11, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//106 KEmoticons::metaObject() const
    {11, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//107 KEmoticons::qt_metacast(const char*)
    {11, 364, 5, 2, Smoke::mf_static, 158, 3},	//108 KEmoticons::tr(const char*, const char*)
    {11, 371, 5, 2, Smoke::mf_static, 158, 4},	//109 KEmoticons::trUtf8(const char*, const char*)
    {11, 364, 8, 3, Smoke::mf_static, 158, 5},	//110 KEmoticons::tr(const char*, const char*, int)
    {11, 371, 8, 3, Smoke::mf_static, 158, 6},	//111 KEmoticons::trUtf8(const char*, const char*, int)
    {11, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//112 KEmoticons::qt_metacall(QMetaObject::Call, int, void**)
    {11, 42, 0, 0, Smoke::mf_ctor, 16, 8},	//113 KEmoticons::KEmoticons()
    {11, 355, 0, 0, 0, 19, 9},	//114 KEmoticons::theme()
    {11, 355, 22, 1, 0, 19, 10},	//115 KEmoticons::theme(const QString&)
    {11, 170, 0, 0, Smoke::mf_static, 158, 11},	//116 KEmoticons::currentThemeName()
    {11, 357, 0, 0, Smoke::mf_static, 162, 12},	//117 KEmoticons::themeList()
    {11, 335, 96, 1, Smoke::mf_static, 0, 13},	//118 KEmoticons::setTheme(const KEmoticonsTheme&)
    {11, 335, 22, 1, Smoke::mf_static, 0, 14},	//119 KEmoticons::setTheme(const QString&)
    {11, 232, 98, 2, 0, 19, 15},	//120 KEmoticons::newTheme(const QString&, const KSharedPtr<KService>&)
    {11, 204, 22, 1, 0, 162, 16},	//121 KEmoticons::installTheme(const QString&)
    {11, 332, 101, 1, Smoke::mf_static, 0, 17},	//122 KEmoticons::setParseMode(KEmoticonsTheme::ParseMode)
    {11, 296, 0, 0, Smoke::mf_static, 20, 18},	//123 KEmoticons::parseMode()
    {11, 364, 3, 1, Smoke::mf_static, 158, 19},	//124 KEmoticons::tr(const char*)
    {11, 371, 3, 1, Smoke::mf_static, 158, 20},	//125 KEmoticons::trUtf8(const char*)
    {11, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 21},	//126 KEmoticons::staticMetaObject() const
    {11, 384, 0, 0, Smoke::mf_dtor, 0, 22 },	//127 KEmoticons::~KEmoticons()
    {12, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//128 KEmoticonsProvider::metaObject() const
    {12, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//129 KEmoticonsProvider::qt_metacast(const char*)
    {12, 364, 5, 2, Smoke::mf_static, 158, 3},	//130 KEmoticonsProvider::tr(const char*, const char*)
    {12, 371, 5, 2, Smoke::mf_static, 158, 4},	//131 KEmoticonsProvider::trUtf8(const char*, const char*)
    {12, 364, 8, 3, Smoke::mf_static, 158, 5},	//132 KEmoticonsProvider::tr(const char*, const char*, int)
    {12, 371, 8, 3, Smoke::mf_static, 158, 6},	//133 KEmoticonsProvider::trUtf8(const char*, const char*, int)
    {12, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//134 KEmoticonsProvider::qt_metacall(QMetaObject::Call, int, void**)
    {12, 43, 103, 1, Smoke::mf_ctor, 17, 8},	//135 KEmoticonsProvider::KEmoticonsProvider(QObject*)
    {12, 221, 22, 1, Smoke::mf_virtual, 287, 9},	//136 KEmoticonsProvider::loadTheme(const QString&)
    {12, 309, 22, 1, Smoke::mf_virtual, 287, 10},	//137 KEmoticonsProvider::removeEmoticon(const QString&)
    {12, 119, 105, 3, Smoke::mf_virtual, 287, 11},	//138 KEmoticonsProvider::addEmoticon(const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption)
    {12, 320, 0, 0, Smoke::mf_virtual, 0, 12},	//139 KEmoticonsProvider::save()
    {12, 358, 0, 0, Smoke::mf_const, 158, 13},	//140 KEmoticonsProvider::themeName() const
    {12, 338, 22, 1, 0, 0, 14},	//141 KEmoticonsProvider::setThemeName(const QString&)
    {12, 359, 0, 0, Smoke::mf_const, 158, 15},	//142 KEmoticonsProvider::themePath() const
    {12, 189, 0, 0, Smoke::mf_const, 158, 16},	//143 KEmoticonsProvider::fileName() const
    {12, 184, 0, 0, Smoke::mf_const, 107, 17},	//144 KEmoticonsProvider::emoticonsMap() const
    {12, 183, 0, 0, Smoke::mf_const, 106, 18},	//145 KEmoticonsProvider::emoticonsIndex() const
    {12, 169, 0, 0, Smoke::mf_virtual, 0, 19},	//146 KEmoticonsProvider::createNew()
    {12, 162, 0, 0, Smoke::mf_protected, 0, 20},	//147 KEmoticonsProvider::clearEmoticonsMap()
    {12, 124, 109, 2, Smoke::mf_protected, 0, 21},	//148 KEmoticonsProvider::addEmoticonsMap(QString, QStringList)
    {12, 313, 112, 1, Smoke::mf_protected, 0, 22},	//149 KEmoticonsProvider::removeEmoticonsMap(QString)
    {12, 122, 57, 2, Smoke::mf_protected, 0, 23},	//150 KEmoticonsProvider::addEmoticonIndex(const QString&, const QStringList&)
    {12, 311, 57, 2, Smoke::mf_protected, 0, 24},	//151 KEmoticonsProvider::removeEmoticonIndex(const QString&, const QStringList&)
    {12, 364, 3, 1, Smoke::mf_static, 158, 25},	//152 KEmoticonsProvider::tr(const char*)
    {12, 371, 3, 1, Smoke::mf_static, 158, 26},	//153 KEmoticonsProvider::trUtf8(const char*)
    {12, 43, 0, 0, Smoke::mf_ctor, 17, 27},	//154 KEmoticonsProvider::KEmoticonsProvider()
    {12, 119, 114, 2, 0, 287, 28},	//155 KEmoticonsProvider::addEmoticon(const QString&, const QString&)
    {12, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 29},	//156 KEmoticonsProvider::staticMetaObject() const
    {12, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 30},	//157 KEmoticonsProvider::DoNotCopy (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 31},	//158 KEmoticonsProvider::Copy (enum)
    {12, 385, 0, 0, Smoke::mf_dtor, 0, 32 },	//159 KEmoticonsProvider::~KEmoticonsProvider()
    {14, 223, 0, 0, Smoke::mf_const, 318, 1},	//160 KIdleTime::metaObject() const
    {14, 302, 3, 1, 0, 355, 2},	//161 KIdleTime::qt_metacast(const char*)
    {14, 364, 5, 2, Smoke::mf_static, 158, 3},	//162 KIdleTime::tr(const char*, const char*)
    {14, 371, 5, 2, Smoke::mf_static, 158, 4},	//163 KIdleTime::trUtf8(const char*, const char*)
    {14, 364, 8, 3, Smoke::mf_static, 158, 5},	//164 KIdleTime::tr(const char*, const char*, int)
    {14, 371, 8, 3, Smoke::mf_static, 158, 6},	//165 KIdleTime::trUtf8(const char*, const char*, int)
    {14, 300, 12, 3, 0, 352, 7},	//166 KIdleTime::qt_metacall(QMetaObject::Call, int, void**)
    {14, 206, 0, 0, Smoke::mf_static, 25, 8},	//167 KIdleTime::instance()
    {14, 200, 0, 0, Smoke::mf_const, 352, 9},	//168 KIdleTime::idleTime() const
    {14, 201, 0, 0, Smoke::mf_const, 108, 10},	//169 KIdleTime::idleTimeouts() const
    {14, 343, 0, 0, 0, 0, 11},	//170 KIdleTime::simulateUserActivity()
    {14, 126, 94, 1, Smoke::mf_slot, 352, 12},	//171 KIdleTime::addIdleTimeout(int)
    {14, 315, 94, 1, Smoke::mf_slot, 0, 13},	//172 KIdleTime::removeIdleTimeout(int)
    {14, 308, 0, 0, Smoke::mf_slot, 0, 14},	//173 KIdleTime::removeAllIdleTimeouts()
    {14, 153, 0, 0, Smoke::mf_slot, 0, 15},	//174 KIdleTime::catchNextResumeEvent()
    {14, 352, 0, 0, Smoke::mf_slot, 0, 16},	//175 KIdleTime::stopCatchingResumeEvent()
    {14, 318, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//176 KIdleTime::resumingFromIdle()
    {14, 360, 94, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//177 KIdleTime::timeoutReached(int)
    {14, 360, 117, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//178 KIdleTime::timeoutReached(int, int)
    {14, 364, 3, 1, Smoke::mf_static, 158, 20},	//179 KIdleTime::tr(const char*)
    {14, 371, 3, 1, Smoke::mf_static, 158, 21},	//180 KIdleTime::trUtf8(const char*)
    {14, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 22},	//181 KIdleTime::staticMetaObject() const
    {14, 386, 0, 0, Smoke::mf_dtor, 0, 23 },	//182 KIdleTime::~KIdleTime()
    {20, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//183 KPluginSelector::metaObject() const
    {20, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//184 KPluginSelector::qt_metacast(const char*)
    {20, 364, 5, 2, Smoke::mf_static, 158, 3},	//185 KPluginSelector::tr(const char*, const char*)
    {20, 371, 5, 2, Smoke::mf_static, 158, 4},	//186 KPluginSelector::trUtf8(const char*, const char*)
    {20, 364, 8, 3, Smoke::mf_static, 158, 5},	//187 KPluginSelector::tr(const char*, const char*, int)
    {20, 371, 8, 3, Smoke::mf_static, 158, 6},	//188 KPluginSelector::trUtf8(const char*, const char*, int)
    {20, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//189 KPluginSelector::qt_metacall(QMetaObject::Call, int, void**)
    {20, 45, 24, 1, Smoke::mf_ctor, 33, 8},	//190 KPluginSelector::KPluginSelector(QWidget*)
    {20, 136, 120, 4, 0, 0, 9},	//191 KPluginSelector::addPlugins(const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>)
    {20, 136, 125, 4, 0, 0, 10},	//192 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {20, 136, 130, 5, 0, 0, 11},	//193 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {20, 220, 0, 0, 0, 0, 12},	//194 KPluginSelector::load()
    {20, 320, 0, 0, 0, 0, 13},	//195 KPluginSelector::save()
    {20, 174, 0, 0, 0, 0, 14},	//196 KPluginSelector::defaults()
    {20, 207, 0, 0, Smoke::mf_const, 287, 15},	//197 KPluginSelector::isDefault() const
    {20, 375, 0, 0, 0, 0, 16},	//198 KPluginSelector::updatePluginsState()
    {20, 155, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//199 KPluginSelector::changed(bool)
    {20, 165, 64, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//200 KPluginSelector::configCommitted(const QByteArray&)
    {20, 364, 3, 1, Smoke::mf_static, 158, 19},	//201 KPluginSelector::tr(const char*)
    {20, 371, 3, 1, Smoke::mf_static, 158, 20},	//202 KPluginSelector::trUtf8(const char*)
    {20, 45, 0, 0, Smoke::mf_ctor, 33, 21},	//203 KPluginSelector::KPluginSelector()
    {20, 136, 22, 1, 0, 0, 22},	//204 KPluginSelector::addPlugins(const QString&)
    {20, 136, 114, 2, 0, 0, 23},	//205 KPluginSelector::addPlugins(const QString&, const QString&)
    {20, 136, 136, 3, 0, 0, 24},	//206 KPluginSelector::addPlugins(const QString&, const QString&, const QString&)
    {20, 136, 140, 1, 0, 0, 25},	//207 KPluginSelector::addPlugins(const KComponentData&)
    {20, 136, 142, 2, 0, 0, 26},	//208 KPluginSelector::addPlugins(const KComponentData&, const QString&)
    {20, 136, 145, 3, 0, 0, 27},	//209 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&)
    {20, 136, 149, 1, 0, 0, 28},	//210 KPluginSelector::addPlugins(const QList<KPluginInfo>&)
    {20, 136, 151, 2, 0, 0, 29},	//211 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod)
    {20, 136, 154, 3, 0, 0, 30},	//212 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&)
    {20, 136, 158, 4, 0, 0, 31},	//213 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&)
    {20, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 32},	//214 KPluginSelector::staticMetaObject() const
    {20, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 33},	//215 KPluginSelector::ReadConfigFile (enum)
    {20, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 34},	//216 KPluginSelector::IgnoreConfigFile (enum)
    {20, 387, 0, 0, Smoke::mf_dtor, 0, 35 },	//217 KPluginSelector::~KPluginSelector()
    {21, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//218 KPrintPreview::metaObject() const
    {21, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//219 KPrintPreview::qt_metacast(const char*)
    {21, 364, 5, 2, Smoke::mf_static, 158, 3},	//220 KPrintPreview::tr(const char*, const char*)
    {21, 371, 5, 2, Smoke::mf_static, 158, 4},	//221 KPrintPreview::trUtf8(const char*, const char*)
    {21, 364, 8, 3, Smoke::mf_static, 158, 5},	//222 KPrintPreview::tr(const char*, const char*, int)
    {21, 371, 8, 3, Smoke::mf_static, 158, 6},	//223 KPrintPreview::trUtf8(const char*, const char*, int)
    {21, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//224 KPrintPreview::qt_metacall(QMetaObject::Call, int, void**)
    {21, 47, 163, 2, Smoke::mf_ctor, 35, 8},	//225 KPrintPreview::KPrintPreview(QPrinter*, QWidget*)
    {21, 341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//226 KPrintPreview::showEvent(QShowEvent*)
    {21, 364, 3, 1, Smoke::mf_static, 158, 10},	//227 KPrintPreview::tr(const char*)
    {21, 371, 3, 1, Smoke::mf_static, 158, 11},	//228 KPrintPreview::trUtf8(const char*)
    {21, 47, 166, 1, Smoke::mf_ctor, 35, 12},	//229 KPrintPreview::KPrintPreview(QPrinter*)
    {21, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 13},	//230 KPrintPreview::staticMetaObject() const
    {21, 388, 0, 0, Smoke::mf_dtor, 0, 14 },	//231 KPrintPreview::~KPrintPreview()
    {23, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//232 KSettings::Dialog::metaObject() const
    {23, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//233 KSettings::Dialog::qt_metacast(const char*)
    {23, 364, 5, 2, Smoke::mf_static, 158, 3},	//234 KSettings::Dialog::tr(const char*, const char*)
    {23, 371, 5, 2, Smoke::mf_static, 158, 4},	//235 KSettings::Dialog::trUtf8(const char*, const char*)
    {23, 364, 8, 3, Smoke::mf_static, 158, 5},	//236 KSettings::Dialog::tr(const char*, const char*, int)
    {23, 371, 8, 3, Smoke::mf_static, 158, 6},	//237 KSettings::Dialog::trUtf8(const char*, const char*, int)
    {23, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//238 KSettings::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {23, 10, 24, 1, Smoke::mf_ctor, 37, 8},	//239 KSettings::Dialog::Dialog(QWidget*)
    {23, 10, 168, 2, Smoke::mf_ctor, 37, 9},	//240 KSettings::Dialog::Dialog(const QStringList&, QWidget*)
    {23, 134, 149, 1, 0, 0, 10},	//241 KSettings::Dialog::addPluginInfos(const QList<KPluginInfo>&)
    {23, 330, 171, 1, 0, 0, 11},	//242 KSettings::Dialog::setKCMArguments(const QStringList&)
    {23, 328, 171, 1, 0, 0, 12},	//243 KSettings::Dialog::setComponentBlacklist(const QStringList&)
    {23, 323, 40, 1, 0, 0, 13},	//244 KSettings::Dialog::setAllowComponentSelection(bool)
    {23, 151, 0, 0, Smoke::mf_const, 287, 14},	//245 KSettings::Dialog::allowComponentSelection() const
    {23, 297, 0, 0, Smoke::mf_const, 123, 15},	//246 KSettings::Dialog::pluginInfos() const
    {23, 341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//247 KSettings::Dialog::showEvent(QShowEvent*)
    {23, 298, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//248 KSettings::Dialog::pluginSelectionChanged()
    {23, 364, 3, 1, Smoke::mf_static, 158, 18},	//249 KSettings::Dialog::tr(const char*)
    {23, 371, 3, 1, Smoke::mf_static, 158, 19},	//250 KSettings::Dialog::trUtf8(const char*)
    {23, 10, 0, 0, Smoke::mf_ctor, 37, 20},	//251 KSettings::Dialog::Dialog()
    {23, 10, 171, 1, Smoke::mf_ctor, 37, 21},	//252 KSettings::Dialog::Dialog(const QStringList&)
    {23, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 22},	//253 KSettings::Dialog::staticMetaObject() const
    {23, 380, 0, 0, Smoke::mf_dtor, 0, 23 },	//254 KSettings::Dialog::~Dialog()
    {24, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 1},	//255 KSettings::PluginPage::metaObject() const
    {24, 302, 3, 1, Smoke::mf_virtual, 355, 2},	//256 KSettings::PluginPage::qt_metacast(const char*)
    {24, 364, 5, 2, Smoke::mf_static, 158, 3},	//257 KSettings::PluginPage::tr(const char*, const char*)
    {24, 371, 5, 2, Smoke::mf_static, 158, 4},	//258 KSettings::PluginPage::trUtf8(const char*, const char*)
    {24, 364, 8, 3, Smoke::mf_static, 158, 5},	//259 KSettings::PluginPage::tr(const char*, const char*, int)
    {24, 371, 8, 3, Smoke::mf_static, 158, 6},	//260 KSettings::PluginPage::trUtf8(const char*, const char*, int)
    {24, 300, 12, 3, Smoke::mf_virtual, 352, 7},	//261 KSettings::PluginPage::qt_metacall(QMetaObject::Call, int, void**)
    {24, 94, 173, 3, Smoke::mf_ctor, 38, 8},	//262 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*, const QList<QVariant>&)
    {24, 299, 0, 0, 0, 33, 9},	//263 KSettings::PluginPage::pluginSelector()
    {24, 220, 0, 0, Smoke::mf_virtual, 0, 10},	//264 KSettings::PluginPage::load()
    {24, 320, 0, 0, Smoke::mf_virtual, 0, 11},	//265 KSettings::PluginPage::save()
    {24, 174, 0, 0, Smoke::mf_virtual, 0, 12},	//266 KSettings::PluginPage::defaults()
    {24, 364, 3, 1, Smoke::mf_static, 158, 13},	//267 KSettings::PluginPage::tr(const char*)
    {24, 371, 3, 1, Smoke::mf_static, 158, 14},	//268 KSettings::PluginPage::trUtf8(const char*)
    {24, 94, 140, 1, Smoke::mf_ctor, 38, 15},	//269 KSettings::PluginPage::PluginPage(const KComponentData&)
    {24, 94, 177, 2, Smoke::mf_ctor, 38, 16},	//270 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*)
    {24, 351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 17},	//271 KSettings::PluginPage::staticMetaObject() const
    {24, 389, 0, 0, Smoke::mf_dtor, 0, 18 },	//272 KSettings::PluginPage::~PluginPage()
    {39, 340, 40, 1, Smoke::mf_virtual, 0, 0},	//273 QDialog::setVisible(bool)
    {39, 178, 94, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//274 QDialog::done(int)
    {39, 117, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//275 QDialog::accept()
    {39, 307, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//276 QDialog::reject()
    {39, 341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//277 QDialog::showEvent(QShowEvent*)
    {39, 317, 180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//278 QDialog::resizeEvent(QResizeEvent*)
    {39, 168, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//279 QDialog::contextMenuEvent(QContextMenuEvent*)
    {39, 188, 184, 2, Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//280 QDialog::eventFilter(QObject*, QEvent*)
    {47, 239, 187, 2, Smoke::mf_static, 323, 1},	//281 QGlobalSpace::operator*(const QPoint&, double)
    {47, 239, 190, 2, Smoke::mf_static, 325, 2},	//282 QGlobalSpace::operator*(double, const QPointF&)
    {47, 234, 193, 2, Smoke::mf_static, 287, 3},	//283 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {47, 239, 196, 2, Smoke::mf_static, 335, 4},	//284 QGlobalSpace::operator*(double, const QSizeF&)
    {47, 286, 199, 2, Smoke::mf_static, 59, 5},	//285 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {47, 262, 202, 2, Smoke::mf_static, 59, 6},	//286 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {47, 290, 205, 2, Smoke::mf_static, 99, 7},	//287 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {47, 234, 208, 2, Smoke::mf_static, 287, 8},	//288 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {47, 243, 211, 2, Smoke::mf_static, 333, 9},	//289 QGlobalSpace::operator+(const QSize&, const QSize&)
    {47, 262, 214, 2, Smoke::mf_static, 59, 10},	//290 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {47, 239, 217, 2, Smoke::mf_static, 139, 11},	//291 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {47, 262, 220, 2, Smoke::mf_static, 59, 12},	//292 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {47, 290, 223, 2, Smoke::mf_static, 75, 13},	//293 QGlobalSpace::operator|(KLocale::TimeProcessingOptions::enum_type, KLocale::TimeProcessingOptions::enum_type)
    {47, 239, 226, 2, Smoke::mf_static, 118, 14},	//294 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {47, 290, 229, 2, Smoke::mf_static, 89, 15},	//295 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {47, 290, 232, 2, Smoke::mf_static, 113, 16},	//296 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {47, 271, 193, 2, Smoke::mf_static, 287, 17},	//297 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {47, 290, 235, 2, Smoke::mf_static, 113, 18},	//298 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {47, 239, 238, 2, Smoke::mf_static, 335, 19},	//299 QGlobalSpace::operator*(const QSizeF&, double)
    {47, 262, 241, 2, Smoke::mf_static, 59, 20},	//300 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {47, 276, 244, 2, Smoke::mf_static, 287, 21},	//301 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {47, 251, 247, 2, Smoke::mf_static, 335, 22},	//302 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {47, 281, 250, 2, Smoke::mf_static, 287, 23},	//303 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {47, 271, 253, 2, Smoke::mf_static, 287, 24},	//304 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {47, 234, 256, 2, Smoke::mf_static, 287, 25},	//305 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {47, 271, 259, 2, Smoke::mf_static, 287, 26},	//306 QGlobalSpace::operator==(QBool, QBool)
    {47, 271, 262, 2, Smoke::mf_static, 287, 27},	//307 QGlobalSpace::operator==(QString::Null, QString::Null)
    {47, 290, 265, 2, Smoke::mf_static, 70, 28},	//308 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>)
    {47, 286, 268, 2, Smoke::mf_static, 59, 29},	//309 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {47, 196, 3, 1, Smoke::mf_static, 158, 30},	//310 QGlobalSpace::i18n(const char*)
    {47, 290, 271, 2, Smoke::mf_static, 75, 31},	//311 QGlobalSpace::operator|(KLocale::TimeProcessingOptions::enum_type, QFlags<KLocale::TimeProcessingOptions::enum_type>)
    {47, 262, 274, 2, Smoke::mf_static, 59, 32},	//312 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {47, 243, 277, 2, Smoke::mf_static, 338, 33},	//313 QGlobalSpace::operator+(QChar, const QString&)
    {47, 290, 280, 2, Smoke::mf_static, 82, 34},	//314 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {47, 262, 283, 2, Smoke::mf_static, 59, 35},	//315 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {47, 248, 286, 1, Smoke::mf_static, 24, 36},	//316 QGlobalSpace::operator++(KIconLoader::Group&)
    {47, 262, 288, 2, Smoke::mf_static, 59, 37},	//317 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {47, 290, 291, 2, Smoke::mf_static, 113, 38},	//318 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    {47, 290, 294, 2, Smoke::mf_static, 113, 39},	//319 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {47, 290, 297, 2, Smoke::mf_static, 113, 40},	//320 QGlobalSpace::operator|(KEmoticonsTheme::ParseMode::enum_type, int)
    {47, 290, 300, 2, Smoke::mf_static, 91, 41},	//321 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {47, 239, 303, 2, Smoke::mf_static, 143, 42},	//322 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {47, 290, 306, 2, Smoke::mf_static, 69, 43},	//323 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>)
    {47, 243, 247, 2, Smoke::mf_static, 335, 44},	//324 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {47, 262, 309, 2, Smoke::mf_static, 59, 45},	//325 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {47, 290, 312, 2, Smoke::mf_static, 80, 46},	//326 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    {47, 286, 315, 2, Smoke::mf_static, 59, 47},	//327 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {47, 290, 318, 2, Smoke::mf_static, 94, 48},	//328 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {47, 262, 321, 2, Smoke::mf_static, 59, 49},	//329 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {47, 257, 324, 2, Smoke::mf_static, 287, 50},	//330 QGlobalSpace::operator<(const QByteArray&, const char*)
    {47, 368, 5, 2, Smoke::mf_static, 158, 51},	//331 QGlobalSpace::tr2i18n(const char*, const char*)
    {47, 368, 3, 1, Smoke::mf_static, 158, 52},	//332 QGlobalSpace::tr2i18n(const char*)
    {47, 198, 5, 2, Smoke::mf_static, 158, 53},	//333 QGlobalSpace::i18nc(const char*, const char*)
    {47, 290, 327, 2, Smoke::mf_static, 113, 54},	//334 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    {47, 290, 330, 2, Smoke::mf_static, 113, 55},	//335 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {47, 290, 333, 2, Smoke::mf_static, 100, 56},	//336 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {47, 239, 336, 2, Smoke::mf_static, 118, 57},	//337 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {47, 290, 339, 2, Smoke::mf_static, 70, 58},	//338 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type)
    {47, 239, 342, 2, Smoke::mf_static, 120, 59},	//339 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {47, 239, 345, 2, Smoke::mf_static, 133, 60},	//340 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {47, 286, 348, 2, Smoke::mf_static, 59, 61},	//341 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {47, 262, 351, 2, Smoke::mf_static, 59, 62},	//342 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {47, 243, 354, 2, Smoke::mf_static, 338, 63},	//343 QGlobalSpace::operator+(const QString&, const char*)
    {47, 290, 357, 2, Smoke::mf_static, 67, 64},	//344 QGlobalSpace::operator|(KCModule::Buttons::enum_type, KCModule::Buttons::enum_type)
    {47, 262, 360, 2, Smoke::mf_static, 59, 65},	//345 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {47, 290, 363, 2, Smoke::mf_static, 95, 66},	//346 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {47, 286, 366, 2, Smoke::mf_static, 59, 67},	//347 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {47, 290, 369, 2, Smoke::mf_static, 97, 68},	//348 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {47, 243, 372, 2, Smoke::mf_static, 297, 69},	//349 QGlobalSpace::operator+(char, const QByteArray&)
    {47, 255, 187, 2, Smoke::mf_static, 323, 70},	//350 QGlobalSpace::operator/(const QPoint&, double)
    {47, 290, 375, 2, Smoke::mf_static, 91, 71},	//351 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {47, 243, 378, 2, Smoke::mf_static, 338, 72},	//352 QGlobalSpace::operator+(const char*, const QString&)
    {47, 271, 381, 2, Smoke::mf_static, 287, 73},	//353 QGlobalSpace::operator==(const char*, const QByteArray&)
    {47, 290, 384, 2, Smoke::mf_static, 113, 74},	//354 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {47, 286, 387, 2, Smoke::mf_static, 59, 75},	//355 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {47, 286, 390, 2, Smoke::mf_static, 59, 76},	//356 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {47, 286, 393, 2, Smoke::mf_static, 59, 77},	//357 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {47, 271, 396, 2, Smoke::mf_static, 287, 78},	//358 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {47, 255, 399, 2, Smoke::mf_static, 169, 79},	//359 QGlobalSpace::operator/(const QTransform&, double)
    {47, 266, 378, 2, Smoke::mf_static, 287, 80},	//360 QGlobalSpace::operator<=(const char*, const QString&)
    {47, 290, 402, 2, Smoke::mf_static, 113, 81},	//361 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {47, 212, 5, 2, Smoke::mf_static, 30, 82},	//362 QGlobalSpace::ki18nc(const char*, const char*)
    {47, 290, 405, 2, Smoke::mf_static, 93, 83},	//363 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {47, 234, 408, 2, Smoke::mf_static, 287, 84},	//364 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {47, 290, 411, 2, Smoke::mf_static, 95, 85},	//365 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {47, 257, 414, 2, Smoke::mf_static, 287, 86},	//366 QGlobalSpace::operator<(QChar, QChar)
    {47, 290, 417, 2, Smoke::mf_static, 67, 87},	//367 QGlobalSpace::operator|(KCModule::Buttons::enum_type, QFlags<KCModule::Buttons::enum_type>)
    {47, 239, 420, 2, Smoke::mf_static, 133, 88},	//368 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {47, 262, 423, 2, Smoke::mf_static, 59, 89},	//369 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {47, 281, 244, 2, Smoke::mf_static, 287, 90},	//370 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {47, 290, 426, 2, Smoke::mf_static, 74, 91},	//371 QGlobalSpace::operator|(KLocale::TimeFormatOptions::enum_type, QFlags<KLocale::TimeFormatOptions::enum_type>)
    {47, 290, 429, 2, Smoke::mf_static, 85, 92},	//372 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {47, 290, 432, 2, Smoke::mf_static, 113, 93},	//373 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    {47, 286, 435, 2, Smoke::mf_static, 59, 94},	//374 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {47, 290, 438, 2, Smoke::mf_static, 113, 95},	//375 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {47, 239, 441, 2, Smoke::mf_static, 325, 96},	//376 QGlobalSpace::operator*(const QPointF&, double)
    {47, 290, 444, 2, Smoke::mf_static, 113, 97},	//377 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {47, 271, 211, 2, Smoke::mf_static, 287, 98},	//378 QGlobalSpace::operator==(const QSize&, const QSize&)
    {47, 290, 447, 2, Smoke::mf_static, 76, 99},	//379 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    {47, 262, 450, 2, Smoke::mf_static, 59, 100},	//380 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {47, 290, 453, 2, Smoke::mf_static, 113, 101},	//381 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    {47, 271, 244, 2, Smoke::mf_static, 287, 102},	//382 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {47, 290, 456, 2, Smoke::mf_static, 98, 103},	//383 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {47, 234, 250, 2, Smoke::mf_static, 287, 104},	//384 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {47, 286, 459, 2, Smoke::mf_static, 59, 105},	//385 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {47, 255, 238, 2, Smoke::mf_static, 335, 106},	//386 QGlobalSpace::operator/(const QSizeF&, double)
    {47, 290, 462, 2, Smoke::mf_static, 96, 107},	//387 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {47, 286, 465, 2, Smoke::mf_static, 59, 108},	//388 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {47, 239, 468, 2, Smoke::mf_static, 141, 109},	//389 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {47, 276, 414, 2, Smoke::mf_static, 287, 110},	//390 QGlobalSpace::operator>(QChar, QChar)
    {47, 290, 471, 2, Smoke::mf_static, 77, 111},	//391 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    {47, 281, 381, 2, Smoke::mf_static, 287, 112},	//392 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {47, 271, 474, 2, Smoke::mf_static, 287, 113},	//393 QGlobalSpace::operator==(const QString&, QString::Null)
    {47, 257, 250, 2, Smoke::mf_static, 287, 114},	//394 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {47, 286, 477, 2, Smoke::mf_static, 59, 115},	//395 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {47, 251, 480, 1, Smoke::mf_static, 325, 116},	//396 QGlobalSpace::operator-(const QPointF&)
    {47, 262, 482, 2, Smoke::mf_static, 59, 117},	//397 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {47, 243, 485, 2, Smoke::mf_static, 338, 118},	//398 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {47, 239, 488, 2, Smoke::mf_static, 139, 119},	//399 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {47, 243, 491, 2, Smoke::mf_static, 338, 120},	//400 QGlobalSpace::operator+(const QString&, char)
    {47, 281, 408, 2, Smoke::mf_static, 287, 121},	//401 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {47, 271, 256, 2, Smoke::mf_static, 287, 122},	//402 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {47, 290, 494, 2, Smoke::mf_static, 81, 123},	//403 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {47, 262, 497, 2, Smoke::mf_static, 59, 124},	//404 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {47, 290, 500, 2, Smoke::mf_static, 113, 125},	//405 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {47, 290, 503, 2, Smoke::mf_static, 113, 126},	//406 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {47, 214, 506, 3, Smoke::mf_static, 30, 127},	//407 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {47, 262, 510, 2, Smoke::mf_static, 59, 128},	//408 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {47, 286, 513, 2, Smoke::mf_static, 59, 129},	//409 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {47, 290, 516, 2, Smoke::mf_static, 76, 130},	//410 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    {47, 257, 381, 2, Smoke::mf_static, 287, 131},	//411 QGlobalSpace::operator<(const char*, const QByteArray&)
    {47, 290, 519, 2, Smoke::mf_static, 71, 132},	//412 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type)
    {47, 290, 522, 2, Smoke::mf_static, 113, 133},	//413 QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, int)
    {47, 239, 525, 2, Smoke::mf_static, 137, 134},	//414 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {47, 234, 211, 2, Smoke::mf_static, 287, 135},	//415 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {47, 266, 324, 2, Smoke::mf_static, 287, 136},	//416 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {47, 234, 528, 2, Smoke::mf_static, 287, 137},	//417 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {47, 271, 531, 2, Smoke::mf_static, 287, 138},	//418 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {47, 290, 534, 2, Smoke::mf_static, 113, 139},	//419 QGlobalSpace::operator|(KLocale::TimeFormatOptions::enum_type, int)
    {47, 281, 537, 2, Smoke::mf_static, 287, 140},	//420 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {47, 290, 540, 2, Smoke::mf_static, 71, 141},	//421 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>)
    {47, 271, 543, 2, Smoke::mf_static, 287, 142},	//422 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {47, 290, 546, 2, Smoke::mf_static, 113, 143},	//423 QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    {47, 286, 549, 2, Smoke::mf_static, 59, 144},	//424 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {47, 262, 552, 2, Smoke::mf_static, 59, 145},	//425 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {47, 239, 399, 2, Smoke::mf_static, 169, 146},	//426 QGlobalSpace::operator*(const QTransform&, double)
    {47, 257, 408, 2, Smoke::mf_static, 287, 147},	//427 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {47, 290, 555, 2, Smoke::mf_static, 72, 148},	//428 QGlobalSpace::operator|(KEmoticonsTheme::ParseMode::enum_type, KEmoticonsTheme::ParseMode::enum_type)
    {47, 234, 558, 2, Smoke::mf_static, 287, 149},	//429 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {47, 234, 381, 2, Smoke::mf_static, 287, 150},	//430 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {47, 276, 408, 2, Smoke::mf_static, 287, 151},	//431 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {47, 290, 561, 2, Smoke::mf_static, 113, 152},	//432 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {47, 290, 564, 2, Smoke::mf_static, 79, 153},	//433 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    {47, 262, 567, 2, Smoke::mf_static, 59, 154},	//434 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {47, 290, 570, 2, Smoke::mf_static, 81, 155},	//435 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {47, 290, 573, 2, Smoke::mf_static, 113, 156},	//436 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {47, 290, 576, 2, Smoke::mf_static, 89, 157},	//437 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {47, 290, 579, 2, Smoke::mf_static, 84, 158},	//438 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {47, 286, 582, 2, Smoke::mf_static, 59, 159},	//439 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {47, 262, 585, 2, Smoke::mf_static, 59, 160},	//440 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {47, 290, 588, 2, Smoke::mf_static, 101, 161},	//441 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {47, 243, 114, 2, Smoke::mf_static, 338, 162},	//442 QGlobalSpace::operator+(const QString&, const QString&)
    {47, 257, 378, 2, Smoke::mf_static, 287, 163},	//443 QGlobalSpace::operator<(const char*, const QString&)
    {47, 234, 378, 2, Smoke::mf_static, 287, 164},	//444 QGlobalSpace::operator!=(const char*, const QString&)
    {47, 234, 324, 2, Smoke::mf_static, 287, 165},	//445 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {47, 234, 591, 2, Smoke::mf_static, 287, 166},	//446 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {47, 290, 594, 2, Smoke::mf_static, 78, 167},	//447 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    {47, 290, 597, 2, Smoke::mf_static, 98, 168},	//448 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {47, 290, 600, 2, Smoke::mf_static, 101, 169},	//449 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {47, 290, 603, 2, Smoke::mf_static, 113, 170},	//450 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {47, 286, 606, 2, Smoke::mf_static, 59, 171},	//451 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {47, 276, 250, 2, Smoke::mf_static, 287, 172},	//452 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {47, 266, 244, 2, Smoke::mf_static, 287, 173},	//453 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {47, 271, 528, 2, Smoke::mf_static, 287, 174},	//454 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {47, 290, 609, 2, Smoke::mf_static, 99, 175},	//455 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {47, 290, 612, 2, Smoke::mf_static, 113, 176},	//456 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {47, 271, 615, 2, Smoke::mf_static, 287, 177},	//457 QGlobalSpace::operator==(const char*, const QStringRef&)
    {47, 243, 381, 2, Smoke::mf_static, 297, 178},	//458 QGlobalSpace::operator+(const char*, const QByteArray&)
    {47, 286, 618, 2, Smoke::mf_static, 59, 179},	//459 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {47, 290, 621, 2, Smoke::mf_static, 74, 180},	//460 QGlobalSpace::operator|(KLocale::TimeFormatOptions::enum_type, KLocale::TimeFormatOptions::enum_type)
    {47, 266, 408, 2, Smoke::mf_static, 287, 181},	//461 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {47, 286, 624, 2, Smoke::mf_static, 59, 182},	//462 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {47, 286, 627, 2, Smoke::mf_static, 59, 183},	//463 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {47, 271, 414, 2, Smoke::mf_static, 287, 184},	//464 QGlobalSpace::operator==(QChar, QChar)
    {47, 234, 531, 2, Smoke::mf_static, 287, 185},	//465 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {47, 239, 630, 2, Smoke::mf_static, 120, 186},	//466 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {47, 234, 633, 2, Smoke::mf_static, 287, 187},	//467 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {47, 290, 636, 2, Smoke::mf_static, 90, 188},	//468 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {47, 262, 639, 2, Smoke::mf_static, 59, 189},	//469 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {47, 262, 642, 2, Smoke::mf_static, 59, 190},	//470 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {47, 290, 645, 2, Smoke::mf_static, 92, 191},	//471 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {47, 262, 648, 2, Smoke::mf_static, 59, 192},	//472 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {47, 262, 651, 2, Smoke::mf_static, 59, 193},	//473 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {47, 290, 654, 2, Smoke::mf_static, 88, 194},	//474 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {47, 243, 657, 2, Smoke::mf_static, 338, 195},	//475 QGlobalSpace::operator+(char, const QString&)
    {47, 290, 660, 2, Smoke::mf_static, 68, 196},	//476 QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, QFlags<KConfig::OpenFlags::enum_type>)
    {47, 234, 253, 2, Smoke::mf_static, 287, 197},	//477 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {47, 234, 414, 2, Smoke::mf_static, 287, 198},	//478 QGlobalSpace::operator!=(QChar, QChar)
    {47, 271, 537, 2, Smoke::mf_static, 287, 199},	//479 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {47, 290, 663, 2, Smoke::mf_static, 113, 200},	//480 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {47, 290, 666, 2, Smoke::mf_static, 82, 201},	//481 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {47, 290, 669, 2, Smoke::mf_static, 73, 202},	//482 QGlobalSpace::operator|(KLocale::DateTimeFormatOptions::enum_type, QFlags<KLocale::DateTimeFormatOptions::enum_type>)
    {47, 271, 247, 2, Smoke::mf_static, 287, 203},	//483 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {47, 286, 672, 2, Smoke::mf_static, 59, 204},	//484 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {47, 262, 675, 2, Smoke::mf_static, 59, 205},	//485 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {47, 286, 678, 2, Smoke::mf_static, 59, 206},	//486 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {47, 271, 408, 2, Smoke::mf_static, 287, 207},	//487 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {47, 234, 681, 2, Smoke::mf_static, 287, 208},	//488 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {47, 290, 684, 2, Smoke::mf_static, 78, 209},	//489 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    {47, 239, 687, 2, Smoke::mf_static, 333, 210},	//490 QGlobalSpace::operator*(double, const QSize&)
    {47, 281, 324, 2, Smoke::mf_static, 287, 211},	//491 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {47, 239, 690, 2, Smoke::mf_static, 323, 212},	//492 QGlobalSpace::operator*(double, const QPoint&)
    {47, 262, 693, 2, Smoke::mf_static, 59, 213},	//493 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {47, 262, 696, 2, Smoke::mf_static, 59, 214},	//494 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {47, 290, 699, 2, Smoke::mf_static, 77, 215},	//495 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    {47, 243, 702, 2, Smoke::mf_static, 297, 216},	//496 QGlobalSpace::operator+(const QByteArray&, char)
    {47, 255, 441, 2, Smoke::mf_static, 325, 217},	//497 QGlobalSpace::operator/(const QPointF&, double)
    {47, 290, 705, 2, Smoke::mf_static, 113, 218},	//498 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, int)
    {47, 281, 414, 2, Smoke::mf_static, 287, 219},	//499 QGlobalSpace::operator>=(QChar, QChar)
    {47, 290, 708, 2, Smoke::mf_static, 102, 220},	//500 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {47, 266, 250, 2, Smoke::mf_static, 287, 221},	//501 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {47, 290, 711, 2, Smoke::mf_static, 73, 222},	//502 QGlobalSpace::operator|(KLocale::DateTimeFormatOptions::enum_type, KLocale::DateTimeFormatOptions::enum_type)
    {47, 290, 714, 2, Smoke::mf_static, 102, 223},	//503 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {47, 290, 717, 2, Smoke::mf_static, 79, 224},	//504 QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    {47, 290, 720, 2, Smoke::mf_static, 72, 225},	//505 QGlobalSpace::operator|(KEmoticonsTheme::ParseMode::enum_type, QFlags<KEmoticonsTheme::ParseMode::enum_type>)
    {47, 290, 723, 2, Smoke::mf_static, 83, 226},	//506 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    {47, 290, 726, 2, Smoke::mf_static, 83, 227},	//507 QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    {47, 290, 729, 2, Smoke::mf_static, 94, 228},	//508 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {47, 286, 732, 2, Smoke::mf_static, 59, 229},	//509 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {47, 266, 537, 2, Smoke::mf_static, 287, 230},	//510 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {47, 262, 735, 2, Smoke::mf_static, 59, 231},	//511 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {47, 276, 381, 2, Smoke::mf_static, 287, 232},	//512 QGlobalSpace::operator>(const char*, const QByteArray&)
    {47, 286, 738, 2, Smoke::mf_static, 59, 233},	//513 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {47, 290, 741, 2, Smoke::mf_static, 100, 234},	//514 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {47, 262, 744, 2, Smoke::mf_static, 59, 235},	//515 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {47, 271, 681, 2, Smoke::mf_static, 287, 236},	//516 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {47, 234, 747, 2, Smoke::mf_static, 287, 237},	//517 QGlobalSpace::operator!=(bool, QBool)
    {47, 239, 750, 2, Smoke::mf_static, 141, 238},	//518 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {47, 234, 753, 2, Smoke::mf_static, 287, 239},	//519 QGlobalSpace::operator!=(QBool, bool)
    {47, 251, 528, 2, Smoke::mf_static, 323, 240},	//520 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {47, 286, 756, 2, Smoke::mf_static, 59, 241},	//521 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {47, 243, 324, 2, Smoke::mf_static, 297, 242},	//522 QGlobalSpace::operator+(const QByteArray&, const char*)
    {47, 262, 759, 2, Smoke::mf_static, 59, 243},	//523 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {47, 234, 247, 2, Smoke::mf_static, 287, 244},	//524 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {47, 266, 381, 2, Smoke::mf_static, 287, 245},	//525 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {47, 290, 762, 2, Smoke::mf_static, 113, 246},	//526 QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, int)
    {47, 210, 3, 1, Smoke::mf_static, 30, 247},	//527 QGlobalSpace::ki18n(const char*)
    {47, 262, 765, 2, Smoke::mf_static, 59, 248},	//528 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {47, 271, 591, 2, Smoke::mf_static, 287, 249},	//529 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {47, 290, 768, 2, Smoke::mf_static, 113, 250},	//530 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {47, 234, 537, 2, Smoke::mf_static, 287, 251},	//531 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {47, 290, 771, 2, Smoke::mf_static, 113, 252},	//532 QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    {47, 262, 774, 2, Smoke::mf_static, 59, 253},	//533 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {47, 239, 777, 2, Smoke::mf_static, 333, 254},	//534 QGlobalSpace::operator*(const QSize&, double)
    {47, 271, 780, 2, Smoke::mf_static, 287, 255},	//535 QGlobalSpace::operator==(QString::Null, const QString&)
    {47, 290, 783, 2, Smoke::mf_static, 113, 256},	//536 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {47, 286, 786, 2, Smoke::mf_static, 59, 257},	//537 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {47, 271, 324, 2, Smoke::mf_static, 287, 258},	//538 QGlobalSpace::operator==(const QByteArray&, const char*)
    {47, 286, 789, 2, Smoke::mf_static, 59, 259},	//539 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {47, 276, 378, 2, Smoke::mf_static, 287, 260},	//540 QGlobalSpace::operator>(const char*, const QString&)
    {47, 290, 792, 2, Smoke::mf_static, 113, 261},	//541 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {47, 262, 795, 2, Smoke::mf_static, 59, 262},	//542 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {47, 286, 798, 2, Smoke::mf_static, 59, 263},	//543 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {47, 276, 324, 2, Smoke::mf_static, 287, 264},	//544 QGlobalSpace::operator>(const QByteArray&, const char*)
    {47, 257, 244, 2, Smoke::mf_static, 287, 265},	//545 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {47, 290, 801, 2, Smoke::mf_static, 113, 266},	//546 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {47, 243, 528, 2, Smoke::mf_static, 323, 267},	//547 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {47, 290, 804, 2, Smoke::mf_static, 68, 268},	//548 QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, KConfig::OpenFlags::enum_type)
    {47, 266, 414, 2, Smoke::mf_static, 287, 269},	//549 QGlobalSpace::operator<=(QChar, QChar)
    {47, 290, 807, 2, Smoke::mf_static, 80, 270},	//550 QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    {47, 239, 810, 2, Smoke::mf_static, 149, 271},	//551 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {47, 234, 780, 2, Smoke::mf_static, 287, 272},	//552 QGlobalSpace::operator!=(QString::Null, const QString&)
    {47, 276, 537, 2, Smoke::mf_static, 287, 273},	//553 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {47, 290, 813, 2, Smoke::mf_static, 85, 274},	//554 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {47, 234, 474, 2, Smoke::mf_static, 287, 275},	//555 QGlobalSpace::operator!=(const QString&, QString::Null)
    {47, 290, 816, 2, Smoke::mf_static, 113, 276},	//556 QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, int)
    {47, 239, 819, 2, Smoke::mf_static, 143, 277},	//557 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {47, 251, 822, 1, Smoke::mf_static, 323, 278},	//558 QGlobalSpace::operator-(const QPoint&)
    {47, 286, 824, 2, Smoke::mf_static, 59, 279},	//559 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {47, 290, 827, 2, Smoke::mf_static, 97, 280},	//560 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {47, 286, 830, 2, Smoke::mf_static, 59, 281},	//561 QGlobalSpace::operator>>(QDataStream&, QString&)
    {47, 271, 250, 2, Smoke::mf_static, 287, 282},	//562 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {47, 262, 833, 2, Smoke::mf_static, 59, 283},	//563 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {47, 290, 836, 2, Smoke::mf_static, 69, 284},	//564 QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type)
    {47, 251, 396, 2, Smoke::mf_static, 325, 285},	//565 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {47, 290, 839, 2, Smoke::mf_static, 93, 286},	//566 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {47, 257, 537, 2, Smoke::mf_static, 287, 287},	//567 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {47, 286, 842, 2, Smoke::mf_static, 59, 288},	//568 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {47, 243, 399, 2, Smoke::mf_static, 169, 289},	//569 QGlobalSpace::operator+(const QTransform&, double)
    {47, 290, 845, 2, Smoke::mf_static, 86, 290},	//570 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    {47, 271, 558, 2, Smoke::mf_static, 287, 291},	//571 QGlobalSpace::operator==(const QStringRef&, const char*)
    {47, 234, 615, 2, Smoke::mf_static, 287, 292},	//572 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {47, 286, 848, 2, Smoke::mf_static, 59, 293},	//573 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {47, 243, 250, 2, Smoke::mf_static, 297, 294},	//574 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {47, 243, 851, 2, Smoke::mf_static, 338, 295},	//575 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {47, 290, 854, 2, Smoke::mf_static, 113, 296},	//576 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    {47, 286, 857, 2, Smoke::mf_static, 59, 297},	//577 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {47, 271, 378, 2, Smoke::mf_static, 287, 298},	//578 QGlobalSpace::operator==(const char*, const QString&)
    {47, 262, 860, 2, Smoke::mf_static, 59, 299},	//579 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {47, 262, 863, 2, Smoke::mf_static, 59, 300},	//580 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {47, 290, 866, 2, Smoke::mf_static, 113, 301},	//581 QGlobalSpace::operator|(KCModule::Buttons::enum_type, int)
    {47, 255, 777, 2, Smoke::mf_static, 333, 302},	//582 QGlobalSpace::operator/(const QSize&, double)
    {47, 286, 869, 2, Smoke::mf_static, 59, 303},	//583 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {47, 286, 872, 2, Smoke::mf_static, 59, 304},	//584 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {47, 271, 747, 2, Smoke::mf_static, 287, 305},	//585 QGlobalSpace::operator==(bool, QBool)
    {47, 290, 875, 2, Smoke::mf_static, 87, 306},	//586 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {47, 239, 878, 2, Smoke::mf_static, 137, 307},	//587 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {47, 281, 378, 2, Smoke::mf_static, 287, 308},	//588 QGlobalSpace::operator>=(const char*, const QString&)
    {47, 262, 881, 2, Smoke::mf_static, 59, 309},	//589 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {47, 290, 884, 2, Smoke::mf_static, 86, 310},	//590 QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    {47, 290, 887, 2, Smoke::mf_static, 113, 311},	//591 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {47, 216, 5, 2, Smoke::mf_static, 30, 312},	//592 QGlobalSpace::ki18np(const char*, const char*)
    {47, 286, 890, 2, Smoke::mf_static, 59, 313},	//593 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {47, 234, 396, 2, Smoke::mf_static, 287, 314},	//594 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {47, 290, 893, 2, Smoke::mf_static, 88, 315},	//595 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {47, 290, 896, 2, Smoke::mf_static, 113, 316},	//596 QGlobalSpace::operator|(KLocale::TimeProcessingOptions::enum_type, int)
    {47, 251, 211, 2, Smoke::mf_static, 333, 317},	//597 QGlobalSpace::operator-(const QSize&, const QSize&)
    {47, 290, 899, 2, Smoke::mf_static, 113, 318},	//598 QGlobalSpace::operator|(KLocale::DateTimeFormatOptions::enum_type, int)
    {47, 290, 902, 2, Smoke::mf_static, 92, 319},	//599 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {47, 234, 244, 2, Smoke::mf_static, 287, 320},	//600 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {47, 243, 396, 2, Smoke::mf_static, 325, 321},	//601 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {47, 239, 905, 2, Smoke::mf_static, 149, 322},	//602 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {47, 271, 753, 2, Smoke::mf_static, 287, 323},	//603 QGlobalSpace::operator==(QBool, bool)
    {47, 271, 208, 2, Smoke::mf_static, 287, 324},	//604 QGlobalSpace::operator==(const QRect&, const QRect&)
    {47, 290, 908, 2, Smoke::mf_static, 90, 325},	//605 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {47, 290, 911, 2, Smoke::mf_static, 84, 326},	//606 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {47, 286, 914, 2, Smoke::mf_static, 59, 327},	//607 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {47, 243, 917, 2, Smoke::mf_static, 338, 328},	//608 QGlobalSpace::operator+(const QString&, QChar)
    {47, 234, 262, 2, Smoke::mf_static, 287, 329},	//609 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {47, 234, 259, 2, Smoke::mf_static, 287, 330},	//610 QGlobalSpace::operator!=(QBool, QBool)
    {47, 290, 920, 2, Smoke::mf_static, 87, 331},	//611 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {47, 290, 923, 2, Smoke::mf_static, 96, 332},	//612 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {47, 271, 633, 2, Smoke::mf_static, 287, 333},	//613 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {47, 251, 399, 2, Smoke::mf_static, 169, 334},	//614 QGlobalSpace::operator-(const QTransform&, double)
    {47, 248, 926, 2, Smoke::mf_static, 23, 335},	//615 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {47, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 336},	//616 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {47, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 337},	//617 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {47, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 338},	//618 QGlobalSpace::Q_STATIC_TYPE (enum)
    {47, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 339},	//619 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {47, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 340},	//620 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {47, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 341},	//621 QGlobalSpace::LicensedGui (enum)
    {47, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 342},	//622 QGlobalSpace::LicensedXml (enum)
    {47, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 343},	//623 QGlobalSpace::LicensedQt3SupportLight (enum)
    {47, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 344},	//624 QGlobalSpace::KST_KSycocaEntry (enum)
    {47, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 345},	//625 QGlobalSpace::KST_KService (enum)
    {47, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 346},	//626 QGlobalSpace::KST_KServiceType (enum)
    {47, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 347},	//627 QGlobalSpace::KST_KMimeType (enum)
    {47, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 348},	//628 QGlobalSpace::KST_KFolderMimeType (enum)
    {47, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 349},	//629 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {47, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 350},	//630 QGlobalSpace::KST_KServiceGroup (enum)
    {47, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 351},	//631 QGlobalSpace::KST_KImageIOFormat (enum)
    {47, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 352},	//632 QGlobalSpace::KST_KProtocolInfo (enum)
    {47, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 353},	//633 QGlobalSpace::KST_KServiceSeparator (enum)
    {47, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 354},	//634 QGlobalSpace::KST_KCustom (enum)
    {47, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 355},	//635 QGlobalSpace::LicensedScript (enum)
    {47, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 356},	//636 QGlobalSpace::LicensedOpenVG (enum)
    {47, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 357},	//637 QGlobalSpace::LicensedDBus (enum)
    {47, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 358},	//638 QGlobalSpace::LicensedTest (enum)
    {47, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 359},	//639 QGlobalSpace::LicensedActiveQt (enum)
    {47, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 360},	//640 QGlobalSpace::LicensedScriptTools (enum)
    {47, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 282, 361},	//641 QGlobalSpace::LicensedSvg (enum)
    {47, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 362},	//642 QGlobalSpace::LicensedDeclarative (enum)
    {47, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 363},	//643 QGlobalSpace::LicensedSql (enum)
    {47, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 364},	//644 QGlobalSpace::LicensedOpenGL (enum)
    {47, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 365},	//645 QGlobalSpace::LicensedCore (enum)
    {47, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 366},	//646 QGlobalSpace::QtDebugMsg (enum)
    {47, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 367},	//647 QGlobalSpace::QtWarningMsg (enum)
    {47, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 368},	//648 QGlobalSpace::QtCriticalMsg (enum)
    {47, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 369},	//649 QGlobalSpace::QtFatalMsg (enum)
    {47, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 370},	//650 QGlobalSpace::QtSystemMsg (enum)
    {47, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 371},	//651 QGlobalSpace::LicensedHelp (enum)
    {47, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 372},	//652 QGlobalSpace::LicensedMultimedia (enum)
    {47, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 373},	//653 QGlobalSpace::LicensedQt3Support (enum)
    {47, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 374},	//654 QGlobalSpace::KST_KServiceFactory (enum)
    {47, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 375},	//655 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {47, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 376},	//656 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {47, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 377},	//657 QGlobalSpace::KST_KImageIO (enum)
    {47, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 378},	//658 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {47, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 379},	//659 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {47, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 380},	//660 QGlobalSpace::KST_CTimeInfo (enum)
    {47, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 285, 381},	//661 QGlobalSpace::LicensedXmlPatterns (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 382},	//662 QGlobalSpace::LicensedNetwork (enum)
    {64, 187, 929, 1, Smoke::mf_virtual, 287, 0},	//663 QObject::event(QEvent*)
    {64, 188, 184, 2, Smoke::mf_virtual, 287, 0},	//664 QObject::eventFilter(QObject*, QEvent*)
    {64, 363, 931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QObject::timerEvent(QTimerEvent*)
    {64, 160, 933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//666 QObject::childEvent(QChildEvent*)
    {64, 171, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//667 QObject::customEvent(QEvent*)
    {64, 167, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//668 QObject::connectNotify(const char*)
    {64, 177, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//669 QObject::disconnectNotify(const char*)
    {95, 176, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 352, 0},	//670 QWidget::devType() const
    {95, 340, 40, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//671 QWidget::setVisible(bool)
    {95, 344, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 153, 0},	//672 QWidget::sizeHint() const
    {95, 225, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 153, 0},	//673 QWidget::minimumSizeHint() const
    {95, 194, 94, 1, Smoke::mf_const|Smoke::mf_virtual, 352, 0},	//674 QWidget::heightForWidth(int) const
    {95, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 131, 0},	//675 QWidget::paintEngine() const
    {95, 187, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//676 QWidget::event(QEvent*)
    {95, 229, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QWidget::mousePressEvent(QMouseEvent*)
    {95, 230, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QWidget::mouseReleaseEvent(QMouseEvent*)
    {95, 227, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {95, 228, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QWidget::mouseMoveEvent(QMouseEvent*)
    {95, 377, 937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QWidget::wheelEvent(QWheelEvent*)
    {95, 208, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QWidget::keyPressEvent(QKeyEvent*)
    {95, 209, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QWidget::keyReleaseEvent(QKeyEvent*)
    {95, 190, 939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QWidget::focusInEvent(QFocusEvent*)
    {95, 192, 939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QWidget::focusOutEvent(QFocusEvent*)
    {95, 186, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QWidget::enterEvent(QEvent*)
    {95, 219, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QWidget::leaveEvent(QEvent*)
    {95, 294, 941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QWidget::paintEvent(QPaintEvent*)
    {95, 231, 943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//689 QWidget::moveEvent(QMoveEvent*)
    {95, 317, 180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::resizeEvent(QResizeEvent*)
    {95, 163, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::closeEvent(QCloseEvent*)
    {95, 168, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::contextMenuEvent(QContextMenuEvent*)
    {95, 354, 945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::tabletEvent(QTabletEvent*)
    {95, 118, 947, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::actionEvent(QActionEvent*)
    {95, 179, 949, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::dragEnterEvent(QDragEnterEvent*)
    {95, 181, 951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::dragMoveEvent(QDragMoveEvent*)
    {95, 180, 953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {95, 182, 955, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::dropEvent(QDropEvent*)
    {95, 341, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//699 QWidget::showEvent(QShowEvent*)
    {95, 195, 88, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//700 QWidget::hideEvent(QHideEvent*)
    {95, 379, 957, 1, Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//701 QWidget::x11Event(_XEvent*)
    {95, 154, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//702 QWidget::changeEvent(QEvent*)
    {95, 224, 959, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 352, 0},	//703 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {95, 202, 961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//704 QWidget::inputMethodEvent(QInputMethodEvent*)
    {95, 203, 963, 1, Smoke::mf_const|Smoke::mf_virtual, 173, 0},	//705 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {95, 191, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//706 QWidget::focusNextPrevChild(bool)
    {95, 353, 965, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//707 QWidget::styleChange(QStyle&)
    {95, 185, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//708 QWidget::enabledChange(bool)
    {95, 295, 967, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//709 QWidget::paletteChange(const QPalette&)
    {95, 193, 969, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//710 QWidget::fontChange(const QFont&)
    {95, 378, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//711 QWidget::windowActivationChange(bool)
    {95, 218, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//712 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    283,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    288,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    305,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    364,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    384,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    415,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    417,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    467,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    477,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    478,  // QGlobalSpace::operator!=(QChar, QChar)
    488,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    524,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    531,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    594,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    609,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    610,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    429,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    445,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    465,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    519,  // QGlobalSpace::operator!=(QBool, bool)
    552,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    430,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    446,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    517,  // QGlobalSpace::operator!=(bool, QBool)
    555,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    572,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    600,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    291,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    294,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    322,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    337,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    339,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    340,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    368,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    389,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    399,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    414,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    466,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    518,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    551,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    557,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    587,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    602,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    281,  // QGlobalSpace::operator*(const QPoint&, double)
    299,  // QGlobalSpace::operator*(const QSizeF&, double)
    376,  // QGlobalSpace::operator*(const QPointF&, double)
    426,  // QGlobalSpace::operator*(const QTransform&, double)
    534,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    282,  // QGlobalSpace::operator*(double, const QPointF&)
    284,  // QGlobalSpace::operator*(double, const QSizeF&)
    490,  // QGlobalSpace::operator*(double, const QSize&)
    492,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    289,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    324,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    547,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    574,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    601,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    313,  // QGlobalSpace::operator+(QChar, const QString&)
    398,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    496,  // QGlobalSpace::operator+(const QByteArray&, char)
    522,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    569,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    349,  // QGlobalSpace::operator+(char, const QByteArray&)
    458,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    575,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    608,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    343,  // QGlobalSpace::operator+(const QString&, const char*)
    352,  // QGlobalSpace::operator+(const char*, const QString&)
    400,  // QGlobalSpace::operator+(const QString&, char)
    442,  // QGlobalSpace::operator+(const QString&, const QString&)
    475,  // QGlobalSpace::operator+(char, const QString&)
    0,
    396,  // QGlobalSpace::operator-(const QPointF&)
    558,  // QGlobalSpace::operator-(const QPoint&)
    0,
    302,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    520,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    565,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    597,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    350,  // QGlobalSpace::operator/(const QPoint&, double)
    359,  // QGlobalSpace::operator/(const QTransform&, double)
    386,  // QGlobalSpace::operator/(const QSizeF&, double)
    497,  // QGlobalSpace::operator/(const QPointF&, double)
    582,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    366,  // QGlobalSpace::operator<(QChar, QChar)
    394,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    427,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    567,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    411,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    545,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    286,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    290,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    292,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    300,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    315,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    317,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    329,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    342,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    345,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    369,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    380,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    397,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    404,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    408,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    425,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    434,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    440,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    469,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    470,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    472,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    473,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    485,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    493,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    515,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    523,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    528,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    533,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    542,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    579,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    589,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    563,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    580,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    461,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    501,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    510,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    549,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    453,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    525,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    297,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    304,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    306,  // QGlobalSpace::operator==(QBool, QBool)
    307,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    358,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    378,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    402,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    422,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    454,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    464,  // QGlobalSpace::operator==(QChar, QChar)
    479,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    483,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    487,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    516,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    562,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    604,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    613,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    418,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    535,  // QGlobalSpace::operator==(QString::Null, const QString&)
    538,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    571,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    603,  // QGlobalSpace::operator==(QBool, bool)
    0,
    353,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    382,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    393,  // QGlobalSpace::operator==(const QString&, QString::Null)
    457,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    529,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    585,  // QGlobalSpace::operator==(bool, QBool)
    0,
    390,  // QGlobalSpace::operator>(QChar, QChar)
    431,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    452,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    553,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    301,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    512,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    303,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    401,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    420,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    499,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    370,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    392,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    285,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    309,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    327,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    341,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    347,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    355,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    356,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    357,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    374,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    385,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    439,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    451,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    459,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    486,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    509,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    513,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    537,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    539,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    543,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    559,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    568,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    573,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    577,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    583,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    584,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    593,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    607,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    463,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    561,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    296,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    298,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    318,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, int)
    319,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    320,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseMode::enum_type, int)
    334,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, int)
    335,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    354,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    361,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    373,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, int)
    375,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    377,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    381,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, int)
    405,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    406,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    413,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, int)
    419,  // QGlobalSpace::operator|(KLocale::TimeFormatOptions::enum_type, int)
    423,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, int)
    432,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    436,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    450,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    456,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    480,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    498,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, int)
    526,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, int)
    530,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    532,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, int)
    536,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    541,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    546,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    556,  // QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, int)
    576,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, int)
    581,  // QGlobalSpace::operator|(KCModule::Buttons::enum_type, int)
    591,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    596,  // QGlobalSpace::operator|(KLocale::TimeProcessingOptions::enum_type, int)
    598,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOptions::enum_type, int)
    0,
    287,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    293,  // QGlobalSpace::operator|(KLocale::TimeProcessingOptions::enum_type, KLocale::TimeProcessingOptions::enum_type)
    295,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    308,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, QFlags<KDialog::ButtonCodes::enum_type>)
    311,  // QGlobalSpace::operator|(KLocale::TimeProcessingOptions::enum_type, QFlags<KLocale::TimeProcessingOptions::enum_type>)
    314,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    321,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    323,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, QFlags<KConfigBase::WriteConfigFlags::enum_type>)
    326,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, QFlags<KUrl::QueryItemsOptions::enum_type>)
    328,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    336,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    338,  // QGlobalSpace::operator|(KDialog::ButtonCodes::enum_type, KDialog::ButtonCodes::enum_type)
    344,  // QGlobalSpace::operator|(KCModule::Buttons::enum_type, KCModule::Buttons::enum_type)
    346,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    348,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    351,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    363,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    365,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    367,  // QGlobalSpace::operator|(KCModule::Buttons::enum_type, QFlags<KCModule::Buttons::enum_type>)
    371,  // QGlobalSpace::operator|(KLocale::TimeFormatOptions::enum_type, QFlags<KLocale::TimeFormatOptions::enum_type>)
    372,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    379,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, QFlags<KUrl::CleanPathOptions::enum_type>)
    383,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    387,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    391,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, QFlags<KUrl::DirectoryOptions::enum_type>)
    403,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    410,  // QGlobalSpace::operator|(KUrl::CleanPathOptions::enum_type, KUrl::CleanPathOptions::enum_type)
    412,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, KDialog::CaptionFlags::enum_type)
    421,  // QGlobalSpace::operator|(KDialog::CaptionFlags::enum_type, QFlags<KDialog::CaptionFlags::enum_type>)
    428,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseMode::enum_type, KEmoticonsTheme::ParseMode::enum_type)
    433,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, QFlags<KUrl::EqualsOptions::enum_type>)
    435,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    437,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    438,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    441,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    447,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, QFlags<KUrl::EncodedPathAndQueryOptions::enum_type>)
    448,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    449,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    455,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    460,  // QGlobalSpace::operator|(KLocale::TimeFormatOptions::enum_type, KLocale::TimeFormatOptions::enum_type)
    468,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    471,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    474,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    476,  // QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, QFlags<KConfig::OpenFlags::enum_type>)
    481,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    482,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOptions::enum_type, QFlags<KLocale::DateTimeFormatOptions::enum_type>)
    489,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOptions::enum_type, KUrl::EncodedPathAndQueryOptions::enum_type)
    495,  // QGlobalSpace::operator|(KUrl::DirectoryOptions::enum_type, KUrl::DirectoryOptions::enum_type)
    500,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    502,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOptions::enum_type, KLocale::DateTimeFormatOptions::enum_type)
    503,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    504,  // QGlobalSpace::operator|(KUrl::EqualsOptions::enum_type, KUrl::EqualsOptions::enum_type)
    505,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseMode::enum_type, QFlags<KEmoticonsTheme::ParseMode::enum_type>)
    506,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QSizePolicy::ControlTypes::enum_type)
    507,  // QGlobalSpace::operator|(QSizePolicy::ControlTypes::enum_type, QFlags<QSizePolicy::ControlTypes::enum_type>)
    508,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    514,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    548,  // QGlobalSpace::operator|(KConfig::OpenFlags::enum_type, KConfig::OpenFlags::enum_type)
    550,  // QGlobalSpace::operator|(KUrl::QueryItemsOptions::enum_type, KUrl::QueryItemsOptions::enum_type)
    554,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    560,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    564,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlags::enum_type, KConfigBase::WriteConfigFlags::enum_type)
    566,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    570,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QFlags<QWidget::RenderFlags::enum_type>)
    586,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    590,  // QGlobalSpace::operator|(QWidget::RenderFlags::enum_type, QWidget::RenderFlags::enum_type)
    595,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    599,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    605,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    606,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    611,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    612,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {3, 23, 19},	// KCModuleContainer::KCModuleContainer#
    {3, 24, 12},	// KCModuleContainer::KCModuleContainer#$
    {3, 25, 11},	// KCModuleContainer::KCModuleContainer#?
    {3, 132, 13},	// KCModuleContainer::addModule$
    {3, 150, 23},	// KCModuleContainer::allModules
    {3, 158, 21},	// KCModuleContainer::changedModules
    {3, 174, 16},	// KCModuleContainer::defaults
    {3, 220, 15},	// KCModuleContainer::load
    {3, 223, 4},	// KCModuleContainer::metaObject
    {3, 301, 10},	// KCModuleContainer::qt_metacall$$?
    {3, 303, 5},	// KCModuleContainer::qt_metacast$
    {3, 320, 14},	// KCModuleContainer::save
    {3, 322, 24},	// KCModuleContainer::setAllModules?
    {3, 327, 22},	// KCModuleContainer::setChangedModules?
    {3, 351, 20},	// KCModuleContainer::staticMetaObject
    {3, 365, 17},	// KCModuleContainer::tr$
    {3, 366, 6},	// KCModuleContainer::tr$$
    {3, 367, 8},	// KCModuleContainer::tr$$$
    {3, 372, 18},	// KCModuleContainer::trUtf8$
    {3, 373, 7},	// KCModuleContainer::trUtf8$$
    {3, 374, 9},	// KCModuleContainer::trUtf8$$$
    {3, 381, 25},	// KCModuleContainer::~KCModuleContainer
    {5, 27, 59},	// KCModuleProxy::KCModuleProxy#
    {5, 28, 60},	// KCModuleProxy::KCModuleProxy##
    {5, 29, 33},	// KCModuleProxy::KCModuleProxy##?
    {5, 30, 61},	// KCModuleProxy::KCModuleProxy$
    {5, 31, 62},	// KCModuleProxy::KCModuleProxy$#
    {5, 32, 34},	// KCModuleProxy::KCModuleProxy$#?
    {5, 33, 63},	// KCModuleProxy::KCModuleProxy?
    {5, 34, 64},	// KCModuleProxy::KCModuleProxy?#
    {5, 35, 35},	// KCModuleProxy::KCModuleProxy?#?
    {5, 116, 39},	// KCModuleProxy::aboutData
    {5, 152, 40},	// KCModuleProxy::buttons
    {5, 155, 44},	// KCModuleProxy::changed
    {5, 156, 53},	// KCModuleProxy::changed#
    {5, 157, 52},	// KCModuleProxy::changed$
    {5, 159, 54},	// KCModuleProxy::childClosed
    {5, 164, 43},	// KCModuleProxy::componentData
    {5, 172, 48},	// KCModuleProxy::dbusPath
    {5, 173, 47},	// KCModuleProxy::dbusService
    {5, 174, 50},	// KCModuleProxy::defaults
    {5, 175, 51},	// KCModuleProxy::deleteClient
    {5, 220, 36},	// KCModuleProxy::load
    {5, 223, 26},	// KCModuleProxy::metaObject
    {5, 225, 49},	// KCModuleProxy::minimumSizeHint
    {5, 226, 46},	// KCModuleProxy::moduleInfo
    {5, 301, 32},	// KCModuleProxy::qt_metacall$$?
    {5, 303, 27},	// KCModuleProxy::qt_metacast$
    {5, 304, 38},	// KCModuleProxy::quickHelp
    {5, 305, 55},	// KCModuleProxy::quickHelpChanged
    {5, 306, 45},	// KCModuleProxy::realModule
    {5, 319, 41},	// KCModuleProxy::rootOnlyMessage
    {5, 320, 37},	// KCModuleProxy::save
    {5, 342, 56},	// KCModuleProxy::showEvent#
    {5, 351, 65},	// KCModuleProxy::staticMetaObject
    {5, 365, 57},	// KCModuleProxy::tr$
    {5, 366, 28},	// KCModuleProxy::tr$$
    {5, 367, 30},	// KCModuleProxy::tr$$$
    {5, 372, 58},	// KCModuleProxy::trUtf8$
    {5, 373, 29},	// KCModuleProxy::trUtf8$$
    {5, 374, 31},	// KCModuleProxy::trUtf8$$$
    {5, 376, 42},	// KCModuleProxy::useRootOnlyMessage
    {5, 382, 66},	// KCModuleProxy::~KCModuleProxy
    {6, 36, 89},	// KCMultiDialog::KCMultiDialog
    {6, 37, 74},	// KCMultiDialog::KCMultiDialog#
    {6, 38, 93},	// KCMultiDialog::KCMultiDialog##
    {6, 39, 94},	// KCMultiDialog::KCMultiDialog###
    {6, 40, 81},	// KCMultiDialog::KCMultiDialog###?
    {6, 41, 80},	// KCMultiDialog::KCMultiDialog##?
    {6, 129, 91},	// KCMultiDialog::addModule#
    {6, 130, 92},	// KCMultiDialog::addModule##
    {6, 131, 76},	// KCMultiDialog::addModule##?
    {6, 132, 90},	// KCMultiDialog::addModule$
    {6, 133, 75},	// KCMultiDialog::addModule$?
    {6, 161, 77},	// KCMultiDialog::clear
    {6, 165, 78},	// KCMultiDialog::configCommitted
    {6, 166, 79},	// KCMultiDialog::configCommitted#
    {6, 223, 67},	// KCMultiDialog::metaObject
    {6, 301, 73},	// KCMultiDialog::qt_metacall$$?
    {6, 303, 68},	// KCMultiDialog::qt_metacast$
    {6, 345, 84},	// KCMultiDialog::slotApplyClicked
    {6, 347, 82},	// KCMultiDialog::slotDefaultClicked
    {6, 348, 86},	// KCMultiDialog::slotHelpClicked
    {6, 349, 85},	// KCMultiDialog::slotOkClicked
    {6, 350, 83},	// KCMultiDialog::slotUser1Clicked
    {6, 351, 95},	// KCMultiDialog::staticMetaObject
    {6, 365, 87},	// KCMultiDialog::tr$
    {6, 366, 69},	// KCMultiDialog::tr$$
    {6, 367, 71},	// KCMultiDialog::tr$$$
    {6, 372, 88},	// KCMultiDialog::trUtf8$
    {6, 373, 70},	// KCMultiDialog::trUtf8$$
    {6, 374, 72},	// KCMultiDialog::trUtf8$$$
    {6, 383, 96},	// KCMultiDialog::~KCMultiDialog
    {11, 42, 113},	// KEmoticons::KEmoticons
    {11, 170, 116},	// KEmoticons::currentThemeName
    {11, 205, 121},	// KEmoticons::installTheme$
    {11, 223, 106},	// KEmoticons::metaObject
    {11, 233, 120},	// KEmoticons::newTheme$?
    {11, 296, 123},	// KEmoticons::parseMode
    {11, 301, 112},	// KEmoticons::qt_metacall$$?
    {11, 303, 107},	// KEmoticons::qt_metacast$
    {11, 333, 122},	// KEmoticons::setParseMode$
    {11, 336, 118},	// KEmoticons::setTheme#
    {11, 337, 119},	// KEmoticons::setTheme$
    {11, 351, 126},	// KEmoticons::staticMetaObject
    {11, 355, 114},	// KEmoticons::theme
    {11, 356, 115},	// KEmoticons::theme$
    {11, 357, 117},	// KEmoticons::themeList
    {11, 365, 124},	// KEmoticons::tr$
    {11, 366, 108},	// KEmoticons::tr$$
    {11, 367, 110},	// KEmoticons::tr$$$
    {11, 372, 125},	// KEmoticons::trUtf8$
    {11, 373, 109},	// KEmoticons::trUtf8$$
    {11, 374, 111},	// KEmoticons::trUtf8$$$
    {11, 384, 127},	// KEmoticons::~KEmoticons
    {12, 6, 158},	// KEmoticonsProvider::Copy
    {12, 14, 157},	// KEmoticonsProvider::DoNotCopy
    {12, 43, 154},	// KEmoticonsProvider::KEmoticonsProvider
    {12, 44, 135},	// KEmoticonsProvider::KEmoticonsProvider#
    {12, 120, 155},	// KEmoticonsProvider::addEmoticon$$
    {12, 121, 138},	// KEmoticonsProvider::addEmoticon$$$
    {12, 123, 150},	// KEmoticonsProvider::addEmoticonIndex$?
    {12, 125, 148},	// KEmoticonsProvider::addEmoticonsMap$?
    {12, 162, 147},	// KEmoticonsProvider::clearEmoticonsMap
    {12, 169, 146},	// KEmoticonsProvider::createNew
    {12, 183, 145},	// KEmoticonsProvider::emoticonsIndex
    {12, 184, 144},	// KEmoticonsProvider::emoticonsMap
    {12, 189, 143},	// KEmoticonsProvider::fileName
    {12, 222, 136},	// KEmoticonsProvider::loadTheme$
    {12, 223, 128},	// KEmoticonsProvider::metaObject
    {12, 301, 134},	// KEmoticonsProvider::qt_metacall$$?
    {12, 303, 129},	// KEmoticonsProvider::qt_metacast$
    {12, 310, 137},	// KEmoticonsProvider::removeEmoticon$
    {12, 312, 151},	// KEmoticonsProvider::removeEmoticonIndex$?
    {12, 314, 149},	// KEmoticonsProvider::removeEmoticonsMap$
    {12, 320, 139},	// KEmoticonsProvider::save
    {12, 339, 141},	// KEmoticonsProvider::setThemeName$
    {12, 351, 156},	// KEmoticonsProvider::staticMetaObject
    {12, 358, 140},	// KEmoticonsProvider::themeName
    {12, 359, 142},	// KEmoticonsProvider::themePath
    {12, 365, 152},	// KEmoticonsProvider::tr$
    {12, 366, 130},	// KEmoticonsProvider::tr$$
    {12, 367, 132},	// KEmoticonsProvider::tr$$$
    {12, 372, 153},	// KEmoticonsProvider::trUtf8$
    {12, 373, 131},	// KEmoticonsProvider::trUtf8$$
    {12, 374, 133},	// KEmoticonsProvider::trUtf8$$$
    {12, 385, 159},	// KEmoticonsProvider::~KEmoticonsProvider
    {14, 127, 171},	// KIdleTime::addIdleTimeout$
    {14, 153, 174},	// KIdleTime::catchNextResumeEvent
    {14, 200, 168},	// KIdleTime::idleTime
    {14, 201, 169},	// KIdleTime::idleTimeouts
    {14, 206, 167},	// KIdleTime::instance
    {14, 223, 160},	// KIdleTime::metaObject
    {14, 301, 166},	// KIdleTime::qt_metacall$$?
    {14, 303, 161},	// KIdleTime::qt_metacast$
    {14, 308, 173},	// KIdleTime::removeAllIdleTimeouts
    {14, 316, 172},	// KIdleTime::removeIdleTimeout$
    {14, 318, 176},	// KIdleTime::resumingFromIdle
    {14, 343, 170},	// KIdleTime::simulateUserActivity
    {14, 351, 181},	// KIdleTime::staticMetaObject
    {14, 352, 175},	// KIdleTime::stopCatchingResumeEvent
    {14, 361, 177},	// KIdleTime::timeoutReached$
    {14, 362, 178},	// KIdleTime::timeoutReached$$
    {14, 365, 179},	// KIdleTime::tr$
    {14, 366, 162},	// KIdleTime::tr$$
    {14, 367, 164},	// KIdleTime::tr$$$
    {14, 372, 180},	// KIdleTime::trUtf8$
    {14, 373, 163},	// KIdleTime::trUtf8$$
    {14, 374, 165},	// KIdleTime::trUtf8$$$
    {14, 386, 182},	// KIdleTime::~KIdleTime
    {20, 19, 216},	// KPluginSelector::IgnoreConfigFile
    {20, 45, 203},	// KPluginSelector::KPluginSelector
    {20, 46, 190},	// KPluginSelector::KPluginSelector#
    {20, 108, 215},	// KPluginSelector::ReadConfigFile
    {20, 137, 207},	// KPluginSelector::addPlugins#
    {20, 138, 208},	// KPluginSelector::addPlugins#$
    {20, 139, 209},	// KPluginSelector::addPlugins#$$
    {20, 140, 192},	// KPluginSelector::addPlugins#$$?
    {20, 141, 204},	// KPluginSelector::addPlugins$
    {20, 142, 205},	// KPluginSelector::addPlugins$$
    {20, 143, 206},	// KPluginSelector::addPlugins$$$
    {20, 144, 191},	// KPluginSelector::addPlugins$$$?
    {20, 145, 210},	// KPluginSelector::addPlugins?
    {20, 146, 211},	// KPluginSelector::addPlugins?$
    {20, 147, 212},	// KPluginSelector::addPlugins?$$
    {20, 148, 213},	// KPluginSelector::addPlugins?$$$
    {20, 149, 193},	// KPluginSelector::addPlugins?$$$?
    {20, 157, 199},	// KPluginSelector::changed$
    {20, 166, 200},	// KPluginSelector::configCommitted#
    {20, 174, 196},	// KPluginSelector::defaults
    {20, 207, 197},	// KPluginSelector::isDefault
    {20, 220, 194},	// KPluginSelector::load
    {20, 223, 183},	// KPluginSelector::metaObject
    {20, 301, 189},	// KPluginSelector::qt_metacall$$?
    {20, 303, 184},	// KPluginSelector::qt_metacast$
    {20, 320, 195},	// KPluginSelector::save
    {20, 351, 214},	// KPluginSelector::staticMetaObject
    {20, 365, 201},	// KPluginSelector::tr$
    {20, 366, 185},	// KPluginSelector::tr$$
    {20, 367, 187},	// KPluginSelector::tr$$$
    {20, 372, 202},	// KPluginSelector::trUtf8$
    {20, 373, 186},	// KPluginSelector::trUtf8$$
    {20, 374, 188},	// KPluginSelector::trUtf8$$$
    {20, 375, 198},	// KPluginSelector::updatePluginsState
    {20, 387, 217},	// KPluginSelector::~KPluginSelector
    {21, 48, 229},	// KPrintPreview::KPrintPreview#
    {21, 49, 225},	// KPrintPreview::KPrintPreview##
    {21, 223, 218},	// KPrintPreview::metaObject
    {21, 301, 224},	// KPrintPreview::qt_metacall$$?
    {21, 303, 219},	// KPrintPreview::qt_metacast$
    {21, 342, 226},	// KPrintPreview::showEvent#
    {21, 351, 230},	// KPrintPreview::staticMetaObject
    {21, 365, 227},	// KPrintPreview::tr$
    {21, 366, 220},	// KPrintPreview::tr$$
    {21, 367, 222},	// KPrintPreview::tr$$$
    {21, 372, 228},	// KPrintPreview::trUtf8$
    {21, 373, 221},	// KPrintPreview::trUtf8$$
    {21, 374, 223},	// KPrintPreview::trUtf8$$$
    {21, 388, 231},	// KPrintPreview::~KPrintPreview
    {23, 10, 251},	// KSettings::Dialog::Dialog
    {23, 11, 239},	// KSettings::Dialog::Dialog#
    {23, 12, 252},	// KSettings::Dialog::Dialog?
    {23, 13, 240},	// KSettings::Dialog::Dialog?#
    {23, 135, 241},	// KSettings::Dialog::addPluginInfos?
    {23, 151, 245},	// KSettings::Dialog::allowComponentSelection
    {23, 223, 232},	// KSettings::Dialog::metaObject
    {23, 297, 246},	// KSettings::Dialog::pluginInfos
    {23, 298, 248},	// KSettings::Dialog::pluginSelectionChanged
    {23, 301, 238},	// KSettings::Dialog::qt_metacall$$?
    {23, 303, 233},	// KSettings::Dialog::qt_metacast$
    {23, 324, 244},	// KSettings::Dialog::setAllowComponentSelection$
    {23, 329, 243},	// KSettings::Dialog::setComponentBlacklist?
    {23, 331, 242},	// KSettings::Dialog::setKCMArguments?
    {23, 342, 247},	// KSettings::Dialog::showEvent#
    {23, 351, 253},	// KSettings::Dialog::staticMetaObject
    {23, 365, 249},	// KSettings::Dialog::tr$
    {23, 366, 234},	// KSettings::Dialog::tr$$
    {23, 367, 236},	// KSettings::Dialog::tr$$$
    {23, 372, 250},	// KSettings::Dialog::trUtf8$
    {23, 373, 235},	// KSettings::Dialog::trUtf8$$
    {23, 374, 237},	// KSettings::Dialog::trUtf8$$$
    {23, 380, 254},	// KSettings::Dialog::~Dialog
    {24, 95, 269},	// KSettings::PluginPage::PluginPage#
    {24, 96, 270},	// KSettings::PluginPage::PluginPage##
    {24, 97, 262},	// KSettings::PluginPage::PluginPage##?
    {24, 174, 266},	// KSettings::PluginPage::defaults
    {24, 220, 264},	// KSettings::PluginPage::load
    {24, 223, 255},	// KSettings::PluginPage::metaObject
    {24, 299, 263},	// KSettings::PluginPage::pluginSelector
    {24, 301, 261},	// KSettings::PluginPage::qt_metacall$$?
    {24, 303, 256},	// KSettings::PluginPage::qt_metacast$
    {24, 320, 265},	// KSettings::PluginPage::save
    {24, 351, 271},	// KSettings::PluginPage::staticMetaObject
    {24, 365, 267},	// KSettings::PluginPage::tr$
    {24, 366, 257},	// KSettings::PluginPage::tr$$
    {24, 367, 259},	// KSettings::PluginPage::tr$$$
    {24, 372, 268},	// KSettings::PluginPage::trUtf8$
    {24, 373, 258},	// KSettings::PluginPage::trUtf8$$
    {24, 374, 260},	// KSettings::PluginPage::trUtf8$$$
    {24, 389, 272},	// KSettings::PluginPage::~PluginPage
    {47, 50, 660},	// QGlobalSpace::KST_CTimeInfo
    {47, 51, 634},	// QGlobalSpace::KST_KCustom
    {47, 52, 629},	// QGlobalSpace::KST_KDEDesktopMimeType
    {47, 53, 628},	// QGlobalSpace::KST_KFolderMimeType
    {47, 54, 657},	// QGlobalSpace::KST_KImageIO
    {47, 55, 631},	// QGlobalSpace::KST_KImageIOFormat
    {47, 56, 627},	// QGlobalSpace::KST_KMimeType
    {47, 57, 659},	// QGlobalSpace::KST_KMimeTypeFactory
    {47, 58, 632},	// QGlobalSpace::KST_KProtocolInfo
    {47, 59, 658},	// QGlobalSpace::KST_KProtocolInfoFactory
    {47, 60, 625},	// QGlobalSpace::KST_KService
    {47, 61, 654},	// QGlobalSpace::KST_KServiceFactory
    {47, 62, 630},	// QGlobalSpace::KST_KServiceGroup
    {47, 63, 656},	// QGlobalSpace::KST_KServiceGroupFactory
    {47, 64, 633},	// QGlobalSpace::KST_KServiceSeparator
    {47, 65, 626},	// QGlobalSpace::KST_KServiceType
    {47, 66, 655},	// QGlobalSpace::KST_KServiceTypeFactory
    {47, 67, 624},	// QGlobalSpace::KST_KSycocaEntry
    {47, 68, 639},	// QGlobalSpace::LicensedActiveQt
    {47, 69, 645},	// QGlobalSpace::LicensedCore
    {47, 70, 637},	// QGlobalSpace::LicensedDBus
    {47, 71, 642},	// QGlobalSpace::LicensedDeclarative
    {47, 72, 621},	// QGlobalSpace::LicensedGui
    {47, 73, 651},	// QGlobalSpace::LicensedHelp
    {47, 74, 652},	// QGlobalSpace::LicensedMultimedia
    {47, 75, 662},	// QGlobalSpace::LicensedNetwork
    {47, 76, 644},	// QGlobalSpace::LicensedOpenGL
    {47, 77, 636},	// QGlobalSpace::LicensedOpenVG
    {47, 78, 653},	// QGlobalSpace::LicensedQt3Support
    {47, 79, 623},	// QGlobalSpace::LicensedQt3SupportLight
    {47, 80, 635},	// QGlobalSpace::LicensedScript
    {47, 81, 640},	// QGlobalSpace::LicensedScriptTools
    {47, 82, 643},	// QGlobalSpace::LicensedSql
    {47, 83, 641},	// QGlobalSpace::LicensedSvg
    {47, 84, 638},	// QGlobalSpace::LicensedTest
    {47, 85, 622},	// QGlobalSpace::LicensedXml
    {47, 86, 661},	// QGlobalSpace::LicensedXmlPatterns
    {47, 98, 616},	// QGlobalSpace::Q_COMPLEX_TYPE
    {47, 99, 620},	// QGlobalSpace::Q_DUMMY_TYPE
    {47, 100, 619},	// QGlobalSpace::Q_MOVABLE_TYPE
    {47, 101, 617},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {47, 102, 618},	// QGlobalSpace::Q_STATIC_TYPE
    {47, 103, 648},	// QGlobalSpace::QtCriticalMsg
    {47, 104, 646},	// QGlobalSpace::QtDebugMsg
    {47, 105, 649},	// QGlobalSpace::QtFatalMsg
    {47, 106, 650},	// QGlobalSpace::QtSystemMsg
    {47, 107, 647},	// QGlobalSpace::QtWarningMsg
    {47, 197, 310},	// QGlobalSpace::i18n$
    {47, 199, 333},	// QGlobalSpace::i18nc$$
    {47, 211, 527},	// QGlobalSpace::ki18n$
    {47, 213, 362},	// QGlobalSpace::ki18nc$$
    {47, 215, 407},	// QGlobalSpace::ki18ncp$$$
    {47, 217, 592},	// QGlobalSpace::ki18np$$
    {47, 235, -1},	// QGlobalSpace::operator!=##
    {47, 236, -18},	// QGlobalSpace::operator!=#$
    {47, 237, -24},	// QGlobalSpace::operator!=$#
    {47, 238, 444},	// QGlobalSpace::operator!=$$
    {47, 240, -31},	// QGlobalSpace::operator*##
    {47, 241, -48},	// QGlobalSpace::operator*#$
    {47, 242, -54},	// QGlobalSpace::operator*$#
    {47, 244, -59},	// QGlobalSpace::operator+##
    {47, 245, -65},	// QGlobalSpace::operator+#$
    {47, 246, -71},	// QGlobalSpace::operator+$#
    {47, 247, -76},	// QGlobalSpace::operator+$$
    {47, 249, 316},	// QGlobalSpace::operator++$
    {47, 250, 615},	// QGlobalSpace::operator++$$
    {47, 252, -82},	// QGlobalSpace::operator-#
    {47, 253, -85},	// QGlobalSpace::operator-##
    {47, 254, 614},	// QGlobalSpace::operator-#$
    {47, 256, -90},	// QGlobalSpace::operator/#$
    {47, 258, -96},	// QGlobalSpace::operator<##
    {47, 259, 330},	// QGlobalSpace::operator<#$
    {47, 260, -101},	// QGlobalSpace::operator<$#
    {47, 261, 443},	// QGlobalSpace::operator<$$
    {47, 263, -104},	// QGlobalSpace::operator<<##
    {47, 264, -138},	// QGlobalSpace::operator<<#$
    {47, 265, 325},	// QGlobalSpace::operator<<#?
    {47, 267, -141},	// QGlobalSpace::operator<=##
    {47, 268, 416},	// QGlobalSpace::operator<=#$
    {47, 269, -146},	// QGlobalSpace::operator<=$#
    {47, 270, 360},	// QGlobalSpace::operator<=$$
    {47, 272, -149},	// QGlobalSpace::operator==##
    {47, 273, -167},	// QGlobalSpace::operator==#$
    {47, 274, -173},	// QGlobalSpace::operator==$#
    {47, 275, 578},	// QGlobalSpace::operator==$$
    {47, 277, -180},	// QGlobalSpace::operator>##
    {47, 278, 544},	// QGlobalSpace::operator>#$
    {47, 279, -185},	// QGlobalSpace::operator>$#
    {47, 280, 540},	// QGlobalSpace::operator>$$
    {47, 282, -188},	// QGlobalSpace::operator>=##
    {47, 283, 491},	// QGlobalSpace::operator>=#$
    {47, 284, -193},	// QGlobalSpace::operator>=$#
    {47, 285, 588},	// QGlobalSpace::operator>=$$
    {47, 287, -196},	// QGlobalSpace::operator>>##
    {47, 288, -230},	// QGlobalSpace::operator>>#$
    {47, 289, 521},	// QGlobalSpace::operator>>#?
    {47, 291, -233},	// QGlobalSpace::operator|?$
    {47, 292, -270},	// QGlobalSpace::operator|??
    {47, 369, 332},	// QGlobalSpace::tr2i18n$
    {47, 370, 331},	// QGlobalSpace::tr2i18n$$
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kio_Smoke();

static bool initialized = false;
Smoke *kutils_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kutils_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_kio_Smoke();
    if (initialized) return;
    kutils_Smoke = new Smoke(
        "kutils",
        __smokekutils::classes, 95,
        __smokekutils::methods, 713,
        __smokekutils::methodMaps, 361,
        __smokekutils::methodNames, 389,
        __smokekutils::types, 357,
        __smokekutils::inheritanceList,
        __smokekutils::argumentList,
        __smokekutils::ambiguousMethodList,
        __smokekutils::cast );
    initialized = true;
}

void delete_kutils_Smoke() { delete kutils_Smoke; }

}
