#include <nepomuk_includes.h>

#include <smoke.h>
#include <nepomuk_smoke.h>

namespace __smokenepomuk {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KRatingWidget
      switch(to) {
        case 51: return (void*)(QFrame*)(KRatingWidget*)xptr;
        case 76: return (void*)(QWidget*)(KRatingWidget*)xptr;
        case 60: return (void*)(QObject*)(KRatingWidget*)xptr;
        case 4: return (void*)(KRatingWidget*)xptr;
        default: return xptr;
      }
    case 5:   //KStandardDirs
      switch(to) {
        case 5: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 6:   //KTagCloudWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
        case 60: return (void*)(QObject*)(KTagCloudWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
        default: return xptr;
      }
    case 7:   //KTagDisplayWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
        case 60: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 73: return (void*)(QUrl*)(KUrl*)xptr;
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Class
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Class*)xptr;
        case 10: return (void*)(Nepomuk::Class*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::DesktopOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::DesktopOntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Entity
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)xptr;
        case 10: return (void*)(Nepomuk::Class*)(Nepomuk::Entity*)xptr;
        case 19: return (void*)(Nepomuk::Property*)(Nepomuk::Entity*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::FileOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::FileOntologyLoader*)xptr;
        case 13: return (void*)(Nepomuk::FileOntologyLoader*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Literal
      switch(to) {
        case 14: return (void*)(Nepomuk::Literal*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::NepomukOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::NepomukOntologyLoader*)xptr;
        case 15: return (void*)(Nepomuk::NepomukOntologyLoader*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Ontology
      switch(to) {
        case 16: return (void*)(Nepomuk::Ontology*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::OntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)xptr;
        case 13: return (void*)(Nepomuk::FileOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 15: return (void*)(Nepomuk::NepomukOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::OntologyManager
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyManager*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Property
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Property*)xptr;
        case 19: return (void*)(Nepomuk::Property*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::Query
      switch(to) {
        case 20: return (void*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Term
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Resource
      switch(to) {
        case 22: return (void*)(Nepomuk::Resource*)xptr;
        case 29: return (void*)(Nepomuk::Thing*)(Nepomuk::Resource*)xptr;
        case 26: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::ResourceData
      switch(to) {
        case 23: return (void*)(Nepomuk::ResourceData*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::ResourceManager
      switch(to) {
        case 60: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
        case 24: return (void*)(Nepomuk::ResourceManager*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Service
      switch(to) {
        case 60: return (void*)(QObject*)(Nepomuk::Service*)xptr;
        case 25: return (void*)(Nepomuk::Service*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Tag
      switch(to) {
        case 22: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
        case 26: return (void*)(Nepomuk::Tag*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::TagCloud
      switch(to) {
        case 6: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
        case 76: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
        case 60: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::TagWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
        case 60: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
        case 28: return (void*)(Nepomuk::TagWidget*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Thing
      switch(to) {
        case 22: return (void*)(Nepomuk::Resource*)(Nepomuk::Thing*)xptr;
        case 29: return (void*)(Nepomuk::Thing*)xptr;
        default: return xptr;
      }
    case 31:   //Nepomuk::Types::Class
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 31: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 32:   //Nepomuk::Types::Entity
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)xptr;
        case 35: return (void*)(Nepomuk::Types::Property*)(Nepomuk::Types::Entity*)xptr;
        case 34: return (void*)(Nepomuk::Types::Ontology*)(Nepomuk::Types::Entity*)xptr;
        case 31: return (void*)(Nepomuk::Types::Class*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 33:   //Nepomuk::Types::Literal
      switch(to) {
        case 33: return (void*)(Nepomuk::Types::Literal*)xptr;
        default: return xptr;
      }
    case 34:   //Nepomuk::Types::Ontology
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Ontology*)xptr;
        case 34: return (void*)(Nepomuk::Types::Ontology*)xptr;
        default: return xptr;
      }
    case 35:   //Nepomuk::Types::Property
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 35: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 36:   //Nepomuk::Variant
      switch(to) {
        case 36: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 37:   //QActionEvent
      switch(to) {
        case 37: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QBool
      switch(to) {
        case 38: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 39:   //QChildEvent
      switch(to) {
        case 39: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QCloseEvent
      switch(to) {
        case 40: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QContextMenuEvent
      switch(to) {
        case 41: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDate
      switch(to) {
        case 42: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 43:   //QDateTime
      switch(to) {
        case 43: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 51:   //QFrame
      switch(to) {
        case 76: return (void*)(QWidget*)(QFrame*)xptr;
        case 60: return (void*)(QObject*)(QFrame*)xptr;
        case 51: return (void*)(QFrame*)xptr;
        case 4: return (void*)(KRatingWidget*)(QFrame*)xptr;
        default: return xptr;
      }
    case 53:   //QHideEvent
      switch(to) {
        case 53: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QIcon
      switch(to) {
        case 54: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 55:   //QInputMethodEvent
      switch(to) {
        case 55: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 28: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
        case 4: return (void*)(KRatingWidget*)(QObject*)xptr;
        case 25: return (void*)(Nepomuk::Service*)(QObject*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QObject*)xptr;
        case 24: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEngine
      switch(to) {
        case 61: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEvent
      switch(to) {
        case 62: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPixmap
      switch(to) {
        case 64: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QStyle
      switch(to) {
        case 69: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 70:   //QTabletEvent
      switch(to) {
        case 70: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUrl
      switch(to) {
        case 73: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 28: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
        case 4: return (void*)(KRatingWidget*)(QWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //Soprano::LanguageTag
      switch(to) {
        case 77: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 78:   //Soprano::LiteralValue
      switch(to) {
        case 78: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 79:   //Soprano::Model
      switch(to) {
        case 79: return (void*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 80:   //Soprano::Node
      switch(to) {
        case 80: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    51, 0,	// 1: QFrame
    76, 0,	// 3: QWidget
    12, 0,	// 5: Nepomuk::Entity
    17, 0,	// 7: Nepomuk::OntologyLoader
    60, 0,	// 9: QObject
    22, 0,	// 11: Nepomuk::Resource
    6, 0,	// 13: KTagCloudWidget
    32, 0,	// 15: Nepomuk::Types::Entity
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__TagWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__FileQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__QueryParser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KRatingWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__DesktopOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__FileOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__NepomukOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Thing(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KRatingWidget", false, 1, xcall_KRatingWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KRatingWidget) },	//4
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//5
    { "KTagCloudWidget", false, 3, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagCloudWidget) },	//6
    { "KTagDisplayWidget", false, 3, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagDisplayWidget) },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "Nepomuk", false, 0, xcall_Nepomuk, 0, Smoke::cf_namespace, 0 },	//9
    { "Nepomuk::Class", false, 5, xcall_Nepomuk__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Class) },	//10
    { "Nepomuk::DesktopOntologyLoader", false, 7, xcall_Nepomuk__DesktopOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::DesktopOntologyLoader) },	//11
    { "Nepomuk::Entity", false, 0, xcall_Nepomuk__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Entity) },	//12
    { "Nepomuk::FileOntologyLoader", false, 7, xcall_Nepomuk__FileOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::FileOntologyLoader) },	//13
    { "Nepomuk::Literal", false, 0, xcall_Nepomuk__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Literal) },	//14
    { "Nepomuk::NepomukOntologyLoader", false, 7, xcall_Nepomuk__NepomukOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::NepomukOntologyLoader) },	//15
    { "Nepomuk::Ontology", false, 0, xcall_Nepomuk__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Ontology) },	//16
    { "Nepomuk::OntologyLoader", false, 0, xcall_Nepomuk__OntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::OntologyLoader) },	//17
    { "Nepomuk::OntologyManager", false, 0, xcall_Nepomuk__OntologyManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::OntologyManager) },	//18
    { "Nepomuk::Property", false, 5, xcall_Nepomuk__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Property) },	//19
    { "Nepomuk::Query::Query", true, 0, 0, 0, 0, 0 },	//20
    { "Nepomuk::Query::Term", true, 0, 0, 0, 0, 0 },	//21
    { "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Resource) },	//22
    { "Nepomuk::ResourceData", true, 0, 0, 0, 0, 0 },	//23
    { "Nepomuk::ResourceManager", false, 9, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual, sizeof(Nepomuk::ResourceManager) },	//24
    { "Nepomuk::Service", false, 9, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Service) },	//25
    { "Nepomuk::Tag", false, 11, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Tag) },	//26
    { "Nepomuk::TagCloud", false, 13, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagCloud) },	//27
    { "Nepomuk::TagWidget", false, 3, xcall_Nepomuk__TagWidget, xenum_Nepomuk__TagWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagWidget) },	//28
    { "Nepomuk::Thing", false, 11, xcall_Nepomuk__Thing, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Thing) },	//29
    { "Nepomuk::Types", false, 0, xcall_Nepomuk__Types, 0, Smoke::cf_namespace, 0 },	//30
    { "Nepomuk::Types::Class", false, 15, xcall_Nepomuk__Types__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Class) },	//31
    { "Nepomuk::Types::Entity", false, 0, xcall_Nepomuk__Types__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Entity) },	//32
    { "Nepomuk::Types::Literal", false, 0, xcall_Nepomuk__Types__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Types::Literal) },	//33
    { "Nepomuk::Types::Ontology", false, 15, xcall_Nepomuk__Types__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Ontology) },	//34
    { "Nepomuk::Types::Property", false, 15, xcall_Nepomuk__Types__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Property) },	//35
    { "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Variant) },	//36
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QBool", true, 0, 0, 0, 0, 0 },	//38
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDate", true, 0, 0, 0, 0, 0 },	//42
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QFrame", true, 0, 0, 0, 0, 0 },	//51
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//52
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QIcon", true, 0, 0, 0, 0, 0 },	//54
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QStyle", true, 0, 0, 0, 0, 0 },	//69
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUrl", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//77
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//78
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//79
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KRatingWidget*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "KStandardDirs*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTagCloudWidget*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KTagDisplayWidget*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref },	//10
    { "Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Nepomuk::DesktopOntologyLoader*", 11, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref },	//13
    { "Nepomuk::Entity*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Nepomuk::ErrorCode", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Nepomuk::FileOntologyLoader*", 13, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Nepomuk::Literal", 14, Smoke::t_class|Smoke::tf_stack },	//17
    { "Nepomuk::Literal&", 14, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::Literal*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::NepomukOntologyLoader*", 15, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Ontology&", 16, Smoke::t_class|Smoke::tf_ref },	//21
    { "Nepomuk::Ontology*", 16, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::OntologyLoader*", 17, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::OntologyManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Nepomuk::Property&", 19, Smoke::t_class|Smoke::tf_ref },	//25
    { "Nepomuk::Property*", 19, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::Resource", 22, Smoke::t_class|Smoke::tf_stack },	//27
    { "Nepomuk::Resource&", 22, Smoke::t_class|Smoke::tf_ref },	//28
    { "Nepomuk::Resource*", 22, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Nepomuk::ResourceData*", 23, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Nepomuk::ResourceManager*", 24, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Service*", 25, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Nepomuk::Tag", 26, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Tag&", 26, Smoke::t_class|Smoke::tf_ref },	//34
    { "Nepomuk::Tag*", 26, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Nepomuk::TagCloud*", 27, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::TagWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::TagWidget::ModeFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Nepomuk::TagWidget::ModeFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "Nepomuk::Thing", 29, Smoke::t_class|Smoke::tf_stack },	//40
    { "Nepomuk::Thing&", 29, Smoke::t_class|Smoke::tf_ref },	//41
    { "Nepomuk::Thing*", 29, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::Types::Class", 31, Smoke::t_class|Smoke::tf_stack },	//43
    { "Nepomuk::Types::Class&", 31, Smoke::t_class|Smoke::tf_ref },	//44
    { "Nepomuk::Types::Class*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Types::Entity&", 32, Smoke::t_class|Smoke::tf_ref },	//46
    { "Nepomuk::Types::Entity*", 32, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Nepomuk::Types::Literal", 33, Smoke::t_class|Smoke::tf_stack },	//48
    { "Nepomuk::Types::Literal&", 33, Smoke::t_class|Smoke::tf_ref },	//49
    { "Nepomuk::Types::Literal*", 33, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Nepomuk::Types::Ontology&", 34, Smoke::t_class|Smoke::tf_ref },	//51
    { "Nepomuk::Types::Ontology*", 34, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Nepomuk::Types::Property", 35, Smoke::t_class|Smoke::tf_stack },	//53
    { "Nepomuk::Types::Property&", 35, Smoke::t_class|Smoke::tf_ref },	//54
    { "Nepomuk::Types::Property*", 35, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Nepomuk::Variant", 36, Smoke::t_class|Smoke::tf_stack },	//56
    { "Nepomuk::Variant&", 36, Smoke::t_class|Smoke::tf_ref },	//57
    { "Nepomuk::Variant*", 36, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QActionEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QBool", 38, Smoke::t_class|Smoke::tf_stack },	//60
    { "QChildEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QCloseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QContextMenuEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDate", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "QDateTime", 43, Smoke::t_class|Smoke::tf_stack },	//65
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QHash<QString,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHideEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QIcon", 54, Smoke::t_class|Smoke::tf_stack },	//75
    { "QInputMethodEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QList<Nepomuk::Resource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QList<Nepomuk::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QList<Nepomuk::Types::Class>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<QDate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<QTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<const Nepomuk::Class*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<const Nepomuk::Property*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QList<unsigned long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QPaintEngine*", 61, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QPaintEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//104
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//107
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QStyle&", 69, Smoke::t_class|Smoke::tf_ref },	//111
    { "QTabletEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QTime", 71, Smoke::t_class|Smoke::tf_stack },	//113
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QUrl", 73, Smoke::t_class|Smoke::tf_stack },	//115
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//116
    { "QVariant::Type", 74, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QtMsgType", 52, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QtValidLicenseForActiveQtModule", 52, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtValidLicenseForCoreModule", 52, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QtValidLicenseForDBusModule", 52, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QtValidLicenseForDeclarativeModule", 52, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QtValidLicenseForGuiModule", 52, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QtValidLicenseForHelpModule", 52, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QtValidLicenseForMultimediaModule", 52, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QtValidLicenseForNetworkModule", 52, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QtValidLicenseForOpenGLModule", 52, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QtValidLicenseForOpenVGModule", 52, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtValidLicenseForQt3SupportLightModule", 52, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtValidLicenseForQt3SupportModule", 52, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtValidLicenseForScriptModule", 52, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtValidLicenseForScriptToolsModule", 52, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForSqlModule", 52, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForSvgModule", 52, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForTestModule", 52, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForXmlModule", 52, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForXmlPatternsModule", 52, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Soprano::Model*", 79, Smoke::t_class|Smoke::tf_ptr },	//215
    { "Soprano::Node", 80, Smoke::t_class|Smoke::tf_stack },	//216
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//219
    { "__codecvt_result", 52, Smoke::t_enum|Smoke::tf_stack },	//220
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//221
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//225
    { "const Nepomuk::DesktopOntologyLoader&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const Nepomuk::FileOntologyLoader&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const Nepomuk::Literal&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const Nepomuk::NepomukOntologyLoader&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const Nepomuk::Ontology&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const Nepomuk::Ontology*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const Nepomuk::OntologyLoader&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const Nepomuk::OntologyManager&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const Nepomuk::Property&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const Nepomuk::Property*", 19, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//236
    { "const Nepomuk::Query::Query&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const Nepomuk::Query::Term&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const Nepomuk::Resource&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const Nepomuk::Tag&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const Nepomuk::Thing&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const Nepomuk::Types::Class&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const Nepomuk::Types::Entity&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const Nepomuk::Types::Literal&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const Nepomuk::Types::Ontology&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const Nepomuk::Types::Property&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Nepomuk::Variant&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDate&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDateTime&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QIcon&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QList<Nepomuk::Variant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QList<QDate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QList<QDateTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QList<QTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QList<long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QList<unsigned long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "const QObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QPixmap&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QUrl&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const Soprano::LanguageTag&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const Soprano::LiteralValue&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const Soprano::Node&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//284
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//285
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//286
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//287
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//288
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//289
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//290
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//291
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//292
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    281, 0,	//1  const char*
    281, 281, 0,	//3  const char*, const char*
    281, 281, 285, 0,	//6  const char*, const char*, int
    97, 285, 291, 0,	//10  QMetaObject::Call, int, void**
    119, 0,	//14  QWidget*
    288, 0,	//16  unsigned int
    285, 0,	//18  int
    221, 0,	//20  bool
    120, 0,	//22  Qt::Alignment
    160, 0,	//24  Qt::LayoutDirection
    251, 0,	//26  const QIcon&
    270, 0,	//28  const QPixmap&
    98, 0,	//30  QMouseEvent*
    70, 0,	//32  QEvent*
    103, 0,	//34  QPaintEvent*
    105, 0,	//36  QResizeEvent*
    272, 0,	//38  const QString&
    272, 285, 0,	//40  const QString&, int
    265, 0,	//43  const QMap<QString,int>&
    273, 0,	//45  const QStringList&
    239, 0,	//47  const Nepomuk::Resource&
    247, 0,	//49  const Nepomuk::Variant&
    15, 0,	//51  Nepomuk::ErrorCode
    280, 0,	//53  const Soprano::Node&
    276, 0,	//55  const QUrl&
    224, 0,	//57  const Nepomuk::Class&
    272, 272, 0,	//59  const QString&, const QString&
    225, 0,	//62  const Nepomuk::Class*
    226, 0,	//64  const Nepomuk::DesktopOntologyLoader&
    227, 0,	//66  const Nepomuk::Entity&
    272, 218, 0,	//68  const QString&, Soprano::RdfSerialization
    218, 0,	//71  Soprano::RdfSerialization
    228, 0,	//73  const Nepomuk::FileOntologyLoader&
    229, 0,	//75  const Nepomuk::Literal&
    230, 0,	//77  const Nepomuk::NepomukOntologyLoader&
    231, 0,	//79  const Nepomuk::Ontology&
    233, 0,	//81  const Nepomuk::OntologyLoader&
    23, 0,	//83  Nepomuk::OntologyLoader*
    234, 0,	//85  const Nepomuk::OntologyManager&
    235, 0,	//87  const Nepomuk::Property&
    31, 0,	//89  Nepomuk::ResourceManager*
    272, 276, 0,	//91  const QString&, const QUrl&
    272, 276, 31, 0,	//94  const QString&, const QUrl&, Nepomuk::ResourceManager*
    276, 276, 0,	//98  const QUrl&, const QUrl&
    276, 276, 31, 0,	//101  const QUrl&, const QUrl&, Nepomuk::ResourceManager*
    30, 0,	//105  Nepomuk::ResourceData*
    258, 0,	//107  const QList<QUrl>&
    246, 247, 0,	//109  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    276, 247, 0,	//112  const QUrl&, const Nepomuk::Variant&
    272, 247, 0,	//115  const QString&, const Nepomuk::Variant&
    252, 0,	//118  const QList<Nepomuk::Resource>&
    253, 0,	//120  const QList<Nepomuk::Tag>&
    240, 0,	//122  const Nepomuk::Tag&
    282, 0,	//124  const unsigned int&
    223, 242, 31, 0,	//126  const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*
    223, 0,	//130  const KUrl&
    223, 242, 0,	//132  const KUrl&, const Nepomuk::Types::Class&
    215, 0,	//135  Soprano::Model*
    100, 221, 0,	//137  QObject*, bool
    100, 0,	//140  QObject*
    272, 31, 0,	//142  const QString&, Nepomuk::ResourceManager*
    276, 31, 0,	//145  const QUrl&, Nepomuk::ResourceManager*
    33, 0,	//148  Nepomuk::Tag
    239, 119, 0,	//150  const Nepomuk::Resource&, QWidget*
    39, 0,	//153  Nepomuk::TagWidget::ModeFlags
    241, 0,	//155  const Nepomuk::Thing&
    243, 0,	//157  const Nepomuk::Types::Entity&
    242, 0,	//159  const Nepomuk::Types::Class&
    244, 0,	//161  const Nepomuk::Types::Literal&
    245, 0,	//163  const Nepomuk::Types::Ontology&
    246, 0,	//165  const Nepomuk::Types::Property&
    277, 0,	//167  const QVariant&
    287, 0,	//169  long long
    289, 0,	//171  unsigned long long
    284, 0,	//173  double
    248, 0,	//175  const QDate&
    275, 0,	//177  const QTime&
    249, 0,	//179  const QDateTime&
    261, 0,	//181  const QList<int>&
    262, 0,	//183  const QList<long long>&
    263, 0,	//185  const QList<unsigned int>&
    264, 0,	//187  const QList<unsigned long long>&
    259, 0,	//189  const QList<bool>&
    260, 0,	//191  const QList<double>&
    255, 0,	//193  const QList<QDate>&
    257, 0,	//195  const QList<QTime>&
    256, 0,	//197  const QList<QDateTime>&
    254, 0,	//199  const QList<Nepomuk::Variant>&
    100, 70, 0,	//201  QObject*, QEvent*
    114, 0,	//204  QTimerEvent*
    61, 0,	//206  QChildEvent*
    118, 0,	//208  QWheelEvent*
    77, 0,	//210  QKeyEvent*
    71, 0,	//212  QFocusEvent*
    99, 0,	//214  QMoveEvent*
    62, 0,	//216  QCloseEvent*
    63, 0,	//218  QContextMenuEvent*
    112, 0,	//220  QTabletEvent*
    59, 0,	//222  QActionEvent*
    66, 0,	//224  QDragEnterEvent*
    68, 0,	//226  QDragMoveEvent*
    67, 0,	//228  QDragLeaveEvent*
    69, 0,	//230  QDropEvent*
    106, 0,	//232  QShowEvent*
    74, 0,	//234  QHideEvent*
    219, 0,	//236  _XEvent*
    101, 0,	//238  QPaintDevice::PaintDeviceMetric
    76, 0,	//240  QInputMethodEvent*
    154, 0,	//242  Qt::InputMethodQuery
    111, 0,	//244  QStyle&
    269, 0,	//246  const QPalette&
    250, 0,	//248  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Box",	//1
    "Class",	//2
    "Class#",	//3
    "CommunicationError",	//4
    "DesktopOntologyLoader",	//5
    "DesktopOntologyLoader#",	//6
    "DisableTagClicking",	//7
    "DrawChildren",	//8
    "DrawWindowBackground",	//9
    "Entity",	//10
    "Entity#",	//11
    "FileOntologyLoader",	//12
    "FileOntologyLoader#",	//13
    "FileOntologyLoader$",	//14
    "FileOntologyLoader$$",	//15
    "HLine",	//16
    "IgnoreMask",	//17
    "InvalidType",	//18
    "KRatingWidget",	//19
    "KRatingWidget#",	//20
    "KTagCloudWidget",	//21
    "KTagCloudWidget#",	//22
    "KTagDisplayWidget",	//23
    "KTagDisplayWidget#",	//24
    "LicensedActiveQt",	//25
    "LicensedCore",	//26
    "LicensedDBus",	//27
    "LicensedDeclarative",	//28
    "LicensedGui",	//29
    "LicensedHelp",	//30
    "LicensedMultimedia",	//31
    "LicensedNetwork",	//32
    "LicensedOpenGL",	//33
    "LicensedOpenVG",	//34
    "LicensedQt3Support",	//35
    "LicensedQt3SupportLight",	//36
    "LicensedScript",	//37
    "LicensedScriptTools",	//38
    "LicensedSql",	//39
    "LicensedSvg",	//40
    "LicensedTest",	//41
    "LicensedXml",	//42
    "LicensedXmlPatterns",	//43
    "Literal",	//44
    "Literal#",	//45
    "MiniMode",	//46
    "NepomukOntologyLoader",	//47
    "NepomukOntologyLoader#",	//48
    "NoError",	//49
    "NoFrame",	//50
    "Ontology",	//51
    "Ontology#",	//52
    "OntologyLoader",	//53
    "OntologyLoader#",	//54
    "OntologyManager",	//55
    "OntologyManager#",	//56
    "Panel",	//57
    "Plain",	//58
    "Property",	//59
    "Property#",	//60
    "Q_COMPLEX_TYPE",	//61
    "Q_DUMMY_TYPE",	//62
    "Q_MOVABLE_TYPE",	//63
    "Q_PRIMITIVE_TYPE",	//64
    "Q_STATIC_TYPE",	//65
    "QtCriticalMsg",	//66
    "QtDebugMsg",	//67
    "QtFatalMsg",	//68
    "QtSystemMsg",	//69
    "QtWarningMsg",	//70
    "RDFLiteralToValue",	//71
    "RDFLiteralToValue#",	//72
    "Raised",	//73
    "ReadOnly",	//74
    "Resource",	//75
    "Resource#",	//76
    "Resource##",	//77
    "Resource###",	//78
    "Resource$",	//79
    "Resource$#",	//80
    "Resource$##",	//81
    "Resource$$",	//82
    "Service",	//83
    "Service#",	//84
    "Service#$",	//85
    "Shadow_Mask",	//86
    "Shape_Mask",	//87
    "StandardMode",	//88
    "StyledPanel",	//89
    "Sunken",	//90
    "Tag",	//91
    "Tag#",	//92
    "Tag##",	//93
    "Tag###",	//94
    "Tag$",	//95
    "Tag$#",	//96
    "Tag$##",	//97
    "TagCloud",	//98
    "TagCloud#",	//99
    "TagWidget",	//100
    "TagWidget#",	//101
    "TagWidget##",	//102
    "Thing",	//103
    "Thing#",	//104
    "Thing##",	//105
    "Thing###",	//106
    "Thing$",	//107
    "Thing$#",	//108
    "Thing$##",	//109
    "UnknownError",	//110
    "VLine",	//111
    "Variant",	//112
    "Variant#",	//113
    "Variant$",	//114
    "Variant?",	//115
    "WinPanel",	//116
    "__codecvt_error",	//117
    "__codecvt_noconv",	//118
    "__codecvt_ok",	//119
    "__codecvt_partial",	//120
    "actionEvent",	//121
    "addAltLabel",	//122
    "addAltLabel$",	//123
    "addAnnotation",	//124
    "addAnnotation#",	//125
    "addGroundingOccurrence",	//126
    "addGroundingOccurrence#",	//127
    "addIdentifier",	//128
    "addIdentifier$",	//129
    "addIsRelated",	//130
    "addIsRelated#",	//131
    "addIsTopicOf",	//132
    "addIsTopicOf#",	//133
    "addProperty",	//134
    "addProperty##",	//135
    "addSymbol",	//136
    "addSymbol$",	//137
    "addTag",	//138
    "addTag#",	//139
    "addTag$",	//140
    "addTag$$",	//141
    "addTags",	//142
    "addTags?",	//143
    "addTopic",	//144
    "addTopic#",	//145
    "addType",	//146
    "addType#",	//147
    "alignment",	//148
    "allClasses",	//149
    "allOntologies",	//150
    "allParentClasses",	//151
    "allProperties",	//152
    "allResources",	//153
    "allResourcesOfType",	//154
    "allResourcesOfType#",	//155
    "allResourcesOfType$",	//156
    "allResourcesWithProperty",	//157
    "allResourcesWithProperty##",	//158
    "allResourcesWithProperty$#",	//159
    "allSubClasses",	//160
    "allTags",	//161
    "altLabelUri",	//162
    "altLabels",	//163
    "annotationOf",	//164
    "annotationUri",	//165
    "annotations",	//166
    "append",	//167
    "append#",	//168
    "append$",	//169
    "assignedTags",	//170
    "autoUpdate",	//171
    "cardinality",	//172
    "changeEvent",	//173
    "childEvent",	//174
    "className",	//175
    "clear",	//176
    "clearCache",	//177
    "closeEvent",	//178
    "comment",	//179
    "comment$",	//180
    "connectNotify",	//181
    "contextMenuEvent",	//182
    "createManagerForModel",	//183
    "createManagerForModel#",	//184
    "createResourceFromUri",	//185
    "createResourceFromUri$",	//186
    "customEvent",	//187
    "dataType",	//188
    "dataTypeUri",	//189
    "defaultGraph",	//190
    "definingOntology",	//191
    "deleteInstance",	//192
    "description",	//193
    "descriptionUri",	//194
    "devType",	//195
    "disconnectNotify",	//196
    "domain",	//197
    "domainOf",	//198
    "dragEnterEvent",	//199
    "dragLeaveEvent",	//200
    "dragMoveEvent",	//201
    "dropEvent",	//202
    "enabledChange",	//203
    "enterEvent",	//204
    "error",	//205
    "error$$",	//206
    "errorString",	//207
    "errorString$",	//208
    "event",	//209
    "eventFilter",	//210
    "exists",	//211
    "extractNamespace",	//212
    "extractNamespace#",	//213
    "fileName",	//214
    "findClassByLabel",	//215
    "findClassByLabel$",	//216
    "findClassByLabel$$",	//217
    "findClassByName",	//218
    "findClassByName$",	//219
    "findClassByUri",	//220
    "findClassByUri#",	//221
    "findPropertyByLabel",	//222
    "findPropertyByLabel$",	//223
    "findPropertyByLabel$$",	//224
    "findPropertyByName",	//225
    "findPropertyByName$",	//226
    "findPropertyByUri",	//227
    "findPropertyByUri#",	//228
    "focusInEvent",	//229
    "focusNextPrevChild",	//230
    "focusOutEvent",	//231
    "fontChange",	//232
    "fromNode",	//233
    "fromNode#",	//234
    "fromResourceUri",	//235
    "fromResourceUri#",	//236
    "fromResourceUri##",	//237
    "fromResourceUri###",	//238
    "fromString",	//239
    "fromString$$",	//240
    "generateUniqueUri",	//241
    "generateUniqueUri$",	//242
    "genericDescription",	//243
    "genericIcon",	//244
    "genericLabel",	//245
    "getOntology",	//246
    "getOntology#",	//247
    "groundingOccurrences",	//248
    "halfStepsEnabled",	//249
    "hasProperty",	//250
    "hasProperty#",	//251
    "hasProperty##",	//252
    "hasProperty$",	//253
    "hasType",	//254
    "hasType#",	//255
    "heightForWidth",	//256
    "hideEvent",	//257
    "icon",	//258
    "identifierUri",	//259
    "identifiers",	//260
    "increaseUsageCount",	//261
    "init",	//262
    "initialized",	//263
    "inputMethodEvent",	//264
    "inputMethodQuery",	//265
    "instance",	//266
    "inverseProperty",	//267
    "isAvailable",	//268
    "isBool",	//269
    "isBoolList",	//270
    "isDate",	//271
    "isDateList",	//272
    "isDateTime",	//273
    "isDateTimeList",	//274
    "isDouble",	//275
    "isDoubleList",	//276
    "isInt",	//277
    "isInt64",	//278
    "isInt64List",	//279
    "isIntList",	//280
    "isList",	//281
    "isParentOf",	//282
    "isParentOf#",	//283
    "isRelatedOf",	//284
    "isRelatedUri",	//285
    "isRelateds",	//286
    "isResource",	//287
    "isResourceList",	//288
    "isString",	//289
    "isStringList",	//290
    "isSubClassOf",	//291
    "isSubClassOf#",	//292
    "isSubPropertyOf",	//293
    "isSubPropertyOf#",	//294
    "isTime",	//295
    "isTimeList",	//296
    "isTopicOfUri",	//297
    "isTopicOfs",	//298
    "isUnsignedInt",	//299
    "isUnsignedInt64",	//300
    "isUnsignedInt64List",	//301
    "isUnsignedIntList",	//302
    "isUrl",	//303
    "isUrlList",	//304
    "isValid",	//305
    "keyPressEvent",	//306
    "keyReleaseEvent",	//307
    "label",	//308
    "label$",	//309
    "labelUri",	//310
    "languageChange",	//311
    "layoutDirection",	//312
    "leaveEvent",	//313
    "leaveEvent#",	//314
    "literalRangeType",	//315
    "load",	//316
    "load#",	//317
    "loadOntology",	//318
    "loadOntology#",	//319
    "mainModel",	//320
    "manager",	//321
    "maxCardinality",	//322
    "maxRating",	//323
    "maxTagsShown",	//324
    "metaObject",	//325
    "metric",	//326
    "minCardinality",	//327
    "minimumSizeHint",	//328
    "modeFlags",	//329
    "mouseDoubleClickEvent",	//330
    "mouseMoveEvent",	//331
    "mouseMoveEvent#",	//332
    "mousePressEvent",	//333
    "mousePressEvent#",	//334
    "mouseReleaseEvent",	//335
    "moveEvent",	//336
    "name",	//337
    "naoNamespace",	//338
    "nepomukSystemStarted",	//339
    "nepomukSystemStopped",	//340
    "notifyError",	//341
    "notifyError$$",	//342
    "nrlNamespace",	//343
    "occurrences",	//344
    "operator QUrl",	//345
    "operator!=",	//346
    "operator!=#",	//347
    "operator=",	//348
    "operator=#",	//349
    "operator=$",	//350
    "operator==",	//351
    "operator==#",	//352
    "operator=?",	//353
    "paintEngine",	//354
    "paintEvent",	//355
    "paintEvent#",	//356
    "paletteChange",	//357
    "parentClasses",	//358
    "parentOf",	//359
    "parentProperties",	//360
    "pimoThing",	//361
    "properties",	//362
    "property",	//363
    "property#",	//364
    "property$",	//365
    "qHash",	//366
    "qHash#",	//367
    "qt_metacall",	//368
    "qt_metacall$$?",	//369
    "qt_metacast",	//370
    "qt_metacast$",	//371
    "range",	//372
    "rangeOf",	//373
    "rating",	//374
    "ratingChanged",	//375
    "ratingChanged$",	//376
    "ratingUri",	//377
    "rdfNamepace",	//378
    "rdfsNamespace",	//379
    "referencingOccurrences",	//380
    "remove",	//381
    "removeProperty",	//382
    "removeProperty#",	//383
    "removeProperty##",	//384
    "removeProperty$",	//385
    "removeResource",	//386
    "removeResource$",	//387
    "reset",	//388
    "reset$",	//389
    "resizeEvent",	//390
    "resizeEvent#",	//391
    "resourceModified",	//392
    "resourceModified$",	//393
    "resourceType",	//394
    "resourceTypeUri",	//395
    "resourceUri",	//396
    "selectedTags",	//397
    "selectionChanged",	//398
    "selectionChanged?",	//399
    "setAlignment",	//400
    "setAlignment$",	//401
    "setAltLabels",	//402
    "setAltLabels?",	//403
    "setAnnotations",	//404
    "setAnnotations?",	//405
    "setAssignedTags",	//406
    "setAssignedTags?",	//407
    "setAutoUpdate",	//408
    "setAutoUpdate$",	//409
    "setCustomPixmap",	//410
    "setCustomPixmap#",	//411
    "setDefaultRepository",	//412
    "setDefaultRepository$",	//413
    "setDescription",	//414
    "setDescription$",	//415
    "setFileName",	//416
    "setFileName$",	//417
    "setHalfStepsEnabled",	//418
    "setHalfStepsEnabled$",	//419
    "setIcon",	//420
    "setIcon#",	//421
    "setIdentifiers",	//422
    "setIdentifiers?",	//423
    "setIsRelateds",	//424
    "setIsRelateds?",	//425
    "setIsTopicOfs",	//426
    "setIsTopicOfs?",	//427
    "setLabel",	//428
    "setLabel$",	//429
    "setLayoutDirection",	//430
    "setLayoutDirection$",	//431
    "setMaxFontSize",	//432
    "setMaxFontSize$",	//433
    "setMaxRating",	//434
    "setMaxRating$",	//435
    "setMaxTagsShown",	//436
    "setMaxTagsShown$",	//437
    "setMinFontSize",	//438
    "setMinFontSize$",	//439
    "setModeFlags",	//440
    "setModeFlags$",	//441
    "setOnlyPaintFullSteps",	//442
    "setOnlyPaintFullSteps$",	//443
    "setOntologyLoader",	//444
    "setOntologyLoader#",	//445
    "setOverrideMainModel",	//446
    "setOverrideMainModel#",	//447
    "setPixmap",	//448
    "setPixmap#",	//449
    "setPixmapSize",	//450
    "setPixmapSize$",	//451
    "setProperty",	//452
    "setProperty##",	//453
    "setProperty$#",	//454
    "setRating",	//455
    "setRating$",	//456
    "setSelectedTags",	//457
    "setSelectedTags?",	//458
    "setSerialization",	//459
    "setSerialization$",	//460
    "setServiceInitialized",	//461
    "setServiceInitialized$",	//462
    "setSpacing",	//463
    "setSpacing$",	//464
    "setSymbols",	//465
    "setSymbols?",	//466
    "setTaggedResource",	//467
    "setTaggedResource#",	//468
    "setTaggedResources",	//469
    "setTaggedResources?",	//470
    "setTags",	//471
    "setTags?",	//472
    "setTopics",	//473
    "setTopics?",	//474
    "setTypes",	//475
    "setTypes?",	//476
    "setVisible",	//477
    "showEvent",	//478
    "simpleType",	//479
    "sizeHint",	//480
    "spacing",	//481
    "staticMetaObject",	//482
    "styleChange",	//483
    "subClasses",	//484
    "subProperties",	//485
    "symbolUri",	//486
    "symbols",	//487
    "tabletEvent",	//488
    "tagClicked",	//489
    "tagClicked#",	//490
    "tagClicked$",	//491
    "tagOf",	//492
    "tagUri",	//493
    "tagWeight",	//494
    "tagWeight$",	//495
    "taggedResources",	//496
    "tags",	//497
    "timerEvent",	//498
    "toBool",	//499
    "toBoolList",	//500
    "toDate",	//501
    "toDateList",	//502
    "toDateTime",	//503
    "toDateTimeList",	//504
    "toDouble",	//505
    "toDoubleList",	//506
    "toInt",	//507
    "toInt64",	//508
    "toInt64List",	//509
    "toIntList",	//510
    "toResource",	//511
    "toResourceList",	//512
    "toString",	//513
    "toStringList",	//514
    "toTime",	//515
    "toTimeList",	//516
    "toUnsignedInt",	//517
    "toUnsignedInt64",	//518
    "toUnsignedInt64List",	//519
    "toUnsignedIntList",	//520
    "toUrl",	//521
    "toUrlList",	//522
    "toVariantList",	//523
    "topicUri",	//524
    "topics",	//525
    "tr",	//526
    "tr$",	//527
    "tr$$",	//528
    "tr$$$",	//529
    "trUtf8",	//530
    "trUtf8$",	//531
    "trUtf8$$",	//532
    "trUtf8$$$",	//533
    "type",	//534
    "typePredicate",	//535
    "types",	//536
    "updateTags",	//537
    "uri",	//538
    "usageCount",	//539
    "valueToRDFNode",	//540
    "valueToRDFNode#",	//541
    "valuesToRDFNodes",	//542
    "valuesToRDFNodes#",	//543
    "variant",	//544
    "wheelEvent",	//545
    "windowActivationChange",	//546
    "x11Event",	//547
    "~Class",	//548
    "~DesktopOntologyLoader",	//549
    "~Entity",	//550
    "~FileOntologyLoader",	//551
    "~KRatingWidget",	//552
    "~KTagCloudWidget",	//553
    "~KTagDisplayWidget",	//554
    "~Literal",	//555
    "~NepomukOntologyLoader",	//556
    "~Ontology",	//557
    "~OntologyLoader",	//558
    "~OntologyManager",	//559
    "~Property",	//560
    "~Resource",	//561
    "~Service",	//562
    "~Tag",	//563
    "~TagCloud",	//564
    "~TagWidget",	//565
    "~Thing",	//566
    "~Variant",	//567
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//1 KRatingWidget::metaObject() const
    {4, 370, 1, 1, Smoke::mf_virtual, 290, 2},	//2 KRatingWidget::qt_metacast(const char*)
    {4, 526, 3, 2, Smoke::mf_static, 108, 3},	//3 KRatingWidget::tr(const char*, const char*)
    {4, 530, 3, 2, Smoke::mf_static, 108, 4},	//4 KRatingWidget::trUtf8(const char*, const char*)
    {4, 526, 6, 3, Smoke::mf_static, 108, 5},	//5 KRatingWidget::tr(const char*, const char*, int)
    {4, 530, 6, 3, Smoke::mf_static, 108, 6},	//6 KRatingWidget::trUtf8(const char*, const char*, int)
    {4, 368, 10, 3, Smoke::mf_virtual, 285, 7},	//7 KRatingWidget::qt_metacall(QMetaObject::Call, int, void**)
    {4, 19, 14, 1, Smoke::mf_ctor, 5, 8},	//8 KRatingWidget::KRatingWidget(QWidget*)
    {4, 374, 0, 0, Smoke::mf_const, 288, 9},	//9 KRatingWidget::rating() const
    {4, 323, 0, 0, Smoke::mf_const, 285, 10},	//10 KRatingWidget::maxRating() const
    {4, 148, 0, 0, Smoke::mf_const, 120, 11},	//11 KRatingWidget::alignment() const
    {4, 312, 0, 0, Smoke::mf_const, 160, 12},	//12 KRatingWidget::layoutDirection() const
    {4, 481, 0, 0, Smoke::mf_const, 285, 13},	//13 KRatingWidget::spacing() const
    {4, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 107, 14},	//14 KRatingWidget::sizeHint() const
    {4, 249, 0, 0, Smoke::mf_const, 221, 15},	//15 KRatingWidget::halfStepsEnabled() const
    {4, 258, 0, 0, Smoke::mf_const, 75, 16},	//16 KRatingWidget::icon() const
    {4, 375, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//17 KRatingWidget::ratingChanged(unsigned int)
    {4, 375, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//18 KRatingWidget::ratingChanged(int)
    {4, 455, 18, 1, Smoke::mf_slot, 0, 19},	//19 KRatingWidget::setRating(int)
    {4, 455, 16, 1, Smoke::mf_slot, 0, 20},	//20 KRatingWidget::setRating(unsigned int)
    {4, 434, 18, 1, Smoke::mf_slot, 0, 21},	//21 KRatingWidget::setMaxRating(int)
    {4, 434, 16, 1, Smoke::mf_slot, 0, 22},	//22 KRatingWidget::setMaxRating(unsigned int)
    {4, 418, 20, 1, Smoke::mf_slot, 0, 23},	//23 KRatingWidget::setHalfStepsEnabled(bool)
    {4, 442, 20, 1, Smoke::mf_slot, 0, 24},	//24 KRatingWidget::setOnlyPaintFullSteps(bool)
    {4, 463, 18, 1, Smoke::mf_slot, 0, 25},	//25 KRatingWidget::setSpacing(int)
    {4, 400, 22, 1, Smoke::mf_slot, 0, 26},	//26 KRatingWidget::setAlignment(Qt::Alignment)
    {4, 430, 24, 1, Smoke::mf_slot, 0, 27},	//27 KRatingWidget::setLayoutDirection(Qt::LayoutDirection)
    {4, 420, 26, 1, Smoke::mf_slot, 0, 28},	//28 KRatingWidget::setIcon(const QIcon&)
    {4, 410, 28, 1, Smoke::mf_slot, 0, 29},	//29 KRatingWidget::setCustomPixmap(const QPixmap&)
    {4, 448, 28, 1, Smoke::mf_slot, 0, 30},	//30 KRatingWidget::setPixmap(const QPixmap&)
    {4, 450, 18, 1, Smoke::mf_slot, 0, 31},	//31 KRatingWidget::setPixmapSize(int)
    {4, 333, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//32 KRatingWidget::mousePressEvent(QMouseEvent*)
    {4, 331, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//33 KRatingWidget::mouseMoveEvent(QMouseEvent*)
    {4, 313, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//34 KRatingWidget::leaveEvent(QEvent*)
    {4, 355, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//35 KRatingWidget::paintEvent(QPaintEvent*)
    {4, 390, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//36 KRatingWidget::resizeEvent(QResizeEvent*)
    {4, 526, 1, 1, Smoke::mf_static, 108, 37},	//37 KRatingWidget::tr(const char*)
    {4, 530, 1, 1, Smoke::mf_static, 108, 38},	//38 KRatingWidget::trUtf8(const char*)
    {4, 19, 0, 0, Smoke::mf_ctor, 5, 39},	//39 KRatingWidget::KRatingWidget()
    {4, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 40},	//40 KRatingWidget::staticMetaObject() const
    {4, 552, 0, 0, Smoke::mf_dtor, 0, 41 },	//41 KRatingWidget::~KRatingWidget()
    {6, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//42 KTagCloudWidget::metaObject() const
    {6, 370, 1, 1, Smoke::mf_virtual, 290, 2},	//43 KTagCloudWidget::qt_metacast(const char*)
    {6, 526, 3, 2, Smoke::mf_static, 108, 3},	//44 KTagCloudWidget::tr(const char*, const char*)
    {6, 530, 3, 2, Smoke::mf_static, 108, 4},	//45 KTagCloudWidget::trUtf8(const char*, const char*)
    {6, 526, 6, 3, Smoke::mf_static, 108, 5},	//46 KTagCloudWidget::tr(const char*, const char*, int)
    {6, 530, 6, 3, Smoke::mf_static, 108, 6},	//47 KTagCloudWidget::trUtf8(const char*, const char*, int)
    {6, 368, 10, 3, Smoke::mf_virtual, 285, 7},	//48 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
    {6, 21, 14, 1, Smoke::mf_ctor, 8, 8},	//49 KTagCloudWidget::KTagCloudWidget(QWidget*)
    {6, 494, 38, 1, Smoke::mf_const, 285, 9},	//50 KTagCloudWidget::tagWeight(const QString&) const
    {6, 138, 40, 2, Smoke::mf_slot, 0, 10},	//51 KTagCloudWidget::addTag(const QString&, int)
    {6, 142, 43, 1, Smoke::mf_slot, 0, 11},	//52 KTagCloudWidget::addTags(const QMap<QString,int>&)
    {6, 176, 0, 0, Smoke::mf_slot, 0, 12},	//53 KTagCloudWidget::clear()
    {6, 432, 18, 1, Smoke::mf_slot, 0, 13},	//54 KTagCloudWidget::setMaxFontSize(int)
    {6, 438, 18, 1, Smoke::mf_slot, 0, 14},	//55 KTagCloudWidget::setMinFontSize(int)
    {6, 489, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//56 KTagCloudWidget::tagClicked(const QString&)
    {6, 390, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//57 KTagCloudWidget::resizeEvent(QResizeEvent*)
    {6, 526, 1, 1, Smoke::mf_static, 108, 17},	//58 KTagCloudWidget::tr(const char*)
    {6, 530, 1, 1, Smoke::mf_static, 108, 18},	//59 KTagCloudWidget::trUtf8(const char*)
    {6, 21, 0, 0, Smoke::mf_ctor, 8, 19},	//60 KTagCloudWidget::KTagCloudWidget()
    {6, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 20},	//61 KTagCloudWidget::staticMetaObject() const
    {6, 553, 0, 0, Smoke::mf_dtor, 0, 21 },	//62 KTagCloudWidget::~KTagCloudWidget()
    {7, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//63 KTagDisplayWidget::metaObject() const
    {7, 370, 1, 1, Smoke::mf_virtual, 290, 2},	//64 KTagDisplayWidget::qt_metacast(const char*)
    {7, 526, 3, 2, Smoke::mf_static, 108, 3},	//65 KTagDisplayWidget::tr(const char*, const char*)
    {7, 530, 3, 2, Smoke::mf_static, 108, 4},	//66 KTagDisplayWidget::trUtf8(const char*, const char*)
    {7, 526, 6, 3, Smoke::mf_static, 108, 5},	//67 KTagDisplayWidget::tr(const char*, const char*, int)
    {7, 530, 6, 3, Smoke::mf_static, 108, 6},	//68 KTagDisplayWidget::trUtf8(const char*, const char*, int)
    {7, 368, 10, 3, Smoke::mf_virtual, 285, 7},	//69 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
    {7, 23, 14, 1, Smoke::mf_ctor, 9, 8},	//70 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
    {7, 471, 45, 1, Smoke::mf_slot, 0, 9},	//71 KTagDisplayWidget::setTags(const QStringList&)
    {7, 138, 38, 1, Smoke::mf_slot, 0, 10},	//72 KTagDisplayWidget::addTag(const QString&)
    {7, 142, 45, 1, Smoke::mf_slot, 0, 11},	//73 KTagDisplayWidget::addTags(const QStringList&)
    {7, 176, 0, 0, Smoke::mf_slot, 0, 12},	//74 KTagDisplayWidget::clear()
    {7, 489, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//75 KTagDisplayWidget::tagClicked(const QString&)
    {7, 526, 1, 1, Smoke::mf_static, 108, 14},	//76 KTagDisplayWidget::tr(const char*)
    {7, 530, 1, 1, Smoke::mf_static, 108, 15},	//77 KTagDisplayWidget::trUtf8(const char*)
    {7, 23, 0, 0, Smoke::mf_ctor, 9, 16},	//78 KTagDisplayWidget::KTagDisplayWidget()
    {7, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 17},	//79 KTagDisplayWidget::staticMetaObject() const
    {7, 554, 0, 0, Smoke::mf_dtor, 0, 18 },	//80 KTagDisplayWidget::~KTagDisplayWidget()
    {9, 378, 0, 0, Smoke::mf_static, 108, 1},	//81 Nepomuk::rdfNamepace()
    {9, 366, 47, 1, Smoke::mf_static, 288, 2},	//82 Nepomuk::qHash(const Nepomuk::Resource&)
    {9, 542, 49, 1, Smoke::mf_static, 87, 3},	//83 Nepomuk::valuesToRDFNodes(const Nepomuk::Variant&)
    {9, 412, 38, 1, Smoke::mf_static, 0, 4},	//84 Nepomuk::setDefaultRepository(const QString&)
    {9, 343, 0, 0, Smoke::mf_static, 108, 5},	//85 Nepomuk::nrlNamespace()
    {9, 207, 51, 1, Smoke::mf_static, 108, 6},	//86 Nepomuk::errorString(Nepomuk::ErrorCode)
    {9, 190, 0, 0, Smoke::mf_static, 108, 7},	//87 Nepomuk::defaultGraph()
    {9, 535, 0, 0, Smoke::mf_static, 108, 8},	//88 Nepomuk::typePredicate()
    {9, 379, 0, 0, Smoke::mf_static, 108, 9},	//89 Nepomuk::rdfsNamespace()
    {9, 338, 0, 0, Smoke::mf_static, 108, 10},	//90 Nepomuk::naoNamespace()
    {9, 71, 53, 1, Smoke::mf_static, 56, 11},	//91 Nepomuk::RDFLiteralToValue(const Soprano::Node&)
    {9, 212, 55, 1, Smoke::mf_static, 115, 12},	//92 Nepomuk::extractNamespace(const QUrl&)
    {9, 540, 49, 1, Smoke::mf_static, 216, 13},	//93 Nepomuk::valueToRDFNode(const Nepomuk::Variant&)
    {9, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//94 Nepomuk::NoError (enum)
    {9, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//95 Nepomuk::CommunicationError (enum)
    {9, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//96 Nepomuk::InvalidType (enum)
    {9, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//97 Nepomuk::UnknownError (enum)
    {10, 2, 0, 0, Smoke::mf_ctor, 11, 1},	//98 Nepomuk::Class::Class()
    {10, 2, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//99 Nepomuk::Class::Class(const Nepomuk::Class&)
    {10, 348, 57, 1, 0, 10, 3},	//100 Nepomuk::Class::operator=(const Nepomuk::Class&)
    {10, 152, 0, 0, Smoke::mf_const, 91, 4},	//101 Nepomuk::Class::allProperties() const
    {10, 225, 38, 1, Smoke::mf_const, 236, 5},	//102 Nepomuk::Class::findPropertyByName(const QString&) const
    {10, 222, 59, 2, Smoke::mf_const, 236, 6},	//103 Nepomuk::Class::findPropertyByLabel(const QString&, const QString&) const
    {10, 227, 55, 1, Smoke::mf_const, 236, 7},	//104 Nepomuk::Class::findPropertyByUri(const QUrl&) const
    {10, 358, 0, 0, Smoke::mf_const, 90, 8},	//105 Nepomuk::Class::parentClasses() const
    {10, 484, 0, 0, Smoke::mf_const, 90, 9},	//106 Nepomuk::Class::subClasses() const
    {10, 282, 62, 1, Smoke::mf_const, 221, 10},	//107 Nepomuk::Class::isParentOf(const Nepomuk::Class*) const
    {10, 291, 62, 1, Smoke::mf_const, 221, 11},	//108 Nepomuk::Class::isSubClassOf(const Nepomuk::Class*) const
    {10, 316, 55, 1, Smoke::mf_static, 225, 12},	//109 Nepomuk::Class::load(const QUrl&)
    {10, 222, 38, 1, Smoke::mf_const, 236, 13},	//110 Nepomuk::Class::findPropertyByLabel(const QString&) const
    {10, 548, 0, 0, Smoke::mf_dtor, 0, 14 },	//111 Nepomuk::Class::~Class()
    {11, 5, 0, 0, Smoke::mf_ctor, 12, 1},	//112 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader()
    {11, 150, 0, 0, 0, 86, 2},	//113 Nepomuk::DesktopOntologyLoader::allOntologies()
    {11, 318, 55, 1, Smoke::mf_virtual, 88, 3},	//114 Nepomuk::DesktopOntologyLoader::loadOntology(const QUrl&)
    {11, 5, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 4},	//115 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader(const Nepomuk::DesktopOntologyLoader&)
    {11, 549, 0, 0, Smoke::mf_dtor, 0, 5 },	//116 Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader()
    {12, 10, 66, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 1},	//117 Nepomuk::Entity::Entity(const Nepomuk::Entity&)
    {12, 348, 66, 1, 0, 13, 2},	//118 Nepomuk::Entity::operator=(const Nepomuk::Entity&)
    {12, 191, 0, 0, Smoke::mf_const, 232, 3},	//119 Nepomuk::Entity::definingOntology() const
    {12, 337, 0, 0, Smoke::mf_const, 108, 4},	//120 Nepomuk::Entity::name() const
    {12, 538, 0, 0, Smoke::mf_const, 115, 5},	//121 Nepomuk::Entity::uri() const
    {12, 308, 38, 1, Smoke::mf_const, 108, 6},	//122 Nepomuk::Entity::label(const QString&) const
    {12, 179, 38, 1, Smoke::mf_const, 108, 7},	//123 Nepomuk::Entity::comment(const QString&) const
    {12, 10, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 14, 8},	//124 Nepomuk::Entity::Entity()
    {12, 308, 0, 0, Smoke::mf_const, 108, 9},	//125 Nepomuk::Entity::label() const
    {12, 179, 0, 0, Smoke::mf_const, 108, 10},	//126 Nepomuk::Entity::comment() const
    {12, 550, 0, 0, Smoke::mf_dtor, 0, 11 },	//127 Nepomuk::Entity::~Entity()
    {13, 12, 0, 0, Smoke::mf_ctor, 16, 1},	//128 Nepomuk::FileOntologyLoader::FileOntologyLoader()
    {13, 12, 68, 2, Smoke::mf_ctor, 16, 2},	//129 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&, Soprano::RdfSerialization)
    {13, 416, 38, 1, 0, 0, 3},	//130 Nepomuk::FileOntologyLoader::setFileName(const QString&)
    {13, 214, 0, 0, Smoke::mf_const, 108, 4},	//131 Nepomuk::FileOntologyLoader::fileName() const
    {13, 459, 71, 1, 0, 0, 5},	//132 Nepomuk::FileOntologyLoader::setSerialization(Soprano::RdfSerialization)
    {13, 318, 55, 1, Smoke::mf_virtual, 88, 6},	//133 Nepomuk::FileOntologyLoader::loadOntology(const QUrl&)
    {13, 12, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 7},	//134 Nepomuk::FileOntologyLoader::FileOntologyLoader(const Nepomuk::FileOntologyLoader&)
    {13, 12, 38, 1, Smoke::mf_ctor, 16, 8},	//135 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&)
    {13, 551, 0, 0, Smoke::mf_dtor, 0, 9 },	//136 Nepomuk::FileOntologyLoader::~FileOntologyLoader()
    {14, 44, 0, 0, Smoke::mf_ctor, 19, 1},	//137 Nepomuk::Literal::Literal()
    {14, 44, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//138 Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    {14, 44, 55, 1, Smoke::mf_ctor, 19, 3},	//139 Nepomuk::Literal::Literal(const QUrl&)
    {14, 348, 75, 1, 0, 18, 4},	//140 Nepomuk::Literal::operator=(const Nepomuk::Literal&)
    {14, 189, 0, 0, Smoke::mf_const, 276, 5},	//141 Nepomuk::Literal::dataTypeUri() const
    {14, 188, 0, 0, Smoke::mf_const, 117, 6},	//142 Nepomuk::Literal::dataType() const
    {14, 555, 0, 0, Smoke::mf_dtor, 0, 7 },	//143 Nepomuk::Literal::~Literal()
    {15, 47, 0, 0, Smoke::mf_ctor, 20, 1},	//144 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader()
    {15, 318, 55, 1, Smoke::mf_virtual, 88, 2},	//145 Nepomuk::NepomukOntologyLoader::loadOntology(const QUrl&)
    {15, 47, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 3},	//146 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader(const Nepomuk::NepomukOntologyLoader&)
    {15, 556, 0, 0, Smoke::mf_dtor, 0, 4 },	//147 Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader()
    {16, 51, 0, 0, Smoke::mf_ctor, 22, 1},	//148 Nepomuk::Ontology::Ontology()
    {16, 51, 79, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//149 Nepomuk::Ontology::Ontology(const Nepomuk::Ontology&)
    {16, 348, 79, 1, 0, 21, 3},	//150 Nepomuk::Ontology::operator=(const Nepomuk::Ontology&)
    {16, 538, 0, 0, Smoke::mf_const, 115, 4},	//151 Nepomuk::Ontology::uri() const
    {16, 149, 0, 0, Smoke::mf_const, 90, 5},	//152 Nepomuk::Ontology::allClasses() const
    {16, 218, 38, 1, Smoke::mf_const, 225, 6},	//153 Nepomuk::Ontology::findClassByName(const QString&) const
    {16, 215, 59, 2, Smoke::mf_const, 225, 7},	//154 Nepomuk::Ontology::findClassByLabel(const QString&, const QString&) const
    {16, 220, 55, 1, Smoke::mf_const, 225, 8},	//155 Nepomuk::Ontology::findClassByUri(const QUrl&) const
    {16, 152, 0, 0, Smoke::mf_const, 91, 9},	//156 Nepomuk::Ontology::allProperties() const
    {16, 225, 38, 1, Smoke::mf_const, 236, 10},	//157 Nepomuk::Ontology::findPropertyByName(const QString&) const
    {16, 222, 59, 2, Smoke::mf_const, 236, 11},	//158 Nepomuk::Ontology::findPropertyByLabel(const QString&, const QString&) const
    {16, 227, 55, 1, Smoke::mf_const, 236, 12},	//159 Nepomuk::Ontology::findPropertyByUri(const QUrl&) const
    {16, 316, 55, 1, Smoke::mf_static, 232, 13},	//160 Nepomuk::Ontology::load(const QUrl&)
    {16, 215, 38, 1, Smoke::mf_const, 225, 14},	//161 Nepomuk::Ontology::findClassByLabel(const QString&) const
    {16, 222, 38, 1, Smoke::mf_const, 236, 15},	//162 Nepomuk::Ontology::findPropertyByLabel(const QString&) const
    {16, 557, 0, 0, Smoke::mf_dtor, 0, 16 },	//163 Nepomuk::Ontology::~Ontology()
    {17, 318, 55, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 88, 1},	//164 Nepomuk::OntologyLoader::loadOntology(const QUrl&) [pure virtual]
    {17, 53, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 23, 2},	//165 Nepomuk::OntologyLoader::OntologyLoader()
    {17, 53, 81, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 3},	//166 Nepomuk::OntologyLoader::OntologyLoader(const Nepomuk::OntologyLoader&)
    {17, 558, 0, 0, Smoke::mf_dtor, 0, 4 },	//167 Nepomuk::OntologyLoader::~OntologyLoader()
    {18, 266, 0, 0, Smoke::mf_static, 24, 1},	//168 Nepomuk::OntologyManager::instance()
    {18, 444, 83, 1, 0, 0, 2},	//169 Nepomuk::OntologyManager::setOntologyLoader(Nepomuk::OntologyLoader*)
    {18, 246, 55, 1, 0, 232, 3},	//170 Nepomuk::OntologyManager::getOntology(const QUrl&)
    {18, 55, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//171 Nepomuk::OntologyManager::OntologyManager(const Nepomuk::OntologyManager&)
    {18, 559, 0, 0, Smoke::mf_dtor, 0, 5 },	//172 Nepomuk::OntologyManager::~OntologyManager()
    {19, 59, 0, 0, Smoke::mf_ctor, 26, 1},	//173 Nepomuk::Property::Property()
    {19, 59, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//174 Nepomuk::Property::Property(const Nepomuk::Property&)
    {19, 348, 87, 1, 0, 25, 3},	//175 Nepomuk::Property::operator=(const Nepomuk::Property&)
    {19, 360, 0, 0, Smoke::mf_const, 91, 4},	//176 Nepomuk::Property::parentProperties() const
    {19, 359, 0, 0, Smoke::mf_const, 91, 5},	//177 Nepomuk::Property::parentOf() const
    {19, 267, 0, 0, Smoke::mf_const, 236, 6},	//178 Nepomuk::Property::inverseProperty() const
    {19, 372, 0, 0, Smoke::mf_const, 225, 7},	//179 Nepomuk::Property::range() const
    {19, 315, 0, 0, Smoke::mf_const, 17, 8},	//180 Nepomuk::Property::literalRangeType() const
    {19, 197, 0, 0, Smoke::mf_const, 225, 9},	//181 Nepomuk::Property::domain() const
    {19, 172, 0, 0, Smoke::mf_const, 285, 10},	//182 Nepomuk::Property::cardinality() const
    {19, 327, 0, 0, Smoke::mf_const, 285, 11},	//183 Nepomuk::Property::minCardinality() const
    {19, 322, 0, 0, Smoke::mf_const, 285, 12},	//184 Nepomuk::Property::maxCardinality() const
    {19, 316, 55, 1, Smoke::mf_static, 236, 13},	//185 Nepomuk::Property::load(const QUrl&)
    {19, 560, 0, 0, Smoke::mf_dtor, 0, 14 },	//186 Nepomuk::Property::~Property()
    {22, 75, 0, 0, Smoke::mf_ctor, 29, 1},	//187 Nepomuk::Resource::Resource()
    {22, 75, 89, 1, Smoke::mf_ctor, 29, 2},	//188 Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    {22, 75, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 3},	//189 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    {22, 75, 91, 2, Smoke::mf_ctor, 29, 4},	//190 Nepomuk::Resource::Resource(const QString&, const QUrl&)
    {22, 75, 94, 3, Smoke::mf_ctor, 29, 5},	//191 Nepomuk::Resource::Resource(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {22, 75, 59, 2, Smoke::mf_ctor, 29, 6},	//192 Nepomuk::Resource::Resource(const QString&, const QString&)
    {22, 75, 98, 2, Smoke::mf_ctor, 29, 7},	//193 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
    {22, 75, 101, 3, Smoke::mf_ctor, 29, 8},	//194 Nepomuk::Resource::Resource(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {22, 75, 105, 1, Smoke::mf_ctor, 29, 9},	//195 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    {22, 348, 47, 1, 0, 28, 10},	//196 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    {22, 348, 55, 1, 0, 28, 11},	//197 Nepomuk::Resource::operator=(const QUrl&)
    {22, 321, 0, 0, Smoke::mf_const, 31, 12},	//198 Nepomuk::Resource::manager() const
    {22, 538, 0, 0, Smoke::mf_const, 108, 13},	//199 Nepomuk::Resource::uri() const
    {22, 396, 0, 0, Smoke::mf_const, 115, 14},	//200 Nepomuk::Resource::resourceUri() const
    {22, 534, 0, 0, Smoke::mf_const, 108, 15},	//201 Nepomuk::Resource::type() const
    {22, 394, 0, 0, Smoke::mf_const, 115, 16},	//202 Nepomuk::Resource::resourceType() const
    {22, 536, 0, 0, Smoke::mf_const, 86, 17},	//203 Nepomuk::Resource::types() const
    {22, 475, 107, 1, 0, 0, 18},	//204 Nepomuk::Resource::setTypes(const QList<QUrl>&)
    {22, 146, 55, 1, 0, 0, 19},	//205 Nepomuk::Resource::addType(const QUrl&)
    {22, 254, 55, 1, Smoke::mf_const, 221, 20},	//206 Nepomuk::Resource::hasType(const QUrl&) const
    {22, 175, 0, 0, Smoke::mf_const, 108, 21},	//207 Nepomuk::Resource::className() const
    {22, 152, 0, 0, Smoke::mf_const, 72, 22},	//208 Nepomuk::Resource::allProperties() const
    {22, 362, 0, 0, Smoke::mf_const, 73, 23},	//209 Nepomuk::Resource::properties() const
    {22, 250, 55, 1, Smoke::mf_const, 221, 24},	//210 Nepomuk::Resource::hasProperty(const QUrl&) const
    {22, 250, 109, 2, Smoke::mf_const, 221, 25},	//211 Nepomuk::Resource::hasProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&) const
    {22, 250, 38, 1, Smoke::mf_const, 221, 26},	//212 Nepomuk::Resource::hasProperty(const QString&) const
    {22, 363, 55, 1, Smoke::mf_const, 56, 27},	//213 Nepomuk::Resource::property(const QUrl&) const
    {22, 363, 38, 1, Smoke::mf_const, 56, 28},	//214 Nepomuk::Resource::property(const QString&) const
    {22, 452, 112, 2, 0, 0, 29},	//215 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
    {22, 134, 112, 2, 0, 0, 30},	//216 Nepomuk::Resource::addProperty(const QUrl&, const Nepomuk::Variant&)
    {22, 452, 115, 2, 0, 0, 31},	//217 Nepomuk::Resource::setProperty(const QString&, const Nepomuk::Variant&)
    {22, 382, 55, 1, 0, 0, 32},	//218 Nepomuk::Resource::removeProperty(const QUrl&)
    {22, 382, 112, 2, 0, 0, 33},	//219 Nepomuk::Resource::removeProperty(const QUrl&, const Nepomuk::Variant&)
    {22, 382, 38, 1, 0, 0, 34},	//220 Nepomuk::Resource::removeProperty(const QString&)
    {22, 381, 0, 0, 0, 0, 35},	//221 Nepomuk::Resource::remove()
    {22, 211, 0, 0, Smoke::mf_const, 221, 36},	//222 Nepomuk::Resource::exists() const
    {22, 305, 0, 0, Smoke::mf_const, 221, 37},	//223 Nepomuk::Resource::isValid() const
    {22, 245, 0, 0, Smoke::mf_const, 108, 38},	//224 Nepomuk::Resource::genericLabel() const
    {22, 243, 0, 0, Smoke::mf_const, 108, 39},	//225 Nepomuk::Resource::genericDescription() const
    {22, 244, 0, 0, Smoke::mf_const, 108, 40},	//226 Nepomuk::Resource::genericIcon() const
    {22, 361, 0, 0, 0, 40, 41},	//227 Nepomuk::Resource::pimoThing()
    {22, 351, 47, 1, Smoke::mf_const, 221, 42},	//228 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
    {22, 346, 47, 1, Smoke::mf_const, 221, 43},	//229 Nepomuk::Resource::operator!=(const Nepomuk::Resource&) const
    {22, 193, 0, 0, Smoke::mf_const, 108, 44},	//230 Nepomuk::Resource::description() const
    {22, 414, 38, 1, 0, 0, 45},	//231 Nepomuk::Resource::setDescription(const QString&)
    {22, 194, 0, 0, Smoke::mf_static, 108, 46},	//232 Nepomuk::Resource::descriptionUri()
    {22, 260, 0, 0, Smoke::mf_const, 109, 47},	//233 Nepomuk::Resource::identifiers() const
    {22, 422, 45, 1, 0, 0, 48},	//234 Nepomuk::Resource::setIdentifiers(const QStringList&)
    {22, 128, 38, 1, 0, 0, 49},	//235 Nepomuk::Resource::addIdentifier(const QString&)
    {22, 259, 0, 0, Smoke::mf_static, 108, 50},	//236 Nepomuk::Resource::identifierUri()
    {22, 163, 0, 0, Smoke::mf_const, 109, 51},	//237 Nepomuk::Resource::altLabels() const
    {22, 402, 45, 1, 0, 0, 52},	//238 Nepomuk::Resource::setAltLabels(const QStringList&)
    {22, 122, 38, 1, 0, 0, 53},	//239 Nepomuk::Resource::addAltLabel(const QString&)
    {22, 162, 0, 0, Smoke::mf_static, 108, 54},	//240 Nepomuk::Resource::altLabelUri()
    {22, 166, 0, 0, Smoke::mf_const, 78, 55},	//241 Nepomuk::Resource::annotations() const
    {22, 404, 118, 1, 0, 0, 56},	//242 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
    {22, 124, 47, 1, 0, 0, 57},	//243 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
    {22, 165, 0, 0, Smoke::mf_static, 108, 58},	//244 Nepomuk::Resource::annotationUri()
    {22, 497, 0, 0, Smoke::mf_const, 79, 59},	//245 Nepomuk::Resource::tags() const
    {22, 471, 120, 1, 0, 0, 60},	//246 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
    {22, 138, 122, 1, 0, 0, 61},	//247 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
    {22, 493, 0, 0, Smoke::mf_static, 108, 62},	//248 Nepomuk::Resource::tagUri()
    {22, 525, 0, 0, Smoke::mf_const, 78, 63},	//249 Nepomuk::Resource::topics() const
    {22, 473, 118, 1, 0, 0, 64},	//250 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
    {22, 144, 47, 1, 0, 0, 65},	//251 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
    {22, 524, 0, 0, Smoke::mf_static, 108, 66},	//252 Nepomuk::Resource::topicUri()
    {22, 298, 0, 0, Smoke::mf_const, 78, 67},	//253 Nepomuk::Resource::isTopicOfs() const
    {22, 426, 118, 1, 0, 0, 68},	//254 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
    {22, 132, 47, 1, 0, 0, 69},	//255 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
    {22, 297, 0, 0, Smoke::mf_static, 108, 70},	//256 Nepomuk::Resource::isTopicOfUri()
    {22, 286, 0, 0, Smoke::mf_const, 78, 71},	//257 Nepomuk::Resource::isRelateds() const
    {22, 424, 118, 1, 0, 0, 72},	//258 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
    {22, 130, 47, 1, 0, 0, 73},	//259 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
    {22, 285, 0, 0, Smoke::mf_static, 108, 74},	//260 Nepomuk::Resource::isRelatedUri()
    {22, 308, 0, 0, Smoke::mf_const, 108, 75},	//261 Nepomuk::Resource::label() const
    {22, 428, 38, 1, 0, 0, 76},	//262 Nepomuk::Resource::setLabel(const QString&)
    {22, 310, 0, 0, Smoke::mf_static, 108, 77},	//263 Nepomuk::Resource::labelUri()
    {22, 374, 0, 0, Smoke::mf_const, 288, 78},	//264 Nepomuk::Resource::rating() const
    {22, 455, 124, 1, 0, 0, 79},	//265 Nepomuk::Resource::setRating(const unsigned int&)
    {22, 377, 0, 0, Smoke::mf_static, 108, 80},	//266 Nepomuk::Resource::ratingUri()
    {22, 487, 0, 0, Smoke::mf_const, 109, 81},	//267 Nepomuk::Resource::symbols() const
    {22, 465, 45, 1, 0, 0, 82},	//268 Nepomuk::Resource::setSymbols(const QStringList&)
    {22, 136, 38, 1, 0, 0, 83},	//269 Nepomuk::Resource::addSymbol(const QString&)
    {22, 486, 0, 0, Smoke::mf_static, 108, 84},	//270 Nepomuk::Resource::symbolUri()
    {22, 164, 0, 0, Smoke::mf_const, 78, 85},	//271 Nepomuk::Resource::annotationOf() const
    {22, 284, 0, 0, Smoke::mf_const, 78, 86},	//272 Nepomuk::Resource::isRelatedOf() const
    {22, 153, 0, 0, Smoke::mf_static, 78, 87},	//273 Nepomuk::Resource::allResources()
    {22, 539, 0, 0, Smoke::mf_const, 285, 88},	//274 Nepomuk::Resource::usageCount() const
    {22, 261, 0, 0, 0, 0, 89},	//275 Nepomuk::Resource::increaseUsageCount()
    {22, 235, 126, 3, Smoke::mf_static, 27, 90},	//276 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*)
    {22, 75, 38, 1, Smoke::mf_ctor, 29, 91},	//277 Nepomuk::Resource::Resource(const QString&)
    {22, 75, 55, 1, Smoke::mf_ctor, 29, 92},	//278 Nepomuk::Resource::Resource(const QUrl&)
    {22, 235, 130, 1, Smoke::mf_static, 27, 93},	//279 Nepomuk::Resource::fromResourceUri(const KUrl&)
    {22, 235, 132, 2, Smoke::mf_static, 27, 94},	//280 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&)
    {22, 561, 0, 0, Smoke::mf_dtor, 0, 95 },	//281 Nepomuk::Resource::~Resource()
    {24, 325, 0, 0, Smoke::mf_const, 267, 1},	//282 Nepomuk::ResourceManager::metaObject() const
    {24, 370, 1, 1, 0, 290, 2},	//283 Nepomuk::ResourceManager::qt_metacast(const char*)
    {24, 526, 3, 2, Smoke::mf_static, 108, 3},	//284 Nepomuk::ResourceManager::tr(const char*, const char*)
    {24, 530, 3, 2, Smoke::mf_static, 108, 4},	//285 Nepomuk::ResourceManager::trUtf8(const char*, const char*)
    {24, 526, 6, 3, Smoke::mf_static, 108, 5},	//286 Nepomuk::ResourceManager::tr(const char*, const char*, int)
    {24, 530, 6, 3, Smoke::mf_static, 108, 6},	//287 Nepomuk::ResourceManager::trUtf8(const char*, const char*, int)
    {24, 368, 10, 3, 0, 285, 7},	//288 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
    {24, 266, 0, 0, Smoke::mf_static, 31, 8},	//289 Nepomuk::ResourceManager::instance()
    {24, 192, 0, 0, 0, 0, 9},	//290 Nepomuk::ResourceManager::deleteInstance()
    {24, 262, 0, 0, 0, 285, 10},	//291 Nepomuk::ResourceManager::init()
    {24, 263, 0, 0, Smoke::mf_const, 221, 11},	//292 Nepomuk::ResourceManager::initialized() const
    {24, 320, 0, 0, 0, 215, 12},	//293 Nepomuk::ResourceManager::mainModel()
    {24, 446, 135, 1, 0, 0, 13},	//294 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
    {24, 185, 38, 1, 0, 27, 14},	//295 Nepomuk::ResourceManager::createResourceFromUri(const QString&)
    {24, 386, 38, 1, 0, 0, 15},	//296 Nepomuk::ResourceManager::removeResource(const QString&)
    {24, 154, 55, 1, 0, 78, 16},	//297 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
    {24, 154, 38, 1, 0, 78, 17},	//298 Nepomuk::ResourceManager::allResourcesOfType(const QString&)
    {24, 157, 112, 2, 0, 78, 18},	//299 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 157, 115, 2, 0, 78, 19},	//300 Nepomuk::ResourceManager::allResourcesWithProperty(const QString&, const Nepomuk::Variant&)
    {24, 177, 0, 0, 0, 0, 20},	//301 Nepomuk::ResourceManager::clearCache()
    {24, 241, 0, 0, 0, 108, 21},	//302 Nepomuk::ResourceManager::generateUniqueUri()
    {24, 241, 38, 1, 0, 115, 22},	//303 Nepomuk::ResourceManager::generateUniqueUri(const QString&)
    {24, 341, 40, 2, 0, 0, 23},	//304 Nepomuk::ResourceManager::notifyError(const QString&, int)
    {24, 183, 135, 1, Smoke::mf_static, 31, 24},	//305 Nepomuk::ResourceManager::createManagerForModel(Soprano::Model*)
    {24, 392, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//306 Nepomuk::ResourceManager::resourceModified(const QString&)
    {24, 205, 40, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//307 Nepomuk::ResourceManager::error(const QString&, int)
    {24, 339, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//308 Nepomuk::ResourceManager::nepomukSystemStarted()
    {24, 340, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//309 Nepomuk::ResourceManager::nepomukSystemStopped()
    {24, 526, 1, 1, Smoke::mf_static, 108, 29},	//310 Nepomuk::ResourceManager::tr(const char*)
    {24, 530, 1, 1, Smoke::mf_static, 108, 30},	//311 Nepomuk::ResourceManager::trUtf8(const char*)
    {24, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 31},	//312 Nepomuk::ResourceManager::staticMetaObject() const
    {25, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//313 Nepomuk::Service::metaObject() const
    {25, 370, 1, 1, Smoke::mf_virtual, 290, 2},	//314 Nepomuk::Service::qt_metacast(const char*)
    {25, 526, 3, 2, Smoke::mf_static, 108, 3},	//315 Nepomuk::Service::tr(const char*, const char*)
    {25, 530, 3, 2, Smoke::mf_static, 108, 4},	//316 Nepomuk::Service::trUtf8(const char*, const char*)
    {25, 526, 6, 3, Smoke::mf_static, 108, 5},	//317 Nepomuk::Service::tr(const char*, const char*, int)
    {25, 530, 6, 3, Smoke::mf_static, 108, 6},	//318 Nepomuk::Service::trUtf8(const char*, const char*, int)
    {25, 368, 10, 3, Smoke::mf_virtual, 285, 7},	//319 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
    {25, 83, 137, 2, Smoke::mf_ctor, 32, 8},	//320 Nepomuk::Service::Service(QObject*, bool)
    {25, 320, 0, 0, Smoke::mf_protected, 215, 9},	//321 Nepomuk::Service::mainModel()
    {25, 461, 20, 1, Smoke::mf_protected, 0, 10},	//322 Nepomuk::Service::setServiceInitialized(bool)
    {25, 526, 1, 1, Smoke::mf_static, 108, 11},	//323 Nepomuk::Service::tr(const char*)
    {25, 530, 1, 1, Smoke::mf_static, 108, 12},	//324 Nepomuk::Service::trUtf8(const char*)
    {25, 83, 0, 0, Smoke::mf_ctor, 32, 13},	//325 Nepomuk::Service::Service()
    {25, 83, 140, 1, Smoke::mf_ctor, 32, 14},	//326 Nepomuk::Service::Service(QObject*)
    {25, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 15},	//327 Nepomuk::Service::staticMetaObject() const
    {25, 562, 0, 0, Smoke::mf_dtor, 0, 16 },	//328 Nepomuk::Service::~Service()
    {26, 91, 0, 0, Smoke::mf_ctor, 35, 1},	//329 Nepomuk::Tag::Tag()
    {26, 91, 89, 1, Smoke::mf_ctor, 35, 2},	//330 Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    {26, 91, 122, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 3},	//331 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    {26, 91, 47, 1, Smoke::mf_ctor, 35, 4},	//332 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    {26, 91, 38, 1, Smoke::mf_ctor, 35, 5},	//333 Nepomuk::Tag::Tag(const QString&)
    {26, 91, 142, 2, Smoke::mf_ctor, 35, 6},	//334 Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    {26, 91, 55, 1, Smoke::mf_ctor, 35, 7},	//335 Nepomuk::Tag::Tag(const QUrl&)
    {26, 91, 145, 2, Smoke::mf_ctor, 35, 8},	//336 Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    {26, 348, 122, 1, 0, 34, 9},	//337 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
    {26, 492, 0, 0, Smoke::mf_const, 78, 10},	//338 Nepomuk::Tag::tagOf() const
    {26, 161, 0, 0, Smoke::mf_static, 79, 11},	//339 Nepomuk::Tag::allTags()
    {26, 395, 0, 0, Smoke::mf_static, 108, 12},	//340 Nepomuk::Tag::resourceTypeUri()
    {26, 91, 91, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 13},	//341 Nepomuk::Tag::Tag(const QString&, const QUrl&)
    {26, 91, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 14},	//342 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    {26, 91, 94, 3, Smoke::mf_ctor|Smoke::mf_protected, 35, 15},	//343 Nepomuk::Tag::Tag(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {26, 91, 101, 3, Smoke::mf_ctor|Smoke::mf_protected, 35, 16},	//344 Nepomuk::Tag::Tag(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {26, 563, 0, 0, Smoke::mf_dtor, 0, 17 },	//345 Nepomuk::Tag::~Tag()
    {27, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//346 Nepomuk::TagCloud::metaObject() const
    {27, 370, 1, 1, Smoke::mf_virtual, 290, 2},	//347 Nepomuk::TagCloud::qt_metacast(const char*)
    {27, 526, 3, 2, Smoke::mf_static, 108, 3},	//348 Nepomuk::TagCloud::tr(const char*, const char*)
    {27, 530, 3, 2, Smoke::mf_static, 108, 4},	//349 Nepomuk::TagCloud::trUtf8(const char*, const char*)
    {27, 526, 6, 3, Smoke::mf_static, 108, 5},	//350 Nepomuk::TagCloud::tr(const char*, const char*, int)
    {27, 530, 6, 3, Smoke::mf_static, 108, 6},	//351 Nepomuk::TagCloud::trUtf8(const char*, const char*, int)
    {27, 368, 10, 3, Smoke::mf_virtual, 285, 7},	//352 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
    {27, 98, 14, 1, Smoke::mf_ctor, 36, 8},	//353 Nepomuk::TagCloud::TagCloud(QWidget*)
    {27, 171, 0, 0, Smoke::mf_const, 221, 9},	//354 Nepomuk::TagCloud::autoUpdate() const
    {27, 537, 0, 0, Smoke::mf_slot, 0, 10},	//355 Nepomuk::TagCloud::updateTags()
    {27, 408, 20, 1, Smoke::mf_slot, 0, 11},	//356 Nepomuk::TagCloud::setAutoUpdate(bool)
    {27, 489, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//357 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
    {27, 526, 1, 1, Smoke::mf_static, 108, 13},	//358 Nepomuk::TagCloud::tr(const char*)
    {27, 530, 1, 1, Smoke::mf_static, 108, 14},	//359 Nepomuk::TagCloud::trUtf8(const char*)
    {27, 98, 0, 0, Smoke::mf_ctor, 36, 15},	//360 Nepomuk::TagCloud::TagCloud()
    {27, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 16},	//361 Nepomuk::TagCloud::staticMetaObject() const
    {27, 564, 0, 0, Smoke::mf_dtor, 0, 17 },	//362 Nepomuk::TagCloud::~TagCloud()
    {28, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 1},	//363 Nepomuk::TagWidget::metaObject() const
    {28, 370, 1, 1, Smoke::mf_virtual, 290, 2},	//364 Nepomuk::TagWidget::qt_metacast(const char*)
    {28, 526, 3, 2, Smoke::mf_static, 108, 3},	//365 Nepomuk::TagWidget::tr(const char*, const char*)
    {28, 530, 3, 2, Smoke::mf_static, 108, 4},	//366 Nepomuk::TagWidget::trUtf8(const char*, const char*)
    {28, 526, 6, 3, Smoke::mf_static, 108, 5},	//367 Nepomuk::TagWidget::tr(const char*, const char*, int)
    {28, 530, 6, 3, Smoke::mf_static, 108, 6},	//368 Nepomuk::TagWidget::trUtf8(const char*, const char*, int)
    {28, 368, 10, 3, Smoke::mf_virtual, 285, 7},	//369 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
    {28, 100, 150, 2, Smoke::mf_ctor, 37, 8},	//370 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
    {28, 100, 14, 1, Smoke::mf_ctor, 37, 9},	//371 Nepomuk::TagWidget::TagWidget(QWidget*)
    {28, 496, 0, 0, Smoke::mf_const, 78, 10},	//372 Nepomuk::TagWidget::taggedResources() const
    {28, 170, 0, 0, Smoke::mf_const, 79, 11},	//373 Nepomuk::TagWidget::assignedTags() const
    {28, 397, 0, 0, Smoke::mf_const, 79, 12},	//374 Nepomuk::TagWidget::selectedTags() const
    {28, 324, 0, 0, Smoke::mf_const, 285, 13},	//375 Nepomuk::TagWidget::maxTagsShown() const
    {28, 148, 0, 0, Smoke::mf_const, 120, 14},	//376 Nepomuk::TagWidget::alignment() const
    {28, 329, 0, 0, Smoke::mf_const, 39, 15},	//377 Nepomuk::TagWidget::modeFlags() const
    {28, 489, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//378 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
    {28, 398, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//379 Nepomuk::TagWidget::selectionChanged(const QList<Nepomuk::Tag>&)
    {28, 467, 47, 1, Smoke::mf_slot, 0, 18},	//380 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
    {28, 469, 118, 1, Smoke::mf_slot, 0, 19},	//381 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
    {28, 406, 120, 1, Smoke::mf_slot, 0, 20},	//382 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
    {28, 457, 120, 1, Smoke::mf_slot, 0, 21},	//383 Nepomuk::TagWidget::setSelectedTags(const QList<Nepomuk::Tag>&)
    {28, 436, 18, 1, Smoke::mf_slot, 0, 22},	//384 Nepomuk::TagWidget::setMaxTagsShown(int)
    {28, 400, 22, 1, Smoke::mf_slot, 0, 23},	//385 Nepomuk::TagWidget::setAlignment(Qt::Alignment)
    {28, 440, 153, 1, Smoke::mf_slot, 0, 24},	//386 Nepomuk::TagWidget::setModeFlags(Nepomuk::TagWidget::ModeFlags)
    {28, 526, 1, 1, Smoke::mf_static, 108, 25},	//387 Nepomuk::TagWidget::tr(const char*)
    {28, 530, 1, 1, Smoke::mf_static, 108, 26},	//388 Nepomuk::TagWidget::trUtf8(const char*)
    {28, 100, 47, 1, Smoke::mf_ctor, 37, 27},	//389 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    {28, 100, 0, 0, Smoke::mf_ctor, 37, 28},	//390 Nepomuk::TagWidget::TagWidget()
    {28, 482, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 266, 29},	//391 Nepomuk::TagWidget::staticMetaObject() const
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//392 Nepomuk::TagWidget::MiniMode (enum)
    {28, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//393 Nepomuk::TagWidget::StandardMode (enum)
    {28, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//394 Nepomuk::TagWidget::ReadOnly (enum)
    {28, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//395 Nepomuk::TagWidget::DisableTagClicking (enum)
    {28, 565, 0, 0, Smoke::mf_dtor, 0, 34 },	//396 Nepomuk::TagWidget::~TagWidget()
    {29, 103, 98, 2, Smoke::mf_ctor, 42, 1},	//397 Nepomuk::Thing::Thing(const QUrl&, const QUrl&)
    {29, 103, 101, 3, Smoke::mf_ctor, 42, 2},	//398 Nepomuk::Thing::Thing(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {29, 103, 91, 2, Smoke::mf_ctor, 42, 3},	//399 Nepomuk::Thing::Thing(const QString&, const QUrl&)
    {29, 103, 94, 3, Smoke::mf_ctor, 42, 4},	//400 Nepomuk::Thing::Thing(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {29, 103, 155, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 5},	//401 Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    {29, 103, 47, 1, Smoke::mf_ctor, 42, 6},	//402 Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    {29, 103, 105, 1, Smoke::mf_ctor, 42, 7},	//403 Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    {29, 348, 155, 1, 0, 41, 8},	//404 Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    {29, 348, 47, 1, 0, 41, 9},	//405 Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    {29, 348, 55, 1, 0, 41, 10},	//406 Nepomuk::Thing::operator=(const QUrl&)
    {29, 248, 0, 0, Smoke::mf_const, 78, 11},	//407 Nepomuk::Thing::groundingOccurrences() const
    {29, 380, 0, 0, Smoke::mf_const, 78, 12},	//408 Nepomuk::Thing::referencingOccurrences() const
    {29, 344, 0, 0, Smoke::mf_const, 78, 13},	//409 Nepomuk::Thing::occurrences() const
    {29, 126, 47, 1, 0, 0, 14},	//410 Nepomuk::Thing::addGroundingOccurrence(const Nepomuk::Resource&)
    {29, 103, 0, 0, Smoke::mf_ctor, 42, 15},	//411 Nepomuk::Thing::Thing()
    {29, 103, 55, 1, Smoke::mf_ctor, 42, 16},	//412 Nepomuk::Thing::Thing(const QUrl&)
    {29, 103, 38, 1, Smoke::mf_ctor, 42, 17},	//413 Nepomuk::Thing::Thing(const QString&)
    {29, 566, 0, 0, Smoke::mf_dtor, 0, 18 },	//414 Nepomuk::Thing::~Thing()
    {30, 366, 157, 1, Smoke::mf_static, 288, 1},	//415 Nepomuk::Types::qHash(const Nepomuk::Types::Entity&)
    {31, 2, 0, 0, Smoke::mf_ctor, 45, 1},	//416 Nepomuk::Types::Class::Class()
    {31, 2, 55, 1, Smoke::mf_ctor, 45, 2},	//417 Nepomuk::Types::Class::Class(const QUrl&)
    {31, 2, 159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 3},	//418 Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    {31, 348, 159, 1, 0, 44, 4},	//419 Nepomuk::Types::Class::operator=(const Nepomuk::Types::Class&)
    {31, 373, 0, 0, 0, 81, 5},	//420 Nepomuk::Types::Class::rangeOf()
    {31, 373, 0, 0, Smoke::mf_const, 81, 6},	//421 Nepomuk::Types::Class::rangeOf() const
    {31, 198, 0, 0, 0, 81, 7},	//422 Nepomuk::Types::Class::domainOf()
    {31, 198, 0, 0, Smoke::mf_const, 81, 8},	//423 Nepomuk::Types::Class::domainOf() const
    {31, 225, 38, 1, 0, 53, 9},	//424 Nepomuk::Types::Class::findPropertyByName(const QString&)
    {31, 225, 38, 1, Smoke::mf_const, 53, 10},	//425 Nepomuk::Types::Class::findPropertyByName(const QString&) const
    {31, 222, 59, 2, 0, 53, 11},	//426 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    {31, 222, 59, 2, Smoke::mf_const, 53, 12},	//427 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    {31, 358, 0, 0, 0, 80, 13},	//428 Nepomuk::Types::Class::parentClasses()
    {31, 358, 0, 0, Smoke::mf_const, 80, 14},	//429 Nepomuk::Types::Class::parentClasses() const
    {31, 484, 0, 0, 0, 80, 15},	//430 Nepomuk::Types::Class::subClasses()
    {31, 484, 0, 0, Smoke::mf_const, 80, 16},	//431 Nepomuk::Types::Class::subClasses() const
    {31, 151, 0, 0, 0, 80, 17},	//432 Nepomuk::Types::Class::allParentClasses()
    {31, 151, 0, 0, Smoke::mf_const, 80, 18},	//433 Nepomuk::Types::Class::allParentClasses() const
    {31, 160, 0, 0, 0, 80, 19},	//434 Nepomuk::Types::Class::allSubClasses()
    {31, 160, 0, 0, Smoke::mf_const, 80, 20},	//435 Nepomuk::Types::Class::allSubClasses() const
    {31, 282, 159, 1, 0, 221, 21},	//436 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    {31, 282, 159, 1, Smoke::mf_const, 221, 22},	//437 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    {31, 291, 159, 1, 0, 221, 23},	//438 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    {31, 291, 159, 1, Smoke::mf_const, 221, 24},	//439 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    {31, 222, 38, 1, 0, 53, 25},	//440 Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    {31, 222, 38, 1, Smoke::mf_const, 53, 26},	//441 Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    {31, 548, 0, 0, Smoke::mf_dtor, 0, 27 },	//442 Nepomuk::Types::Class::~Class()
    {32, 10, 157, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 1},	//443 Nepomuk::Types::Entity::Entity(const Nepomuk::Types::Entity&)
    {32, 348, 157, 1, 0, 46, 2},	//444 Nepomuk::Types::Entity::operator=(const Nepomuk::Types::Entity&)
    {32, 337, 0, 0, Smoke::mf_const, 108, 3},	//445 Nepomuk::Types::Entity::name() const
    {32, 538, 0, 0, Smoke::mf_const, 115, 4},	//446 Nepomuk::Types::Entity::uri() const
    {32, 308, 38, 1, 0, 108, 5},	//447 Nepomuk::Types::Entity::label(const QString&)
    {32, 308, 38, 1, Smoke::mf_const, 108, 6},	//448 Nepomuk::Types::Entity::label(const QString&) const
    {32, 179, 38, 1, 0, 108, 7},	//449 Nepomuk::Types::Entity::comment(const QString&)
    {32, 179, 38, 1, Smoke::mf_const, 108, 8},	//450 Nepomuk::Types::Entity::comment(const QString&) const
    {32, 258, 0, 0, 0, 75, 9},	//451 Nepomuk::Types::Entity::icon()
    {32, 258, 0, 0, Smoke::mf_const, 75, 10},	//452 Nepomuk::Types::Entity::icon() const
    {32, 305, 0, 0, Smoke::mf_const, 221, 11},	//453 Nepomuk::Types::Entity::isValid() const
    {32, 268, 0, 0, 0, 221, 12},	//454 Nepomuk::Types::Entity::isAvailable()
    {32, 268, 0, 0, Smoke::mf_const, 221, 13},	//455 Nepomuk::Types::Entity::isAvailable() const
    {32, 388, 20, 1, 0, 0, 14},	//456 Nepomuk::Types::Entity::reset(bool)
    {32, 345, 0, 0, Smoke::mf_const, 115, 15},	//457 Nepomuk::Types::Entity::operator QUrl() const
    {32, 351, 157, 1, Smoke::mf_const, 221, 16},	//458 Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    {32, 351, 55, 1, Smoke::mf_const, 221, 17},	//459 Nepomuk::Types::Entity::operator==(const QUrl&) const
    {32, 346, 157, 1, Smoke::mf_const, 221, 18},	//460 Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    {32, 346, 55, 1, Smoke::mf_const, 221, 19},	//461 Nepomuk::Types::Entity::operator!=(const QUrl&) const
    {32, 10, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 47, 20},	//462 Nepomuk::Types::Entity::Entity()
    {32, 308, 0, 0, 0, 108, 21},	//463 Nepomuk::Types::Entity::label()
    {32, 308, 0, 0, Smoke::mf_const, 108, 22},	//464 Nepomuk::Types::Entity::label() const
    {32, 179, 0, 0, 0, 108, 23},	//465 Nepomuk::Types::Entity::comment()
    {32, 179, 0, 0, Smoke::mf_const, 108, 24},	//466 Nepomuk::Types::Entity::comment() const
    {32, 388, 0, 0, 0, 0, 25},	//467 Nepomuk::Types::Entity::reset()
    {32, 550, 0, 0, Smoke::mf_dtor, 0, 26 },	//468 Nepomuk::Types::Entity::~Entity()
    {33, 44, 0, 0, Smoke::mf_ctor, 50, 1},	//469 Nepomuk::Types::Literal::Literal()
    {33, 44, 161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//470 Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    {33, 44, 55, 1, Smoke::mf_ctor, 50, 3},	//471 Nepomuk::Types::Literal::Literal(const QUrl&)
    {33, 348, 161, 1, 0, 49, 4},	//472 Nepomuk::Types::Literal::operator=(const Nepomuk::Types::Literal&)
    {33, 189, 0, 0, Smoke::mf_const, 115, 5},	//473 Nepomuk::Types::Literal::dataTypeUri() const
    {33, 188, 0, 0, Smoke::mf_const, 117, 6},	//474 Nepomuk::Types::Literal::dataType() const
    {33, 305, 0, 0, Smoke::mf_const, 221, 7},	//475 Nepomuk::Types::Literal::isValid() const
    {33, 555, 0, 0, Smoke::mf_dtor, 0, 8 },	//476 Nepomuk::Types::Literal::~Literal()
    {34, 51, 0, 0, Smoke::mf_ctor, 52, 1},	//477 Nepomuk::Types::Ontology::Ontology()
    {34, 51, 55, 1, Smoke::mf_ctor, 52, 2},	//478 Nepomuk::Types::Ontology::Ontology(const QUrl&)
    {34, 51, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//479 Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    {34, 348, 163, 1, 0, 51, 4},	//480 Nepomuk::Types::Ontology::operator=(const Nepomuk::Types::Ontology&)
    {34, 149, 0, 0, 0, 80, 5},	//481 Nepomuk::Types::Ontology::allClasses()
    {34, 218, 38, 1, 0, 43, 6},	//482 Nepomuk::Types::Ontology::findClassByName(const QString&)
    {34, 215, 59, 2, 0, 43, 7},	//483 Nepomuk::Types::Ontology::findClassByLabel(const QString&, const QString&)
    {34, 152, 0, 0, 0, 81, 8},	//484 Nepomuk::Types::Ontology::allProperties()
    {34, 225, 38, 1, 0, 53, 9},	//485 Nepomuk::Types::Ontology::findPropertyByName(const QString&)
    {34, 222, 59, 2, 0, 53, 10},	//486 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&, const QString&)
    {34, 215, 38, 1, 0, 43, 11},	//487 Nepomuk::Types::Ontology::findClassByLabel(const QString&)
    {34, 222, 38, 1, 0, 53, 12},	//488 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&)
    {34, 557, 0, 0, Smoke::mf_dtor, 0, 13 },	//489 Nepomuk::Types::Ontology::~Ontology()
    {35, 59, 0, 0, Smoke::mf_ctor, 55, 1},	//490 Nepomuk::Types::Property::Property()
    {35, 59, 55, 1, Smoke::mf_ctor, 55, 2},	//491 Nepomuk::Types::Property::Property(const QUrl&)
    {35, 59, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//492 Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    {35, 348, 165, 1, 0, 54, 4},	//493 Nepomuk::Types::Property::operator=(const Nepomuk::Types::Property&)
    {35, 360, 0, 0, 0, 81, 5},	//494 Nepomuk::Types::Property::parentProperties()
    {35, 360, 0, 0, Smoke::mf_const, 81, 6},	//495 Nepomuk::Types::Property::parentProperties() const
    {35, 485, 0, 0, 0, 81, 7},	//496 Nepomuk::Types::Property::subProperties()
    {35, 485, 0, 0, Smoke::mf_const, 81, 8},	//497 Nepomuk::Types::Property::subProperties() const
    {35, 267, 0, 0, 0, 53, 9},	//498 Nepomuk::Types::Property::inverseProperty()
    {35, 267, 0, 0, Smoke::mf_const, 53, 10},	//499 Nepomuk::Types::Property::inverseProperty() const
    {35, 372, 0, 0, 0, 43, 11},	//500 Nepomuk::Types::Property::range()
    {35, 372, 0, 0, Smoke::mf_const, 43, 12},	//501 Nepomuk::Types::Property::range() const
    {35, 315, 0, 0, 0, 48, 13},	//502 Nepomuk::Types::Property::literalRangeType()
    {35, 315, 0, 0, Smoke::mf_const, 48, 14},	//503 Nepomuk::Types::Property::literalRangeType() const
    {35, 197, 0, 0, 0, 43, 15},	//504 Nepomuk::Types::Property::domain()
    {35, 197, 0, 0, Smoke::mf_const, 43, 16},	//505 Nepomuk::Types::Property::domain() const
    {35, 172, 0, 0, 0, 285, 17},	//506 Nepomuk::Types::Property::cardinality()
    {35, 172, 0, 0, Smoke::mf_const, 285, 18},	//507 Nepomuk::Types::Property::cardinality() const
    {35, 327, 0, 0, 0, 285, 19},	//508 Nepomuk::Types::Property::minCardinality()
    {35, 327, 0, 0, Smoke::mf_const, 285, 20},	//509 Nepomuk::Types::Property::minCardinality() const
    {35, 322, 0, 0, 0, 285, 21},	//510 Nepomuk::Types::Property::maxCardinality()
    {35, 322, 0, 0, Smoke::mf_const, 285, 22},	//511 Nepomuk::Types::Property::maxCardinality() const
    {35, 282, 165, 1, 0, 221, 23},	//512 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    {35, 282, 165, 1, Smoke::mf_const, 221, 24},	//513 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    {35, 293, 165, 1, 0, 221, 25},	//514 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    {35, 293, 165, 1, Smoke::mf_const, 221, 26},	//515 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    {35, 560, 0, 0, Smoke::mf_dtor, 0, 27 },	//516 Nepomuk::Types::Property::~Property()
    {36, 112, 0, 0, Smoke::mf_ctor, 58, 1},	//517 Nepomuk::Variant::Variant()
    {36, 112, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//518 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    {36, 112, 167, 1, Smoke::mf_ctor, 58, 3},	//519 Nepomuk::Variant::Variant(const QVariant&)
    {36, 112, 18, 1, Smoke::mf_ctor, 58, 4},	//520 Nepomuk::Variant::Variant(int)
    {36, 112, 169, 1, Smoke::mf_ctor, 58, 5},	//521 Nepomuk::Variant::Variant(long long)
    {36, 112, 16, 1, Smoke::mf_ctor, 58, 6},	//522 Nepomuk::Variant::Variant(unsigned int)
    {36, 112, 171, 1, Smoke::mf_ctor, 58, 7},	//523 Nepomuk::Variant::Variant(unsigned long long)
    {36, 112, 20, 1, Smoke::mf_ctor, 58, 8},	//524 Nepomuk::Variant::Variant(bool)
    {36, 112, 173, 1, Smoke::mf_ctor, 58, 9},	//525 Nepomuk::Variant::Variant(double)
    {36, 112, 1, 1, Smoke::mf_ctor, 58, 10},	//526 Nepomuk::Variant::Variant(const char*)
    {36, 112, 38, 1, Smoke::mf_ctor, 58, 11},	//527 Nepomuk::Variant::Variant(const QString&)
    {36, 112, 175, 1, Smoke::mf_ctor, 58, 12},	//528 Nepomuk::Variant::Variant(const QDate&)
    {36, 112, 177, 1, Smoke::mf_ctor, 58, 13},	//529 Nepomuk::Variant::Variant(const QTime&)
    {36, 112, 179, 1, Smoke::mf_ctor, 58, 14},	//530 Nepomuk::Variant::Variant(const QDateTime&)
    {36, 112, 55, 1, Smoke::mf_ctor, 58, 15},	//531 Nepomuk::Variant::Variant(const QUrl&)
    {36, 112, 47, 1, Smoke::mf_ctor, 58, 16},	//532 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    {36, 112, 181, 1, Smoke::mf_ctor, 58, 17},	//533 Nepomuk::Variant::Variant(const QList<int>&)
    {36, 112, 183, 1, Smoke::mf_ctor, 58, 18},	//534 Nepomuk::Variant::Variant(const QList<long long>&)
    {36, 112, 185, 1, Smoke::mf_ctor, 58, 19},	//535 Nepomuk::Variant::Variant(const QList<unsigned int>&)
    {36, 112, 187, 1, Smoke::mf_ctor, 58, 20},	//536 Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    {36, 112, 189, 1, Smoke::mf_ctor, 58, 21},	//537 Nepomuk::Variant::Variant(const QList<bool>&)
    {36, 112, 191, 1, Smoke::mf_ctor, 58, 22},	//538 Nepomuk::Variant::Variant(const QList<double>&)
    {36, 112, 45, 1, Smoke::mf_ctor, 58, 23},	//539 Nepomuk::Variant::Variant(const QStringList&)
    {36, 112, 193, 1, Smoke::mf_ctor, 58, 24},	//540 Nepomuk::Variant::Variant(const QList<QDate>&)
    {36, 112, 195, 1, Smoke::mf_ctor, 58, 25},	//541 Nepomuk::Variant::Variant(const QList<QTime>&)
    {36, 112, 197, 1, Smoke::mf_ctor, 58, 26},	//542 Nepomuk::Variant::Variant(const QList<QDateTime>&)
    {36, 112, 107, 1, Smoke::mf_ctor, 58, 27},	//543 Nepomuk::Variant::Variant(const QList<QUrl>&)
    {36, 112, 118, 1, Smoke::mf_ctor, 58, 28},	//544 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    {36, 112, 199, 1, Smoke::mf_ctor, 58, 29},	//545 Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    {36, 348, 49, 1, 0, 57, 30},	//546 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    {36, 348, 18, 1, 0, 57, 31},	//547 Nepomuk::Variant::operator=(int)
    {36, 348, 169, 1, 0, 57, 32},	//548 Nepomuk::Variant::operator=(long long)
    {36, 348, 16, 1, 0, 57, 33},	//549 Nepomuk::Variant::operator=(unsigned int)
    {36, 348, 171, 1, 0, 57, 34},	//550 Nepomuk::Variant::operator=(unsigned long long)
    {36, 348, 20, 1, 0, 57, 35},	//551 Nepomuk::Variant::operator=(bool)
    {36, 348, 173, 1, 0, 57, 36},	//552 Nepomuk::Variant::operator=(double)
    {36, 348, 38, 1, 0, 57, 37},	//553 Nepomuk::Variant::operator=(const QString&)
    {36, 348, 175, 1, 0, 57, 38},	//554 Nepomuk::Variant::operator=(const QDate&)
    {36, 348, 177, 1, 0, 57, 39},	//555 Nepomuk::Variant::operator=(const QTime&)
    {36, 348, 179, 1, 0, 57, 40},	//556 Nepomuk::Variant::operator=(const QDateTime&)
    {36, 348, 55, 1, 0, 57, 41},	//557 Nepomuk::Variant::operator=(const QUrl&)
    {36, 348, 47, 1, 0, 57, 42},	//558 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    {36, 348, 181, 1, 0, 57, 43},	//559 Nepomuk::Variant::operator=(const QList<int>&)
    {36, 348, 183, 1, 0, 57, 44},	//560 Nepomuk::Variant::operator=(const QList<long long>&)
    {36, 348, 185, 1, 0, 57, 45},	//561 Nepomuk::Variant::operator=(const QList<unsigned int>&)
    {36, 348, 187, 1, 0, 57, 46},	//562 Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    {36, 348, 189, 1, 0, 57, 47},	//563 Nepomuk::Variant::operator=(const QList<bool>&)
    {36, 348, 191, 1, 0, 57, 48},	//564 Nepomuk::Variant::operator=(const QList<double>&)
    {36, 348, 45, 1, 0, 57, 49},	//565 Nepomuk::Variant::operator=(const QStringList&)
    {36, 348, 193, 1, 0, 57, 50},	//566 Nepomuk::Variant::operator=(const QList<QDate>&)
    {36, 348, 195, 1, 0, 57, 51},	//567 Nepomuk::Variant::operator=(const QList<QTime>&)
    {36, 348, 197, 1, 0, 57, 52},	//568 Nepomuk::Variant::operator=(const QList<QDateTime>&)
    {36, 348, 107, 1, 0, 57, 53},	//569 Nepomuk::Variant::operator=(const QList<QUrl>&)
    {36, 348, 118, 1, 0, 57, 54},	//570 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    {36, 167, 18, 1, 0, 0, 55},	//571 Nepomuk::Variant::append(int)
    {36, 167, 169, 1, 0, 0, 56},	//572 Nepomuk::Variant::append(long long)
    {36, 167, 16, 1, 0, 0, 57},	//573 Nepomuk::Variant::append(unsigned int)
    {36, 167, 171, 1, 0, 0, 58},	//574 Nepomuk::Variant::append(unsigned long long)
    {36, 167, 20, 1, 0, 0, 59},	//575 Nepomuk::Variant::append(bool)
    {36, 167, 173, 1, 0, 0, 60},	//576 Nepomuk::Variant::append(double)
    {36, 167, 38, 1, 0, 0, 61},	//577 Nepomuk::Variant::append(const QString&)
    {36, 167, 175, 1, 0, 0, 62},	//578 Nepomuk::Variant::append(const QDate&)
    {36, 167, 177, 1, 0, 0, 63},	//579 Nepomuk::Variant::append(const QTime&)
    {36, 167, 179, 1, 0, 0, 64},	//580 Nepomuk::Variant::append(const QDateTime&)
    {36, 167, 55, 1, 0, 0, 65},	//581 Nepomuk::Variant::append(const QUrl&)
    {36, 167, 47, 1, 0, 0, 66},	//582 Nepomuk::Variant::append(const Nepomuk::Resource&)
    {36, 167, 49, 1, 0, 0, 67},	//583 Nepomuk::Variant::append(const Nepomuk::Variant&)
    {36, 351, 49, 1, Smoke::mf_const, 221, 68},	//584 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
    {36, 346, 49, 1, Smoke::mf_const, 221, 69},	//585 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
    {36, 305, 0, 0, Smoke::mf_const, 221, 70},	//586 Nepomuk::Variant::isValid() const
    {36, 534, 0, 0, Smoke::mf_const, 285, 71},	//587 Nepomuk::Variant::type() const
    {36, 479, 0, 0, Smoke::mf_const, 285, 72},	//588 Nepomuk::Variant::simpleType() const
    {36, 281, 0, 0, Smoke::mf_const, 221, 73},	//589 Nepomuk::Variant::isList() const
    {36, 277, 0, 0, Smoke::mf_const, 221, 74},	//590 Nepomuk::Variant::isInt() const
    {36, 278, 0, 0, Smoke::mf_const, 221, 75},	//591 Nepomuk::Variant::isInt64() const
    {36, 299, 0, 0, Smoke::mf_const, 221, 76},	//592 Nepomuk::Variant::isUnsignedInt() const
    {36, 300, 0, 0, Smoke::mf_const, 221, 77},	//593 Nepomuk::Variant::isUnsignedInt64() const
    {36, 269, 0, 0, Smoke::mf_const, 221, 78},	//594 Nepomuk::Variant::isBool() const
    {36, 275, 0, 0, Smoke::mf_const, 221, 79},	//595 Nepomuk::Variant::isDouble() const
    {36, 289, 0, 0, Smoke::mf_const, 221, 80},	//596 Nepomuk::Variant::isString() const
    {36, 271, 0, 0, Smoke::mf_const, 221, 81},	//597 Nepomuk::Variant::isDate() const
    {36, 295, 0, 0, Smoke::mf_const, 221, 82},	//598 Nepomuk::Variant::isTime() const
    {36, 273, 0, 0, Smoke::mf_const, 221, 83},	//599 Nepomuk::Variant::isDateTime() const
    {36, 303, 0, 0, Smoke::mf_const, 221, 84},	//600 Nepomuk::Variant::isUrl() const
    {36, 287, 0, 0, Smoke::mf_const, 221, 85},	//601 Nepomuk::Variant::isResource() const
    {36, 280, 0, 0, Smoke::mf_const, 221, 86},	//602 Nepomuk::Variant::isIntList() const
    {36, 279, 0, 0, Smoke::mf_const, 221, 87},	//603 Nepomuk::Variant::isInt64List() const
    {36, 302, 0, 0, Smoke::mf_const, 221, 88},	//604 Nepomuk::Variant::isUnsignedIntList() const
    {36, 301, 0, 0, Smoke::mf_const, 221, 89},	//605 Nepomuk::Variant::isUnsignedInt64List() const
    {36, 270, 0, 0, Smoke::mf_const, 221, 90},	//606 Nepomuk::Variant::isBoolList() const
    {36, 276, 0, 0, Smoke::mf_const, 221, 91},	//607 Nepomuk::Variant::isDoubleList() const
    {36, 290, 0, 0, Smoke::mf_const, 221, 92},	//608 Nepomuk::Variant::isStringList() const
    {36, 272, 0, 0, Smoke::mf_const, 221, 93},	//609 Nepomuk::Variant::isDateList() const
    {36, 296, 0, 0, Smoke::mf_const, 221, 94},	//610 Nepomuk::Variant::isTimeList() const
    {36, 274, 0, 0, Smoke::mf_const, 221, 95},	//611 Nepomuk::Variant::isDateTimeList() const
    {36, 304, 0, 0, Smoke::mf_const, 221, 96},	//612 Nepomuk::Variant::isUrlList() const
    {36, 288, 0, 0, Smoke::mf_const, 221, 97},	//613 Nepomuk::Variant::isResourceList() const
    {36, 544, 0, 0, Smoke::mf_const, 116, 98},	//614 Nepomuk::Variant::variant() const
    {36, 507, 0, 0, Smoke::mf_const, 285, 99},	//615 Nepomuk::Variant::toInt() const
    {36, 508, 0, 0, Smoke::mf_const, 287, 100},	//616 Nepomuk::Variant::toInt64() const
    {36, 517, 0, 0, Smoke::mf_const, 288, 101},	//617 Nepomuk::Variant::toUnsignedInt() const
    {36, 518, 0, 0, Smoke::mf_const, 289, 102},	//618 Nepomuk::Variant::toUnsignedInt64() const
    {36, 499, 0, 0, Smoke::mf_const, 221, 103},	//619 Nepomuk::Variant::toBool() const
    {36, 505, 0, 0, Smoke::mf_const, 284, 104},	//620 Nepomuk::Variant::toDouble() const
    {36, 513, 0, 0, Smoke::mf_const, 108, 105},	//621 Nepomuk::Variant::toString() const
    {36, 501, 0, 0, Smoke::mf_const, 64, 106},	//622 Nepomuk::Variant::toDate() const
    {36, 515, 0, 0, Smoke::mf_const, 113, 107},	//623 Nepomuk::Variant::toTime() const
    {36, 503, 0, 0, Smoke::mf_const, 65, 108},	//624 Nepomuk::Variant::toDateTime() const
    {36, 521, 0, 0, Smoke::mf_const, 115, 109},	//625 Nepomuk::Variant::toUrl() const
    {36, 511, 0, 0, Smoke::mf_const, 27, 110},	//626 Nepomuk::Variant::toResource() const
    {36, 510, 0, 0, Smoke::mf_const, 93, 111},	//627 Nepomuk::Variant::toIntList() const
    {36, 509, 0, 0, Smoke::mf_const, 94, 112},	//628 Nepomuk::Variant::toInt64List() const
    {36, 520, 0, 0, Smoke::mf_const, 95, 113},	//629 Nepomuk::Variant::toUnsignedIntList() const
    {36, 519, 0, 0, Smoke::mf_const, 96, 114},	//630 Nepomuk::Variant::toUnsignedInt64List() const
    {36, 500, 0, 0, Smoke::mf_const, 89, 115},	//631 Nepomuk::Variant::toBoolList() const
    {36, 506, 0, 0, Smoke::mf_const, 92, 116},	//632 Nepomuk::Variant::toDoubleList() const
    {36, 514, 0, 0, Smoke::mf_const, 109, 117},	//633 Nepomuk::Variant::toStringList() const
    {36, 502, 0, 0, Smoke::mf_const, 83, 118},	//634 Nepomuk::Variant::toDateList() const
    {36, 516, 0, 0, Smoke::mf_const, 85, 119},	//635 Nepomuk::Variant::toTimeList() const
    {36, 504, 0, 0, Smoke::mf_const, 84, 120},	//636 Nepomuk::Variant::toDateTimeList() const
    {36, 522, 0, 0, Smoke::mf_const, 86, 121},	//637 Nepomuk::Variant::toUrlList() const
    {36, 512, 0, 0, Smoke::mf_const, 78, 122},	//638 Nepomuk::Variant::toResourceList() const
    {36, 523, 0, 0, Smoke::mf_const, 82, 123},	//639 Nepomuk::Variant::toVariantList() const
    {36, 239, 40, 2, Smoke::mf_static, 56, 124},	//640 Nepomuk::Variant::fromString(const QString&, int)
    {36, 233, 53, 1, Smoke::mf_static, 56, 125},	//641 Nepomuk::Variant::fromNode(const Soprano::Node&)
    {36, 567, 0, 0, Smoke::mf_dtor, 0, 126 },	//642 Nepomuk::Variant::~Variant()
    {51, 209, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//643 QFrame::event(QEvent*)
    {51, 173, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QFrame::changeEvent(QEvent*)
    {52, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 1},	//645 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {52, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 2},	//646 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {52, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 3},	//647 QGlobalSpace::Q_STATIC_TYPE (enum)
    {52, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 4},	//648 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 286, 5},	//649 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {52, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 6},	//650 QGlobalSpace::LicensedGui (enum)
    {52, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 7},	//651 QGlobalSpace::LicensedXml (enum)
    {52, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 8},	//652 QGlobalSpace::LicensedQt3SupportLight (enum)
    {52, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 9},	//653 QGlobalSpace::LicensedScript (enum)
    {52, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 10},	//654 QGlobalSpace::LicensedOpenVG (enum)
    {52, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 11},	//655 QGlobalSpace::LicensedDBus (enum)
    {52, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 12},	//656 QGlobalSpace::LicensedTest (enum)
    {52, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 13},	//657 QGlobalSpace::LicensedActiveQt (enum)
    {52, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 14},	//658 QGlobalSpace::LicensedScriptTools (enum)
    {52, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 15},	//659 QGlobalSpace::LicensedSvg (enum)
    {52, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 16},	//660 QGlobalSpace::LicensedDeclarative (enum)
    {52, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 17},	//661 QGlobalSpace::LicensedSql (enum)
    {52, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 18},	//662 QGlobalSpace::LicensedOpenGL (enum)
    {52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 19},	//663 QGlobalSpace::LicensedCore (enum)
    {52, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 20},	//664 QGlobalSpace::QtDebugMsg (enum)
    {52, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 21},	//665 QGlobalSpace::QtWarningMsg (enum)
    {52, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 22},	//666 QGlobalSpace::QtCriticalMsg (enum)
    {52, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 23},	//667 QGlobalSpace::QtFatalMsg (enum)
    {52, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 24},	//668 QGlobalSpace::QtSystemMsg (enum)
    {52, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 25},	//669 QGlobalSpace::LicensedHelp (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 26},	//670 QGlobalSpace::LicensedMultimedia (enum)
    {52, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//671 QGlobalSpace::LicensedQt3Support (enum)
    {52, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 28},	//672 QGlobalSpace::LicensedXmlPatterns (enum)
    {52, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 29},	//673 QGlobalSpace::LicensedNetwork (enum)
    {52, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//674 QGlobalSpace::__codecvt_ok (enum)
    {52, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//675 QGlobalSpace::__codecvt_partial (enum)
    {52, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//676 QGlobalSpace::__codecvt_error (enum)
    {52, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//677 QGlobalSpace::__codecvt_noconv (enum)
    {60, 209, 32, 1, Smoke::mf_virtual, 221, 0},	//678 QObject::event(QEvent*)
    {60, 210, 201, 2, Smoke::mf_virtual, 221, 0},	//679 QObject::eventFilter(QObject*, QEvent*)
    {60, 498, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QObject::timerEvent(QTimerEvent*)
    {60, 174, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QObject::childEvent(QChildEvent*)
    {60, 187, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QObject::customEvent(QEvent*)
    {60, 181, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QObject::connectNotify(const char*)
    {60, 196, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QObject::disconnectNotify(const char*)
    {76, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//685 QWidget::devType() const
    {76, 477, 20, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//686 QWidget::setVisible(bool)
    {76, 480, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 107, 0},	//687 QWidget::sizeHint() const
    {76, 328, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 107, 0},	//688 QWidget::minimumSizeHint() const
    {76, 256, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//689 QWidget::heightForWidth(int) const
    {76, 354, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 102, 0},	//690 QWidget::paintEngine() const
    {76, 209, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//691 QWidget::event(QEvent*)
    {76, 333, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::mousePressEvent(QMouseEvent*)
    {76, 335, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 330, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 331, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 545, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::wheelEvent(QWheelEvent*)
    {76, 306, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::keyPressEvent(QKeyEvent*)
    {76, 307, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 229, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//699 QWidget::focusInEvent(QFocusEvent*)
    {76, 231, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//700 QWidget::focusOutEvent(QFocusEvent*)
    {76, 204, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//701 QWidget::enterEvent(QEvent*)
    {76, 313, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//702 QWidget::leaveEvent(QEvent*)
    {76, 355, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//703 QWidget::paintEvent(QPaintEvent*)
    {76, 336, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//704 QWidget::moveEvent(QMoveEvent*)
    {76, 390, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//705 QWidget::resizeEvent(QResizeEvent*)
    {76, 178, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//706 QWidget::closeEvent(QCloseEvent*)
    {76, 182, 218, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//707 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 488, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//708 QWidget::tabletEvent(QTabletEvent*)
    {76, 121, 222, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//709 QWidget::actionEvent(QActionEvent*)
    {76, 199, 224, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//710 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 201, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//711 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 200, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//712 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 202, 230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//713 QWidget::dropEvent(QDropEvent*)
    {76, 478, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//714 QWidget::showEvent(QShowEvent*)
    {76, 257, 234, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//715 QWidget::hideEvent(QHideEvent*)
    {76, 547, 236, 1, Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//716 QWidget::x11Event(_XEvent*)
    {76, 173, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//717 QWidget::changeEvent(QEvent*)
    {76, 326, 238, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 285, 0},	//718 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 264, 240, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//719 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 265, 242, 1, Smoke::mf_const|Smoke::mf_virtual, 116, 0},	//720 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 230, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//721 QWidget::focusNextPrevChild(bool)
    {76, 483, 244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//722 QWidget::styleChange(QStyle&)
    {76, 203, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//723 QWidget::enabledChange(bool)
    {76, 357, 246, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//724 QWidget::paletteChange(const QPalette&)
    {76, 232, 248, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//725 QWidget::fontChange(const QFont&)
    {76, 546, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//726 QWidget::windowActivationChange(bool)
    {76, 311, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//727 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    17,  // KRatingWidget::ratingChanged(unsigned int)
    18,  // KRatingWidget::ratingChanged(int)
    0,
    21,  // KRatingWidget::setMaxRating(int)
    22,  // KRatingWidget::setMaxRating(unsigned int)
    0,
    19,  // KRatingWidget::setRating(int)
    20,  // KRatingWidget::setRating(unsigned int)
    0,
    401,  // Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    402,  // Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    403,  // Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    412,  // Nepomuk::Thing::Thing(const QUrl&)
    0,
    404,  // Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    405,  // Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    406,  // Nepomuk::Thing::operator=(const QUrl&)
    0,
    478,  // Nepomuk::Types::Ontology::Ontology(const QUrl&)
    479,  // Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    0,
    138,  // Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    139,  // Nepomuk::Literal::Literal(const QUrl&)
    0,
    330,  // Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    331,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    332,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    335,  // Nepomuk::Tag::Tag(const QUrl&)
    0,
    336,  // Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    342,  // Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    0,
    334,  // Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    341,  // Nepomuk::Tag::Tag(const QString&, const QUrl&)
    0,
    470,  // Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    471,  // Nepomuk::Types::Literal::Literal(const QUrl&)
    0,
    491,  // Nepomuk::Types::Property::Property(const QUrl&)
    492,  // Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    0,
    506,  // Nepomuk::Types::Property::cardinality()
    507,  // Nepomuk::Types::Property::cardinality() const
    0,
    504,  // Nepomuk::Types::Property::domain()
    505,  // Nepomuk::Types::Property::domain() const
    0,
    498,  // Nepomuk::Types::Property::inverseProperty()
    499,  // Nepomuk::Types::Property::inverseProperty() const
    0,
    512,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    513,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    0,
    514,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    515,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    0,
    502,  // Nepomuk::Types::Property::literalRangeType()
    503,  // Nepomuk::Types::Property::literalRangeType() const
    0,
    510,  // Nepomuk::Types::Property::maxCardinality()
    511,  // Nepomuk::Types::Property::maxCardinality() const
    0,
    508,  // Nepomuk::Types::Property::minCardinality()
    509,  // Nepomuk::Types::Property::minCardinality() const
    0,
    494,  // Nepomuk::Types::Property::parentProperties()
    495,  // Nepomuk::Types::Property::parentProperties() const
    0,
    500,  // Nepomuk::Types::Property::range()
    501,  // Nepomuk::Types::Property::range() const
    0,
    496,  // Nepomuk::Types::Property::subProperties()
    497,  // Nepomuk::Types::Property::subProperties() const
    0,
    518,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    519,  // Nepomuk::Variant::Variant(const QVariant&)
    528,  // Nepomuk::Variant::Variant(const QDate&)
    529,  // Nepomuk::Variant::Variant(const QTime&)
    530,  // Nepomuk::Variant::Variant(const QDateTime&)
    531,  // Nepomuk::Variant::Variant(const QUrl&)
    532,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    0,
    520,  // Nepomuk::Variant::Variant(int)
    521,  // Nepomuk::Variant::Variant(long long)
    522,  // Nepomuk::Variant::Variant(unsigned int)
    523,  // Nepomuk::Variant::Variant(unsigned long long)
    524,  // Nepomuk::Variant::Variant(bool)
    525,  // Nepomuk::Variant::Variant(double)
    526,  // Nepomuk::Variant::Variant(const char*)
    527,  // Nepomuk::Variant::Variant(const QString&)
    0,
    533,  // Nepomuk::Variant::Variant(const QList<int>&)
    534,  // Nepomuk::Variant::Variant(const QList<long long>&)
    535,  // Nepomuk::Variant::Variant(const QList<unsigned int>&)
    536,  // Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    537,  // Nepomuk::Variant::Variant(const QList<bool>&)
    538,  // Nepomuk::Variant::Variant(const QList<double>&)
    539,  // Nepomuk::Variant::Variant(const QStringList&)
    540,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    541,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    542,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    543,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    544,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    545,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    0,
    578,  // Nepomuk::Variant::append(const QDate&)
    579,  // Nepomuk::Variant::append(const QTime&)
    580,  // Nepomuk::Variant::append(const QDateTime&)
    581,  // Nepomuk::Variant::append(const QUrl&)
    582,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    583,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    0,
    571,  // Nepomuk::Variant::append(int)
    572,  // Nepomuk::Variant::append(long long)
    573,  // Nepomuk::Variant::append(unsigned int)
    574,  // Nepomuk::Variant::append(unsigned long long)
    575,  // Nepomuk::Variant::append(bool)
    576,  // Nepomuk::Variant::append(double)
    577,  // Nepomuk::Variant::append(const QString&)
    0,
    546,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    554,  // Nepomuk::Variant::operator=(const QDate&)
    555,  // Nepomuk::Variant::operator=(const QTime&)
    556,  // Nepomuk::Variant::operator=(const QDateTime&)
    557,  // Nepomuk::Variant::operator=(const QUrl&)
    558,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    0,
    547,  // Nepomuk::Variant::operator=(int)
    548,  // Nepomuk::Variant::operator=(long long)
    549,  // Nepomuk::Variant::operator=(unsigned int)
    550,  // Nepomuk::Variant::operator=(unsigned long long)
    551,  // Nepomuk::Variant::operator=(bool)
    552,  // Nepomuk::Variant::operator=(double)
    553,  // Nepomuk::Variant::operator=(const QString&)
    0,
    559,  // Nepomuk::Variant::operator=(const QList<int>&)
    560,  // Nepomuk::Variant::operator=(const QList<long long>&)
    561,  // Nepomuk::Variant::operator=(const QList<unsigned int>&)
    562,  // Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    563,  // Nepomuk::Variant::operator=(const QList<bool>&)
    564,  // Nepomuk::Variant::operator=(const QList<double>&)
    565,  // Nepomuk::Variant::operator=(const QStringList&)
    566,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    567,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    568,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    569,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    570,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    0,
    188,  // Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    189,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    195,  // Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    278,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    196,  // Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    197,  // Nepomuk::Resource::operator=(const QUrl&)
    0,
    371,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    389,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
    465,  // Nepomuk::Types::Entity::comment()
    466,  // Nepomuk::Types::Entity::comment() const
    0,
    449,  // Nepomuk::Types::Entity::comment(const QString&)
    450,  // Nepomuk::Types::Entity::comment(const QString&) const
    0,
    451,  // Nepomuk::Types::Entity::icon()
    452,  // Nepomuk::Types::Entity::icon() const
    0,
    454,  // Nepomuk::Types::Entity::isAvailable()
    455,  // Nepomuk::Types::Entity::isAvailable() const
    0,
    463,  // Nepomuk::Types::Entity::label()
    464,  // Nepomuk::Types::Entity::label() const
    0,
    447,  // Nepomuk::Types::Entity::label(const QString&)
    448,  // Nepomuk::Types::Entity::label(const QString&) const
    0,
    460,  // Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    461,  // Nepomuk::Types::Entity::operator!=(const QUrl&) const
    0,
    458,  // Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    459,  // Nepomuk::Types::Entity::operator==(const QUrl&) const
    0,
    417,  // Nepomuk::Types::Class::Class(const QUrl&)
    418,  // Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    0,
    432,  // Nepomuk::Types::Class::allParentClasses()
    433,  // Nepomuk::Types::Class::allParentClasses() const
    0,
    434,  // Nepomuk::Types::Class::allSubClasses()
    435,  // Nepomuk::Types::Class::allSubClasses() const
    0,
    422,  // Nepomuk::Types::Class::domainOf()
    423,  // Nepomuk::Types::Class::domainOf() const
    0,
    440,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    441,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    0,
    426,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    427,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    0,
    424,  // Nepomuk::Types::Class::findPropertyByName(const QString&)
    425,  // Nepomuk::Types::Class::findPropertyByName(const QString&) const
    0,
    436,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    437,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    0,
    438,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    439,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    0,
    428,  // Nepomuk::Types::Class::parentClasses()
    429,  // Nepomuk::Types::Class::parentClasses() const
    0,
    420,  // Nepomuk::Types::Class::rangeOf()
    421,  // Nepomuk::Types::Class::rangeOf() const
    0,
    430,  // Nepomuk::Types::Class::subClasses()
    431,  // Nepomuk::Types::Class::subClasses() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 19, 39},	// KRatingWidget::KRatingWidget
    {4, 20, 8},	// KRatingWidget::KRatingWidget#
    {4, 148, 11},	// KRatingWidget::alignment
    {4, 249, 15},	// KRatingWidget::halfStepsEnabled
    {4, 258, 16},	// KRatingWidget::icon
    {4, 312, 12},	// KRatingWidget::layoutDirection
    {4, 314, 34},	// KRatingWidget::leaveEvent#
    {4, 323, 10},	// KRatingWidget::maxRating
    {4, 325, 1},	// KRatingWidget::metaObject
    {4, 332, 33},	// KRatingWidget::mouseMoveEvent#
    {4, 334, 32},	// KRatingWidget::mousePressEvent#
    {4, 356, 35},	// KRatingWidget::paintEvent#
    {4, 369, 7},	// KRatingWidget::qt_metacall$$?
    {4, 371, 2},	// KRatingWidget::qt_metacast$
    {4, 374, 9},	// KRatingWidget::rating
    {4, 376, -1},	// KRatingWidget::ratingChanged$
    {4, 391, 36},	// KRatingWidget::resizeEvent#
    {4, 401, 26},	// KRatingWidget::setAlignment$
    {4, 411, 29},	// KRatingWidget::setCustomPixmap#
    {4, 419, 23},	// KRatingWidget::setHalfStepsEnabled$
    {4, 421, 28},	// KRatingWidget::setIcon#
    {4, 431, 27},	// KRatingWidget::setLayoutDirection$
    {4, 435, -4},	// KRatingWidget::setMaxRating$
    {4, 443, 24},	// KRatingWidget::setOnlyPaintFullSteps$
    {4, 449, 30},	// KRatingWidget::setPixmap#
    {4, 451, 31},	// KRatingWidget::setPixmapSize$
    {4, 456, -7},	// KRatingWidget::setRating$
    {4, 464, 25},	// KRatingWidget::setSpacing$
    {4, 480, 14},	// KRatingWidget::sizeHint
    {4, 481, 13},	// KRatingWidget::spacing
    {4, 482, 40},	// KRatingWidget::staticMetaObject
    {4, 527, 37},	// KRatingWidget::tr$
    {4, 528, 3},	// KRatingWidget::tr$$
    {4, 529, 5},	// KRatingWidget::tr$$$
    {4, 531, 38},	// KRatingWidget::trUtf8$
    {4, 532, 4},	// KRatingWidget::trUtf8$$
    {4, 533, 6},	// KRatingWidget::trUtf8$$$
    {4, 552, 41},	// KRatingWidget::~KRatingWidget
    {6, 21, 60},	// KTagCloudWidget::KTagCloudWidget
    {6, 22, 49},	// KTagCloudWidget::KTagCloudWidget#
    {6, 141, 51},	// KTagCloudWidget::addTag$$
    {6, 143, 52},	// KTagCloudWidget::addTags?
    {6, 176, 53},	// KTagCloudWidget::clear
    {6, 325, 42},	// KTagCloudWidget::metaObject
    {6, 369, 48},	// KTagCloudWidget::qt_metacall$$?
    {6, 371, 43},	// KTagCloudWidget::qt_metacast$
    {6, 391, 57},	// KTagCloudWidget::resizeEvent#
    {6, 433, 54},	// KTagCloudWidget::setMaxFontSize$
    {6, 439, 55},	// KTagCloudWidget::setMinFontSize$
    {6, 482, 61},	// KTagCloudWidget::staticMetaObject
    {6, 491, 56},	// KTagCloudWidget::tagClicked$
    {6, 495, 50},	// KTagCloudWidget::tagWeight$
    {6, 527, 58},	// KTagCloudWidget::tr$
    {6, 528, 44},	// KTagCloudWidget::tr$$
    {6, 529, 46},	// KTagCloudWidget::tr$$$
    {6, 531, 59},	// KTagCloudWidget::trUtf8$
    {6, 532, 45},	// KTagCloudWidget::trUtf8$$
    {6, 533, 47},	// KTagCloudWidget::trUtf8$$$
    {6, 553, 62},	// KTagCloudWidget::~KTagCloudWidget
    {7, 23, 78},	// KTagDisplayWidget::KTagDisplayWidget
    {7, 24, 70},	// KTagDisplayWidget::KTagDisplayWidget#
    {7, 140, 72},	// KTagDisplayWidget::addTag$
    {7, 143, 73},	// KTagDisplayWidget::addTags?
    {7, 176, 74},	// KTagDisplayWidget::clear
    {7, 325, 63},	// KTagDisplayWidget::metaObject
    {7, 369, 69},	// KTagDisplayWidget::qt_metacall$$?
    {7, 371, 64},	// KTagDisplayWidget::qt_metacast$
    {7, 472, 71},	// KTagDisplayWidget::setTags?
    {7, 482, 79},	// KTagDisplayWidget::staticMetaObject
    {7, 491, 75},	// KTagDisplayWidget::tagClicked$
    {7, 527, 76},	// KTagDisplayWidget::tr$
    {7, 528, 65},	// KTagDisplayWidget::tr$$
    {7, 529, 67},	// KTagDisplayWidget::tr$$$
    {7, 531, 77},	// KTagDisplayWidget::trUtf8$
    {7, 532, 66},	// KTagDisplayWidget::trUtf8$$
    {7, 533, 68},	// KTagDisplayWidget::trUtf8$$$
    {7, 554, 80},	// KTagDisplayWidget::~KTagDisplayWidget
    {9, 4, 95},	// Nepomuk::CommunicationError
    {9, 18, 96},	// Nepomuk::InvalidType
    {9, 49, 94},	// Nepomuk::NoError
    {9, 72, 91},	// Nepomuk::RDFLiteralToValue#
    {9, 110, 97},	// Nepomuk::UnknownError
    {9, 190, 87},	// Nepomuk::defaultGraph
    {9, 208, 86},	// Nepomuk::errorString$
    {9, 213, 92},	// Nepomuk::extractNamespace#
    {9, 338, 90},	// Nepomuk::naoNamespace
    {9, 343, 85},	// Nepomuk::nrlNamespace
    {9, 367, 82},	// Nepomuk::qHash#
    {9, 378, 81},	// Nepomuk::rdfNamepace
    {9, 379, 89},	// Nepomuk::rdfsNamespace
    {9, 413, 84},	// Nepomuk::setDefaultRepository$
    {9, 535, 88},	// Nepomuk::typePredicate
    {9, 541, 93},	// Nepomuk::valueToRDFNode#
    {9, 543, 83},	// Nepomuk::valuesToRDFNodes#
    {10, 2, 98},	// Nepomuk::Class::Class
    {10, 3, 99},	// Nepomuk::Class::Class#
    {10, 152, 101},	// Nepomuk::Class::allProperties
    {10, 223, 110},	// Nepomuk::Class::findPropertyByLabel$
    {10, 224, 103},	// Nepomuk::Class::findPropertyByLabel$$
    {10, 226, 102},	// Nepomuk::Class::findPropertyByName$
    {10, 228, 104},	// Nepomuk::Class::findPropertyByUri#
    {10, 283, 107},	// Nepomuk::Class::isParentOf#
    {10, 292, 108},	// Nepomuk::Class::isSubClassOf#
    {10, 317, 109},	// Nepomuk::Class::load#
    {10, 349, 100},	// Nepomuk::Class::operator=#
    {10, 358, 105},	// Nepomuk::Class::parentClasses
    {10, 484, 106},	// Nepomuk::Class::subClasses
    {10, 548, 111},	// Nepomuk::Class::~Class
    {11, 5, 112},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader
    {11, 6, 115},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader#
    {11, 150, 113},	// Nepomuk::DesktopOntologyLoader::allOntologies
    {11, 319, 114},	// Nepomuk::DesktopOntologyLoader::loadOntology#
    {11, 549, 116},	// Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader
    {12, 10, 124},	// Nepomuk::Entity::Entity
    {12, 11, 117},	// Nepomuk::Entity::Entity#
    {12, 179, 126},	// Nepomuk::Entity::comment
    {12, 180, 123},	// Nepomuk::Entity::comment$
    {12, 191, 119},	// Nepomuk::Entity::definingOntology
    {12, 308, 125},	// Nepomuk::Entity::label
    {12, 309, 122},	// Nepomuk::Entity::label$
    {12, 337, 120},	// Nepomuk::Entity::name
    {12, 349, 118},	// Nepomuk::Entity::operator=#
    {12, 538, 121},	// Nepomuk::Entity::uri
    {12, 550, 127},	// Nepomuk::Entity::~Entity
    {13, 12, 128},	// Nepomuk::FileOntologyLoader::FileOntologyLoader
    {13, 13, 134},	// Nepomuk::FileOntologyLoader::FileOntologyLoader#
    {13, 14, 135},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$
    {13, 15, 129},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$$
    {13, 214, 131},	// Nepomuk::FileOntologyLoader::fileName
    {13, 319, 133},	// Nepomuk::FileOntologyLoader::loadOntology#
    {13, 417, 130},	// Nepomuk::FileOntologyLoader::setFileName$
    {13, 460, 132},	// Nepomuk::FileOntologyLoader::setSerialization$
    {13, 551, 136},	// Nepomuk::FileOntologyLoader::~FileOntologyLoader
    {14, 44, 137},	// Nepomuk::Literal::Literal
    {14, 45, -22},	// Nepomuk::Literal::Literal#
    {14, 188, 142},	// Nepomuk::Literal::dataType
    {14, 189, 141},	// Nepomuk::Literal::dataTypeUri
    {14, 349, 140},	// Nepomuk::Literal::operator=#
    {14, 555, 143},	// Nepomuk::Literal::~Literal
    {15, 47, 144},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader
    {15, 48, 146},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader#
    {15, 319, 145},	// Nepomuk::NepomukOntologyLoader::loadOntology#
    {15, 556, 147},	// Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader
    {16, 51, 148},	// Nepomuk::Ontology::Ontology
    {16, 52, 149},	// Nepomuk::Ontology::Ontology#
    {16, 149, 152},	// Nepomuk::Ontology::allClasses
    {16, 152, 156},	// Nepomuk::Ontology::allProperties
    {16, 216, 161},	// Nepomuk::Ontology::findClassByLabel$
    {16, 217, 154},	// Nepomuk::Ontology::findClassByLabel$$
    {16, 219, 153},	// Nepomuk::Ontology::findClassByName$
    {16, 221, 155},	// Nepomuk::Ontology::findClassByUri#
    {16, 223, 162},	// Nepomuk::Ontology::findPropertyByLabel$
    {16, 224, 158},	// Nepomuk::Ontology::findPropertyByLabel$$
    {16, 226, 157},	// Nepomuk::Ontology::findPropertyByName$
    {16, 228, 159},	// Nepomuk::Ontology::findPropertyByUri#
    {16, 317, 160},	// Nepomuk::Ontology::load#
    {16, 349, 150},	// Nepomuk::Ontology::operator=#
    {16, 538, 151},	// Nepomuk::Ontology::uri
    {16, 557, 163},	// Nepomuk::Ontology::~Ontology
    {17, 53, 165},	// Nepomuk::OntologyLoader::OntologyLoader
    {17, 54, 166},	// Nepomuk::OntologyLoader::OntologyLoader#
    {17, 319, 164},	// Nepomuk::OntologyLoader::loadOntology#
    {17, 558, 167},	// Nepomuk::OntologyLoader::~OntologyLoader
    {18, 56, 171},	// Nepomuk::OntologyManager::OntologyManager#
    {18, 247, 170},	// Nepomuk::OntologyManager::getOntology#
    {18, 266, 168},	// Nepomuk::OntologyManager::instance
    {18, 445, 169},	// Nepomuk::OntologyManager::setOntologyLoader#
    {18, 559, 172},	// Nepomuk::OntologyManager::~OntologyManager
    {19, 59, 173},	// Nepomuk::Property::Property
    {19, 60, 174},	// Nepomuk::Property::Property#
    {19, 172, 182},	// Nepomuk::Property::cardinality
    {19, 197, 181},	// Nepomuk::Property::domain
    {19, 267, 178},	// Nepomuk::Property::inverseProperty
    {19, 315, 180},	// Nepomuk::Property::literalRangeType
    {19, 317, 185},	// Nepomuk::Property::load#
    {19, 322, 184},	// Nepomuk::Property::maxCardinality
    {19, 327, 183},	// Nepomuk::Property::minCardinality
    {19, 349, 175},	// Nepomuk::Property::operator=#
    {19, 359, 177},	// Nepomuk::Property::parentOf
    {19, 360, 176},	// Nepomuk::Property::parentProperties
    {19, 372, 179},	// Nepomuk::Property::range
    {19, 560, 186},	// Nepomuk::Property::~Property
    {22, 75, 187},	// Nepomuk::Resource::Resource
    {22, 76, -149},	// Nepomuk::Resource::Resource#
    {22, 77, 193},	// Nepomuk::Resource::Resource##
    {22, 78, 194},	// Nepomuk::Resource::Resource###
    {22, 79, 277},	// Nepomuk::Resource::Resource$
    {22, 80, 190},	// Nepomuk::Resource::Resource$#
    {22, 81, 191},	// Nepomuk::Resource::Resource$##
    {22, 82, 192},	// Nepomuk::Resource::Resource$$
    {22, 123, 239},	// Nepomuk::Resource::addAltLabel$
    {22, 125, 243},	// Nepomuk::Resource::addAnnotation#
    {22, 129, 235},	// Nepomuk::Resource::addIdentifier$
    {22, 131, 259},	// Nepomuk::Resource::addIsRelated#
    {22, 133, 255},	// Nepomuk::Resource::addIsTopicOf#
    {22, 135, 216},	// Nepomuk::Resource::addProperty##
    {22, 137, 269},	// Nepomuk::Resource::addSymbol$
    {22, 139, 247},	// Nepomuk::Resource::addTag#
    {22, 145, 251},	// Nepomuk::Resource::addTopic#
    {22, 147, 205},	// Nepomuk::Resource::addType#
    {22, 152, 208},	// Nepomuk::Resource::allProperties
    {22, 153, 273},	// Nepomuk::Resource::allResources
    {22, 162, 240},	// Nepomuk::Resource::altLabelUri
    {22, 163, 237},	// Nepomuk::Resource::altLabels
    {22, 164, 271},	// Nepomuk::Resource::annotationOf
    {22, 165, 244},	// Nepomuk::Resource::annotationUri
    {22, 166, 241},	// Nepomuk::Resource::annotations
    {22, 175, 207},	// Nepomuk::Resource::className
    {22, 193, 230},	// Nepomuk::Resource::description
    {22, 194, 232},	// Nepomuk::Resource::descriptionUri
    {22, 211, 222},	// Nepomuk::Resource::exists
    {22, 236, 279},	// Nepomuk::Resource::fromResourceUri#
    {22, 237, 280},	// Nepomuk::Resource::fromResourceUri##
    {22, 238, 276},	// Nepomuk::Resource::fromResourceUri###
    {22, 243, 225},	// Nepomuk::Resource::genericDescription
    {22, 244, 226},	// Nepomuk::Resource::genericIcon
    {22, 245, 224},	// Nepomuk::Resource::genericLabel
    {22, 251, 210},	// Nepomuk::Resource::hasProperty#
    {22, 252, 211},	// Nepomuk::Resource::hasProperty##
    {22, 253, 212},	// Nepomuk::Resource::hasProperty$
    {22, 255, 206},	// Nepomuk::Resource::hasType#
    {22, 259, 236},	// Nepomuk::Resource::identifierUri
    {22, 260, 233},	// Nepomuk::Resource::identifiers
    {22, 261, 275},	// Nepomuk::Resource::increaseUsageCount
    {22, 284, 272},	// Nepomuk::Resource::isRelatedOf
    {22, 285, 260},	// Nepomuk::Resource::isRelatedUri
    {22, 286, 257},	// Nepomuk::Resource::isRelateds
    {22, 297, 256},	// Nepomuk::Resource::isTopicOfUri
    {22, 298, 253},	// Nepomuk::Resource::isTopicOfs
    {22, 305, 223},	// Nepomuk::Resource::isValid
    {22, 308, 261},	// Nepomuk::Resource::label
    {22, 310, 263},	// Nepomuk::Resource::labelUri
    {22, 321, 198},	// Nepomuk::Resource::manager
    {22, 347, 229},	// Nepomuk::Resource::operator!=#
    {22, 349, -154},	// Nepomuk::Resource::operator=#
    {22, 352, 228},	// Nepomuk::Resource::operator==#
    {22, 361, 227},	// Nepomuk::Resource::pimoThing
    {22, 362, 209},	// Nepomuk::Resource::properties
    {22, 364, 213},	// Nepomuk::Resource::property#
    {22, 365, 214},	// Nepomuk::Resource::property$
    {22, 374, 264},	// Nepomuk::Resource::rating
    {22, 377, 266},	// Nepomuk::Resource::ratingUri
    {22, 381, 221},	// Nepomuk::Resource::remove
    {22, 383, 218},	// Nepomuk::Resource::removeProperty#
    {22, 384, 219},	// Nepomuk::Resource::removeProperty##
    {22, 385, 220},	// Nepomuk::Resource::removeProperty$
    {22, 394, 202},	// Nepomuk::Resource::resourceType
    {22, 396, 200},	// Nepomuk::Resource::resourceUri
    {22, 403, 238},	// Nepomuk::Resource::setAltLabels?
    {22, 405, 242},	// Nepomuk::Resource::setAnnotations?
    {22, 415, 231},	// Nepomuk::Resource::setDescription$
    {22, 423, 234},	// Nepomuk::Resource::setIdentifiers?
    {22, 425, 258},	// Nepomuk::Resource::setIsRelateds?
    {22, 427, 254},	// Nepomuk::Resource::setIsTopicOfs?
    {22, 429, 262},	// Nepomuk::Resource::setLabel$
    {22, 453, 215},	// Nepomuk::Resource::setProperty##
    {22, 454, 217},	// Nepomuk::Resource::setProperty$#
    {22, 456, 265},	// Nepomuk::Resource::setRating$
    {22, 466, 268},	// Nepomuk::Resource::setSymbols?
    {22, 472, 246},	// Nepomuk::Resource::setTags?
    {22, 474, 250},	// Nepomuk::Resource::setTopics?
    {22, 476, 204},	// Nepomuk::Resource::setTypes?
    {22, 486, 270},	// Nepomuk::Resource::symbolUri
    {22, 487, 267},	// Nepomuk::Resource::symbols
    {22, 493, 248},	// Nepomuk::Resource::tagUri
    {22, 497, 245},	// Nepomuk::Resource::tags
    {22, 524, 252},	// Nepomuk::Resource::topicUri
    {22, 525, 249},	// Nepomuk::Resource::topics
    {22, 534, 201},	// Nepomuk::Resource::type
    {22, 536, 203},	// Nepomuk::Resource::types
    {22, 538, 199},	// Nepomuk::Resource::uri
    {22, 539, 274},	// Nepomuk::Resource::usageCount
    {22, 561, 281},	// Nepomuk::Resource::~Resource
    {24, 155, 297},	// Nepomuk::ResourceManager::allResourcesOfType#
    {24, 156, 298},	// Nepomuk::ResourceManager::allResourcesOfType$
    {24, 158, 299},	// Nepomuk::ResourceManager::allResourcesWithProperty##
    {24, 159, 300},	// Nepomuk::ResourceManager::allResourcesWithProperty$#
    {24, 177, 301},	// Nepomuk::ResourceManager::clearCache
    {24, 184, 305},	// Nepomuk::ResourceManager::createManagerForModel#
    {24, 186, 295},	// Nepomuk::ResourceManager::createResourceFromUri$
    {24, 192, 290},	// Nepomuk::ResourceManager::deleteInstance
    {24, 206, 307},	// Nepomuk::ResourceManager::error$$
    {24, 241, 302},	// Nepomuk::ResourceManager::generateUniqueUri
    {24, 242, 303},	// Nepomuk::ResourceManager::generateUniqueUri$
    {24, 262, 291},	// Nepomuk::ResourceManager::init
    {24, 263, 292},	// Nepomuk::ResourceManager::initialized
    {24, 266, 289},	// Nepomuk::ResourceManager::instance
    {24, 320, 293},	// Nepomuk::ResourceManager::mainModel
    {24, 325, 282},	// Nepomuk::ResourceManager::metaObject
    {24, 339, 308},	// Nepomuk::ResourceManager::nepomukSystemStarted
    {24, 340, 309},	// Nepomuk::ResourceManager::nepomukSystemStopped
    {24, 342, 304},	// Nepomuk::ResourceManager::notifyError$$
    {24, 369, 288},	// Nepomuk::ResourceManager::qt_metacall$$?
    {24, 371, 283},	// Nepomuk::ResourceManager::qt_metacast$
    {24, 387, 296},	// Nepomuk::ResourceManager::removeResource$
    {24, 393, 306},	// Nepomuk::ResourceManager::resourceModified$
    {24, 447, 294},	// Nepomuk::ResourceManager::setOverrideMainModel#
    {24, 482, 312},	// Nepomuk::ResourceManager::staticMetaObject
    {24, 527, 310},	// Nepomuk::ResourceManager::tr$
    {24, 528, 284},	// Nepomuk::ResourceManager::tr$$
    {24, 529, 286},	// Nepomuk::ResourceManager::tr$$$
    {24, 531, 311},	// Nepomuk::ResourceManager::trUtf8$
    {24, 532, 285},	// Nepomuk::ResourceManager::trUtf8$$
    {24, 533, 287},	// Nepomuk::ResourceManager::trUtf8$$$
    {25, 83, 325},	// Nepomuk::Service::Service
    {25, 84, 326},	// Nepomuk::Service::Service#
    {25, 85, 320},	// Nepomuk::Service::Service#$
    {25, 320, 321},	// Nepomuk::Service::mainModel
    {25, 325, 313},	// Nepomuk::Service::metaObject
    {25, 369, 319},	// Nepomuk::Service::qt_metacall$$?
    {25, 371, 314},	// Nepomuk::Service::qt_metacast$
    {25, 462, 322},	// Nepomuk::Service::setServiceInitialized$
    {25, 482, 327},	// Nepomuk::Service::staticMetaObject
    {25, 527, 323},	// Nepomuk::Service::tr$
    {25, 528, 315},	// Nepomuk::Service::tr$$
    {25, 529, 317},	// Nepomuk::Service::tr$$$
    {25, 531, 324},	// Nepomuk::Service::trUtf8$
    {25, 532, 316},	// Nepomuk::Service::trUtf8$$
    {25, 533, 318},	// Nepomuk::Service::trUtf8$$$
    {25, 562, 328},	// Nepomuk::Service::~Service
    {26, 91, 329},	// Nepomuk::Tag::Tag
    {26, 92, -25},	// Nepomuk::Tag::Tag#
    {26, 93, -30},	// Nepomuk::Tag::Tag##
    {26, 94, 344},	// Nepomuk::Tag::Tag###
    {26, 95, 333},	// Nepomuk::Tag::Tag$
    {26, 96, -33},	// Nepomuk::Tag::Tag$#
    {26, 97, 343},	// Nepomuk::Tag::Tag$##
    {26, 161, 339},	// Nepomuk::Tag::allTags
    {26, 349, 337},	// Nepomuk::Tag::operator=#
    {26, 395, 340},	// Nepomuk::Tag::resourceTypeUri
    {26, 492, 338},	// Nepomuk::Tag::tagOf
    {26, 563, 345},	// Nepomuk::Tag::~Tag
    {27, 98, 360},	// Nepomuk::TagCloud::TagCloud
    {27, 99, 353},	// Nepomuk::TagCloud::TagCloud#
    {27, 171, 354},	// Nepomuk::TagCloud::autoUpdate
    {27, 325, 346},	// Nepomuk::TagCloud::metaObject
    {27, 369, 352},	// Nepomuk::TagCloud::qt_metacall$$?
    {27, 371, 347},	// Nepomuk::TagCloud::qt_metacast$
    {27, 409, 356},	// Nepomuk::TagCloud::setAutoUpdate$
    {27, 482, 361},	// Nepomuk::TagCloud::staticMetaObject
    {27, 490, 357},	// Nepomuk::TagCloud::tagClicked#
    {27, 527, 358},	// Nepomuk::TagCloud::tr$
    {27, 528, 348},	// Nepomuk::TagCloud::tr$$
    {27, 529, 350},	// Nepomuk::TagCloud::tr$$$
    {27, 531, 359},	// Nepomuk::TagCloud::trUtf8$
    {27, 532, 349},	// Nepomuk::TagCloud::trUtf8$$
    {27, 533, 351},	// Nepomuk::TagCloud::trUtf8$$$
    {27, 537, 355},	// Nepomuk::TagCloud::updateTags
    {27, 564, 362},	// Nepomuk::TagCloud::~TagCloud
    {28, 7, 395},	// Nepomuk::TagWidget::DisableTagClicking
    {28, 46, 392},	// Nepomuk::TagWidget::MiniMode
    {28, 74, 394},	// Nepomuk::TagWidget::ReadOnly
    {28, 88, 393},	// Nepomuk::TagWidget::StandardMode
    {28, 100, 390},	// Nepomuk::TagWidget::TagWidget
    {28, 101, -157},	// Nepomuk::TagWidget::TagWidget#
    {28, 102, 370},	// Nepomuk::TagWidget::TagWidget##
    {28, 148, 376},	// Nepomuk::TagWidget::alignment
    {28, 170, 373},	// Nepomuk::TagWidget::assignedTags
    {28, 324, 375},	// Nepomuk::TagWidget::maxTagsShown
    {28, 325, 363},	// Nepomuk::TagWidget::metaObject
    {28, 329, 377},	// Nepomuk::TagWidget::modeFlags
    {28, 369, 369},	// Nepomuk::TagWidget::qt_metacall$$?
    {28, 371, 364},	// Nepomuk::TagWidget::qt_metacast$
    {28, 397, 374},	// Nepomuk::TagWidget::selectedTags
    {28, 399, 379},	// Nepomuk::TagWidget::selectionChanged?
    {28, 401, 385},	// Nepomuk::TagWidget::setAlignment$
    {28, 407, 382},	// Nepomuk::TagWidget::setAssignedTags?
    {28, 437, 384},	// Nepomuk::TagWidget::setMaxTagsShown$
    {28, 441, 386},	// Nepomuk::TagWidget::setModeFlags$
    {28, 458, 383},	// Nepomuk::TagWidget::setSelectedTags?
    {28, 468, 380},	// Nepomuk::TagWidget::setTaggedResource#
    {28, 470, 381},	// Nepomuk::TagWidget::setTaggedResources?
    {28, 482, 391},	// Nepomuk::TagWidget::staticMetaObject
    {28, 490, 378},	// Nepomuk::TagWidget::tagClicked#
    {28, 496, 372},	// Nepomuk::TagWidget::taggedResources
    {28, 527, 387},	// Nepomuk::TagWidget::tr$
    {28, 528, 365},	// Nepomuk::TagWidget::tr$$
    {28, 529, 367},	// Nepomuk::TagWidget::tr$$$
    {28, 531, 388},	// Nepomuk::TagWidget::trUtf8$
    {28, 532, 366},	// Nepomuk::TagWidget::trUtf8$$
    {28, 533, 368},	// Nepomuk::TagWidget::trUtf8$$$
    {28, 565, 396},	// Nepomuk::TagWidget::~TagWidget
    {29, 103, 411},	// Nepomuk::Thing::Thing
    {29, 104, -10},	// Nepomuk::Thing::Thing#
    {29, 105, 397},	// Nepomuk::Thing::Thing##
    {29, 106, 398},	// Nepomuk::Thing::Thing###
    {29, 107, 413},	// Nepomuk::Thing::Thing$
    {29, 108, 399},	// Nepomuk::Thing::Thing$#
    {29, 109, 400},	// Nepomuk::Thing::Thing$##
    {29, 127, 410},	// Nepomuk::Thing::addGroundingOccurrence#
    {29, 248, 407},	// Nepomuk::Thing::groundingOccurrences
    {29, 344, 409},	// Nepomuk::Thing::occurrences
    {29, 349, -15},	// Nepomuk::Thing::operator=#
    {29, 380, 408},	// Nepomuk::Thing::referencingOccurrences
    {29, 566, 414},	// Nepomuk::Thing::~Thing
    {30, 367, 415},	// Nepomuk::Types::qHash#
    {31, 2, 416},	// Nepomuk::Types::Class::Class
    {31, 3, -184},	// Nepomuk::Types::Class::Class#
    {31, 151, -187},	// Nepomuk::Types::Class::allParentClasses
    {31, 160, -190},	// Nepomuk::Types::Class::allSubClasses
    {31, 198, -193},	// Nepomuk::Types::Class::domainOf
    {31, 223, -196},	// Nepomuk::Types::Class::findPropertyByLabel$
    {31, 224, -199},	// Nepomuk::Types::Class::findPropertyByLabel$$
    {31, 226, -202},	// Nepomuk::Types::Class::findPropertyByName$
    {31, 283, -205},	// Nepomuk::Types::Class::isParentOf#
    {31, 292, -208},	// Nepomuk::Types::Class::isSubClassOf#
    {31, 349, 419},	// Nepomuk::Types::Class::operator=#
    {31, 358, -211},	// Nepomuk::Types::Class::parentClasses
    {31, 373, -214},	// Nepomuk::Types::Class::rangeOf
    {31, 484, -217},	// Nepomuk::Types::Class::subClasses
    {31, 548, 442},	// Nepomuk::Types::Class::~Class
    {32, 10, 462},	// Nepomuk::Types::Entity::Entity
    {32, 11, 443},	// Nepomuk::Types::Entity::Entity#
    {32, 179, -160},	// Nepomuk::Types::Entity::comment
    {32, 180, -163},	// Nepomuk::Types::Entity::comment$
    {32, 258, -166},	// Nepomuk::Types::Entity::icon
    {32, 268, -169},	// Nepomuk::Types::Entity::isAvailable
    {32, 305, 453},	// Nepomuk::Types::Entity::isValid
    {32, 308, -172},	// Nepomuk::Types::Entity::label
    {32, 309, -175},	// Nepomuk::Types::Entity::label$
    {32, 337, 445},	// Nepomuk::Types::Entity::name
    {32, 345, 457},	// Nepomuk::Types::Entity::operator QUrl
    {32, 347, -178},	// Nepomuk::Types::Entity::operator!=#
    {32, 349, 444},	// Nepomuk::Types::Entity::operator=#
    {32, 352, -181},	// Nepomuk::Types::Entity::operator==#
    {32, 388, 467},	// Nepomuk::Types::Entity::reset
    {32, 389, 456},	// Nepomuk::Types::Entity::reset$
    {32, 538, 446},	// Nepomuk::Types::Entity::uri
    {32, 550, 468},	// Nepomuk::Types::Entity::~Entity
    {33, 44, 469},	// Nepomuk::Types::Literal::Literal
    {33, 45, -36},	// Nepomuk::Types::Literal::Literal#
    {33, 188, 474},	// Nepomuk::Types::Literal::dataType
    {33, 189, 473},	// Nepomuk::Types::Literal::dataTypeUri
    {33, 305, 475},	// Nepomuk::Types::Literal::isValid
    {33, 349, 472},	// Nepomuk::Types::Literal::operator=#
    {33, 555, 476},	// Nepomuk::Types::Literal::~Literal
    {34, 51, 477},	// Nepomuk::Types::Ontology::Ontology
    {34, 52, -19},	// Nepomuk::Types::Ontology::Ontology#
    {34, 149, 481},	// Nepomuk::Types::Ontology::allClasses
    {34, 152, 484},	// Nepomuk::Types::Ontology::allProperties
    {34, 216, 487},	// Nepomuk::Types::Ontology::findClassByLabel$
    {34, 217, 483},	// Nepomuk::Types::Ontology::findClassByLabel$$
    {34, 219, 482},	// Nepomuk::Types::Ontology::findClassByName$
    {34, 223, 488},	// Nepomuk::Types::Ontology::findPropertyByLabel$
    {34, 224, 486},	// Nepomuk::Types::Ontology::findPropertyByLabel$$
    {34, 226, 485},	// Nepomuk::Types::Ontology::findPropertyByName$
    {34, 349, 480},	// Nepomuk::Types::Ontology::operator=#
    {34, 557, 489},	// Nepomuk::Types::Ontology::~Ontology
    {35, 59, 490},	// Nepomuk::Types::Property::Property
    {35, 60, -39},	// Nepomuk::Types::Property::Property#
    {35, 172, -42},	// Nepomuk::Types::Property::cardinality
    {35, 197, -45},	// Nepomuk::Types::Property::domain
    {35, 267, -48},	// Nepomuk::Types::Property::inverseProperty
    {35, 283, -51},	// Nepomuk::Types::Property::isParentOf#
    {35, 294, -54},	// Nepomuk::Types::Property::isSubPropertyOf#
    {35, 315, -57},	// Nepomuk::Types::Property::literalRangeType
    {35, 322, -60},	// Nepomuk::Types::Property::maxCardinality
    {35, 327, -63},	// Nepomuk::Types::Property::minCardinality
    {35, 349, 493},	// Nepomuk::Types::Property::operator=#
    {35, 360, -66},	// Nepomuk::Types::Property::parentProperties
    {35, 372, -69},	// Nepomuk::Types::Property::range
    {35, 485, -72},	// Nepomuk::Types::Property::subProperties
    {35, 560, 516},	// Nepomuk::Types::Property::~Property
    {36, 112, 517},	// Nepomuk::Variant::Variant
    {36, 113, -75},	// Nepomuk::Variant::Variant#
    {36, 114, -83},	// Nepomuk::Variant::Variant$
    {36, 115, -92},	// Nepomuk::Variant::Variant?
    {36, 168, -106},	// Nepomuk::Variant::append#
    {36, 169, -113},	// Nepomuk::Variant::append$
    {36, 234, 641},	// Nepomuk::Variant::fromNode#
    {36, 240, 640},	// Nepomuk::Variant::fromString$$
    {36, 269, 594},	// Nepomuk::Variant::isBool
    {36, 270, 606},	// Nepomuk::Variant::isBoolList
    {36, 271, 597},	// Nepomuk::Variant::isDate
    {36, 272, 609},	// Nepomuk::Variant::isDateList
    {36, 273, 599},	// Nepomuk::Variant::isDateTime
    {36, 274, 611},	// Nepomuk::Variant::isDateTimeList
    {36, 275, 595},	// Nepomuk::Variant::isDouble
    {36, 276, 607},	// Nepomuk::Variant::isDoubleList
    {36, 277, 590},	// Nepomuk::Variant::isInt
    {36, 278, 591},	// Nepomuk::Variant::isInt64
    {36, 279, 603},	// Nepomuk::Variant::isInt64List
    {36, 280, 602},	// Nepomuk::Variant::isIntList
    {36, 281, 589},	// Nepomuk::Variant::isList
    {36, 287, 601},	// Nepomuk::Variant::isResource
    {36, 288, 613},	// Nepomuk::Variant::isResourceList
    {36, 289, 596},	// Nepomuk::Variant::isString
    {36, 290, 608},	// Nepomuk::Variant::isStringList
    {36, 295, 598},	// Nepomuk::Variant::isTime
    {36, 296, 610},	// Nepomuk::Variant::isTimeList
    {36, 299, 592},	// Nepomuk::Variant::isUnsignedInt
    {36, 300, 593},	// Nepomuk::Variant::isUnsignedInt64
    {36, 301, 605},	// Nepomuk::Variant::isUnsignedInt64List
    {36, 302, 604},	// Nepomuk::Variant::isUnsignedIntList
    {36, 303, 600},	// Nepomuk::Variant::isUrl
    {36, 304, 612},	// Nepomuk::Variant::isUrlList
    {36, 305, 586},	// Nepomuk::Variant::isValid
    {36, 347, 585},	// Nepomuk::Variant::operator!=#
    {36, 349, -121},	// Nepomuk::Variant::operator=#
    {36, 350, -128},	// Nepomuk::Variant::operator=$
    {36, 352, 584},	// Nepomuk::Variant::operator==#
    {36, 353, -136},	// Nepomuk::Variant::operator=?
    {36, 479, 588},	// Nepomuk::Variant::simpleType
    {36, 499, 619},	// Nepomuk::Variant::toBool
    {36, 500, 631},	// Nepomuk::Variant::toBoolList
    {36, 501, 622},	// Nepomuk::Variant::toDate
    {36, 502, 634},	// Nepomuk::Variant::toDateList
    {36, 503, 624},	// Nepomuk::Variant::toDateTime
    {36, 504, 636},	// Nepomuk::Variant::toDateTimeList
    {36, 505, 620},	// Nepomuk::Variant::toDouble
    {36, 506, 632},	// Nepomuk::Variant::toDoubleList
    {36, 507, 615},	// Nepomuk::Variant::toInt
    {36, 508, 616},	// Nepomuk::Variant::toInt64
    {36, 509, 628},	// Nepomuk::Variant::toInt64List
    {36, 510, 627},	// Nepomuk::Variant::toIntList
    {36, 511, 626},	// Nepomuk::Variant::toResource
    {36, 512, 638},	// Nepomuk::Variant::toResourceList
    {36, 513, 621},	// Nepomuk::Variant::toString
    {36, 514, 633},	// Nepomuk::Variant::toStringList
    {36, 515, 623},	// Nepomuk::Variant::toTime
    {36, 516, 635},	// Nepomuk::Variant::toTimeList
    {36, 517, 617},	// Nepomuk::Variant::toUnsignedInt
    {36, 518, 618},	// Nepomuk::Variant::toUnsignedInt64
    {36, 519, 630},	// Nepomuk::Variant::toUnsignedInt64List
    {36, 520, 629},	// Nepomuk::Variant::toUnsignedIntList
    {36, 521, 625},	// Nepomuk::Variant::toUrl
    {36, 522, 637},	// Nepomuk::Variant::toUrlList
    {36, 523, 639},	// Nepomuk::Variant::toVariantList
    {36, 534, 587},	// Nepomuk::Variant::type
    {36, 544, 614},	// Nepomuk::Variant::variant
    {36, 567, 642},	// Nepomuk::Variant::~Variant
    {52, 25, 657},	// QGlobalSpace::LicensedActiveQt
    {52, 26, 663},	// QGlobalSpace::LicensedCore
    {52, 27, 655},	// QGlobalSpace::LicensedDBus
    {52, 28, 660},	// QGlobalSpace::LicensedDeclarative
    {52, 29, 650},	// QGlobalSpace::LicensedGui
    {52, 30, 669},	// QGlobalSpace::LicensedHelp
    {52, 31, 670},	// QGlobalSpace::LicensedMultimedia
    {52, 32, 673},	// QGlobalSpace::LicensedNetwork
    {52, 33, 662},	// QGlobalSpace::LicensedOpenGL
    {52, 34, 654},	// QGlobalSpace::LicensedOpenVG
    {52, 35, 671},	// QGlobalSpace::LicensedQt3Support
    {52, 36, 652},	// QGlobalSpace::LicensedQt3SupportLight
    {52, 37, 653},	// QGlobalSpace::LicensedScript
    {52, 38, 658},	// QGlobalSpace::LicensedScriptTools
    {52, 39, 661},	// QGlobalSpace::LicensedSql
    {52, 40, 659},	// QGlobalSpace::LicensedSvg
    {52, 41, 656},	// QGlobalSpace::LicensedTest
    {52, 42, 651},	// QGlobalSpace::LicensedXml
    {52, 43, 672},	// QGlobalSpace::LicensedXmlPatterns
    {52, 61, 645},	// QGlobalSpace::Q_COMPLEX_TYPE
    {52, 62, 649},	// QGlobalSpace::Q_DUMMY_TYPE
    {52, 63, 648},	// QGlobalSpace::Q_MOVABLE_TYPE
    {52, 64, 646},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {52, 65, 647},	// QGlobalSpace::Q_STATIC_TYPE
    {52, 66, 666},	// QGlobalSpace::QtCriticalMsg
    {52, 67, 664},	// QGlobalSpace::QtDebugMsg
    {52, 68, 667},	// QGlobalSpace::QtFatalMsg
    {52, 69, 668},	// QGlobalSpace::QtSystemMsg
    {52, 70, 665},	// QGlobalSpace::QtWarningMsg
    {52, 117, 676},	// QGlobalSpace::__codecvt_error
    {52, 118, 677},	// QGlobalSpace::__codecvt_noconv
    {52, 119, 674},	// QGlobalSpace::__codecvt_ok
    {52, 120, 675},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        __smokenepomuk::classes, 80,
        __smokenepomuk::methods, 728,
        __smokenepomuk::methodMaps, 565,
        __smokenepomuk::methodNames, 567,
        __smokenepomuk::types, 292,
        __smokenepomuk::inheritanceList,
        __smokenepomuk::argumentList,
        __smokenepomuk::ambiguousMethodList,
        __smokenepomuk::cast );
    initialized = true;
}

void delete_nepomuk_Smoke() { delete nepomuk_Smoke; }

}
