#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 43: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 24: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 75: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 74: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 43: return (void*)(QWidget*)(QFrame*)xptr;
        case 24: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 75: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 74: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 24: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMouseEvent
      switch(to) {
        case 22: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QObject
      switch(to) {
        case 24: return (void*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 50: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 75: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 44: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 49: return (void*)(QsciLexer*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 74: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 72: return (void*)(QsciMacro*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        default: return xptr;
      }
    case 25:   //QPaintEngine
      switch(to) {
        case 25: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEvent
      switch(to) {
        case 26: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QPainter
      switch(to) {
        case 27: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 28:   //QPalette
      switch(to) {
        case 28: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 29:   //QPixmap
      switch(to) {
        case 29: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 30:   //QPoint
      switch(to) {
        case 30: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 31:   //QPrinter
      switch(to) {
        case 31: return (void*)(QPrinter*)xptr;
        case 73: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 32:   //QRect
      switch(to) {
        case 32: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QResizeEvent
      switch(to) {
        case 34: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QSettings
      switch(to) {
        case 35: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 36:   //QShowEvent
      switch(to) {
        case 36: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QSize
      switch(to) {
        case 37: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 38:   //QStyle
      switch(to) {
        case 38: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 39:   //QTabletEvent
      switch(to) {
        case 39: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QTimerEvent
      switch(to) {
        case 40: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QVariant
      switch(to) {
        case 41: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 42:   //QWheelEvent
      switch(to) {
        case 42: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QWidget
      switch(to) {
        case 24: return (void*)(QObject*)(QWidget*)xptr;
        case 43: return (void*)(QWidget*)xptr;
        case 75: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 74: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 44:   //QsciAPIs
      switch(to) {
        case 45: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 24: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 44: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAbstractAPIs
      switch(to) {
        case 24: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAbstractAPIs*)xptr;
        case 44: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciCommand
      switch(to) {
        case 46: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommandSet
      switch(to) {
        case 47: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 48:   //QsciDocument
      switch(to) {
        case 48: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 49:   //QsciLexer
      switch(to) {
        case 24: return (void*)(QObject*)(QsciLexer*)xptr;
        case 49: return (void*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexerBash
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 50: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBatch
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 51: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerCMake
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 52: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCPP
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 53: return (void*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 60: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 61: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCSS
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 54: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSharp
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerD
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 56: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerDiff
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 57: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerHTML
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 58: return (void*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerIDL
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 59: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerJava
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 60: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerJavaScript
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 61: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerLua
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 62: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerMakefile
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 63: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerPOV
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 64: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerPerl
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 65: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerProperties
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 66: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerPython
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 67: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerRuby
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 68: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerSQL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 69: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerTeX
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 70: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerVHDL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 71: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 72:   //QsciMacro
      switch(to) {
        case 24: return (void*)(QObject*)(QsciMacro*)xptr;
        case 72: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 73:   //QsciPrinter
      switch(to) {
        case 31: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 73: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 74:   //QsciScintilla
      switch(to) {
        case 75: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 43: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 24: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 74: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 75:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 43: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 24: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 75: return (void*)(QsciScintillaBase*)xptr;
        case 74: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 76:   //QsciStyle
      switch(to) {
        case 76: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 77:   //QsciStyledText
      switch(to) {
        case 77: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    45, 0,	// 1: QsciAbstractAPIs
    24, 0,	// 3: QObject
    49, 0,	// 5: QsciLexer
    53, 0,	// 7: QsciLexerCPP
    31, 0,	// 9: QPrinter
    75, 0,	// 11: QsciScintillaBase
    1, 0,	// 13: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QObject", true, 0, 0, 0, 0, 0 },	//24
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QPainter", true, 0, 0, 0, 0, 0 },	//27
    { "QPalette", true, 0, 0, 0, 0, 0 },	//28
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//29
    { "QPoint", true, 0, 0, 0, 0, 0 },	//30
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//31
    { "QRect", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QSettings", true, 0, 0, 0, 0, 0 },	//35
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QSize", true, 0, 0, 0, 0, 0 },	//37
    { "QStyle", true, 0, 0, 0, 0, 0 },	//38
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QVariant", true, 0, 0, 0, 0, 0 },	//41
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QWidget", true, 0, 0, 0, 0, 0 },	//43
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//44
    { "QsciAbstractAPIs", true, 0, 0, 0, 0, 0 },	//45
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//46
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//47
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//48
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//49
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//50
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//51
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//52
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//53
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//54
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//55
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//56
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//57
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//58
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//59
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//60
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//61
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//62
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//63
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//64
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//65
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//66
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//67
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//68
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//69
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//70
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//71
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//72
    { "QsciPrinter", false, 9, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//73
    { "QsciScintilla", false, 11, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//74
    { "QsciScintillaBase", false, 13, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//75
    { "QsciStyle", true, 0, 0, 0, 0, 0 },	//76
    { "QsciStyledText", true, 0, 0, 0, 0, 0 },	//77
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMouseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMoveEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QObject*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QPaintEngine*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QPaintEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPainter&", 27, Smoke::t_class|Smoke::tf_ref },	//27
    { "QPainter*", 27, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QPrinter::PrinterMode", 31, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QRect&", 32, Smoke::t_class|Smoke::tf_ref },	//30
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QResizeEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QSettings&", 35, Smoke::t_class|Smoke::tf_ref },	//33
    { "QShowEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QSize", 37, Smoke::t_class|Smoke::tf_stack },	//35
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//38
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "QStyle&", 38, Smoke::t_class|Smoke::tf_ref },	//40
    { "QTabletEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QTimerEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QVariant", 41, Smoke::t_class|Smoke::tf_stack },	//43
    { "QWheelEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QsciAPIs*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAbstractAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciCommandSet*", 47, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciDocument", 48, Smoke::t_class|Smoke::tf_stack },	//49
    { "QsciDocument&", 48, Smoke::t_class|Smoke::tf_ref },	//50
    { "QsciDocument*", 48, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciLexer*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexerBash*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBatch*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerCMake*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCPP*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCSS*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSharp*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerD*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerDiff*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerHTML*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerIDL*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerJava*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerJavaScript*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerLua*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerMakefile*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerPOV*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerPerl*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerProperties*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerPython*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPython::IndentationWarning", 67, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QsciLexerRuby*", 68, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerSQL*", 69, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerTeX*", 70, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerVHDL*", 71, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciMacro*", 72, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciPrinter*", 73, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciScintilla*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciScintilla::AnnotationDisplay", 74, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QsciScintilla::AutoCompletionSource", 74, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QsciScintilla::BraceMatch", 74, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QsciScintilla::CallTipsStyle", 74, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciScintilla::EdgeMode", 74, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QsciScintilla::EolMode", 74, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QsciScintilla::FoldStyle", 74, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QsciScintilla::IndentState", 74, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QsciScintilla::MarginType", 74, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QsciScintilla::MarkerSymbol", 74, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::WhitespaceVisibility", 74, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::WrapMode", 74, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::WrapVisualFlag", 74, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintillaBase*", 75, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//184
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//185
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//186
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//187
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//193
    { "const QPalette&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QPixmap&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QPoint&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QRect&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QsciDocument&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QsciStyle&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QsciStyledText&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//207
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//208
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//209
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//210
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//211
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//212
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//213
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//214
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    44, 0,	//3  QWheelEvent*
    23, 11, 0,	//5  QObject*, QEvent*
    42, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    205, 0,	//12  const char*
    24, 0,	//14  QPaintDevice::PaintDeviceMetric
    186, 0,	//16  bool
    207, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    22, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    41, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    34, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    185, 0,	//34  _XEvent*
    126, 0,	//36  Qt::InputMethodQuery
    40, 0,	//38  QStyle&
    194, 0,	//40  const QPalette&
    190, 0,	//42  const QFont&
    205, 205, 0,	//44  const char*, const char*
    205, 205, 207, 0,	//47  const char*, const char*, int
    20, 207, 214, 0,	//51  QMetaObject::Call, int, void**
    52, 0,	//55  QsciLexer*
    199, 0,	//57  const QString&
    200, 38, 0,	//59  const QStringList&, QStringList&
    200, 207, 82, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    33, 205, 0,	//67  QSettings&, const char*
    33, 0,	//70  QSettings&
    202, 0,	//72  const QsciDocument&
    23, 0,	//74  QObject*
    209, 0,	//76  int*
    47, 0,	//78  QsciAbstractAPIs*
    189, 0,	//80  const QColor&
    78, 0,	//82  QsciScintilla*
    189, 207, 0,	//84  const QColor&, int
    186, 207, 0,	//87  bool, int
    190, 207, 0,	//90  const QFont&, int
    33, 199, 0,	//93  QSettings&, const QString&
    23, 186, 0,	//96  QObject*, bool
    71, 0,	//99  QsciLexerPython::IndentationWarning
    199, 78, 0,	//101  const QString&, QsciScintilla*
    29, 0,	//104  QPrinter::PrinterMode
    27, 186, 30, 207, 0,	//106  QPainter&, bool, QRect&, int
    92, 207, 207, 0,	//111  QsciScintillaBase*, int, int
    90, 0,	//115  QsciScintilla::WrapMode
    92, 0,	//117  QsciScintillaBase*
    92, 207, 0,	//119  QsciScintillaBase*, int
    45, 0,	//122  QWidget*
    207, 208, 208, 0,	//124  int, int&, int&
    207, 199, 207, 0,	//128  int, const QString&, int
    207, 199, 203, 0,	//132  int, const QString&, const QsciStyle&
    207, 204, 0,	//136  int, const QsciStyledText&
    207, 191, 0,	//139  int, const QList<QsciStyledText>&
    84, 0,	//142  QsciScintilla::EolMode
    199, 186, 186, 186, 186, 186, 207, 207, 186, 0,	//144  const QString&, bool, bool, bool, bool, bool, int, int, bool
    209, 209, 0,	//154  int*, int*
    209, 209, 209, 209, 0,	//157  int*, int*, int*, int*
    187, 0,	//162  char
    196, 0,	//164  const QPoint&
    207, 209, 209, 0,	//166  int, int*, int*
    88, 207, 0,	//170  QsciScintilla::MarkerSymbol, int
    187, 207, 0,	//173  char, int
    195, 207, 0,	//176  const QPixmap&, int
    207, 207, 0,	//179  int, int
    207, 211, 0,	//182  int, unsigned int
    15, 0,	//185  QIODevice*
    207, 195, 0,	//187  int, const QPixmap&
    189, 189, 0,	//190  const QColor&, const QColor&
    79, 0,	//193  QsciScintilla::AnnotationDisplay
    200, 0,	//195  const QStringList&
    82, 0,	//197  QsciScintilla::CallTipsStyle
    83, 0,	//199  QsciScintilla::EdgeMode
    207, 87, 0,	//201  int, QsciScintilla::MarginType
    91, 91, 207, 0,	//204  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    207, 200, 0,	//208  int, const QStringList&
    199, 207, 207, 0,	//211  const QString&, int, int
    80, 0,	//215  QsciScintilla::AutoCompletionSource
    81, 0,	//217  QsciScintilla::BraceMatch
    85, 207, 0,	//219  QsciScintilla::FoldStyle, int
    207, 186, 0,	//222  int, bool
    207, 199, 0,	//225  int, const QString&
    207, 207, 207, 207, 0,	//228  int, int, int, int
    89, 0,	//233  QsciScintilla::WhitespaceVisibility
    207, 207, 132, 0,	//235  int, int, Qt::KeyboardModifiers
    199, 186, 186, 186, 186, 0,	//239  const QString&, bool, bool, bool, bool
    199, 186, 186, 186, 186, 186, 0,	//245  const QString&, bool, bool, bool, bool, bool
    199, 186, 186, 186, 186, 186, 207, 0,	//252  const QString&, bool, bool, bool, bool, bool, int
    199, 186, 186, 186, 186, 186, 207, 207, 0,	//260  const QString&, bool, bool, bool, bool, bool, int, int
    88, 0,	//269  QsciScintilla::MarkerSymbol
    195, 0,	//271  const QPixmap&
    91, 0,	//273  QsciScintilla::WrapVisualFlag
    91, 91, 0,	//275  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    85, 0,	//278  QsciScintilla::FoldStyle
    211, 212, 210, 0,	//280  unsigned int, unsigned long, long
    211, 212, 213, 0,	//284  unsigned int, unsigned long, void*
    211, 212, 205, 0,	//288  unsigned int, unsigned long, const char*
    211, 205, 0,	//292  unsigned int, const char*
    211, 205, 205, 0,	//295  unsigned int, const char*, const char*
    211, 210, 0,	//299  unsigned int, long
    211, 207, 0,	//302  unsigned int, int
    211, 210, 210, 188, 0,	//305  unsigned int, long, long, char*
    211, 212, 189, 0,	//310  unsigned int, unsigned long, const QColor&
    211, 189, 0,	//314  unsigned int, const QColor&
    211, 212, 28, 197, 210, 210, 0,	//317  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    211, 212, 195, 0,	//324  unsigned int, unsigned long, const QPixmap&
    211, 0,	//328  unsigned int
    205, 207, 0,	//330  const char*, int
    207, 207, 207, 0,	//333  int, int, int
    207, 207, 205, 207, 207, 207, 207, 207, 207, 207, 0,	//337  int, int, const char*, int, int, int, int, int, int, int
    6, 0,	//348  QContextMenuEvent*
    7, 0,	//350  QDragEnterEvent*
    8, 0,	//352  QDragLeaveEvent*
    9, 0,	//354  QDragMoveEvent*
    10, 0,	//356  QDropEvent*
    12, 0,	//358  QFocusEvent*
    16, 0,	//360  QInputMethodEvent*
    21, 0,	//362  QMouseEvent*
    26, 0,	//364  QPaintEvent*
    32, 0,	//366  QResizeEvent*
    211, 212, 0,	//368  unsigned int, unsigned long
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "Assignment",	//62
    "AtRule",	//63
    "Attribute",	//64
    "Auto",	//65
    "B0",	//66
    "B1",	//67
    "B10",	//68
    "B2",	//69
    "B3",	//70
    "B4",	//71
    "B5",	//72
    "B6",	//73
    "B7",	//74
    "B8",	//75
    "B9",	//76
    "Background",	//77
    "BacktickHereDocument",	//78
    "Backticks",	//79
    "BadDirective",	//80
    "BasicFunctions",	//81
    "BlockForeach",	//82
    "BlockIf",	//83
    "BlockMacro",	//84
    "BlockWhile",	//85
    "BottomLeftCorner",	//86
    "Box",	//87
    "BoxedFoldStyle",	//88
    "BoxedMinus",	//89
    "BoxedMinusConnected",	//90
    "BoxedPlus",	//91
    "BoxedPlusConnected",	//92
    "BoxedTreeFoldStyle",	//93
    "C5E",	//94
    "CDATA",	//95
    "CSS1Property",	//96
    "CSS2Property",	//97
    "CSS3Property",	//98
    "CallTipsContext",	//99
    "CallTipsNoAutoCompletionContext",	//100
    "CallTipsNoContext",	//101
    "CallTipsNone",	//102
    "Cassette",	//103
    "Character",	//104
    "Cicero",	//105
    "Circle",	//106
    "CircledFoldStyle",	//107
    "CircledMinus",	//108
    "CircledMinusConnected",	//109
    "CircledPlus",	//110
    "CircledPlusConnected",	//111
    "CircledTreeFoldStyle",	//112
    "ClassName",	//113
    "ClassSelector",	//114
    "ClassVariable",	//115
    "Color",	//116
    "Comm10E",	//117
    "Command",	//118
    "Comment",	//119
    "CommentBlock",	//120
    "CommentDoc",	//121
    "CommentDocKeyword",	//122
    "CommentDocKeywordError",	//123
    "CommentLine",	//124
    "CommentLineDoc",	//125
    "CommentLineHash",	//126
    "CommentNested",	//127
    "CoroutinesIOSystemFacilities",	//128
    "Custom",	//129
    "DLE",	//130
    "DataSection",	//131
    "Decorator",	//132
    "Default",	//133
    "DefaultValue",	//134
    "DemotedKeyword",	//135
    "DevicePixel",	//136
    "Didot",	//137
    "Directive",	//138
    "DoubleQuotedHereDocument",	//139
    "DoubleQuotedString",	//140
    "DownTriangle",	//141
    "DrawChildren",	//142
    "DrawWindowBackground",	//143
    "DuplexAuto",	//144
    "DuplexLongSide",	//145
    "DuplexNone",	//146
    "DuplexShortSide",	//147
    "EdgeBackground",	//148
    "EdgeLine",	//149
    "EdgeNone",	//150
    "Entity",	//151
    "Envelope",	//152
    "EnvelopeManual",	//153
    "EolMac",	//154
    "EolUnix",	//155
    "EolWindows",	//156
    "Error",	//157
    "Executive",	//158
    "ExtendedCSSProperty",	//159
    "ExtendedPseudoClass",	//160
    "ExtendedPseudoElement",	//161
    "ExternalCommand",	//162
    "FirstPageFirst",	//163
    "Folio",	//164
    "FormSource",	//165
    "FormatBody",	//166
    "FormatIdentifier",	//167
    "Function",	//168
    "FunctionMethodName",	//169
    "Global",	//170
    "GlobalClass",	//171
    "GrayScale",	//172
    "Group",	//173
    "HLine",	//174
    "HTMLComment",	//175
    "HTMLDoubleQuotedString",	//176
    "HTMLNumber",	//177
    "HTMLSingleQuotedString",	//178
    "HTMLValue",	//179
    "Hash",	//180
    "Header",	//181
    "HereDocument",	//182
    "HereDocumentDelimiter",	//183
    "HideCommandChar",	//184
    "HighResolution",	//185
    "HighlightedIdentifier",	//186
    "IDSelector",	//187
    "Identifier",	//188
    "Idle",	//189
    "IgnoreMask",	//190
    "Important",	//191
    "Inch",	//192
    "Inconsistent",	//193
    "InstanceVariable",	//194
    "Invisible",	//195
    "JavaScriptComment",	//196
    "JavaScriptCommentDoc",	//197
    "JavaScriptCommentLine",	//198
    "JavaScriptDefault",	//199
    "JavaScriptDoubleQuotedString",	//200
    "JavaScriptKeyword",	//201
    "JavaScriptNumber",	//202
    "JavaScriptRegex",	//203
    "JavaScriptSingleQuotedString",	//204
    "JavaScriptStart",	//205
    "JavaScriptSymbol",	//206
    "JavaScriptUnclosedString",	//207
    "JavaScriptWord",	//208
    "Keyword",	//209
    "KeywordDoc",	//210
    "KeywordSecondary",	//211
    "KeywordSet2",	//212
    "KeywordSet3",	//213
    "KeywordSet5",	//214
    "KeywordSet6",	//215
    "KeywordSet7",	//216
    "KeywordSet8",	//217
    "Label",	//218
    "Landscape",	//219
    "LargeCapacity",	//220
    "LargeFormat",	//221
    "LastPageFirst",	//222
    "Ledger",	//223
    "LeftSideRoundedSplitter",	//224
    "LeftSideSplitter",	//225
    "Legal",	//226
    "Letter",	//227
    "LicensedActiveQt",	//228
    "LicensedCore",	//229
    "LicensedDBus",	//230
    "LicensedDeclarative",	//231
    "LicensedGui",	//232
    "LicensedHelp",	//233
    "LicensedMultimedia",	//234
    "LicensedNetwork",	//235
    "LicensedOpenGL",	//236
    "LicensedOpenVG",	//237
    "LicensedQt3Support",	//238
    "LicensedQt3SupportLight",	//239
    "LicensedScript",	//240
    "LicensedScriptTools",	//241
    "LicensedSql",	//242
    "LicensedSvg",	//243
    "LicensedTest",	//244
    "LicensedXml",	//245
    "LicensedXmlPatterns",	//246
    "LineAdded",	//247
    "LineChanged",	//248
    "LineComment",	//249
    "LineRemoved",	//250
    "LiteralString",	//251
    "Lower",	//252
    "Manual",	//253
    "MaxPageSource",	//254
    "Middle",	//255
    "Millimeter",	//256
    "Minus",	//257
    "ModuleName",	//258
    "NPageSize",	//259
    "NPaperSize",	//260
    "NativeFormat",	//261
    "NoBraceMatch",	//262
    "NoFoldStyle",	//263
    "NoFrame",	//264
    "NoWarning",	//265
    "Number",	//266
    "NumberMargin",	//267
    "ObjectsCSGAppearance",	//268
    "OnlyOne",	//269
    "Operator",	//270
    "OtherInTag",	//271
    "PHPComment",	//272
    "PHPCommentLine",	//273
    "PHPDefault",	//274
    "PHPDoubleQuotedString",	//275
    "PHPDoubleQuotedVariable",	//276
    "PHPKeyword",	//277
    "PHPNumber",	//278
    "PHPOperator",	//279
    "PHPSingleQuotedString",	//280
    "PHPStart",	//281
    "PHPVariable",	//282
    "POD",	//283
    "PODVerbatim",	//284
    "PageRange",	//285
    "Panel",	//286
    "ParameterExpansion",	//287
    "PdfFormat",	//288
    "PercentStringQ",	//289
    "PercentStringq",	//290
    "PercentStringr",	//291
    "PercentStringw",	//292
    "PercentStringx",	//293
    "Pica",	//294
    "Plain",	//295
    "PlainFoldStyle",	//296
    "Plus",	//297
    "PlusComment",	//298
    "PlusKeyword",	//299
    "PlusPrompt",	//300
    "Point",	//301
    "Portrait",	//302
    "Position",	//303
    "PostScriptFormat",	//304
    "PreProcessor",	//305
    "PredefinedFunctions",	//306
    "PredefinedIdentifiers",	//307
    "Preprocessor",	//308
    "PrinterResolution",	//309
    "PseudoClass",	//310
    "PseudoElement",	//311
    "PythonClassName",	//312
    "PythonComment",	//313
    "PythonDefault",	//314
    "PythonDoubleQuotedString",	//315
    "PythonFunctionMethodName",	//316
    "PythonIdentifier",	//317
    "PythonKeyword",	//318
    "PythonNumber",	//319
    "PythonOperator",	//320
    "PythonSingleQuotedString",	//321
    "PythonStart",	//322
    "PythonTripleDoubleQuotedString",	//323
    "PythonTripleSingleQuotedString",	//324
    "QSCN_SELCHANGED",	//325
    "QSCN_SELCHANGED$",	//326
    "Q_COMPLEX_TYPE",	//327
    "Q_DUMMY_TYPE",	//328
    "Q_MOVABLE_TYPE",	//329
    "Q_PRIMITIVE_TYPE",	//330
    "Q_STATIC_TYPE",	//331
    "QsciAPIs",	//332
    "QsciAPIs#",	//333
    "QsciDocument",	//334
    "QsciDocument#",	//335
    "QsciLexer",	//336
    "QsciLexer#",	//337
    "QsciLexerBash",	//338
    "QsciLexerBash#",	//339
    "QsciLexerBatch",	//340
    "QsciLexerBatch#",	//341
    "QsciLexerCMake",	//342
    "QsciLexerCMake#",	//343
    "QsciLexerCPP",	//344
    "QsciLexerCPP#",	//345
    "QsciLexerCPP#$",	//346
    "QsciLexerCSS",	//347
    "QsciLexerCSS#",	//348
    "QsciLexerCSharp",	//349
    "QsciLexerCSharp#",	//350
    "QsciLexerD",	//351
    "QsciLexerD#",	//352
    "QsciLexerDiff",	//353
    "QsciLexerDiff#",	//354
    "QsciLexerHTML",	//355
    "QsciLexerHTML#",	//356
    "QsciLexerIDL",	//357
    "QsciLexerIDL#",	//358
    "QsciLexerJava",	//359
    "QsciLexerJava#",	//360
    "QsciLexerJavaScript",	//361
    "QsciLexerJavaScript#",	//362
    "QsciLexerLua",	//363
    "QsciLexerLua#",	//364
    "QsciLexerMakefile",	//365
    "QsciLexerMakefile#",	//366
    "QsciLexerPOV",	//367
    "QsciLexerPOV#",	//368
    "QsciLexerPerl",	//369
    "QsciLexerPerl#",	//370
    "QsciLexerProperties",	//371
    "QsciLexerProperties#",	//372
    "QsciLexerPython",	//373
    "QsciLexerPython#",	//374
    "QsciLexerRuby",	//375
    "QsciLexerRuby#",	//376
    "QsciLexerSQL",	//377
    "QsciLexerSQL#",	//378
    "QsciLexerTeX",	//379
    "QsciLexerTeX#",	//380
    "QsciLexerVHDL",	//381
    "QsciLexerVHDL#",	//382
    "QsciMacro",	//383
    "QsciMacro#",	//384
    "QsciMacro$#",	//385
    "QsciPrinter",	//386
    "QsciPrinter$",	//387
    "QsciScintilla",	//388
    "QsciScintilla#",	//389
    "QsciScintillaBase",	//390
    "QsciScintillaBase#",	//391
    "QtCriticalMsg",	//392
    "QtDebugMsg",	//393
    "QtFatalMsg",	//394
    "QtSystemMsg",	//395
    "QtWarningMsg",	//396
    "QuotedStringQ",	//397
    "QuotedStringQQ",	//398
    "QuotedStringQR",	//399
    "QuotedStringQW",	//400
    "QuotedStringQX",	//401
    "Raised",	//402
    "Rectangle",	//403
    "Regex",	//404
    "RightArrow",	//405
    "RightTriangle",	//406
    "RoundedBottomLeftCorner",	//407
    "SCEN_CHANGE",	//408
    "SCLEX_ABAQUS",	//409
    "SCLEX_ADA",	//410
    "SCLEX_APDL",	//411
    "SCLEX_ASM",	//412
    "SCLEX_ASN1",	//413
    "SCLEX_ASP",	//414
    "SCLEX_ASYMPTOTE",	//415
    "SCLEX_AU3",	//416
    "SCLEX_AVE",	//417
    "SCLEX_BAAN",	//418
    "SCLEX_BASH",	//419
    "SCLEX_BATCH",	//420
    "SCLEX_BLITZBASIC",	//421
    "SCLEX_BULLANT",	//422
    "SCLEX_CAML",	//423
    "SCLEX_CLW",	//424
    "SCLEX_CLWNOCASE",	//425
    "SCLEX_CMAKE",	//426
    "SCLEX_COBOL",	//427
    "SCLEX_CONF",	//428
    "SCLEX_CONTAINER",	//429
    "SCLEX_CPP",	//430
    "SCLEX_CPPNOCASE",	//431
    "SCLEX_CSOUND",	//432
    "SCLEX_CSS",	//433
    "SCLEX_D",	//434
    "SCLEX_DIFF",	//435
    "SCLEX_EIFFEL",	//436
    "SCLEX_EIFFELKW",	//437
    "SCLEX_ERLANG",	//438
    "SCLEX_ERRORLIST",	//439
    "SCLEX_ESCRIPT",	//440
    "SCLEX_F77",	//441
    "SCLEX_FLAGSHIP",	//442
    "SCLEX_FORTH",	//443
    "SCLEX_FORTRAN",	//444
    "SCLEX_FREEBASIC",	//445
    "SCLEX_GAP",	//446
    "SCLEX_GUI4CLI",	//447
    "SCLEX_HASKELL",	//448
    "SCLEX_HTML",	//449
    "SCLEX_INNOSETUP",	//450
    "SCLEX_KIX",	//451
    "SCLEX_LATEX",	//452
    "SCLEX_LISP",	//453
    "SCLEX_LOT",	//454
    "SCLEX_LOUT",	//455
    "SCLEX_LUA",	//456
    "SCLEX_MAGIK",	//457
    "SCLEX_MAKEFILE",	//458
    "SCLEX_MATLAB",	//459
    "SCLEX_METAPOST",	//460
    "SCLEX_MMIXAL",	//461
    "SCLEX_MSSQL",	//462
    "SCLEX_MYSQL",	//463
    "SCLEX_NIMROD",	//464
    "SCLEX_NNCRONTAB",	//465
    "SCLEX_NSIS",	//466
    "SCLEX_NULL",	//467
    "SCLEX_OCTAVE",	//468
    "SCLEX_OPAL",	//469
    "SCLEX_PASCAL",	//470
    "SCLEX_PERL",	//471
    "SCLEX_PHP",	//472
    "SCLEX_PHPSCRIPT",	//473
    "SCLEX_PLM",	//474
    "SCLEX_PO",	//475
    "SCLEX_POV",	//476
    "SCLEX_POWERBASIC",	//477
    "SCLEX_POWERPRO",	//478
    "SCLEX_POWERSHELL",	//479
    "SCLEX_PROGRESS",	//480
    "SCLEX_PROPERTIES",	//481
    "SCLEX_PS",	//482
    "SCLEX_PUREBASIC",	//483
    "SCLEX_PYTHON",	//484
    "SCLEX_R",	//485
    "SCLEX_REBOL",	//486
    "SCLEX_RUBY",	//487
    "SCLEX_SCRIPTOL",	//488
    "SCLEX_SMALLTALK",	//489
    "SCLEX_SML",	//490
    "SCLEX_SORCUS",	//491
    "SCLEX_SPECMAN",	//492
    "SCLEX_SPICE",	//493
    "SCLEX_SQL",	//494
    "SCLEX_TACL",	//495
    "SCLEX_TADS3",	//496
    "SCLEX_TAL",	//497
    "SCLEX_TCL",	//498
    "SCLEX_TEX",	//499
    "SCLEX_VB",	//500
    "SCLEX_VBSCRIPT",	//501
    "SCLEX_VERILOG",	//502
    "SCLEX_VHDL",	//503
    "SCLEX_XML",	//504
    "SCLEX_YAML",	//505
    "SCN_AUTOCCANCELLED",	//506
    "SCN_AUTOCCHARDELETED",	//507
    "SCN_AUTOCSELECTION",	//508
    "SCN_AUTOCSELECTION$$",	//509
    "SCN_CALLTIPCLICK",	//510
    "SCN_CALLTIPCLICK$",	//511
    "SCN_CHARADDED",	//512
    "SCN_CHARADDED$",	//513
    "SCN_DOUBLECLICK",	//514
    "SCN_DOUBLECLICK$$$",	//515
    "SCN_DWELLEND",	//516
    "SCN_DWELLEND$$$",	//517
    "SCN_DWELLSTART",	//518
    "SCN_DWELLSTART$$$",	//519
    "SCN_HOTSPOTCLICK",	//520
    "SCN_HOTSPOTCLICK$$",	//521
    "SCN_HOTSPOTDOUBLECLICK",	//522
    "SCN_HOTSPOTDOUBLECLICK$$",	//523
    "SCN_INDICATORCLICK",	//524
    "SCN_INDICATORCLICK$$",	//525
    "SCN_INDICATORRELEASE",	//526
    "SCN_INDICATORRELEASE$$",	//527
    "SCN_MACRORECORD",	//528
    "SCN_MACRORECORD$$$",	//529
    "SCN_MARGINCLICK",	//530
    "SCN_MARGINCLICK$$$",	//531
    "SCN_MODIFIED",	//532
    "SCN_MODIFIED$$$$$$$$$$",	//533
    "SCN_MODIFYATTEMPTRO",	//534
    "SCN_NEEDSHOWN",	//535
    "SCN_NEEDSHOWN$$",	//536
    "SCN_PAINTED",	//537
    "SCN_SAVEPOINTLEFT",	//538
    "SCN_SAVEPOINTREACHED",	//539
    "SCN_STYLENEEDED",	//540
    "SCN_STYLENEEDED$",	//541
    "SCN_UPDATEUI",	//542
    "SCN_USERLISTSELECTION",	//543
    "SCN_USERLISTSELECTION$$",	//544
    "SCN_ZOOM",	//545
    "SGMLBlockDefault",	//546
    "SGMLCommand",	//547
    "SGMLComment",	//548
    "SGMLDefault",	//549
    "SGMLDoubleQuotedString",	//550
    "SGMLEntity",	//551
    "SGMLError",	//552
    "SGMLParameter",	//553
    "SGMLParameterComment",	//554
    "SGMLSingleQuotedString",	//555
    "SGMLSpecial",	//556
    "Scalar",	//557
    "ScreenResolution",	//558
    "Script",	//559
    "Section",	//560
    "Selection",	//561
    "SendScintilla",	//562
    "SendScintilla$",	//563
    "SendScintilla$#",	//564
    "SendScintilla$$",	//565
    "SendScintilla$$#",	//566
    "SendScintilla$$##$$",	//567
    "SendScintilla$$$",	//568
    "SendScintilla$$$$",	//569
    "SendScintillaPtrResult",	//570
    "SendScintillaPtrResult$",	//571
    "Shadow_Mask",	//572
    "Shape_Mask",	//573
    "SingleQuotedHereDocument",	//574
    "SingleQuotedString",	//575
    "SloppyBraceMatch",	//576
    "SmallFormat",	//577
    "SmallRectangle",	//578
    "Spaces",	//579
    "Special",	//580
    "StandardFunction",	//581
    "StandardOperator",	//582
    "StandardPackage",	//583
    "StandardType",	//584
    "Stderr",	//585
    "Stdin",	//586
    "Stdout",	//587
    "StrictBraceMatch",	//588
    "String",	//589
    "StringLeftQuote",	//590
    "StringRightQuote",	//591
    "StringTableMathsFunctions",	//592
    "StringVariable",	//593
    "StyledPanel",	//594
    "SubroutinePrototype",	//595
    "Substitution",	//596
    "Sunken",	//597
    "Symbol",	//598
    "SymbolMargin",	//599
    "SymbolMarginDefaultBackgroundColor",	//600
    "SymbolMarginDefaultForegroundColor",	//601
    "SymbolTable",	//602
    "Tabloid",	//603
    "Tabs",	//604
    "TabsAfterSpaces",	//605
    "Tag",	//606
    "Target",	//607
    "Text",	//608
    "TextMargin",	//609
    "TextMarginRightJustified",	//610
    "ThreeDots",	//611
    "ThreeRightArrows",	//612
    "Tractor",	//613
    "TripleDoubleQuotedString",	//614
    "TripleSingleQuotedString",	//615
    "Typedefs",	//616
    "TypesModifiersItems",	//617
    "UUID",	//618
    "UnclosedString",	//619
    "UnknownAttribute",	//620
    "UnknownProperty",	//621
    "UnknownPseudoClass",	//622
    "UnknownTag",	//623
    "VBScriptComment",	//624
    "VBScriptDefault",	//625
    "VBScriptIdentifier",	//626
    "VBScriptKeyword",	//627
    "VBScriptNumber",	//628
    "VBScriptStart",	//629
    "VBScriptString",	//630
    "VBScriptUnclosedString",	//631
    "VLine",	//632
    "Value",	//633
    "Variable",	//634
    "VerbatimString",	//635
    "VerticalLine",	//636
    "WinPanel",	//637
    "WrapCharacter",	//638
    "WrapFlagByBorder",	//639
    "WrapFlagByText",	//640
    "WrapFlagNone",	//641
    "WrapNone",	//642
    "WrapWord",	//643
    "WsInvisible",	//644
    "WsVisible",	//645
    "WsVisibleAfterIndent",	//646
    "XMLEnd",	//647
    "XMLStart",	//648
    "XMLTagEnd",	//649
    "actionEvent",	//650
    "add",	//651
    "add$",	//652
    "alternateKey",	//653
    "annotate",	//654
    "annotate$#",	//655
    "annotate$$#",	//656
    "annotate$$$",	//657
    "annotate$?",	//658
    "annotation",	//659
    "annotation$",	//660
    "annotationDisplay",	//661
    "apiContext",	//662
    "apiContext$$$",	//663
    "apiPreparationCancelled",	//664
    "apiPreparationFinished",	//665
    "apiPreparationStarted",	//666
    "apis",	//667
    "append",	//668
    "append$",	//669
    "autoCompleteFromAPIs",	//670
    "autoCompleteFromAll",	//671
    "autoCompleteFromDocument",	//672
    "autoCompletionCaseSensitivity",	//673
    "autoCompletionFillups",	//674
    "autoCompletionFillupsEnabled",	//675
    "autoCompletionReplaceWord",	//676
    "autoCompletionSelected",	//677
    "autoCompletionSelected$",	//678
    "autoCompletionShowSingle",	//679
    "autoCompletionSource",	//680
    "autoCompletionThreshold",	//681
    "autoCompletionWordSeparators",	//682
    "autoIndent",	//683
    "autoIndentStyle",	//684
    "backslashEscapes",	//685
    "backspaceUnindents",	//686
    "beginUndoAction",	//687
    "blockEnd",	//688
    "blockEnd$",	//689
    "blockLookback",	//690
    "blockStart",	//691
    "blockStart$",	//692
    "blockStartKeyword",	//693
    "blockStartKeyword$",	//694
    "braceMatching",	//695
    "braceStyle",	//696
    "callTip",	//697
    "callTips",	//698
    "callTips?$$?",	//699
    "callTipsStyle",	//700
    "callTipsVisible",	//701
    "cancelList",	//702
    "cancelPreparation",	//703
    "caseSensitive",	//704
    "caseSensitiveTags",	//705
    "changeEvent",	//706
    "childEvent",	//707
    "clear",	//708
    "clearAlternateKeys",	//709
    "clearAnnotations",	//710
    "clearAnnotations$",	//711
    "clearFolds",	//712
    "clearKeys",	//713
    "clearMarginText",	//714
    "clearMarginText$",	//715
    "clearRegisteredImages",	//716
    "closeEvent",	//717
    "color",	//718
    "color$",	//719
    "colorChanged",	//720
    "colorChanged#$",	//721
    "commands",	//722
    "connectNotify",	//723
    "contextMenuEvent",	//724
    "contextMenuEvent#",	//725
    "convertEols",	//726
    "convertEols$",	//727
    "copy",	//728
    "copyAvailable",	//729
    "copyAvailable$",	//730
    "cursorPositionChanged",	//731
    "cursorPositionChanged$$",	//732
    "customEvent",	//733
    "cut",	//734
    "defaultColor",	//735
    "defaultColor$",	//736
    "defaultEolFill",	//737
    "defaultEolFill$",	//738
    "defaultFont",	//739
    "defaultFont$",	//740
    "defaultPaper",	//741
    "defaultPaper$",	//742
    "defaultPreparedName",	//743
    "defaultStyle",	//744
    "description",	//745
    "description$",	//746
    "devType",	//747
    "disconnectNotify",	//748
    "document",	//749
    "dollarsAllowed",	//750
    "dragEnterEvent",	//751
    "dragEnterEvent#",	//752
    "dragLeaveEvent",	//753
    "dragLeaveEvent#",	//754
    "dragMoveEvent",	//755
    "dragMoveEvent#",	//756
    "dropEvent",	//757
    "dropEvent#",	//758
    "edgeColor",	//759
    "edgeColumn",	//760
    "edgeMode",	//761
    "editor",	//762
    "enabledChange",	//763
    "endRecording",	//764
    "endUndoAction",	//765
    "ensureCursorVisible",	//766
    "ensureLineVisible",	//767
    "ensureLineVisible$",	//768
    "enterEvent",	//769
    "eolFill",	//770
    "eolFill$",	//771
    "eolFillChanged",	//772
    "eolFillChanged$$",	//773
    "eolMode",	//774
    "eolVisibility",	//775
    "event",	//776
    "event#",	//777
    "eventFilter",	//778
    "findFirst",	//779
    "findFirst$$$$$",	//780
    "findFirst$$$$$$",	//781
    "findFirst$$$$$$$",	//782
    "findFirst$$$$$$$$",	//783
    "findFirst$$$$$$$$$",	//784
    "findNext",	//785
    "firstVisibleLine",	//786
    "focusInEvent",	//787
    "focusInEvent#",	//788
    "focusNextPrevChild",	//789
    "focusNextPrevChild$",	//790
    "focusOutEvent",	//791
    "focusOutEvent#",	//792
    "foldAll",	//793
    "foldAll$",	//794
    "foldAtBegin",	//795
    "foldAtElse",	//796
    "foldAtParenthesis",	//797
    "foldComments",	//798
    "foldCompact",	//799
    "foldDirectives",	//800
    "foldLine",	//801
    "foldLine$",	//802
    "foldPODBlocks",	//803
    "foldPackages",	//804
    "foldPreprocessor",	//805
    "foldQuotes",	//806
    "foldScriptComments",	//807
    "foldScriptHeredocs",	//808
    "folding",	//809
    "font",	//810
    "font$",	//811
    "fontChange",	//812
    "fontChanged",	//813
    "fontChanged#$",	//814
    "formatPage",	//815
    "formatPage#$#$",	//816
    "getCursorPosition",	//817
    "getCursorPosition$$",	//818
    "getSelection",	//819
    "getSelection$$$$",	//820
    "hasSelectedText",	//821
    "heightForWidth",	//822
    "hideEvent",	//823
    "indent",	//824
    "indent$",	//825
    "indentation",	//826
    "indentation$",	//827
    "indentationGuideView",	//828
    "indentationGuides",	//829
    "indentationWarning",	//830
    "indentationWidth",	//831
    "indentationsUseTabs",	//832
    "inputMethodEvent",	//833
    "inputMethodEvent#",	//834
    "inputMethodQuery",	//835
    "insert",	//836
    "insert$",	//837
    "insertAt",	//838
    "insertAt$$$",	//839
    "installedAPIFiles",	//840
    "isCallTipActive",	//841
    "isListActive",	//842
    "isModified",	//843
    "isPrepared",	//844
    "isPrepared$",	//845
    "isReadOnly",	//846
    "isRedoAvailable",	//847
    "isUndoAvailable",	//848
    "isUtf8",	//849
    "isWordCharacter",	//850
    "isWordCharacter$",	//851
    "key",	//852
    "keyPressEvent",	//853
    "keyPressEvent#",	//854
    "keyReleaseEvent",	//855
    "keywords",	//856
    "keywords$",	//857
    "language",	//858
    "languageChange",	//859
    "leaveEvent",	//860
    "length",	//861
    "lexer",	//862
    "lexerId",	//863
    "lineAt",	//864
    "lineAt#",	//865
    "lineIndexFromPosition",	//866
    "lineIndexFromPosition$$$",	//867
    "lineLength",	//868
    "lineLength$",	//869
    "lines",	//870
    "linesChanged",	//871
    "load",	//872
    "load$",	//873
    "loadPrepared",	//874
    "loadPrepared$",	//875
    "magnification",	//876
    "marginClicked",	//877
    "marginClicked$$$",	//878
    "marginLineNumbers",	//879
    "marginLineNumbers$",	//880
    "marginMarkerMask",	//881
    "marginMarkerMask$",	//882
    "marginSensitivity",	//883
    "marginSensitivity$",	//884
    "marginType",	//885
    "marginType$",	//886
    "marginWidth",	//887
    "marginWidth$",	//888
    "markerAdd",	//889
    "markerAdd$$",	//890
    "markerDefine",	//891
    "markerDefine#",	//892
    "markerDefine#$",	//893
    "markerDefine$",	//894
    "markerDefine$$",	//895
    "markerDelete",	//896
    "markerDelete$",	//897
    "markerDelete$$",	//898
    "markerDeleteAll",	//899
    "markerDeleteAll$",	//900
    "markerDeleteHandle",	//901
    "markerDeleteHandle$",	//902
    "markerFindNext",	//903
    "markerFindNext$$",	//904
    "markerFindPrevious",	//905
    "markerFindPrevious$$",	//906
    "markerLine",	//907
    "markerLine$",	//908
    "markersAtLine",	//909
    "markersAtLine$",	//910
    "metaObject",	//911
    "metric",	//912
    "minimumSizeHint",	//913
    "modificationAttempted",	//914
    "modificationChanged",	//915
    "modificationChanged$",	//916
    "mouseDoubleClickEvent",	//917
    "mouseDoubleClickEvent#",	//918
    "mouseMoveEvent",	//919
    "mouseMoveEvent#",	//920
    "mousePressEvent",	//921
    "mousePressEvent#",	//922
    "mouseReleaseEvent",	//923
    "mouseReleaseEvent#",	//924
    "moveEvent",	//925
    "moveToMatchingBrace",	//926
    "operator=",	//927
    "operator=#",	//928
    "paintEngine",	//929
    "paintEvent",	//930
    "paintEvent#",	//931
    "paletteChange",	//932
    "paper",	//933
    "paper$",	//934
    "paperChanged",	//935
    "paperChanged#$",	//936
    "paste",	//937
    "play",	//938
    "pool",	//939
    "positionFromLineIndex",	//940
    "positionFromLineIndex$$",	//941
    "prepare",	//942
    "printRange",	//943
    "printRange#",	//944
    "printRange#$",	//945
    "printRange#$$",	//946
    "propertyChanged",	//947
    "propertyChanged$$",	//948
    "qt_metacall",	//949
    "qt_metacall$$?",	//950
    "qt_metacast",	//951
    "qt_metacast$",	//952
    "read",	//953
    "read#",	//954
    "readProperties",	//955
    "readProperties#$",	//956
    "readSettings",	//957
    "readSettings#",	//958
    "readSettings#$",	//959
    "recolor",	//960
    "recolor$",	//961
    "recolor$$",	//962
    "redo",	//963
    "refreshProperties",	//964
    "registerImage",	//965
    "registerImage$#",	//966
    "remove",	//967
    "remove$",	//968
    "removeSelectedText",	//969
    "replace",	//970
    "replace$",	//971
    "resetFoldMarginColors",	//972
    "resetSelectionBackgroundColor",	//973
    "resetSelectionForegroundColor",	//974
    "resizeEvent",	//975
    "resizeEvent#",	//976
    "save",	//977
    "savePrepared",	//978
    "savePrepared$",	//979
    "scrollContentsBy",	//980
    "scrollContentsBy$$",	//981
    "selectAll",	//982
    "selectAll$",	//983
    "selectToMatchingBrace",	//984
    "selectedText",	//985
    "selectionChanged",	//986
    "selectionToEol",	//987
    "setAPIs",	//988
    "setAPIs#",	//989
    "setAlternateKey",	//990
    "setAlternateKey$",	//991
    "setAnnotationDisplay",	//992
    "setAnnotationDisplay$",	//993
    "setAutoCompletionCaseSensitivity",	//994
    "setAutoCompletionCaseSensitivity$",	//995
    "setAutoCompletionFillups",	//996
    "setAutoCompletionFillups$",	//997
    "setAutoCompletionFillupsEnabled",	//998
    "setAutoCompletionFillupsEnabled$",	//999
    "setAutoCompletionReplaceWord",	//1000
    "setAutoCompletionReplaceWord$",	//1001
    "setAutoCompletionShowSingle",	//1002
    "setAutoCompletionShowSingle$",	//1003
    "setAutoCompletionSource",	//1004
    "setAutoCompletionSource$",	//1005
    "setAutoCompletionThreshold",	//1006
    "setAutoCompletionThreshold$",	//1007
    "setAutoCompletionWordSeparators",	//1008
    "setAutoCompletionWordSeparators?",	//1009
    "setAutoIndent",	//1010
    "setAutoIndent$",	//1011
    "setAutoIndentStyle",	//1012
    "setAutoIndentStyle$",	//1013
    "setBackslashEscapes",	//1014
    "setBackslashEscapes$",	//1015
    "setBackspaceUnindents",	//1016
    "setBackspaceUnindents$",	//1017
    "setBraceMatching",	//1018
    "setBraceMatching$",	//1019
    "setCallTipsBackgroundColor",	//1020
    "setCallTipsBackgroundColor#",	//1021
    "setCallTipsForegroundColor",	//1022
    "setCallTipsForegroundColor#",	//1023
    "setCallTipsHighlightColor",	//1024
    "setCallTipsHighlightColor#",	//1025
    "setCallTipsStyle",	//1026
    "setCallTipsStyle$",	//1027
    "setCallTipsVisible",	//1028
    "setCallTipsVisible$",	//1029
    "setCaretForegroundColor",	//1030
    "setCaretForegroundColor#",	//1031
    "setCaretLineBackgroundColor",	//1032
    "setCaretLineBackgroundColor#",	//1033
    "setCaretLineVisible",	//1034
    "setCaretLineVisible$",	//1035
    "setCaretWidth",	//1036
    "setCaretWidth$",	//1037
    "setCaseSensitiveTags",	//1038
    "setCaseSensitiveTags$",	//1039
    "setColor",	//1040
    "setColor#",	//1041
    "setColor#$",	//1042
    "setCursorPosition",	//1043
    "setCursorPosition$$",	//1044
    "setDefaultColor",	//1045
    "setDefaultColor#",	//1046
    "setDefaultFont",	//1047
    "setDefaultFont#",	//1048
    "setDefaultPaper",	//1049
    "setDefaultPaper#",	//1050
    "setDocument",	//1051
    "setDocument#",	//1052
    "setDollarsAllowed",	//1053
    "setDollarsAllowed$",	//1054
    "setEdgeColor",	//1055
    "setEdgeColor#",	//1056
    "setEdgeColumn",	//1057
    "setEdgeColumn$",	//1058
    "setEdgeMode",	//1059
    "setEdgeMode$",	//1060
    "setEditor",	//1061
    "setEditor#",	//1062
    "setEolFill",	//1063
    "setEolFill$",	//1064
    "setEolFill$$",	//1065
    "setEolMode",	//1066
    "setEolMode$",	//1067
    "setEolVisibility",	//1068
    "setEolVisibility$",	//1069
    "setFoldAtBegin",	//1070
    "setFoldAtBegin$",	//1071
    "setFoldAtElse",	//1072
    "setFoldAtElse$",	//1073
    "setFoldAtParenthesis",	//1074
    "setFoldAtParenthesis$",	//1075
    "setFoldComments",	//1076
    "setFoldComments$",	//1077
    "setFoldCompact",	//1078
    "setFoldCompact$",	//1079
    "setFoldDirectives",	//1080
    "setFoldDirectives$",	//1081
    "setFoldMarginColors",	//1082
    "setFoldMarginColors##",	//1083
    "setFoldPODBlocks",	//1084
    "setFoldPODBlocks$",	//1085
    "setFoldPackages",	//1086
    "setFoldPackages$",	//1087
    "setFoldPreprocessor",	//1088
    "setFoldPreprocessor$",	//1089
    "setFoldQuotes",	//1090
    "setFoldQuotes$",	//1091
    "setFoldScriptComments",	//1092
    "setFoldScriptComments$",	//1093
    "setFoldScriptHeredocs",	//1094
    "setFoldScriptHeredocs$",	//1095
    "setFolding",	//1096
    "setFolding$",	//1097
    "setFolding$$",	//1098
    "setFont",	//1099
    "setFont#",	//1100
    "setFont#$",	//1101
    "setIndentation",	//1102
    "setIndentation$$",	//1103
    "setIndentationGuides",	//1104
    "setIndentationGuides$",	//1105
    "setIndentationGuidesBackgroundColor",	//1106
    "setIndentationGuidesBackgroundColor#",	//1107
    "setIndentationGuidesForegroundColor",	//1108
    "setIndentationGuidesForegroundColor#",	//1109
    "setIndentationWarning",	//1110
    "setIndentationWarning$",	//1111
    "setIndentationWidth",	//1112
    "setIndentationWidth$",	//1113
    "setIndentationsUseTabs",	//1114
    "setIndentationsUseTabs$",	//1115
    "setKey",	//1116
    "setKey$",	//1117
    "setLexer",	//1118
    "setLexer#",	//1119
    "setMagnification",	//1120
    "setMagnification$",	//1121
    "setMarginLineNumbers",	//1122
    "setMarginLineNumbers$$",	//1123
    "setMarginMarkerMask",	//1124
    "setMarginMarkerMask$$",	//1125
    "setMarginSensitivity",	//1126
    "setMarginSensitivity$$",	//1127
    "setMarginText",	//1128
    "setMarginText$#",	//1129
    "setMarginText$$#",	//1130
    "setMarginText$$$",	//1131
    "setMarginText$?",	//1132
    "setMarginType",	//1133
    "setMarginType$$",	//1134
    "setMarginWidth",	//1135
    "setMarginWidth$$",	//1136
    "setMarginsBackgroundColor",	//1137
    "setMarginsBackgroundColor#",	//1138
    "setMarginsFont",	//1139
    "setMarginsFont#",	//1140
    "setMarginsForegroundColor",	//1141
    "setMarginsForegroundColor#",	//1142
    "setMarkerBackgroundColor",	//1143
    "setMarkerBackgroundColor#",	//1144
    "setMarkerBackgroundColor#$",	//1145
    "setMarkerForegroundColor",	//1146
    "setMarkerForegroundColor#",	//1147
    "setMarkerForegroundColor#$",	//1148
    "setMatchedBraceBackgroundColor",	//1149
    "setMatchedBraceBackgroundColor#",	//1150
    "setMatchedBraceForegroundColor",	//1151
    "setMatchedBraceForegroundColor#",	//1152
    "setModified",	//1153
    "setModified$",	//1154
    "setPaper",	//1155
    "setPaper#",	//1156
    "setPaper#$",	//1157
    "setReadOnly",	//1158
    "setReadOnly$",	//1159
    "setSelection",	//1160
    "setSelection$$$$",	//1161
    "setSelectionBackgroundColor",	//1162
    "setSelectionBackgroundColor#",	//1163
    "setSelectionForegroundColor",	//1164
    "setSelectionForegroundColor#",	//1165
    "setSelectionToEol",	//1166
    "setSelectionToEol$",	//1167
    "setStylePreprocessor",	//1168
    "setStylePreprocessor$",	//1169
    "setTabIndents",	//1170
    "setTabIndents$",	//1171
    "setTabWidth",	//1172
    "setTabWidth$",	//1173
    "setText",	//1174
    "setText$",	//1175
    "setUnmatchedBraceBackgroundColor",	//1176
    "setUnmatchedBraceBackgroundColor#",	//1177
    "setUnmatchedBraceForegroundColor",	//1178
    "setUnmatchedBraceForegroundColor#",	//1179
    "setUtf8",	//1180
    "setUtf8$",	//1181
    "setV2UnicodeAllowed",	//1182
    "setV2UnicodeAllowed$",	//1183
    "setV3BinaryOctalAllowed",	//1184
    "setV3BinaryOctalAllowed$",	//1185
    "setV3BytesAllowed",	//1186
    "setV3BytesAllowed$",	//1187
    "setVisible",	//1188
    "setWhitespaceVisibility",	//1189
    "setWhitespaceVisibility$",	//1190
    "setWrapMode",	//1191
    "setWrapMode$",	//1192
    "setWrapVisualFlags",	//1193
    "setWrapVisualFlags$",	//1194
    "setWrapVisualFlags$$",	//1195
    "setWrapVisualFlags$$$",	//1196
    "showEvent",	//1197
    "showUserList",	//1198
    "showUserList$?",	//1199
    "sizeHint",	//1200
    "standardCommands",	//1201
    "startRecording",	//1202
    "staticMetaObject",	//1203
    "styleBitsNeeded",	//1204
    "styleChange",	//1205
    "stylePreprocessor",	//1206
    "tabIndents",	//1207
    "tabWidth",	//1208
    "tabletEvent",	//1209
    "text",	//1210
    "text$",	//1211
    "textChanged",	//1212
    "textHeight",	//1213
    "textHeight$",	//1214
    "timerEvent",	//1215
    "tr",	//1216
    "tr$",	//1217
    "tr$$",	//1218
    "tr$$$",	//1219
    "trUtf8",	//1220
    "trUtf8$",	//1221
    "trUtf8$$",	//1222
    "trUtf8$$$",	//1223
    "undo",	//1224
    "unindent",	//1225
    "unindent$",	//1226
    "updateAutoCompletionList",	//1227
    "updateAutoCompletionList??",	//1228
    "userListActivated",	//1229
    "userListActivated$$",	//1230
    "v2UnicodeAllowed",	//1231
    "v3BinaryOctalAllowed",	//1232
    "v3BytesAllowed",	//1233
    "validKey",	//1234
    "validKey$",	//1235
    "viewportEvent",	//1236
    "wheelEvent",	//1237
    "whitespaceVisibility",	//1238
    "windowActivationChange",	//1239
    "wordAtPoint",	//1240
    "wordAtPoint#",	//1241
    "wordCharacters",	//1242
    "wrapMode",	//1243
    "write",	//1244
    "write#",	//1245
    "writeProperties",	//1246
    "writeProperties#$",	//1247
    "writeSettings",	//1248
    "writeSettings#",	//1249
    "writeSettings#$",	//1250
    "x11Event",	//1251
    "zoomIn",	//1252
    "zoomIn$",	//1253
    "zoomOut",	//1254
    "zoomOut$",	//1255
    "zoomTo",	//1256
    "zoomTo$",	//1257
    "~QsciAPIs",	//1258
    "~QsciCommand",	//1259
    "~QsciDocument",	//1260
    "~QsciLexer",	//1261
    "~QsciLexerBash",	//1262
    "~QsciLexerBatch",	//1263
    "~QsciLexerCMake",	//1264
    "~QsciLexerCPP",	//1265
    "~QsciLexerCSS",	//1266
    "~QsciLexerCSharp",	//1267
    "~QsciLexerD",	//1268
    "~QsciLexerDiff",	//1269
    "~QsciLexerHTML",	//1270
    "~QsciLexerIDL",	//1271
    "~QsciLexerJava",	//1272
    "~QsciLexerJavaScript",	//1273
    "~QsciLexerLua",	//1274
    "~QsciLexerMakefile",	//1275
    "~QsciLexerPOV",	//1276
    "~QsciLexerPerl",	//1277
    "~QsciLexerProperties",	//1278
    "~QsciLexerPython",	//1279
    "~QsciLexerRuby",	//1280
    "~QsciLexerSQL",	//1281
    "~QsciLexerTeX",	//1282
    "~QsciLexerVHDL",	//1283
    "~QsciMacro",	//1284
    "~QsciPrinter",	//1285
    "~QsciScintilla",	//1286
    "~QsciScintillaBase",	//1287
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 913, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1200, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 776, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1236, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1237, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 706, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 6},	//12 QGlobalSpace::LicensedGui (enum)
    {16, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 7},	//13 QGlobalSpace::LicensedXml (enum)
    {16, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 8},	//14 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 9},	//15 QGlobalSpace::LicensedScript (enum)
    {16, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 10},	//16 QGlobalSpace::LicensedOpenVG (enum)
    {16, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 11},	//17 QGlobalSpace::LicensedDBus (enum)
    {16, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 12},	//18 QGlobalSpace::LicensedTest (enum)
    {16, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 13},	//19 QGlobalSpace::LicensedActiveQt (enum)
    {16, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 14},	//20 QGlobalSpace::LicensedScriptTools (enum)
    {16, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 15},	//21 QGlobalSpace::LicensedSvg (enum)
    {16, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 16},	//22 QGlobalSpace::LicensedDeclarative (enum)
    {16, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 17},	//23 QGlobalSpace::LicensedSql (enum)
    {16, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 18},	//24 QGlobalSpace::LicensedOpenGL (enum)
    {16, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 19},	//25 QGlobalSpace::LicensedCore (enum)
    {16, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 20},	//26 QGlobalSpace::QtDebugMsg (enum)
    {16, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 21},	//27 QGlobalSpace::QtWarningMsg (enum)
    {16, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 22},	//28 QGlobalSpace::QtCriticalMsg (enum)
    {16, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 23},	//29 QGlobalSpace::QtFatalMsg (enum)
    {16, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 24},	//30 QGlobalSpace::QtSystemMsg (enum)
    {16, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 25},	//31 QGlobalSpace::LicensedHelp (enum)
    {16, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 26},	//32 QGlobalSpace::LicensedMultimedia (enum)
    {16, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 27},	//33 QGlobalSpace::LicensedQt3Support (enum)
    {16, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 28},	//34 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 29},	//35 QGlobalSpace::LicensedNetwork (enum)
    {24, 776, 1, 1, Smoke::mf_virtual, 186, 0},	//36 QObject::event(QEvent*)
    {24, 778, 5, 2, Smoke::mf_virtual, 186, 0},	//37 QObject::eventFilter(QObject*, QEvent*)
    {24, 1215, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::timerEvent(QTimerEvent*)
    {24, 707, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::childEvent(QChildEvent*)
    {24, 733, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::customEvent(QEvent*)
    {24, 723, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QObject::connectNotify(const char*)
    {24, 748, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QObject::disconnectNotify(const char*)
    {31, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 0},	//43 QPrinter::devType() const
    {31, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 0},	//44 QPrinter::paintEngine() const
    {31, 912, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 207, 0},	//45 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 4},	//46 QPrinter::ScreenResolution (enum)
    {31, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 5},	//47 QPrinter::PrinterResolution (enum)
    {31, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 6},	//48 QPrinter::HighResolution (enum)
    {43, 747, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 0},	//49 QWidget::devType() const
    {43, 1188, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 QWidget::setVisible(bool)
    {43, 822, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 207, 0},	//51 QWidget::heightForWidth(int) const
    {43, 929, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 0},	//52 QWidget::paintEngine() const
    {43, 855, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::keyReleaseEvent(QKeyEvent*)
    {43, 769, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::enterEvent(QEvent*)
    {43, 860, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::leaveEvent(QEvent*)
    {43, 925, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::moveEvent(QMoveEvent*)
    {43, 717, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::closeEvent(QCloseEvent*)
    {43, 1209, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::tabletEvent(QTabletEvent*)
    {43, 650, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::actionEvent(QActionEvent*)
    {43, 1197, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::showEvent(QShowEvent*)
    {43, 823, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::hideEvent(QHideEvent*)
    {43, 1251, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 0},	//62 QWidget::x11Event(_XEvent*)
    {43, 912, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 207, 0},	//63 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {43, 835, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 43, 0},	//64 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {43, 1205, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::styleChange(QStyle&)
    {43, 763, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::enabledChange(bool)
    {43, 932, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::paletteChange(const QPalette&)
    {43, 812, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::fontChange(const QFont&)
    {43, 1239, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::windowActivationChange(bool)
    {43, 859, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::languageChange()
    {44, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//71 QsciAPIs::metaObject() const
    {44, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//72 QsciAPIs::qt_metacast(const char*)
    {44, 1216, 44, 2, Smoke::mf_static, 36, 3},	//73 QsciAPIs::tr(const char*, const char*)
    {44, 1220, 44, 2, Smoke::mf_static, 36, 4},	//74 QsciAPIs::trUtf8(const char*, const char*)
    {44, 1216, 47, 3, Smoke::mf_static, 36, 5},	//75 QsciAPIs::tr(const char*, const char*, int)
    {44, 1220, 47, 3, Smoke::mf_static, 36, 6},	//76 QsciAPIs::trUtf8(const char*, const char*, int)
    {44, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//77 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {44, 332, 55, 1, Smoke::mf_ctor, 46, 8},	//78 QsciAPIs::QsciAPIs(QsciLexer*)
    {44, 651, 57, 1, 0, 0, 9},	//79 QsciAPIs::add(const QString&)
    {44, 708, 0, 0, 0, 0, 10},	//80 QsciAPIs::clear()
    {44, 872, 57, 1, 0, 186, 11},	//81 QsciAPIs::load(const QString&)
    {44, 967, 57, 1, 0, 0, 12},	//82 QsciAPIs::remove(const QString&)
    {44, 942, 0, 0, 0, 0, 13},	//83 QsciAPIs::prepare()
    {44, 703, 0, 0, 0, 0, 14},	//84 QsciAPIs::cancelPreparation()
    {44, 743, 0, 0, Smoke::mf_const, 36, 15},	//85 QsciAPIs::defaultPreparedName() const
    {44, 844, 57, 1, Smoke::mf_const, 186, 16},	//86 QsciAPIs::isPrepared(const QString&) const
    {44, 874, 57, 1, 0, 186, 17},	//87 QsciAPIs::loadPrepared(const QString&)
    {44, 978, 57, 1, Smoke::mf_const, 186, 18},	//88 QsciAPIs::savePrepared(const QString&) const
    {44, 1227, 59, 2, Smoke::mf_virtual, 0, 19},	//89 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {44, 677, 57, 1, Smoke::mf_virtual, 0, 20},	//90 QsciAPIs::autoCompletionSelected(const QString&)
    {44, 698, 62, 4, Smoke::mf_virtual, 37, 21},	//91 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {44, 776, 1, 1, Smoke::mf_virtual, 186, 22},	//92 QsciAPIs::event(QEvent*)
    {44, 840, 0, 0, Smoke::mf_const, 37, 23},	//93 QsciAPIs::installedAPIFiles() const
    {44, 664, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//94 QsciAPIs::apiPreparationCancelled()
    {44, 666, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//95 QsciAPIs::apiPreparationStarted()
    {44, 665, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//96 QsciAPIs::apiPreparationFinished()
    {44, 1216, 12, 1, Smoke::mf_static, 36, 27},	//97 QsciAPIs::tr(const char*)
    {44, 1220, 12, 1, Smoke::mf_static, 36, 28},	//98 QsciAPIs::trUtf8(const char*)
    {44, 844, 0, 0, Smoke::mf_const, 186, 29},	//99 QsciAPIs::isPrepared() const
    {44, 874, 0, 0, 0, 186, 30},	//100 QsciAPIs::loadPrepared()
    {44, 978, 0, 0, Smoke::mf_const, 186, 31},	//101 QsciAPIs::savePrepared() const
    {44, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 32},	//102 QsciAPIs::staticMetaObject() const
    {44, 1258, 0, 0, Smoke::mf_dtor, 0, 33 },	//103 QsciAPIs::~QsciAPIs()
    {46, 1116, 18, 1, 0, 0, 1},	//104 QsciCommand::setKey(int)
    {46, 990, 18, 1, 0, 0, 2},	//105 QsciCommand::setAlternateKey(int)
    {46, 852, 0, 0, Smoke::mf_const, 207, 3},	//106 QsciCommand::key() const
    {46, 653, 0, 0, Smoke::mf_const, 207, 4},	//107 QsciCommand::alternateKey() const
    {46, 1234, 18, 1, Smoke::mf_static, 186, 5},	//108 QsciCommand::validKey(int)
    {46, 745, 0, 0, Smoke::mf_const, 36, 6},	//109 QsciCommand::description() const
    {46, 1259, 0, 0, Smoke::mf_dtor, 0, 7 },	//110 QsciCommand::~QsciCommand()
    {47, 957, 67, 2, 0, 186, 1},	//111 QsciCommandSet::readSettings(QSettings&, const char*)
    {47, 1248, 67, 2, 0, 186, 2},	//112 QsciCommandSet::writeSettings(QSettings&, const char*)
    {47, 722, 0, 0, 0, 18, 3},	//113 QsciCommandSet::commands()
    {47, 713, 0, 0, 0, 0, 4},	//114 QsciCommandSet::clearKeys()
    {47, 709, 0, 0, 0, 0, 5},	//115 QsciCommandSet::clearAlternateKeys()
    {47, 957, 70, 1, 0, 186, 6},	//116 QsciCommandSet::readSettings(QSettings&)
    {47, 1248, 70, 1, 0, 186, 7},	//117 QsciCommandSet::writeSettings(QSettings&)
    {48, 334, 0, 0, Smoke::mf_ctor, 51, 1},	//118 QsciDocument::QsciDocument()
    {48, 334, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 2},	//119 QsciDocument::QsciDocument(const QsciDocument&)
    {48, 927, 72, 1, 0, 50, 3},	//120 QsciDocument::operator=(const QsciDocument&)
    {48, 1260, 0, 0, Smoke::mf_dtor, 0, 4 },	//121 QsciDocument::~QsciDocument()
    {49, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//122 QsciLexer::metaObject() const
    {49, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//123 QsciLexer::qt_metacast(const char*)
    {49, 1216, 44, 2, Smoke::mf_static, 36, 3},	//124 QsciLexer::tr(const char*, const char*)
    {49, 1220, 44, 2, Smoke::mf_static, 36, 4},	//125 QsciLexer::trUtf8(const char*, const char*)
    {49, 1216, 47, 3, Smoke::mf_static, 36, 5},	//126 QsciLexer::tr(const char*, const char*, int)
    {49, 1220, 47, 3, Smoke::mf_static, 36, 6},	//127 QsciLexer::trUtf8(const char*, const char*, int)
    {49, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//128 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {49, 336, 74, 1, Smoke::mf_ctor, 52, 8},	//129 QsciLexer::QsciLexer(QObject*)
    {49, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 9},	//130 QsciLexer::language() const [pure virtual]
    {49, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//131 QsciLexer::lexer() const
    {49, 863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 11},	//132 QsciLexer::lexerId() const
    {49, 667, 0, 0, Smoke::mf_const, 47, 12},	//133 QsciLexer::apis() const
    {49, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//134 QsciLexer::autoCompletionFillups() const
    {49, 682, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//135 QsciLexer::autoCompletionWordSeparators() const
    {49, 684, 0, 0, 0, 207, 15},	//136 QsciLexer::autoIndentStyle()
    {49, 688, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//137 QsciLexer::blockEnd(int*) const
    {49, 690, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 17},	//138 QsciLexer::blockLookback() const
    {49, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 18},	//139 QsciLexer::blockStart(int*) const
    {49, 693, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 19},	//140 QsciLexer::blockStartKeyword(int*) const
    {49, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 20},	//141 QsciLexer::braceStyle() const
    {49, 704, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 21},	//142 QsciLexer::caseSensitive() const
    {49, 718, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//143 QsciLexer::color(int) const
    {49, 770, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 23},	//144 QsciLexer::eolFill(int) const
    {49, 810, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//145 QsciLexer::font(int) const
    {49, 828, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 25},	//146 QsciLexer::indentationGuideView() const
    {49, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 26},	//147 QsciLexer::keywords(int) const
    {49, 744, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 27},	//148 QsciLexer::defaultStyle() const
    {49, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 36, 28},	//149 QsciLexer::description(int) const [pure virtual]
    {49, 933, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//150 QsciLexer::paper(int) const
    {49, 735, 0, 0, Smoke::mf_const, 5, 30},	//151 QsciLexer::defaultColor() const
    {49, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//152 QsciLexer::defaultColor(int) const
    {49, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 32},	//153 QsciLexer::defaultEolFill(int) const
    {49, 739, 0, 0, Smoke::mf_const, 13, 33},	//154 QsciLexer::defaultFont() const
    {49, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//155 QsciLexer::defaultFont(int) const
    {49, 741, 0, 0, Smoke::mf_const, 5, 35},	//156 QsciLexer::defaultPaper() const
    {49, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//157 QsciLexer::defaultPaper(int) const
    {49, 762, 0, 0, Smoke::mf_const, 78, 37},	//158 QsciLexer::editor() const
    {49, 988, 78, 1, 0, 0, 38},	//159 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {49, 1045, 80, 1, 0, 0, 39},	//160 QsciLexer::setDefaultColor(const QColor&)
    {49, 1047, 42, 1, 0, 0, 40},	//161 QsciLexer::setDefaultFont(const QFont&)
    {49, 1049, 80, 1, 0, 0, 41},	//162 QsciLexer::setDefaultPaper(const QColor&)
    {49, 1061, 82, 1, Smoke::mf_virtual, 0, 42},	//163 QsciLexer::setEditor(QsciScintilla*)
    {49, 957, 67, 2, 0, 186, 43},	//164 QsciLexer::readSettings(QSettings&, const char*)
    {49, 964, 0, 0, Smoke::mf_virtual, 0, 44},	//165 QsciLexer::refreshProperties()
    {49, 1204, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 45},	//166 QsciLexer::styleBitsNeeded() const
    {49, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 46},	//167 QsciLexer::wordCharacters() const
    {49, 1248, 67, 2, Smoke::mf_const, 186, 47},	//168 QsciLexer::writeSettings(QSettings&, const char*) const
    {49, 1012, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//169 QsciLexer::setAutoIndentStyle(int)
    {49, 1040, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//170 QsciLexer::setColor(const QColor&, int)
    {49, 1063, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//171 QsciLexer::setEolFill(bool, int)
    {49, 1099, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//172 QsciLexer::setFont(const QFont&, int)
    {49, 1155, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//173 QsciLexer::setPaper(const QColor&, int)
    {49, 720, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//174 QsciLexer::colorChanged(const QColor&, int)
    {49, 772, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//175 QsciLexer::eolFillChanged(bool, int)
    {49, 813, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//176 QsciLexer::fontChanged(const QFont&, int)
    {49, 935, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//177 QsciLexer::paperChanged(const QColor&, int)
    {49, 947, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//178 QsciLexer::propertyChanged(const char*, const char*)
    {49, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 58},	//179 QsciLexer::readProperties(QSettings&, const QString&)
    {49, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 59},	//180 QsciLexer::writeProperties(QSettings&, const QString&) const
    {49, 1216, 12, 1, Smoke::mf_static, 36, 60},	//181 QsciLexer::tr(const char*)
    {49, 1220, 12, 1, Smoke::mf_static, 36, 61},	//182 QsciLexer::trUtf8(const char*)
    {49, 336, 0, 0, Smoke::mf_ctor, 52, 62},	//183 QsciLexer::QsciLexer()
    {49, 688, 0, 0, Smoke::mf_const, 205, 63},	//184 QsciLexer::blockEnd() const
    {49, 691, 0, 0, Smoke::mf_const, 205, 64},	//185 QsciLexer::blockStart() const
    {49, 693, 0, 0, Smoke::mf_const, 205, 65},	//186 QsciLexer::blockStartKeyword() const
    {49, 957, 70, 1, 0, 186, 66},	//187 QsciLexer::readSettings(QSettings&)
    {49, 1248, 70, 1, Smoke::mf_const, 186, 67},	//188 QsciLexer::writeSettings(QSettings&) const
    {49, 1040, 80, 1, Smoke::mf_slot, 0, 68},	//189 QsciLexer::setColor(const QColor&)
    {49, 1063, 16, 1, Smoke::mf_slot, 0, 69},	//190 QsciLexer::setEolFill(bool)
    {49, 1099, 42, 1, Smoke::mf_slot, 0, 70},	//191 QsciLexer::setFont(const QFont&)
    {49, 1155, 80, 1, Smoke::mf_slot, 0, 71},	//192 QsciLexer::setPaper(const QColor&)
    {49, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 72},	//193 QsciLexer::staticMetaObject() const
    {49, 1261, 0, 0, Smoke::mf_dtor, 0, 73 },	//194 QsciLexer::~QsciLexer()
    {50, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//195 QsciLexerBash::metaObject() const
    {50, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//196 QsciLexerBash::qt_metacast(const char*)
    {50, 1216, 44, 2, Smoke::mf_static, 36, 3},	//197 QsciLexerBash::tr(const char*, const char*)
    {50, 1220, 44, 2, Smoke::mf_static, 36, 4},	//198 QsciLexerBash::trUtf8(const char*, const char*)
    {50, 1216, 47, 3, Smoke::mf_static, 36, 5},	//199 QsciLexerBash::tr(const char*, const char*, int)
    {50, 1220, 47, 3, Smoke::mf_static, 36, 6},	//200 QsciLexerBash::trUtf8(const char*, const char*, int)
    {50, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//201 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {50, 338, 74, 1, Smoke::mf_ctor, 53, 8},	//202 QsciLexerBash::QsciLexerBash(QObject*)
    {50, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//203 QsciLexerBash::language() const
    {50, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//204 QsciLexerBash::lexer() const
    {50, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 11},	//205 QsciLexerBash::braceStyle() const
    {50, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//206 QsciLexerBash::wordCharacters() const
    {50, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//207 QsciLexerBash::defaultColor(int) const
    {50, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 14},	//208 QsciLexerBash::defaultEolFill(int) const
    {50, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//209 QsciLexerBash::defaultFont(int) const
    {50, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//210 QsciLexerBash::defaultPaper(int) const
    {50, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 17},	//211 QsciLexerBash::keywords(int) const
    {50, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//212 QsciLexerBash::description(int) const
    {50, 964, 0, 0, Smoke::mf_virtual, 0, 19},	//213 QsciLexerBash::refreshProperties()
    {50, 798, 0, 0, Smoke::mf_const, 186, 20},	//214 QsciLexerBash::foldComments() const
    {50, 799, 0, 0, Smoke::mf_const, 186, 21},	//215 QsciLexerBash::foldCompact() const
    {50, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//216 QsciLexerBash::setFoldComments(bool)
    {50, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//217 QsciLexerBash::setFoldCompact(bool)
    {50, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 24},	//218 QsciLexerBash::readProperties(QSettings&, const QString&)
    {50, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 25},	//219 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {50, 1216, 12, 1, Smoke::mf_static, 36, 26},	//220 QsciLexerBash::tr(const char*)
    {50, 1220, 12, 1, Smoke::mf_static, 36, 27},	//221 QsciLexerBash::trUtf8(const char*)
    {50, 338, 0, 0, Smoke::mf_ctor, 53, 28},	//222 QsciLexerBash::QsciLexerBash()
    {50, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 29},	//223 QsciLexerBash::staticMetaObject() const
    {50, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 30},	//224 QsciLexerBash::Default (enum)
    {50, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 31},	//225 QsciLexerBash::Error (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//226 QsciLexerBash::Comment (enum)
    {50, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//227 QsciLexerBash::Number (enum)
    {50, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//228 QsciLexerBash::Keyword (enum)
    {50, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//229 QsciLexerBash::DoubleQuotedString (enum)
    {50, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//230 QsciLexerBash::SingleQuotedString (enum)
    {50, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//231 QsciLexerBash::Operator (enum)
    {50, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//232 QsciLexerBash::Identifier (enum)
    {50, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//233 QsciLexerBash::Scalar (enum)
    {50, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//234 QsciLexerBash::ParameterExpansion (enum)
    {50, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//235 QsciLexerBash::Backticks (enum)
    {50, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//236 QsciLexerBash::HereDocumentDelimiter (enum)
    {50, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//237 QsciLexerBash::SingleQuotedHereDocument (enum)
    {50, 1262, 0, 0, Smoke::mf_dtor, 0, 44 },	//238 QsciLexerBash::~QsciLexerBash()
    {51, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//239 QsciLexerBatch::metaObject() const
    {51, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//240 QsciLexerBatch::qt_metacast(const char*)
    {51, 1216, 44, 2, Smoke::mf_static, 36, 3},	//241 QsciLexerBatch::tr(const char*, const char*)
    {51, 1220, 44, 2, Smoke::mf_static, 36, 4},	//242 QsciLexerBatch::trUtf8(const char*, const char*)
    {51, 1216, 47, 3, Smoke::mf_static, 36, 5},	//243 QsciLexerBatch::tr(const char*, const char*, int)
    {51, 1220, 47, 3, Smoke::mf_static, 36, 6},	//244 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {51, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//245 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {51, 340, 74, 1, Smoke::mf_ctor, 54, 8},	//246 QsciLexerBatch::QsciLexerBatch(QObject*)
    {51, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//247 QsciLexerBatch::language() const
    {51, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//248 QsciLexerBatch::lexer() const
    {51, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//249 QsciLexerBatch::wordCharacters() const
    {51, 704, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 12},	//250 QsciLexerBatch::caseSensitive() const
    {51, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//251 QsciLexerBatch::defaultColor(int) const
    {51, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 14},	//252 QsciLexerBatch::defaultEolFill(int) const
    {51, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//253 QsciLexerBatch::defaultFont(int) const
    {51, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//254 QsciLexerBatch::defaultPaper(int) const
    {51, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 17},	//255 QsciLexerBatch::keywords(int) const
    {51, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//256 QsciLexerBatch::description(int) const
    {51, 1216, 12, 1, Smoke::mf_static, 36, 19},	//257 QsciLexerBatch::tr(const char*)
    {51, 1220, 12, 1, Smoke::mf_static, 36, 20},	//258 QsciLexerBatch::trUtf8(const char*)
    {51, 340, 0, 0, Smoke::mf_ctor, 54, 21},	//259 QsciLexerBatch::QsciLexerBatch()
    {51, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 22},	//260 QsciLexerBatch::staticMetaObject() const
    {51, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 23},	//261 QsciLexerBatch::Default (enum)
    {51, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 24},	//262 QsciLexerBatch::Comment (enum)
    {51, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 25},	//263 QsciLexerBatch::Keyword (enum)
    {51, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//264 QsciLexerBatch::Label (enum)
    {51, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 27},	//265 QsciLexerBatch::HideCommandChar (enum)
    {51, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//266 QsciLexerBatch::ExternalCommand (enum)
    {51, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 29},	//267 QsciLexerBatch::Variable (enum)
    {51, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 30},	//268 QsciLexerBatch::Operator (enum)
    {51, 1263, 0, 0, Smoke::mf_dtor, 0, 31 },	//269 QsciLexerBatch::~QsciLexerBatch()
    {52, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//270 QsciLexerCMake::metaObject() const
    {52, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//271 QsciLexerCMake::qt_metacast(const char*)
    {52, 1216, 44, 2, Smoke::mf_static, 36, 3},	//272 QsciLexerCMake::tr(const char*, const char*)
    {52, 1220, 44, 2, Smoke::mf_static, 36, 4},	//273 QsciLexerCMake::trUtf8(const char*, const char*)
    {52, 1216, 47, 3, Smoke::mf_static, 36, 5},	//274 QsciLexerCMake::tr(const char*, const char*, int)
    {52, 1220, 47, 3, Smoke::mf_static, 36, 6},	//275 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {52, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//276 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {52, 342, 74, 1, Smoke::mf_ctor, 55, 8},	//277 QsciLexerCMake::QsciLexerCMake(QObject*)
    {52, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//278 QsciLexerCMake::language() const
    {52, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//279 QsciLexerCMake::lexer() const
    {52, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//280 QsciLexerCMake::defaultColor(int) const
    {52, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//281 QsciLexerCMake::defaultFont(int) const
    {52, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//282 QsciLexerCMake::defaultPaper(int) const
    {52, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 14},	//283 QsciLexerCMake::keywords(int) const
    {52, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//284 QsciLexerCMake::description(int) const
    {52, 964, 0, 0, Smoke::mf_virtual, 0, 16},	//285 QsciLexerCMake::refreshProperties()
    {52, 796, 0, 0, Smoke::mf_const, 186, 17},	//286 QsciLexerCMake::foldAtElse() const
    {52, 1072, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//287 QsciLexerCMake::setFoldAtElse(bool)
    {52, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 19},	//288 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {52, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 20},	//289 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {52, 1216, 12, 1, Smoke::mf_static, 36, 21},	//290 QsciLexerCMake::tr(const char*)
    {52, 1220, 12, 1, Smoke::mf_static, 36, 22},	//291 QsciLexerCMake::trUtf8(const char*)
    {52, 342, 0, 0, Smoke::mf_ctor, 55, 23},	//292 QsciLexerCMake::QsciLexerCMake()
    {52, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 24},	//293 QsciLexerCMake::staticMetaObject() const
    {52, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 25},	//294 QsciLexerCMake::Default (enum)
    {52, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//295 QsciLexerCMake::Comment (enum)
    {52, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 27},	//296 QsciLexerCMake::String (enum)
    {52, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//297 QsciLexerCMake::StringLeftQuote (enum)
    {52, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 29},	//298 QsciLexerCMake::StringRightQuote (enum)
    {52, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 30},	//299 QsciLexerCMake::Function (enum)
    {52, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 31},	//300 QsciLexerCMake::Variable (enum)
    {52, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//301 QsciLexerCMake::Label (enum)
    {52, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//302 QsciLexerCMake::KeywordSet3 (enum)
    {52, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//303 QsciLexerCMake::BlockWhile (enum)
    {52, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//304 QsciLexerCMake::BlockForeach (enum)
    {52, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//305 QsciLexerCMake::BlockIf (enum)
    {52, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//306 QsciLexerCMake::BlockMacro (enum)
    {52, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//307 QsciLexerCMake::StringVariable (enum)
    {52, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//308 QsciLexerCMake::Number (enum)
    {52, 1264, 0, 0, Smoke::mf_dtor, 0, 40 },	//309 QsciLexerCMake::~QsciLexerCMake()
    {53, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//310 QsciLexerCPP::metaObject() const
    {53, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//311 QsciLexerCPP::qt_metacast(const char*)
    {53, 1216, 44, 2, Smoke::mf_static, 36, 3},	//312 QsciLexerCPP::tr(const char*, const char*)
    {53, 1220, 44, 2, Smoke::mf_static, 36, 4},	//313 QsciLexerCPP::trUtf8(const char*, const char*)
    {53, 1216, 47, 3, Smoke::mf_static, 36, 5},	//314 QsciLexerCPP::tr(const char*, const char*, int)
    {53, 1220, 47, 3, Smoke::mf_static, 36, 6},	//315 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {53, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//316 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {53, 344, 96, 2, Smoke::mf_ctor, 56, 8},	//317 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {53, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//318 QsciLexerCPP::language() const
    {53, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//319 QsciLexerCPP::lexer() const
    {53, 682, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//320 QsciLexerCPP::autoCompletionWordSeparators() const
    {53, 688, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//321 QsciLexerCPP::blockEnd(int*) const
    {53, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//322 QsciLexerCPP::blockStart(int*) const
    {53, 693, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 14},	//323 QsciLexerCPP::blockStartKeyword(int*) const
    {53, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 15},	//324 QsciLexerCPP::braceStyle() const
    {53, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//325 QsciLexerCPP::wordCharacters() const
    {53, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//326 QsciLexerCPP::defaultColor(int) const
    {53, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 18},	//327 QsciLexerCPP::defaultEolFill(int) const
    {53, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//328 QsciLexerCPP::defaultFont(int) const
    {53, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//329 QsciLexerCPP::defaultPaper(int) const
    {53, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 21},	//330 QsciLexerCPP::keywords(int) const
    {53, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 22},	//331 QsciLexerCPP::description(int) const
    {53, 964, 0, 0, Smoke::mf_virtual, 0, 23},	//332 QsciLexerCPP::refreshProperties()
    {53, 796, 0, 0, Smoke::mf_const, 186, 24},	//333 QsciLexerCPP::foldAtElse() const
    {53, 798, 0, 0, Smoke::mf_const, 186, 25},	//334 QsciLexerCPP::foldComments() const
    {53, 799, 0, 0, Smoke::mf_const, 186, 26},	//335 QsciLexerCPP::foldCompact() const
    {53, 805, 0, 0, Smoke::mf_const, 186, 27},	//336 QsciLexerCPP::foldPreprocessor() const
    {53, 1206, 0, 0, Smoke::mf_const, 186, 28},	//337 QsciLexerCPP::stylePreprocessor() const
    {53, 1053, 16, 1, 0, 0, 29},	//338 QsciLexerCPP::setDollarsAllowed(bool)
    {53, 750, 0, 0, Smoke::mf_const, 186, 30},	//339 QsciLexerCPP::dollarsAllowed() const
    {53, 1072, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//340 QsciLexerCPP::setFoldAtElse(bool)
    {53, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//341 QsciLexerCPP::setFoldComments(bool)
    {53, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//342 QsciLexerCPP::setFoldCompact(bool)
    {53, 1088, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//343 QsciLexerCPP::setFoldPreprocessor(bool)
    {53, 1168, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//344 QsciLexerCPP::setStylePreprocessor(bool)
    {53, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 36},	//345 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {53, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 37},	//346 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {53, 1216, 12, 1, Smoke::mf_static, 36, 38},	//347 QsciLexerCPP::tr(const char*)
    {53, 1220, 12, 1, Smoke::mf_static, 36, 39},	//348 QsciLexerCPP::trUtf8(const char*)
    {53, 344, 0, 0, Smoke::mf_ctor, 56, 40},	//349 QsciLexerCPP::QsciLexerCPP()
    {53, 344, 74, 1, Smoke::mf_ctor, 56, 41},	//350 QsciLexerCPP::QsciLexerCPP(QObject*)
    {53, 688, 0, 0, Smoke::mf_const, 205, 42},	//351 QsciLexerCPP::blockEnd() const
    {53, 691, 0, 0, Smoke::mf_const, 205, 43},	//352 QsciLexerCPP::blockStart() const
    {53, 693, 0, 0, Smoke::mf_const, 205, 44},	//353 QsciLexerCPP::blockStartKeyword() const
    {53, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 45},	//354 QsciLexerCPP::staticMetaObject() const
    {53, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//355 QsciLexerCPP::Default (enum)
    {53, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//356 QsciLexerCPP::Comment (enum)
    {53, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//357 QsciLexerCPP::CommentLine (enum)
    {53, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//358 QsciLexerCPP::CommentDoc (enum)
    {53, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//359 QsciLexerCPP::Number (enum)
    {53, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//360 QsciLexerCPP::Keyword (enum)
    {53, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//361 QsciLexerCPP::DoubleQuotedString (enum)
    {53, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 53},	//362 QsciLexerCPP::SingleQuotedString (enum)
    {53, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 54},	//363 QsciLexerCPP::UUID (enum)
    {53, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 55},	//364 QsciLexerCPP::PreProcessor (enum)
    {53, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 56},	//365 QsciLexerCPP::Operator (enum)
    {53, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 57},	//366 QsciLexerCPP::Identifier (enum)
    {53, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 58},	//367 QsciLexerCPP::UnclosedString (enum)
    {53, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 59},	//368 QsciLexerCPP::VerbatimString (enum)
    {53, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 60},	//369 QsciLexerCPP::Regex (enum)
    {53, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 61},	//370 QsciLexerCPP::CommentLineDoc (enum)
    {53, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 62},	//371 QsciLexerCPP::KeywordSet2 (enum)
    {53, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 63},	//372 QsciLexerCPP::CommentDocKeyword (enum)
    {53, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 64},	//373 QsciLexerCPP::CommentDocKeywordError (enum)
    {53, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 65},	//374 QsciLexerCPP::GlobalClass (enum)
    {53, 1265, 0, 0, Smoke::mf_dtor, 0, 66 },	//375 QsciLexerCPP::~QsciLexerCPP()
    {54, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//376 QsciLexerCSS::metaObject() const
    {54, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//377 QsciLexerCSS::qt_metacast(const char*)
    {54, 1216, 44, 2, Smoke::mf_static, 36, 3},	//378 QsciLexerCSS::tr(const char*, const char*)
    {54, 1220, 44, 2, Smoke::mf_static, 36, 4},	//379 QsciLexerCSS::trUtf8(const char*, const char*)
    {54, 1216, 47, 3, Smoke::mf_static, 36, 5},	//380 QsciLexerCSS::tr(const char*, const char*, int)
    {54, 1220, 47, 3, Smoke::mf_static, 36, 6},	//381 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {54, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//382 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {54, 347, 74, 1, Smoke::mf_ctor, 57, 8},	//383 QsciLexerCSS::QsciLexerCSS(QObject*)
    {54, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//384 QsciLexerCSS::language() const
    {54, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//385 QsciLexerCSS::lexer() const
    {54, 688, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//386 QsciLexerCSS::blockEnd(int*) const
    {54, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//387 QsciLexerCSS::blockStart(int*) const
    {54, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//388 QsciLexerCSS::wordCharacters() const
    {54, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//389 QsciLexerCSS::defaultColor(int) const
    {54, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//390 QsciLexerCSS::defaultFont(int) const
    {54, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//391 QsciLexerCSS::keywords(int) const
    {54, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//392 QsciLexerCSS::description(int) const
    {54, 964, 0, 0, Smoke::mf_virtual, 0, 18},	//393 QsciLexerCSS::refreshProperties()
    {54, 798, 0, 0, Smoke::mf_const, 186, 19},	//394 QsciLexerCSS::foldComments() const
    {54, 799, 0, 0, Smoke::mf_const, 186, 20},	//395 QsciLexerCSS::foldCompact() const
    {54, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//396 QsciLexerCSS::setFoldComments(bool)
    {54, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//397 QsciLexerCSS::setFoldCompact(bool)
    {54, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 23},	//398 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {54, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 24},	//399 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {54, 1216, 12, 1, Smoke::mf_static, 36, 25},	//400 QsciLexerCSS::tr(const char*)
    {54, 1220, 12, 1, Smoke::mf_static, 36, 26},	//401 QsciLexerCSS::trUtf8(const char*)
    {54, 347, 0, 0, Smoke::mf_ctor, 57, 27},	//402 QsciLexerCSS::QsciLexerCSS()
    {54, 688, 0, 0, Smoke::mf_const, 205, 28},	//403 QsciLexerCSS::blockEnd() const
    {54, 691, 0, 0, Smoke::mf_const, 205, 29},	//404 QsciLexerCSS::blockStart() const
    {54, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 30},	//405 QsciLexerCSS::staticMetaObject() const
    {54, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 31},	//406 QsciLexerCSS::Default (enum)
    {54, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//407 QsciLexerCSS::Tag (enum)
    {54, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//408 QsciLexerCSS::ClassSelector (enum)
    {54, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//409 QsciLexerCSS::PseudoClass (enum)
    {54, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//410 QsciLexerCSS::UnknownPseudoClass (enum)
    {54, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//411 QsciLexerCSS::Operator (enum)
    {54, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//412 QsciLexerCSS::CSS1Property (enum)
    {54, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//413 QsciLexerCSS::UnknownProperty (enum)
    {54, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//414 QsciLexerCSS::Value (enum)
    {54, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//415 QsciLexerCSS::Comment (enum)
    {54, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//416 QsciLexerCSS::IDSelector (enum)
    {54, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//417 QsciLexerCSS::Important (enum)
    {54, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//418 QsciLexerCSS::AtRule (enum)
    {54, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//419 QsciLexerCSS::DoubleQuotedString (enum)
    {54, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//420 QsciLexerCSS::SingleQuotedString (enum)
    {54, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//421 QsciLexerCSS::CSS2Property (enum)
    {54, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//422 QsciLexerCSS::Attribute (enum)
    {54, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//423 QsciLexerCSS::CSS3Property (enum)
    {54, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//424 QsciLexerCSS::PseudoElement (enum)
    {54, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//425 QsciLexerCSS::ExtendedCSSProperty (enum)
    {54, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//426 QsciLexerCSS::ExtendedPseudoClass (enum)
    {54, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//427 QsciLexerCSS::ExtendedPseudoElement (enum)
    {54, 1266, 0, 0, Smoke::mf_dtor, 0, 53 },	//428 QsciLexerCSS::~QsciLexerCSS()
    {55, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//429 QsciLexerCSharp::metaObject() const
    {55, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//430 QsciLexerCSharp::qt_metacast(const char*)
    {55, 1216, 44, 2, Smoke::mf_static, 36, 3},	//431 QsciLexerCSharp::tr(const char*, const char*)
    {55, 1220, 44, 2, Smoke::mf_static, 36, 4},	//432 QsciLexerCSharp::trUtf8(const char*, const char*)
    {55, 1216, 47, 3, Smoke::mf_static, 36, 5},	//433 QsciLexerCSharp::tr(const char*, const char*, int)
    {55, 1220, 47, 3, Smoke::mf_static, 36, 6},	//434 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {55, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//435 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {55, 349, 74, 1, Smoke::mf_ctor, 58, 8},	//436 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {55, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//437 QsciLexerCSharp::language() const
    {55, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//438 QsciLexerCSharp::defaultColor(int) const
    {55, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 11},	//439 QsciLexerCSharp::defaultEolFill(int) const
    {55, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//440 QsciLexerCSharp::defaultFont(int) const
    {55, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//441 QsciLexerCSharp::defaultPaper(int) const
    {55, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 14},	//442 QsciLexerCSharp::keywords(int) const
    {55, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//443 QsciLexerCSharp::description(int) const
    {55, 1216, 12, 1, Smoke::mf_static, 36, 16},	//444 QsciLexerCSharp::tr(const char*)
    {55, 1220, 12, 1, Smoke::mf_static, 36, 17},	//445 QsciLexerCSharp::trUtf8(const char*)
    {55, 349, 0, 0, Smoke::mf_ctor, 58, 18},	//446 QsciLexerCSharp::QsciLexerCSharp()
    {55, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 19},	//447 QsciLexerCSharp::staticMetaObject() const
    {55, 1267, 0, 0, Smoke::mf_dtor, 0, 20 },	//448 QsciLexerCSharp::~QsciLexerCSharp()
    {56, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//449 QsciLexerD::metaObject() const
    {56, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//450 QsciLexerD::qt_metacast(const char*)
    {56, 1216, 44, 2, Smoke::mf_static, 36, 3},	//451 QsciLexerD::tr(const char*, const char*)
    {56, 1220, 44, 2, Smoke::mf_static, 36, 4},	//452 QsciLexerD::trUtf8(const char*, const char*)
    {56, 1216, 47, 3, Smoke::mf_static, 36, 5},	//453 QsciLexerD::tr(const char*, const char*, int)
    {56, 1220, 47, 3, Smoke::mf_static, 36, 6},	//454 QsciLexerD::trUtf8(const char*, const char*, int)
    {56, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//455 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {56, 351, 74, 1, Smoke::mf_ctor, 59, 8},	//456 QsciLexerD::QsciLexerD(QObject*)
    {56, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//457 QsciLexerD::language() const
    {56, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//458 QsciLexerD::lexer() const
    {56, 682, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//459 QsciLexerD::autoCompletionWordSeparators() const
    {56, 688, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//460 QsciLexerD::blockEnd(int*) const
    {56, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//461 QsciLexerD::blockStart(int*) const
    {56, 693, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 14},	//462 QsciLexerD::blockStartKeyword(int*) const
    {56, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 15},	//463 QsciLexerD::braceStyle() const
    {56, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//464 QsciLexerD::wordCharacters() const
    {56, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//465 QsciLexerD::defaultColor(int) const
    {56, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 18},	//466 QsciLexerD::defaultEolFill(int) const
    {56, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//467 QsciLexerD::defaultFont(int) const
    {56, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//468 QsciLexerD::defaultPaper(int) const
    {56, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 21},	//469 QsciLexerD::keywords(int) const
    {56, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 22},	//470 QsciLexerD::description(int) const
    {56, 964, 0, 0, Smoke::mf_virtual, 0, 23},	//471 QsciLexerD::refreshProperties()
    {56, 796, 0, 0, Smoke::mf_const, 186, 24},	//472 QsciLexerD::foldAtElse() const
    {56, 798, 0, 0, Smoke::mf_const, 186, 25},	//473 QsciLexerD::foldComments() const
    {56, 799, 0, 0, Smoke::mf_const, 186, 26},	//474 QsciLexerD::foldCompact() const
    {56, 1072, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//475 QsciLexerD::setFoldAtElse(bool)
    {56, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//476 QsciLexerD::setFoldComments(bool)
    {56, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//477 QsciLexerD::setFoldCompact(bool)
    {56, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 30},	//478 QsciLexerD::readProperties(QSettings&, const QString&)
    {56, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 31},	//479 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {56, 1216, 12, 1, Smoke::mf_static, 36, 32},	//480 QsciLexerD::tr(const char*)
    {56, 1220, 12, 1, Smoke::mf_static, 36, 33},	//481 QsciLexerD::trUtf8(const char*)
    {56, 351, 0, 0, Smoke::mf_ctor, 59, 34},	//482 QsciLexerD::QsciLexerD()
    {56, 688, 0, 0, Smoke::mf_const, 205, 35},	//483 QsciLexerD::blockEnd() const
    {56, 691, 0, 0, Smoke::mf_const, 205, 36},	//484 QsciLexerD::blockStart() const
    {56, 693, 0, 0, Smoke::mf_const, 205, 37},	//485 QsciLexerD::blockStartKeyword() const
    {56, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 38},	//486 QsciLexerD::staticMetaObject() const
    {56, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//487 QsciLexerD::Default (enum)
    {56, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//488 QsciLexerD::Comment (enum)
    {56, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//489 QsciLexerD::CommentLine (enum)
    {56, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//490 QsciLexerD::CommentDoc (enum)
    {56, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//491 QsciLexerD::CommentNested (enum)
    {56, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//492 QsciLexerD::Number (enum)
    {56, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//493 QsciLexerD::Keyword (enum)
    {56, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//494 QsciLexerD::KeywordSecondary (enum)
    {56, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//495 QsciLexerD::KeywordDoc (enum)
    {56, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//496 QsciLexerD::Typedefs (enum)
    {56, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//497 QsciLexerD::String (enum)
    {56, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//498 QsciLexerD::UnclosedString (enum)
    {56, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//499 QsciLexerD::Character (enum)
    {56, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//500 QsciLexerD::Operator (enum)
    {56, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 53},	//501 QsciLexerD::Identifier (enum)
    {56, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 54},	//502 QsciLexerD::CommentLineDoc (enum)
    {56, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 55},	//503 QsciLexerD::CommentDocKeyword (enum)
    {56, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 56},	//504 QsciLexerD::CommentDocKeywordError (enum)
    {56, 1268, 0, 0, Smoke::mf_dtor, 0, 57 },	//505 QsciLexerD::~QsciLexerD()
    {57, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//506 QsciLexerDiff::metaObject() const
    {57, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//507 QsciLexerDiff::qt_metacast(const char*)
    {57, 1216, 44, 2, Smoke::mf_static, 36, 3},	//508 QsciLexerDiff::tr(const char*, const char*)
    {57, 1220, 44, 2, Smoke::mf_static, 36, 4},	//509 QsciLexerDiff::trUtf8(const char*, const char*)
    {57, 1216, 47, 3, Smoke::mf_static, 36, 5},	//510 QsciLexerDiff::tr(const char*, const char*, int)
    {57, 1220, 47, 3, Smoke::mf_static, 36, 6},	//511 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {57, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//512 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {57, 353, 74, 1, Smoke::mf_ctor, 60, 8},	//513 QsciLexerDiff::QsciLexerDiff(QObject*)
    {57, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//514 QsciLexerDiff::language() const
    {57, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//515 QsciLexerDiff::lexer() const
    {57, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//516 QsciLexerDiff::wordCharacters() const
    {57, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//517 QsciLexerDiff::defaultColor(int) const
    {57, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 13},	//518 QsciLexerDiff::description(int) const
    {57, 1216, 12, 1, Smoke::mf_static, 36, 14},	//519 QsciLexerDiff::tr(const char*)
    {57, 1220, 12, 1, Smoke::mf_static, 36, 15},	//520 QsciLexerDiff::trUtf8(const char*)
    {57, 353, 0, 0, Smoke::mf_ctor, 60, 16},	//521 QsciLexerDiff::QsciLexerDiff()
    {57, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 17},	//522 QsciLexerDiff::staticMetaObject() const
    {57, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 18},	//523 QsciLexerDiff::Default (enum)
    {57, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 19},	//524 QsciLexerDiff::Comment (enum)
    {57, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 20},	//525 QsciLexerDiff::Command (enum)
    {57, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 21},	//526 QsciLexerDiff::Header (enum)
    {57, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 22},	//527 QsciLexerDiff::Position (enum)
    {57, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 23},	//528 QsciLexerDiff::LineRemoved (enum)
    {57, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 24},	//529 QsciLexerDiff::LineAdded (enum)
    {57, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 25},	//530 QsciLexerDiff::LineChanged (enum)
    {57, 1269, 0, 0, Smoke::mf_dtor, 0, 26 },	//531 QsciLexerDiff::~QsciLexerDiff()
    {58, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//532 QsciLexerHTML::metaObject() const
    {58, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//533 QsciLexerHTML::qt_metacast(const char*)
    {58, 1216, 44, 2, Smoke::mf_static, 36, 3},	//534 QsciLexerHTML::tr(const char*, const char*)
    {58, 1220, 44, 2, Smoke::mf_static, 36, 4},	//535 QsciLexerHTML::trUtf8(const char*, const char*)
    {58, 1216, 47, 3, Smoke::mf_static, 36, 5},	//536 QsciLexerHTML::tr(const char*, const char*, int)
    {58, 1220, 47, 3, Smoke::mf_static, 36, 6},	//537 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {58, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//538 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {58, 355, 74, 1, Smoke::mf_ctor, 61, 8},	//539 QsciLexerHTML::QsciLexerHTML(QObject*)
    {58, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//540 QsciLexerHTML::language() const
    {58, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//541 QsciLexerHTML::lexer() const
    {58, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//542 QsciLexerHTML::wordCharacters() const
    {58, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//543 QsciLexerHTML::defaultColor(int) const
    {58, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 13},	//544 QsciLexerHTML::defaultEolFill(int) const
    {58, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//545 QsciLexerHTML::defaultFont(int) const
    {58, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//546 QsciLexerHTML::defaultPaper(int) const
    {58, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//547 QsciLexerHTML::keywords(int) const
    {58, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//548 QsciLexerHTML::description(int) const
    {58, 964, 0, 0, Smoke::mf_virtual, 0, 18},	//549 QsciLexerHTML::refreshProperties()
    {58, 799, 0, 0, Smoke::mf_const, 186, 19},	//550 QsciLexerHTML::foldCompact() const
    {58, 805, 0, 0, Smoke::mf_const, 186, 20},	//551 QsciLexerHTML::foldPreprocessor() const
    {58, 705, 0, 0, Smoke::mf_const, 186, 21},	//552 QsciLexerHTML::caseSensitiveTags() const
    {58, 1092, 16, 1, 0, 0, 22},	//553 QsciLexerHTML::setFoldScriptComments(bool)
    {58, 807, 0, 0, Smoke::mf_const, 186, 23},	//554 QsciLexerHTML::foldScriptComments() const
    {58, 1094, 16, 1, 0, 0, 24},	//555 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {58, 808, 0, 0, Smoke::mf_const, 186, 25},	//556 QsciLexerHTML::foldScriptHeredocs() const
    {58, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//557 QsciLexerHTML::setFoldCompact(bool)
    {58, 1088, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//558 QsciLexerHTML::setFoldPreprocessor(bool)
    {58, 1038, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//559 QsciLexerHTML::setCaseSensitiveTags(bool)
    {58, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 29},	//560 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {58, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 30},	//561 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {58, 1216, 12, 1, Smoke::mf_static, 36, 31},	//562 QsciLexerHTML::tr(const char*)
    {58, 1220, 12, 1, Smoke::mf_static, 36, 32},	//563 QsciLexerHTML::trUtf8(const char*)
    {58, 355, 0, 0, Smoke::mf_ctor, 61, 33},	//564 QsciLexerHTML::QsciLexerHTML()
    {58, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 34},	//565 QsciLexerHTML::staticMetaObject() const
    {58, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//566 QsciLexerHTML::Default (enum)
    {58, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//567 QsciLexerHTML::Tag (enum)
    {58, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//568 QsciLexerHTML::UnknownTag (enum)
    {58, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//569 QsciLexerHTML::Attribute (enum)
    {58, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//570 QsciLexerHTML::UnknownAttribute (enum)
    {58, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//571 QsciLexerHTML::HTMLNumber (enum)
    {58, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//572 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {58, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//573 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {58, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//574 QsciLexerHTML::OtherInTag (enum)
    {58, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//575 QsciLexerHTML::HTMLComment (enum)
    {58, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//576 QsciLexerHTML::Entity (enum)
    {58, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//577 QsciLexerHTML::XMLTagEnd (enum)
    {58, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//578 QsciLexerHTML::XMLStart (enum)
    {58, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//579 QsciLexerHTML::XMLEnd (enum)
    {58, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//580 QsciLexerHTML::Script (enum)
    {58, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//581 QsciLexerHTML::ASPAtStart (enum)
    {58, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//582 QsciLexerHTML::ASPStart (enum)
    {58, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//583 QsciLexerHTML::CDATA (enum)
    {58, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 53},	//584 QsciLexerHTML::PHPStart (enum)
    {58, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 54},	//585 QsciLexerHTML::HTMLValue (enum)
    {58, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 55},	//586 QsciLexerHTML::ASPXCComment (enum)
    {58, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 56},	//587 QsciLexerHTML::SGMLDefault (enum)
    {58, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 57},	//588 QsciLexerHTML::SGMLCommand (enum)
    {58, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 58},	//589 QsciLexerHTML::SGMLParameter (enum)
    {58, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 59},	//590 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {58, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 60},	//591 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {58, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 61},	//592 QsciLexerHTML::SGMLError (enum)
    {58, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 62},	//593 QsciLexerHTML::SGMLSpecial (enum)
    {58, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 63},	//594 QsciLexerHTML::SGMLEntity (enum)
    {58, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 64},	//595 QsciLexerHTML::SGMLComment (enum)
    {58, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 65},	//596 QsciLexerHTML::SGMLParameterComment (enum)
    {58, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 66},	//597 QsciLexerHTML::SGMLBlockDefault (enum)
    {58, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 67},	//598 QsciLexerHTML::JavaScriptStart (enum)
    {58, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 68},	//599 QsciLexerHTML::JavaScriptDefault (enum)
    {58, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 69},	//600 QsciLexerHTML::JavaScriptComment (enum)
    {58, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 70},	//601 QsciLexerHTML::JavaScriptCommentLine (enum)
    {58, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 71},	//602 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {58, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 72},	//603 QsciLexerHTML::JavaScriptNumber (enum)
    {58, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 73},	//604 QsciLexerHTML::JavaScriptWord (enum)
    {58, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 74},	//605 QsciLexerHTML::JavaScriptKeyword (enum)
    {58, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 75},	//606 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {58, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 76},	//607 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 77},	//608 QsciLexerHTML::JavaScriptSymbol (enum)
    {58, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 78},	//609 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {58, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 79},	//610 QsciLexerHTML::JavaScriptRegex (enum)
    {58, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 80},	//611 QsciLexerHTML::ASPJavaScriptStart (enum)
    {58, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 81},	//612 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {58, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 82},	//613 QsciLexerHTML::ASPJavaScriptComment (enum)
    {58, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 83},	//614 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {58, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 84},	//615 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {58, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 85},	//616 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {58, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 86},	//617 QsciLexerHTML::ASPJavaScriptWord (enum)
    {58, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 87},	//618 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {58, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 88},	//619 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {58, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 89},	//620 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {58, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 90},	//621 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {58, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 91},	//622 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {58, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 92},	//623 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {58, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 93},	//624 QsciLexerHTML::VBScriptStart (enum)
    {58, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 94},	//625 QsciLexerHTML::VBScriptDefault (enum)
    {58, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 95},	//626 QsciLexerHTML::VBScriptComment (enum)
    {58, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 96},	//627 QsciLexerHTML::VBScriptNumber (enum)
    {58, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 97},	//628 QsciLexerHTML::VBScriptKeyword (enum)
    {58, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 98},	//629 QsciLexerHTML::VBScriptString (enum)
    {58, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 99},	//630 QsciLexerHTML::VBScriptIdentifier (enum)
    {58, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 100},	//631 QsciLexerHTML::VBScriptUnclosedString (enum)
    {58, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 101},	//632 QsciLexerHTML::ASPVBScriptStart (enum)
    {58, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 102},	//633 QsciLexerHTML::ASPVBScriptDefault (enum)
    {58, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 103},	//634 QsciLexerHTML::ASPVBScriptComment (enum)
    {58, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 104},	//635 QsciLexerHTML::ASPVBScriptNumber (enum)
    {58, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 105},	//636 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {58, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 106},	//637 QsciLexerHTML::ASPVBScriptString (enum)
    {58, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 107},	//638 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {58, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 108},	//639 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {58, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 109},	//640 QsciLexerHTML::PythonStart (enum)
    {58, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 110},	//641 QsciLexerHTML::PythonDefault (enum)
    {58, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 111},	//642 QsciLexerHTML::PythonComment (enum)
    {58, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 112},	//643 QsciLexerHTML::PythonNumber (enum)
    {58, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 113},	//644 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {58, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 114},	//645 QsciLexerHTML::PythonSingleQuotedString (enum)
    {58, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 115},	//646 QsciLexerHTML::PythonKeyword (enum)
    {58, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 116},	//647 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {58, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 117},	//648 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {58, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 118},	//649 QsciLexerHTML::PythonClassName (enum)
    {58, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 119},	//650 QsciLexerHTML::PythonFunctionMethodName (enum)
    {58, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 120},	//651 QsciLexerHTML::PythonOperator (enum)
    {58, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 121},	//652 QsciLexerHTML::PythonIdentifier (enum)
    {58, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 122},	//653 QsciLexerHTML::ASPPythonStart (enum)
    {58, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 123},	//654 QsciLexerHTML::ASPPythonDefault (enum)
    {58, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 124},	//655 QsciLexerHTML::ASPPythonComment (enum)
    {58, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 125},	//656 QsciLexerHTML::ASPPythonNumber (enum)
    {58, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 126},	//657 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {58, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 127},	//658 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {58, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 128},	//659 QsciLexerHTML::ASPPythonKeyword (enum)
    {58, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 129},	//660 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {58, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 130},	//661 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {58, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 131},	//662 QsciLexerHTML::ASPPythonClassName (enum)
    {58, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 132},	//663 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {58, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 133},	//664 QsciLexerHTML::ASPPythonOperator (enum)
    {58, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 134},	//665 QsciLexerHTML::ASPPythonIdentifier (enum)
    {58, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 135},	//666 QsciLexerHTML::PHPDefault (enum)
    {58, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 136},	//667 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {58, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 137},	//668 QsciLexerHTML::PHPSingleQuotedString (enum)
    {58, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 138},	//669 QsciLexerHTML::PHPKeyword (enum)
    {58, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 139},	//670 QsciLexerHTML::PHPNumber (enum)
    {58, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 140},	//671 QsciLexerHTML::PHPVariable (enum)
    {58, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 141},	//672 QsciLexerHTML::PHPComment (enum)
    {58, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 142},	//673 QsciLexerHTML::PHPCommentLine (enum)
    {58, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 143},	//674 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {58, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 144},	//675 QsciLexerHTML::PHPOperator (enum)
    {58, 1270, 0, 0, Smoke::mf_dtor, 0, 145 },	//676 QsciLexerHTML::~QsciLexerHTML()
    {59, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//677 QsciLexerIDL::metaObject() const
    {59, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//678 QsciLexerIDL::qt_metacast(const char*)
    {59, 1216, 44, 2, Smoke::mf_static, 36, 3},	//679 QsciLexerIDL::tr(const char*, const char*)
    {59, 1220, 44, 2, Smoke::mf_static, 36, 4},	//680 QsciLexerIDL::trUtf8(const char*, const char*)
    {59, 1216, 47, 3, Smoke::mf_static, 36, 5},	//681 QsciLexerIDL::tr(const char*, const char*, int)
    {59, 1220, 47, 3, Smoke::mf_static, 36, 6},	//682 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {59, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//683 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {59, 357, 74, 1, Smoke::mf_ctor, 62, 8},	//684 QsciLexerIDL::QsciLexerIDL(QObject*)
    {59, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//685 QsciLexerIDL::language() const
    {59, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//686 QsciLexerIDL::defaultColor(int) const
    {59, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//687 QsciLexerIDL::keywords(int) const
    {59, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 12},	//688 QsciLexerIDL::description(int) const
    {59, 1216, 12, 1, Smoke::mf_static, 36, 13},	//689 QsciLexerIDL::tr(const char*)
    {59, 1220, 12, 1, Smoke::mf_static, 36, 14},	//690 QsciLexerIDL::trUtf8(const char*)
    {59, 357, 0, 0, Smoke::mf_ctor, 62, 15},	//691 QsciLexerIDL::QsciLexerIDL()
    {59, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 16},	//692 QsciLexerIDL::staticMetaObject() const
    {59, 1271, 0, 0, Smoke::mf_dtor, 0, 17 },	//693 QsciLexerIDL::~QsciLexerIDL()
    {60, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//694 QsciLexerJava::metaObject() const
    {60, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//695 QsciLexerJava::qt_metacast(const char*)
    {60, 1216, 44, 2, Smoke::mf_static, 36, 3},	//696 QsciLexerJava::tr(const char*, const char*)
    {60, 1220, 44, 2, Smoke::mf_static, 36, 4},	//697 QsciLexerJava::trUtf8(const char*, const char*)
    {60, 1216, 47, 3, Smoke::mf_static, 36, 5},	//698 QsciLexerJava::tr(const char*, const char*, int)
    {60, 1220, 47, 3, Smoke::mf_static, 36, 6},	//699 QsciLexerJava::trUtf8(const char*, const char*, int)
    {60, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//700 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {60, 359, 74, 1, Smoke::mf_ctor, 63, 8},	//701 QsciLexerJava::QsciLexerJava(QObject*)
    {60, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//702 QsciLexerJava::language() const
    {60, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//703 QsciLexerJava::keywords(int) const
    {60, 1216, 12, 1, Smoke::mf_static, 36, 11},	//704 QsciLexerJava::tr(const char*)
    {60, 1220, 12, 1, Smoke::mf_static, 36, 12},	//705 QsciLexerJava::trUtf8(const char*)
    {60, 359, 0, 0, Smoke::mf_ctor, 63, 13},	//706 QsciLexerJava::QsciLexerJava()
    {60, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 14},	//707 QsciLexerJava::staticMetaObject() const
    {60, 1272, 0, 0, Smoke::mf_dtor, 0, 15 },	//708 QsciLexerJava::~QsciLexerJava()
    {61, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//709 QsciLexerJavaScript::metaObject() const
    {61, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//710 QsciLexerJavaScript::qt_metacast(const char*)
    {61, 1216, 44, 2, Smoke::mf_static, 36, 3},	//711 QsciLexerJavaScript::tr(const char*, const char*)
    {61, 1220, 44, 2, Smoke::mf_static, 36, 4},	//712 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {61, 1216, 47, 3, Smoke::mf_static, 36, 5},	//713 QsciLexerJavaScript::tr(const char*, const char*, int)
    {61, 1220, 47, 3, Smoke::mf_static, 36, 6},	//714 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {61, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//715 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {61, 361, 74, 1, Smoke::mf_ctor, 64, 8},	//716 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {61, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//717 QsciLexerJavaScript::language() const
    {61, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//718 QsciLexerJavaScript::defaultColor(int) const
    {61, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 11},	//719 QsciLexerJavaScript::defaultEolFill(int) const
    {61, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//720 QsciLexerJavaScript::defaultFont(int) const
    {61, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//721 QsciLexerJavaScript::defaultPaper(int) const
    {61, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 14},	//722 QsciLexerJavaScript::keywords(int) const
    {61, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//723 QsciLexerJavaScript::description(int) const
    {61, 1216, 12, 1, Smoke::mf_static, 36, 16},	//724 QsciLexerJavaScript::tr(const char*)
    {61, 1220, 12, 1, Smoke::mf_static, 36, 17},	//725 QsciLexerJavaScript::trUtf8(const char*)
    {61, 361, 0, 0, Smoke::mf_ctor, 64, 18},	//726 QsciLexerJavaScript::QsciLexerJavaScript()
    {61, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 19},	//727 QsciLexerJavaScript::staticMetaObject() const
    {61, 1273, 0, 0, Smoke::mf_dtor, 0, 20 },	//728 QsciLexerJavaScript::~QsciLexerJavaScript()
    {62, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//729 QsciLexerLua::metaObject() const
    {62, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//730 QsciLexerLua::qt_metacast(const char*)
    {62, 1216, 44, 2, Smoke::mf_static, 36, 3},	//731 QsciLexerLua::tr(const char*, const char*)
    {62, 1220, 44, 2, Smoke::mf_static, 36, 4},	//732 QsciLexerLua::trUtf8(const char*, const char*)
    {62, 1216, 47, 3, Smoke::mf_static, 36, 5},	//733 QsciLexerLua::tr(const char*, const char*, int)
    {62, 1220, 47, 3, Smoke::mf_static, 36, 6},	//734 QsciLexerLua::trUtf8(const char*, const char*, int)
    {62, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//735 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {62, 363, 74, 1, Smoke::mf_ctor, 65, 8},	//736 QsciLexerLua::QsciLexerLua(QObject*)
    {62, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//737 QsciLexerLua::language() const
    {62, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//738 QsciLexerLua::lexer() const
    {62, 682, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//739 QsciLexerLua::autoCompletionWordSeparators() const
    {62, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//740 QsciLexerLua::blockStart(int*) const
    {62, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 13},	//741 QsciLexerLua::braceStyle() const
    {62, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//742 QsciLexerLua::defaultColor(int) const
    {62, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 15},	//743 QsciLexerLua::defaultEolFill(int) const
    {62, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//744 QsciLexerLua::defaultFont(int) const
    {62, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//745 QsciLexerLua::defaultPaper(int) const
    {62, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 18},	//746 QsciLexerLua::keywords(int) const
    {62, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 19},	//747 QsciLexerLua::description(int) const
    {62, 964, 0, 0, Smoke::mf_virtual, 0, 20},	//748 QsciLexerLua::refreshProperties()
    {62, 799, 0, 0, Smoke::mf_const, 186, 21},	//749 QsciLexerLua::foldCompact() const
    {62, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//750 QsciLexerLua::setFoldCompact(bool)
    {62, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 23},	//751 QsciLexerLua::readProperties(QSettings&, const QString&)
    {62, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 24},	//752 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {62, 1216, 12, 1, Smoke::mf_static, 36, 25},	//753 QsciLexerLua::tr(const char*)
    {62, 1220, 12, 1, Smoke::mf_static, 36, 26},	//754 QsciLexerLua::trUtf8(const char*)
    {62, 363, 0, 0, Smoke::mf_ctor, 65, 27},	//755 QsciLexerLua::QsciLexerLua()
    {62, 691, 0, 0, Smoke::mf_const, 205, 28},	//756 QsciLexerLua::blockStart() const
    {62, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 29},	//757 QsciLexerLua::staticMetaObject() const
    {62, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 30},	//758 QsciLexerLua::Default (enum)
    {62, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 31},	//759 QsciLexerLua::Comment (enum)
    {62, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//760 QsciLexerLua::LineComment (enum)
    {62, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//761 QsciLexerLua::Number (enum)
    {62, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//762 QsciLexerLua::Keyword (enum)
    {62, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//763 QsciLexerLua::String (enum)
    {62, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//764 QsciLexerLua::Character (enum)
    {62, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//765 QsciLexerLua::LiteralString (enum)
    {62, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//766 QsciLexerLua::Preprocessor (enum)
    {62, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//767 QsciLexerLua::Operator (enum)
    {62, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//768 QsciLexerLua::Identifier (enum)
    {62, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//769 QsciLexerLua::UnclosedString (enum)
    {62, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//770 QsciLexerLua::BasicFunctions (enum)
    {62, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//771 QsciLexerLua::StringTableMathsFunctions (enum)
    {62, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//772 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {62, 1274, 0, 0, Smoke::mf_dtor, 0, 45 },	//773 QsciLexerLua::~QsciLexerLua()
    {63, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//774 QsciLexerMakefile::metaObject() const
    {63, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//775 QsciLexerMakefile::qt_metacast(const char*)
    {63, 1216, 44, 2, Smoke::mf_static, 36, 3},	//776 QsciLexerMakefile::tr(const char*, const char*)
    {63, 1220, 44, 2, Smoke::mf_static, 36, 4},	//777 QsciLexerMakefile::trUtf8(const char*, const char*)
    {63, 1216, 47, 3, Smoke::mf_static, 36, 5},	//778 QsciLexerMakefile::tr(const char*, const char*, int)
    {63, 1220, 47, 3, Smoke::mf_static, 36, 6},	//779 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {63, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//780 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {63, 365, 74, 1, Smoke::mf_ctor, 66, 8},	//781 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {63, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//782 QsciLexerMakefile::language() const
    {63, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//783 QsciLexerMakefile::lexer() const
    {63, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//784 QsciLexerMakefile::wordCharacters() const
    {63, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//785 QsciLexerMakefile::defaultColor(int) const
    {63, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 13},	//786 QsciLexerMakefile::defaultEolFill(int) const
    {63, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//787 QsciLexerMakefile::defaultFont(int) const
    {63, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//788 QsciLexerMakefile::defaultPaper(int) const
    {63, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//789 QsciLexerMakefile::description(int) const
    {63, 1216, 12, 1, Smoke::mf_static, 36, 17},	//790 QsciLexerMakefile::tr(const char*)
    {63, 1220, 12, 1, Smoke::mf_static, 36, 18},	//791 QsciLexerMakefile::trUtf8(const char*)
    {63, 365, 0, 0, Smoke::mf_ctor, 66, 19},	//792 QsciLexerMakefile::QsciLexerMakefile()
    {63, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 20},	//793 QsciLexerMakefile::staticMetaObject() const
    {63, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 21},	//794 QsciLexerMakefile::Default (enum)
    {63, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 22},	//795 QsciLexerMakefile::Comment (enum)
    {63, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 23},	//796 QsciLexerMakefile::Preprocessor (enum)
    {63, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 24},	//797 QsciLexerMakefile::Variable (enum)
    {63, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 25},	//798 QsciLexerMakefile::Operator (enum)
    {63, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//799 QsciLexerMakefile::Target (enum)
    {63, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 27},	//800 QsciLexerMakefile::Error (enum)
    {63, 1275, 0, 0, Smoke::mf_dtor, 0, 28 },	//801 QsciLexerMakefile::~QsciLexerMakefile()
    {64, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//802 QsciLexerPOV::metaObject() const
    {64, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//803 QsciLexerPOV::qt_metacast(const char*)
    {64, 1216, 44, 2, Smoke::mf_static, 36, 3},	//804 QsciLexerPOV::tr(const char*, const char*)
    {64, 1220, 44, 2, Smoke::mf_static, 36, 4},	//805 QsciLexerPOV::trUtf8(const char*, const char*)
    {64, 1216, 47, 3, Smoke::mf_static, 36, 5},	//806 QsciLexerPOV::tr(const char*, const char*, int)
    {64, 1220, 47, 3, Smoke::mf_static, 36, 6},	//807 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {64, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//808 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {64, 367, 74, 1, Smoke::mf_ctor, 67, 8},	//809 QsciLexerPOV::QsciLexerPOV(QObject*)
    {64, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//810 QsciLexerPOV::language() const
    {64, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//811 QsciLexerPOV::lexer() const
    {64, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 11},	//812 QsciLexerPOV::braceStyle() const
    {64, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//813 QsciLexerPOV::wordCharacters() const
    {64, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//814 QsciLexerPOV::defaultColor(int) const
    {64, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 14},	//815 QsciLexerPOV::defaultEolFill(int) const
    {64, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//816 QsciLexerPOV::defaultFont(int) const
    {64, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//817 QsciLexerPOV::defaultPaper(int) const
    {64, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 17},	//818 QsciLexerPOV::keywords(int) const
    {64, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//819 QsciLexerPOV::description(int) const
    {64, 964, 0, 0, Smoke::mf_virtual, 0, 19},	//820 QsciLexerPOV::refreshProperties()
    {64, 798, 0, 0, Smoke::mf_const, 186, 20},	//821 QsciLexerPOV::foldComments() const
    {64, 799, 0, 0, Smoke::mf_const, 186, 21},	//822 QsciLexerPOV::foldCompact() const
    {64, 800, 0, 0, Smoke::mf_const, 186, 22},	//823 QsciLexerPOV::foldDirectives() const
    {64, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//824 QsciLexerPOV::setFoldComments(bool)
    {64, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//825 QsciLexerPOV::setFoldCompact(bool)
    {64, 1080, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//826 QsciLexerPOV::setFoldDirectives(bool)
    {64, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 26},	//827 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {64, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 27},	//828 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {64, 1216, 12, 1, Smoke::mf_static, 36, 28},	//829 QsciLexerPOV::tr(const char*)
    {64, 1220, 12, 1, Smoke::mf_static, 36, 29},	//830 QsciLexerPOV::trUtf8(const char*)
    {64, 367, 0, 0, Smoke::mf_ctor, 67, 30},	//831 QsciLexerPOV::QsciLexerPOV()
    {64, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 31},	//832 QsciLexerPOV::staticMetaObject() const
    {64, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//833 QsciLexerPOV::Default (enum)
    {64, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//834 QsciLexerPOV::Comment (enum)
    {64, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//835 QsciLexerPOV::CommentLine (enum)
    {64, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//836 QsciLexerPOV::Number (enum)
    {64, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//837 QsciLexerPOV::Operator (enum)
    {64, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//838 QsciLexerPOV::Identifier (enum)
    {64, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//839 QsciLexerPOV::String (enum)
    {64, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//840 QsciLexerPOV::UnclosedString (enum)
    {64, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//841 QsciLexerPOV::Directive (enum)
    {64, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//842 QsciLexerPOV::BadDirective (enum)
    {64, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//843 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {64, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//844 QsciLexerPOV::TypesModifiersItems (enum)
    {64, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//845 QsciLexerPOV::PredefinedIdentifiers (enum)
    {64, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//846 QsciLexerPOV::PredefinedFunctions (enum)
    {64, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//847 QsciLexerPOV::KeywordSet6 (enum)
    {64, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//848 QsciLexerPOV::KeywordSet7 (enum)
    {64, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//849 QsciLexerPOV::KeywordSet8 (enum)
    {64, 1276, 0, 0, Smoke::mf_dtor, 0, 49 },	//850 QsciLexerPOV::~QsciLexerPOV()
    {65, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//851 QsciLexerPerl::metaObject() const
    {65, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//852 QsciLexerPerl::qt_metacast(const char*)
    {65, 1216, 44, 2, Smoke::mf_static, 36, 3},	//853 QsciLexerPerl::tr(const char*, const char*)
    {65, 1220, 44, 2, Smoke::mf_static, 36, 4},	//854 QsciLexerPerl::trUtf8(const char*, const char*)
    {65, 1216, 47, 3, Smoke::mf_static, 36, 5},	//855 QsciLexerPerl::tr(const char*, const char*, int)
    {65, 1220, 47, 3, Smoke::mf_static, 36, 6},	//856 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {65, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//857 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {65, 369, 74, 1, Smoke::mf_ctor, 68, 8},	//858 QsciLexerPerl::QsciLexerPerl(QObject*)
    {65, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//859 QsciLexerPerl::language() const
    {65, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//860 QsciLexerPerl::lexer() const
    {65, 682, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//861 QsciLexerPerl::autoCompletionWordSeparators() const
    {65, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 12},	//862 QsciLexerPerl::braceStyle() const
    {65, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//863 QsciLexerPerl::wordCharacters() const
    {65, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//864 QsciLexerPerl::defaultColor(int) const
    {65, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 15},	//865 QsciLexerPerl::defaultEolFill(int) const
    {65, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//866 QsciLexerPerl::defaultFont(int) const
    {65, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//867 QsciLexerPerl::defaultPaper(int) const
    {65, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 18},	//868 QsciLexerPerl::keywords(int) const
    {65, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 19},	//869 QsciLexerPerl::description(int) const
    {65, 964, 0, 0, Smoke::mf_virtual, 0, 20},	//870 QsciLexerPerl::refreshProperties()
    {65, 798, 0, 0, Smoke::mf_const, 186, 21},	//871 QsciLexerPerl::foldComments() const
    {65, 799, 0, 0, Smoke::mf_const, 186, 22},	//872 QsciLexerPerl::foldCompact() const
    {65, 1086, 16, 1, 0, 0, 23},	//873 QsciLexerPerl::setFoldPackages(bool)
    {65, 804, 0, 0, Smoke::mf_const, 186, 24},	//874 QsciLexerPerl::foldPackages() const
    {65, 1084, 16, 1, 0, 0, 25},	//875 QsciLexerPerl::setFoldPODBlocks(bool)
    {65, 803, 0, 0, Smoke::mf_const, 186, 26},	//876 QsciLexerPerl::foldPODBlocks() const
    {65, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//877 QsciLexerPerl::setFoldComments(bool)
    {65, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//878 QsciLexerPerl::setFoldCompact(bool)
    {65, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 29},	//879 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {65, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 30},	//880 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {65, 1216, 12, 1, Smoke::mf_static, 36, 31},	//881 QsciLexerPerl::tr(const char*)
    {65, 1220, 12, 1, Smoke::mf_static, 36, 32},	//882 QsciLexerPerl::trUtf8(const char*)
    {65, 369, 0, 0, Smoke::mf_ctor, 68, 33},	//883 QsciLexerPerl::QsciLexerPerl()
    {65, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 34},	//884 QsciLexerPerl::staticMetaObject() const
    {65, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//885 QsciLexerPerl::Default (enum)
    {65, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//886 QsciLexerPerl::Error (enum)
    {65, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//887 QsciLexerPerl::Comment (enum)
    {65, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//888 QsciLexerPerl::POD (enum)
    {65, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//889 QsciLexerPerl::Number (enum)
    {65, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//890 QsciLexerPerl::Keyword (enum)
    {65, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//891 QsciLexerPerl::DoubleQuotedString (enum)
    {65, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//892 QsciLexerPerl::SingleQuotedString (enum)
    {65, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//893 QsciLexerPerl::Operator (enum)
    {65, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//894 QsciLexerPerl::Identifier (enum)
    {65, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//895 QsciLexerPerl::Scalar (enum)
    {65, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//896 QsciLexerPerl::Array (enum)
    {65, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//897 QsciLexerPerl::Hash (enum)
    {65, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//898 QsciLexerPerl::SymbolTable (enum)
    {65, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//899 QsciLexerPerl::Regex (enum)
    {65, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//900 QsciLexerPerl::Substitution (enum)
    {65, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//901 QsciLexerPerl::Backticks (enum)
    {65, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//902 QsciLexerPerl::DataSection (enum)
    {65, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 53},	//903 QsciLexerPerl::HereDocumentDelimiter (enum)
    {65, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 54},	//904 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {65, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 55},	//905 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {65, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 56},	//906 QsciLexerPerl::BacktickHereDocument (enum)
    {65, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 57},	//907 QsciLexerPerl::QuotedStringQ (enum)
    {65, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 58},	//908 QsciLexerPerl::QuotedStringQQ (enum)
    {65, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 59},	//909 QsciLexerPerl::QuotedStringQX (enum)
    {65, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 60},	//910 QsciLexerPerl::QuotedStringQR (enum)
    {65, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 61},	//911 QsciLexerPerl::QuotedStringQW (enum)
    {65, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 62},	//912 QsciLexerPerl::PODVerbatim (enum)
    {65, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 63},	//913 QsciLexerPerl::SubroutinePrototype (enum)
    {65, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 64},	//914 QsciLexerPerl::FormatIdentifier (enum)
    {65, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 65},	//915 QsciLexerPerl::FormatBody (enum)
    {65, 1277, 0, 0, Smoke::mf_dtor, 0, 66 },	//916 QsciLexerPerl::~QsciLexerPerl()
    {66, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//917 QsciLexerProperties::metaObject() const
    {66, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//918 QsciLexerProperties::qt_metacast(const char*)
    {66, 1216, 44, 2, Smoke::mf_static, 36, 3},	//919 QsciLexerProperties::tr(const char*, const char*)
    {66, 1220, 44, 2, Smoke::mf_static, 36, 4},	//920 QsciLexerProperties::trUtf8(const char*, const char*)
    {66, 1216, 47, 3, Smoke::mf_static, 36, 5},	//921 QsciLexerProperties::tr(const char*, const char*, int)
    {66, 1220, 47, 3, Smoke::mf_static, 36, 6},	//922 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {66, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//923 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {66, 371, 74, 1, Smoke::mf_ctor, 69, 8},	//924 QsciLexerProperties::QsciLexerProperties(QObject*)
    {66, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//925 QsciLexerProperties::language() const
    {66, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//926 QsciLexerProperties::lexer() const
    {66, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//927 QsciLexerProperties::wordCharacters() const
    {66, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//928 QsciLexerProperties::defaultColor(int) const
    {66, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 13},	//929 QsciLexerProperties::defaultEolFill(int) const
    {66, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//930 QsciLexerProperties::defaultFont(int) const
    {66, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//931 QsciLexerProperties::defaultPaper(int) const
    {66, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//932 QsciLexerProperties::description(int) const
    {66, 964, 0, 0, Smoke::mf_virtual, 0, 17},	//933 QsciLexerProperties::refreshProperties()
    {66, 799, 0, 0, Smoke::mf_const, 186, 18},	//934 QsciLexerProperties::foldCompact() const
    {66, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//935 QsciLexerProperties::setFoldCompact(bool)
    {66, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 20},	//936 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {66, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 21},	//937 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {66, 1216, 12, 1, Smoke::mf_static, 36, 22},	//938 QsciLexerProperties::tr(const char*)
    {66, 1220, 12, 1, Smoke::mf_static, 36, 23},	//939 QsciLexerProperties::trUtf8(const char*)
    {66, 371, 0, 0, Smoke::mf_ctor, 69, 24},	//940 QsciLexerProperties::QsciLexerProperties()
    {66, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 25},	//941 QsciLexerProperties::staticMetaObject() const
    {66, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//942 QsciLexerProperties::Default (enum)
    {66, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 27},	//943 QsciLexerProperties::Comment (enum)
    {66, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//944 QsciLexerProperties::Section (enum)
    {66, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 29},	//945 QsciLexerProperties::Assignment (enum)
    {66, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 30},	//946 QsciLexerProperties::DefaultValue (enum)
    {66, 1278, 0, 0, Smoke::mf_dtor, 0, 31 },	//947 QsciLexerProperties::~QsciLexerProperties()
    {67, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//948 QsciLexerPython::metaObject() const
    {67, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//949 QsciLexerPython::qt_metacast(const char*)
    {67, 1216, 44, 2, Smoke::mf_static, 36, 3},	//950 QsciLexerPython::tr(const char*, const char*)
    {67, 1220, 44, 2, Smoke::mf_static, 36, 4},	//951 QsciLexerPython::trUtf8(const char*, const char*)
    {67, 1216, 47, 3, Smoke::mf_static, 36, 5},	//952 QsciLexerPython::tr(const char*, const char*, int)
    {67, 1220, 47, 3, Smoke::mf_static, 36, 6},	//953 QsciLexerPython::trUtf8(const char*, const char*, int)
    {67, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//954 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {67, 373, 74, 1, Smoke::mf_ctor, 70, 8},	//955 QsciLexerPython::QsciLexerPython(QObject*)
    {67, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//956 QsciLexerPython::language() const
    {67, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//957 QsciLexerPython::lexer() const
    {67, 682, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//958 QsciLexerPython::autoCompletionWordSeparators() const
    {67, 690, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 12},	//959 QsciLexerPython::blockLookback() const
    {67, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//960 QsciLexerPython::blockStart(int*) const
    {67, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 14},	//961 QsciLexerPython::braceStyle() const
    {67, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//962 QsciLexerPython::defaultColor(int) const
    {67, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 16},	//963 QsciLexerPython::defaultEolFill(int) const
    {67, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//964 QsciLexerPython::defaultFont(int) const
    {67, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//965 QsciLexerPython::defaultPaper(int) const
    {67, 828, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 19},	//966 QsciLexerPython::indentationGuideView() const
    {67, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 20},	//967 QsciLexerPython::keywords(int) const
    {67, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 21},	//968 QsciLexerPython::description(int) const
    {67, 964, 0, 0, Smoke::mf_virtual, 0, 22},	//969 QsciLexerPython::refreshProperties()
    {67, 798, 0, 0, Smoke::mf_const, 186, 23},	//970 QsciLexerPython::foldComments() const
    {67, 806, 0, 0, Smoke::mf_const, 186, 24},	//971 QsciLexerPython::foldQuotes() const
    {67, 830, 0, 0, Smoke::mf_const, 71, 25},	//972 QsciLexerPython::indentationWarning() const
    {67, 1182, 16, 1, 0, 0, 26},	//973 QsciLexerPython::setV2UnicodeAllowed(bool)
    {67, 1231, 0, 0, Smoke::mf_const, 186, 27},	//974 QsciLexerPython::v2UnicodeAllowed() const
    {67, 1184, 16, 1, 0, 0, 28},	//975 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {67, 1232, 0, 0, Smoke::mf_const, 186, 29},	//976 QsciLexerPython::v3BinaryOctalAllowed() const
    {67, 1186, 16, 1, 0, 0, 30},	//977 QsciLexerPython::setV3BytesAllowed(bool)
    {67, 1233, 0, 0, Smoke::mf_const, 186, 31},	//978 QsciLexerPython::v3BytesAllowed() const
    {67, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//979 QsciLexerPython::setFoldComments(bool)
    {67, 1090, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//980 QsciLexerPython::setFoldQuotes(bool)
    {67, 1110, 99, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//981 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {67, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 35},	//982 QsciLexerPython::readProperties(QSettings&, const QString&)
    {67, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 36},	//983 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {67, 1216, 12, 1, Smoke::mf_static, 36, 37},	//984 QsciLexerPython::tr(const char*)
    {67, 1220, 12, 1, Smoke::mf_static, 36, 38},	//985 QsciLexerPython::trUtf8(const char*)
    {67, 373, 0, 0, Smoke::mf_ctor, 70, 39},	//986 QsciLexerPython::QsciLexerPython()
    {67, 691, 0, 0, Smoke::mf_const, 205, 40},	//987 QsciLexerPython::blockStart() const
    {67, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 41},	//988 QsciLexerPython::staticMetaObject() const
    {67, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//989 QsciLexerPython::Default (enum)
    {67, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//990 QsciLexerPython::Comment (enum)
    {67, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//991 QsciLexerPython::Number (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//992 QsciLexerPython::DoubleQuotedString (enum)
    {67, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//993 QsciLexerPython::SingleQuotedString (enum)
    {67, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//994 QsciLexerPython::Keyword (enum)
    {67, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//995 QsciLexerPython::TripleSingleQuotedString (enum)
    {67, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//996 QsciLexerPython::TripleDoubleQuotedString (enum)
    {67, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//997 QsciLexerPython::ClassName (enum)
    {67, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//998 QsciLexerPython::FunctionMethodName (enum)
    {67, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//999 QsciLexerPython::Operator (enum)
    {67, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 53},	//1000 QsciLexerPython::Identifier (enum)
    {67, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 54},	//1001 QsciLexerPython::CommentBlock (enum)
    {67, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 55},	//1002 QsciLexerPython::UnclosedString (enum)
    {67, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 56},	//1003 QsciLexerPython::HighlightedIdentifier (enum)
    {67, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 57},	//1004 QsciLexerPython::Decorator (enum)
    {67, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 58},	//1005 QsciLexerPython::NoWarning (enum)
    {67, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 59},	//1006 QsciLexerPython::Inconsistent (enum)
    {67, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 60},	//1007 QsciLexerPython::TabsAfterSpaces (enum)
    {67, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 61},	//1008 QsciLexerPython::Spaces (enum)
    {67, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 62},	//1009 QsciLexerPython::Tabs (enum)
    {67, 1279, 0, 0, Smoke::mf_dtor, 0, 63 },	//1010 QsciLexerPython::~QsciLexerPython()
    {68, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1011 QsciLexerRuby::metaObject() const
    {68, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1012 QsciLexerRuby::qt_metacast(const char*)
    {68, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1013 QsciLexerRuby::tr(const char*, const char*)
    {68, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1014 QsciLexerRuby::trUtf8(const char*, const char*)
    {68, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1015 QsciLexerRuby::tr(const char*, const char*, int)
    {68, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1016 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {68, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1017 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {68, 375, 74, 1, Smoke::mf_ctor, 72, 8},	//1018 QsciLexerRuby::QsciLexerRuby(QObject*)
    {68, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//1019 QsciLexerRuby::language() const
    {68, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//1020 QsciLexerRuby::lexer() const
    {68, 688, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//1021 QsciLexerRuby::blockEnd(int*) const
    {68, 691, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 12},	//1022 QsciLexerRuby::blockStart(int*) const
    {68, 693, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//1023 QsciLexerRuby::blockStartKeyword(int*) const
    {68, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 14},	//1024 QsciLexerRuby::braceStyle() const
    {68, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1025 QsciLexerRuby::defaultColor(int) const
    {68, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 16},	//1026 QsciLexerRuby::defaultEolFill(int) const
    {68, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1027 QsciLexerRuby::defaultFont(int) const
    {68, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1028 QsciLexerRuby::defaultPaper(int) const
    {68, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 19},	//1029 QsciLexerRuby::keywords(int) const
    {68, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 20},	//1030 QsciLexerRuby::description(int) const
    {68, 1216, 12, 1, Smoke::mf_static, 36, 21},	//1031 QsciLexerRuby::tr(const char*)
    {68, 1220, 12, 1, Smoke::mf_static, 36, 22},	//1032 QsciLexerRuby::trUtf8(const char*)
    {68, 375, 0, 0, Smoke::mf_ctor, 72, 23},	//1033 QsciLexerRuby::QsciLexerRuby()
    {68, 688, 0, 0, Smoke::mf_const, 205, 24},	//1034 QsciLexerRuby::blockEnd() const
    {68, 691, 0, 0, Smoke::mf_const, 205, 25},	//1035 QsciLexerRuby::blockStart() const
    {68, 693, 0, 0, Smoke::mf_const, 205, 26},	//1036 QsciLexerRuby::blockStartKeyword() const
    {68, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 27},	//1037 QsciLexerRuby::staticMetaObject() const
    {68, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//1038 QsciLexerRuby::Default (enum)
    {68, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 29},	//1039 QsciLexerRuby::Error (enum)
    {68, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 30},	//1040 QsciLexerRuby::Comment (enum)
    {68, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 31},	//1041 QsciLexerRuby::POD (enum)
    {68, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//1042 QsciLexerRuby::Number (enum)
    {68, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//1043 QsciLexerRuby::Keyword (enum)
    {68, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//1044 QsciLexerRuby::DoubleQuotedString (enum)
    {68, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//1045 QsciLexerRuby::SingleQuotedString (enum)
    {68, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//1046 QsciLexerRuby::ClassName (enum)
    {68, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//1047 QsciLexerRuby::FunctionMethodName (enum)
    {68, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//1048 QsciLexerRuby::Operator (enum)
    {68, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//1049 QsciLexerRuby::Identifier (enum)
    {68, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//1050 QsciLexerRuby::Regex (enum)
    {68, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//1051 QsciLexerRuby::Global (enum)
    {68, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//1052 QsciLexerRuby::Symbol (enum)
    {68, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//1053 QsciLexerRuby::ModuleName (enum)
    {68, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//1054 QsciLexerRuby::InstanceVariable (enum)
    {68, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//1055 QsciLexerRuby::ClassVariable (enum)
    {68, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//1056 QsciLexerRuby::Backticks (enum)
    {68, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//1057 QsciLexerRuby::DataSection (enum)
    {68, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//1058 QsciLexerRuby::HereDocumentDelimiter (enum)
    {68, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//1059 QsciLexerRuby::HereDocument (enum)
    {68, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//1060 QsciLexerRuby::PercentStringq (enum)
    {68, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 51},	//1061 QsciLexerRuby::PercentStringQ (enum)
    {68, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 52},	//1062 QsciLexerRuby::PercentStringx (enum)
    {68, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 53},	//1063 QsciLexerRuby::PercentStringr (enum)
    {68, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 54},	//1064 QsciLexerRuby::PercentStringw (enum)
    {68, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 55},	//1065 QsciLexerRuby::DemotedKeyword (enum)
    {68, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 56},	//1066 QsciLexerRuby::Stdin (enum)
    {68, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 57},	//1067 QsciLexerRuby::Stdout (enum)
    {68, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 58},	//1068 QsciLexerRuby::Stderr (enum)
    {68, 1280, 0, 0, Smoke::mf_dtor, 0, 59 },	//1069 QsciLexerRuby::~QsciLexerRuby()
    {69, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1070 QsciLexerSQL::metaObject() const
    {69, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1071 QsciLexerSQL::qt_metacast(const char*)
    {69, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1072 QsciLexerSQL::tr(const char*, const char*)
    {69, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1073 QsciLexerSQL::trUtf8(const char*, const char*)
    {69, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1074 QsciLexerSQL::tr(const char*, const char*, int)
    {69, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1075 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {69, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1076 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {69, 377, 74, 1, Smoke::mf_ctor, 73, 8},	//1077 QsciLexerSQL::QsciLexerSQL(QObject*)
    {69, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//1078 QsciLexerSQL::language() const
    {69, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//1079 QsciLexerSQL::lexer() const
    {69, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 11},	//1080 QsciLexerSQL::braceStyle() const
    {69, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1081 QsciLexerSQL::defaultColor(int) const
    {69, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 13},	//1082 QsciLexerSQL::defaultEolFill(int) const
    {69, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1083 QsciLexerSQL::defaultFont(int) const
    {69, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1084 QsciLexerSQL::defaultPaper(int) const
    {69, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//1085 QsciLexerSQL::keywords(int) const
    {69, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1086 QsciLexerSQL::description(int) const
    {69, 964, 0, 0, Smoke::mf_virtual, 0, 18},	//1087 QsciLexerSQL::refreshProperties()
    {69, 798, 0, 0, Smoke::mf_const, 186, 19},	//1088 QsciLexerSQL::foldComments() const
    {69, 799, 0, 0, Smoke::mf_const, 186, 20},	//1089 QsciLexerSQL::foldCompact() const
    {69, 685, 0, 0, Smoke::mf_const, 186, 21},	//1090 QsciLexerSQL::backslashEscapes() const
    {69, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1091 QsciLexerSQL::setFoldComments(bool)
    {69, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1092 QsciLexerSQL::setFoldCompact(bool)
    {69, 1014, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1093 QsciLexerSQL::setBackslashEscapes(bool)
    {69, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 25},	//1094 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {69, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 26},	//1095 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {69, 1216, 12, 1, Smoke::mf_static, 36, 27},	//1096 QsciLexerSQL::tr(const char*)
    {69, 1220, 12, 1, Smoke::mf_static, 36, 28},	//1097 QsciLexerSQL::trUtf8(const char*)
    {69, 377, 0, 0, Smoke::mf_ctor, 73, 29},	//1098 QsciLexerSQL::QsciLexerSQL()
    {69, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 30},	//1099 QsciLexerSQL::staticMetaObject() const
    {69, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 31},	//1100 QsciLexerSQL::Default (enum)
    {69, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 32},	//1101 QsciLexerSQL::Comment (enum)
    {69, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 33},	//1102 QsciLexerSQL::CommentLine (enum)
    {69, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 34},	//1103 QsciLexerSQL::CommentDoc (enum)
    {69, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//1104 QsciLexerSQL::Number (enum)
    {69, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//1105 QsciLexerSQL::Keyword (enum)
    {69, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//1106 QsciLexerSQL::DoubleQuotedString (enum)
    {69, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//1107 QsciLexerSQL::SingleQuotedString (enum)
    {69, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//1108 QsciLexerSQL::PlusKeyword (enum)
    {69, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//1109 QsciLexerSQL::PlusPrompt (enum)
    {69, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//1110 QsciLexerSQL::Operator (enum)
    {69, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//1111 QsciLexerSQL::Identifier (enum)
    {69, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//1112 QsciLexerSQL::PlusComment (enum)
    {69, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//1113 QsciLexerSQL::CommentLineHash (enum)
    {69, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//1114 QsciLexerSQL::CommentDocKeyword (enum)
    {69, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//1115 QsciLexerSQL::CommentDocKeywordError (enum)
    {69, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//1116 QsciLexerSQL::KeywordSet5 (enum)
    {69, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//1117 QsciLexerSQL::KeywordSet6 (enum)
    {69, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//1118 QsciLexerSQL::KeywordSet7 (enum)
    {69, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 50},	//1119 QsciLexerSQL::KeywordSet8 (enum)
    {69, 1281, 0, 0, Smoke::mf_dtor, 0, 51 },	//1120 QsciLexerSQL::~QsciLexerSQL()
    {70, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1121 QsciLexerTeX::metaObject() const
    {70, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1122 QsciLexerTeX::qt_metacast(const char*)
    {70, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1123 QsciLexerTeX::tr(const char*, const char*)
    {70, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1124 QsciLexerTeX::trUtf8(const char*, const char*)
    {70, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1125 QsciLexerTeX::tr(const char*, const char*, int)
    {70, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1126 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {70, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1127 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {70, 379, 74, 1, Smoke::mf_ctor, 74, 8},	//1128 QsciLexerTeX::QsciLexerTeX(QObject*)
    {70, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//1129 QsciLexerTeX::language() const
    {70, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//1130 QsciLexerTeX::lexer() const
    {70, 1242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 11},	//1131 QsciLexerTeX::wordCharacters() const
    {70, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1132 QsciLexerTeX::defaultColor(int) const
    {70, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 13},	//1133 QsciLexerTeX::keywords(int) const
    {70, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 14},	//1134 QsciLexerTeX::description(int) const
    {70, 1216, 12, 1, Smoke::mf_static, 36, 15},	//1135 QsciLexerTeX::tr(const char*)
    {70, 1220, 12, 1, Smoke::mf_static, 36, 16},	//1136 QsciLexerTeX::trUtf8(const char*)
    {70, 379, 0, 0, Smoke::mf_ctor, 74, 17},	//1137 QsciLexerTeX::QsciLexerTeX()
    {70, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 18},	//1138 QsciLexerTeX::staticMetaObject() const
    {70, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 19},	//1139 QsciLexerTeX::Default (enum)
    {70, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 20},	//1140 QsciLexerTeX::Special (enum)
    {70, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 21},	//1141 QsciLexerTeX::Group (enum)
    {70, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 22},	//1142 QsciLexerTeX::Symbol (enum)
    {70, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 23},	//1143 QsciLexerTeX::Command (enum)
    {70, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 24},	//1144 QsciLexerTeX::Text (enum)
    {70, 1282, 0, 0, Smoke::mf_dtor, 0, 25 },	//1145 QsciLexerTeX::~QsciLexerTeX()
    {71, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1146 QsciLexerVHDL::metaObject() const
    {71, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1147 QsciLexerVHDL::qt_metacast(const char*)
    {71, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1148 QsciLexerVHDL::tr(const char*, const char*)
    {71, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1149 QsciLexerVHDL::trUtf8(const char*, const char*)
    {71, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1150 QsciLexerVHDL::tr(const char*, const char*, int)
    {71, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1151 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {71, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1152 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {71, 381, 74, 1, Smoke::mf_ctor, 75, 8},	//1153 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {71, 858, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 9},	//1154 QsciLexerVHDL::language() const
    {71, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 10},	//1155 QsciLexerVHDL::lexer() const
    {71, 696, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 11},	//1156 QsciLexerVHDL::braceStyle() const
    {71, 735, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1157 QsciLexerVHDL::defaultColor(int) const
    {71, 737, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 13},	//1158 QsciLexerVHDL::defaultEolFill(int) const
    {71, 739, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1159 QsciLexerVHDL::defaultFont(int) const
    {71, 741, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1160 QsciLexerVHDL::defaultPaper(int) const
    {71, 856, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 16},	//1161 QsciLexerVHDL::keywords(int) const
    {71, 745, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1162 QsciLexerVHDL::description(int) const
    {71, 964, 0, 0, Smoke::mf_virtual, 0, 18},	//1163 QsciLexerVHDL::refreshProperties()
    {71, 798, 0, 0, Smoke::mf_const, 186, 19},	//1164 QsciLexerVHDL::foldComments() const
    {71, 799, 0, 0, Smoke::mf_const, 186, 20},	//1165 QsciLexerVHDL::foldCompact() const
    {71, 796, 0, 0, Smoke::mf_const, 186, 21},	//1166 QsciLexerVHDL::foldAtElse() const
    {71, 795, 0, 0, Smoke::mf_const, 186, 22},	//1167 QsciLexerVHDL::foldAtBegin() const
    {71, 797, 0, 0, Smoke::mf_const, 186, 23},	//1168 QsciLexerVHDL::foldAtParenthesis() const
    {71, 1076, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1169 QsciLexerVHDL::setFoldComments(bool)
    {71, 1078, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1170 QsciLexerVHDL::setFoldCompact(bool)
    {71, 1072, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1171 QsciLexerVHDL::setFoldAtElse(bool)
    {71, 1070, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1172 QsciLexerVHDL::setFoldAtBegin(bool)
    {71, 1074, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1173 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {71, 955, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 186, 29},	//1174 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {71, 1246, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 186, 30},	//1175 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {71, 1216, 12, 1, Smoke::mf_static, 36, 31},	//1176 QsciLexerVHDL::tr(const char*)
    {71, 1220, 12, 1, Smoke::mf_static, 36, 32},	//1177 QsciLexerVHDL::trUtf8(const char*)
    {71, 381, 0, 0, Smoke::mf_ctor, 75, 33},	//1178 QsciLexerVHDL::QsciLexerVHDL()
    {71, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 34},	//1179 QsciLexerVHDL::staticMetaObject() const
    {71, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 35},	//1180 QsciLexerVHDL::Default (enum)
    {71, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 36},	//1181 QsciLexerVHDL::Comment (enum)
    {71, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 37},	//1182 QsciLexerVHDL::CommentLine (enum)
    {71, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 38},	//1183 QsciLexerVHDL::Number (enum)
    {71, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 39},	//1184 QsciLexerVHDL::String (enum)
    {71, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 40},	//1185 QsciLexerVHDL::Operator (enum)
    {71, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 41},	//1186 QsciLexerVHDL::Identifier (enum)
    {71, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//1187 QsciLexerVHDL::UnclosedString (enum)
    {71, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//1188 QsciLexerVHDL::Keyword (enum)
    {71, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//1189 QsciLexerVHDL::StandardOperator (enum)
    {71, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//1190 QsciLexerVHDL::Attribute (enum)
    {71, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//1191 QsciLexerVHDL::StandardFunction (enum)
    {71, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//1192 QsciLexerVHDL::StandardPackage (enum)
    {71, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//1193 QsciLexerVHDL::StandardType (enum)
    {71, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 49},	//1194 QsciLexerVHDL::KeywordSet7 (enum)
    {71, 1283, 0, 0, Smoke::mf_dtor, 0, 50 },	//1195 QsciLexerVHDL::~QsciLexerVHDL()
    {72, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1196 QsciMacro::metaObject() const
    {72, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1197 QsciMacro::qt_metacast(const char*)
    {72, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1198 QsciMacro::tr(const char*, const char*)
    {72, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1199 QsciMacro::trUtf8(const char*, const char*)
    {72, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1200 QsciMacro::tr(const char*, const char*, int)
    {72, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1201 QsciMacro::trUtf8(const char*, const char*, int)
    {72, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1202 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {72, 383, 82, 1, Smoke::mf_ctor, 76, 8},	//1203 QsciMacro::QsciMacro(QsciScintilla*)
    {72, 383, 101, 2, Smoke::mf_ctor, 76, 9},	//1204 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {72, 708, 0, 0, 0, 0, 10},	//1205 QsciMacro::clear()
    {72, 872, 57, 1, 0, 186, 11},	//1206 QsciMacro::load(const QString&)
    {72, 977, 0, 0, Smoke::mf_const, 36, 12},	//1207 QsciMacro::save() const
    {72, 938, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1208 QsciMacro::play()
    {72, 1202, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1209 QsciMacro::startRecording()
    {72, 764, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1210 QsciMacro::endRecording()
    {72, 1216, 12, 1, Smoke::mf_static, 36, 16},	//1211 QsciMacro::tr(const char*)
    {72, 1220, 12, 1, Smoke::mf_static, 36, 17},	//1212 QsciMacro::trUtf8(const char*)
    {72, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 18},	//1213 QsciMacro::staticMetaObject() const
    {72, 1284, 0, 0, Smoke::mf_dtor, 0, 19 },	//1214 QsciMacro::~QsciMacro()
    {73, 386, 104, 1, Smoke::mf_ctor, 77, 1},	//1215 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {73, 815, 106, 4, Smoke::mf_virtual, 0, 2},	//1216 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {73, 876, 0, 0, Smoke::mf_const, 207, 3},	//1217 QsciPrinter::magnification() const
    {73, 1120, 18, 1, Smoke::mf_virtual, 0, 4},	//1218 QsciPrinter::setMagnification(int)
    {73, 943, 111, 3, Smoke::mf_virtual, 207, 5},	//1219 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {73, 1243, 0, 0, Smoke::mf_const, 90, 6},	//1220 QsciPrinter::wrapMode() const
    {73, 1191, 115, 1, Smoke::mf_virtual, 0, 7},	//1221 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {73, 386, 0, 0, Smoke::mf_ctor, 77, 8},	//1222 QsciPrinter::QsciPrinter()
    {73, 943, 117, 1, 0, 207, 9},	//1223 QsciPrinter::printRange(QsciScintillaBase*)
    {73, 943, 119, 2, 0, 207, 10},	//1224 QsciPrinter::printRange(QsciScintillaBase*, int)
    {73, 1285, 0, 0, Smoke::mf_dtor, 0, 11 },	//1225 QsciPrinter::~QsciPrinter()
    {74, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1226 QsciScintilla::metaObject() const
    {74, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1227 QsciScintilla::qt_metacast(const char*)
    {74, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1228 QsciScintilla::tr(const char*, const char*)
    {74, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1229 QsciScintilla::trUtf8(const char*, const char*)
    {74, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1230 QsciScintilla::tr(const char*, const char*, int)
    {74, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1231 QsciScintilla::trUtf8(const char*, const char*, int)
    {74, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1232 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {74, 388, 122, 1, Smoke::mf_ctor, 78, 8},	//1233 QsciScintilla::QsciScintilla(QWidget*)
    {74, 662, 124, 3, Smoke::mf_virtual, 37, 9},	//1234 QsciScintilla::apiContext(int, int&, int&)
    {74, 654, 128, 3, 0, 0, 10},	//1235 QsciScintilla::annotate(int, const QString&, int)
    {74, 654, 132, 3, 0, 0, 11},	//1236 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {74, 654, 136, 2, 0, 0, 12},	//1237 QsciScintilla::annotate(int, const QsciStyledText&)
    {74, 654, 139, 2, 0, 0, 13},	//1238 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {74, 659, 18, 1, Smoke::mf_const, 36, 14},	//1239 QsciScintilla::annotation(int) const
    {74, 661, 0, 0, Smoke::mf_const, 79, 15},	//1240 QsciScintilla::annotationDisplay() const
    {74, 710, 18, 1, 0, 0, 16},	//1241 QsciScintilla::clearAnnotations(int)
    {74, 673, 0, 0, Smoke::mf_const, 186, 17},	//1242 QsciScintilla::autoCompletionCaseSensitivity() const
    {74, 675, 0, 0, Smoke::mf_const, 186, 18},	//1243 QsciScintilla::autoCompletionFillupsEnabled() const
    {74, 676, 0, 0, Smoke::mf_const, 186, 19},	//1244 QsciScintilla::autoCompletionReplaceWord() const
    {74, 679, 0, 0, Smoke::mf_const, 186, 20},	//1245 QsciScintilla::autoCompletionShowSingle() const
    {74, 680, 0, 0, Smoke::mf_const, 80, 21},	//1246 QsciScintilla::autoCompletionSource() const
    {74, 681, 0, 0, Smoke::mf_const, 207, 22},	//1247 QsciScintilla::autoCompletionThreshold() const
    {74, 683, 0, 0, Smoke::mf_const, 186, 23},	//1248 QsciScintilla::autoIndent() const
    {74, 686, 0, 0, Smoke::mf_const, 186, 24},	//1249 QsciScintilla::backspaceUnindents() const
    {74, 687, 0, 0, 0, 0, 25},	//1250 QsciScintilla::beginUndoAction()
    {74, 695, 0, 0, Smoke::mf_const, 81, 26},	//1251 QsciScintilla::braceMatching() const
    {74, 700, 0, 0, Smoke::mf_const, 82, 27},	//1252 QsciScintilla::callTipsStyle() const
    {74, 701, 0, 0, Smoke::mf_const, 207, 28},	//1253 QsciScintilla::callTipsVisible() const
    {74, 702, 0, 0, 0, 0, 29},	//1254 QsciScintilla::cancelList()
    {74, 704, 0, 0, Smoke::mf_const, 186, 30},	//1255 QsciScintilla::caseSensitive() const
    {74, 712, 0, 0, 0, 0, 31},	//1256 QsciScintilla::clearFolds()
    {74, 716, 0, 0, 0, 0, 32},	//1257 QsciScintilla::clearRegisteredImages()
    {74, 718, 0, 0, Smoke::mf_const, 5, 33},	//1258 QsciScintilla::color() const
    {74, 726, 142, 1, 0, 0, 34},	//1259 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {74, 749, 0, 0, Smoke::mf_const, 49, 35},	//1260 QsciScintilla::document() const
    {74, 765, 0, 0, 0, 0, 36},	//1261 QsciScintilla::endUndoAction()
    {74, 759, 0, 0, Smoke::mf_const, 5, 37},	//1262 QsciScintilla::edgeColor() const
    {74, 760, 0, 0, Smoke::mf_const, 207, 38},	//1263 QsciScintilla::edgeColumn() const
    {74, 761, 0, 0, Smoke::mf_const, 83, 39},	//1264 QsciScintilla::edgeMode() const
    {74, 1099, 42, 1, 0, 0, 40},	//1265 QsciScintilla::setFont(const QFont&)
    {74, 774, 0, 0, Smoke::mf_const, 84, 41},	//1266 QsciScintilla::eolMode() const
    {74, 775, 0, 0, Smoke::mf_const, 186, 42},	//1267 QsciScintilla::eolVisibility() const
    {74, 779, 144, 9, Smoke::mf_virtual, 186, 43},	//1268 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {74, 785, 0, 0, Smoke::mf_virtual, 186, 44},	//1269 QsciScintilla::findNext()
    {74, 786, 0, 0, Smoke::mf_const, 207, 45},	//1270 QsciScintilla::firstVisibleLine() const
    {74, 809, 0, 0, Smoke::mf_const, 85, 46},	//1271 QsciScintilla::folding() const
    {74, 817, 154, 2, Smoke::mf_const, 0, 47},	//1272 QsciScintilla::getCursorPosition(int*, int*) const
    {74, 819, 157, 4, Smoke::mf_const, 0, 48},	//1273 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {74, 821, 0, 0, Smoke::mf_const, 186, 49},	//1274 QsciScintilla::hasSelectedText() const
    {74, 826, 18, 1, Smoke::mf_const, 207, 50},	//1275 QsciScintilla::indentation(int) const
    {74, 829, 0, 0, Smoke::mf_const, 186, 51},	//1276 QsciScintilla::indentationGuides() const
    {74, 832, 0, 0, Smoke::mf_const, 186, 52},	//1277 QsciScintilla::indentationsUseTabs() const
    {74, 831, 0, 0, Smoke::mf_const, 207, 53},	//1278 QsciScintilla::indentationWidth() const
    {74, 841, 0, 0, Smoke::mf_const, 186, 54},	//1279 QsciScintilla::isCallTipActive() const
    {74, 842, 0, 0, Smoke::mf_const, 186, 55},	//1280 QsciScintilla::isListActive() const
    {74, 843, 0, 0, Smoke::mf_const, 186, 56},	//1281 QsciScintilla::isModified() const
    {74, 846, 0, 0, Smoke::mf_const, 186, 57},	//1282 QsciScintilla::isReadOnly() const
    {74, 847, 0, 0, Smoke::mf_const, 186, 58},	//1283 QsciScintilla::isRedoAvailable() const
    {74, 848, 0, 0, Smoke::mf_const, 186, 59},	//1284 QsciScintilla::isUndoAvailable() const
    {74, 849, 0, 0, Smoke::mf_const, 186, 60},	//1285 QsciScintilla::isUtf8() const
    {74, 850, 162, 1, Smoke::mf_const, 186, 61},	//1286 QsciScintilla::isWordCharacter(char) const
    {74, 864, 164, 1, Smoke::mf_const, 207, 62},	//1287 QsciScintilla::lineAt(const QPoint&) const
    {74, 866, 166, 3, Smoke::mf_const, 0, 63},	//1288 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {74, 868, 18, 1, Smoke::mf_const, 207, 64},	//1289 QsciScintilla::lineLength(int) const
    {74, 870, 0, 0, Smoke::mf_const, 207, 65},	//1290 QsciScintilla::lines() const
    {74, 861, 0, 0, Smoke::mf_const, 207, 66},	//1291 QsciScintilla::length() const
    {74, 862, 0, 0, Smoke::mf_const, 52, 67},	//1292 QsciScintilla::lexer() const
    {74, 879, 18, 1, Smoke::mf_const, 186, 68},	//1293 QsciScintilla::marginLineNumbers(int) const
    {74, 881, 18, 1, Smoke::mf_const, 207, 69},	//1294 QsciScintilla::marginMarkerMask(int) const
    {74, 883, 18, 1, Smoke::mf_const, 186, 70},	//1295 QsciScintilla::marginSensitivity(int) const
    {74, 885, 18, 1, Smoke::mf_const, 87, 71},	//1296 QsciScintilla::marginType(int) const
    {74, 887, 18, 1, Smoke::mf_const, 207, 72},	//1297 QsciScintilla::marginWidth(int) const
    {74, 891, 170, 2, 0, 207, 73},	//1298 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {74, 891, 173, 2, 0, 207, 74},	//1299 QsciScintilla::markerDefine(char, int)
    {74, 891, 176, 2, 0, 207, 75},	//1300 QsciScintilla::markerDefine(const QPixmap&, int)
    {74, 889, 179, 2, 0, 207, 76},	//1301 QsciScintilla::markerAdd(int, int)
    {74, 909, 18, 1, Smoke::mf_const, 211, 77},	//1302 QsciScintilla::markersAtLine(int) const
    {74, 896, 179, 2, 0, 0, 78},	//1303 QsciScintilla::markerDelete(int, int)
    {74, 899, 18, 1, 0, 0, 79},	//1304 QsciScintilla::markerDeleteAll(int)
    {74, 901, 18, 1, 0, 0, 80},	//1305 QsciScintilla::markerDeleteHandle(int)
    {74, 907, 18, 1, Smoke::mf_const, 207, 81},	//1306 QsciScintilla::markerLine(int) const
    {74, 903, 182, 2, Smoke::mf_const, 207, 82},	//1307 QsciScintilla::markerFindNext(int, unsigned int) const
    {74, 905, 182, 2, Smoke::mf_const, 207, 83},	//1308 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {74, 933, 0, 0, Smoke::mf_const, 5, 84},	//1309 QsciScintilla::paper() const
    {74, 940, 179, 2, Smoke::mf_const, 207, 85},	//1310 QsciScintilla::positionFromLineIndex(int, int) const
    {74, 953, 185, 1, 0, 186, 86},	//1311 QsciScintilla::read(QIODevice*)
    {74, 960, 179, 2, Smoke::mf_virtual, 0, 87},	//1312 QsciScintilla::recolor(int, int)
    {74, 965, 187, 2, 0, 0, 88},	//1313 QsciScintilla::registerImage(int, const QPixmap&)
    {74, 970, 57, 1, Smoke::mf_virtual, 0, 89},	//1314 QsciScintilla::replace(const QString&)
    {74, 972, 0, 0, 0, 0, 90},	//1315 QsciScintilla::resetFoldMarginColors()
    {74, 1082, 190, 2, 0, 0, 91},	//1316 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {74, 992, 193, 1, 0, 0, 92},	//1317 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {74, 998, 16, 1, 0, 0, 93},	//1318 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {74, 996, 12, 1, 0, 0, 94},	//1319 QsciScintilla::setAutoCompletionFillups(const char*)
    {74, 1008, 195, 1, 0, 0, 95},	//1320 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {74, 1020, 80, 1, 0, 0, 96},	//1321 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {74, 1022, 80, 1, 0, 0, 97},	//1322 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {74, 1024, 80, 1, 0, 0, 98},	//1323 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {74, 1026, 197, 1, 0, 0, 99},	//1324 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {74, 1028, 18, 1, 0, 0, 100},	//1325 QsciScintilla::setCallTipsVisible(int)
    {74, 1051, 72, 1, 0, 0, 101},	//1326 QsciScintilla::setDocument(const QsciDocument&)
    {74, 1055, 80, 1, 0, 0, 102},	//1327 QsciScintilla::setEdgeColor(const QColor&)
    {74, 1057, 18, 1, 0, 0, 103},	//1328 QsciScintilla::setEdgeColumn(int)
    {74, 1059, 199, 1, 0, 0, 104},	//1329 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {74, 1128, 128, 3, 0, 0, 105},	//1330 QsciScintilla::setMarginText(int, const QString&, int)
    {74, 1128, 132, 3, 0, 0, 106},	//1331 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {74, 1128, 136, 2, 0, 0, 107},	//1332 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {74, 1128, 139, 2, 0, 0, 108},	//1333 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {74, 1133, 201, 2, 0, 0, 109},	//1334 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {74, 714, 18, 1, 0, 0, 110},	//1335 QsciScintilla::clearMarginText(int)
    {74, 1143, 84, 2, 0, 0, 111},	//1336 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {74, 1146, 84, 2, 0, 0, 112},	//1337 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {74, 1149, 80, 1, 0, 0, 113},	//1338 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {74, 1151, 80, 1, 0, 0, 114},	//1339 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {74, 1176, 80, 1, 0, 0, 115},	//1340 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {74, 1178, 80, 1, 0, 0, 116},	//1341 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {74, 1193, 204, 3, 0, 0, 117},	//1342 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {74, 985, 0, 0, Smoke::mf_const, 36, 118},	//1343 QsciScintilla::selectedText() const
    {74, 987, 0, 0, Smoke::mf_const, 186, 119},	//1344 QsciScintilla::selectionToEol() const
    {74, 1166, 16, 1, 0, 0, 120},	//1345 QsciScintilla::setSelectionToEol(bool)
    {74, 1198, 208, 2, 0, 0, 121},	//1346 QsciScintilla::showUserList(int, const QStringList&)
    {74, 1201, 0, 0, Smoke::mf_const, 48, 122},	//1347 QsciScintilla::standardCommands() const
    {74, 1207, 0, 0, Smoke::mf_const, 186, 123},	//1348 QsciScintilla::tabIndents() const
    {74, 1208, 0, 0, Smoke::mf_const, 207, 124},	//1349 QsciScintilla::tabWidth() const
    {74, 1210, 0, 0, Smoke::mf_const, 36, 125},	//1350 QsciScintilla::text() const
    {74, 1210, 18, 1, Smoke::mf_const, 36, 126},	//1351 QsciScintilla::text(int) const
    {74, 1213, 18, 1, Smoke::mf_const, 207, 127},	//1352 QsciScintilla::textHeight(int) const
    {74, 1238, 0, 0, Smoke::mf_const, 89, 128},	//1353 QsciScintilla::whitespaceVisibility() const
    {74, 1240, 164, 1, Smoke::mf_const, 36, 129},	//1354 QsciScintilla::wordAtPoint(const QPoint&) const
    {74, 1242, 0, 0, Smoke::mf_const, 205, 130},	//1355 QsciScintilla::wordCharacters() const
    {74, 1243, 0, 0, Smoke::mf_const, 90, 131},	//1356 QsciScintilla::wrapMode() const
    {74, 1244, 185, 1, Smoke::mf_const, 186, 132},	//1357 QsciScintilla::write(QIODevice*) const
    {74, 668, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 133},	//1358 QsciScintilla::append(const QString&)
    {74, 671, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 134},	//1359 QsciScintilla::autoCompleteFromAll()
    {74, 670, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 135},	//1360 QsciScintilla::autoCompleteFromAPIs()
    {74, 672, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 136},	//1361 QsciScintilla::autoCompleteFromDocument()
    {74, 697, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 137},	//1362 QsciScintilla::callTip()
    {74, 708, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 138},	//1363 QsciScintilla::clear()
    {74, 728, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1364 QsciScintilla::copy()
    {74, 734, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1365 QsciScintilla::cut()
    {74, 766, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1366 QsciScintilla::ensureCursorVisible()
    {74, 767, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1367 QsciScintilla::ensureLineVisible(int)
    {74, 793, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1368 QsciScintilla::foldAll(bool)
    {74, 801, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1369 QsciScintilla::foldLine(int)
    {74, 824, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1370 QsciScintilla::indent(int)
    {74, 836, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1371 QsciScintilla::insert(const QString&)
    {74, 838, 211, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1372 QsciScintilla::insertAt(const QString&, int, int)
    {74, 926, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1373 QsciScintilla::moveToMatchingBrace()
    {74, 937, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1374 QsciScintilla::paste()
    {74, 963, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1375 QsciScintilla::redo()
    {74, 969, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1376 QsciScintilla::removeSelectedText()
    {74, 973, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1377 QsciScintilla::resetSelectionBackgroundColor()
    {74, 974, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1378 QsciScintilla::resetSelectionForegroundColor()
    {74, 982, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1379 QsciScintilla::selectAll(bool)
    {74, 984, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1380 QsciScintilla::selectToMatchingBrace()
    {74, 994, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1381 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {74, 1000, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1382 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {74, 1002, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1383 QsciScintilla::setAutoCompletionShowSingle(bool)
    {74, 1004, 215, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1384 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {74, 1006, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1385 QsciScintilla::setAutoCompletionThreshold(int)
    {74, 1010, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1386 QsciScintilla::setAutoIndent(bool)
    {74, 1018, 217, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1387 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {74, 1016, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1388 QsciScintilla::setBackspaceUnindents(bool)
    {74, 1030, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1389 QsciScintilla::setCaretForegroundColor(const QColor&)
    {74, 1032, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1390 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {74, 1034, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1391 QsciScintilla::setCaretLineVisible(bool)
    {74, 1036, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1392 QsciScintilla::setCaretWidth(int)
    {74, 1040, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1393 QsciScintilla::setColor(const QColor&)
    {74, 1043, 179, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1394 QsciScintilla::setCursorPosition(int, int)
    {74, 1066, 142, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1395 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {74, 1068, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1396 QsciScintilla::setEolVisibility(bool)
    {74, 1096, 219, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1397 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {74, 1102, 179, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1398 QsciScintilla::setIndentation(int, int)
    {74, 1104, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1399 QsciScintilla::setIndentationGuides(bool)
    {74, 1106, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1400 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {74, 1108, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1401 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {74, 1114, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1402 QsciScintilla::setIndentationsUseTabs(bool)
    {74, 1112, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1403 QsciScintilla::setIndentationWidth(int)
    {74, 1118, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1404 QsciScintilla::setLexer(QsciLexer*)
    {74, 1137, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1405 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {74, 1139, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1406 QsciScintilla::setMarginsFont(const QFont&)
    {74, 1141, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1407 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {74, 1122, 222, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1408 QsciScintilla::setMarginLineNumbers(int, bool)
    {74, 1124, 179, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1409 QsciScintilla::setMarginMarkerMask(int, int)
    {74, 1126, 222, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1410 QsciScintilla::setMarginSensitivity(int, bool)
    {74, 1135, 179, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1411 QsciScintilla::setMarginWidth(int, int)
    {74, 1135, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1412 QsciScintilla::setMarginWidth(int, const QString&)
    {74, 1153, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1413 QsciScintilla::setModified(bool)
    {74, 1155, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1414 QsciScintilla::setPaper(const QColor&)
    {74, 1158, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1415 QsciScintilla::setReadOnly(bool)
    {74, 1160, 228, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1416 QsciScintilla::setSelection(int, int, int, int)
    {74, 1162, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1417 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {74, 1164, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1418 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {74, 1170, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1419 QsciScintilla::setTabIndents(bool)
    {74, 1172, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1420 QsciScintilla::setTabWidth(int)
    {74, 1174, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1421 QsciScintilla::setText(const QString&)
    {74, 1180, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1422 QsciScintilla::setUtf8(bool)
    {74, 1189, 233, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1423 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {74, 1191, 115, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1424 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {74, 1224, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1425 QsciScintilla::undo()
    {74, 1225, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1426 QsciScintilla::unindent(int)
    {74, 1252, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1427 QsciScintilla::zoomIn(int)
    {74, 1252, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1428 QsciScintilla::zoomIn()
    {74, 1254, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1429 QsciScintilla::zoomOut(int)
    {74, 1254, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1430 QsciScintilla::zoomOut()
    {74, 1256, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1431 QsciScintilla::zoomTo(int)
    {74, 731, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 207},	//1432 QsciScintilla::cursorPositionChanged(int, int)
    {74, 729, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 208},	//1433 QsciScintilla::copyAvailable(bool)
    {74, 871, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 209},	//1434 QsciScintilla::linesChanged()
    {74, 877, 235, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 210},	//1435 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {74, 914, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 211},	//1436 QsciScintilla::modificationAttempted()
    {74, 915, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 212},	//1437 QsciScintilla::modificationChanged(bool)
    {74, 986, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1438 QsciScintilla::selectionChanged()
    {74, 1212, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1439 QsciScintilla::textChanged()
    {74, 1229, 225, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 215},	//1440 QsciScintilla::userListActivated(int, const QString&)
    {74, 1216, 12, 1, Smoke::mf_static, 36, 216},	//1441 QsciScintilla::tr(const char*)
    {74, 1220, 12, 1, Smoke::mf_static, 36, 217},	//1442 QsciScintilla::trUtf8(const char*)
    {74, 388, 0, 0, Smoke::mf_ctor, 78, 218},	//1443 QsciScintilla::QsciScintilla()
    {74, 710, 0, 0, 0, 0, 219},	//1444 QsciScintilla::clearAnnotations()
    {74, 779, 239, 5, 0, 186, 220},	//1445 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {74, 779, 245, 6, 0, 186, 221},	//1446 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {74, 779, 252, 7, 0, 186, 222},	//1447 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {74, 779, 260, 8, 0, 186, 223},	//1448 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {74, 891, 269, 1, 0, 207, 224},	//1449 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {74, 891, 162, 1, 0, 207, 225},	//1450 QsciScintilla::markerDefine(char)
    {74, 891, 271, 1, 0, 207, 226},	//1451 QsciScintilla::markerDefine(const QPixmap&)
    {74, 896, 18, 1, 0, 0, 227},	//1452 QsciScintilla::markerDelete(int)
    {74, 899, 0, 0, 0, 0, 228},	//1453 QsciScintilla::markerDeleteAll()
    {74, 960, 0, 0, 0, 0, 229},	//1454 QsciScintilla::recolor()
    {74, 960, 18, 1, 0, 0, 230},	//1455 QsciScintilla::recolor(int)
    {74, 714, 0, 0, 0, 0, 231},	//1456 QsciScintilla::clearMarginText()
    {74, 1143, 80, 1, 0, 0, 232},	//1457 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {74, 1146, 80, 1, 0, 0, 233},	//1458 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {74, 1193, 273, 1, 0, 0, 234},	//1459 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {74, 1193, 275, 2, 0, 0, 235},	//1460 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {74, 793, 0, 0, Smoke::mf_slot, 0, 236},	//1461 QsciScintilla::foldAll()
    {74, 982, 0, 0, Smoke::mf_slot, 0, 237},	//1462 QsciScintilla::selectAll()
    {74, 1096, 278, 1, Smoke::mf_slot, 0, 238},	//1463 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {74, 1118, 0, 0, Smoke::mf_slot, 0, 239},	//1464 QsciScintilla::setLexer()
    {74, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 240},	//1465 QsciScintilla::staticMetaObject() const
    {74, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 241},	//1466 QsciScintilla::AiMaintain (enum)
    {74, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 242},	//1467 QsciScintilla::AiOpening (enum)
    {74, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 243},	//1468 QsciScintilla::AiClosing (enum)
    {74, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 244},	//1469 QsciScintilla::AnnotationHidden (enum)
    {74, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 245},	//1470 QsciScintilla::AnnotationStandard (enum)
    {74, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 246},	//1471 QsciScintilla::AnnotationBoxed (enum)
    {74, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 247},	//1472 QsciScintilla::AcsNone (enum)
    {74, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 248},	//1473 QsciScintilla::AcsAll (enum)
    {74, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 249},	//1474 QsciScintilla::AcsDocument (enum)
    {74, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 250},	//1475 QsciScintilla::AcsAPIs (enum)
    {74, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 251},	//1476 QsciScintilla::NoBraceMatch (enum)
    {74, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 252},	//1477 QsciScintilla::StrictBraceMatch (enum)
    {74, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 253},	//1478 QsciScintilla::SloppyBraceMatch (enum)
    {74, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 254},	//1479 QsciScintilla::CallTipsNone (enum)
    {74, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 255},	//1480 QsciScintilla::CallTipsNoContext (enum)
    {74, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 256},	//1481 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {74, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 257},	//1482 QsciScintilla::CallTipsContext (enum)
    {74, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 258},	//1483 QsciScintilla::EdgeNone (enum)
    {74, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 259},	//1484 QsciScintilla::EdgeLine (enum)
    {74, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 260},	//1485 QsciScintilla::EdgeBackground (enum)
    {74, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 261},	//1486 QsciScintilla::EolWindows (enum)
    {74, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 262},	//1487 QsciScintilla::EolUnix (enum)
    {74, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 263},	//1488 QsciScintilla::EolMac (enum)
    {74, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 264},	//1489 QsciScintilla::NoFoldStyle (enum)
    {74, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 265},	//1490 QsciScintilla::PlainFoldStyle (enum)
    {74, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 266},	//1491 QsciScintilla::CircledFoldStyle (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 267},	//1492 QsciScintilla::BoxedFoldStyle (enum)
    {74, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 268},	//1493 QsciScintilla::CircledTreeFoldStyle (enum)
    {74, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 269},	//1494 QsciScintilla::BoxedTreeFoldStyle (enum)
    {74, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 270},	//1495 QsciScintilla::SymbolMargin (enum)
    {74, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 271},	//1496 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {74, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 272},	//1497 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {74, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 273},	//1498 QsciScintilla::NumberMargin (enum)
    {74, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 274},	//1499 QsciScintilla::TextMargin (enum)
    {74, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 275},	//1500 QsciScintilla::TextMarginRightJustified (enum)
    {74, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 276},	//1501 QsciScintilla::Circle (enum)
    {74, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 277},	//1502 QsciScintilla::Rectangle (enum)
    {74, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 278},	//1503 QsciScintilla::RightTriangle (enum)
    {74, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 279},	//1504 QsciScintilla::SmallRectangle (enum)
    {74, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 280},	//1505 QsciScintilla::RightArrow (enum)
    {74, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 281},	//1506 QsciScintilla::Invisible (enum)
    {74, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 282},	//1507 QsciScintilla::DownTriangle (enum)
    {74, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 283},	//1508 QsciScintilla::Minus (enum)
    {74, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 284},	//1509 QsciScintilla::Plus (enum)
    {74, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 285},	//1510 QsciScintilla::VerticalLine (enum)
    {74, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 286},	//1511 QsciScintilla::BottomLeftCorner (enum)
    {74, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 287},	//1512 QsciScintilla::LeftSideSplitter (enum)
    {74, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 288},	//1513 QsciScintilla::BoxedPlus (enum)
    {74, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 289},	//1514 QsciScintilla::BoxedPlusConnected (enum)
    {74, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 290},	//1515 QsciScintilla::BoxedMinus (enum)
    {74, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 291},	//1516 QsciScintilla::BoxedMinusConnected (enum)
    {74, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 292},	//1517 QsciScintilla::RoundedBottomLeftCorner (enum)
    {74, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 293},	//1518 QsciScintilla::LeftSideRoundedSplitter (enum)
    {74, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 294},	//1519 QsciScintilla::CircledPlus (enum)
    {74, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 295},	//1520 QsciScintilla::CircledPlusConnected (enum)
    {74, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 296},	//1521 QsciScintilla::CircledMinus (enum)
    {74, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 297},	//1522 QsciScintilla::CircledMinusConnected (enum)
    {74, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 298},	//1523 QsciScintilla::Background (enum)
    {74, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 299},	//1524 QsciScintilla::ThreeDots (enum)
    {74, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 300},	//1525 QsciScintilla::ThreeRightArrows (enum)
    {74, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 301},	//1526 QsciScintilla::WsInvisible (enum)
    {74, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 302},	//1527 QsciScintilla::WsVisible (enum)
    {74, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 303},	//1528 QsciScintilla::WsVisibleAfterIndent (enum)
    {74, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 304},	//1529 QsciScintilla::WrapNone (enum)
    {74, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 305},	//1530 QsciScintilla::WrapWord (enum)
    {74, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 306},	//1531 QsciScintilla::WrapCharacter (enum)
    {74, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 307},	//1532 QsciScintilla::WrapFlagNone (enum)
    {74, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 308},	//1533 QsciScintilla::WrapFlagByText (enum)
    {74, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 309},	//1534 QsciScintilla::WrapFlagByBorder (enum)
    {74, 1286, 0, 0, Smoke::mf_dtor, 0, 310 },	//1535 QsciScintilla::~QsciScintilla()
    {75, 911, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//1536 QsciScintillaBase::metaObject() const
    {75, 951, 12, 1, Smoke::mf_virtual, 213, 2},	//1537 QsciScintillaBase::qt_metacast(const char*)
    {75, 1216, 44, 2, Smoke::mf_static, 36, 3},	//1538 QsciScintillaBase::tr(const char*, const char*)
    {75, 1220, 44, 2, Smoke::mf_static, 36, 4},	//1539 QsciScintillaBase::trUtf8(const char*, const char*)
    {75, 1216, 47, 3, Smoke::mf_static, 36, 5},	//1540 QsciScintillaBase::tr(const char*, const char*, int)
    {75, 1220, 47, 3, Smoke::mf_static, 36, 6},	//1541 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {75, 949, 51, 3, Smoke::mf_virtual, 207, 7},	//1542 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {75, 390, 122, 1, Smoke::mf_ctor, 92, 8},	//1543 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {75, 939, 0, 0, Smoke::mf_static, 92, 9},	//1544 QsciScintillaBase::pool()
    {75, 562, 280, 3, Smoke::mf_const, 210, 10},	//1545 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {75, 562, 284, 3, Smoke::mf_const, 210, 11},	//1546 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {75, 562, 288, 3, Smoke::mf_const, 210, 12},	//1547 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {75, 562, 292, 2, Smoke::mf_const, 210, 13},	//1548 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {75, 562, 295, 3, Smoke::mf_const, 210, 14},	//1549 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {75, 562, 299, 2, Smoke::mf_const, 210, 15},	//1550 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {75, 562, 302, 2, Smoke::mf_const, 210, 16},	//1551 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {75, 562, 305, 4, Smoke::mf_const, 210, 17},	//1552 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {75, 562, 310, 3, Smoke::mf_const, 210, 18},	//1553 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {75, 562, 314, 2, Smoke::mf_const, 210, 19},	//1554 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {75, 562, 317, 6, Smoke::mf_const, 210, 20},	//1555 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {75, 562, 324, 3, Smoke::mf_const, 210, 21},	//1556 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {75, 570, 328, 1, Smoke::mf_const, 213, 22},	//1557 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {75, 325, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1558 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {75, 506, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1559 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {75, 507, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1560 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {75, 508, 330, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1561 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {75, 408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1562 QsciScintillaBase::SCEN_CHANGE()
    {75, 510, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1563 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {75, 512, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1564 QsciScintillaBase::SCN_CHARADDED(int)
    {75, 514, 333, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1565 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {75, 516, 333, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1566 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {75, 518, 333, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1567 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {75, 520, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1568 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {75, 522, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1569 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {75, 524, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1570 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {75, 526, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1571 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {75, 528, 284, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1572 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {75, 530, 333, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1573 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {75, 532, 337, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1574 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {75, 534, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1575 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {75, 535, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1576 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {75, 537, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1577 QsciScintillaBase::SCN_PAINTED()
    {75, 538, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1578 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {75, 539, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1579 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {75, 540, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1580 QsciScintillaBase::SCN_STYLENEEDED(int)
    {75, 542, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1581 QsciScintillaBase::SCN_UPDATEUI()
    {75, 543, 330, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1582 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {75, 545, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1583 QsciScintillaBase::SCN_ZOOM()
    {75, 724, 348, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//1584 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {75, 751, 350, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//1585 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {75, 753, 352, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//1586 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {75, 755, 354, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1587 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {75, 757, 356, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1588 QsciScintillaBase::dropEvent(QDropEvent*)
    {75, 787, 358, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1589 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {75, 791, 358, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1590 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {75, 789, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 186, 56},	//1591 QsciScintillaBase::focusNextPrevChild(bool)
    {75, 853, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1592 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {75, 833, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1593 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {75, 917, 362, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//1594 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {75, 919, 362, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1595 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {75, 921, 362, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1596 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {75, 923, 362, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1597 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {75, 930, 364, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1598 QsciScintillaBase::paintEvent(QPaintEvent*)
    {75, 975, 366, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1599 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {75, 980, 179, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1600 QsciScintillaBase::scrollContentsBy(int, int)
    {75, 1216, 12, 1, Smoke::mf_static, 36, 66},	//1601 QsciScintillaBase::tr(const char*)
    {75, 1220, 12, 1, Smoke::mf_static, 36, 67},	//1602 QsciScintillaBase::trUtf8(const char*)
    {75, 390, 0, 0, Smoke::mf_ctor, 92, 68},	//1603 QsciScintillaBase::QsciScintillaBase()
    {75, 562, 328, 1, Smoke::mf_const, 210, 69},	//1604 QsciScintillaBase::SendScintilla(unsigned int) const
    {75, 562, 368, 2, Smoke::mf_const, 210, 70},	//1605 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {75, 1203, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 71},	//1606 QsciScintillaBase::staticMetaObject() const
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 72},	//1607 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 73},	//1608 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 74},	//1609 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 75},	//1610 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 76},	//1611 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 77},	//1612 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 78},	//1613 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 79},	//1614 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 80},	//1615 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 81},	//1616 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 82},	//1617 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 83},	//1618 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 84},	//1619 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 85},	//1620 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 86},	//1621 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 87},	//1622 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 88},	//1623 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 89},	//1624 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 90},	//1625 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 91},	//1626 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 92},	//1627 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 93},	//1628 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 94},	//1629 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 95},	//1630 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 96},	//1631 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 97},	//1632 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 98},	//1633 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 99},	//1634 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 100},	//1635 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 101},	//1636 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 102},	//1637 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 103},	//1638 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 104},	//1639 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 105},	//1640 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 106},	//1641 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 107},	//1642 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 108},	//1643 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 109},	//1644 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 110},	//1645 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 111},	//1646 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 112},	//1647 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 113},	//1648 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 114},	//1649 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 115},	//1650 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 116},	//1651 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 117},	//1652 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 118},	//1653 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 119},	//1654 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 120},	//1655 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 121},	//1656 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 122},	//1657 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 123},	//1658 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 124},	//1659 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 125},	//1660 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 126},	//1661 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 127},	//1662 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 128},	//1663 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 129},	//1664 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 130},	//1665 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 131},	//1666 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 132},	//1667 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 133},	//1668 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 134},	//1669 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 135},	//1670 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 136},	//1671 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 137},	//1672 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 138},	//1673 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 139},	//1674 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 140},	//1675 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 141},	//1676 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 142},	//1677 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 143},	//1678 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 144},	//1679 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 145},	//1680 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 146},	//1681 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 147},	//1682 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 148},	//1683 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 149},	//1684 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 150},	//1685 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 151},	//1686 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 152},	//1687 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 153},	//1688 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 154},	//1689 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 155},	//1690 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 156},	//1691 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 157},	//1692 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 158},	//1693 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 159},	//1694 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 160},	//1695 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 161},	//1696 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 162},	//1697 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 163},	//1698 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 164},	//1699 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 165},	//1700 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 166},	//1701 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 167},	//1702 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 168},	//1703 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 169},	//1704 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 170},	//1705 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 171},	//1706 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 172},	//1707 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 173},	//1708 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 174},	//1709 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 175},	//1710 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 176},	//1711 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 177},	//1712 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 178},	//1713 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 179},	//1714 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 180},	//1715 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 181},	//1716 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 182},	//1717 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 183},	//1718 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 184},	//1719 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 185},	//1720 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 186},	//1721 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 187},	//1722 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 188},	//1723 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 189},	//1724 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 190},	//1725 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 191},	//1726 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 192},	//1727 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 193},	//1728 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 194},	//1729 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 195},	//1730 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 196},	//1731 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 197},	//1732 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 198},	//1733 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 199},	//1734 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 200},	//1735 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 201},	//1736 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 202},	//1737 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 203},	//1738 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 204},	//1739 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 205},	//1740 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 206},	//1741 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 207},	//1742 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 208},	//1743 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 209},	//1744 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 210},	//1745 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 211},	//1746 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 212},	//1747 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 213},	//1748 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 214},	//1749 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 215},	//1750 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 216},	//1751 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 217},	//1752 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 218},	//1753 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 219},	//1754 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 220},	//1755 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 221},	//1756 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 222},	//1757 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 223},	//1758 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 224},	//1759 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 225},	//1760 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 226},	//1761 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 227},	//1762 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 228},	//1763 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 229},	//1764 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 230},	//1765 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 231},	//1766 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 232},	//1767 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 233},	//1768 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 234},	//1769 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 235},	//1770 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 236},	//1771 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 237},	//1772 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 238},	//1773 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 239},	//1774 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 240},	//1775 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 241},	//1776 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 242},	//1777 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 243},	//1778 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 244},	//1779 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 245},	//1780 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 246},	//1781 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 247},	//1782 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 248},	//1783 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 249},	//1784 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 250},	//1785 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 251},	//1786 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 252},	//1787 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 253},	//1788 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 254},	//1789 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 255},	//1790 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 256},	//1791 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 257},	//1792 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 258},	//1793 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 259},	//1794 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 260},	//1795 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 261},	//1796 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 262},	//1797 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 263},	//1798 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 264},	//1799 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 265},	//1800 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 266},	//1801 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 267},	//1802 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 268},	//1803 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 269},	//1804 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 270},	//1805 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 271},	//1806 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 272},	//1807 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 273},	//1808 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 274},	//1809 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 275},	//1810 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 276},	//1811 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 277},	//1812 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 278},	//1813 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 279},	//1814 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 280},	//1815 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 281},	//1816 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 282},	//1817 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 283},	//1818 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 284},	//1819 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 285},	//1820 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 286},	//1821 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 287},	//1822 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 288},	//1823 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 289},	//1824 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 290},	//1825 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 291},	//1826 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 292},	//1827 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 293},	//1828 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 294},	//1829 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 295},	//1830 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 296},	//1831 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 297},	//1832 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 298},	//1833 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 299},	//1834 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 300},	//1835 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 301},	//1836 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 302},	//1837 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 303},	//1838 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 304},	//1839 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 305},	//1840 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 306},	//1841 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 307},	//1842 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 308},	//1843 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 309},	//1844 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 310},	//1845 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 311},	//1846 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 312},	//1847 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 313},	//1848 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 314},	//1849 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 315},	//1850 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 316},	//1851 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 317},	//1852 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 318},	//1853 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 319},	//1854 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 320},	//1855 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 321},	//1856 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 322},	//1857 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 323},	//1858 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 324},	//1859 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 325},	//1860 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 326},	//1861 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 327},	//1862 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 328},	//1863 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 329},	//1864 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 330},	//1865 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 331},	//1866 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 332},	//1867 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 333},	//1868 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 334},	//1869 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 335},	//1870 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 336},	//1871 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 337},	//1872 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 338},	//1873 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 339},	//1874 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 340},	//1875 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 341},	//1876 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 342},	//1877 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 343},	//1878 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 344},	//1879 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 345},	//1880 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 346},	//1881 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 347},	//1882 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 348},	//1883 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 349},	//1884 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 350},	//1885 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 351},	//1886 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 352},	//1887 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 353},	//1888 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 354},	//1889 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 355},	//1890 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 356},	//1891 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 357},	//1892 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 358},	//1893 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 359},	//1894 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 360},	//1895 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 361},	//1896 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 362},	//1897 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 363},	//1898 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 364},	//1899 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 365},	//1900 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 366},	//1901 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 367},	//1902 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 368},	//1903 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 369},	//1904 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 370},	//1905 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 371},	//1906 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 372},	//1907 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 373},	//1908 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 374},	//1909 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 375},	//1910 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 376},	//1911 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 377},	//1912 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 378},	//1913 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 379},	//1914 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 380},	//1915 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 381},	//1916 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 382},	//1917 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 383},	//1918 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 384},	//1919 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 385},	//1920 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 386},	//1921 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 387},	//1922 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 388},	//1923 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 389},	//1924 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 390},	//1925 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 391},	//1926 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 392},	//1927 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 393},	//1928 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 394},	//1929 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 395},	//1930 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 396},	//1931 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 397},	//1932 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 398},	//1933 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 399},	//1934 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 400},	//1935 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 401},	//1936 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 402},	//1937 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 403},	//1938 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 404},	//1939 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 405},	//1940 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 406},	//1941 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 407},	//1942 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 408},	//1943 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 409},	//1944 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 410},	//1945 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 411},	//1946 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 412},	//1947 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 413},	//1948 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 414},	//1949 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 415},	//1950 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 416},	//1951 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 417},	//1952 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 418},	//1953 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 419},	//1954 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 420},	//1955 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 421},	//1956 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 422},	//1957 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 423},	//1958 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 424},	//1959 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 425},	//1960 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 426},	//1961 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 427},	//1962 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 428},	//1963 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 429},	//1964 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 430},	//1965 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 431},	//1966 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 432},	//1967 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 433},	//1968 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 434},	//1969 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 435},	//1970 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 436},	//1971 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 437},	//1972 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 438},	//1973 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 439},	//1974 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 440},	//1975 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 441},	//1976 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 442},	//1977 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 443},	//1978 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 444},	//1979 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 445},	//1980 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 446},	//1981 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 447},	//1982 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 448},	//1983 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 449},	//1984 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 450},	//1985 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 451},	//1986 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 452},	//1987 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 453},	//1988 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 454},	//1989 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 455},	//1990 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 456},	//1991 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 457},	//1992 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 458},	//1993 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 459},	//1994 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 460},	//1995 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 461},	//1996 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 462},	//1997 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 463},	//1998 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 464},	//1999 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 465},	//2000 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 466},	//2001 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 467},	//2002 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 468},	//2003 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 469},	//2004 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 470},	//2005 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 471},	//2006 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 472},	//2007 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 473},	//2008 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 474},	//2009 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 475},	//2010 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 476},	//2011 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 477},	//2012 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 478},	//2013 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 479},	//2014 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 480},	//2015 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 481},	//2016 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 482},	//2017 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 483},	//2018 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 484},	//2019 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 485},	//2020 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 486},	//2021 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 487},	//2022 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 488},	//2023 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 489},	//2024 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 490},	//2025 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 491},	//2026 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 492},	//2027 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 493},	//2028 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 494},	//2029 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 495},	//2030 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 496},	//2031 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 497},	//2032 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 498},	//2033 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 499},	//2034 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 500},	//2035 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 501},	//2036 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 502},	//2037 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 503},	//2038 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 504},	//2039 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 505},	//2040 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 506},	//2041 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 507},	//2042 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 508},	//2043 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 509},	//2044 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 510},	//2045 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 511},	//2046 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 512},	//2047 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 513},	//2048 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 514},	//2049 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 515},	//2050 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 516},	//2051 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 517},	//2052 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 518},	//2053 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 519},	//2054 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 520},	//2055 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 521},	//2056 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 522},	//2057 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 523},	//2058 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 524},	//2059 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 525},	//2060 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 526},	//2061 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 527},	//2062 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 528},	//2063 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 529},	//2064 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 530},	//2065 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 531},	//2066 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 532},	//2067 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 533},	//2068 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 534},	//2069 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 535},	//2070 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 536},	//2071 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 537},	//2072 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 538},	//2073 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 539},	//2074 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 540},	//2075 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 541},	//2076 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 542},	//2077 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 543},	//2078 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 544},	//2079 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 545},	//2080 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 546},	//2081 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 547},	//2082 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 548},	//2083 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 549},	//2084 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 550},	//2085 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 551},	//2086 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 552},	//2087 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 553},	//2088 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 554},	//2089 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 555},	//2090 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 556},	//2091 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 557},	//2092 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 558},	//2093 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 559},	//2094 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 560},	//2095 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 561},	//2096 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 562},	//2097 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 563},	//2098 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 564},	//2099 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 565},	//2100 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 566},	//2101 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 567},	//2102 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 568},	//2103 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 569},	//2104 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 570},	//2105 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 571},	//2106 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 572},	//2107 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 573},	//2108 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 574},	//2109 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 575},	//2110 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 576},	//2111 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 577},	//2112 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 578},	//2113 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 579},	//2114 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 580},	//2115 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 581},	//2116 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 582},	//2117 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 583},	//2118 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 584},	//2119 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 585},	//2120 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 586},	//2121 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 587},	//2122 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 588},	//2123 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 589},	//2124 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 590},	//2125 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 591},	//2126 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 592},	//2127 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 593},	//2128 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 594},	//2129 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 595},	//2130 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 596},	//2131 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 597},	//2132 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 598},	//2133 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 599},	//2134 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 600},	//2135 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 601},	//2136 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 602},	//2137 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 603},	//2138 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 604},	//2139 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 605},	//2140 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 606},	//2141 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 607},	//2142 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 608},	//2143 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 609},	//2144 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 610},	//2145 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 611},	//2146 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 612},	//2147 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 613},	//2148 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 614},	//2149 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 615},	//2150 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 616},	//2151 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 617},	//2152 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 618},	//2153 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 619},	//2154 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 620},	//2155 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 621},	//2156 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 622},	//2157 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 623},	//2158 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 624},	//2159 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 625},	//2160 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 626},	//2161 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 627},	//2162 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 628},	//2163 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 629},	//2164 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 630},	//2165 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 631},	//2166 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 632},	//2167 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 633},	//2168 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 634},	//2169 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 635},	//2170 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 636},	//2171 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 637},	//2172 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 638},	//2173 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 639},	//2174 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 640},	//2175 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 641},	//2176 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 642},	//2177 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 643},	//2178 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 644},	//2179 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 645},	//2180 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 646},	//2181 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 647},	//2182 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 648},	//2183 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 649},	//2184 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 650},	//2185 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 651},	//2186 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 652},	//2187 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 653},	//2188 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 654},	//2189 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 655},	//2190 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 656},	//2191 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 657},	//2192 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 658},	//2193 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 659},	//2194 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 660},	//2195 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 661},	//2196 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 662},	//2197 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 663},	//2198 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 664},	//2199 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 665},	//2200 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 666},	//2201 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 667},	//2202 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 668},	//2203 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 669},	//2204 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 670},	//2205 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 671},	//2206 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 672},	//2207 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 673},	//2208 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 674},	//2209 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 675},	//2210 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 676},	//2211 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 677},	//2212 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 678},	//2213 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 679},	//2214 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 680},	//2215 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 681},	//2216 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 682},	//2217 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 683},	//2218 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 684},	//2219 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 685},	//2220 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 686},	//2221 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 687},	//2222 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 688},	//2223 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 689},	//2224 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 690},	//2225 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 691},	//2226 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 692},	//2227 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 693},	//2228 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 694},	//2229 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 695},	//2230 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 696},	//2231 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 697},	//2232 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 698},	//2233 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 699},	//2234 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 700},	//2235 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 701},	//2236 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 702},	//2237 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 703},	//2238 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 704},	//2239 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 705},	//2240 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 706},	//2241 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 707},	//2242 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 708},	//2243 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 709},	//2244 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 710},	//2245 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 711},	//2246 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 712},	//2247 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 713},	//2248 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 714},	//2249 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 715},	//2250 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 716},	//2251 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 717},	//2252 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 718},	//2253 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 719},	//2254 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 720},	//2255 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 721},	//2256 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 722},	//2257 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 723},	//2258 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 724},	//2259 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 725},	//2260 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 726},	//2261 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 727},	//2262 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 728},	//2263 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 729},	//2264 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 730},	//2265 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 731},	//2266 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 732},	//2267 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 733},	//2268 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 734},	//2269 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 735},	//2270 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 736},	//2271 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 737},	//2272 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 738},	//2273 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 739},	//2274 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 740},	//2275 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 741},	//2276 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 742},	//2277 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 743},	//2278 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 744},	//2279 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 745},	//2280 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 746},	//2281 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 747},	//2282 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 748},	//2283 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 749},	//2284 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 750},	//2285 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 751},	//2286 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 752},	//2287 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 753},	//2288 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 754},	//2289 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 755},	//2290 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 756},	//2291 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 757},	//2292 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 758},	//2293 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 759},	//2294 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 760},	//2295 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 761},	//2296 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 762},	//2297 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 763},	//2298 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 764},	//2299 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 765},	//2300 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 766},	//2301 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 767},	//2302 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 768},	//2303 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 769},	//2304 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 770},	//2305 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 771},	//2306 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 772},	//2307 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 773},	//2308 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 774},	//2309 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 775},	//2310 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 776},	//2311 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 777},	//2312 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 778},	//2313 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 779},	//2314 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 780},	//2315 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 781},	//2316 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 782},	//2317 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 783},	//2318 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 784},	//2319 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 785},	//2320 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 786},	//2321 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 787},	//2322 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 788},	//2323 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 789},	//2324 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 790},	//2325 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 791},	//2326 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 792},	//2327 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 793},	//2328 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 794},	//2329 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 795},	//2330 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 796},	//2331 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 797},	//2332 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 798},	//2333 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 799},	//2334 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 800},	//2335 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 801},	//2336 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 802},	//2337 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 803},	//2338 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 804},	//2339 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 805},	//2340 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 806},	//2341 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 807},	//2342 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 808},	//2343 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 809},	//2344 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 810},	//2345 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 811},	//2346 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 812},	//2347 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 813},	//2348 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 814},	//2349 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 815},	//2350 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 816},	//2351 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 817},	//2352 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 818},	//2353 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 819},	//2354 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 820},	//2355 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 821},	//2356 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 822},	//2357 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 823},	//2358 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 824},	//2359 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 825},	//2360 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 826},	//2361 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 827},	//2362 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 828},	//2363 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 829},	//2364 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 830},	//2365 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 831},	//2366 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 832},	//2367 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 833},	//2368 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 834},	//2369 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 835},	//2370 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 836},	//2371 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 837},	//2372 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 838},	//2373 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 839},	//2374 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 840},	//2375 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 841},	//2376 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 842},	//2377 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 843},	//2378 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 844},	//2379 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 845},	//2380 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 846},	//2381 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 847},	//2382 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 848},	//2383 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 849},	//2384 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 850},	//2385 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 851},	//2386 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 852},	//2387 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 853},	//2388 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 854},	//2389 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 855},	//2390 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 856},	//2391 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 857},	//2392 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 858},	//2393 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 859},	//2394 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 860},	//2395 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 861},	//2396 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 862},	//2397 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 863},	//2398 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 864},	//2399 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 865},	//2400 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 866},	//2401 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 867},	//2402 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 868},	//2403 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 869},	//2404 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 870},	//2405 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 871},	//2406 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 872},	//2407 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 873},	//2408 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 874},	//2409 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 875},	//2410 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 876},	//2411 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 877},	//2412 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 878},	//2413 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 879},	//2414 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 880},	//2415 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 881},	//2416 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 882},	//2417 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 883},	//2418 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 884},	//2419 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 885},	//2420 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 886},	//2421 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 887},	//2422 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 888},	//2423 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 889},	//2424 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 890},	//2425 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 891},	//2426 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 892},	//2427 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 893},	//2428 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 894},	//2429 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 895},	//2430 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 896},	//2431 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 897},	//2432 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 898},	//2433 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 899},	//2434 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 900},	//2435 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 901},	//2436 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 902},	//2437 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 903},	//2438 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 904},	//2439 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 905},	//2440 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 906},	//2441 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 907},	//2442 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 908},	//2443 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 909},	//2444 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 910},	//2445 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 911},	//2446 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 912},	//2447 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 913},	//2448 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 914},	//2449 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 915},	//2450 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 916},	//2451 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 917},	//2452 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 918},	//2453 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 919},	//2454 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 920},	//2455 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 921},	//2456 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 922},	//2457 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 923},	//2458 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 924},	//2459 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 925},	//2460 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 926},	//2461 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 927},	//2462 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 928},	//2463 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 929},	//2464 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 930},	//2465 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 931},	//2466 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 932},	//2467 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 933},	//2468 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 934},	//2469 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 935},	//2470 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 936},	//2471 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 937},	//2472 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 938},	//2473 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 939},	//2474 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 940},	//2475 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 941},	//2476 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 942},	//2477 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 943},	//2478 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 944},	//2479 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 945},	//2480 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 946},	//2481 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 947},	//2482 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 948},	//2483 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 949},	//2484 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 950},	//2485 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 951},	//2486 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 952},	//2487 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 953},	//2488 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 954},	//2489 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 955},	//2490 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 956},	//2491 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 957},	//2492 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 958},	//2493 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 959},	//2494 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 960},	//2495 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 961},	//2496 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 962},	//2497 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 963},	//2498 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 964},	//2499 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 965},	//2500 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 966},	//2501 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 967},	//2502 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 968},	//2503 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 969},	//2504 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 970},	//2505 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 971},	//2506 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 972},	//2507 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 973},	//2508 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 974},	//2509 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 975},	//2510 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 976},	//2511 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 977},	//2512 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 978},	//2513 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 979},	//2514 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 980},	//2515 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 981},	//2516 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 982},	//2517 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 983},	//2518 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 984},	//2519 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 985},	//2520 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 986},	//2521 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 987},	//2522 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 988},	//2523 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 989},	//2524 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 990},	//2525 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 991},	//2526 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 992},	//2527 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 993},	//2528 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 994},	//2529 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 995},	//2530 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 996},	//2531 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 997},	//2532 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 998},	//2533 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 999},	//2534 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1000},	//2535 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1001},	//2536 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1002},	//2537 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1003},	//2538 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1004},	//2539 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1005},	//2540 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1006},	//2541 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1007},	//2542 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1008},	//2543 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1009},	//2544 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1010},	//2545 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1011},	//2546 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1012},	//2547 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1013},	//2548 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1014},	//2549 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1015},	//2550 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1016},	//2551 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1017},	//2552 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1018},	//2553 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1019},	//2554 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1020},	//2555 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1021},	//2556 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1022},	//2557 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1023},	//2558 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1024},	//2559 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1025},	//2560 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1026},	//2561 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1027},	//2562 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1028},	//2563 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1029},	//2564 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1030},	//2565 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1031},	//2566 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1032},	//2567 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1033},	//2568 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1034},	//2569 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1035},	//2570 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1036},	//2571 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1037},	//2572 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1038},	//2573 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1039},	//2574 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1040},	//2575 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1041},	//2576 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1042},	//2577 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1043},	//2578 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1044},	//2579 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1045},	//2580 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1046},	//2581 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1047},	//2582 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1048},	//2583 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1049},	//2584 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1050},	//2585 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1051},	//2586 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1052},	//2587 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1053},	//2588 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1054},	//2589 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1055},	//2590 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1056},	//2591 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1057},	//2592 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1058},	//2593 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1059},	//2594 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1060},	//2595 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1061},	//2596 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1062},	//2597 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1063},	//2598 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1064},	//2599 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1065},	//2600 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1066},	//2601 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1067},	//2602 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1068},	//2603 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1069},	//2604 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1070},	//2605 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1071},	//2606 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1072},	//2607 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1073},	//2608 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1074},	//2609 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1075},	//2610 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1076},	//2611 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1077},	//2612 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1078},	//2613 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1079},	//2614 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1080},	//2615 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1081},	//2616 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1082},	//2617 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1083},	//2618 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1084},	//2619 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1085},	//2620 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1086},	//2621 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1087},	//2622 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1088},	//2623 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1089},	//2624 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1090},	//2625 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1091},	//2626 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1092},	//2627 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1093},	//2628 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1094},	//2629 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1095},	//2630 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1096},	//2631 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1097},	//2632 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1098},	//2633 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1099},	//2634 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1100},	//2635 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1101},	//2636 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1102},	//2637 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1103},	//2638 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1104},	//2639 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1105},	//2640 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1106},	//2641 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1107},	//2642 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1108},	//2643 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1109},	//2644 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1110},	//2645 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1111},	//2646 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1112},	//2647 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1113},	//2648 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1114},	//2649 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1115},	//2650 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1116},	//2651 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1117},	//2652 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1118},	//2653 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1119},	//2654 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1120},	//2655 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1121},	//2656 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1122},	//2657 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1123},	//2658 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1124},	//2659 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1125},	//2660 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1126},	//2661 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1127},	//2662 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1128},	//2663 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1129},	//2664 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1130},	//2665 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1131},	//2666 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1132},	//2667 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1133},	//2668 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1134},	//2669 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1135},	//2670 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1136},	//2671 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1137},	//2672 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1138},	//2673 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1139},	//2674 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1140},	//2675 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1141},	//2676 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1142},	//2677 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1143},	//2678 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1144},	//2679 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1145},	//2680 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1146},	//2681 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1147},	//2682 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1148},	//2683 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1149},	//2684 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1150},	//2685 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1151},	//2686 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1152},	//2687 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1153},	//2688 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1154},	//2689 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1155},	//2690 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1156},	//2691 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1157},	//2692 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1158},	//2693 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1159},	//2694 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1160},	//2695 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1161},	//2696 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1162},	//2697 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1163},	//2698 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1164},	//2699 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1165},	//2700 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1166},	//2701 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1167},	//2702 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1168},	//2703 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1169},	//2704 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1170},	//2705 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1171},	//2706 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1172},	//2707 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1173},	//2708 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1174},	//2709 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1175},	//2710 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1176},	//2711 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1177},	//2712 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1178},	//2713 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1179},	//2714 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1180},	//2715 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1181},	//2716 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1182},	//2717 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1183},	//2718 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1184},	//2719 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1185},	//2720 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1186},	//2721 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1187},	//2722 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1188},	//2723 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1189},	//2724 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1190},	//2725 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1191},	//2726 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1192},	//2727 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1193},	//2728 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1194},	//2729 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1195},	//2730 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1196},	//2731 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1197},	//2732 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1198},	//2733 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1199},	//2734 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1200},	//2735 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1201},	//2736 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1202},	//2737 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1203},	//2738 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1204},	//2739 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1205},	//2740 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1206},	//2741 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1207},	//2742 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1208},	//2743 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1209},	//2744 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1210},	//2745 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1211},	//2746 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1212},	//2747 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1213},	//2748 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1214},	//2749 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1215},	//2750 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1216},	//2751 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1217},	//2752 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1218},	//2753 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1219},	//2754 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1220},	//2755 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1221},	//2756 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1222},	//2757 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1223},	//2758 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1224},	//2759 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1225},	//2760 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1226},	//2761 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1227},	//2762 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1228},	//2763 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1229},	//2764 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1230},	//2765 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1231},	//2766 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1232},	//2767 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1233},	//2768 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1234},	//2769 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1235},	//2770 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1236},	//2771 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1237},	//2772 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1238},	//2773 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1239},	//2774 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1240},	//2775 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1241},	//2776 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1242},	//2777 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1243},	//2778 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1244},	//2779 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1245},	//2780 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1246},	//2781 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1247},	//2782 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1248},	//2783 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1249},	//2784 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1250},	//2785 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1251},	//2786 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1252},	//2787 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1253},	//2788 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1254},	//2789 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1255},	//2790 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1256},	//2791 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1257},	//2792 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1258},	//2793 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1259},	//2794 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1260},	//2795 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1261},	//2796 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1262},	//2797 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1263},	//2798 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1264},	//2799 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1265},	//2800 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1266},	//2801 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1267},	//2802 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1268},	//2803 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1269},	//2804 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1270},	//2805 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1271},	//2806 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1272},	//2807 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1273},	//2808 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1274},	//2809 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1275},	//2810 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1276},	//2811 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1277},	//2812 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1278},	//2813 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1279},	//2814 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1280},	//2815 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1281},	//2816 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1282},	//2817 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1283},	//2818 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1284},	//2819 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1285},	//2820 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1286},	//2821 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1287},	//2822 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1288},	//2823 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1289},	//2824 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1290},	//2825 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1291},	//2826 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1292},	//2827 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1293},	//2828 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1294},	//2829 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1295},	//2830 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1296},	//2831 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1297},	//2832 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1298},	//2833 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1299},	//2834 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1300},	//2835 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1301},	//2836 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1302},	//2837 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1303},	//2838 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1304},	//2839 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1305},	//2840 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1306},	//2841 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1307},	//2842 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1308},	//2843 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1309},	//2844 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1310},	//2845 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1311},	//2846 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1312},	//2847 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1313},	//2848 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1314},	//2849 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1315},	//2850 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1316},	//2851 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1317},	//2852 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1318},	//2853 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1319},	//2854 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1320},	//2855 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1321},	//2856 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1322},	//2857 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1323},	//2858 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1324},	//2859 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1325},	//2860 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1326},	//2861 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1327},	//2862 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1328},	//2863 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1329},	//2864 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1330},	//2865 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1331},	//2866 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1332},	//2867 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1333},	//2868 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1334},	//2869 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1335},	//2870 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1336},	//2871 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1337},	//2872 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1338},	//2873 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1339},	//2874 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1340},	//2875 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1341},	//2876 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1342},	//2877 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1343},	//2878 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1344},	//2879 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1345},	//2880 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1346},	//2881 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1347},	//2882 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1348},	//2883 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1349},	//2884 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1350},	//2885 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1351},	//2886 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1352},	//2887 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1353},	//2888 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1354},	//2889 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1355},	//2890 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1356},	//2891 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1357},	//2892 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1358},	//2893 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1359},	//2894 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1360},	//2895 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1361},	//2896 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1362},	//2897 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1363},	//2898 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1364},	//2899 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1365},	//2900 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1366},	//2901 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1367},	//2902 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1368},	//2903 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1369},	//2904 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1370},	//2905 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1371},	//2906 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1372},	//2907 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1373},	//2908 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1374},	//2909 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1375},	//2910 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1376},	//2911 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1377},	//2912 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1378},	//2913 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1379},	//2914 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1380},	//2915 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1381},	//2916 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1382},	//2917 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1383},	//2918 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1384},	//2919 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1385},	//2920 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1386},	//2921 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1387},	//2922 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1388},	//2923 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1389},	//2924 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1390},	//2925 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1391},	//2926 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1392},	//2927 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1393},	//2928 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1394},	//2929 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1395},	//2930 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1396},	//2931 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1397},	//2932 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1398},	//2933 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1399},	//2934 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1400},	//2935 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1401},	//2936 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1402},	//2937 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1403},	//2938 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1404},	//2939 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1405},	//2940 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1406},	//2941 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1407},	//2942 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1408},	//2943 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1409},	//2944 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1410},	//2945 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1411},	//2946 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1412},	//2947 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1413},	//2948 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1414},	//2949 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1415},	//2950 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1416},	//2951 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1417},	//2952 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1418},	//2953 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1419},	//2954 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1420},	//2955 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1421},	//2956 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1422},	//2957 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1423},	//2958 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1424},	//2959 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1425},	//2960 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1426},	//2961 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1427},	//2962 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1428},	//2963 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1429},	//2964 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1430},	//2965 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1431},	//2966 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1432},	//2967 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1433},	//2968 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1434},	//2969 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1435},	//2970 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1436},	//2971 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1437},	//2972 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1438},	//2973 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1439},	//2974 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1440},	//2975 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1441},	//2976 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1442},	//2977 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1443},	//2978 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1444},	//2979 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1445},	//2980 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1446},	//2981 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1447},	//2982 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1448},	//2983 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1449},	//2984 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1450},	//2985 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1451},	//2986 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1452},	//2987 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1453},	//2988 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1454},	//2989 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1455},	//2990 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1456},	//2991 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1457},	//2992 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1458},	//2993 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1459},	//2994 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1460},	//2995 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1461},	//2996 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1462},	//2997 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1463},	//2998 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1464},	//2999 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1465},	//3000 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1466},	//3001 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1467},	//3002 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1468},	//3003 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1469},	//3004 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1470},	//3005 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1471},	//3006 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1472},	//3007 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1473},	//3008 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1474},	//3009 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1475},	//3010 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1476},	//3011 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1477},	//3012 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1478},	//3013 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1479},	//3014 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1480},	//3015 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1481},	//3016 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1482},	//3017 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1483},	//3018 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1484},	//3019 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1485},	//3020 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1486},	//3021 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1487},	//3022 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1488},	//3023 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1489},	//3024 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1490},	//3025 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1491},	//3026 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1492},	//3027 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1493},	//3028 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1494},	//3029 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1495},	//3030 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1496},	//3031 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1497},	//3032 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1498},	//3033 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1499},	//3034 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1500},	//3035 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1501},	//3036 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1502},	//3037 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1503},	//3038 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1504},	//3039 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1505},	//3040 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1506},	//3041 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1507},	//3042 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1508},	//3043 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1509},	//3044 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1510},	//3045 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1511},	//3046 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1512},	//3047 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1513},	//3048 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1514},	//3049 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1515},	//3050 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1516},	//3051 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1517},	//3052 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1518},	//3053 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1519},	//3054 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1520},	//3055 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1521},	//3056 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1522},	//3057 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1523},	//3058 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1524},	//3059 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1525},	//3060 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1526},	//3061 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1527},	//3062 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1528},	//3063 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1529},	//3064 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1530},	//3065 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1531},	//3066 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1532},	//3067 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1533},	//3068 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1534},	//3069 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1535},	//3070 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1536},	//3071 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1537},	//3072 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1538},	//3073 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1539},	//3074 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1540},	//3075 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1541},	//3076 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1542},	//3077 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1543},	//3078 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1544},	//3079 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1545},	//3080 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1546},	//3081 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1547},	//3082 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1548},	//3083 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1549},	//3084 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1550},	//3085 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1551},	//3086 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1552},	//3087 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1553},	//3088 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1554},	//3089 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1555},	//3090 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1556},	//3091 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1557},	//3092 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1558},	//3093 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1559},	//3094 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1560},	//3095 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1561},	//3096 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1562},	//3097 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1563},	//3098 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1564},	//3099 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1565},	//3100 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1566},	//3101 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1567},	//3102 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1568},	//3103 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1569},	//3104 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1570},	//3105 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1571},	//3106 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1572},	//3107 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1573},	//3108 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1574},	//3109 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1575},	//3110 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1576},	//3111 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1577},	//3112 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1578},	//3113 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1579},	//3114 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1580},	//3115 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1581},	//3116 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1582},	//3117 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1583},	//3118 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1584},	//3119 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1585},	//3120 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1586},	//3121 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1587},	//3122 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1588},	//3123 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1589},	//3124 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1590},	//3125 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1591},	//3126 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1592},	//3127 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1593},	//3128 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1594},	//3129 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1595},	//3130 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1596},	//3131 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1597},	//3132 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1598},	//3133 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1599},	//3134 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1600},	//3135 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1601},	//3136 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1602},	//3137 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1603},	//3138 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1604},	//3139 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1605},	//3140 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1606},	//3141 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1607},	//3142 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1608},	//3143 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1609},	//3144 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1610},	//3145 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1611},	//3146 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1612},	//3147 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1613},	//3148 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1614},	//3149 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1615},	//3150 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1616},	//3151 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1617},	//3152 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1618},	//3153 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1619},	//3154 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1620},	//3155 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1621},	//3156 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1622},	//3157 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1623},	//3158 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1624},	//3159 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1625},	//3160 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1626},	//3161 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1627},	//3162 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1628},	//3163 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1629},	//3164 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1630},	//3165 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1631},	//3166 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1632},	//3167 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1633},	//3168 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1634},	//3169 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1635},	//3170 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1636},	//3171 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1637},	//3172 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1638},	//3173 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1639},	//3174 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1640},	//3175 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1641},	//3176 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1642},	//3177 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1643},	//3178 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1644},	//3179 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1645},	//3180 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1646},	//3181 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1647},	//3182 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1648},	//3183 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1649},	//3184 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1650},	//3185 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1651},	//3186 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1652},	//3187 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1653},	//3188 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1654},	//3189 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1655},	//3190 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1656},	//3191 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1657},	//3192 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1658},	//3193 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1659},	//3194 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1660},	//3195 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1661},	//3196 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1662},	//3197 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1663},	//3198 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1664},	//3199 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1665},	//3200 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1666},	//3201 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1667},	//3202 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1668},	//3203 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1669},	//3204 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1670},	//3205 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1671},	//3206 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1672},	//3207 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1673},	//3208 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1674},	//3209 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1675},	//3210 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1676},	//3211 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1677},	//3212 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1678},	//3213 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1679},	//3214 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1680},	//3215 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1681},	//3216 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1682},	//3217 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1683},	//3218 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1684},	//3219 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1685},	//3220 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1686},	//3221 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1687},	//3222 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1688},	//3223 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1689},	//3224 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1690},	//3225 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1691},	//3226 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1692},	//3227 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1693},	//3228 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1694},	//3229 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1695},	//3230 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1696},	//3231 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1697},	//3232 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1698},	//3233 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1699},	//3234 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1700},	//3235 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1701},	//3236 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1702},	//3237 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1703},	//3238 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1704},	//3239 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1705},	//3240 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1706},	//3241 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1707},	//3242 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1708},	//3243 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1709},	//3244 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1710},	//3245 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1711},	//3246 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1712},	//3247 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1713},	//3248 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1714},	//3249 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1715},	//3250 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1716},	//3251 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1717},	//3252 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1718},	//3253 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1719},	//3254 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1720},	//3255 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1721},	//3256 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1722},	//3257 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1723},	//3258 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1724},	//3259 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1725},	//3260 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1726},	//3261 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1727},	//3262 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1728},	//3263 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1729},	//3264 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1730},	//3265 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1731},	//3266 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1732},	//3267 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1733},	//3268 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1734},	//3269 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1735},	//3270 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1736},	//3271 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1737},	//3272 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1738},	//3273 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1739},	//3274 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1740},	//3275 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1741},	//3276 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1742},	//3277 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1743},	//3278 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1744},	//3279 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1745},	//3280 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1746},	//3281 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1747},	//3282 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1748},	//3283 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1749},	//3284 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1750},	//3285 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1751},	//3286 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1752},	//3287 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1753},	//3288 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1754},	//3289 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1755},	//3290 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1756},	//3291 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1757},	//3292 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1758},	//3293 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1759},	//3294 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1760},	//3295 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1761},	//3296 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1762},	//3297 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1763},	//3298 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1764},	//3299 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1765},	//3300 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1766},	//3301 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1767},	//3302 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1768},	//3303 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1769},	//3304 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1770},	//3305 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1771},	//3306 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1772},	//3307 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1773},	//3308 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1774},	//3309 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1775},	//3310 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1776},	//3311 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1777},	//3312 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1778},	//3313 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1779},	//3314 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1780},	//3315 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1781},	//3316 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1782},	//3317 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1783},	//3318 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1784},	//3319 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1785},	//3320 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1786},	//3321 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1787},	//3322 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1788},	//3323 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1789},	//3324 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1790},	//3325 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1791},	//3326 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1792},	//3327 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1793},	//3328 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1794},	//3329 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1795},	//3330 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1796},	//3331 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1797},	//3332 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1798},	//3333 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1799},	//3334 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1800},	//3335 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1801},	//3336 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1802},	//3337 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1803},	//3338 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1804},	//3339 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1805},	//3340 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1806},	//3341 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1807},	//3342 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1808},	//3343 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1809},	//3344 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1810},	//3345 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1811},	//3346 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1812},	//3347 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1813},	//3348 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1814},	//3349 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1815},	//3350 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1816},	//3351 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1817},	//3352 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1818},	//3353 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1819},	//3354 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1820},	//3355 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1821},	//3356 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1822},	//3357 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1823},	//3358 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1824},	//3359 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1825},	//3360 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1826},	//3361 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1827},	//3362 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1828},	//3363 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1829},	//3364 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1830},	//3365 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1831},	//3366 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1832},	//3367 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1833},	//3368 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1834},	//3369 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1835},	//3370 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1836},	//3371 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1837},	//3372 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1838},	//3373 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1839},	//3374 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1840},	//3375 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1841},	//3376 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1842},	//3377 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1843},	//3378 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1844},	//3379 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1845},	//3380 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1846},	//3381 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1847},	//3382 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1848},	//3383 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1849},	//3384 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1850},	//3385 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1851},	//3386 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1852},	//3387 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1853},	//3388 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1854},	//3389 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1855},	//3390 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1856},	//3391 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1857},	//3392 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1858},	//3393 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1859},	//3394 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1860},	//3395 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1861},	//3396 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1862},	//3397 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1863},	//3398 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1864},	//3399 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1865},	//3400 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1866},	//3401 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1867},	//3402 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1868},	//3403 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1869},	//3404 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1870},	//3405 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1871},	//3406 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1872},	//3407 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1873},	//3408 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1874},	//3409 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1875},	//3410 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1876},	//3411 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1877},	//3412 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1878},	//3413 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1879},	//3414 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1880},	//3415 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1881},	//3416 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1882},	//3417 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1883},	//3418 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1884},	//3419 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1885},	//3420 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1886},	//3421 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1887},	//3422 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1888},	//3423 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1889},	//3424 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1890},	//3425 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1891},	//3426 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1892},	//3427 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1893},	//3428 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1894},	//3429 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1895},	//3430 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1896},	//3431 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1897},	//3432 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1898},	//3433 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1899},	//3434 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1900},	//3435 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1901},	//3436 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1902},	//3437 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1903},	//3438 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1904},	//3439 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1905},	//3440 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1906},	//3441 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1907},	//3442 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1908},	//3443 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1909},	//3444 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1910},	//3445 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1911},	//3446 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1912},	//3447 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1913},	//3448 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1914},	//3449 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1915},	//3450 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1916},	//3451 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1917},	//3452 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1918},	//3453 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1919},	//3454 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1920},	//3455 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1921},	//3456 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1922},	//3457 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1923},	//3458 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1924},	//3459 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1925},	//3460 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1926},	//3461 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1927},	//3462 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1928},	//3463 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1929},	//3464 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1930},	//3465 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1931},	//3466 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1932},	//3467 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1933},	//3468 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1934},	//3469 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1935},	//3470 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1936},	//3471 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1937},	//3472 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1938},	//3473 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1939},	//3474 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1940},	//3475 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1941},	//3476 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1942},	//3477 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1943},	//3478 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1944},	//3479 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1945},	//3480 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1946},	//3481 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1947},	//3482 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1948},	//3483 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1949},	//3484 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1950},	//3485 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1951},	//3486 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1952},	//3487 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1953},	//3488 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1954},	//3489 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1955},	//3490 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1956},	//3491 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1957},	//3492 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1958},	//3493 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1959},	//3494 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1960},	//3495 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1961},	//3496 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1962},	//3497 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1963},	//3498 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1964},	//3499 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1965},	//3500 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1966},	//3501 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1967},	//3502 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1968},	//3503 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1969},	//3504 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1970},	//3505 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1971},	//3506 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1972},	//3507 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1973},	//3508 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1974},	//3509 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1975},	//3510 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1976},	//3511 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1977},	//3512 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1978},	//3513 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1979},	//3514 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1980},	//3515 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1981},	//3516 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1982},	//3517 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1983},	//3518 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1984},	//3519 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1985},	//3520 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1986},	//3521 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1987},	//3522 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1988},	//3523 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1989},	//3524 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1990},	//3525 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1991},	//3526 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1992},	//3527 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1993},	//3528 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1994},	//3529 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1995},	//3530 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1996},	//3531 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1997},	//3532 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1998},	//3533 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1999},	//3534 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2000},	//3535 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2001},	//3536 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2002},	//3537 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2003},	//3538 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2004},	//3539 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2005},	//3540 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2006},	//3541 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2007},	//3542 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2008},	//3543 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2009},	//3544 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2010},	//3545 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2011},	//3546 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2012},	//3547 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2013},	//3548 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2014},	//3549 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2015},	//3550 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2016},	//3551 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2017},	//3552 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2018},	//3553 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2019},	//3554 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2020},	//3555 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2021},	//3556 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2022},	//3557 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2023},	//3558 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2024},	//3559 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2025},	//3560 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2026},	//3561 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2027},	//3562 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2028},	//3563 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2029},	//3564 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2030},	//3565 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2031},	//3566 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2032},	//3567 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2033},	//3568 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2034},	//3569 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2035},	//3570 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2036},	//3571 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2037},	//3572 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2038},	//3573 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2039},	//3574 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2040},	//3575 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2041},	//3576 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2042},	//3577 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2043},	//3578 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2044},	//3579 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2045},	//3580 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2046},	//3581 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2047},	//3582 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2048},	//3583 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2049},	//3584 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2050},	//3585 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2051},	//3586 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2052},	//3587 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2053},	//3588 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2054},	//3589 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2055},	//3590 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2056},	//3591 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2057},	//3592 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2058},	//3593 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2059},	//3594 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2060},	//3595 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2061},	//3596 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2062},	//3597 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2063},	//3598 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2064},	//3599 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2065},	//3600 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2066},	//3601 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2067},	//3602 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2068},	//3603 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2069},	//3604 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2070},	//3605 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2071},	//3606 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2072},	//3607 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2073},	//3608 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2074},	//3609 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2075},	//3610 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2076},	//3611 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2077},	//3612 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2078},	//3613 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2079},	//3614 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2080},	//3615 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2081},	//3616 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2082},	//3617 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2083},	//3618 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2084},	//3619 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2085},	//3620 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2086},	//3621 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2087},	//3622 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2088},	//3623 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2089},	//3624 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2090},	//3625 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2091},	//3626 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2092},	//3627 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2093},	//3628 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2094},	//3629 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2095},	//3630 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2096},	//3631 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2097},	//3632 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2098},	//3633 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2099},	//3634 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2100},	//3635 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2101},	//3636 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2102},	//3637 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2103},	//3638 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2104},	//3639 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2105},	//3640 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2106},	//3641 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2107},	//3642 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2108},	//3643 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2109},	//3644 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2110},	//3645 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2111},	//3646 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2112},	//3647 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2113},	//3648 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2114},	//3649 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2115},	//3650 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2116},	//3651 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2117},	//3652 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2118},	//3653 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2119},	//3654 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2120},	//3655 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2121},	//3656 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2122},	//3657 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2123},	//3658 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2124},	//3659 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2125},	//3660 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2126},	//3661 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2127},	//3662 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2128},	//3663 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2129},	//3664 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2130},	//3665 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2131},	//3666 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2132},	//3667 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2133},	//3668 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2134},	//3669 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2135},	//3670 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2136},	//3671 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2137},	//3672 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2138},	//3673 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2139},	//3674 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2140},	//3675 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2141},	//3676 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2142},	//3677 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2143},	//3678 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2144},	//3679 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2145},	//3680 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2146},	//3681 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2147},	//3682 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2148},	//3683 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2149},	//3684 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2150},	//3685 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2151},	//3686 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2152},	//3687 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2153},	//3688 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2154},	//3689 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2155},	//3690 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2156},	//3691 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2157},	//3692 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2158},	//3693 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2159},	//3694 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2160},	//3695 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2161},	//3696 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2162},	//3697 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2163},	//3698 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2164},	//3699 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2165},	//3700 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2166},	//3701 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2167},	//3702 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2168},	//3703 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2169},	//3704 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2170},	//3705 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2171},	//3706 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2172},	//3707 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2173},	//3708 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2174},	//3709 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2175},	//3710 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2176},	//3711 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2177},	//3712 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2178},	//3713 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2179},	//3714 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2180},	//3715 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2181},	//3716 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2182},	//3717 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2183},	//3718 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2184},	//3719 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2185},	//3720 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2186},	//3721 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2187},	//3722 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2188},	//3723 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2189},	//3724 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2190},	//3725 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2191},	//3726 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2192},	//3727 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2193},	//3728 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2194},	//3729 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2195},	//3730 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2196},	//3731 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2197},	//3732 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2198},	//3733 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2199},	//3734 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2200},	//3735 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2201},	//3736 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2202},	//3737 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2203},	//3738 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2204},	//3739 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2205},	//3740 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2206},	//3741 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2207},	//3742 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2208},	//3743 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2209},	//3744 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2210},	//3745 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2211},	//3746 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2212},	//3747 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2213},	//3748 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2214},	//3749 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2215},	//3750 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2216},	//3751 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2217},	//3752 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2218},	//3753 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2219},	//3754 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2220},	//3755 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2221},	//3756 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2222},	//3757 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2223},	//3758 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2224},	//3759 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2225},	//3760 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2226},	//3761 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2227},	//3762 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2228},	//3763 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2229},	//3764 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2230},	//3765 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2231},	//3766 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2232},	//3767 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2233},	//3768 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2234},	//3769 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2235},	//3770 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2236},	//3771 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2237},	//3772 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2238},	//3773 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2239},	//3774 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2240},	//3775 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2241},	//3776 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2242},	//3777 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2243},	//3778 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2244},	//3779 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2245},	//3780 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2246},	//3781 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2247},	//3782 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2248},	//3783 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2249},	//3784 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2250},	//3785 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2251},	//3786 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2252},	//3787 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2253},	//3788 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2254},	//3789 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2255},	//3790 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2256},	//3791 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2257},	//3792 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2258},	//3793 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2259},	//3794 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2260},	//3795 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2261},	//3796 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2262},	//3797 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2263},	//3798 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2264},	//3799 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2265},	//3800 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2266},	//3801 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2267},	//3802 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2268},	//3803 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2269},	//3804 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2270},	//3805 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2271},	//3806 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2272},	//3807 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2273},	//3808 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2274},	//3809 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2275},	//3810 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2276},	//3811 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2277},	//3812 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2278},	//3813 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2279},	//3814 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2280},	//3815 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2281},	//3816 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2282},	//3817 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2283},	//3818 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2284},	//3819 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2285},	//3820 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2286},	//3821 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2287},	//3822 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2288},	//3823 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2289},	//3824 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2290},	//3825 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2291},	//3826 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2292},	//3827 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2293},	//3828 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2294},	//3829 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2295},	//3830 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2296},	//3831 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2297},	//3832 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2298},	//3833 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2299},	//3834 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2300},	//3835 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2301},	//3836 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2302},	//3837 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2303},	//3838 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2304},	//3839 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2305},	//3840 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2306},	//3841 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2307},	//3842 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2308},	//3843 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2309},	//3844 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2310},	//3845 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2311},	//3846 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2312},	//3847 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2313},	//3848 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2314},	//3849 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2315},	//3850 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2316},	//3851 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2317},	//3852 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2318},	//3853 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2319},	//3854 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2320},	//3855 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2321},	//3856 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2322},	//3857 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2323},	//3858 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2324},	//3859 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2325},	//3860 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2326},	//3861 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2327},	//3862 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2328},	//3863 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2329},	//3864 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2330},	//3865 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2331},	//3866 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2332},	//3867 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2333},	//3868 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2334},	//3869 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2335},	//3870 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2336},	//3871 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2337},	//3872 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2338},	//3873 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2339},	//3874 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2340},	//3875 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2341},	//3876 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2342},	//3877 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2343},	//3878 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2344},	//3879 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2345},	//3880 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2346},	//3881 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2347},	//3882 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2348},	//3883 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2349},	//3884 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2350},	//3885 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2351},	//3886 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2352},	//3887 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2353},	//3888 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2354},	//3889 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2355},	//3890 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2356},	//3891 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2357},	//3892 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2358},	//3893 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2359},	//3894 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2360},	//3895 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2361},	//3896 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2362},	//3897 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2363},	//3898 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2364},	//3899 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2365},	//3900 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2366},	//3901 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2367},	//3902 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2368},	//3903 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2369},	//3904 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2370},	//3905 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2371},	//3906 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2372},	//3907 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2373},	//3908 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2374},	//3909 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2375},	//3910 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2376},	//3911 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2377},	//3912 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2378},	//3913 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2379},	//3914 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2380},	//3915 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2381},	//3916 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2382},	//3917 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2383},	//3918 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2384},	//3919 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2385},	//3920 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2386},	//3921 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2387},	//3922 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2388},	//3923 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2389},	//3924 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2390},	//3925 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2391},	//3926 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2392},	//3927 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2393},	//3928 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2394},	//3929 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2395},	//3930 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2396},	//3931 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2397},	//3932 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2398},	//3933 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2399},	//3934 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2400},	//3935 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2401},	//3936 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2402},	//3937 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2403},	//3938 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2404},	//3939 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2405},	//3940 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2406},	//3941 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2407},	//3942 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2408},	//3943 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2409},	//3944 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2410},	//3945 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2411},	//3946 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2412},	//3947 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2413},	//3948 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2414},	//3949 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2415},	//3950 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2416},	//3951 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2417},	//3952 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2418},	//3953 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2419},	//3954 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2420},	//3955 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2421},	//3956 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2422},	//3957 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2423},	//3958 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2424},	//3959 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2425},	//3960 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2426},	//3961 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2427},	//3962 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2428},	//3963 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2429},	//3964 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2430},	//3965 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2431},	//3966 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2432},	//3967 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2433},	//3968 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2434},	//3969 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2435},	//3970 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2436},	//3971 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2437},	//3972 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2438},	//3973 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2439},	//3974 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2440},	//3975 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2441},	//3976 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2442},	//3977 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2443},	//3978 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2444},	//3979 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2445},	//3980 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2446},	//3981 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2447},	//3982 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2448},	//3983 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2449},	//3984 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2450},	//3985 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2451},	//3986 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2452},	//3987 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2453},	//3988 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2454},	//3989 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2455},	//3990 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2456},	//3991 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2457},	//3992 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2458},	//3993 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2459},	//3994 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2460},	//3995 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2461},	//3996 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2462},	//3997 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2463},	//3998 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2464},	//3999 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2465},	//4000 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2466},	//4001 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2467},	//4002 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2468},	//4003 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2469},	//4004 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2470},	//4005 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2471},	//4006 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2472},	//4007 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2473},	//4008 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2474},	//4009 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2475},	//4010 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2476},	//4011 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2477},	//4012 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2478},	//4013 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2479},	//4014 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2480},	//4015 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2481},	//4016 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2482},	//4017 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2483},	//4018 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2484},	//4019 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2485},	//4020 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2486},	//4021 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2487},	//4022 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2488},	//4023 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2489},	//4024 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2490},	//4025 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2491},	//4026 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2492},	//4027 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2493},	//4028 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2494},	//4029 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2495},	//4030 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2496},	//4031 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2497},	//4032 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2498},	//4033 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2499},	//4034 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2500},	//4035 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2501},	//4036 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2502},	//4037 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2503},	//4038 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2504},	//4039 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2505},	//4040 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2506},	//4041 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2507},	//4042 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2508},	//4043 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2509},	//4044 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2510},	//4045 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2511},	//4046 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2512},	//4047 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2513},	//4048 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2514},	//4049 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2515},	//4050 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2516},	//4051 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2517},	//4052 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2518},	//4053 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2519},	//4054 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2520},	//4055 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2521},	//4056 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2522},	//4057 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2523},	//4058 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2524},	//4059 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2525},	//4060 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2526},	//4061 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2527},	//4062 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2528},	//4063 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2529},	//4064 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2530},	//4065 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2531},	//4066 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2532},	//4067 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2533},	//4068 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2534},	//4069 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2535},	//4070 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2536},	//4071 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2537},	//4072 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2538},	//4073 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2539},	//4074 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2540},	//4075 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2541},	//4076 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2542},	//4077 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2543},	//4078 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2544},	//4079 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2545},	//4080 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2546},	//4081 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2547},	//4082 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2548},	//4083 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2549},	//4084 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2550},	//4085 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2551},	//4086 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2552},	//4087 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2553},	//4088 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2554},	//4089 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2555},	//4090 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2556},	//4091 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2557},	//4092 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2558},	//4093 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2559},	//4094 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2560},	//4095 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2561},	//4096 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2562},	//4097 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2563},	//4098 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2564},	//4099 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2565},	//4100 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2566},	//4101 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2567},	//4102 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2568},	//4103 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2569},	//4104 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2570},	//4105 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2571},	//4106 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2572},	//4107 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2573},	//4108 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2574},	//4109 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2575},	//4110 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2576},	//4111 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2577},	//4112 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2578},	//4113 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2579},	//4114 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2580},	//4115 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2581},	//4116 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2582},	//4117 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2583},	//4118 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2584},	//4119 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2585},	//4120 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2586},	//4121 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2587},	//4122 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2588},	//4123 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2589},	//4124 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2590},	//4125 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2591},	//4126 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2592},	//4127 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2593},	//4128 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2594},	//4129 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2595},	//4130 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2596},	//4131 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2597},	//4132 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2598},	//4133 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2599},	//4134 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2600},	//4135 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2601},	//4136 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2602},	//4137 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2603},	//4138 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2604},	//4139 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2605},	//4140 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2606},	//4141 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2607},	//4142 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2608},	//4143 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2609},	//4144 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2610},	//4145 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2611},	//4146 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2612},	//4147 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2613},	//4148 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2614},	//4149 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2615},	//4150 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2616},	//4151 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2617},	//4152 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2618},	//4153 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2619},	//4154 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2620},	//4155 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2621},	//4156 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2622},	//4157 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2623},	//4158 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2624},	//4159 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2625},	//4160 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2626},	//4161 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2627},	//4162 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2628},	//4163 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2629},	//4164 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2630},	//4165 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2631},	//4166 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2632},	//4167 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2633},	//4168 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2634},	//4169 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2635},	//4170 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2636},	//4171 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2637},	//4172 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2638},	//4173 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2639},	//4174 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2640},	//4175 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2641},	//4176 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2642},	//4177 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2643},	//4178 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2644},	//4179 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2645},	//4180 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2646},	//4181 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2647},	//4182 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2648},	//4183 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2649},	//4184 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2650},	//4185 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2651},	//4186 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2652},	//4187 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2653},	//4188 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2654},	//4189 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2655},	//4190 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2656},	//4191 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2657},	//4192 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2658},	//4193 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2659},	//4194 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2660},	//4195 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2661},	//4196 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2662},	//4197 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2663},	//4198 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2664},	//4199 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2665},	//4200 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2666},	//4201 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2667},	//4202 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2668},	//4203 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2669},	//4204 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2670},	//4205 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2671},	//4206 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2672},	//4207 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2673},	//4208 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2674},	//4209 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2675},	//4210 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2676},	//4211 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2677},	//4212 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2678},	//4213 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2679},	//4214 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2680},	//4215 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2681},	//4216 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2682},	//4217 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2683},	//4218 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2684},	//4219 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2685},	//4220 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2686},	//4221 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2687},	//4222 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2688},	//4223 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2689},	//4224 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2690},	//4225 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2691},	//4226 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2692},	//4227 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2693},	//4228 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2694},	//4229 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2695},	//4230 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2696},	//4231 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2697},	//4232 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2698},	//4233 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2699},	//4234 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2700},	//4235 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2701},	//4236 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2702},	//4237 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2703},	//4238 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2704},	//4239 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2705},	//4240 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2706},	//4241 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2707},	//4242 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2708},	//4243 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2709},	//4244 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2710},	//4245 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2711},	//4246 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2712},	//4247 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2713},	//4248 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2714},	//4249 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2715},	//4250 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2716},	//4251 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2717},	//4252 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2718},	//4253 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2719},	//4254 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2720},	//4255 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2721},	//4256 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2722},	//4257 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2723},	//4258 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2724},	//4259 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2725},	//4260 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2726},	//4261 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2727},	//4262 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2728},	//4263 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2729},	//4264 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2730},	//4265 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2731},	//4266 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2732},	//4267 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2733},	//4268 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2734},	//4269 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2735},	//4270 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2736},	//4271 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2737},	//4272 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2738},	//4273 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2739},	//4274 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2740},	//4275 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2741},	//4276 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2742},	//4277 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2743},	//4278 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2744},	//4279 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2745},	//4280 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2746},	//4281 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2747},	//4282 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2748},	//4283 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2749},	//4284 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2750},	//4285 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2751},	//4286 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2752},	//4287 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2753},	//4288 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2754},	//4289 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2755},	//4290 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2756},	//4291 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2757},	//4292 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2758},	//4293 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2759},	//4294 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2760},	//4295 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2761},	//4296 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2762},	//4297 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2763},	//4298 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2764},	//4299 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2765},	//4300 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2766},	//4301 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2767},	//4302 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2768},	//4303 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2769},	//4304 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2770},	//4305 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2771},	//4306 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2772},	//4307 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2773},	//4308 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2774},	//4309 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2775},	//4310 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2776},	//4311 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2777},	//4312 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2778},	//4313 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2779},	//4314 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2780},	//4315 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2781},	//4316 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2782},	//4317 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2783},	//4318 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2784},	//4319 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2785},	//4320 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2786},	//4321 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2787},	//4322 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2788},	//4323 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2789},	//4324 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2790},	//4325 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2791},	//4326 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2792},	//4327 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2793},	//4328 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2794},	//4329 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2795},	//4330 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2796},	//4331 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2797},	//4332 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2798},	//4333 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2799},	//4334 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2800},	//4335 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2801},	//4336 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2802},	//4337 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2803},	//4338 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2804},	//4339 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2805},	//4340 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2806},	//4341 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2807},	//4342 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2808},	//4343 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2809},	//4344 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2810},	//4345 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2811},	//4346 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2812},	//4347 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2813},	//4348 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2814},	//4349 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2815},	//4350 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2816},	//4351 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2817},	//4352 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2818},	//4353 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2819},	//4354 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2820},	//4355 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2821},	//4356 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2822},	//4357 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2823},	//4358 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2824},	//4359 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2825},	//4360 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2826},	//4361 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2827},	//4362 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2828},	//4363 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2829},	//4364 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2830},	//4365 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2831},	//4366 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2832},	//4367 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2833},	//4368 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2834},	//4369 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2835},	//4370 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2836},	//4371 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2837},	//4372 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2838},	//4373 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2839},	//4374 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2840},	//4375 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2841},	//4376 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2842},	//4377 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2843},	//4378 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2844},	//4379 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2845},	//4380 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2846},	//4381 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2847},	//4382 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2848},	//4383 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2849},	//4384 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2850},	//4385 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2851},	//4386 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2852},	//4387 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2853},	//4388 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2854},	//4389 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2855},	//4390 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2856},	//4391 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2857},	//4392 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2858},	//4393 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2859},	//4394 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2860},	//4395 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2861},	//4396 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2862},	//4397 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2863},	//4398 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2864},	//4399 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2865},	//4400 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2866},	//4401 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2867},	//4402 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2868},	//4403 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2869},	//4404 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2870},	//4405 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2871},	//4406 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2872},	//4407 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2873},	//4408 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2874},	//4409 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2875},	//4410 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2876},	//4411 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2877},	//4412 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2878},	//4413 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2879},	//4414 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2880},	//4415 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2881},	//4416 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2882},	//4417 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2883},	//4418 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2884},	//4419 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2885},	//4420 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2886},	//4421 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2887},	//4422 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2888},	//4423 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2889},	//4424 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2890},	//4425 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2891},	//4426 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2892},	//4427 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2893},	//4428 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2894},	//4429 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2895},	//4430 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2896},	//4431 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2897},	//4432 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2898},	//4433 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2899},	//4434 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2900},	//4435 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2901},	//4436 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2902},	//4437 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2903},	//4438 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2904},	//4439 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2905},	//4440 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2906},	//4441 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2907},	//4442 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2908},	//4443 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2909},	//4444 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2910},	//4445 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2911},	//4446 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2912},	//4447 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2913},	//4448 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2914},	//4449 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2915},	//4450 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2916},	//4451 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2917},	//4452 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2918},	//4453 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2919},	//4454 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2920},	//4455 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2921},	//4456 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2922},	//4457 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2923},	//4458 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2924},	//4459 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2925},	//4460 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2926},	//4461 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2927},	//4462 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2928},	//4463 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2929},	//4464 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2930},	//4465 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2931},	//4466 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2932},	//4467 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2933},	//4468 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2934},	//4469 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2935},	//4470 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2936},	//4471 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2937},	//4472 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2938},	//4473 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2939},	//4474 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2940},	//4475 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2941},	//4476 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2942},	//4477 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2943},	//4478 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2944},	//4479 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2945},	//4480 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2946},	//4481 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2947},	//4482 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2948},	//4483 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2949},	//4484 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2950},	//4485 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2951},	//4486 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2952},	//4487 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2953},	//4488 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2954},	//4489 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2955},	//4490 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2956},	//4491 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2957},	//4492 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2958},	//4493 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2959},	//4494 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2960},	//4495 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2961},	//4496 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2962},	//4497 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2963},	//4498 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2964},	//4499 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2965},	//4500 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2966},	//4501 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2967},	//4502 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2968},	//4503 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2969},	//4504 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2970},	//4505 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2971},	//4506 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2972},	//4507 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2973},	//4508 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2974},	//4509 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2975},	//4510 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2976},	//4511 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2977},	//4512 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2978},	//4513 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2979},	//4514 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2980},	//4515 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2981},	//4516 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2982},	//4517 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2983},	//4518 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2984},	//4519 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2985},	//4520 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2986},	//4521 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2987},	//4522 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2988},	//4523 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2989},	//4524 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2990},	//4525 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2991},	//4526 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2992},	//4527 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2993},	//4528 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2994},	//4529 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2995},	//4530 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2996},	//4531 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2997},	//4532 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2998},	//4533 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2999},	//4534 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3000},	//4535 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3001},	//4536 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3002},	//4537 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3003},	//4538 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3004},	//4539 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3005},	//4540 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3006},	//4541 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3007},	//4542 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3008},	//4543 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3009},	//4544 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3010},	//4545 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3011},	//4546 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3012},	//4547 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3013},	//4548 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3014},	//4549 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3015},	//4550 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3016},	//4551 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3017},	//4552 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3018},	//4553 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3019},	//4554 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3020},	//4555 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3021},	//4556 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3022},	//4557 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3023},	//4558 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3024},	//4559 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3025},	//4560 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3026},	//4561 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3027},	//4562 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3028},	//4563 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3029},	//4564 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3030},	//4565 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3031},	//4566 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3032},	//4567 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3033},	//4568 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3034},	//4569 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3035},	//4570 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3036},	//4571 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3037},	//4572 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3038},	//4573 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3039},	//4574 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3040},	//4575 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3041},	//4576 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3042},	//4577 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3043},	//4578 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3044},	//4579 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3045},	//4580 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3046},	//4581 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3047},	//4582 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3048},	//4583 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3049},	//4584 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3050},	//4585 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3051},	//4586 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3052},	//4587 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3053},	//4588 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3054},	//4589 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3055},	//4590 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3056},	//4591 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3057},	//4592 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3058},	//4593 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3059},	//4594 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3060},	//4595 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3061},	//4596 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3062},	//4597 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3063},	//4598 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3064},	//4599 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3065},	//4600 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3066},	//4601 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3067},	//4602 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3068},	//4603 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3069},	//4604 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3070},	//4605 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3071},	//4606 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3072},	//4607 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3073},	//4608 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3074},	//4609 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3075},	//4610 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3076},	//4611 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3077},	//4612 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3078},	//4613 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3079},	//4614 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3080},	//4615 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3081},	//4616 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3082},	//4617 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3083},	//4618 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3084},	//4619 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3085},	//4620 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3086},	//4621 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3087},	//4622 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3088},	//4623 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3089},	//4624 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3090},	//4625 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3091},	//4626 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3092},	//4627 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3093},	//4628 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3094},	//4629 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3095},	//4630 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3096},	//4631 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3097},	//4632 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3098},	//4633 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3099},	//4634 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3100},	//4635 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3101},	//4636 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3102},	//4637 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3103},	//4638 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3104},	//4639 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3105},	//4640 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3106},	//4641 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3107},	//4642 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3108},	//4643 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3109},	//4644 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3110},	//4645 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3111},	//4646 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3112},	//4647 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3113},	//4648 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3114},	//4649 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3115},	//4650 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3116},	//4651 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3117},	//4652 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3118},	//4653 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3119},	//4654 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3120},	//4655 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3121},	//4656 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3122},	//4657 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3123},	//4658 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3124},	//4659 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3125},	//4660 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3126},	//4661 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3127},	//4662 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3128},	//4663 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3129},	//4664 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3130},	//4665 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3131},	//4666 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3132},	//4667 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3133},	//4668 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3134},	//4669 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3135},	//4670 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3136},	//4671 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3137},	//4672 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3138},	//4673 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3139},	//4674 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3140},	//4675 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3141},	//4676 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3142},	//4677 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3143},	//4678 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3144},	//4679 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3145},	//4680 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3146},	//4681 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3147},	//4682 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3148},	//4683 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3149},	//4684 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3150},	//4685 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3151},	//4686 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3152},	//4687 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3153},	//4688 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3154},	//4689 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3155},	//4690 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3156},	//4691 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3157},	//4692 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3158},	//4693 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3159},	//4694 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3160},	//4695 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3161},	//4696 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3162},	//4697 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3163},	//4698 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3164},	//4699 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3165},	//4700 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3166},	//4701 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3167},	//4702 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3168},	//4703 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3169},	//4704 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3170},	//4705 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3171},	//4706 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3172},	//4707 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3173},	//4708 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3174},	//4709 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3175},	//4710 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3176},	//4711 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3177},	//4712 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3178},	//4713 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3179},	//4714 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3180},	//4715 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3181},	//4716 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3182},	//4717 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3183},	//4718 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3184},	//4719 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3185},	//4720 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3186},	//4721 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3187},	//4722 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3188},	//4723 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3189},	//4724 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3190},	//4725 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3191},	//4726 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3192},	//4727 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3193},	//4728 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3194},	//4729 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3195},	//4730 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3196},	//4731 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3197},	//4732 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3198},	//4733 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3199},	//4734 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3200},	//4735 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3201},	//4736 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3202},	//4737 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3203},	//4738 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3204},	//4739 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3205},	//4740 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3206},	//4741 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3207},	//4742 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3208},	//4743 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3209},	//4744 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3210},	//4745 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3211},	//4746 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3212},	//4747 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3213},	//4748 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3214},	//4749 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3215},	//4750 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3216},	//4751 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3217},	//4752 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3218},	//4753 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3219},	//4754 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3220},	//4755 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3221},	//4756 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3222},	//4757 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3223},	//4758 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3224},	//4759 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3225},	//4760 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3226},	//4761 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3227},	//4762 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3228},	//4763 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3229},	//4764 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3230},	//4765 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3231},	//4766 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3232},	//4767 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3233},	//4768 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3234},	//4769 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3235},	//4770 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3236},	//4771 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3237},	//4772 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3238},	//4773 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3239},	//4774 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3240},	//4775 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3241},	//4776 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3242},	//4777 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3243},	//4778 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3244},	//4779 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3245},	//4780 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3246},	//4781 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3247},	//4782 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3248},	//4783 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3249},	//4784 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3250},	//4785 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3251},	//4786 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3252},	//4787 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3253},	//4788 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3254},	//4789 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3255},	//4790 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3256},	//4791 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3257},	//4792 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3258},	//4793 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3259},	//4794 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3260},	//4795 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3261},	//4796 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3262},	//4797 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3263},	//4798 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3264},	//4799 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3265},	//4800 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3266},	//4801 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3267},	//4802 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3268},	//4803 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3269},	//4804 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3270},	//4805 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3271},	//4806 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3272},	//4807 QsciScintillaBase::SCLEX_SML (enum)
    {75, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3273},	//4808 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {75, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3274},	//4809 QsciScintillaBase::SCLEX_NULL (enum)
    {75, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3275},	//4810 QsciScintillaBase::SCLEX_PYTHON (enum)
    {75, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3276},	//4811 QsciScintillaBase::SCLEX_CPP (enum)
    {75, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3277},	//4812 QsciScintillaBase::SCLEX_HTML (enum)
    {75, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3278},	//4813 QsciScintillaBase::SCLEX_XML (enum)
    {75, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3279},	//4814 QsciScintillaBase::SCLEX_PERL (enum)
    {75, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3280},	//4815 QsciScintillaBase::SCLEX_SQL (enum)
    {75, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3281},	//4816 QsciScintillaBase::SCLEX_VB (enum)
    {75, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3282},	//4817 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3283},	//4818 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {75, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3284},	//4819 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {75, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3285},	//4820 QsciScintillaBase::SCLEX_BATCH (enum)
    {75, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3286},	//4821 QsciScintillaBase::SCLEX_LATEX (enum)
    {75, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3287},	//4822 QsciScintillaBase::SCLEX_LUA (enum)
    {75, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3288},	//4823 QsciScintillaBase::SCLEX_DIFF (enum)
    {75, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3289},	//4824 QsciScintillaBase::SCLEX_CONF (enum)
    {75, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3290},	//4825 QsciScintillaBase::SCLEX_PASCAL (enum)
    {75, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3291},	//4826 QsciScintillaBase::SCLEX_AVE (enum)
    {75, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3292},	//4827 QsciScintillaBase::SCLEX_ADA (enum)
    {75, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3293},	//4828 QsciScintillaBase::SCLEX_LISP (enum)
    {75, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3294},	//4829 QsciScintillaBase::SCLEX_RUBY (enum)
    {75, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3295},	//4830 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {75, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3296},	//4831 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {75, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3297},	//4832 QsciScintillaBase::SCLEX_TCL (enum)
    {75, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3298},	//4833 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {75, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3299},	//4834 QsciScintillaBase::SCLEX_BULLANT (enum)
    {75, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3300},	//4835 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {75, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3301},	//4836 QsciScintillaBase::SCLEX_ASP (enum)
    {75, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3302},	//4837 QsciScintillaBase::SCLEX_PHP (enum)
    {75, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3303},	//4838 QsciScintillaBase::SCLEX_BAAN (enum)
    {75, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3304},	//4839 QsciScintillaBase::SCLEX_MATLAB (enum)
    {75, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3305},	//4840 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {75, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3306},	//4841 QsciScintillaBase::SCLEX_ASM (enum)
    {75, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3307},	//4842 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {75, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3308},	//4843 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {75, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3309},	//4844 QsciScintillaBase::SCLEX_F77 (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3310},	//4845 QsciScintillaBase::SCLEX_CSS (enum)
    {75, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3311},	//4846 QsciScintillaBase::SCLEX_POV (enum)
    {75, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3312},	//4847 QsciScintillaBase::SCLEX_LOUT (enum)
    {75, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3313},	//4848 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {75, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3314},	//4849 QsciScintillaBase::SCLEX_PS (enum)
    {75, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3315},	//4850 QsciScintillaBase::SCLEX_NSIS (enum)
    {75, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3316},	//4851 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {75, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3317},	//4852 QsciScintillaBase::SCLEX_CLW (enum)
    {75, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3318},	//4853 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {75, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3319},	//4854 QsciScintillaBase::SCLEX_LOT (enum)
    {75, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3320},	//4855 QsciScintillaBase::SCLEX_YAML (enum)
    {75, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3321},	//4856 QsciScintillaBase::SCLEX_TEX (enum)
    {75, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3322},	//4857 QsciScintillaBase::SCLEX_METAPOST (enum)
    {75, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3323},	//4858 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {75, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3324},	//4859 QsciScintillaBase::SCLEX_FORTH (enum)
    {75, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3325},	//4860 QsciScintillaBase::SCLEX_ERLANG (enum)
    {75, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3326},	//4861 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {75, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3327},	//4862 QsciScintillaBase::SCLEX_MSSQL (enum)
    {75, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3328},	//4863 QsciScintillaBase::SCLEX_VERILOG (enum)
    {75, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3329},	//4864 QsciScintillaBase::SCLEX_KIX (enum)
    {75, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3330},	//4865 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {75, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3331},	//4866 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {75, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3332},	//4867 QsciScintillaBase::SCLEX_AU3 (enum)
    {75, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3333},	//4868 QsciScintillaBase::SCLEX_APDL (enum)
    {75, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3334},	//4869 QsciScintillaBase::SCLEX_BASH (enum)
    {75, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3335},	//4870 QsciScintillaBase::SCLEX_ASN1 (enum)
    {75, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3336},	//4871 QsciScintillaBase::SCLEX_VHDL (enum)
    {75, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3337},	//4872 QsciScintillaBase::SCLEX_CAML (enum)
    {75, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3338},	//4873 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {75, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3339},	//4874 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {75, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3340},	//4875 QsciScintillaBase::SCLEX_HASKELL (enum)
    {75, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3341},	//4876 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {75, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3342},	//4877 QsciScintillaBase::SCLEX_TADS3 (enum)
    {75, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3343},	//4878 QsciScintillaBase::SCLEX_REBOL (enum)
    {75, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3344},	//4879 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {75, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3345},	//4880 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3346},	//4881 QsciScintillaBase::SCLEX_CSOUND (enum)
    {75, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3347},	//4882 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {75, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3348},	//4883 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {75, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3349},	//4884 QsciScintillaBase::SCLEX_OPAL (enum)
    {75, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3350},	//4885 QsciScintillaBase::SCLEX_SPICE (enum)
    {75, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3351},	//4886 QsciScintillaBase::SCLEX_D (enum)
    {75, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3352},	//4887 QsciScintillaBase::SCLEX_CMAKE (enum)
    {75, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3353},	//4888 QsciScintillaBase::SCLEX_GAP (enum)
    {75, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3354},	//4889 QsciScintillaBase::SCLEX_PLM (enum)
    {75, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3355},	//4890 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {75, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3356},	//4891 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {75, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3357},	//4892 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {75, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3358},	//4893 QsciScintillaBase::SCLEX_R (enum)
    {75, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3359},	//4894 QsciScintillaBase::SCLEX_MAGIK (enum)
    {75, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3360},	//4895 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {75, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3361},	//4896 QsciScintillaBase::SCLEX_MYSQL (enum)
    {75, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3362},	//4897 QsciScintillaBase::SCLEX_PO (enum)
    {75, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3363},	//4898 QsciScintillaBase::SCLEX_TAL (enum)
    {75, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3364},	//4899 QsciScintillaBase::SCLEX_COBOL (enum)
    {75, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3365},	//4900 QsciScintillaBase::SCLEX_TACL (enum)
    {75, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3366},	//4901 QsciScintillaBase::SCLEX_SORCUS (enum)
    {75, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3367},	//4902 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {75, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3368},	//4903 QsciScintillaBase::SCLEX_NIMROD (enum)
    {75, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3369},	//4904 QsciScintillaBase::SCLEX_SML (enum)
    {75, 1287, 0, 0, Smoke::mf_dtor, 0, 3370 },	//4905 QsciScintillaBase::~QsciScintillaBase()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    4891,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    4827,  // QsciScintillaBase::SCLEX_ADA
    0,
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    4868,  // QsciScintillaBase::SCLEX_APDL
    0,
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    4841,  // QsciScintillaBase::SCLEX_ASM
    0,
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    4870,  // QsciScintillaBase::SCLEX_ASN1
    0,
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    4836,  // QsciScintillaBase::SCLEX_ASP
    0,
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    4892,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    4867,  // QsciScintillaBase::SCLEX_AU3
    0,
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    4826,  // QsciScintillaBase::SCLEX_AVE
    0,
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    4838,  // QsciScintillaBase::SCLEX_BAAN
    0,
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    4869,  // QsciScintillaBase::SCLEX_BASH
    0,
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    4820,  // QsciScintillaBase::SCLEX_BATCH
    0,
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    4873,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    4834,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    4872,  // QsciScintillaBase::SCLEX_CAML
    0,
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    4852,  // QsciScintillaBase::SCLEX_CLW
    0,
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    4853,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    4887,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    4899,  // QsciScintillaBase::SCLEX_COBOL
    0,
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    4824,  // QsciScintillaBase::SCLEX_CONF
    0,
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    4808,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    4811,  // QsciScintillaBase::SCLEX_CPP
    0,
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    4842,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    4881,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    4845,  // QsciScintillaBase::SCLEX_CSS
    0,
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    4886,  // QsciScintillaBase::SCLEX_D
    0,
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    4823,  // QsciScintillaBase::SCLEX_DIFF
    0,
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    4830,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    4831,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    4860,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    4818,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    4848,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    4844,  // QsciScintillaBase::SCLEX_F77
    0,
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    4880,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    4859,  // QsciScintillaBase::SCLEX_FORTH
    0,
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    4843,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    4882,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    4888,  // QsciScintillaBase::SCLEX_GAP
    0,
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    4865,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    4875,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    4812,  // QsciScintillaBase::SCLEX_HTML
    0,
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    4883,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    4864,  // QsciScintillaBase::SCLEX_KIX
    0,
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    4821,  // QsciScintillaBase::SCLEX_LATEX
    0,
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    4828,  // QsciScintillaBase::SCLEX_LISP
    0,
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    4854,  // QsciScintillaBase::SCLEX_LOT
    0,
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    4847,  // QsciScintillaBase::SCLEX_LOUT
    0,
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    4822,  // QsciScintillaBase::SCLEX_LUA
    0,
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    4894,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    4819,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    4839,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    4857,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    4851,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    4862,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    4896,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    4903,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    4833,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    4850,  // QsciScintillaBase::SCLEX_NSIS
    0,
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    4809,  // QsciScintillaBase::SCLEX_NULL
    0,
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    4861,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    4884,  // QsciScintillaBase::SCLEX_OPAL
    0,
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    4825,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    4814,  // QsciScintillaBase::SCLEX_PERL
    0,
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    4837,  // QsciScintillaBase::SCLEX_PHP
    0,
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    4876,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    4889,  // QsciScintillaBase::SCLEX_PLM
    0,
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    4897,  // QsciScintillaBase::SCLEX_PO
    0,
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    4846,  // QsciScintillaBase::SCLEX_POV
    0,
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    4858,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    4902,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    4895,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    4890,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    4817,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    4849,  // QsciScintillaBase::SCLEX_PS
    0,
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    4874,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    4810,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    4893,  // QsciScintillaBase::SCLEX_R
    0,
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    4878,  // QsciScintillaBase::SCLEX_REBOL
    0,
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    4829,  // QsciScintillaBase::SCLEX_RUBY
    0,
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    4840,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    4879,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    4904,  // QsciScintillaBase::SCLEX_SML
    0,
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    4901,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    4866,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    4885,  // QsciScintillaBase::SCLEX_SPICE
    0,
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    4815,  // QsciScintillaBase::SCLEX_SQL
    0,
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    4900,  // QsciScintillaBase::SCLEX_TACL
    0,
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    4877,  // QsciScintillaBase::SCLEX_TADS3
    0,
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    4898,  // QsciScintillaBase::SCLEX_TAL
    0,
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    4832,  // QsciScintillaBase::SCLEX_TCL
    0,
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    4856,  // QsciScintillaBase::SCLEX_TEX
    0,
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    4816,  // QsciScintillaBase::SCLEX_VB
    0,
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    4835,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    4863,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    4871,  // QsciScintillaBase::SCLEX_VHDL
    0,
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    4813,  // QsciScintillaBase::SCLEX_XML
    0,
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    4855,  // QsciScintillaBase::SCLEX_YAML
    0,
    1548,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1550,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1551,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1605,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1553,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1556,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1545,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1546,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1547,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1549,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1449,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1450,  // QsciScintilla::markerDefine(char)
    0,
    1298,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1299,  // QsciScintilla::markerDefine(char, int)
    0,
    1411,  // QsciScintilla::setMarginWidth(int, int)
    1412,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 228, 19},	// QGlobalSpace::LicensedActiveQt
    {16, 229, 25},	// QGlobalSpace::LicensedCore
    {16, 230, 17},	// QGlobalSpace::LicensedDBus
    {16, 231, 22},	// QGlobalSpace::LicensedDeclarative
    {16, 232, 12},	// QGlobalSpace::LicensedGui
    {16, 233, 31},	// QGlobalSpace::LicensedHelp
    {16, 234, 32},	// QGlobalSpace::LicensedMultimedia
    {16, 235, 35},	// QGlobalSpace::LicensedNetwork
    {16, 236, 24},	// QGlobalSpace::LicensedOpenGL
    {16, 237, 16},	// QGlobalSpace::LicensedOpenVG
    {16, 238, 33},	// QGlobalSpace::LicensedQt3Support
    {16, 239, 14},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 240, 15},	// QGlobalSpace::LicensedScript
    {16, 241, 20},	// QGlobalSpace::LicensedScriptTools
    {16, 242, 23},	// QGlobalSpace::LicensedSql
    {16, 243, 21},	// QGlobalSpace::LicensedSvg
    {16, 244, 18},	// QGlobalSpace::LicensedTest
    {16, 245, 13},	// QGlobalSpace::LicensedXml
    {16, 246, 34},	// QGlobalSpace::LicensedXmlPatterns
    {16, 327, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 328, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 329, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 330, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 331, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 392, 28},	// QGlobalSpace::QtCriticalMsg
    {16, 393, 26},	// QGlobalSpace::QtDebugMsg
    {16, 394, 29},	// QGlobalSpace::QtFatalMsg
    {16, 395, 30},	// QGlobalSpace::QtSystemMsg
    {16, 396, 27},	// QGlobalSpace::QtWarningMsg
    {44, 333, 78},	// QsciAPIs::QsciAPIs#
    {44, 652, 79},	// QsciAPIs::add$
    {44, 664, 94},	// QsciAPIs::apiPreparationCancelled
    {44, 665, 96},	// QsciAPIs::apiPreparationFinished
    {44, 666, 95},	// QsciAPIs::apiPreparationStarted
    {44, 678, 90},	// QsciAPIs::autoCompletionSelected$
    {44, 699, 91},	// QsciAPIs::callTips?$$?
    {44, 703, 84},	// QsciAPIs::cancelPreparation
    {44, 708, 80},	// QsciAPIs::clear
    {44, 743, 85},	// QsciAPIs::defaultPreparedName
    {44, 777, 92},	// QsciAPIs::event#
    {44, 840, 93},	// QsciAPIs::installedAPIFiles
    {44, 844, 99},	// QsciAPIs::isPrepared
    {44, 845, 86},	// QsciAPIs::isPrepared$
    {44, 873, 81},	// QsciAPIs::load$
    {44, 874, 100},	// QsciAPIs::loadPrepared
    {44, 875, 87},	// QsciAPIs::loadPrepared$
    {44, 911, 71},	// QsciAPIs::metaObject
    {44, 942, 83},	// QsciAPIs::prepare
    {44, 950, 77},	// QsciAPIs::qt_metacall$$?
    {44, 952, 72},	// QsciAPIs::qt_metacast$
    {44, 968, 82},	// QsciAPIs::remove$
    {44, 978, 101},	// QsciAPIs::savePrepared
    {44, 979, 88},	// QsciAPIs::savePrepared$
    {44, 1203, 102},	// QsciAPIs::staticMetaObject
    {44, 1217, 97},	// QsciAPIs::tr$
    {44, 1218, 73},	// QsciAPIs::tr$$
    {44, 1219, 75},	// QsciAPIs::tr$$$
    {44, 1221, 98},	// QsciAPIs::trUtf8$
    {44, 1222, 74},	// QsciAPIs::trUtf8$$
    {44, 1223, 76},	// QsciAPIs::trUtf8$$$
    {44, 1228, 89},	// QsciAPIs::updateAutoCompletionList??
    {44, 1258, 103},	// QsciAPIs::~QsciAPIs
    {46, 653, 107},	// QsciCommand::alternateKey
    {46, 745, 109},	// QsciCommand::description
    {46, 852, 106},	// QsciCommand::key
    {46, 991, 105},	// QsciCommand::setAlternateKey$
    {46, 1117, 104},	// QsciCommand::setKey$
    {46, 1235, 108},	// QsciCommand::validKey$
    {46, 1259, 110},	// QsciCommand::~QsciCommand
    {47, 709, 115},	// QsciCommandSet::clearAlternateKeys
    {47, 713, 114},	// QsciCommandSet::clearKeys
    {47, 722, 113},	// QsciCommandSet::commands
    {47, 958, 116},	// QsciCommandSet::readSettings#
    {47, 959, 111},	// QsciCommandSet::readSettings#$
    {47, 1249, 117},	// QsciCommandSet::writeSettings#
    {47, 1250, 112},	// QsciCommandSet::writeSettings#$
    {48, 334, 118},	// QsciDocument::QsciDocument
    {48, 335, 119},	// QsciDocument::QsciDocument#
    {48, 928, 120},	// QsciDocument::operator=#
    {48, 1260, 121},	// QsciDocument::~QsciDocument
    {49, 336, 183},	// QsciLexer::QsciLexer
    {49, 337, 129},	// QsciLexer::QsciLexer#
    {49, 667, 133},	// QsciLexer::apis
    {49, 674, 134},	// QsciLexer::autoCompletionFillups
    {49, 682, 135},	// QsciLexer::autoCompletionWordSeparators
    {49, 684, 136},	// QsciLexer::autoIndentStyle
    {49, 688, 184},	// QsciLexer::blockEnd
    {49, 689, 137},	// QsciLexer::blockEnd$
    {49, 690, 138},	// QsciLexer::blockLookback
    {49, 691, 185},	// QsciLexer::blockStart
    {49, 692, 139},	// QsciLexer::blockStart$
    {49, 693, 186},	// QsciLexer::blockStartKeyword
    {49, 694, 140},	// QsciLexer::blockStartKeyword$
    {49, 696, 141},	// QsciLexer::braceStyle
    {49, 704, 142},	// QsciLexer::caseSensitive
    {49, 719, 143},	// QsciLexer::color$
    {49, 721, 174},	// QsciLexer::colorChanged#$
    {49, 735, 151},	// QsciLexer::defaultColor
    {49, 736, 152},	// QsciLexer::defaultColor$
    {49, 738, 153},	// QsciLexer::defaultEolFill$
    {49, 739, 154},	// QsciLexer::defaultFont
    {49, 740, 155},	// QsciLexer::defaultFont$
    {49, 741, 156},	// QsciLexer::defaultPaper
    {49, 742, 157},	// QsciLexer::defaultPaper$
    {49, 744, 148},	// QsciLexer::defaultStyle
    {49, 746, 149},	// QsciLexer::description$
    {49, 762, 158},	// QsciLexer::editor
    {49, 771, 144},	// QsciLexer::eolFill$
    {49, 773, 175},	// QsciLexer::eolFillChanged$$
    {49, 811, 145},	// QsciLexer::font$
    {49, 814, 176},	// QsciLexer::fontChanged#$
    {49, 828, 146},	// QsciLexer::indentationGuideView
    {49, 857, 147},	// QsciLexer::keywords$
    {49, 858, 130},	// QsciLexer::language
    {49, 862, 131},	// QsciLexer::lexer
    {49, 863, 132},	// QsciLexer::lexerId
    {49, 911, 122},	// QsciLexer::metaObject
    {49, 934, 150},	// QsciLexer::paper$
    {49, 936, 177},	// QsciLexer::paperChanged#$
    {49, 948, 178},	// QsciLexer::propertyChanged$$
    {49, 950, 128},	// QsciLexer::qt_metacall$$?
    {49, 952, 123},	// QsciLexer::qt_metacast$
    {49, 956, 179},	// QsciLexer::readProperties#$
    {49, 958, 187},	// QsciLexer::readSettings#
    {49, 959, 164},	// QsciLexer::readSettings#$
    {49, 964, 165},	// QsciLexer::refreshProperties
    {49, 989, 159},	// QsciLexer::setAPIs#
    {49, 1013, 169},	// QsciLexer::setAutoIndentStyle$
    {49, 1041, 189},	// QsciLexer::setColor#
    {49, 1042, 170},	// QsciLexer::setColor#$
    {49, 1046, 160},	// QsciLexer::setDefaultColor#
    {49, 1048, 161},	// QsciLexer::setDefaultFont#
    {49, 1050, 162},	// QsciLexer::setDefaultPaper#
    {49, 1062, 163},	// QsciLexer::setEditor#
    {49, 1064, 190},	// QsciLexer::setEolFill$
    {49, 1065, 171},	// QsciLexer::setEolFill$$
    {49, 1100, 191},	// QsciLexer::setFont#
    {49, 1101, 172},	// QsciLexer::setFont#$
    {49, 1156, 192},	// QsciLexer::setPaper#
    {49, 1157, 173},	// QsciLexer::setPaper#$
    {49, 1203, 193},	// QsciLexer::staticMetaObject
    {49, 1204, 166},	// QsciLexer::styleBitsNeeded
    {49, 1217, 181},	// QsciLexer::tr$
    {49, 1218, 124},	// QsciLexer::tr$$
    {49, 1219, 126},	// QsciLexer::tr$$$
    {49, 1221, 182},	// QsciLexer::trUtf8$
    {49, 1222, 125},	// QsciLexer::trUtf8$$
    {49, 1223, 127},	// QsciLexer::trUtf8$$$
    {49, 1242, 167},	// QsciLexer::wordCharacters
    {49, 1247, 180},	// QsciLexer::writeProperties#$
    {49, 1249, 188},	// QsciLexer::writeSettings#
    {49, 1250, 168},	// QsciLexer::writeSettings#$
    {49, 1261, 194},	// QsciLexer::~QsciLexer
    {50, 79, 235},	// QsciLexerBash::Backticks
    {50, 119, 226},	// QsciLexerBash::Comment
    {50, 133, 224},	// QsciLexerBash::Default
    {50, 140, 229},	// QsciLexerBash::DoubleQuotedString
    {50, 157, 225},	// QsciLexerBash::Error
    {50, 183, 236},	// QsciLexerBash::HereDocumentDelimiter
    {50, 188, 232},	// QsciLexerBash::Identifier
    {50, 209, 228},	// QsciLexerBash::Keyword
    {50, 266, 227},	// QsciLexerBash::Number
    {50, 270, 231},	// QsciLexerBash::Operator
    {50, 287, 234},	// QsciLexerBash::ParameterExpansion
    {50, 338, 222},	// QsciLexerBash::QsciLexerBash
    {50, 339, 202},	// QsciLexerBash::QsciLexerBash#
    {50, 557, 233},	// QsciLexerBash::Scalar
    {50, 574, 237},	// QsciLexerBash::SingleQuotedHereDocument
    {50, 575, 230},	// QsciLexerBash::SingleQuotedString
    {50, 696, 205},	// QsciLexerBash::braceStyle
    {50, 736, 207},	// QsciLexerBash::defaultColor$
    {50, 738, 208},	// QsciLexerBash::defaultEolFill$
    {50, 740, 209},	// QsciLexerBash::defaultFont$
    {50, 742, 210},	// QsciLexerBash::defaultPaper$
    {50, 746, 212},	// QsciLexerBash::description$
    {50, 798, 214},	// QsciLexerBash::foldComments
    {50, 799, 215},	// QsciLexerBash::foldCompact
    {50, 857, 211},	// QsciLexerBash::keywords$
    {50, 858, 203},	// QsciLexerBash::language
    {50, 862, 204},	// QsciLexerBash::lexer
    {50, 911, 195},	// QsciLexerBash::metaObject
    {50, 950, 201},	// QsciLexerBash::qt_metacall$$?
    {50, 952, 196},	// QsciLexerBash::qt_metacast$
    {50, 956, 218},	// QsciLexerBash::readProperties#$
    {50, 964, 213},	// QsciLexerBash::refreshProperties
    {50, 1077, 216},	// QsciLexerBash::setFoldComments$
    {50, 1079, 217},	// QsciLexerBash::setFoldCompact$
    {50, 1203, 223},	// QsciLexerBash::staticMetaObject
    {50, 1217, 220},	// QsciLexerBash::tr$
    {50, 1218, 197},	// QsciLexerBash::tr$$
    {50, 1219, 199},	// QsciLexerBash::tr$$$
    {50, 1221, 221},	// QsciLexerBash::trUtf8$
    {50, 1222, 198},	// QsciLexerBash::trUtf8$$
    {50, 1223, 200},	// QsciLexerBash::trUtf8$$$
    {50, 1242, 206},	// QsciLexerBash::wordCharacters
    {50, 1247, 219},	// QsciLexerBash::writeProperties#$
    {50, 1262, 238},	// QsciLexerBash::~QsciLexerBash
    {51, 119, 262},	// QsciLexerBatch::Comment
    {51, 133, 261},	// QsciLexerBatch::Default
    {51, 162, 266},	// QsciLexerBatch::ExternalCommand
    {51, 184, 265},	// QsciLexerBatch::HideCommandChar
    {51, 209, 263},	// QsciLexerBatch::Keyword
    {51, 218, 264},	// QsciLexerBatch::Label
    {51, 270, 268},	// QsciLexerBatch::Operator
    {51, 340, 259},	// QsciLexerBatch::QsciLexerBatch
    {51, 341, 246},	// QsciLexerBatch::QsciLexerBatch#
    {51, 634, 267},	// QsciLexerBatch::Variable
    {51, 704, 250},	// QsciLexerBatch::caseSensitive
    {51, 736, 251},	// QsciLexerBatch::defaultColor$
    {51, 738, 252},	// QsciLexerBatch::defaultEolFill$
    {51, 740, 253},	// QsciLexerBatch::defaultFont$
    {51, 742, 254},	// QsciLexerBatch::defaultPaper$
    {51, 746, 256},	// QsciLexerBatch::description$
    {51, 857, 255},	// QsciLexerBatch::keywords$
    {51, 858, 247},	// QsciLexerBatch::language
    {51, 862, 248},	// QsciLexerBatch::lexer
    {51, 911, 239},	// QsciLexerBatch::metaObject
    {51, 950, 245},	// QsciLexerBatch::qt_metacall$$?
    {51, 952, 240},	// QsciLexerBatch::qt_metacast$
    {51, 1203, 260},	// QsciLexerBatch::staticMetaObject
    {51, 1217, 257},	// QsciLexerBatch::tr$
    {51, 1218, 241},	// QsciLexerBatch::tr$$
    {51, 1219, 243},	// QsciLexerBatch::tr$$$
    {51, 1221, 258},	// QsciLexerBatch::trUtf8$
    {51, 1222, 242},	// QsciLexerBatch::trUtf8$$
    {51, 1223, 244},	// QsciLexerBatch::trUtf8$$$
    {51, 1242, 249},	// QsciLexerBatch::wordCharacters
    {51, 1263, 269},	// QsciLexerBatch::~QsciLexerBatch
    {52, 82, 304},	// QsciLexerCMake::BlockForeach
    {52, 83, 305},	// QsciLexerCMake::BlockIf
    {52, 84, 306},	// QsciLexerCMake::BlockMacro
    {52, 85, 303},	// QsciLexerCMake::BlockWhile
    {52, 119, 295},	// QsciLexerCMake::Comment
    {52, 133, 294},	// QsciLexerCMake::Default
    {52, 168, 299},	// QsciLexerCMake::Function
    {52, 213, 302},	// QsciLexerCMake::KeywordSet3
    {52, 218, 301},	// QsciLexerCMake::Label
    {52, 266, 308},	// QsciLexerCMake::Number
    {52, 342, 292},	// QsciLexerCMake::QsciLexerCMake
    {52, 343, 277},	// QsciLexerCMake::QsciLexerCMake#
    {52, 589, 296},	// QsciLexerCMake::String
    {52, 590, 297},	// QsciLexerCMake::StringLeftQuote
    {52, 591, 298},	// QsciLexerCMake::StringRightQuote
    {52, 593, 307},	// QsciLexerCMake::StringVariable
    {52, 634, 300},	// QsciLexerCMake::Variable
    {52, 736, 280},	// QsciLexerCMake::defaultColor$
    {52, 740, 281},	// QsciLexerCMake::defaultFont$
    {52, 742, 282},	// QsciLexerCMake::defaultPaper$
    {52, 746, 284},	// QsciLexerCMake::description$
    {52, 796, 286},	// QsciLexerCMake::foldAtElse
    {52, 857, 283},	// QsciLexerCMake::keywords$
    {52, 858, 278},	// QsciLexerCMake::language
    {52, 862, 279},	// QsciLexerCMake::lexer
    {52, 911, 270},	// QsciLexerCMake::metaObject
    {52, 950, 276},	// QsciLexerCMake::qt_metacall$$?
    {52, 952, 271},	// QsciLexerCMake::qt_metacast$
    {52, 956, 288},	// QsciLexerCMake::readProperties#$
    {52, 964, 285},	// QsciLexerCMake::refreshProperties
    {52, 1073, 287},	// QsciLexerCMake::setFoldAtElse$
    {52, 1203, 293},	// QsciLexerCMake::staticMetaObject
    {52, 1217, 290},	// QsciLexerCMake::tr$
    {52, 1218, 272},	// QsciLexerCMake::tr$$
    {52, 1219, 274},	// QsciLexerCMake::tr$$$
    {52, 1221, 291},	// QsciLexerCMake::trUtf8$
    {52, 1222, 273},	// QsciLexerCMake::trUtf8$$
    {52, 1223, 275},	// QsciLexerCMake::trUtf8$$$
    {52, 1247, 289},	// QsciLexerCMake::writeProperties#$
    {52, 1264, 309},	// QsciLexerCMake::~QsciLexerCMake
    {53, 119, 356},	// QsciLexerCPP::Comment
    {53, 121, 358},	// QsciLexerCPP::CommentDoc
    {53, 122, 372},	// QsciLexerCPP::CommentDocKeyword
    {53, 123, 373},	// QsciLexerCPP::CommentDocKeywordError
    {53, 124, 357},	// QsciLexerCPP::CommentLine
    {53, 125, 370},	// QsciLexerCPP::CommentLineDoc
    {53, 133, 355},	// QsciLexerCPP::Default
    {53, 140, 361},	// QsciLexerCPP::DoubleQuotedString
    {53, 171, 374},	// QsciLexerCPP::GlobalClass
    {53, 188, 366},	// QsciLexerCPP::Identifier
    {53, 209, 360},	// QsciLexerCPP::Keyword
    {53, 212, 371},	// QsciLexerCPP::KeywordSet2
    {53, 266, 359},	// QsciLexerCPP::Number
    {53, 270, 365},	// QsciLexerCPP::Operator
    {53, 305, 364},	// QsciLexerCPP::PreProcessor
    {53, 344, 349},	// QsciLexerCPP::QsciLexerCPP
    {53, 345, 350},	// QsciLexerCPP::QsciLexerCPP#
    {53, 346, 317},	// QsciLexerCPP::QsciLexerCPP#$
    {53, 404, 369},	// QsciLexerCPP::Regex
    {53, 575, 362},	// QsciLexerCPP::SingleQuotedString
    {53, 618, 363},	// QsciLexerCPP::UUID
    {53, 619, 367},	// QsciLexerCPP::UnclosedString
    {53, 635, 368},	// QsciLexerCPP::VerbatimString
    {53, 682, 320},	// QsciLexerCPP::autoCompletionWordSeparators
    {53, 688, 351},	// QsciLexerCPP::blockEnd
    {53, 689, 321},	// QsciLexerCPP::blockEnd$
    {53, 691, 352},	// QsciLexerCPP::blockStart
    {53, 692, 322},	// QsciLexerCPP::blockStart$
    {53, 693, 353},	// QsciLexerCPP::blockStartKeyword
    {53, 694, 323},	// QsciLexerCPP::blockStartKeyword$
    {53, 696, 324},	// QsciLexerCPP::braceStyle
    {53, 736, 326},	// QsciLexerCPP::defaultColor$
    {53, 738, 327},	// QsciLexerCPP::defaultEolFill$
    {53, 740, 328},	// QsciLexerCPP::defaultFont$
    {53, 742, 329},	// QsciLexerCPP::defaultPaper$
    {53, 746, 331},	// QsciLexerCPP::description$
    {53, 750, 339},	// QsciLexerCPP::dollarsAllowed
    {53, 796, 333},	// QsciLexerCPP::foldAtElse
    {53, 798, 334},	// QsciLexerCPP::foldComments
    {53, 799, 335},	// QsciLexerCPP::foldCompact
    {53, 805, 336},	// QsciLexerCPP::foldPreprocessor
    {53, 857, 330},	// QsciLexerCPP::keywords$
    {53, 858, 318},	// QsciLexerCPP::language
    {53, 862, 319},	// QsciLexerCPP::lexer
    {53, 911, 310},	// QsciLexerCPP::metaObject
    {53, 950, 316},	// QsciLexerCPP::qt_metacall$$?
    {53, 952, 311},	// QsciLexerCPP::qt_metacast$
    {53, 956, 345},	// QsciLexerCPP::readProperties#$
    {53, 964, 332},	// QsciLexerCPP::refreshProperties
    {53, 1054, 338},	// QsciLexerCPP::setDollarsAllowed$
    {53, 1073, 340},	// QsciLexerCPP::setFoldAtElse$
    {53, 1077, 341},	// QsciLexerCPP::setFoldComments$
    {53, 1079, 342},	// QsciLexerCPP::setFoldCompact$
    {53, 1089, 343},	// QsciLexerCPP::setFoldPreprocessor$
    {53, 1169, 344},	// QsciLexerCPP::setStylePreprocessor$
    {53, 1203, 354},	// QsciLexerCPP::staticMetaObject
    {53, 1206, 337},	// QsciLexerCPP::stylePreprocessor
    {53, 1217, 347},	// QsciLexerCPP::tr$
    {53, 1218, 312},	// QsciLexerCPP::tr$$
    {53, 1219, 314},	// QsciLexerCPP::tr$$$
    {53, 1221, 348},	// QsciLexerCPP::trUtf8$
    {53, 1222, 313},	// QsciLexerCPP::trUtf8$$
    {53, 1223, 315},	// QsciLexerCPP::trUtf8$$$
    {53, 1242, 325},	// QsciLexerCPP::wordCharacters
    {53, 1247, 346},	// QsciLexerCPP::writeProperties#$
    {53, 1265, 375},	// QsciLexerCPP::~QsciLexerCPP
    {54, 63, 418},	// QsciLexerCSS::AtRule
    {54, 64, 422},	// QsciLexerCSS::Attribute
    {54, 96, 412},	// QsciLexerCSS::CSS1Property
    {54, 97, 421},	// QsciLexerCSS::CSS2Property
    {54, 98, 423},	// QsciLexerCSS::CSS3Property
    {54, 114, 408},	// QsciLexerCSS::ClassSelector
    {54, 119, 415},	// QsciLexerCSS::Comment
    {54, 133, 406},	// QsciLexerCSS::Default
    {54, 140, 419},	// QsciLexerCSS::DoubleQuotedString
    {54, 159, 425},	// QsciLexerCSS::ExtendedCSSProperty
    {54, 160, 426},	// QsciLexerCSS::ExtendedPseudoClass
    {54, 161, 427},	// QsciLexerCSS::ExtendedPseudoElement
    {54, 187, 416},	// QsciLexerCSS::IDSelector
    {54, 191, 417},	// QsciLexerCSS::Important
    {54, 270, 411},	// QsciLexerCSS::Operator
    {54, 310, 409},	// QsciLexerCSS::PseudoClass
    {54, 311, 424},	// QsciLexerCSS::PseudoElement
    {54, 347, 402},	// QsciLexerCSS::QsciLexerCSS
    {54, 348, 383},	// QsciLexerCSS::QsciLexerCSS#
    {54, 575, 420},	// QsciLexerCSS::SingleQuotedString
    {54, 606, 407},	// QsciLexerCSS::Tag
    {54, 621, 413},	// QsciLexerCSS::UnknownProperty
    {54, 622, 410},	// QsciLexerCSS::UnknownPseudoClass
    {54, 633, 414},	// QsciLexerCSS::Value
    {54, 688, 403},	// QsciLexerCSS::blockEnd
    {54, 689, 386},	// QsciLexerCSS::blockEnd$
    {54, 691, 404},	// QsciLexerCSS::blockStart
    {54, 692, 387},	// QsciLexerCSS::blockStart$
    {54, 736, 389},	// QsciLexerCSS::defaultColor$
    {54, 740, 390},	// QsciLexerCSS::defaultFont$
    {54, 746, 392},	// QsciLexerCSS::description$
    {54, 798, 394},	// QsciLexerCSS::foldComments
    {54, 799, 395},	// QsciLexerCSS::foldCompact
    {54, 857, 391},	// QsciLexerCSS::keywords$
    {54, 858, 384},	// QsciLexerCSS::language
    {54, 862, 385},	// QsciLexerCSS::lexer
    {54, 911, 376},	// QsciLexerCSS::metaObject
    {54, 950, 382},	// QsciLexerCSS::qt_metacall$$?
    {54, 952, 377},	// QsciLexerCSS::qt_metacast$
    {54, 956, 398},	// QsciLexerCSS::readProperties#$
    {54, 964, 393},	// QsciLexerCSS::refreshProperties
    {54, 1077, 396},	// QsciLexerCSS::setFoldComments$
    {54, 1079, 397},	// QsciLexerCSS::setFoldCompact$
    {54, 1203, 405},	// QsciLexerCSS::staticMetaObject
    {54, 1217, 400},	// QsciLexerCSS::tr$
    {54, 1218, 378},	// QsciLexerCSS::tr$$
    {54, 1219, 380},	// QsciLexerCSS::tr$$$
    {54, 1221, 401},	// QsciLexerCSS::trUtf8$
    {54, 1222, 379},	// QsciLexerCSS::trUtf8$$
    {54, 1223, 381},	// QsciLexerCSS::trUtf8$$$
    {54, 1242, 388},	// QsciLexerCSS::wordCharacters
    {54, 1247, 399},	// QsciLexerCSS::writeProperties#$
    {54, 1266, 428},	// QsciLexerCSS::~QsciLexerCSS
    {55, 349, 446},	// QsciLexerCSharp::QsciLexerCSharp
    {55, 350, 436},	// QsciLexerCSharp::QsciLexerCSharp#
    {55, 736, 438},	// QsciLexerCSharp::defaultColor$
    {55, 738, 439},	// QsciLexerCSharp::defaultEolFill$
    {55, 740, 440},	// QsciLexerCSharp::defaultFont$
    {55, 742, 441},	// QsciLexerCSharp::defaultPaper$
    {55, 746, 443},	// QsciLexerCSharp::description$
    {55, 857, 442},	// QsciLexerCSharp::keywords$
    {55, 858, 437},	// QsciLexerCSharp::language
    {55, 911, 429},	// QsciLexerCSharp::metaObject
    {55, 950, 435},	// QsciLexerCSharp::qt_metacall$$?
    {55, 952, 430},	// QsciLexerCSharp::qt_metacast$
    {55, 1203, 447},	// QsciLexerCSharp::staticMetaObject
    {55, 1217, 444},	// QsciLexerCSharp::tr$
    {55, 1218, 431},	// QsciLexerCSharp::tr$$
    {55, 1219, 433},	// QsciLexerCSharp::tr$$$
    {55, 1221, 445},	// QsciLexerCSharp::trUtf8$
    {55, 1222, 432},	// QsciLexerCSharp::trUtf8$$
    {55, 1223, 434},	// QsciLexerCSharp::trUtf8$$$
    {55, 1267, 448},	// QsciLexerCSharp::~QsciLexerCSharp
    {56, 104, 499},	// QsciLexerD::Character
    {56, 119, 488},	// QsciLexerD::Comment
    {56, 121, 490},	// QsciLexerD::CommentDoc
    {56, 122, 503},	// QsciLexerD::CommentDocKeyword
    {56, 123, 504},	// QsciLexerD::CommentDocKeywordError
    {56, 124, 489},	// QsciLexerD::CommentLine
    {56, 125, 502},	// QsciLexerD::CommentLineDoc
    {56, 127, 491},	// QsciLexerD::CommentNested
    {56, 133, 487},	// QsciLexerD::Default
    {56, 188, 501},	// QsciLexerD::Identifier
    {56, 209, 493},	// QsciLexerD::Keyword
    {56, 210, 495},	// QsciLexerD::KeywordDoc
    {56, 211, 494},	// QsciLexerD::KeywordSecondary
    {56, 266, 492},	// QsciLexerD::Number
    {56, 270, 500},	// QsciLexerD::Operator
    {56, 351, 482},	// QsciLexerD::QsciLexerD
    {56, 352, 456},	// QsciLexerD::QsciLexerD#
    {56, 589, 497},	// QsciLexerD::String
    {56, 616, 496},	// QsciLexerD::Typedefs
    {56, 619, 498},	// QsciLexerD::UnclosedString
    {56, 682, 459},	// QsciLexerD::autoCompletionWordSeparators
    {56, 688, 483},	// QsciLexerD::blockEnd
    {56, 689, 460},	// QsciLexerD::blockEnd$
    {56, 691, 484},	// QsciLexerD::blockStart
    {56, 692, 461},	// QsciLexerD::blockStart$
    {56, 693, 485},	// QsciLexerD::blockStartKeyword
    {56, 694, 462},	// QsciLexerD::blockStartKeyword$
    {56, 696, 463},	// QsciLexerD::braceStyle
    {56, 736, 465},	// QsciLexerD::defaultColor$
    {56, 738, 466},	// QsciLexerD::defaultEolFill$
    {56, 740, 467},	// QsciLexerD::defaultFont$
    {56, 742, 468},	// QsciLexerD::defaultPaper$
    {56, 746, 470},	// QsciLexerD::description$
    {56, 796, 472},	// QsciLexerD::foldAtElse
    {56, 798, 473},	// QsciLexerD::foldComments
    {56, 799, 474},	// QsciLexerD::foldCompact
    {56, 857, 469},	// QsciLexerD::keywords$
    {56, 858, 457},	// QsciLexerD::language
    {56, 862, 458},	// QsciLexerD::lexer
    {56, 911, 449},	// QsciLexerD::metaObject
    {56, 950, 455},	// QsciLexerD::qt_metacall$$?
    {56, 952, 450},	// QsciLexerD::qt_metacast$
    {56, 956, 478},	// QsciLexerD::readProperties#$
    {56, 964, 471},	// QsciLexerD::refreshProperties
    {56, 1073, 475},	// QsciLexerD::setFoldAtElse$
    {56, 1077, 476},	// QsciLexerD::setFoldComments$
    {56, 1079, 477},	// QsciLexerD::setFoldCompact$
    {56, 1203, 486},	// QsciLexerD::staticMetaObject
    {56, 1217, 480},	// QsciLexerD::tr$
    {56, 1218, 451},	// QsciLexerD::tr$$
    {56, 1219, 453},	// QsciLexerD::tr$$$
    {56, 1221, 481},	// QsciLexerD::trUtf8$
    {56, 1222, 452},	// QsciLexerD::trUtf8$$
    {56, 1223, 454},	// QsciLexerD::trUtf8$$$
    {56, 1242, 464},	// QsciLexerD::wordCharacters
    {56, 1247, 479},	// QsciLexerD::writeProperties#$
    {56, 1268, 505},	// QsciLexerD::~QsciLexerD
    {57, 118, 525},	// QsciLexerDiff::Command
    {57, 119, 524},	// QsciLexerDiff::Comment
    {57, 133, 523},	// QsciLexerDiff::Default
    {57, 181, 526},	// QsciLexerDiff::Header
    {57, 247, 529},	// QsciLexerDiff::LineAdded
    {57, 248, 530},	// QsciLexerDiff::LineChanged
    {57, 250, 528},	// QsciLexerDiff::LineRemoved
    {57, 303, 527},	// QsciLexerDiff::Position
    {57, 353, 521},	// QsciLexerDiff::QsciLexerDiff
    {57, 354, 513},	// QsciLexerDiff::QsciLexerDiff#
    {57, 736, 517},	// QsciLexerDiff::defaultColor$
    {57, 746, 518},	// QsciLexerDiff::description$
    {57, 858, 514},	// QsciLexerDiff::language
    {57, 862, 515},	// QsciLexerDiff::lexer
    {57, 911, 506},	// QsciLexerDiff::metaObject
    {57, 950, 512},	// QsciLexerDiff::qt_metacall$$?
    {57, 952, 507},	// QsciLexerDiff::qt_metacast$
    {57, 1203, 522},	// QsciLexerDiff::staticMetaObject
    {57, 1217, 519},	// QsciLexerDiff::tr$
    {57, 1218, 508},	// QsciLexerDiff::tr$$
    {57, 1219, 510},	// QsciLexerDiff::tr$$$
    {57, 1221, 520},	// QsciLexerDiff::trUtf8$
    {57, 1222, 509},	// QsciLexerDiff::trUtf8$$
    {57, 1223, 511},	// QsciLexerDiff::trUtf8$$$
    {57, 1242, 516},	// QsciLexerDiff::wordCharacters
    {57, 1269, 531},	// QsciLexerDiff::~QsciLexerDiff
    {58, 11, 581},	// QsciLexerHTML::ASPAtStart
    {58, 12, 613},	// QsciLexerHTML::ASPJavaScriptComment
    {58, 13, 615},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {58, 14, 614},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {58, 15, 612},	// QsciLexerHTML::ASPJavaScriptDefault
    {58, 16, 619},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {58, 17, 618},	// QsciLexerHTML::ASPJavaScriptKeyword
    {58, 18, 616},	// QsciLexerHTML::ASPJavaScriptNumber
    {58, 19, 623},	// QsciLexerHTML::ASPJavaScriptRegex
    {58, 20, 620},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {58, 21, 611},	// QsciLexerHTML::ASPJavaScriptStart
    {58, 22, 621},	// QsciLexerHTML::ASPJavaScriptSymbol
    {58, 23, 622},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {58, 24, 617},	// QsciLexerHTML::ASPJavaScriptWord
    {58, 25, 662},	// QsciLexerHTML::ASPPythonClassName
    {58, 26, 655},	// QsciLexerHTML::ASPPythonComment
    {58, 27, 654},	// QsciLexerHTML::ASPPythonDefault
    {58, 28, 657},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {58, 29, 663},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {58, 30, 665},	// QsciLexerHTML::ASPPythonIdentifier
    {58, 31, 659},	// QsciLexerHTML::ASPPythonKeyword
    {58, 32, 656},	// QsciLexerHTML::ASPPythonNumber
    {58, 33, 664},	// QsciLexerHTML::ASPPythonOperator
    {58, 34, 658},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {58, 35, 653},	// QsciLexerHTML::ASPPythonStart
    {58, 36, 661},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {58, 37, 660},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {58, 38, 582},	// QsciLexerHTML::ASPStart
    {58, 39, 634},	// QsciLexerHTML::ASPVBScriptComment
    {58, 40, 633},	// QsciLexerHTML::ASPVBScriptDefault
    {58, 41, 638},	// QsciLexerHTML::ASPVBScriptIdentifier
    {58, 42, 636},	// QsciLexerHTML::ASPVBScriptKeyword
    {58, 43, 635},	// QsciLexerHTML::ASPVBScriptNumber
    {58, 44, 632},	// QsciLexerHTML::ASPVBScriptStart
    {58, 45, 637},	// QsciLexerHTML::ASPVBScriptString
    {58, 46, 639},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {58, 47, 586},	// QsciLexerHTML::ASPXCComment
    {58, 64, 569},	// QsciLexerHTML::Attribute
    {58, 95, 583},	// QsciLexerHTML::CDATA
    {58, 133, 566},	// QsciLexerHTML::Default
    {58, 151, 576},	// QsciLexerHTML::Entity
    {58, 175, 575},	// QsciLexerHTML::HTMLComment
    {58, 176, 572},	// QsciLexerHTML::HTMLDoubleQuotedString
    {58, 177, 571},	// QsciLexerHTML::HTMLNumber
    {58, 178, 573},	// QsciLexerHTML::HTMLSingleQuotedString
    {58, 179, 585},	// QsciLexerHTML::HTMLValue
    {58, 196, 600},	// QsciLexerHTML::JavaScriptComment
    {58, 197, 602},	// QsciLexerHTML::JavaScriptCommentDoc
    {58, 198, 601},	// QsciLexerHTML::JavaScriptCommentLine
    {58, 199, 599},	// QsciLexerHTML::JavaScriptDefault
    {58, 200, 606},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {58, 201, 605},	// QsciLexerHTML::JavaScriptKeyword
    {58, 202, 603},	// QsciLexerHTML::JavaScriptNumber
    {58, 203, 610},	// QsciLexerHTML::JavaScriptRegex
    {58, 204, 607},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {58, 205, 598},	// QsciLexerHTML::JavaScriptStart
    {58, 206, 608},	// QsciLexerHTML::JavaScriptSymbol
    {58, 207, 609},	// QsciLexerHTML::JavaScriptUnclosedString
    {58, 208, 604},	// QsciLexerHTML::JavaScriptWord
    {58, 271, 574},	// QsciLexerHTML::OtherInTag
    {58, 272, 672},	// QsciLexerHTML::PHPComment
    {58, 273, 673},	// QsciLexerHTML::PHPCommentLine
    {58, 274, 666},	// QsciLexerHTML::PHPDefault
    {58, 275, 667},	// QsciLexerHTML::PHPDoubleQuotedString
    {58, 276, 674},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {58, 277, 669},	// QsciLexerHTML::PHPKeyword
    {58, 278, 670},	// QsciLexerHTML::PHPNumber
    {58, 279, 675},	// QsciLexerHTML::PHPOperator
    {58, 280, 668},	// QsciLexerHTML::PHPSingleQuotedString
    {58, 281, 584},	// QsciLexerHTML::PHPStart
    {58, 282, 671},	// QsciLexerHTML::PHPVariable
    {58, 312, 649},	// QsciLexerHTML::PythonClassName
    {58, 313, 642},	// QsciLexerHTML::PythonComment
    {58, 314, 641},	// QsciLexerHTML::PythonDefault
    {58, 315, 644},	// QsciLexerHTML::PythonDoubleQuotedString
    {58, 316, 650},	// QsciLexerHTML::PythonFunctionMethodName
    {58, 317, 652},	// QsciLexerHTML::PythonIdentifier
    {58, 318, 646},	// QsciLexerHTML::PythonKeyword
    {58, 319, 643},	// QsciLexerHTML::PythonNumber
    {58, 320, 651},	// QsciLexerHTML::PythonOperator
    {58, 321, 645},	// QsciLexerHTML::PythonSingleQuotedString
    {58, 322, 640},	// QsciLexerHTML::PythonStart
    {58, 323, 648},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {58, 324, 647},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {58, 355, 564},	// QsciLexerHTML::QsciLexerHTML
    {58, 356, 539},	// QsciLexerHTML::QsciLexerHTML#
    {58, 546, 597},	// QsciLexerHTML::SGMLBlockDefault
    {58, 547, 588},	// QsciLexerHTML::SGMLCommand
    {58, 548, 595},	// QsciLexerHTML::SGMLComment
    {58, 549, 587},	// QsciLexerHTML::SGMLDefault
    {58, 550, 590},	// QsciLexerHTML::SGMLDoubleQuotedString
    {58, 551, 594},	// QsciLexerHTML::SGMLEntity
    {58, 552, 592},	// QsciLexerHTML::SGMLError
    {58, 553, 589},	// QsciLexerHTML::SGMLParameter
    {58, 554, 596},	// QsciLexerHTML::SGMLParameterComment
    {58, 555, 591},	// QsciLexerHTML::SGMLSingleQuotedString
    {58, 556, 593},	// QsciLexerHTML::SGMLSpecial
    {58, 559, 580},	// QsciLexerHTML::Script
    {58, 606, 567},	// QsciLexerHTML::Tag
    {58, 620, 570},	// QsciLexerHTML::UnknownAttribute
    {58, 623, 568},	// QsciLexerHTML::UnknownTag
    {58, 624, 626},	// QsciLexerHTML::VBScriptComment
    {58, 625, 625},	// QsciLexerHTML::VBScriptDefault
    {58, 626, 630},	// QsciLexerHTML::VBScriptIdentifier
    {58, 627, 628},	// QsciLexerHTML::VBScriptKeyword
    {58, 628, 627},	// QsciLexerHTML::VBScriptNumber
    {58, 629, 624},	// QsciLexerHTML::VBScriptStart
    {58, 630, 629},	// QsciLexerHTML::VBScriptString
    {58, 631, 631},	// QsciLexerHTML::VBScriptUnclosedString
    {58, 647, 579},	// QsciLexerHTML::XMLEnd
    {58, 648, 578},	// QsciLexerHTML::XMLStart
    {58, 649, 577},	// QsciLexerHTML::XMLTagEnd
    {58, 705, 552},	// QsciLexerHTML::caseSensitiveTags
    {58, 736, 543},	// QsciLexerHTML::defaultColor$
    {58, 738, 544},	// QsciLexerHTML::defaultEolFill$
    {58, 740, 545},	// QsciLexerHTML::defaultFont$
    {58, 742, 546},	// QsciLexerHTML::defaultPaper$
    {58, 746, 548},	// QsciLexerHTML::description$
    {58, 799, 550},	// QsciLexerHTML::foldCompact
    {58, 805, 551},	// QsciLexerHTML::foldPreprocessor
    {58, 807, 554},	// QsciLexerHTML::foldScriptComments
    {58, 808, 556},	// QsciLexerHTML::foldScriptHeredocs
    {58, 857, 547},	// QsciLexerHTML::keywords$
    {58, 858, 540},	// QsciLexerHTML::language
    {58, 862, 541},	// QsciLexerHTML::lexer
    {58, 911, 532},	// QsciLexerHTML::metaObject
    {58, 950, 538},	// QsciLexerHTML::qt_metacall$$?
    {58, 952, 533},	// QsciLexerHTML::qt_metacast$
    {58, 956, 560},	// QsciLexerHTML::readProperties#$
    {58, 964, 549},	// QsciLexerHTML::refreshProperties
    {58, 1039, 559},	// QsciLexerHTML::setCaseSensitiveTags$
    {58, 1079, 557},	// QsciLexerHTML::setFoldCompact$
    {58, 1089, 558},	// QsciLexerHTML::setFoldPreprocessor$
    {58, 1093, 553},	// QsciLexerHTML::setFoldScriptComments$
    {58, 1095, 555},	// QsciLexerHTML::setFoldScriptHeredocs$
    {58, 1203, 565},	// QsciLexerHTML::staticMetaObject
    {58, 1217, 562},	// QsciLexerHTML::tr$
    {58, 1218, 534},	// QsciLexerHTML::tr$$
    {58, 1219, 536},	// QsciLexerHTML::tr$$$
    {58, 1221, 563},	// QsciLexerHTML::trUtf8$
    {58, 1222, 535},	// QsciLexerHTML::trUtf8$$
    {58, 1223, 537},	// QsciLexerHTML::trUtf8$$$
    {58, 1242, 542},	// QsciLexerHTML::wordCharacters
    {58, 1247, 561},	// QsciLexerHTML::writeProperties#$
    {58, 1270, 676},	// QsciLexerHTML::~QsciLexerHTML
    {59, 357, 691},	// QsciLexerIDL::QsciLexerIDL
    {59, 358, 684},	// QsciLexerIDL::QsciLexerIDL#
    {59, 736, 686},	// QsciLexerIDL::defaultColor$
    {59, 746, 688},	// QsciLexerIDL::description$
    {59, 857, 687},	// QsciLexerIDL::keywords$
    {59, 858, 685},	// QsciLexerIDL::language
    {59, 911, 677},	// QsciLexerIDL::metaObject
    {59, 950, 683},	// QsciLexerIDL::qt_metacall$$?
    {59, 952, 678},	// QsciLexerIDL::qt_metacast$
    {59, 1203, 692},	// QsciLexerIDL::staticMetaObject
    {59, 1217, 689},	// QsciLexerIDL::tr$
    {59, 1218, 679},	// QsciLexerIDL::tr$$
    {59, 1219, 681},	// QsciLexerIDL::tr$$$
    {59, 1221, 690},	// QsciLexerIDL::trUtf8$
    {59, 1222, 680},	// QsciLexerIDL::trUtf8$$
    {59, 1223, 682},	// QsciLexerIDL::trUtf8$$$
    {59, 1271, 693},	// QsciLexerIDL::~QsciLexerIDL
    {60, 359, 706},	// QsciLexerJava::QsciLexerJava
    {60, 360, 701},	// QsciLexerJava::QsciLexerJava#
    {60, 857, 703},	// QsciLexerJava::keywords$
    {60, 858, 702},	// QsciLexerJava::language
    {60, 911, 694},	// QsciLexerJava::metaObject
    {60, 950, 700},	// QsciLexerJava::qt_metacall$$?
    {60, 952, 695},	// QsciLexerJava::qt_metacast$
    {60, 1203, 707},	// QsciLexerJava::staticMetaObject
    {60, 1217, 704},	// QsciLexerJava::tr$
    {60, 1218, 696},	// QsciLexerJava::tr$$
    {60, 1219, 698},	// QsciLexerJava::tr$$$
    {60, 1221, 705},	// QsciLexerJava::trUtf8$
    {60, 1222, 697},	// QsciLexerJava::trUtf8$$
    {60, 1223, 699},	// QsciLexerJava::trUtf8$$$
    {60, 1272, 708},	// QsciLexerJava::~QsciLexerJava
    {61, 361, 726},	// QsciLexerJavaScript::QsciLexerJavaScript
    {61, 362, 716},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {61, 736, 718},	// QsciLexerJavaScript::defaultColor$
    {61, 738, 719},	// QsciLexerJavaScript::defaultEolFill$
    {61, 740, 720},	// QsciLexerJavaScript::defaultFont$
    {61, 742, 721},	// QsciLexerJavaScript::defaultPaper$
    {61, 746, 723},	// QsciLexerJavaScript::description$
    {61, 857, 722},	// QsciLexerJavaScript::keywords$
    {61, 858, 717},	// QsciLexerJavaScript::language
    {61, 911, 709},	// QsciLexerJavaScript::metaObject
    {61, 950, 715},	// QsciLexerJavaScript::qt_metacall$$?
    {61, 952, 710},	// QsciLexerJavaScript::qt_metacast$
    {61, 1203, 727},	// QsciLexerJavaScript::staticMetaObject
    {61, 1217, 724},	// QsciLexerJavaScript::tr$
    {61, 1218, 711},	// QsciLexerJavaScript::tr$$
    {61, 1219, 713},	// QsciLexerJavaScript::tr$$$
    {61, 1221, 725},	// QsciLexerJavaScript::trUtf8$
    {61, 1222, 712},	// QsciLexerJavaScript::trUtf8$$
    {61, 1223, 714},	// QsciLexerJavaScript::trUtf8$$$
    {61, 1273, 728},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {62, 81, 770},	// QsciLexerLua::BasicFunctions
    {62, 104, 764},	// QsciLexerLua::Character
    {62, 119, 759},	// QsciLexerLua::Comment
    {62, 128, 772},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {62, 133, 758},	// QsciLexerLua::Default
    {62, 188, 768},	// QsciLexerLua::Identifier
    {62, 209, 762},	// QsciLexerLua::Keyword
    {62, 249, 760},	// QsciLexerLua::LineComment
    {62, 251, 765},	// QsciLexerLua::LiteralString
    {62, 266, 761},	// QsciLexerLua::Number
    {62, 270, 767},	// QsciLexerLua::Operator
    {62, 308, 766},	// QsciLexerLua::Preprocessor
    {62, 363, 755},	// QsciLexerLua::QsciLexerLua
    {62, 364, 736},	// QsciLexerLua::QsciLexerLua#
    {62, 589, 763},	// QsciLexerLua::String
    {62, 592, 771},	// QsciLexerLua::StringTableMathsFunctions
    {62, 619, 769},	// QsciLexerLua::UnclosedString
    {62, 682, 739},	// QsciLexerLua::autoCompletionWordSeparators
    {62, 691, 756},	// QsciLexerLua::blockStart
    {62, 692, 740},	// QsciLexerLua::blockStart$
    {62, 696, 741},	// QsciLexerLua::braceStyle
    {62, 736, 742},	// QsciLexerLua::defaultColor$
    {62, 738, 743},	// QsciLexerLua::defaultEolFill$
    {62, 740, 744},	// QsciLexerLua::defaultFont$
    {62, 742, 745},	// QsciLexerLua::defaultPaper$
    {62, 746, 747},	// QsciLexerLua::description$
    {62, 799, 749},	// QsciLexerLua::foldCompact
    {62, 857, 746},	// QsciLexerLua::keywords$
    {62, 858, 737},	// QsciLexerLua::language
    {62, 862, 738},	// QsciLexerLua::lexer
    {62, 911, 729},	// QsciLexerLua::metaObject
    {62, 950, 735},	// QsciLexerLua::qt_metacall$$?
    {62, 952, 730},	// QsciLexerLua::qt_metacast$
    {62, 956, 751},	// QsciLexerLua::readProperties#$
    {62, 964, 748},	// QsciLexerLua::refreshProperties
    {62, 1079, 750},	// QsciLexerLua::setFoldCompact$
    {62, 1203, 757},	// QsciLexerLua::staticMetaObject
    {62, 1217, 753},	// QsciLexerLua::tr$
    {62, 1218, 731},	// QsciLexerLua::tr$$
    {62, 1219, 733},	// QsciLexerLua::tr$$$
    {62, 1221, 754},	// QsciLexerLua::trUtf8$
    {62, 1222, 732},	// QsciLexerLua::trUtf8$$
    {62, 1223, 734},	// QsciLexerLua::trUtf8$$$
    {62, 1247, 752},	// QsciLexerLua::writeProperties#$
    {62, 1274, 773},	// QsciLexerLua::~QsciLexerLua
    {63, 119, 795},	// QsciLexerMakefile::Comment
    {63, 133, 794},	// QsciLexerMakefile::Default
    {63, 157, 800},	// QsciLexerMakefile::Error
    {63, 270, 798},	// QsciLexerMakefile::Operator
    {63, 308, 796},	// QsciLexerMakefile::Preprocessor
    {63, 365, 792},	// QsciLexerMakefile::QsciLexerMakefile
    {63, 366, 781},	// QsciLexerMakefile::QsciLexerMakefile#
    {63, 607, 799},	// QsciLexerMakefile::Target
    {63, 634, 797},	// QsciLexerMakefile::Variable
    {63, 736, 785},	// QsciLexerMakefile::defaultColor$
    {63, 738, 786},	// QsciLexerMakefile::defaultEolFill$
    {63, 740, 787},	// QsciLexerMakefile::defaultFont$
    {63, 742, 788},	// QsciLexerMakefile::defaultPaper$
    {63, 746, 789},	// QsciLexerMakefile::description$
    {63, 858, 782},	// QsciLexerMakefile::language
    {63, 862, 783},	// QsciLexerMakefile::lexer
    {63, 911, 774},	// QsciLexerMakefile::metaObject
    {63, 950, 780},	// QsciLexerMakefile::qt_metacall$$?
    {63, 952, 775},	// QsciLexerMakefile::qt_metacast$
    {63, 1203, 793},	// QsciLexerMakefile::staticMetaObject
    {63, 1217, 790},	// QsciLexerMakefile::tr$
    {63, 1218, 776},	// QsciLexerMakefile::tr$$
    {63, 1219, 778},	// QsciLexerMakefile::tr$$$
    {63, 1221, 791},	// QsciLexerMakefile::trUtf8$
    {63, 1222, 777},	// QsciLexerMakefile::trUtf8$$
    {63, 1223, 779},	// QsciLexerMakefile::trUtf8$$$
    {63, 1242, 784},	// QsciLexerMakefile::wordCharacters
    {63, 1275, 801},	// QsciLexerMakefile::~QsciLexerMakefile
    {64, 80, 842},	// QsciLexerPOV::BadDirective
    {64, 119, 834},	// QsciLexerPOV::Comment
    {64, 124, 835},	// QsciLexerPOV::CommentLine
    {64, 133, 833},	// QsciLexerPOV::Default
    {64, 138, 841},	// QsciLexerPOV::Directive
    {64, 188, 838},	// QsciLexerPOV::Identifier
    {64, 215, 847},	// QsciLexerPOV::KeywordSet6
    {64, 216, 848},	// QsciLexerPOV::KeywordSet7
    {64, 217, 849},	// QsciLexerPOV::KeywordSet8
    {64, 266, 836},	// QsciLexerPOV::Number
    {64, 268, 843},	// QsciLexerPOV::ObjectsCSGAppearance
    {64, 270, 837},	// QsciLexerPOV::Operator
    {64, 306, 846},	// QsciLexerPOV::PredefinedFunctions
    {64, 307, 845},	// QsciLexerPOV::PredefinedIdentifiers
    {64, 367, 831},	// QsciLexerPOV::QsciLexerPOV
    {64, 368, 809},	// QsciLexerPOV::QsciLexerPOV#
    {64, 589, 839},	// QsciLexerPOV::String
    {64, 617, 844},	// QsciLexerPOV::TypesModifiersItems
    {64, 619, 840},	// QsciLexerPOV::UnclosedString
    {64, 696, 812},	// QsciLexerPOV::braceStyle
    {64, 736, 814},	// QsciLexerPOV::defaultColor$
    {64, 738, 815},	// QsciLexerPOV::defaultEolFill$
    {64, 740, 816},	// QsciLexerPOV::defaultFont$
    {64, 742, 817},	// QsciLexerPOV::defaultPaper$
    {64, 746, 819},	// QsciLexerPOV::description$
    {64, 798, 821},	// QsciLexerPOV::foldComments
    {64, 799, 822},	// QsciLexerPOV::foldCompact
    {64, 800, 823},	// QsciLexerPOV::foldDirectives
    {64, 857, 818},	// QsciLexerPOV::keywords$
    {64, 858, 810},	// QsciLexerPOV::language
    {64, 862, 811},	// QsciLexerPOV::lexer
    {64, 911, 802},	// QsciLexerPOV::metaObject
    {64, 950, 808},	// QsciLexerPOV::qt_metacall$$?
    {64, 952, 803},	// QsciLexerPOV::qt_metacast$
    {64, 956, 827},	// QsciLexerPOV::readProperties#$
    {64, 964, 820},	// QsciLexerPOV::refreshProperties
    {64, 1077, 824},	// QsciLexerPOV::setFoldComments$
    {64, 1079, 825},	// QsciLexerPOV::setFoldCompact$
    {64, 1081, 826},	// QsciLexerPOV::setFoldDirectives$
    {64, 1203, 832},	// QsciLexerPOV::staticMetaObject
    {64, 1217, 829},	// QsciLexerPOV::tr$
    {64, 1218, 804},	// QsciLexerPOV::tr$$
    {64, 1219, 806},	// QsciLexerPOV::tr$$$
    {64, 1221, 830},	// QsciLexerPOV::trUtf8$
    {64, 1222, 805},	// QsciLexerPOV::trUtf8$$
    {64, 1223, 807},	// QsciLexerPOV::trUtf8$$$
    {64, 1242, 813},	// QsciLexerPOV::wordCharacters
    {64, 1247, 828},	// QsciLexerPOV::writeProperties#$
    {64, 1276, 850},	// QsciLexerPOV::~QsciLexerPOV
    {65, 61, 896},	// QsciLexerPerl::Array
    {65, 78, 906},	// QsciLexerPerl::BacktickHereDocument
    {65, 79, 901},	// QsciLexerPerl::Backticks
    {65, 119, 887},	// QsciLexerPerl::Comment
    {65, 131, 902},	// QsciLexerPerl::DataSection
    {65, 133, 885},	// QsciLexerPerl::Default
    {65, 139, 905},	// QsciLexerPerl::DoubleQuotedHereDocument
    {65, 140, 891},	// QsciLexerPerl::DoubleQuotedString
    {65, 157, 886},	// QsciLexerPerl::Error
    {65, 166, 915},	// QsciLexerPerl::FormatBody
    {65, 167, 914},	// QsciLexerPerl::FormatIdentifier
    {65, 180, 897},	// QsciLexerPerl::Hash
    {65, 183, 903},	// QsciLexerPerl::HereDocumentDelimiter
    {65, 188, 894},	// QsciLexerPerl::Identifier
    {65, 209, 890},	// QsciLexerPerl::Keyword
    {65, 266, 889},	// QsciLexerPerl::Number
    {65, 270, 893},	// QsciLexerPerl::Operator
    {65, 283, 888},	// QsciLexerPerl::POD
    {65, 284, 912},	// QsciLexerPerl::PODVerbatim
    {65, 369, 883},	// QsciLexerPerl::QsciLexerPerl
    {65, 370, 858},	// QsciLexerPerl::QsciLexerPerl#
    {65, 397, 907},	// QsciLexerPerl::QuotedStringQ
    {65, 398, 908},	// QsciLexerPerl::QuotedStringQQ
    {65, 399, 910},	// QsciLexerPerl::QuotedStringQR
    {65, 400, 911},	// QsciLexerPerl::QuotedStringQW
    {65, 401, 909},	// QsciLexerPerl::QuotedStringQX
    {65, 404, 899},	// QsciLexerPerl::Regex
    {65, 557, 895},	// QsciLexerPerl::Scalar
    {65, 574, 904},	// QsciLexerPerl::SingleQuotedHereDocument
    {65, 575, 892},	// QsciLexerPerl::SingleQuotedString
    {65, 595, 913},	// QsciLexerPerl::SubroutinePrototype
    {65, 596, 900},	// QsciLexerPerl::Substitution
    {65, 602, 898},	// QsciLexerPerl::SymbolTable
    {65, 682, 861},	// QsciLexerPerl::autoCompletionWordSeparators
    {65, 696, 862},	// QsciLexerPerl::braceStyle
    {65, 736, 864},	// QsciLexerPerl::defaultColor$
    {65, 738, 865},	// QsciLexerPerl::defaultEolFill$
    {65, 740, 866},	// QsciLexerPerl::defaultFont$
    {65, 742, 867},	// QsciLexerPerl::defaultPaper$
    {65, 746, 869},	// QsciLexerPerl::description$
    {65, 798, 871},	// QsciLexerPerl::foldComments
    {65, 799, 872},	// QsciLexerPerl::foldCompact
    {65, 803, 876},	// QsciLexerPerl::foldPODBlocks
    {65, 804, 874},	// QsciLexerPerl::foldPackages
    {65, 857, 868},	// QsciLexerPerl::keywords$
    {65, 858, 859},	// QsciLexerPerl::language
    {65, 862, 860},	// QsciLexerPerl::lexer
    {65, 911, 851},	// QsciLexerPerl::metaObject
    {65, 950, 857},	// QsciLexerPerl::qt_metacall$$?
    {65, 952, 852},	// QsciLexerPerl::qt_metacast$
    {65, 956, 879},	// QsciLexerPerl::readProperties#$
    {65, 964, 870},	// QsciLexerPerl::refreshProperties
    {65, 1077, 877},	// QsciLexerPerl::setFoldComments$
    {65, 1079, 878},	// QsciLexerPerl::setFoldCompact$
    {65, 1085, 875},	// QsciLexerPerl::setFoldPODBlocks$
    {65, 1087, 873},	// QsciLexerPerl::setFoldPackages$
    {65, 1203, 884},	// QsciLexerPerl::staticMetaObject
    {65, 1217, 881},	// QsciLexerPerl::tr$
    {65, 1218, 853},	// QsciLexerPerl::tr$$
    {65, 1219, 855},	// QsciLexerPerl::tr$$$
    {65, 1221, 882},	// QsciLexerPerl::trUtf8$
    {65, 1222, 854},	// QsciLexerPerl::trUtf8$$
    {65, 1223, 856},	// QsciLexerPerl::trUtf8$$$
    {65, 1242, 863},	// QsciLexerPerl::wordCharacters
    {65, 1247, 880},	// QsciLexerPerl::writeProperties#$
    {65, 1277, 916},	// QsciLexerPerl::~QsciLexerPerl
    {66, 62, 945},	// QsciLexerProperties::Assignment
    {66, 119, 943},	// QsciLexerProperties::Comment
    {66, 133, 942},	// QsciLexerProperties::Default
    {66, 134, 946},	// QsciLexerProperties::DefaultValue
    {66, 371, 940},	// QsciLexerProperties::QsciLexerProperties
    {66, 372, 924},	// QsciLexerProperties::QsciLexerProperties#
    {66, 560, 944},	// QsciLexerProperties::Section
    {66, 736, 928},	// QsciLexerProperties::defaultColor$
    {66, 738, 929},	// QsciLexerProperties::defaultEolFill$
    {66, 740, 930},	// QsciLexerProperties::defaultFont$
    {66, 742, 931},	// QsciLexerProperties::defaultPaper$
    {66, 746, 932},	// QsciLexerProperties::description$
    {66, 799, 934},	// QsciLexerProperties::foldCompact
    {66, 858, 925},	// QsciLexerProperties::language
    {66, 862, 926},	// QsciLexerProperties::lexer
    {66, 911, 917},	// QsciLexerProperties::metaObject
    {66, 950, 923},	// QsciLexerProperties::qt_metacall$$?
    {66, 952, 918},	// QsciLexerProperties::qt_metacast$
    {66, 956, 936},	// QsciLexerProperties::readProperties#$
    {66, 964, 933},	// QsciLexerProperties::refreshProperties
    {66, 1079, 935},	// QsciLexerProperties::setFoldCompact$
    {66, 1203, 941},	// QsciLexerProperties::staticMetaObject
    {66, 1217, 938},	// QsciLexerProperties::tr$
    {66, 1218, 919},	// QsciLexerProperties::tr$$
    {66, 1219, 921},	// QsciLexerProperties::tr$$$
    {66, 1221, 939},	// QsciLexerProperties::trUtf8$
    {66, 1222, 920},	// QsciLexerProperties::trUtf8$$
    {66, 1223, 922},	// QsciLexerProperties::trUtf8$$$
    {66, 1242, 927},	// QsciLexerProperties::wordCharacters
    {66, 1247, 937},	// QsciLexerProperties::writeProperties#$
    {66, 1278, 947},	// QsciLexerProperties::~QsciLexerProperties
    {67, 113, 997},	// QsciLexerPython::ClassName
    {67, 119, 990},	// QsciLexerPython::Comment
    {67, 120, 1001},	// QsciLexerPython::CommentBlock
    {67, 132, 1004},	// QsciLexerPython::Decorator
    {67, 133, 989},	// QsciLexerPython::Default
    {67, 140, 992},	// QsciLexerPython::DoubleQuotedString
    {67, 169, 998},	// QsciLexerPython::FunctionMethodName
    {67, 186, 1003},	// QsciLexerPython::HighlightedIdentifier
    {67, 188, 1000},	// QsciLexerPython::Identifier
    {67, 193, 1006},	// QsciLexerPython::Inconsistent
    {67, 209, 994},	// QsciLexerPython::Keyword
    {67, 265, 1005},	// QsciLexerPython::NoWarning
    {67, 266, 991},	// QsciLexerPython::Number
    {67, 270, 999},	// QsciLexerPython::Operator
    {67, 373, 986},	// QsciLexerPython::QsciLexerPython
    {67, 374, 955},	// QsciLexerPython::QsciLexerPython#
    {67, 575, 993},	// QsciLexerPython::SingleQuotedString
    {67, 579, 1008},	// QsciLexerPython::Spaces
    {67, 604, 1009},	// QsciLexerPython::Tabs
    {67, 605, 1007},	// QsciLexerPython::TabsAfterSpaces
    {67, 614, 996},	// QsciLexerPython::TripleDoubleQuotedString
    {67, 615, 995},	// QsciLexerPython::TripleSingleQuotedString
    {67, 619, 1002},	// QsciLexerPython::UnclosedString
    {67, 682, 958},	// QsciLexerPython::autoCompletionWordSeparators
    {67, 690, 959},	// QsciLexerPython::blockLookback
    {67, 691, 987},	// QsciLexerPython::blockStart
    {67, 692, 960},	// QsciLexerPython::blockStart$
    {67, 696, 961},	// QsciLexerPython::braceStyle
    {67, 736, 962},	// QsciLexerPython::defaultColor$
    {67, 738, 963},	// QsciLexerPython::defaultEolFill$
    {67, 740, 964},	// QsciLexerPython::defaultFont$
    {67, 742, 965},	// QsciLexerPython::defaultPaper$
    {67, 746, 968},	// QsciLexerPython::description$
    {67, 798, 970},	// QsciLexerPython::foldComments
    {67, 806, 971},	// QsciLexerPython::foldQuotes
    {67, 828, 966},	// QsciLexerPython::indentationGuideView
    {67, 830, 972},	// QsciLexerPython::indentationWarning
    {67, 857, 967},	// QsciLexerPython::keywords$
    {67, 858, 956},	// QsciLexerPython::language
    {67, 862, 957},	// QsciLexerPython::lexer
    {67, 911, 948},	// QsciLexerPython::metaObject
    {67, 950, 954},	// QsciLexerPython::qt_metacall$$?
    {67, 952, 949},	// QsciLexerPython::qt_metacast$
    {67, 956, 982},	// QsciLexerPython::readProperties#$
    {67, 964, 969},	// QsciLexerPython::refreshProperties
    {67, 1077, 979},	// QsciLexerPython::setFoldComments$
    {67, 1091, 980},	// QsciLexerPython::setFoldQuotes$
    {67, 1111, 981},	// QsciLexerPython::setIndentationWarning$
    {67, 1183, 973},	// QsciLexerPython::setV2UnicodeAllowed$
    {67, 1185, 975},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {67, 1187, 977},	// QsciLexerPython::setV3BytesAllowed$
    {67, 1203, 988},	// QsciLexerPython::staticMetaObject
    {67, 1217, 984},	// QsciLexerPython::tr$
    {67, 1218, 950},	// QsciLexerPython::tr$$
    {67, 1219, 952},	// QsciLexerPython::tr$$$
    {67, 1221, 985},	// QsciLexerPython::trUtf8$
    {67, 1222, 951},	// QsciLexerPython::trUtf8$$
    {67, 1223, 953},	// QsciLexerPython::trUtf8$$$
    {67, 1231, 974},	// QsciLexerPython::v2UnicodeAllowed
    {67, 1232, 976},	// QsciLexerPython::v3BinaryOctalAllowed
    {67, 1233, 978},	// QsciLexerPython::v3BytesAllowed
    {67, 1247, 983},	// QsciLexerPython::writeProperties#$
    {67, 1279, 1010},	// QsciLexerPython::~QsciLexerPython
    {68, 79, 1056},	// QsciLexerRuby::Backticks
    {68, 113, 1046},	// QsciLexerRuby::ClassName
    {68, 115, 1055},	// QsciLexerRuby::ClassVariable
    {68, 119, 1040},	// QsciLexerRuby::Comment
    {68, 131, 1057},	// QsciLexerRuby::DataSection
    {68, 133, 1038},	// QsciLexerRuby::Default
    {68, 135, 1065},	// QsciLexerRuby::DemotedKeyword
    {68, 140, 1044},	// QsciLexerRuby::DoubleQuotedString
    {68, 157, 1039},	// QsciLexerRuby::Error
    {68, 169, 1047},	// QsciLexerRuby::FunctionMethodName
    {68, 170, 1051},	// QsciLexerRuby::Global
    {68, 182, 1059},	// QsciLexerRuby::HereDocument
    {68, 183, 1058},	// QsciLexerRuby::HereDocumentDelimiter
    {68, 188, 1049},	// QsciLexerRuby::Identifier
    {68, 194, 1054},	// QsciLexerRuby::InstanceVariable
    {68, 209, 1043},	// QsciLexerRuby::Keyword
    {68, 258, 1053},	// QsciLexerRuby::ModuleName
    {68, 266, 1042},	// QsciLexerRuby::Number
    {68, 270, 1048},	// QsciLexerRuby::Operator
    {68, 283, 1041},	// QsciLexerRuby::POD
    {68, 289, 1061},	// QsciLexerRuby::PercentStringQ
    {68, 290, 1060},	// QsciLexerRuby::PercentStringq
    {68, 291, 1063},	// QsciLexerRuby::PercentStringr
    {68, 292, 1064},	// QsciLexerRuby::PercentStringw
    {68, 293, 1062},	// QsciLexerRuby::PercentStringx
    {68, 375, 1033},	// QsciLexerRuby::QsciLexerRuby
    {68, 376, 1018},	// QsciLexerRuby::QsciLexerRuby#
    {68, 404, 1050},	// QsciLexerRuby::Regex
    {68, 575, 1045},	// QsciLexerRuby::SingleQuotedString
    {68, 585, 1068},	// QsciLexerRuby::Stderr
    {68, 586, 1066},	// QsciLexerRuby::Stdin
    {68, 587, 1067},	// QsciLexerRuby::Stdout
    {68, 598, 1052},	// QsciLexerRuby::Symbol
    {68, 688, 1034},	// QsciLexerRuby::blockEnd
    {68, 689, 1021},	// QsciLexerRuby::blockEnd$
    {68, 691, 1035},	// QsciLexerRuby::blockStart
    {68, 692, 1022},	// QsciLexerRuby::blockStart$
    {68, 693, 1036},	// QsciLexerRuby::blockStartKeyword
    {68, 694, 1023},	// QsciLexerRuby::blockStartKeyword$
    {68, 696, 1024},	// QsciLexerRuby::braceStyle
    {68, 736, 1025},	// QsciLexerRuby::defaultColor$
    {68, 738, 1026},	// QsciLexerRuby::defaultEolFill$
    {68, 740, 1027},	// QsciLexerRuby::defaultFont$
    {68, 742, 1028},	// QsciLexerRuby::defaultPaper$
    {68, 746, 1030},	// QsciLexerRuby::description$
    {68, 857, 1029},	// QsciLexerRuby::keywords$
    {68, 858, 1019},	// QsciLexerRuby::language
    {68, 862, 1020},	// QsciLexerRuby::lexer
    {68, 911, 1011},	// QsciLexerRuby::metaObject
    {68, 950, 1017},	// QsciLexerRuby::qt_metacall$$?
    {68, 952, 1012},	// QsciLexerRuby::qt_metacast$
    {68, 1203, 1037},	// QsciLexerRuby::staticMetaObject
    {68, 1217, 1031},	// QsciLexerRuby::tr$
    {68, 1218, 1013},	// QsciLexerRuby::tr$$
    {68, 1219, 1015},	// QsciLexerRuby::tr$$$
    {68, 1221, 1032},	// QsciLexerRuby::trUtf8$
    {68, 1222, 1014},	// QsciLexerRuby::trUtf8$$
    {68, 1223, 1016},	// QsciLexerRuby::trUtf8$$$
    {68, 1280, 1069},	// QsciLexerRuby::~QsciLexerRuby
    {69, 119, 1101},	// QsciLexerSQL::Comment
    {69, 121, 1103},	// QsciLexerSQL::CommentDoc
    {69, 122, 1114},	// QsciLexerSQL::CommentDocKeyword
    {69, 123, 1115},	// QsciLexerSQL::CommentDocKeywordError
    {69, 124, 1102},	// QsciLexerSQL::CommentLine
    {69, 126, 1113},	// QsciLexerSQL::CommentLineHash
    {69, 133, 1100},	// QsciLexerSQL::Default
    {69, 140, 1106},	// QsciLexerSQL::DoubleQuotedString
    {69, 188, 1111},	// QsciLexerSQL::Identifier
    {69, 209, 1105},	// QsciLexerSQL::Keyword
    {69, 214, 1116},	// QsciLexerSQL::KeywordSet5
    {69, 215, 1117},	// QsciLexerSQL::KeywordSet6
    {69, 216, 1118},	// QsciLexerSQL::KeywordSet7
    {69, 217, 1119},	// QsciLexerSQL::KeywordSet8
    {69, 266, 1104},	// QsciLexerSQL::Number
    {69, 270, 1110},	// QsciLexerSQL::Operator
    {69, 298, 1112},	// QsciLexerSQL::PlusComment
    {69, 299, 1108},	// QsciLexerSQL::PlusKeyword
    {69, 300, 1109},	// QsciLexerSQL::PlusPrompt
    {69, 377, 1098},	// QsciLexerSQL::QsciLexerSQL
    {69, 378, 1077},	// QsciLexerSQL::QsciLexerSQL#
    {69, 575, 1107},	// QsciLexerSQL::SingleQuotedString
    {69, 685, 1090},	// QsciLexerSQL::backslashEscapes
    {69, 696, 1080},	// QsciLexerSQL::braceStyle
    {69, 736, 1081},	// QsciLexerSQL::defaultColor$
    {69, 738, 1082},	// QsciLexerSQL::defaultEolFill$
    {69, 740, 1083},	// QsciLexerSQL::defaultFont$
    {69, 742, 1084},	// QsciLexerSQL::defaultPaper$
    {69, 746, 1086},	// QsciLexerSQL::description$
    {69, 798, 1088},	// QsciLexerSQL::foldComments
    {69, 799, 1089},	// QsciLexerSQL::foldCompact
    {69, 857, 1085},	// QsciLexerSQL::keywords$
    {69, 858, 1078},	// QsciLexerSQL::language
    {69, 862, 1079},	// QsciLexerSQL::lexer
    {69, 911, 1070},	// QsciLexerSQL::metaObject
    {69, 950, 1076},	// QsciLexerSQL::qt_metacall$$?
    {69, 952, 1071},	// QsciLexerSQL::qt_metacast$
    {69, 956, 1094},	// QsciLexerSQL::readProperties#$
    {69, 964, 1087},	// QsciLexerSQL::refreshProperties
    {69, 1015, 1093},	// QsciLexerSQL::setBackslashEscapes$
    {69, 1077, 1091},	// QsciLexerSQL::setFoldComments$
    {69, 1079, 1092},	// QsciLexerSQL::setFoldCompact$
    {69, 1203, 1099},	// QsciLexerSQL::staticMetaObject
    {69, 1217, 1096},	// QsciLexerSQL::tr$
    {69, 1218, 1072},	// QsciLexerSQL::tr$$
    {69, 1219, 1074},	// QsciLexerSQL::tr$$$
    {69, 1221, 1097},	// QsciLexerSQL::trUtf8$
    {69, 1222, 1073},	// QsciLexerSQL::trUtf8$$
    {69, 1223, 1075},	// QsciLexerSQL::trUtf8$$$
    {69, 1247, 1095},	// QsciLexerSQL::writeProperties#$
    {69, 1281, 1120},	// QsciLexerSQL::~QsciLexerSQL
    {70, 118, 1143},	// QsciLexerTeX::Command
    {70, 133, 1139},	// QsciLexerTeX::Default
    {70, 173, 1141},	// QsciLexerTeX::Group
    {70, 379, 1137},	// QsciLexerTeX::QsciLexerTeX
    {70, 380, 1128},	// QsciLexerTeX::QsciLexerTeX#
    {70, 580, 1140},	// QsciLexerTeX::Special
    {70, 598, 1142},	// QsciLexerTeX::Symbol
    {70, 608, 1144},	// QsciLexerTeX::Text
    {70, 736, 1132},	// QsciLexerTeX::defaultColor$
    {70, 746, 1134},	// QsciLexerTeX::description$
    {70, 857, 1133},	// QsciLexerTeX::keywords$
    {70, 858, 1129},	// QsciLexerTeX::language
    {70, 862, 1130},	// QsciLexerTeX::lexer
    {70, 911, 1121},	// QsciLexerTeX::metaObject
    {70, 950, 1127},	// QsciLexerTeX::qt_metacall$$?
    {70, 952, 1122},	// QsciLexerTeX::qt_metacast$
    {70, 1203, 1138},	// QsciLexerTeX::staticMetaObject
    {70, 1217, 1135},	// QsciLexerTeX::tr$
    {70, 1218, 1123},	// QsciLexerTeX::tr$$
    {70, 1219, 1125},	// QsciLexerTeX::tr$$$
    {70, 1221, 1136},	// QsciLexerTeX::trUtf8$
    {70, 1222, 1124},	// QsciLexerTeX::trUtf8$$
    {70, 1223, 1126},	// QsciLexerTeX::trUtf8$$$
    {70, 1242, 1131},	// QsciLexerTeX::wordCharacters
    {70, 1282, 1145},	// QsciLexerTeX::~QsciLexerTeX
    {71, 64, 1190},	// QsciLexerVHDL::Attribute
    {71, 119, 1181},	// QsciLexerVHDL::Comment
    {71, 124, 1182},	// QsciLexerVHDL::CommentLine
    {71, 133, 1180},	// QsciLexerVHDL::Default
    {71, 188, 1186},	// QsciLexerVHDL::Identifier
    {71, 209, 1188},	// QsciLexerVHDL::Keyword
    {71, 216, 1194},	// QsciLexerVHDL::KeywordSet7
    {71, 266, 1183},	// QsciLexerVHDL::Number
    {71, 270, 1185},	// QsciLexerVHDL::Operator
    {71, 381, 1178},	// QsciLexerVHDL::QsciLexerVHDL
    {71, 382, 1153},	// QsciLexerVHDL::QsciLexerVHDL#
    {71, 581, 1191},	// QsciLexerVHDL::StandardFunction
    {71, 582, 1189},	// QsciLexerVHDL::StandardOperator
    {71, 583, 1192},	// QsciLexerVHDL::StandardPackage
    {71, 584, 1193},	// QsciLexerVHDL::StandardType
    {71, 589, 1184},	// QsciLexerVHDL::String
    {71, 619, 1187},	// QsciLexerVHDL::UnclosedString
    {71, 696, 1156},	// QsciLexerVHDL::braceStyle
    {71, 736, 1157},	// QsciLexerVHDL::defaultColor$
    {71, 738, 1158},	// QsciLexerVHDL::defaultEolFill$
    {71, 740, 1159},	// QsciLexerVHDL::defaultFont$
    {71, 742, 1160},	// QsciLexerVHDL::defaultPaper$
    {71, 746, 1162},	// QsciLexerVHDL::description$
    {71, 795, 1167},	// QsciLexerVHDL::foldAtBegin
    {71, 796, 1166},	// QsciLexerVHDL::foldAtElse
    {71, 797, 1168},	// QsciLexerVHDL::foldAtParenthesis
    {71, 798, 1164},	// QsciLexerVHDL::foldComments
    {71, 799, 1165},	// QsciLexerVHDL::foldCompact
    {71, 857, 1161},	// QsciLexerVHDL::keywords$
    {71, 858, 1154},	// QsciLexerVHDL::language
    {71, 862, 1155},	// QsciLexerVHDL::lexer
    {71, 911, 1146},	// QsciLexerVHDL::metaObject
    {71, 950, 1152},	// QsciLexerVHDL::qt_metacall$$?
    {71, 952, 1147},	// QsciLexerVHDL::qt_metacast$
    {71, 956, 1174},	// QsciLexerVHDL::readProperties#$
    {71, 964, 1163},	// QsciLexerVHDL::refreshProperties
    {71, 1071, 1172},	// QsciLexerVHDL::setFoldAtBegin$
    {71, 1073, 1171},	// QsciLexerVHDL::setFoldAtElse$
    {71, 1075, 1173},	// QsciLexerVHDL::setFoldAtParenthesis$
    {71, 1077, 1169},	// QsciLexerVHDL::setFoldComments$
    {71, 1079, 1170},	// QsciLexerVHDL::setFoldCompact$
    {71, 1203, 1179},	// QsciLexerVHDL::staticMetaObject
    {71, 1217, 1176},	// QsciLexerVHDL::tr$
    {71, 1218, 1148},	// QsciLexerVHDL::tr$$
    {71, 1219, 1150},	// QsciLexerVHDL::tr$$$
    {71, 1221, 1177},	// QsciLexerVHDL::trUtf8$
    {71, 1222, 1149},	// QsciLexerVHDL::trUtf8$$
    {71, 1223, 1151},	// QsciLexerVHDL::trUtf8$$$
    {71, 1247, 1175},	// QsciLexerVHDL::writeProperties#$
    {71, 1283, 1195},	// QsciLexerVHDL::~QsciLexerVHDL
    {72, 384, 1203},	// QsciMacro::QsciMacro#
    {72, 385, 1204},	// QsciMacro::QsciMacro$#
    {72, 708, 1205},	// QsciMacro::clear
    {72, 764, 1210},	// QsciMacro::endRecording
    {72, 873, 1206},	// QsciMacro::load$
    {72, 911, 1196},	// QsciMacro::metaObject
    {72, 938, 1208},	// QsciMacro::play
    {72, 950, 1202},	// QsciMacro::qt_metacall$$?
    {72, 952, 1197},	// QsciMacro::qt_metacast$
    {72, 977, 1207},	// QsciMacro::save
    {72, 1202, 1209},	// QsciMacro::startRecording
    {72, 1203, 1213},	// QsciMacro::staticMetaObject
    {72, 1217, 1211},	// QsciMacro::tr$
    {72, 1218, 1198},	// QsciMacro::tr$$
    {72, 1219, 1200},	// QsciMacro::tr$$$
    {72, 1221, 1212},	// QsciMacro::trUtf8$
    {72, 1222, 1199},	// QsciMacro::trUtf8$$
    {72, 1223, 1201},	// QsciMacro::trUtf8$$$
    {72, 1284, 1214},	// QsciMacro::~QsciMacro
    {73, 386, 1222},	// QsciPrinter::QsciPrinter
    {73, 387, 1215},	// QsciPrinter::QsciPrinter$
    {73, 816, 1216},	// QsciPrinter::formatPage#$#$
    {73, 876, 1217},	// QsciPrinter::magnification
    {73, 944, 1223},	// QsciPrinter::printRange#
    {73, 945, 1224},	// QsciPrinter::printRange#$
    {73, 946, 1219},	// QsciPrinter::printRange#$$
    {73, 1121, 1218},	// QsciPrinter::setMagnification$
    {73, 1192, 1221},	// QsciPrinter::setWrapMode$
    {73, 1243, 1220},	// QsciPrinter::wrapMode
    {73, 1285, 1225},	// QsciPrinter::~QsciPrinter
    {74, 49, 1475},	// QsciScintilla::AcsAPIs
    {74, 50, 1473},	// QsciScintilla::AcsAll
    {74, 51, 1474},	// QsciScintilla::AcsDocument
    {74, 52, 1472},	// QsciScintilla::AcsNone
    {74, 54, 1468},	// QsciScintilla::AiClosing
    {74, 55, 1466},	// QsciScintilla::AiMaintain
    {74, 56, 1467},	// QsciScintilla::AiOpening
    {74, 58, 1471},	// QsciScintilla::AnnotationBoxed
    {74, 59, 1469},	// QsciScintilla::AnnotationHidden
    {74, 60, 1470},	// QsciScintilla::AnnotationStandard
    {74, 77, 1523},	// QsciScintilla::Background
    {74, 86, 1511},	// QsciScintilla::BottomLeftCorner
    {74, 88, 1492},	// QsciScintilla::BoxedFoldStyle
    {74, 89, 1515},	// QsciScintilla::BoxedMinus
    {74, 90, 1516},	// QsciScintilla::BoxedMinusConnected
    {74, 91, 1513},	// QsciScintilla::BoxedPlus
    {74, 92, 1514},	// QsciScintilla::BoxedPlusConnected
    {74, 93, 1494},	// QsciScintilla::BoxedTreeFoldStyle
    {74, 99, 1482},	// QsciScintilla::CallTipsContext
    {74, 100, 1481},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {74, 101, 1480},	// QsciScintilla::CallTipsNoContext
    {74, 102, 1479},	// QsciScintilla::CallTipsNone
    {74, 106, 1501},	// QsciScintilla::Circle
    {74, 107, 1491},	// QsciScintilla::CircledFoldStyle
    {74, 108, 1521},	// QsciScintilla::CircledMinus
    {74, 109, 1522},	// QsciScintilla::CircledMinusConnected
    {74, 110, 1519},	// QsciScintilla::CircledPlus
    {74, 111, 1520},	// QsciScintilla::CircledPlusConnected
    {74, 112, 1493},	// QsciScintilla::CircledTreeFoldStyle
    {74, 141, 1507},	// QsciScintilla::DownTriangle
    {74, 148, 1485},	// QsciScintilla::EdgeBackground
    {74, 149, 1484},	// QsciScintilla::EdgeLine
    {74, 150, 1483},	// QsciScintilla::EdgeNone
    {74, 154, 1488},	// QsciScintilla::EolMac
    {74, 155, 1487},	// QsciScintilla::EolUnix
    {74, 156, 1486},	// QsciScintilla::EolWindows
    {74, 195, 1506},	// QsciScintilla::Invisible
    {74, 224, 1518},	// QsciScintilla::LeftSideRoundedSplitter
    {74, 225, 1512},	// QsciScintilla::LeftSideSplitter
    {74, 257, 1508},	// QsciScintilla::Minus
    {74, 262, 1476},	// QsciScintilla::NoBraceMatch
    {74, 263, 1489},	// QsciScintilla::NoFoldStyle
    {74, 267, 1498},	// QsciScintilla::NumberMargin
    {74, 296, 1490},	// QsciScintilla::PlainFoldStyle
    {74, 297, 1509},	// QsciScintilla::Plus
    {74, 388, 1443},	// QsciScintilla::QsciScintilla
    {74, 389, 1233},	// QsciScintilla::QsciScintilla#
    {74, 403, 1502},	// QsciScintilla::Rectangle
    {74, 405, 1505},	// QsciScintilla::RightArrow
    {74, 406, 1503},	// QsciScintilla::RightTriangle
    {74, 407, 1517},	// QsciScintilla::RoundedBottomLeftCorner
    {74, 576, 1478},	// QsciScintilla::SloppyBraceMatch
    {74, 578, 1504},	// QsciScintilla::SmallRectangle
    {74, 588, 1477},	// QsciScintilla::StrictBraceMatch
    {74, 599, 1495},	// QsciScintilla::SymbolMargin
    {74, 600, 1497},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {74, 601, 1496},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {74, 609, 1499},	// QsciScintilla::TextMargin
    {74, 610, 1500},	// QsciScintilla::TextMarginRightJustified
    {74, 611, 1524},	// QsciScintilla::ThreeDots
    {74, 612, 1525},	// QsciScintilla::ThreeRightArrows
    {74, 636, 1510},	// QsciScintilla::VerticalLine
    {74, 638, 1531},	// QsciScintilla::WrapCharacter
    {74, 639, 1534},	// QsciScintilla::WrapFlagByBorder
    {74, 640, 1533},	// QsciScintilla::WrapFlagByText
    {74, 641, 1532},	// QsciScintilla::WrapFlagNone
    {74, 642, 1529},	// QsciScintilla::WrapNone
    {74, 643, 1530},	// QsciScintilla::WrapWord
    {74, 644, 1526},	// QsciScintilla::WsInvisible
    {74, 645, 1527},	// QsciScintilla::WsVisible
    {74, 646, 1528},	// QsciScintilla::WsVisibleAfterIndent
    {74, 655, 1237},	// QsciScintilla::annotate$#
    {74, 656, 1236},	// QsciScintilla::annotate$$#
    {74, 657, 1235},	// QsciScintilla::annotate$$$
    {74, 658, 1238},	// QsciScintilla::annotate$?
    {74, 660, 1239},	// QsciScintilla::annotation$
    {74, 661, 1240},	// QsciScintilla::annotationDisplay
    {74, 663, 1234},	// QsciScintilla::apiContext$$$
    {74, 669, 1358},	// QsciScintilla::append$
    {74, 670, 1360},	// QsciScintilla::autoCompleteFromAPIs
    {74, 671, 1359},	// QsciScintilla::autoCompleteFromAll
    {74, 672, 1361},	// QsciScintilla::autoCompleteFromDocument
    {74, 673, 1242},	// QsciScintilla::autoCompletionCaseSensitivity
    {74, 675, 1243},	// QsciScintilla::autoCompletionFillupsEnabled
    {74, 676, 1244},	// QsciScintilla::autoCompletionReplaceWord
    {74, 679, 1245},	// QsciScintilla::autoCompletionShowSingle
    {74, 680, 1246},	// QsciScintilla::autoCompletionSource
    {74, 681, 1247},	// QsciScintilla::autoCompletionThreshold
    {74, 683, 1248},	// QsciScintilla::autoIndent
    {74, 686, 1249},	// QsciScintilla::backspaceUnindents
    {74, 687, 1250},	// QsciScintilla::beginUndoAction
    {74, 695, 1251},	// QsciScintilla::braceMatching
    {74, 697, 1362},	// QsciScintilla::callTip
    {74, 700, 1252},	// QsciScintilla::callTipsStyle
    {74, 701, 1253},	// QsciScintilla::callTipsVisible
    {74, 702, 1254},	// QsciScintilla::cancelList
    {74, 704, 1255},	// QsciScintilla::caseSensitive
    {74, 708, 1363},	// QsciScintilla::clear
    {74, 710, 1444},	// QsciScintilla::clearAnnotations
    {74, 711, 1241},	// QsciScintilla::clearAnnotations$
    {74, 712, 1256},	// QsciScintilla::clearFolds
    {74, 714, 1456},	// QsciScintilla::clearMarginText
    {74, 715, 1335},	// QsciScintilla::clearMarginText$
    {74, 716, 1257},	// QsciScintilla::clearRegisteredImages
    {74, 718, 1258},	// QsciScintilla::color
    {74, 727, 1259},	// QsciScintilla::convertEols$
    {74, 728, 1364},	// QsciScintilla::copy
    {74, 730, 1433},	// QsciScintilla::copyAvailable$
    {74, 732, 1432},	// QsciScintilla::cursorPositionChanged$$
    {74, 734, 1365},	// QsciScintilla::cut
    {74, 749, 1260},	// QsciScintilla::document
    {74, 759, 1262},	// QsciScintilla::edgeColor
    {74, 760, 1263},	// QsciScintilla::edgeColumn
    {74, 761, 1264},	// QsciScintilla::edgeMode
    {74, 765, 1261},	// QsciScintilla::endUndoAction
    {74, 766, 1366},	// QsciScintilla::ensureCursorVisible
    {74, 768, 1367},	// QsciScintilla::ensureLineVisible$
    {74, 774, 1266},	// QsciScintilla::eolMode
    {74, 775, 1267},	// QsciScintilla::eolVisibility
    {74, 780, 1445},	// QsciScintilla::findFirst$$$$$
    {74, 781, 1446},	// QsciScintilla::findFirst$$$$$$
    {74, 782, 1447},	// QsciScintilla::findFirst$$$$$$$
    {74, 783, 1448},	// QsciScintilla::findFirst$$$$$$$$
    {74, 784, 1268},	// QsciScintilla::findFirst$$$$$$$$$
    {74, 785, 1269},	// QsciScintilla::findNext
    {74, 786, 1270},	// QsciScintilla::firstVisibleLine
    {74, 793, 1461},	// QsciScintilla::foldAll
    {74, 794, 1368},	// QsciScintilla::foldAll$
    {74, 802, 1369},	// QsciScintilla::foldLine$
    {74, 809, 1271},	// QsciScintilla::folding
    {74, 818, 1272},	// QsciScintilla::getCursorPosition$$
    {74, 820, 1273},	// QsciScintilla::getSelection$$$$
    {74, 821, 1274},	// QsciScintilla::hasSelectedText
    {74, 825, 1370},	// QsciScintilla::indent$
    {74, 827, 1275},	// QsciScintilla::indentation$
    {74, 829, 1276},	// QsciScintilla::indentationGuides
    {74, 831, 1278},	// QsciScintilla::indentationWidth
    {74, 832, 1277},	// QsciScintilla::indentationsUseTabs
    {74, 837, 1371},	// QsciScintilla::insert$
    {74, 839, 1372},	// QsciScintilla::insertAt$$$
    {74, 841, 1279},	// QsciScintilla::isCallTipActive
    {74, 842, 1280},	// QsciScintilla::isListActive
    {74, 843, 1281},	// QsciScintilla::isModified
    {74, 846, 1282},	// QsciScintilla::isReadOnly
    {74, 847, 1283},	// QsciScintilla::isRedoAvailable
    {74, 848, 1284},	// QsciScintilla::isUndoAvailable
    {74, 849, 1285},	// QsciScintilla::isUtf8
    {74, 851, 1286},	// QsciScintilla::isWordCharacter$
    {74, 861, 1291},	// QsciScintilla::length
    {74, 862, 1292},	// QsciScintilla::lexer
    {74, 865, 1287},	// QsciScintilla::lineAt#
    {74, 867, 1288},	// QsciScintilla::lineIndexFromPosition$$$
    {74, 869, 1289},	// QsciScintilla::lineLength$
    {74, 870, 1290},	// QsciScintilla::lines
    {74, 871, 1434},	// QsciScintilla::linesChanged
    {74, 878, 1435},	// QsciScintilla::marginClicked$$$
    {74, 880, 1293},	// QsciScintilla::marginLineNumbers$
    {74, 882, 1294},	// QsciScintilla::marginMarkerMask$
    {74, 884, 1295},	// QsciScintilla::marginSensitivity$
    {74, 886, 1296},	// QsciScintilla::marginType$
    {74, 888, 1297},	// QsciScintilla::marginWidth$
    {74, 890, 1301},	// QsciScintilla::markerAdd$$
    {74, 892, 1451},	// QsciScintilla::markerDefine#
    {74, 893, 1300},	// QsciScintilla::markerDefine#$
    {74, 894, -3409},	// QsciScintilla::markerDefine$
    {74, 895, -3412},	// QsciScintilla::markerDefine$$
    {74, 897, 1452},	// QsciScintilla::markerDelete$
    {74, 898, 1303},	// QsciScintilla::markerDelete$$
    {74, 899, 1453},	// QsciScintilla::markerDeleteAll
    {74, 900, 1304},	// QsciScintilla::markerDeleteAll$
    {74, 902, 1305},	// QsciScintilla::markerDeleteHandle$
    {74, 904, 1307},	// QsciScintilla::markerFindNext$$
    {74, 906, 1308},	// QsciScintilla::markerFindPrevious$$
    {74, 908, 1306},	// QsciScintilla::markerLine$
    {74, 910, 1302},	// QsciScintilla::markersAtLine$
    {74, 911, 1226},	// QsciScintilla::metaObject
    {74, 914, 1436},	// QsciScintilla::modificationAttempted
    {74, 916, 1437},	// QsciScintilla::modificationChanged$
    {74, 926, 1373},	// QsciScintilla::moveToMatchingBrace
    {74, 933, 1309},	// QsciScintilla::paper
    {74, 937, 1374},	// QsciScintilla::paste
    {74, 941, 1310},	// QsciScintilla::positionFromLineIndex$$
    {74, 950, 1232},	// QsciScintilla::qt_metacall$$?
    {74, 952, 1227},	// QsciScintilla::qt_metacast$
    {74, 954, 1311},	// QsciScintilla::read#
    {74, 960, 1454},	// QsciScintilla::recolor
    {74, 961, 1455},	// QsciScintilla::recolor$
    {74, 962, 1312},	// QsciScintilla::recolor$$
    {74, 963, 1375},	// QsciScintilla::redo
    {74, 966, 1313},	// QsciScintilla::registerImage$#
    {74, 969, 1376},	// QsciScintilla::removeSelectedText
    {74, 971, 1314},	// QsciScintilla::replace$
    {74, 972, 1315},	// QsciScintilla::resetFoldMarginColors
    {74, 973, 1377},	// QsciScintilla::resetSelectionBackgroundColor
    {74, 974, 1378},	// QsciScintilla::resetSelectionForegroundColor
    {74, 982, 1462},	// QsciScintilla::selectAll
    {74, 983, 1379},	// QsciScintilla::selectAll$
    {74, 984, 1380},	// QsciScintilla::selectToMatchingBrace
    {74, 985, 1343},	// QsciScintilla::selectedText
    {74, 986, 1438},	// QsciScintilla::selectionChanged
    {74, 987, 1344},	// QsciScintilla::selectionToEol
    {74, 993, 1317},	// QsciScintilla::setAnnotationDisplay$
    {74, 995, 1381},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {74, 997, 1319},	// QsciScintilla::setAutoCompletionFillups$
    {74, 999, 1318},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {74, 1001, 1382},	// QsciScintilla::setAutoCompletionReplaceWord$
    {74, 1003, 1383},	// QsciScintilla::setAutoCompletionShowSingle$
    {74, 1005, 1384},	// QsciScintilla::setAutoCompletionSource$
    {74, 1007, 1385},	// QsciScintilla::setAutoCompletionThreshold$
    {74, 1009, 1320},	// QsciScintilla::setAutoCompletionWordSeparators?
    {74, 1011, 1386},	// QsciScintilla::setAutoIndent$
    {74, 1017, 1388},	// QsciScintilla::setBackspaceUnindents$
    {74, 1019, 1387},	// QsciScintilla::setBraceMatching$
    {74, 1021, 1321},	// QsciScintilla::setCallTipsBackgroundColor#
    {74, 1023, 1322},	// QsciScintilla::setCallTipsForegroundColor#
    {74, 1025, 1323},	// QsciScintilla::setCallTipsHighlightColor#
    {74, 1027, 1324},	// QsciScintilla::setCallTipsStyle$
    {74, 1029, 1325},	// QsciScintilla::setCallTipsVisible$
    {74, 1031, 1389},	// QsciScintilla::setCaretForegroundColor#
    {74, 1033, 1390},	// QsciScintilla::setCaretLineBackgroundColor#
    {74, 1035, 1391},	// QsciScintilla::setCaretLineVisible$
    {74, 1037, 1392},	// QsciScintilla::setCaretWidth$
    {74, 1041, 1393},	// QsciScintilla::setColor#
    {74, 1044, 1394},	// QsciScintilla::setCursorPosition$$
    {74, 1052, 1326},	// QsciScintilla::setDocument#
    {74, 1056, 1327},	// QsciScintilla::setEdgeColor#
    {74, 1058, 1328},	// QsciScintilla::setEdgeColumn$
    {74, 1060, 1329},	// QsciScintilla::setEdgeMode$
    {74, 1067, 1395},	// QsciScintilla::setEolMode$
    {74, 1069, 1396},	// QsciScintilla::setEolVisibility$
    {74, 1083, 1316},	// QsciScintilla::setFoldMarginColors##
    {74, 1097, 1463},	// QsciScintilla::setFolding$
    {74, 1098, 1397},	// QsciScintilla::setFolding$$
    {74, 1100, 1265},	// QsciScintilla::setFont#
    {74, 1103, 1398},	// QsciScintilla::setIndentation$$
    {74, 1105, 1399},	// QsciScintilla::setIndentationGuides$
    {74, 1107, 1400},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {74, 1109, 1401},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {74, 1113, 1403},	// QsciScintilla::setIndentationWidth$
    {74, 1115, 1402},	// QsciScintilla::setIndentationsUseTabs$
    {74, 1118, 1464},	// QsciScintilla::setLexer
    {74, 1119, 1404},	// QsciScintilla::setLexer#
    {74, 1123, 1408},	// QsciScintilla::setMarginLineNumbers$$
    {74, 1125, 1409},	// QsciScintilla::setMarginMarkerMask$$
    {74, 1127, 1410},	// QsciScintilla::setMarginSensitivity$$
    {74, 1129, 1332},	// QsciScintilla::setMarginText$#
    {74, 1130, 1331},	// QsciScintilla::setMarginText$$#
    {74, 1131, 1330},	// QsciScintilla::setMarginText$$$
    {74, 1132, 1333},	// QsciScintilla::setMarginText$?
    {74, 1134, 1334},	// QsciScintilla::setMarginType$$
    {74, 1136, -3415},	// QsciScintilla::setMarginWidth$$
    {74, 1138, 1405},	// QsciScintilla::setMarginsBackgroundColor#
    {74, 1140, 1406},	// QsciScintilla::setMarginsFont#
    {74, 1142, 1407},	// QsciScintilla::setMarginsForegroundColor#
    {74, 1144, 1457},	// QsciScintilla::setMarkerBackgroundColor#
    {74, 1145, 1336},	// QsciScintilla::setMarkerBackgroundColor#$
    {74, 1147, 1458},	// QsciScintilla::setMarkerForegroundColor#
    {74, 1148, 1337},	// QsciScintilla::setMarkerForegroundColor#$
    {74, 1150, 1338},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {74, 1152, 1339},	// QsciScintilla::setMatchedBraceForegroundColor#
    {74, 1154, 1413},	// QsciScintilla::setModified$
    {74, 1156, 1414},	// QsciScintilla::setPaper#
    {74, 1159, 1415},	// QsciScintilla::setReadOnly$
    {74, 1161, 1416},	// QsciScintilla::setSelection$$$$
    {74, 1163, 1417},	// QsciScintilla::setSelectionBackgroundColor#
    {74, 1165, 1418},	// QsciScintilla::setSelectionForegroundColor#
    {74, 1167, 1345},	// QsciScintilla::setSelectionToEol$
    {74, 1171, 1419},	// QsciScintilla::setTabIndents$
    {74, 1173, 1420},	// QsciScintilla::setTabWidth$
    {74, 1175, 1421},	// QsciScintilla::setText$
    {74, 1177, 1340},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {74, 1179, 1341},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {74, 1181, 1422},	// QsciScintilla::setUtf8$
    {74, 1190, 1423},	// QsciScintilla::setWhitespaceVisibility$
    {74, 1192, 1424},	// QsciScintilla::setWrapMode$
    {74, 1194, 1459},	// QsciScintilla::setWrapVisualFlags$
    {74, 1195, 1460},	// QsciScintilla::setWrapVisualFlags$$
    {74, 1196, 1342},	// QsciScintilla::setWrapVisualFlags$$$
    {74, 1199, 1346},	// QsciScintilla::showUserList$?
    {74, 1201, 1347},	// QsciScintilla::standardCommands
    {74, 1203, 1465},	// QsciScintilla::staticMetaObject
    {74, 1207, 1348},	// QsciScintilla::tabIndents
    {74, 1208, 1349},	// QsciScintilla::tabWidth
    {74, 1210, 1350},	// QsciScintilla::text
    {74, 1211, 1351},	// QsciScintilla::text$
    {74, 1212, 1439},	// QsciScintilla::textChanged
    {74, 1214, 1352},	// QsciScintilla::textHeight$
    {74, 1217, 1441},	// QsciScintilla::tr$
    {74, 1218, 1228},	// QsciScintilla::tr$$
    {74, 1219, 1230},	// QsciScintilla::tr$$$
    {74, 1221, 1442},	// QsciScintilla::trUtf8$
    {74, 1222, 1229},	// QsciScintilla::trUtf8$$
    {74, 1223, 1231},	// QsciScintilla::trUtf8$$$
    {74, 1224, 1425},	// QsciScintilla::undo
    {74, 1226, 1426},	// QsciScintilla::unindent$
    {74, 1230, 1440},	// QsciScintilla::userListActivated$$
    {74, 1238, 1353},	// QsciScintilla::whitespaceVisibility
    {74, 1241, 1354},	// QsciScintilla::wordAtPoint#
    {74, 1242, 1355},	// QsciScintilla::wordCharacters
    {74, 1243, 1356},	// QsciScintilla::wrapMode
    {74, 1245, 1357},	// QsciScintilla::write#
    {74, 1252, 1428},	// QsciScintilla::zoomIn
    {74, 1253, 1427},	// QsciScintilla::zoomIn$
    {74, 1254, 1430},	// QsciScintilla::zoomOut
    {74, 1255, 1429},	// QsciScintilla::zoomOut$
    {74, 1257, 1431},	// QsciScintilla::zoomTo$
    {74, 1286, 1535},	// QsciScintilla::~QsciScintilla
    {75, 326, 1558},	// QsciScintillaBase::QSCN_SELCHANGED$
    {75, 390, 1603},	// QsciScintillaBase::QsciScintillaBase
    {75, 391, 1543},	// QsciScintillaBase::QsciScintillaBase#
    {75, 408, 1562},	// QsciScintillaBase::SCEN_CHANGE
    {75, 409, -1},	// QsciScintillaBase::SCLEX_ABAQUS
    {75, 410, -36},	// QsciScintillaBase::SCLEX_ADA
    {75, 411, -71},	// QsciScintillaBase::SCLEX_APDL
    {75, 412, -106},	// QsciScintillaBase::SCLEX_ASM
    {75, 413, -141},	// QsciScintillaBase::SCLEX_ASN1
    {75, 414, -176},	// QsciScintillaBase::SCLEX_ASP
    {75, 415, -211},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {75, 416, -246},	// QsciScintillaBase::SCLEX_AU3
    {75, 417, -281},	// QsciScintillaBase::SCLEX_AVE
    {75, 418, -316},	// QsciScintillaBase::SCLEX_BAAN
    {75, 419, -351},	// QsciScintillaBase::SCLEX_BASH
    {75, 420, -386},	// QsciScintillaBase::SCLEX_BATCH
    {75, 421, -421},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {75, 422, -456},	// QsciScintillaBase::SCLEX_BULLANT
    {75, 423, -491},	// QsciScintillaBase::SCLEX_CAML
    {75, 424, -526},	// QsciScintillaBase::SCLEX_CLW
    {75, 425, -561},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {75, 426, -596},	// QsciScintillaBase::SCLEX_CMAKE
    {75, 427, -631},	// QsciScintillaBase::SCLEX_COBOL
    {75, 428, -666},	// QsciScintillaBase::SCLEX_CONF
    {75, 429, -701},	// QsciScintillaBase::SCLEX_CONTAINER
    {75, 430, -736},	// QsciScintillaBase::SCLEX_CPP
    {75, 431, -771},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {75, 432, -806},	// QsciScintillaBase::SCLEX_CSOUND
    {75, 433, -841},	// QsciScintillaBase::SCLEX_CSS
    {75, 434, -876},	// QsciScintillaBase::SCLEX_D
    {75, 435, -911},	// QsciScintillaBase::SCLEX_DIFF
    {75, 436, -946},	// QsciScintillaBase::SCLEX_EIFFEL
    {75, 437, -981},	// QsciScintillaBase::SCLEX_EIFFELKW
    {75, 438, -1016},	// QsciScintillaBase::SCLEX_ERLANG
    {75, 439, -1051},	// QsciScintillaBase::SCLEX_ERRORLIST
    {75, 440, -1086},	// QsciScintillaBase::SCLEX_ESCRIPT
    {75, 441, -1121},	// QsciScintillaBase::SCLEX_F77
    {75, 442, -1156},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {75, 443, -1191},	// QsciScintillaBase::SCLEX_FORTH
    {75, 444, -1226},	// QsciScintillaBase::SCLEX_FORTRAN
    {75, 445, -1261},	// QsciScintillaBase::SCLEX_FREEBASIC
    {75, 446, -1296},	// QsciScintillaBase::SCLEX_GAP
    {75, 447, -1331},	// QsciScintillaBase::SCLEX_GUI4CLI
    {75, 448, -1366},	// QsciScintillaBase::SCLEX_HASKELL
    {75, 449, -1401},	// QsciScintillaBase::SCLEX_HTML
    {75, 450, -1436},	// QsciScintillaBase::SCLEX_INNOSETUP
    {75, 451, -1471},	// QsciScintillaBase::SCLEX_KIX
    {75, 452, -1506},	// QsciScintillaBase::SCLEX_LATEX
    {75, 453, -1541},	// QsciScintillaBase::SCLEX_LISP
    {75, 454, -1576},	// QsciScintillaBase::SCLEX_LOT
    {75, 455, -1611},	// QsciScintillaBase::SCLEX_LOUT
    {75, 456, -1646},	// QsciScintillaBase::SCLEX_LUA
    {75, 457, -1681},	// QsciScintillaBase::SCLEX_MAGIK
    {75, 458, -1716},	// QsciScintillaBase::SCLEX_MAKEFILE
    {75, 459, -1751},	// QsciScintillaBase::SCLEX_MATLAB
    {75, 460, -1786},	// QsciScintillaBase::SCLEX_METAPOST
    {75, 461, -1821},	// QsciScintillaBase::SCLEX_MMIXAL
    {75, 462, -1856},	// QsciScintillaBase::SCLEX_MSSQL
    {75, 463, -1891},	// QsciScintillaBase::SCLEX_MYSQL
    {75, 464, -1926},	// QsciScintillaBase::SCLEX_NIMROD
    {75, 465, -1961},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {75, 466, -1996},	// QsciScintillaBase::SCLEX_NSIS
    {75, 467, -2031},	// QsciScintillaBase::SCLEX_NULL
    {75, 468, -2066},	// QsciScintillaBase::SCLEX_OCTAVE
    {75, 469, -2101},	// QsciScintillaBase::SCLEX_OPAL
    {75, 470, -2136},	// QsciScintillaBase::SCLEX_PASCAL
    {75, 471, -2171},	// QsciScintillaBase::SCLEX_PERL
    {75, 472, -2206},	// QsciScintillaBase::SCLEX_PHP
    {75, 473, -2241},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {75, 474, -2276},	// QsciScintillaBase::SCLEX_PLM
    {75, 475, -2311},	// QsciScintillaBase::SCLEX_PO
    {75, 476, -2346},	// QsciScintillaBase::SCLEX_POV
    {75, 477, -2381},	// QsciScintillaBase::SCLEX_POWERBASIC
    {75, 478, -2416},	// QsciScintillaBase::SCLEX_POWERPRO
    {75, 479, -2451},	// QsciScintillaBase::SCLEX_POWERSHELL
    {75, 480, -2486},	// QsciScintillaBase::SCLEX_PROGRESS
    {75, 481, -2521},	// QsciScintillaBase::SCLEX_PROPERTIES
    {75, 482, -2556},	// QsciScintillaBase::SCLEX_PS
    {75, 483, -2591},	// QsciScintillaBase::SCLEX_PUREBASIC
    {75, 484, -2626},	// QsciScintillaBase::SCLEX_PYTHON
    {75, 485, -2661},	// QsciScintillaBase::SCLEX_R
    {75, 486, -2696},	// QsciScintillaBase::SCLEX_REBOL
    {75, 487, -2731},	// QsciScintillaBase::SCLEX_RUBY
    {75, 488, -2766},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {75, 489, -2801},	// QsciScintillaBase::SCLEX_SMALLTALK
    {75, 490, -2836},	// QsciScintillaBase::SCLEX_SML
    {75, 491, -2871},	// QsciScintillaBase::SCLEX_SORCUS
    {75, 492, -2906},	// QsciScintillaBase::SCLEX_SPECMAN
    {75, 493, -2941},	// QsciScintillaBase::SCLEX_SPICE
    {75, 494, -2976},	// QsciScintillaBase::SCLEX_SQL
    {75, 495, -3011},	// QsciScintillaBase::SCLEX_TACL
    {75, 496, -3046},	// QsciScintillaBase::SCLEX_TADS3
    {75, 497, -3081},	// QsciScintillaBase::SCLEX_TAL
    {75, 498, -3116},	// QsciScintillaBase::SCLEX_TCL
    {75, 499, -3151},	// QsciScintillaBase::SCLEX_TEX
    {75, 500, -3186},	// QsciScintillaBase::SCLEX_VB
    {75, 501, -3221},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {75, 502, -3256},	// QsciScintillaBase::SCLEX_VERILOG
    {75, 503, -3291},	// QsciScintillaBase::SCLEX_VHDL
    {75, 504, -3326},	// QsciScintillaBase::SCLEX_XML
    {75, 505, -3361},	// QsciScintillaBase::SCLEX_YAML
    {75, 506, 1559},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {75, 507, 1560},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {75, 509, 1561},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {75, 511, 1563},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {75, 513, 1564},	// QsciScintillaBase::SCN_CHARADDED$
    {75, 515, 1565},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {75, 517, 1566},	// QsciScintillaBase::SCN_DWELLEND$$$
    {75, 519, 1567},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {75, 521, 1568},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {75, 523, 1569},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {75, 525, 1570},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {75, 527, 1571},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {75, 529, 1572},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {75, 531, 1573},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {75, 533, 1574},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {75, 534, 1575},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {75, 536, 1576},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {75, 537, 1577},	// QsciScintillaBase::SCN_PAINTED
    {75, 538, 1578},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {75, 539, 1579},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {75, 541, 1580},	// QsciScintillaBase::SCN_STYLENEEDED$
    {75, 542, 1581},	// QsciScintillaBase::SCN_UPDATEUI
    {75, 544, 1582},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {75, 545, 1583},	// QsciScintillaBase::SCN_ZOOM
    {75, 563, 1604},	// QsciScintillaBase::SendScintilla$
    {75, 564, 1554},	// QsciScintillaBase::SendScintilla$#
    {75, 565, -3396},	// QsciScintillaBase::SendScintilla$$
    {75, 566, -3401},	// QsciScintillaBase::SendScintilla$$#
    {75, 567, 1555},	// QsciScintillaBase::SendScintilla$$##$$
    {75, 568, -3404},	// QsciScintillaBase::SendScintilla$$$
    {75, 569, 1552},	// QsciScintillaBase::SendScintilla$$$$
    {75, 571, 1557},	// QsciScintillaBase::SendScintillaPtrResult$
    {75, 725, 1584},	// QsciScintillaBase::contextMenuEvent#
    {75, 752, 1585},	// QsciScintillaBase::dragEnterEvent#
    {75, 754, 1586},	// QsciScintillaBase::dragLeaveEvent#
    {75, 756, 1587},	// QsciScintillaBase::dragMoveEvent#
    {75, 758, 1588},	// QsciScintillaBase::dropEvent#
    {75, 788, 1589},	// QsciScintillaBase::focusInEvent#
    {75, 790, 1591},	// QsciScintillaBase::focusNextPrevChild$
    {75, 792, 1590},	// QsciScintillaBase::focusOutEvent#
    {75, 834, 1593},	// QsciScintillaBase::inputMethodEvent#
    {75, 854, 1592},	// QsciScintillaBase::keyPressEvent#
    {75, 911, 1536},	// QsciScintillaBase::metaObject
    {75, 918, 1594},	// QsciScintillaBase::mouseDoubleClickEvent#
    {75, 920, 1595},	// QsciScintillaBase::mouseMoveEvent#
    {75, 922, 1596},	// QsciScintillaBase::mousePressEvent#
    {75, 924, 1597},	// QsciScintillaBase::mouseReleaseEvent#
    {75, 931, 1598},	// QsciScintillaBase::paintEvent#
    {75, 939, 1544},	// QsciScintillaBase::pool
    {75, 950, 1542},	// QsciScintillaBase::qt_metacall$$?
    {75, 952, 1537},	// QsciScintillaBase::qt_metacast$
    {75, 976, 1599},	// QsciScintillaBase::resizeEvent#
    {75, 981, 1600},	// QsciScintillaBase::scrollContentsBy$$
    {75, 1203, 1606},	// QsciScintillaBase::staticMetaObject
    {75, 1217, 1601},	// QsciScintillaBase::tr$
    {75, 1218, 1538},	// QsciScintillaBase::tr$$
    {75, 1219, 1540},	// QsciScintillaBase::tr$$$
    {75, 1221, 1602},	// QsciScintillaBase::trUtf8$
    {75, 1222, 1539},	// QsciScintillaBase::trUtf8$$
    {75, 1223, 1541},	// QsciScintillaBase::trUtf8$$$
    {75, 1287, 4905},	// QsciScintillaBase::~QsciScintillaBase
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 77,
        __smokeqsci::methods, 4906,
        __smokeqsci::methodMaps, 1654,
        __smokeqsci::methodNames, 1287,
        __smokeqsci::types, 215,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
