#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 49: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 49: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 49: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 49: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 49: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 47: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 73: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 64: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 68: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 49: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 49: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCookie
      switch(to) {
        case 40: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCookieJar
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 49: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkInterface
      switch(to) {
        case 43: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkProxy
      switch(to) {
        case 44: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkProxyFactory
      switch(to) {
        case 45: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxyQuery
      switch(to) {
        case 46: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 49: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 47: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkRequest
      switch(to) {
        case 48: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 47: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 73: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 64: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 68: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 67: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPersistentModelIndex
      switch(to) {
        case 50: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QRect
      switch(to) {
        case 53: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 54:   //QRectF
      switch(to) {
        case 54: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 55:   //QRegExp
      switch(to) {
        case 55: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 56:   //QSize
      switch(to) {
        case 56: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 57:   //QSizeF
      switch(to) {
        case 57: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 59:   //QSslCertificate
      switch(to) {
        case 59: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 60:   //QSslCipher
      switch(to) {
        case 60: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 61:   //QSslConfiguration
      switch(to) {
        case 61: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 62:   //QSslError
      switch(to) {
        case 62: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 63:   //QSslKey
      switch(to) {
        case 63: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 64:   //QSslSocket
      switch(to) {
        case 68: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 49: return (void*)(QObject*)(QSslSocket*)xptr;
        case 64: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 65:   //QString::Null
      switch(to) {
        case 65: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 66:   //QStringRef
      switch(to) {
        case 66: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 67:   //QTcpServer
      switch(to) {
        case 49: return (void*)(QObject*)(QTcpServer*)xptr;
        case 67: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 68:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 49: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 69:   //QTextStream
      switch(to) {
        case 69: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 70:   //QTextStreamManipulator
      switch(to) {
        case 70: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 49: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QUrl
      switch(to) {
        case 74: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 75:   //QUrlInfo
      switch(to) {
        case 75: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 76:   //QUuid
      switch(to) {
        case 76: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //sockaddr
      switch(to) {
        case 79: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    68, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemSemaphore(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextBoundaryFinder(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibraryInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextCodec(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractAnimation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTimeLine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QXmlStreamReader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHistoryState(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCryptographicHash(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLibrary(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QStateMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QThread(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QReadWriteLock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDirIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractFileEngineIterator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMutex(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFutureInterfaceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSocketNotifier(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSharedMemory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//40
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//41
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//42
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//43
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//44
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//45
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//46
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//47
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QRect", true, 0, 0, 0, 0, 0 },	//53
    { "QRectF", true, 0, 0, 0, 0, 0 },	//54
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//55
    { "QSize", true, 0, 0, 0, 0, 0 },	//56
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//57
    { "QSsl", false, 0, xcall_QSsl, 0, Smoke::cf_namespace, 0 },	//58
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//59
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//60
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//61
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//62
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//63
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//64
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//65
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//66
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//67
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//68
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//69
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//73
    { "QUrl", true, 0, 0, 0, 0, 0 },	//74
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//75
    { "QUuid", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filters", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QDir::Filters::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QDir::SortFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QDirIterator::IteratorFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QFile::Permissions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filters::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permissions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QFlags<QNetworkInterface::InterfaceFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QFlags<QNetworkProxy::Capabilities::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QFlags<QString::SectionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QFlags<QTextCodec::ConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QFlags<QTextStream::NumberFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QFlags<QUdpSocket::BindMode::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QFlags<QUrl::FormattingOptions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QFlags<Qt::Alignment::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QFlags<Qt::DockWidgetAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QFlags<Qt::DropActions::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QFlags<Qt::GestureFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QFlags<Qt::ImageConversionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QFlags<Qt::InputMethodHints::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//53
    { "QFlags<Qt::ItemFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//54
    { "QFlags<Qt::KeyboardModifiers::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QFlags<Qt::MatchFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QFlags<Qt::MouseButtons::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//57
    { "QFlags<Qt::Orientations::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QFlags<Qt::TextInteractionFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QFlags<Qt::ToolBarAreas::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QFlags<Qt::TouchPointStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QFlags<Qt::WindowFlags::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QFlags<Qt::WindowStates::enum_type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//65
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//71
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//72
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//75
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//76
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//83
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//85
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//88
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//89
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QIODevice::OpenMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//94
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//96
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QLibrary::LoadHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//99
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//100
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//112
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//117
    { "QLocale::NumberOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//123
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//125
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//126
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref },	//128
    { "QNetworkCookie*", 40, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QNetworkCookie::RawForm", 40, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QNetworkCookieJar*", 41, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QNetworkDiskCache*", 42, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QNetworkInterface", 43, Smoke::t_class|Smoke::tf_stack },	//133
    { "QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref },	//134
    { "QNetworkInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QNetworkInterface::InterfaceFlag", 43, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "QNetworkInterface::InterfaceFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//138
    { "QNetworkProxy", 44, Smoke::t_class|Smoke::tf_stack },	//139
    { "QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref },	//140
    { "QNetworkProxy*", 44, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkProxy::Capabilities", 0, Smoke::t_uint|Smoke::tf_stack },	//142
    { "QNetworkProxy::Capabilities::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//143
    { "QNetworkProxy::Capability", 44, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkProxy::ProxyType", 44, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QNetworkProxyFactory*", 45, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref },	//147
    { "QNetworkProxyQuery*", 46, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QNetworkProxyQuery::QueryType", 46, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QNetworkReply*", 47, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkReply::NetworkError", 47, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkRequest", 48, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkRequest*", 48, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkRequest::Attribute", 48, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkRequest::CacheLoadControl", 48, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QNetworkRequest::KnownHeaders", 48, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QObject*(*)()", 49, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//161
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//162
    { "QRect&", 53, Smoke::t_class|Smoke::tf_ref },	//163
    { "QRectF&", 54, Smoke::t_class|Smoke::tf_ref },	//164
    { "QRegExp&", 55, Smoke::t_class|Smoke::tf_ref },	//165
    { "QRegExp::PatternSyntax", 55, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QSize&", 56, Smoke::t_class|Smoke::tf_ref },	//167
    { "QSizeF&", 57, Smoke::t_class|Smoke::tf_ref },	//168
    { "QSsl::AlternateNameEntryType", 58, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QSsl::EncodingFormat", 58, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QSsl::KeyAlgorithm", 58, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QSsl::KeyType", 58, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QSsl::SslProtocol", 58, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QSslCertificate", 59, Smoke::t_class|Smoke::tf_stack },	//174
    { "QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref },	//175
    { "QSslCertificate*", 59, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QSslCertificate::SubjectInfo", 59, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QSslCipher", 60, Smoke::t_class|Smoke::tf_stack },	//178
    { "QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref },	//179
    { "QSslCipher*", 60, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QSslConfiguration", 61, Smoke::t_class|Smoke::tf_stack },	//181
    { "QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref },	//182
    { "QSslConfiguration*", 61, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QSslError&", 62, Smoke::t_class|Smoke::tf_ref },	//184
    { "QSslError*", 62, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QSslError::SslError", 62, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSslKey", 63, Smoke::t_class|Smoke::tf_stack },	//187
    { "QSslKey&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QSslKey*", 63, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QSslSocket*", 64, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QSslSocket::PeerVerifyMode", 64, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QSslSocket::SslMode", 64, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//193
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//194
    { "QString::Null", 65, Smoke::t_class|Smoke::tf_stack },	//195
    { "QString::SectionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//198
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
    { "QTcpServer*", 67, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QTcpSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QTextCodec::ConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//202
    { "QTextStream&", 69, Smoke::t_class|Smoke::tf_ref },	//203
    { "QTextStream&(*)(QTextStream&)", 69, Smoke::t_class|Smoke::tf_ref },	//204
    { "QTextStream::NumberFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//205
    { "QTextStreamManipulator", 70, Smoke::t_class|Smoke::tf_stack },	//206
    { "QTime&", 71, Smoke::t_class|Smoke::tf_ref },	//207
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QUdpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QUdpSocket::BindFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QUdpSocket::BindMode", 0, Smoke::t_uint|Smoke::tf_stack },	//211
    { "QUdpSocket::BindMode::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QUrl", 74, Smoke::t_class|Smoke::tf_stack },	//213
    { "QUrl&", 74, Smoke::t_class|Smoke::tf_ref },	//214
    { "QUrl::FormattingOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//215
    { "QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref },	//216
    { "QUrlInfo*", 75, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QUrlInfo::PermissionSpec", 75, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QUuid&", 76, Smoke::t_class|Smoke::tf_ref },	//219
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//220
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//221
    { "QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//223
    { "Qt::Alignment::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//224
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::DockWidgetAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::DropActions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::GestureFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::ImageConversionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::InputMethodHints::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::ItemFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::KeyboardModifiers::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::MatchFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//274
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::MouseButtons::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::Orientations::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//280
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TextInteractionFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ToolBarAreas::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//298
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::TouchPointStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//301
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::WindowFlags::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::WindowStates::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//309
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//314
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//315
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//316
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//317
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//318
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//319
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//320
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//321
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//322
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//323
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//324
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//325
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//326
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//327
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//328
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//329
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//330
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//331
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//332
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//333
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//334
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//335
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//336
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//339
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//367
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QNetworkProxyFactory&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//377
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QPersistentModelIndex&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//380
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//382
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QRect&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QRectF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QRegExp&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QRegExp*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const QSize", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//388
    { "const QSize&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QSizeF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//390
    { "const QSizeF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QSslError&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QSslError::SslError&", 62, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QSslKey&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//401
    { "const QStringRef&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QUrl&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QUuid&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//408
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const sockaddr*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//413
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//414
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//415
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//416
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//417
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//418
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//419
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//420
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//421
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//422
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//423
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//424
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//425
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//426
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//427
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//428
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//429
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//430
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//431
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//432
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//433
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//434
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//435
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    410, 0,	//1  const char*
    410, 410, 0,	//3  const char*, const char*
    410, 410, 416, 0,	//6  const char*, const char*, int
    119, 416, 434, 0,	//10  QMetaObject::Call, int, void**
    404, 0,	//14  const QUrl&
    370, 0,	//16  const QNetworkCacheMetaData&
    91, 0,	//18  QIODevice*
    158, 0,	//20  QObject*
    8, 158, 0,	//22  QAbstractSocket::SocketType, QObject*
    399, 428, 92, 0,	//25  const QString&, unsigned short, QIODevice::OpenMode
    348, 428, 92, 0,	//29  const QHostAddress&, unsigned short, QIODevice::OpenMode
    418, 0,	//33  long long
    416, 7, 92, 0,	//35  int, QAbstractSocket::SocketState, QIODevice::OpenMode
    6, 407, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    416, 0,	//44  int
    373, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    373, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    336, 418, 0,	//55  char*, long long
    410, 418, 0,	//58  const char*, long long
    428, 0,	//61  unsigned short
    348, 0,	//63  const QHostAddress&
    399, 0,	//65  const QString&
    399, 428, 0,	//67  const QString&, unsigned short
    348, 428, 0,	//70  const QHostAddress&, unsigned short
    416, 7, 0,	//73  int, QAbstractSocket::SocketState
    337, 0,	//76  const QAuthenticator&
    399, 399, 0,	//78  const QString&, const QString&
    68, 0,	//81  QFtp::TransferMode
    399, 91, 69, 0,	//83  const QString&, QIODevice*, QFtp::TransferType
    340, 399, 69, 0,	//87  const QByteArray&, const QString&, QFtp::TransferType
    91, 399, 69, 0,	//91  QIODevice*, const QString&, QFtp::TransferType
    405, 0,	//95  const QUrlInfo&
    418, 418, 0,	//97  long long, long long
    416, 399, 0,	//100  int, const QString&
    416, 333, 0,	//103  int, bool
    333, 0,	//106  bool
    399, 91, 0,	//108  const QString&, QIODevice*
    340, 399, 0,	//111  const QByteArray&, const QString&
    91, 399, 0,	//114  QIODevice*, const QString&
    414, 0,	//117  double
    205, 45, 0,	//119  QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>
    248, 248, 0,	//122  Qt::DropActions::enum_type, Qt::DropActions::enum_type
    20, 17, 0,	//125  QDataStream&, QChar&
    270, 55, 0,	//128  Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>
    410, 354, 0,	//131  const char*, const QLatin1String&
    20, 117, 0,	//134  QDataStream&, QLocale&
    336, 410, 425, 0,	//137  char*, const char*, unsigned int
    425, 0,	//141  unsigned int
    335, 0,	//143  char
    391, 414, 0,	//145  const QSizeF&, double
    24, 355, 0,	//148  QDebug, const QLine&
    340, 410, 0,	//151  const QByteArray&, const char*
    410, 399, 0,	//154  const char*, const QString&
    20, 163, 0,	//157  QDataStream&, QRect&
    98, 416, 0,	//160  QLibrary::LoadHints::enum_type, int
    407, 409, 0,	//163  const QVariant&, const QVariantComparisonHelper&
    118, 118, 0,	//166  QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type
    389, 389, 0,	//169  const QSize&, const QSize&
    24, 348, 0,	//172  QDebug, const QHostAddress&
    16, 399, 0,	//175  QChar, const QString&
    270, 416, 0,	//178  Qt::KeyboardModifiers::enum_type, int
    410, 410, 425, 0,	//181  const char*, const char*, unsigned int
    354, 354, 0,	//185  const QLatin1String&, const QLatin1String&
    402, 402, 0,	//188  const QStringRef&, const QStringRef&
    24, 115, 0,	//191  QDebug, QLocalSocket::LocalSocketError
    336, 421, 410, 430, 0,	//194  char*, size_t, const char*, va_list
    205, 205, 0,	//199  QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type
    383, 383, 0,	//202  const QPointF&, const QPointF&
    399, 402, 0,	//205  const QString&, const QStringRef&
    20, 348, 0,	//208  QDataStream&, const QHostAddress&
    399, 16, 0,	//211  const QString&, QChar
    410, 425, 0,	//214  const char*, unsigned int
    301, 301, 0,	//217  Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type
    309, 416, 0,	//220  Qt::WindowStates::enum_type, int
    354, 402, 0,	//223  const QLatin1String&, const QStringRef&
    24, 342, 0,	//226  QDebug, const QDate&
    24, 356, 0,	//229  QDebug, const QLineF&
    385, 385, 0,	//232  const QRectF&, const QRectF&
    422, 0,	//235  unsigned char
    377, 399, 387, 366, 112, 0,	//237  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    402, 354, 0,	//243  const QStringRef&, const QLatin1String&
    305, 62, 0,	//246  Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>
    20, 21, 0,	//249  QDataStream&, QDate&
    415, 0,	//252  float
    16, 16, 0,	//254  QChar, QChar
    16, 0,	//257  QChar
    20, 214, 0,	//259  QDataStream&, QUrl&
    118, 416, 0,	//262  QLocale::NumberOptions::enum_type, int
    24, 368, 0,	//265  QDebug, const QModelIndex&
    24, 396, 0,	//268  QDebug, const QSslError::SslError&
    93, 416, 0,	//271  QIODevice::OpenMode::enum_type, int
    410, 416, 0,	//274  const char*, int
    254, 254, 0,	//277  Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type
    414, 414, 0,	//280  double, double
    20, 408, 0,	//283  QDataStream&, const QVariant::Type
    419, 0,	//286  short
    20, 407, 0,	//288  QDataStream&, const QVariant&
    24, 392, 0,	//291  QDebug, const QSslCertificate&
    417, 0,	//294  long
    143, 416, 0,	//296  QNetworkProxy::Capabilities::enum_type, int
    20, 391, 0,	//299  QDataStream&, const QSizeF&
    195, 195, 0,	//302  QString::Null, QString::Null
    410, 340, 0,	//305  const char*, const QByteArray&
    138, 416, 0,	//308  QNetworkInterface::InterfaceFlags::enum_type, int
    74, 348, 0,	//311  QHostAddress::SpecialAddress, const QHostAddress&
    338, 0,	//314  const QBitArray&
    336, 410, 0,	//316  char*, const char*
    338, 338, 0,	//319  const QBitArray&, const QBitArray&
    381, 381, 0,	//322  const QPoint&, const QPoint&
    30, 416, 0,	//325  QEventLoop::ProcessEventsFlags::enum_type, int
    27, 27, 0,	//328  QDir::SortFlags::enum_type, QDir::SortFlags::enum_type
    138, 138, 0,	//331  QNetworkInterface::InterfaceFlags::enum_type, QNetworkInterface::InterfaceFlags::enum_type
    383, 414, 0,	//334  const QPointF&, double
    215, 215, 0,	//337  QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type
    24, 391, 0,	//340  QDebug, const QSizeF&
    98, 39, 0,	//343  QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>
    347, 347, 0,	//346  const QHashDummyValue&, const QHashDummyValue&
    26, 416, 0,	//349  QDir::Filters::enum_type, int
    277, 416, 0,	//352  Qt::MouseButtons::enum_type, int
    384, 384, 0,	//355  const QRect&, const QRect&
    20, 219, 0,	//358  QDataStream&, QUuid&
    340, 340, 0,	//361  const QByteArray&, const QByteArray&
    412, 416, 0,	//364  const unsigned char*, int
    246, 416, 0,	//367  Qt::DockWidgetAreas::enum_type, int
    340, 416, 0,	//370  const QByteArray&, int
    340, 0,	//373  const QByteArray&
    277, 57, 0,	//375  Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>
    20, 399, 0,	//378  QDataStream&, const QString&
    203, 204, 0,	//381  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 395, 0,	//384  QDebug, const QSslError&
    433, 421, 421, 421, 0,	//387  void*, size_t, size_t, size_t
    93, 93, 0,	//392  QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type
    298, 416, 0,	//395  Qt::ToolBarAreas::enum_type, int
    20, 381, 0,	//398  QDataStream&, const QPoint&
    24, 7, 0,	//401  QDebug, QAbstractSocket::SocketState
    24, 384, 0,	//404  QDebug, const QRect&
    24, 5, 0,	//407  QDebug, QAbstractSocket::SocketError
    118, 40, 0,	//410  QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>
    224, 224, 0,	//413  Qt::Alignment::enum_type, Qt::Alignment::enum_type
    280, 58, 0,	//416  Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>
    93, 38, 0,	//419  QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>
    24, 344, 0,	//422  QDebug, const QDir&
    259, 416, 0,	//425  Qt::ImageConversionFlags::enum_type, int
    433, 421, 0,	//428  void*, size_t
    399, 195, 0,	//431  const QString&, QString::Null
    24, 177, 0,	//434  QDebug, QSslCertificate::SubjectInfo
    254, 416, 0,	//437  Qt::GestureFlags::enum_type, int
    20, 100, 0,	//440  QDataStream&, QLineF&
    24, 397, 0,	//443  QDebug, const QSslKey&
    20, 356, 0,	//446  QDataStream&, const QLineF&
    391, 391, 0,	//449  const QSizeF&, const QSizeF&
    414, 389, 0,	//452  double, const QSize&
    293, 293, 0,	//455  Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type
    224, 48, 0,	//458  Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>
    383, 0,	//461  const QPointF&
    24, 389, 0,	//463  QDebug, const QSize&
    212, 46, 0,	//466  QUdpSocket::BindMode::enum_type, QFlags<QUdpSocket::BindMode::enum_type>
    196, 196, 0,	//469  QString::SectionFlags::enum_type, QString::SectionFlags::enum_type
    24, 381, 0,	//472  QDebug, const QPoint&
    212, 416, 0,	//475  QUdpSocket::BindMode::enum_type, int
    24, 404, 0,	//478  QDebug, const QUrl&
    381, 0,	//481  const QPoint&
    301, 61, 0,	//483  Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>
    20, 383, 0,	//486  QDataStream&, const QPointF&
    20, 72, 0,	//489  QDataStream&, QHostAddress&
    13, 13, 0,	//492  QBool, QBool
    399, 335, 0,	//495  const QString&, char
    410, 402, 0,	//498  const char*, const QStringRef&
    427, 0,	//501  unsigned long long
    28, 28, 0,	//503  QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type
    24, 383, 0,	//506  QDebug, const QPointF&
    195, 399, 0,	//509  QString::Null, const QString&
    215, 47, 0,	//512  QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>
    431, 0,	//515  void(*)()
    20, 164, 0,	//517  QDataStream&, QRectF&
    415, 415, 0,	//520  float, float
    20, 341, 0,	//523  QDataStream&, const QChar&
    20, 162, 0,	//526  QDataStream&, QPointF&
    389, 414, 0,	//529  const QSize&, double
    432, 0,	//532  void(*)(QtMsgType,const char*)
    203, 206, 0,	//534  QTextStream&, QTextStreamManipulator
    20, 99, 0,	//537  QDataStream&, QLine&
    262, 416, 0,	//540  Qt::InputMethodHints::enum_type, int
    381, 414, 0,	//543  const QPoint&, double
    262, 262, 0,	//546  Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type
    20, 340, 0,	//549  QDataStream&, const QByteArray&
    20, 370, 0,	//552  QDataStream&, const QNetworkCacheMetaData&
    293, 416, 0,	//555  Qt::TextInteractionFlags::enum_type, int
    20, 194, 0,	//558  QDataStream&, QString&
    377, 399, 366, 0,	//561  const QObject*, const QString&, const QMetaObject&
    20, 385, 0,	//565  QDataStream&, const QRectF&
    27, 416, 0,	//568  QDir::SortFlags::enum_type, int
    28, 35, 0,	//571  QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>
    20, 12, 0,	//574  QDataStream&, QBitArray&
    1, 32, 0,	//577  QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>
    20, 167, 0,	//580  QDataStream&, QSize&
    305, 305, 0,	//583  Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type
    333, 13, 0,	//586  bool, QBool
    20, 23, 0,	//589  QDataStream&, QDateTime&
    407, 222, 433, 0,	//592  const QVariant&, QVariant::Type, void*
    248, 416, 0,	//596  Qt::DropActions::enum_type, int
    402, 399, 0,	//599  const QStringRef&, const QString&
    412, 424, 416, 0,	//602  const unsigned char*, unsigned char*, int
    20, 343, 0,	//606  QDataStream&, const QDateTime&
    196, 43, 0,	//609  QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>
    280, 416, 0,	//612  Qt::Orientations::enum_type, int
    215, 416, 0,	//615  QUrl::FormattingOptions::enum_type, int
    313, 410, 0,	//618  QtMsgType, const char*
    365, 365, 0,	//621  const QMargins&, const QMargins&
    224, 416, 0,	//624  Qt::Alignment::enum_type, int
    1, 416, 0,	//627  QAbstractFileEngine::FileFlags::enum_type, int
    24, 408, 0,	//630  QDebug, const QVariant::Type
    20, 207, 0,	//633  QDataStream&, QTime&
    433, 416, 421, 0,	//636  void*, int, size_t
    24, 343, 0,	//640  QDebug, const QDateTime&
    298, 60, 0,	//643  Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>
    143, 143, 0,	//646  QNetworkProxy::Capabilities::enum_type, QNetworkProxy::Capabilities::enum_type
    420, 0,	//649  signed char
    20, 198, 0,	//651  QDataStream&, QStringList&
    24, 407, 0,	//654  QDebug, const QVariant&
    205, 416, 0,	//657  QTextStream::NumberFlags::enum_type, int
    159, 0,	//660  QObject*(*)()
    274, 274, 0,	//662  Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type
    414, 383, 0,	//665  double, const QPointF&
    26, 26, 0,	//668  QDir::Filters::enum_type, QDir::Filters::enum_type
    20, 404, 0,	//671  QDataStream&, const QUrl&
    20, 403, 0,	//674  QDataStream&, const QTime&
    20, 161, 0,	//677  QDataStream&, QPoint&
    266, 266, 0,	//680  Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type
    402, 0,	//683  const QStringRef&
    20, 165, 0,	//685  QDataStream&, QRegExp&
    298, 298, 0,	//688  Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type
    20, 364, 0,	//691  QDataStream&, const QLocale&
    27, 34, 0,	//694  QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>
    305, 416, 0,	//697  Qt::WindowFlags::enum_type, int
    421, 421, 0,	//700  size_t, size_t
    20, 338, 0,	//703  QDataStream&, const QBitArray&
    399, 340, 0,	//706  const QString&, const QByteArray&
    410, 410, 410, 416, 0,	//709  const char*, const char*, const char*, int
    309, 309, 0,	//714  Qt::WindowStates::enum_type, Qt::WindowStates::enum_type
    270, 270, 0,	//717  Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type
    340, 335, 0,	//720  const QByteArray&, char
    31, 416, 0,	//723  QFile::Permissions::enum_type, int
    20, 406, 0,	//726  QDataStream&, const QUuid&
    30, 36, 0,	//729  QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>
    20, 355, 0,	//732  QDataStream&, const QLine&
    274, 416, 0,	//735  Qt::MatchFlags::enum_type, int
    138, 41, 0,	//738  QNetworkInterface::InterfaceFlags::enum_type, QFlags<QNetworkInterface::InterfaceFlags::enum_type>
    402, 410, 0,	//741  const QStringRef&, const char*
    24, 371, 0,	//744  QDebug, const QNetworkCookie&
    20, 342, 0,	//747  QDataStream&, const QDate&
    335, 340, 0,	//750  char, const QByteArray&
    399, 410, 0,	//753  const QString&, const char*
    246, 49, 0,	//756  Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>
    412, 416, 416, 0,	//759  const unsigned char*, int, int
    202, 416, 0,	//763  QTextCodec::ConversionFlags::enum_type, int
    266, 54, 0,	//766  Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>
    13, 333, 0,	//769  QBool, bool
    24, 92, 0,	//772  QDebug, QIODevice::OpenMode
    20, 400, 0,	//775  QDataStream&, const QStringList&
    28, 416, 0,	//778  QDirIterator::IteratorFlags::enum_type, int
    20, 386, 0,	//781  QDataStream&, const QRegExp&
    309, 63, 0,	//784  Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>
    433, 413, 421, 0,	//787  void*, const void*, size_t
    433, 0,	//791  void*
    24, 116, 0,	//793  QDebug, QLocalSocket::LocalSocketState
    24, 379, 0,	//796  QDebug, const QPersistentModelIndex&
    20, 221, 0,	//799  QDataStream&, QVariant&
    414, 381, 0,	//802  double, const QPoint&
    24, 372, 0,	//805  QDebug, const QNetworkInterface&
    293, 59, 0,	//808  Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>
    30, 30, 0,	//811  QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type
    274, 56, 0,	//814  Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>
    24, 377, 0,	//817  QDebug, const QObject*
    24, 393, 0,	//820  QDebug, const QSslCipher&
    143, 42, 0,	//823  QNetworkProxy::Capabilities::enum_type, QFlags<QNetworkProxy::Capabilities::enum_type>
    20, 126, 0,	//826  QDataStream&, QNetworkCacheMetaData&
    24, 385, 0,	//829  QDebug, const QRectF&
    280, 280, 0,	//832  Qt::Orientations::enum_type, Qt::Orientations::enum_type
    98, 98, 0,	//835  QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type
    202, 202, 0,	//838  QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type
    301, 416, 0,	//841  Qt::TouchPointStates::enum_type, int
    196, 416, 0,	//844  QString::SectionFlags::enum_type, int
    259, 52, 0,	//847  Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>
    426, 0,	//850  unsigned long
    26, 33, 0,	//852  QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>
    31, 37, 0,	//855  QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>
    421, 0,	//858  size_t
    20, 15, 0,	//860  QDataStream&, QByteArray&
    20, 223, 0,	//863  QDataStream&, QVariant::Type&
    20, 384, 0,	//866  QDataStream&, const QRect&
    24, 345, 0,	//869  QDebug, const QEasingCurve&
    254, 51, 0,	//872  Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>
    24, 25, 0,	//875  QDebug, QDir::Filters
    379, 0,	//878  const QPersistentModelIndex&
    266, 416, 0,	//880  Qt::ItemFlags::enum_type, int
    24, 403, 0,	//883  QDebug, const QTime&
    262, 53, 0,	//886  Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>
    202, 44, 0,	//889  QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>
    31, 31, 0,	//892  QFile::Permissions::enum_type, QFile::Permissions::enum_type
    1, 1, 0,	//895  QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type
    414, 391, 0,	//898  double, const QSizeF&
    24, 365, 0,	//901  QDebug, const QMargins&
    368, 0,	//904  const QModelIndex&
    259, 259, 0,	//906  Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type
    277, 277, 0,	//909  Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type
    212, 212, 0,	//912  QUdpSocket::BindMode::enum_type, QUdpSocket::BindMode::enum_type
    246, 246, 0,	//915  Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type
    20, 168, 0,	//918  QDataStream&, QSizeF&
    248, 50, 0,	//921  Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>
    335, 399, 0,	//924  char, const QString&
    20, 389, 0,	//927  QDataStream&, const QSize&
    424, 0,	//930  unsigned char*
    353, 0,	//932  const QIPv6Address&
    411, 0,	//934  const sockaddr*
    74, 0,	//936  QHostAddress::SpecialAddress
    348, 416, 0,	//938  const QHostAddress&, int
    378, 0,	//941  const QPair<QHostAddress,int>&
    349, 0,	//943  const QHostInfo&
    357, 0,	//945  const QList<QHostAddress>&
    78, 0,	//947  QHostInfo::HostInfoError
    399, 158, 410, 0,	//949  const QString&, QObject*, const char*
    399, 428, 158, 0,	//953  const QString&, unsigned short, QObject*
    399, 80, 428, 158, 0,	//957  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    399, 80, 428, 0,	//962  const QString&, QHttp::ConnectionMode, unsigned short
    201, 0,	//966  QTcpSocket*
    399, 416, 399, 399, 0,	//968  const QString&, int, const QString&, const QString&
    399, 91, 91, 0,	//973  const QString&, QIODevice*, QIODevice*
    399, 340, 91, 0,	//977  const QString&, const QByteArray&, QIODevice*
    351, 91, 91, 0,	//981  const QHttpRequestHeader&, QIODevice*, QIODevice*
    351, 340, 91, 0,	//985  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    352, 0,	//989  const QHttpResponseHeader&
    416, 416, 0,	//991  int, int
    399, 428, 10, 0,	//994  const QString&, unsigned short, QAuthenticator*
    363, 0,	//998  const QList<QSslError>&
    399, 80, 0,	//1000  const QString&, QHttp::ConnectionMode
    399, 416, 0,	//1003  const QString&, int
    399, 416, 399, 0,	//1006  const QString&, int, const QString&
    351, 0,	//1010  const QHttpRequestHeader&
    351, 91, 0,	//1012  const QHttpRequestHeader&, QIODevice*
    351, 340, 0,	//1015  const QHttpRequestHeader&, const QByteArray&
    350, 0,	//1018  const QHttpHeader&
    360, 0,	//1020  const QList<QPair<QString,QString> >&
    399, 399, 416, 416, 0,	//1022  const QString&, const QString&, int, int
    399, 399, 416, 0,	//1027  const QString&, const QString&, int
    416, 399, 416, 416, 0,	//1031  int, const QString&, int, int
    416, 399, 416, 0,	//1036  int, const QString&, int
    92, 0,	//1040  QIODevice::OpenMode
    416, 334, 0,	//1042  int, bool*
    97, 0,	//1045  QIntegerForSizeof< void* >::Unsigned
    399, 92, 0,	//1047  const QString&, QIODevice::OpenMode
    97, 116, 92, 0,	//1050  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QIODevice::OpenMode
    115, 0,	//1054  QLocalSocket::LocalSocketError
    116, 0,	//1056  QLocalSocket::LocalSocketState
    97, 116, 0,	//1058  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    146, 0,	//1061  QNetworkProxyFactory*
    2, 0,	//1063  QAbstractNetworkCache*
    131, 0,	//1065  QNetworkCookieJar*
    376, 0,	//1067  const QNetworkRequest&
    376, 91, 0,	//1069  const QNetworkRequest&, QIODevice*
    376, 340, 0,	//1072  const QNetworkRequest&, const QByteArray&
    150, 10, 0,	//1075  QNetworkReply*, QAuthenticator*
    150, 0,	//1078  QNetworkReply*
    150, 363, 0,	//1080  QNetworkReply*, const QList<QSslError>&
    122, 376, 91, 0,	//1083  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    122, 376, 0,	//1087  QNetworkAccessManager::Operation, const QNetworkRequest&
    369, 0,	//1090  const QNetworkAddressEntry&
    359, 0,	//1092  const QList<QPair<QByteArray,QByteArray> >&
    343, 0,	//1094  const QDateTime&
    346, 0,	//1096  const QHash<QNetworkRequest::Attribute,QVariant>&
    371, 0,	//1098  const QNetworkCookie&
    130, 0,	//1100  QNetworkCookie::RawForm
    358, 404, 0,	//1102  const QList<QNetworkCookie>&, const QUrl&
    358, 0,	//1105  const QList<QNetworkCookie>&
    372, 0,	//1107  const QNetworkInterface&
    145, 399, 428, 399, 399, 0,	//1109  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    145, 0,	//1115  QNetworkProxy::ProxyType
    142, 0,	//1117  QNetworkProxy::Capabilities
    145, 399, 0,	//1119  QNetworkProxy::ProxyType, const QString&
    145, 399, 428, 0,	//1122  QNetworkProxy::ProxyType, const QString&, unsigned short
    145, 399, 428, 399, 0,	//1126  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    375, 0,	//1131  const QNetworkProxyQuery&
    374, 0,	//1133  const QNetworkProxyFactory&
    404, 149, 0,	//1135  const QUrl&, QNetworkProxyQuery::QueryType
    399, 416, 399, 149, 0,	//1138  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    428, 399, 149, 0,	//1143  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    149, 0,	//1147  QNetworkProxyQuery::QueryType
    428, 399, 0,	//1149  unsigned short, const QString&
    157, 0,	//1152  QNetworkRequest::KnownHeaders
    155, 0,	//1154  QNetworkRequest::Attribute
    394, 0,	//1156  const QSslConfiguration&
    151, 0,	//1158  QNetworkReply::NetworkError
    122, 0,	//1160  QNetworkAccessManager::Operation
    151, 399, 0,	//1162  QNetworkReply::NetworkError, const QString&
    157, 407, 0,	//1165  QNetworkRequest::KnownHeaders, const QVariant&
    155, 407, 0,	//1168  QNetworkRequest::Attribute, const QVariant&
    29, 0,	//1171  QEvent*
    158, 29, 0,	//1173  QObject*, QEvent*
    208, 0,	//1176  QTimerEvent*
    18, 0,	//1178  QChildEvent*
    91, 170, 0,	//1180  QIODevice*, QSsl::EncodingFormat
    340, 170, 0,	//1183  const QByteArray&, QSsl::EncodingFormat
    392, 0,	//1186  const QSslCertificate&
    19, 0,	//1188  QCryptographicHash::Algorithm
    177, 0,	//1190  QSslCertificate::SubjectInfo
    399, 170, 166, 0,	//1192  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    399, 170, 0,	//1196  const QString&, QSsl::EncodingFormat
    399, 173, 0,	//1199  const QString&, QSsl::SslProtocol
    393, 0,	//1202  const QSslCipher&
    173, 0,	//1204  QSsl::SslProtocol
    191, 0,	//1206  QSslSocket::PeerVerifyMode
    397, 0,	//1208  const QSslKey&
    362, 0,	//1210  const QList<QSslCipher>&
    361, 0,	//1212  const QList<QSslCertificate>&
    186, 0,	//1214  QSslError::SslError
    186, 392, 0,	//1216  QSslError::SslError, const QSslCertificate&
    395, 0,	//1219  const QSslError&
    340, 171, 170, 172, 340, 0,	//1221  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    91, 171, 170, 172, 340, 0,	//1227  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    340, 171, 0,	//1233  const QByteArray&, QSsl::KeyAlgorithm
    340, 171, 170, 0,	//1236  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    340, 171, 170, 172, 0,	//1240  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    91, 171, 0,	//1245  QIODevice*, QSsl::KeyAlgorithm
    91, 171, 170, 0,	//1248  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    91, 171, 170, 172, 0,	//1252  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    399, 428, 399, 92, 0,	//1257  const QString&, unsigned short, const QString&, QIODevice::OpenMode
    399, 171, 170, 340, 0,	//1262  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    192, 0,	//1267  QSslSocket::SslMode
    399, 428, 399, 0,	//1269  const QString&, unsigned short, const QString&
    399, 171, 0,	//1273  const QString&, QSsl::KeyAlgorithm
    399, 171, 170, 0,	//1276  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    348, 428, 211, 0,	//1280  const QHostAddress&, unsigned short, QUdpSocket::BindMode
    428, 211, 0,	//1284  unsigned short, QUdpSocket::BindMode
    336, 418, 73, 429, 0,	//1287  char*, long long, QHostAddress*, unsigned short*
    410, 418, 348, 428, 0,	//1292  const char*, long long, const QHostAddress&, unsigned short
    340, 348, 428, 0,	//1297  const QByteArray&, const QHostAddress&, unsigned short
    336, 418, 73, 0,	//1301  char*, long long, QHostAddress*
    399, 416, 399, 399, 418, 343, 343, 333, 333, 333, 333, 333, 333, 0,	//1305  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    404, 416, 399, 399, 418, 343, 343, 333, 333, 333, 333, 333, 333, 0,	//1319  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    405, 405, 416, 0,	//1333  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Active",	//2
    "AddressInUseError",	//3
    "AlwaysCache",	//4
    "AlwaysNetwork",	//5
    "Any",	//6
    "AnyIPv6",	//7
    "AnyProtocol",	//8
    "Append",	//9
    "Ascii",	//10
    "AuthenticationRequiredError",	//11
    "AuthorityIssuerSerialNumberMismatch",	//12
    "AutoVerifyPeer",	//13
    "Binary",	//14
    "BoundState",	//15
    "Broadcast",	//16
    "CacheLoadControlAttribute",	//17
    "CacheSaveControlAttribute",	//18
    "CachingCapability",	//19
    "CanBroadcast",	//20
    "CanMulticast",	//21
    "Cd",	//22
    "CertificateExpired",	//23
    "CertificateNotYetValid",	//24
    "CertificateRejected",	//25
    "CertificateRevoked",	//26
    "CertificateSignatureFailed",	//27
    "CertificateUntrusted",	//28
    "Close",	//29
    "Closing",	//30
    "ClosingState",	//31
    "CommonName",	//32
    "ConnectToHost",	//33
    "Connected",	//34
    "ConnectedState",	//35
    "Connecting",	//36
    "ConnectingState",	//37
    "ConnectionEncryptedAttribute",	//38
    "ConnectionError",	//39
    "ConnectionModeHttp",	//40
    "ConnectionModeHttps",	//41
    "ConnectionRefused",	//42
    "ConnectionRefusedError",	//43
    "ContentAccessDenied",	//44
    "ContentLengthHeader",	//45
    "ContentNotFoundError",	//46
    "ContentOperationNotPermittedError",	//47
    "ContentReSendError",	//48
    "ContentTypeHeader",	//49
    "CookieHeader",	//50
    "CountryName",	//51
    "DatagramTooLargeError",	//52
    "DefaultForPlatform",	//53
    "DefaultProxy",	//54
    "DeleteOperation",	//55
    "Der",	//56
    "DnsEntry",	//57
    "DoNotBufferUploadDataAttribute",	//58
    "DontShareAddress",	//59
    "Dsa",	//60
    "EmailEntry",	//61
    "ExeGroup",	//62
    "ExeOther",	//63
    "ExeOwner",	//64
    "FtpCachingProxy",	//65
    "Full",	//66
    "Get",	//67
    "GetOperation",	//68
    "HeadOperation",	//69
    "HostLookup",	//70
    "HostLookupState",	//71
    "HostNameLookupCapability",	//72
    "HostNameMismatch",	//73
    "HostNotFound",	//74
    "HostNotFoundError",	//75
    "HttpCachingProxy",	//76
    "HttpPipeliningAllowedAttribute",	//77
    "HttpPipeliningWasUsedAttribute",	//78
    "HttpProxy",	//79
    "HttpReasonPhraseAttribute",	//80
    "HttpStatusCodeAttribute",	//81
    "IPv4Protocol",	//82
    "IPv6Protocol",	//83
    "InvalidCaCertificate",	//84
    "InvalidNotAfterField",	//85
    "InvalidNotBeforeField",	//86
    "InvalidPurpose",	//87
    "InvalidResponseHeader",	//88
    "IsLoopBack",	//89
    "IsPointToPoint",	//90
    "IsRunning",	//91
    "IsUp",	//92
    "KeepAliveOption",	//93
    "LastModifiedHeader",	//94
    "LicensedActiveQt",	//95
    "LicensedCore",	//96
    "LicensedDBus",	//97
    "LicensedDeclarative",	//98
    "LicensedGui",	//99
    "LicensedHelp",	//100
    "LicensedMultimedia",	//101
    "LicensedNetwork",	//102
    "LicensedOpenGL",	//103
    "LicensedOpenVG",	//104
    "LicensedQt3Support",	//105
    "LicensedQt3SupportLight",	//106
    "LicensedScript",	//107
    "LicensedScriptTools",	//108
    "LicensedSql",	//109
    "LicensedSvg",	//110
    "LicensedTest",	//111
    "LicensedXml",	//112
    "LicensedXmlPatterns",	//113
    "List",	//114
    "ListeningCapability",	//115
    "ListeningState",	//116
    "LocalHost",	//117
    "LocalHostIPv6",	//118
    "LocalityName",	//119
    "LocationHeader",	//120
    "LoggedIn",	//121
    "Login",	//122
    "LowDelayOption",	//123
    "Mkdir",	//124
    "NameAndValueOnly",	//125
    "NetworkError",	//126
    "NoError",	//127
    "NoPeerCertificate",	//128
    "NoProxy",	//129
    "NoSslSupport",	//130
    "None",	//131
    "NotConnected",	//132
    "NotOpen",	//133
    "Null",	//134
    "OperationCanceledError",	//135
    "Organization",	//136
    "OrganizationalUnitName",	//137
    "Passive",	//138
    "PathLengthExceeded",	//139
    "PeerClosedError",	//140
    "Pem",	//141
    "PostOperation",	//142
    "PreferCache",	//143
    "PreferNetwork",	//144
    "PrivateKey",	//145
    "ProtocolFailure",	//146
    "ProtocolInvalidOperationError",	//147
    "ProtocolUnknownError",	//148
    "ProxyAuthenticationRequiredError",	//149
    "ProxyConnectionClosedError",	//150
    "ProxyConnectionRefusedError",	//151
    "ProxyConnectionTimeoutError",	//152
    "ProxyNotFoundError",	//153
    "ProxyProtocolError",	//154
    "ProxyTimeoutError",	//155
    "PublicKey",	//156
    "Put",	//157
    "PutOperation",	//158
    "QAbstractNetworkCache",	//159
    "QAbstractNetworkCache#",	//160
    "QAbstractSocket",	//161
    "QAbstractSocket$#",	//162
    "QAuthenticator",	//163
    "QAuthenticator#",	//164
    "QFtp",	//165
    "QFtp#",	//166
    "QHostAddress",	//167
    "QHostAddress#",	//168
    "QHostAddress$",	//169
    "QHostInfo",	//170
    "QHostInfo#",	//171
    "QHostInfo$",	//172
    "QHttp",	//173
    "QHttp#",	//174
    "QHttp$",	//175
    "QHttp$$",	//176
    "QHttp$$#",	//177
    "QHttp$$$",	//178
    "QHttp$$$#",	//179
    "QHttpHeader",	//180
    "QHttpHeader#",	//181
    "QHttpHeader$",	//182
    "QHttpRequestHeader",	//183
    "QHttpRequestHeader#",	//184
    "QHttpRequestHeader$",	//185
    "QHttpRequestHeader$$",	//186
    "QHttpRequestHeader$$$",	//187
    "QHttpRequestHeader$$$$",	//188
    "QHttpResponseHeader",	//189
    "QHttpResponseHeader#",	//190
    "QHttpResponseHeader$",	//191
    "QHttpResponseHeader$$",	//192
    "QHttpResponseHeader$$$",	//193
    "QHttpResponseHeader$$$$",	//194
    "QIPv6Address",	//195
    "QIPv6Address#",	//196
    "QLocalServer",	//197
    "QLocalServer#",	//198
    "QLocalSocket",	//199
    "QLocalSocket#",	//200
    "QNetworkAccessManager",	//201
    "QNetworkAccessManager#",	//202
    "QNetworkAddressEntry",	//203
    "QNetworkAddressEntry#",	//204
    "QNetworkCacheMetaData",	//205
    "QNetworkCacheMetaData#",	//206
    "QNetworkCookie",	//207
    "QNetworkCookie#",	//208
    "QNetworkCookie##",	//209
    "QNetworkCookieJar",	//210
    "QNetworkCookieJar#",	//211
    "QNetworkDiskCache",	//212
    "QNetworkDiskCache#",	//213
    "QNetworkInterface",	//214
    "QNetworkInterface#",	//215
    "QNetworkProxy",	//216
    "QNetworkProxy#",	//217
    "QNetworkProxy$",	//218
    "QNetworkProxy$$",	//219
    "QNetworkProxy$$$",	//220
    "QNetworkProxy$$$$",	//221
    "QNetworkProxy$$$$$",	//222
    "QNetworkProxyFactory",	//223
    "QNetworkProxyFactory#",	//224
    "QNetworkProxyQuery",	//225
    "QNetworkProxyQuery#",	//226
    "QNetworkProxyQuery#$",	//227
    "QNetworkProxyQuery$",	//228
    "QNetworkProxyQuery$$",	//229
    "QNetworkProxyQuery$$$",	//230
    "QNetworkProxyQuery$$$$",	//231
    "QNetworkReply",	//232
    "QNetworkReply#",	//233
    "QNetworkRequest",	//234
    "QNetworkRequest#",	//235
    "QSslCertificate",	//236
    "QSslCertificate#",	//237
    "QSslCertificate#$",	//238
    "QSslCipher",	//239
    "QSslCipher#",	//240
    "QSslCipher$$",	//241
    "QSslConfiguration",	//242
    "QSslConfiguration#",	//243
    "QSslError",	//244
    "QSslError#",	//245
    "QSslError$",	//246
    "QSslError$#",	//247
    "QSslKey",	//248
    "QSslKey#",	//249
    "QSslKey#$",	//250
    "QSslKey#$$",	//251
    "QSslKey#$$$",	//252
    "QSslKey#$$$#",	//253
    "QSslSocket",	//254
    "QSslSocket#",	//255
    "QTcpServer",	//256
    "QTcpServer#",	//257
    "QTcpSocket",	//258
    "QTcpSocket#",	//259
    "QUdpSocket",	//260
    "QUdpSocket#",	//261
    "QUrlInfo",	//262
    "QUrlInfo#",	//263
    "QUrlInfo#$$$$##$$$$$$",	//264
    "QUrlInfo$$$$$##$$$$$$",	//265
    "Q_COMPLEX_TYPE",	//266
    "Q_DUMMY_TYPE",	//267
    "Q_MOVABLE_TYPE",	//268
    "Q_PRIMITIVE_TYPE",	//269
    "Q_STATIC_TYPE",	//270
    "QtCriticalMsg",	//271
    "QtDebugMsg",	//272
    "QtFatalMsg",	//273
    "QtSystemMsg",	//274
    "QtWarningMsg",	//275
    "QueryPeer",	//276
    "RawCommand",	//277
    "ReadGroup",	//278
    "ReadOnly",	//279
    "ReadOther",	//280
    "ReadOwner",	//281
    "ReadWrite",	//282
    "Reading",	//283
    "RedirectionTargetAttribute",	//284
    "RemoteHostClosedError",	//285
    "Remove",	//286
    "Rename",	//287
    "ReuseAddressHint",	//288
    "Rmdir",	//289
    "Rsa",	//290
    "SelfSignedCertificate",	//291
    "SelfSignedCertificateInChain",	//292
    "Sending",	//293
    "ServerNotFoundError",	//294
    "SetCookieHeader",	//295
    "SetProxy",	//296
    "SetTransferMode",	//297
    "ShareAddress",	//298
    "SocketAccessError",	//299
    "SocketAddressNotAvailableError",	//300
    "SocketResourceError",	//301
    "SocketTimeoutError",	//302
    "Socks5Proxy",	//303
    "SourceIsFromCacheAttribute",	//304
    "SslClientMode",	//305
    "SslHandshakeFailedError",	//306
    "SslServerMode",	//307
    "SslV2",	//308
    "SslV3",	//309
    "StateOrProvinceName",	//310
    "SubjectIssuerMismatch",	//311
    "TcpServer",	//312
    "TcpSocket",	//313
    "Text",	//314
    "TimeoutError",	//315
    "TlsV1",	//316
    "Truncate",	//317
    "TunnelingCapability",	//318
    "UdpSocket",	//319
    "UdpTunnelingCapability",	//320
    "UnableToDecodeIssuerPublicKey",	//321
    "UnableToDecryptCertificateSignature",	//322
    "UnableToGetIssuerCertificate",	//323
    "UnableToGetLocalIssuerCertificate",	//324
    "UnableToVerifyFirstCertificate",	//325
    "Unbuffered",	//326
    "Unconnected",	//327
    "UnconnectedState",	//328
    "UnencryptedMode",	//329
    "UnexpectedClose",	//330
    "UnfinishedSocketOperationError",	//331
    "UnknownContentError",	//332
    "UnknownError",	//333
    "UnknownNetworkError",	//334
    "UnknownNetworkLayerProtocol",	//335
    "UnknownOperation",	//336
    "UnknownProtocol",	//337
    "UnknownProxyError",	//338
    "UnknownSocketError",	//339
    "UnknownSocketType",	//340
    "UnspecifiedError",	//341
    "UnsupportedSocketOperationError",	//342
    "UrlRequest",	//343
    "User",	//344
    "UserMax",	//345
    "VerifyNone",	//346
    "VerifyPeer",	//347
    "WriteGroup",	//348
    "WriteOnly",	//349
    "WriteOther",	//350
    "WriteOwner",	//351
    "WrongContentLength",	//352
    "abort",	//353
    "abortHostLookup",	//354
    "abortHostLookup$",	//355
    "addCaCertificate",	//356
    "addCaCertificate#",	//357
    "addCaCertificates",	//358
    "addCaCertificates$",	//359
    "addCaCertificates$$",	//360
    "addCaCertificates$$$",	//361
    "addCaCertificates?",	//362
    "addDefaultCaCertificate",	//363
    "addDefaultCaCertificate#",	//364
    "addDefaultCaCertificates",	//365
    "addDefaultCaCertificates$",	//366
    "addDefaultCaCertificates$$",	//367
    "addDefaultCaCertificates$$$",	//368
    "addDefaultCaCertificates?",	//369
    "addValue",	//370
    "addValue$$",	//371
    "addressEntries",	//372
    "addresses",	//373
    "algorithm",	//374
    "allAddresses",	//375
    "allCookies",	//376
    "allInterfaces",	//377
    "allValues",	//378
    "allValues$",	//379
    "alternateSubjectNames",	//380
    "applicationProxy",	//381
    "atEnd",	//382
    "attribute",	//383
    "attribute$",	//384
    "attribute$#",	//385
    "attributes",	//386
    "authenticationMethod",	//387
    "authenticationRequired",	//388
    "authenticationRequired##",	//389
    "authenticationRequired$$#",	//390
    "bind",	//391
    "bind#$",	//392
    "bind#$$",	//393
    "bind$",	//394
    "bind$$",	//395
    "broadcast",	//396
    "bytesAvailable",	//397
    "bytesToWrite",	//398
    "caCertificates",	//399
    "cache",	//400
    "cacheDirectory",	//401
    "cacheSize",	//402
    "canReadLine",	//403
    "capabilities",	//404
    "cd",	//405
    "cd$",	//406
    "certificate",	//407
    "childEvent",	//408
    "ciphers",	//409
    "clear",	//410
    "clearPendingCommands",	//411
    "clearPendingRequests",	//412
    "close",	//413
    "closeConnection",	//414
    "commandFinished",	//415
    "commandFinished$$",	//416
    "commandStarted",	//417
    "commandStarted$",	//418
    "connectNotify",	//419
    "connectToHost",	//420
    "connectToHost#$",	//421
    "connectToHost#$$",	//422
    "connectToHost$",	//423
    "connectToHost$$",	//424
    "connectToHost$$$",	//425
    "connectToHostEncrypted",	//426
    "connectToHostEncrypted$$",	//427
    "connectToHostEncrypted$$$",	//428
    "connectToHostEncrypted$$$$",	//429
    "connectToHostImplementation",	//430
    "connectToHostImplementation$$",	//431
    "connectToHostImplementation$$$",	//432
    "connectToServer",	//433
    "connectToServer$",	//434
    "connectToServer$$",	//435
    "connected",	//436
    "contentLength",	//437
    "contentType",	//438
    "cookieJar",	//439
    "cookiesForUrl",	//440
    "cookiesForUrl#",	//441
    "createRequest",	//442
    "createRequest$#",	//443
    "createRequest$##",	//444
    "currentCommand",	//445
    "currentDestinationDevice",	//446
    "currentDevice",	//447
    "currentId",	//448
    "currentRequest",	//449
    "currentSourceDevice",	//450
    "customEvent",	//451
    "data",	//452
    "data#",	//453
    "dataReadProgress",	//454
    "dataReadProgress$$",	//455
    "dataSendProgress",	//456
    "dataSendProgress$$",	//457
    "dataTransferProgress",	//458
    "dataTransferProgress$$",	//459
    "defaultCaCertificates",	//460
    "defaultCiphers",	//461
    "defaultConfiguration",	//462
    "deleteResource",	//463
    "deleteResource#",	//464
    "detach",	//465
    "digest",	//466
    "digest$",	//467
    "disconnectFromHost",	//468
    "disconnectFromHostImplementation",	//469
    "disconnectFromServer",	//470
    "disconnectNotify",	//471
    "disconnected",	//472
    "domain",	//473
    "done",	//474
    "done$",	//475
    "downloadProgress",	//476
    "downloadProgress$$",	//477
    "effectiveDate",	//478
    "encrypted",	//479
    "encryptedBytesAvailable",	//480
    "encryptedBytesToWrite",	//481
    "encryptedBytesWritten",	//482
    "encryptedBytesWritten$",	//483
    "encryptionMethod",	//484
    "equal",	//485
    "equal##$",	//486
    "error",	//487
    "error$",	//488
    "errorString",	//489
    "event",	//490
    "eventFilter",	//491
    "expirationDate",	//492
    "expire",	//493
    "expiryDate",	//494
    "fileMetaData",	//495
    "fileMetaData$",	//496
    "finished",	//497
    "finished#",	//498
    "flags",	//499
    "flush",	//500
    "fromData",	//501
    "fromData#",	//502
    "fromData#$",	//503
    "fromDevice",	//504
    "fromDevice#",	//505
    "fromDevice#$",	//506
    "fromName",	//507
    "fromName$",	//508
    "fromPath",	//509
    "fromPath$",	//510
    "fromPath$$",	//511
    "fromPath$$$",	//512
    "fullServerName",	//513
    "get",	//514
    "get#",	//515
    "get$",	//516
    "get$#",	//517
    "get$#$",	//518
    "greaterThan",	//519
    "greaterThan##$",	//520
    "group",	//521
    "handle",	//522
    "hardwareAddress",	//523
    "hasContentLength",	//524
    "hasContentType",	//525
    "hasKey",	//526
    "hasKey$",	//527
    "hasPendingCommands",	//528
    "hasPendingConnections",	//529
    "hasPendingDatagrams",	//530
    "hasPendingRequests",	//531
    "hasRawHeader",	//532
    "hasRawHeader#",	//533
    "head",	//534
    "head#",	//535
    "head$",	//536
    "header",	//537
    "header$",	//538
    "hostFound",	//539
    "hostName",	//540
    "humanReadableName",	//541
    "ignoreSslErrors",	//542
    "ignoreSslErrors?",	//543
    "incomingConnection",	//544
    "incomingConnection$",	//545
    "incomingConnection?",	//546
    "index",	//547
    "insert",	//548
    "insert#",	//549
    "interfaceFromIndex",	//550
    "interfaceFromIndex$",	//551
    "interfaceFromName",	//552
    "interfaceFromName$",	//553
    "ip",	//554
    "isCachingProxy",	//555
    "isDir",	//556
    "isEncrypted",	//557
    "isExecutable",	//558
    "isFile",	//559
    "isFinished",	//560
    "isHttpOnly",	//561
    "isInSubnet",	//562
    "isInSubnet#$",	//563
    "isInSubnet?",	//564
    "isListening",	//565
    "isNull",	//566
    "isReadable",	//567
    "isRunning",	//568
    "isSecure",	//569
    "isSequential",	//570
    "isSessionCookie",	//571
    "isSymLink",	//572
    "isTransparentProxy",	//573
    "isValid",	//574
    "isWritable",	//575
    "issuerInfo",	//576
    "issuerInfo#",	//577
    "issuerInfo$",	//578
    "keyExchangeMethod",	//579
    "keys",	//580
    "lastModified",	//581
    "lastRead",	//582
    "lastResponse",	//583
    "length",	//584
    "lessThan",	//585
    "lessThan##$",	//586
    "list",	//587
    "list$",	//588
    "listInfo",	//589
    "listInfo#",	//590
    "listen",	//591
    "listen#",	//592
    "listen#$",	//593
    "listen$",	//594
    "localAddress",	//595
    "localCertificate",	//596
    "localDomainName",	//597
    "localHostName",	//598
    "localPort",	//599
    "login",	//600
    "login$",	//601
    "login$$",	//602
    "lookupHost",	//603
    "lookupHost$#$",	//604
    "lookupId",	//605
    "majorVersion",	//606
    "manager",	//607
    "maxPendingConnections",	//608
    "maximumCacheSize",	//609
    "metaData",	//610
    "metaData#",	//611
    "metaDataChanged",	//612
    "metaObject",	//613
    "method",	//614
    "minorVersion",	//615
    "mkdir",	//616
    "mkdir$",	//617
    "mode",	//618
    "modeChanged",	//619
    "modeChanged$",	//620
    "name",	//621
    "netmask",	//622
    "newConnection",	//623
    "nextPendingConnection",	//624
    "open",	//625
    "operation",	//626
    "operator!=",	//627
    "operator!=#",	//628
    "operator!=##",	//629
    "operator!=#$",	//630
    "operator!=$",	//631
    "operator!=$#",	//632
    "operator!=$$",	//633
    "operator&",	//634
    "operator&##",	//635
    "operator*",	//636
    "operator*#$",	//637
    "operator*$#",	//638
    "operator+",	//639
    "operator+##",	//640
    "operator+#$",	//641
    "operator+$#",	//642
    "operator+$$",	//643
    "operator-",	//644
    "operator-#",	//645
    "operator-##",	//646
    "operator/",	//647
    "operator/#$",	//648
    "operator<",	//649
    "operator<##",	//650
    "operator<#$",	//651
    "operator<$#",	//652
    "operator<$$",	//653
    "operator<<",	//654
    "operator<<##",	//655
    "operator<<#$",	//656
    "operator<<#?",	//657
    "operator<=",	//658
    "operator<=##",	//659
    "operator<=#$",	//660
    "operator<=$#",	//661
    "operator<=$$",	//662
    "operator=",	//663
    "operator=#",	//664
    "operator=$",	//665
    "operator==",	//666
    "operator==#",	//667
    "operator==##",	//668
    "operator==#$",	//669
    "operator==$",	//670
    "operator==$#",	//671
    "operator==$$",	//672
    "operator>",	//673
    "operator>##",	//674
    "operator>#$",	//675
    "operator>$#",	//676
    "operator>$$",	//677
    "operator>=",	//678
    "operator>=##",	//679
    "operator>=#$",	//680
    "operator>=$#",	//681
    "operator>=$$",	//682
    "operator>>",	//683
    "operator>>##",	//684
    "operator>>#$",	//685
    "operator>>#?",	//686
    "operator[]",	//687
    "operator[]$",	//688
    "operator^",	//689
    "operator^##",	//690
    "operator|",	//691
    "operator|##",	//692
    "operator|?$",	//693
    "operator|??",	//694
    "originatingObject",	//695
    "owner",	//696
    "parse",	//697
    "parse$",	//698
    "parseCookies",	//699
    "parseCookies#",	//700
    "parseLine",	//701
    "parseLine$$",	//702
    "parseSubnet",	//703
    "parseSubnet$",	//704
    "password",	//705
    "path",	//706
    "peerAddress",	//707
    "peerCertificate",	//708
    "peerCertificateChain",	//709
    "peerHostName",	//710
    "peerName",	//711
    "peerPort",	//712
    "peerVerifyDepth",	//713
    "peerVerifyError",	//714
    "peerVerifyError#",	//715
    "peerVerifyMode",	//716
    "pendingDatagramSize",	//717
    "permissions",	//718
    "port",	//719
    "pos",	//720
    "post",	//721
    "post##",	//722
    "post$#",	//723
    "post$##",	//724
    "prefixLength",	//725
    "prepare",	//726
    "prepare#",	//727
    "privateKey",	//728
    "protocol",	//729
    "protocolString",	//730
    "protocolTag",	//731
    "proxy",	//732
    "proxyAuthenticationRequired",	//733
    "proxyAuthenticationRequired##",	//734
    "proxyFactory",	//735
    "proxyForQuery",	//736
    "proxyForQuery#",	//737
    "publicKey",	//738
    "put",	//739
    "put##",	//740
    "put#$",	//741
    "put#$$",	//742
    "qAcos",	//743
    "qAcos$",	//744
    "qAddPostRoutine",	//745
    "qAddPostRoutine$",	//746
    "qAppName",	//747
    "qAsin",	//748
    "qAsin$",	//749
    "qAtan",	//750
    "qAtan$",	//751
    "qAtan2",	//752
    "qAtan2$$",	//753
    "qBadAlloc",	//754
    "qCeil",	//755
    "qCeil$",	//756
    "qChecksum",	//757
    "qChecksum$$",	//758
    "qCompress",	//759
    "qCompress#",	//760
    "qCompress#$",	//761
    "qCompress$$",	//762
    "qCompress$$$",	//763
    "qCos",	//764
    "qCos$",	//765
    "qCritical",	//766
    "qDebug",	//767
    "qExp",	//768
    "qExp$",	//769
    "qFabs",	//770
    "qFabs$",	//771
    "qFastCos",	//772
    "qFastCos$",	//773
    "qFastSin",	//774
    "qFastSin$",	//775
    "qFlagLocation",	//776
    "qFlagLocation$",	//777
    "qFloor",	//778
    "qFloor$",	//779
    "qFree",	//780
    "qFree$",	//781
    "qFreeAligned",	//782
    "qFreeAligned$",	//783
    "qFuzzyCompare",	//784
    "qFuzzyCompare$$",	//785
    "qFuzzyIsNull",	//786
    "qFuzzyIsNull$",	//787
    "qHash",	//788
    "qHash#",	//789
    "qHash$",	//790
    "qInf",	//791
    "qInstallMsgHandler",	//792
    "qInstallMsgHandler$",	//793
    "qIntCast",	//794
    "qIntCast$",	//795
    "qIsFinite",	//796
    "qIsFinite$",	//797
    "qIsInf",	//798
    "qIsInf$",	//799
    "qIsNaN",	//800
    "qIsNaN$",	//801
    "qIsNull",	//802
    "qIsNull$",	//803
    "qLn",	//804
    "qLn$",	//805
    "qMalloc",	//806
    "qMalloc?",	//807
    "qMallocAligned",	//808
    "qMallocAligned??",	//809
    "qMemCopy",	//810
    "qMemCopy$$?",	//811
    "qMemSet",	//812
    "qMemSet$$?",	//813
    "qPow",	//814
    "qPow$$",	//815
    "qQNaN",	//816
    "qRealloc",	//817
    "qRealloc$?",	//818
    "qReallocAligned",	//819
    "qReallocAligned$???",	//820
    "qRegisterStaticPluginInstanceFunction",	//821
    "qRegisterStaticPluginInstanceFunction#",	//822
    "qRemovePostRoutine",	//823
    "qRemovePostRoutine$",	//824
    "qRound",	//825
    "qRound$",	//826
    "qRound64",	//827
    "qRound64$",	//828
    "qSNaN",	//829
    "qSetFieldWidth",	//830
    "qSetFieldWidth$",	//831
    "qSetPadChar",	//832
    "qSetPadChar#",	//833
    "qSetRealNumberPrecision",	//834
    "qSetRealNumberPrecision$",	//835
    "qSharedBuild",	//836
    "qSin",	//837
    "qSin$",	//838
    "qSqrt",	//839
    "qSqrt$",	//840
    "qStringComparisonHelper",	//841
    "qStringComparisonHelper#$",	//842
    "qStringComparisonHelper$$",	//843
    "qTan",	//844
    "qTan$",	//845
    "qUncompress",	//846
    "qUncompress#",	//847
    "qUncompress$$",	//848
    "qVersion",	//849
    "qWarning",	//850
    "qbswap_helper",	//851
    "qbswap_helper$$$",	//852
    "qgetenv",	//853
    "qgetenv$",	//854
    "qputenv",	//855
    "qputenv$#",	//856
    "qrand",	//857
    "qsrand",	//858
    "qsrand$",	//859
    "qstrcmp",	//860
    "qstrcmp##",	//861
    "qstrcmp#$",	//862
    "qstrcmp$#",	//863
    "qstrcmp$$",	//864
    "qstrcpy",	//865
    "qstrcpy$$",	//866
    "qstrdup",	//867
    "qstrdup$",	//868
    "qstricmp",	//869
    "qstricmp$$",	//870
    "qstrlen",	//871
    "qstrlen$",	//872
    "qstrncmp",	//873
    "qstrncmp$$$",	//874
    "qstrncpy",	//875
    "qstrncpy$$$",	//876
    "qstrnicmp",	//877
    "qstrnicmp$$$",	//878
    "qstrnlen",	//879
    "qstrnlen$$",	//880
    "qtTrId",	//881
    "qtTrId$",	//882
    "qtTrId$$",	//883
    "qt_assert",	//884
    "qt_assert$$$",	//885
    "qt_assert_x",	//886
    "qt_assert_x$$$$",	//887
    "qt_check_pointer",	//888
    "qt_check_pointer$$",	//889
    "qt_error_string",	//890
    "qt_error_string$",	//891
    "qt_message_output",	//892
    "qt_message_output$$",	//893
    "qt_metacall",	//894
    "qt_metacall$$?",	//895
    "qt_metacast",	//896
    "qt_metacast$",	//897
    "qt_noop",	//898
    "qt_qFindChild_helper",	//899
    "qt_qFindChild_helper#$#",	//900
    "qt_qFindChildren_helper",	//901
    "qt_qFindChildren_helper#$##?",	//902
    "queryProxy",	//903
    "queryProxy#",	//904
    "queryType",	//905
    "qvariant_cast_helper",	//906
    "qvariant_cast_helper#$$",	//907
    "qvsnprintf",	//908
    "qvsnprintf$?$?",	//909
    "rawCommand",	//910
    "rawCommand$",	//911
    "rawCommandReply",	//912
    "rawCommandReply$$",	//913
    "rawHeader",	//914
    "rawHeader#",	//915
    "rawHeaderList",	//916
    "rawHeaders",	//917
    "read",	//918
    "read$$",	//919
    "readAll",	//920
    "readBufferSize",	//921
    "readData",	//922
    "readData$$",	//923
    "readDatagram",	//924
    "readDatagram$$",	//925
    "readDatagram$$#",	//926
    "readDatagram$$#$",	//927
    "readLineData",	//928
    "readLineData$$",	//929
    "readyRead",	//930
    "readyRead#",	//931
    "realm",	//932
    "reasonPhrase",	//933
    "remove",	//934
    "remove#",	//935
    "remove$",	//936
    "removeAllValues",	//937
    "removeAllValues$",	//938
    "removeServer",	//939
    "removeServer$",	//940
    "removeValue",	//941
    "removeValue$",	//942
    "rename",	//943
    "rename$$",	//944
    "request",	//945
    "request#",	//946
    "request##",	//947
    "request###",	//948
    "requestFinished",	//949
    "requestFinished$$",	//950
    "requestStarted",	//951
    "requestStarted$",	//952
    "reset",	//953
    "responseHeaderReceived",	//954
    "responseHeaderReceived#",	//955
    "rmdir",	//956
    "rmdir$",	//957
    "saveToDisk",	//958
    "scopeId",	//959
    "seek",	//960
    "serialNumber",	//961
    "serverAddress",	//962
    "serverError",	//963
    "serverName",	//964
    "serverPort",	//965
    "sessionCipher",	//966
    "setAddress",	//967
    "setAddress#",	//968
    "setAddress$",	//969
    "setAddresses",	//970
    "setAddresses?",	//971
    "setAllCookies",	//972
    "setAllCookies?",	//973
    "setApplicationProxy",	//974
    "setApplicationProxy#",	//975
    "setApplicationProxyFactory",	//976
    "setApplicationProxyFactory#",	//977
    "setAttribute",	//978
    "setAttribute$#",	//979
    "setAttributes",	//980
    "setAttributes?",	//981
    "setBroadcast",	//982
    "setBroadcast#",	//983
    "setCaCertificates",	//984
    "setCaCertificates?",	//985
    "setCache",	//986
    "setCache#",	//987
    "setCacheDirectory",	//988
    "setCacheDirectory$",	//989
    "setCapabilities",	//990
    "setCapabilities$",	//991
    "setCiphers",	//992
    "setCiphers$",	//993
    "setCiphers?",	//994
    "setContentLength",	//995
    "setContentLength$",	//996
    "setContentType",	//997
    "setContentType$",	//998
    "setCookieJar",	//999
    "setCookieJar#",	//1000
    "setCookiesFromUrl",	//1001
    "setCookiesFromUrl?#",	//1002
    "setDefaultCaCertificates",	//1003
    "setDefaultCaCertificates?",	//1004
    "setDefaultCiphers",	//1005
    "setDefaultCiphers?",	//1006
    "setDefaultConfiguration",	//1007
    "setDefaultConfiguration#",	//1008
    "setDir",	//1009
    "setDir$",	//1010
    "setDomain",	//1011
    "setDomain$",	//1012
    "setError",	//1013
    "setError$",	//1014
    "setError$$",	//1015
    "setErrorString",	//1016
    "setErrorString$",	//1017
    "setExpirationDate",	//1018
    "setExpirationDate#",	//1019
    "setFile",	//1020
    "setFile$",	//1021
    "setGroup",	//1022
    "setGroup$",	//1023
    "setHeader",	//1024
    "setHeader$#",	//1025
    "setHost",	//1026
    "setHost$",	//1027
    "setHost$$",	//1028
    "setHost$$$",	//1029
    "setHostName",	//1030
    "setHostName$",	//1031
    "setHttpOnly",	//1032
    "setHttpOnly$",	//1033
    "setIp",	//1034
    "setIp#",	//1035
    "setLastModified",	//1036
    "setLastModified#",	//1037
    "setLastRead",	//1038
    "setLastRead#",	//1039
    "setLocalAddress",	//1040
    "setLocalAddress#",	//1041
    "setLocalCertificate",	//1042
    "setLocalCertificate#",	//1043
    "setLocalCertificate$",	//1044
    "setLocalCertificate$$",	//1045
    "setLocalPort",	//1046
    "setLocalPort$",	//1047
    "setLookupId",	//1048
    "setLookupId$",	//1049
    "setMaxPendingConnections",	//1050
    "setMaxPendingConnections$",	//1051
    "setMaximumCacheSize",	//1052
    "setMaximumCacheSize$",	//1053
    "setName",	//1054
    "setName#",	//1055
    "setName$",	//1056
    "setNetmask",	//1057
    "setNetmask#",	//1058
    "setOperation",	//1059
    "setOperation$",	//1060
    "setOriginatingObject",	//1061
    "setOriginatingObject#",	//1062
    "setOwner",	//1063
    "setOwner$",	//1064
    "setPassword",	//1065
    "setPassword$",	//1066
    "setPath",	//1067
    "setPath$",	//1068
    "setPeerAddress",	//1069
    "setPeerAddress#",	//1070
    "setPeerHostName",	//1071
    "setPeerHostName$",	//1072
    "setPeerName",	//1073
    "setPeerName$",	//1074
    "setPeerPort",	//1075
    "setPeerPort$",	//1076
    "setPeerVerifyDepth",	//1077
    "setPeerVerifyDepth$",	//1078
    "setPeerVerifyMode",	//1079
    "setPeerVerifyMode$",	//1080
    "setPermissions",	//1081
    "setPermissions$",	//1082
    "setPort",	//1083
    "setPort$",	//1084
    "setPrefixLength",	//1085
    "setPrefixLength$",	//1086
    "setPrivateKey",	//1087
    "setPrivateKey#",	//1088
    "setPrivateKey$",	//1089
    "setPrivateKey$$",	//1090
    "setPrivateKey$$$",	//1091
    "setPrivateKey$$$#",	//1092
    "setProtocol",	//1093
    "setProtocol$",	//1094
    "setProtocolTag",	//1095
    "setProtocolTag$",	//1096
    "setProxy",	//1097
    "setProxy#",	//1098
    "setProxy$$",	//1099
    "setProxy$$$",	//1100
    "setProxy$$$$",	//1101
    "setProxyFactory",	//1102
    "setProxyFactory#",	//1103
    "setQueryType",	//1104
    "setQueryType$",	//1105
    "setRawHeader",	//1106
    "setRawHeader##",	//1107
    "setRawHeaders",	//1108
    "setRawHeaders?",	//1109
    "setReadBufferSize",	//1110
    "setReadBufferSize$",	//1111
    "setReadable",	//1112
    "setReadable$",	//1113
    "setRequest",	//1114
    "setRequest#",	//1115
    "setRequest$$",	//1116
    "setRequest$$$",	//1117
    "setRequest$$$$",	//1118
    "setSaveToDisk",	//1119
    "setSaveToDisk$",	//1120
    "setScopeId",	//1121
    "setScopeId$",	//1122
    "setSecure",	//1123
    "setSecure$",	//1124
    "setSize",	//1125
    "setSize$",	//1126
    "setSocket",	//1127
    "setSocket#",	//1128
    "setSocketDescriptor",	//1129
    "setSocketDescriptor$",	//1130
    "setSocketDescriptor$$",	//1131
    "setSocketDescriptor$$$",	//1132
    "setSocketDescriptor?",	//1133
    "setSocketDescriptor?$",	//1134
    "setSocketDescriptor?$$",	//1135
    "setSocketError",	//1136
    "setSocketError$",	//1137
    "setSocketOption",	//1138
    "setSocketOption$#",	//1139
    "setSocketState",	//1140
    "setSocketState$",	//1141
    "setSslConfiguration",	//1142
    "setSslConfiguration#",	//1143
    "setStatusLine",	//1144
    "setStatusLine$",	//1145
    "setStatusLine$$",	//1146
    "setStatusLine$$$",	//1147
    "setStatusLine$$$$",	//1148
    "setSymLink",	//1149
    "setSymLink$",	//1150
    "setTransferMode",	//1151
    "setTransferMode$",	//1152
    "setType",	//1153
    "setType$",	//1154
    "setUrl",	//1155
    "setUrl#",	//1156
    "setUseSystemConfiguration",	//1157
    "setUseSystemConfiguration$",	//1158
    "setUser",	//1159
    "setUser$",	//1160
    "setUser$$",	//1161
    "setValid",	//1162
    "setValid$",	//1163
    "setValue",	//1164
    "setValue#",	//1165
    "setValue$$",	//1166
    "setValues",	//1167
    "setValues?",	//1168
    "setWritable",	//1169
    "setWritable$",	//1170
    "size",	//1171
    "socketDescriptor",	//1172
    "socketOption",	//1173
    "socketOption$",	//1174
    "socketType",	//1175
    "sslConfiguration",	//1176
    "sslErrors",	//1177
    "sslErrors#?",	//1178
    "sslErrors?",	//1179
    "startClientEncryption",	//1180
    "startServerEncryption",	//1181
    "state",	//1182
    "stateChanged",	//1183
    "stateChanged$",	//1184
    "staticMetaObject",	//1185
    "statusCode",	//1186
    "subjectInfo",	//1187
    "subjectInfo#",	//1188
    "subjectInfo$",	//1189
    "supportedBits",	//1190
    "supportedCiphers",	//1191
    "supportsSsl",	//1192
    "systemCaCertificates",	//1193
    "systemProxyForQuery",	//1194
    "systemProxyForQuery#",	//1195
    "timerEvent",	//1196
    "toDer",	//1197
    "toDer#",	//1198
    "toIPv4Address",	//1199
    "toIPv6Address",	//1200
    "toPem",	//1201
    "toPem#",	//1202
    "toRawForm",	//1203
    "toRawForm$",	//1204
    "toString",	//1205
    "tr",	//1206
    "tr$",	//1207
    "tr$$",	//1208
    "tr$$$",	//1209
    "trUtf8",	//1210
    "trUtf8$",	//1211
    "trUtf8$$",	//1212
    "trUtf8$$$",	//1213
    "type",	//1214
    "updateMetaData",	//1215
    "updateMetaData#",	//1216
    "uploadProgress",	//1217
    "uploadProgress$$",	//1218
    "url",	//1219
    "usedBits",	//1220
    "user",	//1221
    "value",	//1222
    "value$",	//1223
    "values",	//1224
    "version",	//1225
    "waitForBytesWritten",	//1226
    "waitForBytesWritten$",	//1227
    "waitForConnected",	//1228
    "waitForConnected$",	//1229
    "waitForDisconnected",	//1230
    "waitForDisconnected$",	//1231
    "waitForEncrypted",	//1232
    "waitForEncrypted$",	//1233
    "waitForNewConnection",	//1234
    "waitForNewConnection$",	//1235
    "waitForNewConnection$$",	//1236
    "waitForReadyRead",	//1237
    "waitForReadyRead$",	//1238
    "writeData",	//1239
    "writeData$$",	//1240
    "writeDatagram",	//1241
    "writeDatagram##$",	//1242
    "writeDatagram$$#$",	//1243
    "~QAbstractNetworkCache",	//1244
    "~QAbstractSocket",	//1245
    "~QAuthenticator",	//1246
    "~QFtp",	//1247
    "~QHostAddress",	//1248
    "~QHostInfo",	//1249
    "~QHttp",	//1250
    "~QHttpHeader",	//1251
    "~QHttpRequestHeader",	//1252
    "~QHttpResponseHeader",	//1253
    "~QIPv6Address",	//1254
    "~QLocalServer",	//1255
    "~QLocalSocket",	//1256
    "~QNetworkAccessManager",	//1257
    "~QNetworkAddressEntry",	//1258
    "~QNetworkCacheMetaData",	//1259
    "~QNetworkCookie",	//1260
    "~QNetworkCookieJar",	//1261
    "~QNetworkDiskCache",	//1262
    "~QNetworkInterface",	//1263
    "~QNetworkProxy",	//1264
    "~QNetworkProxyFactory",	//1265
    "~QNetworkProxyQuery",	//1266
    "~QNetworkReply",	//1267
    "~QNetworkRequest",	//1268
    "~QSslCertificate",	//1269
    "~QSslCipher",	//1270
    "~QSslConfiguration",	//1271
    "~QSslError",	//1272
    "~QSslKey",	//1273
    "~QSslSocket",	//1274
    "~QTcpServer",	//1275
    "~QTcpSocket",	//1276
    "~QUdpSocket",	//1277
    "~QUrlInfo",	//1278
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1206, 3, 2, Smoke::mf_static, 193, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1210, 3, 2, Smoke::mf_static, 193, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1206, 6, 3, Smoke::mf_static, 193, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1210, 6, 3, Smoke::mf_static, 193, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 610, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 125, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1215, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 452, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 934, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 333, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 402, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 418, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 726, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 548, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 410, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 159, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1206, 1, 1, Smoke::mf_static, 193, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1210, 1, 1, Smoke::mf_static, 193, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 159, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1244, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//22 QAbstractSocket::metaObject() const
    {2, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1206, 3, 2, Smoke::mf_static, 193, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1210, 3, 2, Smoke::mf_static, 193, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1206, 6, 3, Smoke::mf_static, 193, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1210, 6, 3, Smoke::mf_static, 193, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 161, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 420, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QIODevice::OpenMode)
    {2, 420, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QIODevice::OpenMode)
    {2, 468, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 574, 0, 0, Smoke::mf_const, 333, 12},	//33 QAbstractSocket::isValid() const
    {2, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 599, 0, 0, Smoke::mf_const, 428, 16},	//37 QAbstractSocket::localPort() const
    {2, 595, 0, 0, Smoke::mf_const, 71, 17},	//38 QAbstractSocket::localAddress() const
    {2, 712, 0, 0, Smoke::mf_const, 428, 18},	//39 QAbstractSocket::peerPort() const
    {2, 707, 0, 0, Smoke::mf_const, 71, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 711, 0, 0, Smoke::mf_const, 193, 20},	//41 QAbstractSocket::peerName() const
    {2, 921, 0, 0, Smoke::mf_const, 418, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1110, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 353, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1172, 0, 0, Smoke::mf_const, 416, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1129, 35, 3, 0, 333, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QIODevice::OpenMode)
    {2, 1138, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1173, 42, 1, 0, 220, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1175, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1182, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 487, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 413, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 32},	//53 QAbstractSocket::isSequential() const
    {2, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 33},	//54 QAbstractSocket::atEnd() const
    {2, 500, 0, 0, 0, 333, 34},	//55 QAbstractSocket::flush()
    {2, 1228, 44, 1, 0, 333, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1237, 44, 1, Smoke::mf_virtual, 333, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1226, 44, 1, Smoke::mf_virtual, 333, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1230, 44, 1, 0, 333, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1097, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 732, 0, 0, Smoke::mf_const, 139, 40},	//61 QAbstractSocket::proxy() const
    {2, 539, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1183, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 487, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 733, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 430, 25, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, unsigned short, QIODevice::OpenMode)
    {2, 469, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 922, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 928, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1239, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1140, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1136, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1046, 61, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1040, 63, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1075, 61, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1069, 63, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1073, 65, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1206, 1, 1, Smoke::mf_static, 193, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1210, 1, 1, Smoke::mf_static, 193, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 420, 67, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 420, 70, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1129, 44, 1, 0, 333, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1129, 73, 2, 0, 333, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1228, 0, 0, 0, 333, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1237, 0, 0, 0, 333, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1226, 0, 0, 0, 333, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1230, 0, 0, 0, 333, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 430, 67, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, unsigned short)
    {2, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1245, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 163, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 163, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 663, 76, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 666, 76, 1, Smoke::mf_const, 333, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 627, 76, 1, Smoke::mf_const, 333, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1221, 0, 0, Smoke::mf_const, 193, 6},	//133 QAuthenticator::user() const
    {3, 1159, 65, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 705, 0, 0, Smoke::mf_const, 193, 8},	//135 QAuthenticator::password() const
    {3, 1065, 65, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 932, 0, 0, Smoke::mf_const, 193, 10},	//137 QAuthenticator::realm() const
    {3, 566, 0, 0, Smoke::mf_const, 333, 11},	//138 QAuthenticator::isNull() const
    {3, 465, 0, 0, 0, 0, 12},	//139 QAuthenticator::detach()
    {3, 1246, 0, 0, Smoke::mf_dtor, 0, 13 },	//140 QAuthenticator::~QAuthenticator()
    {16, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//141 QFtp::metaObject() const
    {16, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//142 QFtp::qt_metacast(const char*)
    {16, 1206, 3, 2, Smoke::mf_static, 193, 3},	//143 QFtp::tr(const char*, const char*)
    {16, 1210, 3, 2, Smoke::mf_static, 193, 4},	//144 QFtp::trUtf8(const char*, const char*)
    {16, 1206, 6, 3, Smoke::mf_static, 193, 5},	//145 QFtp::tr(const char*, const char*, int)
    {16, 1210, 6, 3, Smoke::mf_static, 193, 6},	//146 QFtp::trUtf8(const char*, const char*, int)
    {16, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//147 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 165, 20, 1, Smoke::mf_ctor, 64, 8},	//148 QFtp::QFtp(QObject*)
    {16, 1097, 67, 2, 0, 416, 9},	//149 QFtp::setProxy(const QString&, unsigned short)
    {16, 420, 67, 2, 0, 416, 10},	//150 QFtp::connectToHost(const QString&, unsigned short)
    {16, 600, 78, 2, 0, 416, 11},	//151 QFtp::login(const QString&, const QString&)
    {16, 413, 0, 0, 0, 416, 12},	//152 QFtp::close()
    {16, 1151, 81, 1, 0, 416, 13},	//153 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 587, 65, 1, 0, 416, 14},	//154 QFtp::list(const QString&)
    {16, 405, 65, 1, 0, 416, 15},	//155 QFtp::cd(const QString&)
    {16, 514, 83, 3, 0, 416, 16},	//156 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 739, 87, 3, 0, 416, 17},	//157 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 739, 91, 3, 0, 416, 18},	//158 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 934, 65, 1, 0, 416, 19},	//159 QFtp::remove(const QString&)
    {16, 616, 65, 1, 0, 416, 20},	//160 QFtp::mkdir(const QString&)
    {16, 956, 65, 1, 0, 416, 21},	//161 QFtp::rmdir(const QString&)
    {16, 943, 78, 2, 0, 416, 22},	//162 QFtp::rename(const QString&, const QString&)
    {16, 910, 65, 1, 0, 416, 23},	//163 QFtp::rawCommand(const QString&)
    {16, 397, 0, 0, Smoke::mf_const, 418, 24},	//164 QFtp::bytesAvailable() const
    {16, 918, 55, 2, 0, 418, 25},	//165 QFtp::read(char*, long long)
    {16, 920, 0, 0, 0, 14, 26},	//166 QFtp::readAll()
    {16, 448, 0, 0, Smoke::mf_const, 416, 27},	//167 QFtp::currentId() const
    {16, 447, 0, 0, Smoke::mf_const, 91, 28},	//168 QFtp::currentDevice() const
    {16, 445, 0, 0, Smoke::mf_const, 65, 29},	//169 QFtp::currentCommand() const
    {16, 528, 0, 0, Smoke::mf_const, 333, 30},	//170 QFtp::hasPendingCommands() const
    {16, 411, 0, 0, 0, 0, 31},	//171 QFtp::clearPendingCommands()
    {16, 1182, 0, 0, Smoke::mf_const, 67, 32},	//172 QFtp::state() const
    {16, 487, 0, 0, Smoke::mf_const, 66, 33},	//173 QFtp::error() const
    {16, 489, 0, 0, Smoke::mf_const, 193, 34},	//174 QFtp::errorString() const
    {16, 353, 0, 0, Smoke::mf_slot, 0, 35},	//175 QFtp::abort()
    {16, 1183, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//176 QFtp::stateChanged(int)
    {16, 589, 95, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//177 QFtp::listInfo(const QUrlInfo&)
    {16, 930, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//178 QFtp::readyRead()
    {16, 458, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//179 QFtp::dataTransferProgress(long long, long long)
    {16, 912, 100, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//180 QFtp::rawCommandReply(int, const QString&)
    {16, 417, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//181 QFtp::commandStarted(int)
    {16, 415, 103, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//182 QFtp::commandFinished(int, bool)
    {16, 474, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//183 QFtp::done(bool)
    {16, 1206, 1, 1, Smoke::mf_static, 193, 44},	//184 QFtp::tr(const char*)
    {16, 1210, 1, 1, Smoke::mf_static, 193, 45},	//185 QFtp::trUtf8(const char*)
    {16, 165, 0, 0, Smoke::mf_ctor, 64, 46},	//186 QFtp::QFtp()
    {16, 420, 65, 1, 0, 416, 47},	//187 QFtp::connectToHost(const QString&)
    {16, 600, 0, 0, 0, 416, 48},	//188 QFtp::login()
    {16, 600, 65, 1, 0, 416, 49},	//189 QFtp::login(const QString&)
    {16, 587, 0, 0, 0, 416, 50},	//190 QFtp::list()
    {16, 514, 65, 1, 0, 416, 51},	//191 QFtp::get(const QString&)
    {16, 514, 108, 2, 0, 416, 52},	//192 QFtp::get(const QString&, QIODevice*)
    {16, 739, 111, 2, 0, 416, 53},	//193 QFtp::put(const QByteArray&, const QString&)
    {16, 739, 114, 2, 0, 416, 54},	//194 QFtp::put(QIODevice*, const QString&)
    {16, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 55},	//195 QFtp::staticMetaObject() const
    {16, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 56},	//196 QFtp::Unconnected (enum)
    {16, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 57},	//197 QFtp::HostLookup (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 58},	//198 QFtp::Connecting (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 59},	//199 QFtp::Connected (enum)
    {16, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 60},	//200 QFtp::LoggedIn (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 61},	//201 QFtp::Closing (enum)
    {16, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 62},	//202 QFtp::NoError (enum)
    {16, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 63},	//203 QFtp::UnknownError (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 64},	//204 QFtp::HostNotFound (enum)
    {16, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 65},	//205 QFtp::ConnectionRefused (enum)
    {16, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 66},	//206 QFtp::NotConnected (enum)
    {16, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 67},	//207 QFtp::None (enum)
    {16, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 68},	//208 QFtp::SetTransferMode (enum)
    {16, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 69},	//209 QFtp::SetProxy (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 70},	//210 QFtp::ConnectToHost (enum)
    {16, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 71},	//211 QFtp::Login (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 72},	//212 QFtp::Close (enum)
    {16, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 73},	//213 QFtp::List (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 74},	//214 QFtp::Cd (enum)
    {16, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 75},	//215 QFtp::Get (enum)
    {16, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 76},	//216 QFtp::Put (enum)
    {16, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 77},	//217 QFtp::Remove (enum)
    {16, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 78},	//218 QFtp::Mkdir (enum)
    {16, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 79},	//219 QFtp::Rmdir (enum)
    {16, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 80},	//220 QFtp::Rename (enum)
    {16, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 81},	//221 QFtp::RawCommand (enum)
    {16, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 82},	//222 QFtp::Active (enum)
    {16, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 83},	//223 QFtp::Passive (enum)
    {16, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 84},	//224 QFtp::Binary (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 85},	//225 QFtp::Ascii (enum)
    {16, 1247, 0, 0, Smoke::mf_dtor, 0, 86 },	//226 QFtp::~QFtp()
    {17, 825, 117, 1, Smoke::mf_static, 416, 1},	//227 QGlobalSpace::qRound(double)
    {17, 691, 119, 2, Smoke::mf_static, 45, 2},	//228 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    {17, 743, 117, 1, Smoke::mf_static, 414, 3},	//229 QGlobalSpace::qAcos(double)
    {17, 691, 122, 2, Smoke::mf_static, 50, 4},	//230 QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    {17, 683, 125, 2, Smoke::mf_static, 20, 5},	//231 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 691, 128, 2, Smoke::mf_static, 55, 6},	//232 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    {17, 678, 131, 2, Smoke::mf_static, 333, 7},	//233 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 683, 134, 2, Smoke::mf_static, 20, 8},	//234 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 747, 0, 0, Smoke::mf_static, 193, 9},	//235 QGlobalSpace::qAppName()
    {17, 875, 137, 3, Smoke::mf_static, 336, 10},	//236 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 788, 141, 1, Smoke::mf_static, 425, 11},	//237 QGlobalSpace::qHash(unsigned int)
    {17, 788, 143, 1, Smoke::mf_static, 425, 12},	//238 QGlobalSpace::qHash(char)
    {17, 636, 145, 2, Smoke::mf_static, 390, 13},	//239 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 654, 148, 2, Smoke::mf_static, 24, 14},	//240 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 853, 1, 1, Smoke::mf_static, 14, 15},	//241 QGlobalSpace::qgetenv(const char*)
    {17, 649, 151, 2, Smoke::mf_static, 333, 16},	//242 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 673, 154, 2, Smoke::mf_static, 333, 17},	//243 QGlobalSpace::operator>(const char*, const QString&)
    {17, 683, 157, 2, Smoke::mf_static, 20, 18},	//244 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 691, 160, 2, Smoke::mf_static, 96, 19},	//245 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    {17, 666, 163, 2, Smoke::mf_static, 333, 20},	//246 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 691, 166, 2, Smoke::mf_static, 40, 21},	//247 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    {17, 666, 169, 2, Smoke::mf_static, 333, 22},	//248 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 654, 172, 2, Smoke::mf_static, 24, 23},	//249 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 774, 117, 1, Smoke::mf_static, 414, 24},	//250 QGlobalSpace::qFastSin(double)
    {17, 639, 175, 2, Smoke::mf_static, 398, 25},	//251 QGlobalSpace::operator+(QChar, const QString&)
    {17, 691, 178, 2, Smoke::mf_static, 96, 26},	//252 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    {17, 873, 181, 3, Smoke::mf_static, 416, 27},	//253 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 658, 185, 2, Smoke::mf_static, 333, 28},	//254 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 658, 188, 2, Smoke::mf_static, 333, 29},	//255 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 654, 191, 2, Smoke::mf_static, 24, 30},	//256 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 908, 194, 4, Smoke::mf_static, 416, 31},	//257 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 691, 199, 2, Smoke::mf_static, 45, 32},	//258 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    {17, 627, 202, 2, Smoke::mf_static, 333, 33},	//259 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 627, 205, 2, Smoke::mf_static, 333, 34},	//260 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 654, 208, 2, Smoke::mf_static, 20, 35},	//261 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 639, 211, 2, Smoke::mf_static, 398, 36},	//262 QGlobalSpace::operator+(const QString&, QChar)
    {17, 639, 169, 2, Smoke::mf_static, 388, 37},	//263 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 879, 214, 2, Smoke::mf_static, 425, 38},	//264 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 666, 188, 2, Smoke::mf_static, 333, 39},	//265 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 691, 217, 2, Smoke::mf_static, 61, 40},	//266 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    {17, 691, 220, 2, Smoke::mf_static, 96, 41},	//267 QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    {17, 627, 223, 2, Smoke::mf_static, 333, 42},	//268 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 654, 226, 2, Smoke::mf_static, 24, 43},	//269 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 654, 229, 2, Smoke::mf_static, 24, 44},	//270 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 627, 232, 2, Smoke::mf_static, 333, 45},	//271 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 788, 235, 1, Smoke::mf_static, 425, 46},	//272 QGlobalSpace::qHash(unsigned char)
    {17, 901, 237, 5, Smoke::mf_static, 0, 47},	//273 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 666, 243, 2, Smoke::mf_static, 333, 48},	//274 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 691, 246, 2, Smoke::mf_static, 62, 49},	//275 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    {17, 890, 44, 1, Smoke::mf_static, 193, 50},	//276 QGlobalSpace::qt_error_string(int)
    {17, 890, 0, 0, Smoke::mf_static, 193, 51},	//277 QGlobalSpace::qt_error_string()
    {17, 683, 249, 2, Smoke::mf_static, 20, 52},	//278 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 802, 252, 1, Smoke::mf_static, 333, 53},	//279 QGlobalSpace::qIsNull(float)
    {17, 816, 0, 0, Smoke::mf_static, 414, 54},	//280 QGlobalSpace::qQNaN()
    {17, 627, 254, 2, Smoke::mf_static, 333, 55},	//281 QGlobalSpace::operator!=(QChar, QChar)
    {17, 832, 257, 1, Smoke::mf_static, 206, 56},	//282 QGlobalSpace::qSetPadChar(QChar)
    {17, 683, 259, 2, Smoke::mf_static, 20, 57},	//283 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 691, 262, 2, Smoke::mf_static, 96, 58},	//284 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    {17, 644, 202, 2, Smoke::mf_static, 382, 59},	//285 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 654, 265, 2, Smoke::mf_static, 24, 60},	//286 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 654, 268, 2, Smoke::mf_static, 24, 61},	//287 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 691, 271, 2, Smoke::mf_static, 96, 62},	//288 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    {17, 881, 274, 2, Smoke::mf_static, 193, 63},	//289 QGlobalSpace::qtTrId(const char*, int)
    {17, 881, 1, 1, Smoke::mf_static, 193, 64},	//290 QGlobalSpace::qtTrId(const char*)
    {17, 691, 277, 2, Smoke::mf_static, 51, 65},	//291 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    {17, 752, 280, 2, Smoke::mf_static, 414, 66},	//292 QGlobalSpace::qAtan2(double, double)
    {17, 654, 283, 2, Smoke::mf_static, 20, 67},	//293 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 788, 286, 1, Smoke::mf_static, 425, 68},	//294 QGlobalSpace::qHash(short)
    {17, 666, 131, 2, Smoke::mf_static, 333, 69},	//295 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 654, 288, 2, Smoke::mf_static, 20, 70},	//296 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 796, 117, 1, Smoke::mf_static, 333, 71},	//297 QGlobalSpace::qIsFinite(double)
    {17, 654, 291, 2, Smoke::mf_static, 24, 72},	//298 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 860, 151, 2, Smoke::mf_static, 416, 73},	//299 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 867, 1, 1, Smoke::mf_static, 336, 74},	//300 QGlobalSpace::qstrdup(const char*)
    {17, 788, 294, 1, Smoke::mf_static, 425, 75},	//301 QGlobalSpace::qHash(long)
    {17, 691, 296, 2, Smoke::mf_static, 96, 76},	//302 QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, int)
    {17, 860, 3, 2, Smoke::mf_static, 416, 77},	//303 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 654, 299, 2, Smoke::mf_static, 20, 78},	//304 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 673, 185, 2, Smoke::mf_static, 333, 79},	//305 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 627, 302, 2, Smoke::mf_static, 333, 80},	//306 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 639, 305, 2, Smoke::mf_static, 339, 81},	//307 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 691, 308, 2, Smoke::mf_static, 96, 82},	//308 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, int)
    {17, 627, 131, 2, Smoke::mf_static, 333, 83},	//309 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 666, 311, 2, Smoke::mf_static, 333, 84},	//310 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 788, 314, 1, Smoke::mf_static, 425, 85},	//311 QGlobalSpace::qHash(const QBitArray&)
    {17, 865, 316, 2, Smoke::mf_static, 336, 86},	//312 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 691, 319, 2, Smoke::mf_static, 11, 87},	//313 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 627, 322, 2, Smoke::mf_static, 333, 88},	//314 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 649, 305, 2, Smoke::mf_static, 333, 89},	//315 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 750, 117, 1, Smoke::mf_static, 414, 90},	//316 QGlobalSpace::qAtan(double)
    {17, 860, 305, 2, Smoke::mf_static, 416, 91},	//317 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 678, 254, 2, Smoke::mf_static, 333, 92},	//318 QGlobalSpace::operator>=(QChar, QChar)
    {17, 691, 325, 2, Smoke::mf_static, 96, 93},	//319 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    {17, 658, 254, 2, Smoke::mf_static, 333, 94},	//320 QGlobalSpace::operator<=(QChar, QChar)
    {17, 691, 328, 2, Smoke::mf_static, 34, 95},	//321 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    {17, 691, 331, 2, Smoke::mf_static, 41, 96},	//322 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QNetworkInterface::InterfaceFlags::enum_type)
    {17, 636, 334, 2, Smoke::mf_static, 382, 97},	//323 QGlobalSpace::operator*(const QPointF&, double)
    {17, 691, 337, 2, Smoke::mf_static, 47, 98},	//324 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    {17, 654, 340, 2, Smoke::mf_static, 24, 99},	//325 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 691, 343, 2, Smoke::mf_static, 39, 100},	//326 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    {17, 666, 346, 2, Smoke::mf_static, 333, 101},	//327 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 691, 349, 2, Smoke::mf_static, 96, 102},	//328 QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    {17, 691, 352, 2, Smoke::mf_static, 96, 103},	//329 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    {17, 888, 274, 2, Smoke::mf_static, 0, 104},	//330 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 666, 302, 2, Smoke::mf_static, 333, 105},	//331 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 627, 185, 2, Smoke::mf_static, 333, 106},	//332 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 627, 355, 2, Smoke::mf_static, 333, 107},	//333 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 683, 358, 2, Smoke::mf_static, 20, 108},	//334 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 658, 361, 2, Smoke::mf_static, 333, 109},	//335 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 846, 364, 2, Smoke::mf_static, 14, 110},	//336 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 691, 367, 2, Smoke::mf_static, 96, 111},	//337 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    {17, 759, 370, 2, Smoke::mf_static, 14, 112},	//338 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 759, 373, 1, Smoke::mf_static, 14, 113},	//339 QGlobalSpace::qCompress(const QByteArray&)
    {17, 691, 375, 2, Smoke::mf_static, 57, 114},	//340 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    {17, 654, 378, 2, Smoke::mf_static, 20, 115},	//341 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 683, 381, 2, Smoke::mf_static, 203, 116},	//342 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 654, 384, 2, Smoke::mf_static, 24, 117},	//343 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 819, 387, 4, Smoke::mf_static, 433, 118},	//344 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 673, 131, 2, Smoke::mf_static, 333, 119},	//345 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 691, 392, 2, Smoke::mf_static, 38, 120},	//346 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    {17, 839, 117, 1, Smoke::mf_static, 414, 121},	//347 QGlobalSpace::qSqrt(double)
    {17, 691, 395, 2, Smoke::mf_static, 96, 122},	//348 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    {17, 654, 381, 2, Smoke::mf_static, 203, 123},	//349 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 654, 398, 2, Smoke::mf_static, 20, 124},	//350 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 654, 401, 2, Smoke::mf_static, 24, 125},	//351 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 654, 404, 2, Smoke::mf_static, 24, 126},	//352 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 654, 407, 2, Smoke::mf_static, 24, 127},	//353 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 673, 188, 2, Smoke::mf_static, 333, 128},	//354 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 678, 361, 2, Smoke::mf_static, 333, 129},	//355 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 691, 410, 2, Smoke::mf_static, 40, 130},	//356 QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    {17, 794, 252, 1, Smoke::mf_static, 416, 131},	//357 QGlobalSpace::qIntCast(float)
    {17, 666, 202, 2, Smoke::mf_static, 333, 132},	//358 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 673, 305, 2, Smoke::mf_static, 333, 133},	//359 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 691, 413, 2, Smoke::mf_static, 48, 134},	//360 QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    {17, 770, 117, 1, Smoke::mf_static, 414, 135},	//361 QGlobalSpace::qFabs(double)
    {17, 788, 61, 1, Smoke::mf_static, 425, 136},	//362 QGlobalSpace::qHash(unsigned short)
    {17, 666, 305, 2, Smoke::mf_static, 333, 137},	//363 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 691, 416, 2, Smoke::mf_static, 58, 138},	//364 QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    {17, 691, 419, 2, Smoke::mf_static, 38, 139},	//365 QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    {17, 654, 422, 2, Smoke::mf_static, 24, 140},	//366 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 691, 425, 2, Smoke::mf_static, 96, 141},	//367 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    {17, 627, 188, 2, Smoke::mf_static, 333, 142},	//368 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 817, 428, 2, Smoke::mf_static, 433, 143},	//369 QGlobalSpace::qRealloc(void*, size_t)
    {17, 666, 431, 2, Smoke::mf_static, 333, 144},	//370 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 850, 0, 0, Smoke::mf_static, 24, 145},	//371 QGlobalSpace::qWarning()
    {17, 784, 280, 2, Smoke::mf_static, 333, 146},	//372 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 658, 131, 2, Smoke::mf_static, 333, 147},	//373 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 654, 434, 2, Smoke::mf_static, 24, 148},	//374 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 691, 437, 2, Smoke::mf_static, 96, 149},	//375 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    {17, 683, 440, 2, Smoke::mf_static, 20, 150},	//376 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 654, 443, 2, Smoke::mf_static, 24, 151},	//377 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 654, 446, 2, Smoke::mf_static, 20, 152},	//378 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 627, 449, 2, Smoke::mf_static, 333, 153},	//379 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 636, 452, 2, Smoke::mf_static, 388, 154},	//380 QGlobalSpace::operator*(double, const QSize&)
    {17, 767, 0, 0, Smoke::mf_static, 24, 155},	//381 QGlobalSpace::qDebug()
    {17, 691, 455, 2, Smoke::mf_static, 59, 156},	//382 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    {17, 788, 33, 1, Smoke::mf_static, 425, 157},	//383 QGlobalSpace::qHash(long long)
    {17, 691, 458, 2, Smoke::mf_static, 48, 158},	//384 QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    {17, 658, 154, 2, Smoke::mf_static, 333, 159},	//385 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 644, 461, 1, Smoke::mf_static, 382, 160},	//386 QGlobalSpace::operator-(const QPointF&)
    {17, 798, 252, 1, Smoke::mf_static, 333, 161},	//387 QGlobalSpace::qIsInf(float)
    {17, 639, 154, 2, Smoke::mf_static, 398, 162},	//388 QGlobalSpace::operator+(const char*, const QString&)
    {17, 658, 305, 2, Smoke::mf_static, 333, 163},	//389 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 654, 463, 2, Smoke::mf_static, 24, 164},	//390 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 788, 63, 1, Smoke::mf_static, 425, 165},	//391 QGlobalSpace::qHash(const QHostAddress&)
    {17, 627, 361, 2, Smoke::mf_static, 333, 166},	//392 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 691, 466, 2, Smoke::mf_static, 46, 167},	//393 QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QFlags<QUdpSocket::BindMode::enum_type>)
    {17, 673, 254, 2, Smoke::mf_static, 333, 168},	//394 QGlobalSpace::operator>(QChar, QChar)
    {17, 647, 145, 2, Smoke::mf_static, 390, 169},	//395 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 691, 469, 2, Smoke::mf_static, 43, 170},	//396 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    {17, 654, 472, 2, Smoke::mf_static, 24, 171},	//397 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 691, 475, 2, Smoke::mf_static, 96, 172},	//398 QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, int)
    {17, 860, 361, 2, Smoke::mf_static, 416, 173},	//399 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 634, 319, 2, Smoke::mf_static, 11, 174},	//400 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 654, 478, 2, Smoke::mf_static, 24, 175},	//401 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 644, 481, 1, Smoke::mf_static, 380, 176},	//402 QGlobalSpace::operator-(const QPoint&)
    {17, 678, 151, 2, Smoke::mf_static, 333, 177},	//403 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 691, 483, 2, Smoke::mf_static, 61, 178},	//404 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    {17, 654, 486, 2, Smoke::mf_static, 20, 179},	//405 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 678, 185, 2, Smoke::mf_static, 333, 180},	//406 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 649, 188, 2, Smoke::mf_static, 333, 181},	//407 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 683, 489, 2, Smoke::mf_static, 20, 182},	//408 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 627, 492, 2, Smoke::mf_static, 333, 183},	//409 QGlobalSpace::operator!=(QBool, QBool)
    {17, 639, 495, 2, Smoke::mf_static, 398, 184},	//410 QGlobalSpace::operator+(const QString&, char)
    {17, 627, 498, 2, Smoke::mf_static, 333, 185},	//411 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 788, 501, 1, Smoke::mf_static, 425, 186},	//412 QGlobalSpace::qHash(unsigned long long)
    {17, 691, 503, 2, Smoke::mf_static, 35, 187},	//413 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    {17, 666, 185, 2, Smoke::mf_static, 333, 188},	//414 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 776, 1, 1, Smoke::mf_static, 410, 189},	//415 QGlobalSpace::qFlagLocation(const char*)
    {17, 647, 334, 2, Smoke::mf_static, 382, 190},	//416 QGlobalSpace::operator/(const QPointF&, double)
    {17, 794, 117, 1, Smoke::mf_static, 416, 191},	//417 QGlobalSpace::qIntCast(double)
    {17, 846, 373, 1, Smoke::mf_static, 14, 192},	//418 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 627, 163, 2, Smoke::mf_static, 333, 193},	//419 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 654, 506, 2, Smoke::mf_static, 24, 194},	//420 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 666, 509, 2, Smoke::mf_static, 333, 195},	//421 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 658, 151, 2, Smoke::mf_static, 333, 196},	//422 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 772, 117, 1, Smoke::mf_static, 414, 197},	//423 QGlobalSpace::qFastCos(double)
    {17, 691, 512, 2, Smoke::mf_static, 47, 198},	//424 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    {17, 823, 515, 1, Smoke::mf_static, 0, 199},	//425 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 683, 517, 2, Smoke::mf_static, 20, 200},	//426 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 784, 520, 2, Smoke::mf_static, 333, 201},	//427 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 654, 523, 2, Smoke::mf_static, 20, 202},	//428 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 757, 214, 2, Smoke::mf_static, 428, 203},	//429 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 683, 526, 2, Smoke::mf_static, 20, 204},	//430 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 636, 529, 2, Smoke::mf_static, 388, 205},	//431 QGlobalSpace::operator*(const QSize&, double)
    {17, 792, 532, 1, Smoke::mf_static, 432, 206},	//432 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 654, 534, 2, Smoke::mf_static, 203, 207},	//433 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 644, 322, 2, Smoke::mf_static, 380, 208},	//434 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 683, 537, 2, Smoke::mf_static, 20, 209},	//435 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 766, 0, 0, Smoke::mf_static, 24, 210},	//436 QGlobalSpace::qCritical()
    {17, 691, 540, 2, Smoke::mf_static, 96, 211},	//437 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    {17, 647, 543, 2, Smoke::mf_static, 380, 212},	//438 QGlobalSpace::operator/(const QPoint&, double)
    {17, 814, 280, 2, Smoke::mf_static, 414, 213},	//439 QGlobalSpace::qPow(double, double)
    {17, 691, 546, 2, Smoke::mf_static, 53, 214},	//440 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    {17, 654, 549, 2, Smoke::mf_static, 20, 215},	//441 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 627, 509, 2, Smoke::mf_static, 333, 216},	//442 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 654, 552, 2, Smoke::mf_static, 20, 217},	//443 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 788, 44, 1, Smoke::mf_static, 425, 218},	//444 QGlobalSpace::qHash(int)
    {17, 898, 0, 0, Smoke::mf_static, 0, 219},	//445 QGlobalSpace::qt_noop()
    {17, 691, 555, 2, Smoke::mf_static, 96, 220},	//446 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    {17, 666, 205, 2, Smoke::mf_static, 333, 221},	//447 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 627, 243, 2, Smoke::mf_static, 333, 222},	//448 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 683, 558, 2, Smoke::mf_static, 20, 223},	//449 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 899, 561, 3, Smoke::mf_static, 158, 224},	//450 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 654, 565, 2, Smoke::mf_static, 20, 225},	//451 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 691, 568, 2, Smoke::mf_static, 96, 226},	//452 QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    {17, 666, 492, 2, Smoke::mf_static, 333, 227},	//453 QGlobalSpace::operator==(QBool, QBool)
    {17, 691, 571, 2, Smoke::mf_static, 35, 228},	//454 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    {17, 683, 574, 2, Smoke::mf_static, 20, 229},	//455 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 768, 117, 1, Smoke::mf_static, 414, 230},	//456 QGlobalSpace::qExp(double)
    {17, 691, 577, 2, Smoke::mf_static, 32, 231},	//457 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    {17, 683, 580, 2, Smoke::mf_static, 20, 232},	//458 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 691, 583, 2, Smoke::mf_static, 62, 233},	//459 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    {17, 666, 586, 2, Smoke::mf_static, 333, 234},	//460 QGlobalSpace::operator==(bool, QBool)
    {17, 786, 117, 1, Smoke::mf_static, 333, 235},	//461 QGlobalSpace::qFuzzyIsNull(double)
    {17, 683, 589, 2, Smoke::mf_static, 20, 236},	//462 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 906, 592, 3, Smoke::mf_static, 333, 237},	//463 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 649, 154, 2, Smoke::mf_static, 333, 238},	//464 QGlobalSpace::operator<(const char*, const QString&)
    {17, 691, 596, 2, Smoke::mf_static, 96, 239},	//465 QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    {17, 666, 599, 2, Smoke::mf_static, 333, 240},	//466 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 851, 602, 3, Smoke::mf_static, 0, 241},	//467 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 788, 257, 1, Smoke::mf_static, 425, 242},	//468 QGlobalSpace::qHash(QChar)
    {17, 654, 606, 2, Smoke::mf_static, 20, 243},	//469 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 627, 599, 2, Smoke::mf_static, 333, 244},	//470 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 649, 131, 2, Smoke::mf_static, 333, 245},	//471 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 691, 609, 2, Smoke::mf_static, 43, 246},	//472 QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    {17, 691, 612, 2, Smoke::mf_static, 96, 247},	//473 QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    {17, 691, 615, 2, Smoke::mf_static, 96, 248},	//474 QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    {17, 627, 586, 2, Smoke::mf_static, 333, 249},	//475 QGlobalSpace::operator!=(bool, QBool)
    {17, 892, 618, 2, Smoke::mf_static, 0, 250},	//476 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 858, 141, 1, Smoke::mf_static, 0, 251},	//477 QGlobalSpace::qsrand(unsigned int)
    {17, 666, 621, 2, Smoke::mf_static, 333, 252},	//478 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 691, 624, 2, Smoke::mf_static, 96, 253},	//479 QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    {17, 639, 111, 2, Smoke::mf_static, 398, 254},	//480 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 691, 627, 2, Smoke::mf_static, 96, 255},	//481 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    {17, 654, 630, 2, Smoke::mf_static, 24, 256},	//482 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 683, 633, 2, Smoke::mf_static, 20, 257},	//483 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 627, 431, 2, Smoke::mf_static, 333, 258},	//484 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 869, 3, 2, Smoke::mf_static, 416, 259},	//485 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 812, 636, 3, Smoke::mf_static, 433, 260},	//486 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 654, 640, 2, Smoke::mf_static, 24, 261},	//487 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 691, 643, 2, Smoke::mf_static, 60, 262},	//488 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    {17, 627, 169, 2, Smoke::mf_static, 333, 263},	//489 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 691, 646, 2, Smoke::mf_static, 42, 264},	//490 QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QNetworkProxy::Capabilities::enum_type)
    {17, 755, 117, 1, Smoke::mf_static, 416, 265},	//491 QGlobalSpace::qCeil(double)
    {17, 788, 649, 1, Smoke::mf_static, 425, 266},	//492 QGlobalSpace::qHash(signed char)
    {17, 666, 232, 2, Smoke::mf_static, 333, 267},	//493 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 666, 498, 2, Smoke::mf_static, 333, 268},	//494 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 683, 651, 2, Smoke::mf_static, 20, 269},	//495 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 654, 654, 2, Smoke::mf_static, 24, 270},	//496 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 639, 322, 2, Smoke::mf_static, 380, 271},	//497 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 639, 151, 2, Smoke::mf_static, 339, 272},	//498 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 745, 515, 1, Smoke::mf_static, 0, 273},	//499 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 691, 657, 2, Smoke::mf_static, 96, 274},	//500 QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    {17, 821, 660, 1, Smoke::mf_static, 0, 275},	//501 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 691, 662, 2, Smoke::mf_static, 56, 276},	//502 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    {17, 636, 665, 2, Smoke::mf_static, 382, 277},	//503 QGlobalSpace::operator*(double, const QPointF&)
    {17, 836, 0, 0, Smoke::mf_static, 333, 278},	//504 QGlobalSpace::qSharedBuild()
    {17, 691, 668, 2, Smoke::mf_static, 33, 279},	//505 QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    {17, 654, 671, 2, Smoke::mf_static, 20, 280},	//506 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 654, 674, 2, Smoke::mf_static, 20, 281},	//507 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 683, 677, 2, Smoke::mf_static, 20, 282},	//508 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 791, 0, 0, Smoke::mf_static, 414, 283},	//509 QGlobalSpace::qInf()
    {17, 877, 181, 3, Smoke::mf_static, 416, 284},	//510 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 691, 680, 2, Smoke::mf_static, 54, 285},	//511 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    {17, 788, 683, 1, Smoke::mf_static, 425, 286},	//512 QGlobalSpace::qHash(const QStringRef&)
    {17, 683, 685, 2, Smoke::mf_static, 20, 287},	//513 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 691, 688, 2, Smoke::mf_static, 60, 288},	//514 QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    {17, 673, 361, 2, Smoke::mf_static, 333, 289},	//515 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 654, 691, 2, Smoke::mf_static, 20, 290},	//516 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 666, 254, 2, Smoke::mf_static, 333, 291},	//517 QGlobalSpace::operator==(QChar, QChar)
    {17, 691, 694, 2, Smoke::mf_static, 34, 292},	//518 QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    {17, 691, 697, 2, Smoke::mf_static, 96, 293},	//519 QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    {17, 764, 117, 1, Smoke::mf_static, 414, 294},	//520 QGlobalSpace::qCos(double)
    {17, 808, 700, 2, Smoke::mf_static, 433, 295},	//521 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 654, 703, 2, Smoke::mf_static, 20, 296},	//522 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 639, 706, 2, Smoke::mf_static, 398, 297},	//523 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 886, 709, 4, Smoke::mf_static, 0, 298},	//524 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 691, 714, 2, Smoke::mf_static, 63, 299},	//525 QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    {17, 691, 717, 2, Smoke::mf_static, 55, 300},	//526 QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    {17, 639, 720, 2, Smoke::mf_static, 339, 301},	//527 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 849, 0, 0, Smoke::mf_static, 410, 302},	//528 QGlobalSpace::qVersion()
    {17, 691, 723, 2, Smoke::mf_static, 96, 303},	//529 QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    {17, 639, 202, 2, Smoke::mf_static, 382, 304},	//530 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 654, 726, 2, Smoke::mf_static, 20, 305},	//531 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 666, 154, 2, Smoke::mf_static, 333, 306},	//532 QGlobalSpace::operator==(const char*, const QString&)
    {17, 691, 729, 2, Smoke::mf_static, 36, 307},	//533 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    {17, 654, 732, 2, Smoke::mf_static, 20, 308},	//534 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 691, 735, 2, Smoke::mf_static, 96, 309},	//535 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    {17, 666, 449, 2, Smoke::mf_static, 333, 310},	//536 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 691, 738, 2, Smoke::mf_static, 41, 311},	//537 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QFlags<QNetworkInterface::InterfaceFlags::enum_type>)
    {17, 841, 741, 2, Smoke::mf_static, 333, 312},	//538 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 654, 744, 2, Smoke::mf_static, 24, 313},	//539 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 654, 747, 2, Smoke::mf_static, 20, 314},	//540 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 639, 750, 2, Smoke::mf_static, 339, 315},	//541 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 639, 753, 2, Smoke::mf_static, 398, 316},	//542 QGlobalSpace::operator+(const QString&, const char*)
    {17, 691, 756, 2, Smoke::mf_static, 49, 317},	//543 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    {17, 649, 361, 2, Smoke::mf_static, 333, 318},	//544 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 759, 759, 3, Smoke::mf_static, 14, 319},	//545 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 759, 364, 2, Smoke::mf_static, 14, 320},	//546 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 778, 117, 1, Smoke::mf_static, 416, 321},	//547 QGlobalSpace::qFloor(double)
    {17, 788, 65, 1, Smoke::mf_static, 425, 322},	//548 QGlobalSpace::qHash(const QString&)
    {17, 691, 763, 2, Smoke::mf_static, 96, 323},	//549 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    {17, 691, 766, 2, Smoke::mf_static, 54, 324},	//550 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    {17, 639, 78, 2, Smoke::mf_static, 398, 325},	//551 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 627, 769, 2, Smoke::mf_static, 333, 326},	//552 QGlobalSpace::operator!=(QBool, bool)
    {17, 654, 772, 2, Smoke::mf_static, 24, 327},	//553 QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    {17, 666, 361, 2, Smoke::mf_static, 333, 328},	//554 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 654, 775, 2, Smoke::mf_static, 20, 329},	//555 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 691, 778, 2, Smoke::mf_static, 96, 330},	//556 QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    {17, 800, 252, 1, Smoke::mf_static, 333, 331},	//557 QGlobalSpace::qIsNaN(float)
    {17, 654, 781, 2, Smoke::mf_static, 20, 332},	//558 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 691, 784, 2, Smoke::mf_static, 63, 333},	//559 QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    {17, 810, 787, 3, Smoke::mf_static, 433, 334},	//560 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 780, 791, 1, Smoke::mf_static, 0, 335},	//561 QGlobalSpace::qFree(void*)
    {17, 666, 741, 2, Smoke::mf_static, 333, 336},	//562 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 678, 154, 2, Smoke::mf_static, 333, 337},	//563 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 800, 117, 1, Smoke::mf_static, 333, 338},	//564 QGlobalSpace::qIsNaN(double)
    {17, 636, 543, 2, Smoke::mf_static, 380, 339},	//565 QGlobalSpace::operator*(const QPoint&, double)
    {17, 654, 793, 2, Smoke::mf_static, 24, 340},	//566 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 654, 796, 2, Smoke::mf_static, 24, 341},	//567 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 834, 44, 1, Smoke::mf_static, 206, 342},	//568 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 857, 0, 0, Smoke::mf_static, 416, 343},	//569 QGlobalSpace::qrand()
    {17, 683, 799, 2, Smoke::mf_static, 20, 344},	//570 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 639, 361, 2, Smoke::mf_static, 339, 345},	//571 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 636, 802, 2, Smoke::mf_static, 380, 346},	//572 QGlobalSpace::operator*(double, const QPoint&)
    {17, 654, 805, 2, Smoke::mf_static, 24, 347},	//573 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 691, 808, 2, Smoke::mf_static, 59, 348},	//574 QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    {17, 691, 811, 2, Smoke::mf_static, 36, 349},	//575 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    {17, 691, 814, 2, Smoke::mf_static, 56, 350},	//576 QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    {17, 627, 741, 2, Smoke::mf_static, 333, 351},	//577 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 837, 117, 1, Smoke::mf_static, 414, 352},	//578 QGlobalSpace::qSin(double)
    {17, 654, 817, 2, Smoke::mf_static, 24, 353},	//579 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 654, 820, 2, Smoke::mf_static, 24, 354},	//580 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 666, 322, 2, Smoke::mf_static, 333, 355},	//581 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 691, 823, 2, Smoke::mf_static, 42, 356},	//582 QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QFlags<QNetworkProxy::Capabilities::enum_type>)
    {17, 884, 6, 3, Smoke::mf_static, 0, 357},	//583 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 683, 826, 2, Smoke::mf_static, 20, 358},	//584 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 654, 829, 2, Smoke::mf_static, 24, 359},	//585 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 871, 1, 1, Smoke::mf_static, 425, 360},	//586 QGlobalSpace::qstrlen(const char*)
    {17, 798, 117, 1, Smoke::mf_static, 333, 361},	//587 QGlobalSpace::qIsInf(double)
    {17, 644, 169, 2, Smoke::mf_static, 388, 362},	//588 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 691, 832, 2, Smoke::mf_static, 58, 363},	//589 QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    {17, 691, 835, 2, Smoke::mf_static, 39, 364},	//590 QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    {17, 691, 838, 2, Smoke::mf_static, 44, 365},	//591 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    {17, 691, 841, 2, Smoke::mf_static, 96, 366},	//592 QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    {17, 691, 844, 2, Smoke::mf_static, 96, 367},	//593 QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    {17, 647, 529, 2, Smoke::mf_static, 388, 368},	//594 QGlobalSpace::operator/(const QSize&, double)
    {17, 691, 847, 2, Smoke::mf_static, 52, 369},	//595 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    {17, 678, 305, 2, Smoke::mf_static, 333, 370},	//596 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 627, 305, 2, Smoke::mf_static, 333, 371},	//597 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 844, 117, 1, Smoke::mf_static, 414, 372},	//598 QGlobalSpace::qTan(double)
    {17, 827, 117, 1, Smoke::mf_static, 418, 373},	//599 QGlobalSpace::qRound64(double)
    {17, 788, 850, 1, Smoke::mf_static, 425, 374},	//600 QGlobalSpace::qHash(unsigned long)
    {17, 691, 852, 2, Smoke::mf_static, 33, 375},	//601 QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    {17, 691, 855, 2, Smoke::mf_static, 37, 376},	//602 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    {17, 829, 0, 0, Smoke::mf_static, 414, 377},	//603 QGlobalSpace::qSNaN()
    {17, 649, 254, 2, Smoke::mf_static, 333, 378},	//604 QGlobalSpace::operator<(QChar, QChar)
    {17, 644, 449, 2, Smoke::mf_static, 390, 379},	//605 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 806, 858, 1, Smoke::mf_static, 433, 380},	//606 QGlobalSpace::qMalloc(size_t)
    {17, 802, 117, 1, Smoke::mf_static, 333, 381},	//607 QGlobalSpace::qIsNull(double)
    {17, 855, 305, 2, Smoke::mf_static, 333, 382},	//608 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 683, 860, 2, Smoke::mf_static, 20, 383},	//609 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 683, 863, 2, Smoke::mf_static, 20, 384},	//610 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 786, 252, 1, Smoke::mf_static, 333, 385},	//611 QGlobalSpace::qFuzzyIsNull(float)
    {17, 654, 866, 2, Smoke::mf_static, 20, 386},	//612 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 654, 869, 2, Smoke::mf_static, 24, 387},	//613 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 691, 872, 2, Smoke::mf_static, 51, 388},	//614 QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    {17, 654, 875, 2, Smoke::mf_static, 24, 389},	//615 QGlobalSpace::operator<<(QDebug, QDir::Filters)
    {17, 788, 878, 1, Smoke::mf_static, 425, 390},	//616 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 691, 880, 2, Smoke::mf_static, 96, 391},	//617 QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    {17, 654, 883, 2, Smoke::mf_static, 24, 392},	//618 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 673, 151, 2, Smoke::mf_static, 333, 393},	//619 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 627, 621, 2, Smoke::mf_static, 333, 394},	//620 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 627, 154, 2, Smoke::mf_static, 333, 395},	//621 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 691, 886, 2, Smoke::mf_static, 53, 396},	//622 QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    {17, 830, 44, 1, Smoke::mf_static, 206, 397},	//623 QGlobalSpace::qSetFieldWidth(int)
    {17, 841, 753, 2, Smoke::mf_static, 333, 398},	//624 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 691, 889, 2, Smoke::mf_static, 44, 399},	//625 QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    {17, 691, 892, 2, Smoke::mf_static, 37, 400},	//626 QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    {17, 691, 895, 2, Smoke::mf_static, 32, 401},	//627 QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    {17, 649, 185, 2, Smoke::mf_static, 333, 402},	//628 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 636, 898, 2, Smoke::mf_static, 390, 403},	//629 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 678, 188, 2, Smoke::mf_static, 333, 404},	//630 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 654, 901, 2, Smoke::mf_static, 24, 405},	//631 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 788, 373, 1, Smoke::mf_static, 425, 406},	//632 QGlobalSpace::qHash(const QByteArray&)
    {17, 666, 223, 2, Smoke::mf_static, 333, 407},	//633 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 788, 904, 1, Smoke::mf_static, 425, 408},	//634 QGlobalSpace::qHash(const QModelIndex&)
    {17, 666, 355, 2, Smoke::mf_static, 333, 409},	//635 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 691, 906, 2, Smoke::mf_static, 52, 410},	//636 QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    {17, 782, 791, 1, Smoke::mf_static, 0, 411},	//637 QGlobalSpace::qFreeAligned(void*)
    {17, 691, 909, 2, Smoke::mf_static, 57, 412},	//638 QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    {17, 691, 912, 2, Smoke::mf_static, 46, 413},	//639 QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QUdpSocket::BindMode::enum_type)
    {17, 666, 151, 2, Smoke::mf_static, 333, 414},	//640 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 691, 915, 2, Smoke::mf_static, 49, 415},	//641 QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    {17, 804, 117, 1, Smoke::mf_static, 414, 416},	//642 QGlobalSpace::qLn(double)
    {17, 666, 769, 2, Smoke::mf_static, 333, 417},	//643 QGlobalSpace::operator==(QBool, bool)
    {17, 627, 151, 2, Smoke::mf_static, 333, 418},	//644 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 689, 319, 2, Smoke::mf_static, 11, 419},	//645 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 748, 117, 1, Smoke::mf_static, 414, 420},	//646 QGlobalSpace::qAsin(double)
    {17, 683, 918, 2, Smoke::mf_static, 20, 421},	//647 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 754, 0, 0, Smoke::mf_static, 0, 422},	//648 QGlobalSpace::qBadAlloc()
    {17, 691, 921, 2, Smoke::mf_static, 50, 423},	//649 QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    {17, 639, 924, 2, Smoke::mf_static, 398, 424},	//650 QGlobalSpace::operator+(char, const QString&)
    {17, 654, 927, 2, Smoke::mf_static, 20, 425},	//651 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 796, 252, 1, Smoke::mf_static, 333, 426},	//652 QGlobalSpace::qIsFinite(float)
    {17, 639, 449, 2, Smoke::mf_static, 390, 427},	//653 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 428},	//654 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 429},	//655 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 430},	//656 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 431},	//657 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 417, 432},	//658 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 318, 433},	//659 QGlobalSpace::LicensedGui (enum)
    {17, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 434},	//660 QGlobalSpace::LicensedXml (enum)
    {17, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 435},	//661 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 326, 436},	//662 QGlobalSpace::LicensedScript (enum)
    {17, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 437},	//663 QGlobalSpace::LicensedOpenVG (enum)
    {17, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 316, 438},	//664 QGlobalSpace::LicensedDBus (enum)
    {17, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 330, 439},	//665 QGlobalSpace::LicensedTest (enum)
    {17, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 440},	//666 QGlobalSpace::LicensedActiveQt (enum)
    {17, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 327, 441},	//667 QGlobalSpace::LicensedScriptTools (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 442},	//668 QGlobalSpace::LicensedSvg (enum)
    {17, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 317, 443},	//669 QGlobalSpace::LicensedDeclarative (enum)
    {17, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 444},	//670 QGlobalSpace::LicensedSql (enum)
    {17, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 445},	//671 QGlobalSpace::LicensedOpenGL (enum)
    {17, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 446},	//672 QGlobalSpace::LicensedCore (enum)
    {17, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 447},	//673 QGlobalSpace::QtDebugMsg (enum)
    {17, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 448},	//674 QGlobalSpace::QtWarningMsg (enum)
    {17, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 449},	//675 QGlobalSpace::QtCriticalMsg (enum)
    {17, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 450},	//676 QGlobalSpace::QtFatalMsg (enum)
    {17, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 451},	//677 QGlobalSpace::QtSystemMsg (enum)
    {17, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 452},	//678 QGlobalSpace::LicensedHelp (enum)
    {17, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 453},	//679 QGlobalSpace::LicensedMultimedia (enum)
    {17, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 454},	//680 QGlobalSpace::LicensedQt3Support (enum)
    {17, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 332, 455},	//681 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 456},	//682 QGlobalSpace::LicensedNetwork (enum)
    {19, 167, 0, 0, Smoke::mf_ctor, 73, 1},	//683 QHostAddress::QHostAddress()
    {19, 167, 141, 1, Smoke::mf_ctor, 73, 2},	//684 QHostAddress::QHostAddress(unsigned int)
    {19, 167, 930, 1, Smoke::mf_ctor, 73, 3},	//685 QHostAddress::QHostAddress(unsigned char*)
    {19, 167, 932, 1, Smoke::mf_ctor, 73, 4},	//686 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 167, 934, 1, Smoke::mf_ctor, 73, 5},	//687 QHostAddress::QHostAddress(const sockaddr*)
    {19, 167, 65, 1, Smoke::mf_ctor, 73, 6},	//688 QHostAddress::QHostAddress(const QString&)
    {19, 167, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 7},	//689 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 167, 936, 1, Smoke::mf_ctor, 73, 8},	//690 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 663, 63, 1, 0, 72, 9},	//691 QHostAddress::operator=(const QHostAddress&)
    {19, 663, 65, 1, 0, 72, 10},	//692 QHostAddress::operator=(const QString&)
    {19, 967, 141, 1, 0, 0, 11},	//693 QHostAddress::setAddress(unsigned int)
    {19, 967, 930, 1, 0, 0, 12},	//694 QHostAddress::setAddress(unsigned char*)
    {19, 967, 932, 1, 0, 0, 13},	//695 QHostAddress::setAddress(const QIPv6Address&)
    {19, 967, 934, 1, 0, 0, 14},	//696 QHostAddress::setAddress(const sockaddr*)
    {19, 967, 65, 1, 0, 333, 15},	//697 QHostAddress::setAddress(const QString&)
    {19, 729, 0, 0, Smoke::mf_const, 4, 16},	//698 QHostAddress::protocol() const
    {19, 1199, 0, 0, Smoke::mf_const, 425, 17},	//699 QHostAddress::toIPv4Address() const
    {19, 1200, 0, 0, Smoke::mf_const, 94, 18},	//700 QHostAddress::toIPv6Address() const
    {19, 1205, 0, 0, Smoke::mf_const, 193, 19},	//701 QHostAddress::toString() const
    {19, 959, 0, 0, Smoke::mf_const, 193, 20},	//702 QHostAddress::scopeId() const
    {19, 1121, 65, 1, 0, 0, 21},	//703 QHostAddress::setScopeId(const QString&)
    {19, 666, 63, 1, Smoke::mf_const, 333, 22},	//704 QHostAddress::operator==(const QHostAddress&) const
    {19, 666, 936, 1, Smoke::mf_const, 333, 23},	//705 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 627, 63, 1, Smoke::mf_const, 333, 24},	//706 QHostAddress::operator!=(const QHostAddress&) const
    {19, 627, 936, 1, Smoke::mf_const, 333, 25},	//707 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 566, 0, 0, Smoke::mf_const, 333, 26},	//708 QHostAddress::isNull() const
    {19, 410, 0, 0, 0, 0, 27},	//709 QHostAddress::clear()
    {19, 562, 938, 2, Smoke::mf_const, 333, 28},	//710 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 562, 941, 1, Smoke::mf_const, 333, 29},	//711 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 703, 65, 1, Smoke::mf_static, 160, 30},	//712 QHostAddress::parseSubnet(const QString&)
    {19, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 31},	//713 QHostAddress::Null (enum)
    {19, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 32},	//714 QHostAddress::Broadcast (enum)
    {19, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 33},	//715 QHostAddress::LocalHost (enum)
    {19, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 34},	//716 QHostAddress::LocalHostIPv6 (enum)
    {19, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 35},	//717 QHostAddress::Any (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 36},	//718 QHostAddress::AnyIPv6 (enum)
    {19, 1248, 0, 0, Smoke::mf_dtor, 0, 37 },	//719 QHostAddress::~QHostAddress()
    {20, 170, 44, 1, Smoke::mf_ctor, 77, 1},	//720 QHostInfo::QHostInfo(int)
    {20, 170, 943, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//721 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 663, 943, 1, 0, 76, 3},	//722 QHostInfo::operator=(const QHostInfo&)
    {20, 540, 0, 0, Smoke::mf_const, 193, 4},	//723 QHostInfo::hostName() const
    {20, 1030, 65, 1, 0, 0, 5},	//724 QHostInfo::setHostName(const QString&)
    {20, 373, 0, 0, Smoke::mf_const, 102, 6},	//725 QHostInfo::addresses() const
    {20, 970, 945, 1, 0, 0, 7},	//726 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 487, 0, 0, Smoke::mf_const, 78, 8},	//727 QHostInfo::error() const
    {20, 1013, 947, 1, 0, 0, 9},	//728 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 489, 0, 0, Smoke::mf_const, 193, 10},	//729 QHostInfo::errorString() const
    {20, 1016, 65, 1, 0, 0, 11},	//730 QHostInfo::setErrorString(const QString&)
    {20, 1048, 44, 1, 0, 0, 12},	//731 QHostInfo::setLookupId(int)
    {20, 605, 0, 0, Smoke::mf_const, 416, 13},	//732 QHostInfo::lookupId() const
    {20, 603, 949, 3, Smoke::mf_static, 416, 14},	//733 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 354, 44, 1, Smoke::mf_static, 0, 15},	//734 QHostInfo::abortHostLookup(int)
    {20, 507, 65, 1, Smoke::mf_static, 75, 16},	//735 QHostInfo::fromName(const QString&)
    {20, 598, 0, 0, Smoke::mf_static, 193, 17},	//736 QHostInfo::localHostName()
    {20, 597, 0, 0, Smoke::mf_static, 193, 18},	//737 QHostInfo::localDomainName()
    {20, 170, 0, 0, Smoke::mf_ctor, 77, 19},	//738 QHostInfo::QHostInfo()
    {20, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 20},	//739 QHostInfo::NoError (enum)
    {20, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 21},	//740 QHostInfo::HostNotFound (enum)
    {20, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 22},	//741 QHostInfo::UnknownError (enum)
    {20, 1249, 0, 0, Smoke::mf_dtor, 0, 23 },	//742 QHostInfo::~QHostInfo()
    {21, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//743 QHttp::metaObject() const
    {21, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//744 QHttp::qt_metacast(const char*)
    {21, 1206, 3, 2, Smoke::mf_static, 193, 3},	//745 QHttp::tr(const char*, const char*)
    {21, 1210, 3, 2, Smoke::mf_static, 193, 4},	//746 QHttp::trUtf8(const char*, const char*)
    {21, 1206, 6, 3, Smoke::mf_static, 193, 5},	//747 QHttp::tr(const char*, const char*, int)
    {21, 1210, 6, 3, Smoke::mf_static, 193, 6},	//748 QHttp::trUtf8(const char*, const char*, int)
    {21, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//749 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 173, 20, 1, Smoke::mf_ctor, 79, 8},	//750 QHttp::QHttp(QObject*)
    {21, 173, 953, 3, Smoke::mf_ctor, 79, 9},	//751 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 173, 957, 4, Smoke::mf_ctor, 79, 10},	//752 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1026, 67, 2, 0, 416, 11},	//753 QHttp::setHost(const QString&, unsigned short)
    {21, 1026, 962, 3, 0, 416, 12},	//754 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1127, 966, 1, 0, 416, 13},	//755 QHttp::setSocket(QTcpSocket*)
    {21, 1159, 78, 2, 0, 416, 14},	//756 QHttp::setUser(const QString&, const QString&)
    {21, 1097, 968, 4, 0, 416, 15},	//757 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1097, 46, 1, 0, 416, 16},	//758 QHttp::setProxy(const QNetworkProxy&)
    {21, 514, 108, 2, 0, 416, 17},	//759 QHttp::get(const QString&, QIODevice*)
    {21, 721, 973, 3, 0, 416, 18},	//760 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 721, 977, 3, 0, 416, 19},	//761 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 534, 65, 1, 0, 416, 20},	//762 QHttp::head(const QString&)
    {21, 945, 981, 3, 0, 416, 21},	//763 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 945, 985, 3, 0, 416, 22},	//764 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 414, 0, 0, 0, 416, 23},	//765 QHttp::closeConnection()
    {21, 413, 0, 0, 0, 416, 24},	//766 QHttp::close()
    {21, 397, 0, 0, Smoke::mf_const, 418, 25},	//767 QHttp::bytesAvailable() const
    {21, 918, 55, 2, 0, 418, 26},	//768 QHttp::read(char*, long long)
    {21, 920, 0, 0, 0, 14, 27},	//769 QHttp::readAll()
    {21, 448, 0, 0, Smoke::mf_const, 416, 28},	//770 QHttp::currentId() const
    {21, 450, 0, 0, Smoke::mf_const, 91, 29},	//771 QHttp::currentSourceDevice() const
    {21, 446, 0, 0, Smoke::mf_const, 91, 30},	//772 QHttp::currentDestinationDevice() const
    {21, 449, 0, 0, Smoke::mf_const, 85, 31},	//773 QHttp::currentRequest() const
    {21, 583, 0, 0, Smoke::mf_const, 88, 32},	//774 QHttp::lastResponse() const
    {21, 531, 0, 0, Smoke::mf_const, 333, 33},	//775 QHttp::hasPendingRequests() const
    {21, 412, 0, 0, 0, 0, 34},	//776 QHttp::clearPendingRequests()
    {21, 1182, 0, 0, Smoke::mf_const, 82, 35},	//777 QHttp::state() const
    {21, 487, 0, 0, Smoke::mf_const, 81, 36},	//778 QHttp::error() const
    {21, 489, 0, 0, Smoke::mf_const, 193, 37},	//779 QHttp::errorString() const
    {21, 353, 0, 0, Smoke::mf_slot, 0, 38},	//780 QHttp::abort()
    {21, 542, 0, 0, Smoke::mf_slot, 0, 39},	//781 QHttp::ignoreSslErrors()
    {21, 1183, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//782 QHttp::stateChanged(int)
    {21, 954, 989, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//783 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 930, 989, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//784 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 456, 991, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//785 QHttp::dataSendProgress(int, int)
    {21, 454, 991, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//786 QHttp::dataReadProgress(int, int)
    {21, 951, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//787 QHttp::requestStarted(int)
    {21, 949, 103, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//788 QHttp::requestFinished(int, bool)
    {21, 474, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//789 QHttp::done(bool)
    {21, 733, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//790 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 388, 994, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//791 QHttp::authenticationRequired(const QString&, unsigned short, QAuthenticator*)
    {21, 1177, 998, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//792 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1206, 1, 1, Smoke::mf_static, 193, 51},	//793 QHttp::tr(const char*)
    {21, 1210, 1, 1, Smoke::mf_static, 193, 52},	//794 QHttp::trUtf8(const char*)
    {21, 173, 0, 0, Smoke::mf_ctor, 79, 53},	//795 QHttp::QHttp()
    {21, 173, 65, 1, Smoke::mf_ctor, 79, 54},	//796 QHttp::QHttp(const QString&)
    {21, 173, 67, 2, Smoke::mf_ctor, 79, 55},	//797 QHttp::QHttp(const QString&, unsigned short)
    {21, 173, 1000, 2, Smoke::mf_ctor, 79, 56},	//798 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 173, 962, 3, Smoke::mf_ctor, 79, 57},	//799 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1026, 65, 1, 0, 416, 58},	//800 QHttp::setHost(const QString&)
    {21, 1026, 1000, 2, 0, 416, 59},	//801 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1159, 65, 1, 0, 416, 60},	//802 QHttp::setUser(const QString&)
    {21, 1097, 1003, 2, 0, 416, 61},	//803 QHttp::setProxy(const QString&, int)
    {21, 1097, 1006, 3, 0, 416, 62},	//804 QHttp::setProxy(const QString&, int, const QString&)
    {21, 514, 65, 1, 0, 416, 63},	//805 QHttp::get(const QString&)
    {21, 721, 108, 2, 0, 416, 64},	//806 QHttp::post(const QString&, QIODevice*)
    {21, 721, 706, 2, 0, 416, 65},	//807 QHttp::post(const QString&, const QByteArray&)
    {21, 945, 1010, 1, 0, 416, 66},	//808 QHttp::request(const QHttpRequestHeader&)
    {21, 945, 1012, 2, 0, 416, 67},	//809 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 945, 1015, 2, 0, 416, 68},	//810 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 69},	//811 QHttp::staticMetaObject() const
    {21, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//812 QHttp::ConnectionModeHttp (enum)
    {21, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//813 QHttp::ConnectionModeHttps (enum)
    {21, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 72},	//814 QHttp::Unconnected (enum)
    {21, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 73},	//815 QHttp::HostLookup (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 74},	//816 QHttp::Connecting (enum)
    {21, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 75},	//817 QHttp::Sending (enum)
    {21, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 76},	//818 QHttp::Reading (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 77},	//819 QHttp::Connected (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 78},	//820 QHttp::Closing (enum)
    {21, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 79},	//821 QHttp::NoError (enum)
    {21, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 80},	//822 QHttp::UnknownError (enum)
    {21, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 81},	//823 QHttp::HostNotFound (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 82},	//824 QHttp::ConnectionRefused (enum)
    {21, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 83},	//825 QHttp::UnexpectedClose (enum)
    {21, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 84},	//826 QHttp::InvalidResponseHeader (enum)
    {21, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 85},	//827 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 86},	//828 QHttp::Aborted (enum)
    {21, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 87},	//829 QHttp::AuthenticationRequiredError (enum)
    {21, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 88},	//830 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1250, 0, 0, Smoke::mf_dtor, 0, 89 },	//831 QHttp::~QHttp()
    {22, 180, 0, 0, Smoke::mf_ctor, 84, 1},	//832 QHttpHeader::QHttpHeader()
    {22, 180, 1018, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//833 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 180, 65, 1, Smoke::mf_ctor, 84, 3},	//834 QHttpHeader::QHttpHeader(const QString&)
    {22, 663, 1018, 1, 0, 83, 4},	//835 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1164, 78, 2, 0, 0, 5},	//836 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1167, 1020, 1, 0, 0, 6},	//837 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 370, 78, 2, 0, 0, 7},	//838 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1224, 0, 0, Smoke::mf_const, 108, 8},	//839 QHttpHeader::values() const
    {22, 526, 65, 1, Smoke::mf_const, 333, 9},	//840 QHttpHeader::hasKey(const QString&) const
    {22, 580, 0, 0, Smoke::mf_const, 197, 10},	//841 QHttpHeader::keys() const
    {22, 1222, 65, 1, Smoke::mf_const, 193, 11},	//842 QHttpHeader::value(const QString&) const
    {22, 378, 65, 1, Smoke::mf_const, 197, 12},	//843 QHttpHeader::allValues(const QString&) const
    {22, 941, 65, 1, 0, 0, 13},	//844 QHttpHeader::removeValue(const QString&)
    {22, 937, 65, 1, 0, 0, 14},	//845 QHttpHeader::removeAllValues(const QString&)
    {22, 524, 0, 0, Smoke::mf_const, 333, 15},	//846 QHttpHeader::hasContentLength() const
    {22, 437, 0, 0, Smoke::mf_const, 425, 16},	//847 QHttpHeader::contentLength() const
    {22, 995, 44, 1, 0, 0, 17},	//848 QHttpHeader::setContentLength(int)
    {22, 525, 0, 0, Smoke::mf_const, 333, 18},	//849 QHttpHeader::hasContentType() const
    {22, 438, 0, 0, Smoke::mf_const, 193, 19},	//850 QHttpHeader::contentType() const
    {22, 997, 65, 1, 0, 0, 20},	//851 QHttpHeader::setContentType(const QString&)
    {22, 1205, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 21},	//852 QHttpHeader::toString() const
    {22, 574, 0, 0, Smoke::mf_const, 333, 22},	//853 QHttpHeader::isValid() const
    {22, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 416, 23},	//854 QHttpHeader::majorVersion() const [pure virtual]
    {22, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 416, 24},	//855 QHttpHeader::minorVersion() const [pure virtual]
    {22, 701, 1003, 2, Smoke::mf_protected|Smoke::mf_virtual, 333, 25},	//856 QHttpHeader::parseLine(const QString&, int)
    {22, 697, 65, 1, Smoke::mf_protected, 333, 26},	//857 QHttpHeader::parse(const QString&)
    {22, 1162, 106, 1, Smoke::mf_protected, 0, 27},	//858 QHttpHeader::setValid(bool)
    {22, 1251, 0, 0, Smoke::mf_dtor, 0, 28 },	//859 QHttpHeader::~QHttpHeader()
    {23, 183, 0, 0, Smoke::mf_ctor, 87, 1},	//860 QHttpRequestHeader::QHttpRequestHeader()
    {23, 183, 1022, 4, Smoke::mf_ctor, 87, 2},	//861 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 183, 1010, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 3},	//862 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 183, 65, 1, Smoke::mf_ctor, 87, 4},	//863 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 663, 1010, 1, 0, 86, 5},	//864 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1114, 1022, 4, 0, 0, 6},	//865 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 614, 0, 0, Smoke::mf_const, 193, 7},	//866 QHttpRequestHeader::method() const
    {23, 706, 0, 0, Smoke::mf_const, 193, 8},	//867 QHttpRequestHeader::path() const
    {23, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 9},	//868 QHttpRequestHeader::majorVersion() const
    {23, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 10},	//869 QHttpRequestHeader::minorVersion() const
    {23, 1205, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 11},	//870 QHttpRequestHeader::toString() const
    {23, 701, 1003, 2, Smoke::mf_protected|Smoke::mf_virtual, 333, 12},	//871 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 183, 78, 2, Smoke::mf_ctor, 87, 13},	//872 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 183, 1027, 3, Smoke::mf_ctor, 87, 14},	//873 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1114, 78, 2, 0, 0, 15},	//874 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1114, 1027, 3, 0, 0, 16},	//875 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1252, 0, 0, Smoke::mf_dtor, 0, 17 },	//876 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 189, 0, 0, Smoke::mf_ctor, 90, 1},	//877 QHttpResponseHeader::QHttpResponseHeader()
    {24, 189, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 2},	//878 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 189, 65, 1, Smoke::mf_ctor, 90, 3},	//879 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 189, 1031, 4, Smoke::mf_ctor, 90, 4},	//880 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 663, 989, 1, 0, 89, 5},	//881 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1144, 1031, 4, 0, 0, 6},	//882 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1186, 0, 0, Smoke::mf_const, 416, 7},	//883 QHttpResponseHeader::statusCode() const
    {24, 933, 0, 0, Smoke::mf_const, 193, 8},	//884 QHttpResponseHeader::reasonPhrase() const
    {24, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 9},	//885 QHttpResponseHeader::majorVersion() const
    {24, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 10},	//886 QHttpResponseHeader::minorVersion() const
    {24, 1205, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 11},	//887 QHttpResponseHeader::toString() const
    {24, 701, 1003, 2, Smoke::mf_protected|Smoke::mf_virtual, 333, 12},	//888 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 189, 44, 1, Smoke::mf_ctor, 90, 13},	//889 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 189, 100, 2, Smoke::mf_ctor, 90, 14},	//890 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 189, 1036, 3, Smoke::mf_ctor, 90, 15},	//891 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1144, 44, 1, 0, 0, 16},	//892 QHttpResponseHeader::setStatusLine(int)
    {24, 1144, 100, 2, 0, 0, 17},	//893 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1144, 1036, 3, 0, 0, 18},	//894 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1253, 0, 0, Smoke::mf_dtor, 0, 19 },	//895 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 625, 1040, 1, Smoke::mf_virtual, 333, 0},	//896 QIODevice::open(QIODevice::OpenMode)
    {25, 720, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 0},	//897 QIODevice::pos() const
    {25, 1171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 0},	//898 QIODevice::size() const
    {25, 960, 33, 1, Smoke::mf_virtual, 333, 0},	//899 QIODevice::seek(long long)
    {25, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 0},	//900 QIODevice::atEnd() const
    {25, 953, 0, 0, Smoke::mf_virtual, 333, 0},	//901 QIODevice::reset()
    {25, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 0},	//902 QIODevice::bytesAvailable() const
    {25, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 0},	//903 QIODevice::bytesToWrite() const
    {25, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 0},	//904 QIODevice::canReadLine() const
    {25, 1237, 44, 1, Smoke::mf_virtual, 333, 0},	//905 QIODevice::waitForReadyRead(int)
    {25, 1226, 44, 1, Smoke::mf_virtual, 333, 0},	//906 QIODevice::waitForBytesWritten(int)
    {25, 922, 55, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 418, 0},	//907 QIODevice::readData(char*, long long) [pure virtual]
    {25, 928, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 0},	//908 QIODevice::readLineData(char*, long long)
    {26, 687, 44, 1, 0, 423, 1},	//909 QIPv6Address::operator[](int)
    {26, 687, 44, 1, Smoke::mf_const, 422, 2},	//910 QIPv6Address::operator[](int) const
    {26, 195, 0, 0, Smoke::mf_ctor, 95, 3},	//911 QIPv6Address::QIPv6Address()
    {26, 195, 932, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 4},	//912 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1254, 0, 0, Smoke::mf_dtor, 0, 5 },	//913 QIPv6Address::~QIPv6Address()
    {31, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//914 QLocalServer::metaObject() const
    {31, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//915 QLocalServer::qt_metacast(const char*)
    {31, 1206, 3, 2, Smoke::mf_static, 193, 3},	//916 QLocalServer::tr(const char*, const char*)
    {31, 1210, 3, 2, Smoke::mf_static, 193, 4},	//917 QLocalServer::trUtf8(const char*, const char*)
    {31, 1206, 6, 3, Smoke::mf_static, 193, 5},	//918 QLocalServer::tr(const char*, const char*, int)
    {31, 1210, 6, 3, Smoke::mf_static, 193, 6},	//919 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//920 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 623, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//921 QLocalServer::newConnection()
    {31, 197, 20, 1, Smoke::mf_ctor, 113, 9},	//922 QLocalServer::QLocalServer(QObject*)
    {31, 413, 0, 0, 0, 0, 10},	//923 QLocalServer::close()
    {31, 489, 0, 0, Smoke::mf_const, 193, 11},	//924 QLocalServer::errorString() const
    {31, 529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 12},	//925 QLocalServer::hasPendingConnections() const
    {31, 565, 0, 0, Smoke::mf_const, 333, 13},	//926 QLocalServer::isListening() const
    {31, 591, 65, 1, 0, 333, 14},	//927 QLocalServer::listen(const QString&)
    {31, 608, 0, 0, Smoke::mf_const, 416, 15},	//928 QLocalServer::maxPendingConnections() const
    {31, 624, 0, 0, Smoke::mf_virtual, 114, 16},	//929 QLocalServer::nextPendingConnection()
    {31, 964, 0, 0, Smoke::mf_const, 193, 17},	//930 QLocalServer::serverName() const
    {31, 513, 0, 0, Smoke::mf_const, 193, 18},	//931 QLocalServer::fullServerName() const
    {31, 939, 65, 1, Smoke::mf_static, 333, 19},	//932 QLocalServer::removeServer(const QString&)
    {31, 963, 0, 0, Smoke::mf_const, 5, 20},	//933 QLocalServer::serverError() const
    {31, 1050, 44, 1, 0, 0, 21},	//934 QLocalServer::setMaxPendingConnections(int)
    {31, 1234, 1042, 2, 0, 333, 22},	//935 QLocalServer::waitForNewConnection(int, bool*)
    {31, 544, 1045, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//936 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1206, 1, 1, Smoke::mf_static, 193, 24},	//937 QLocalServer::tr(const char*)
    {31, 1210, 1, 1, Smoke::mf_static, 193, 25},	//938 QLocalServer::trUtf8(const char*)
    {31, 197, 0, 0, Smoke::mf_ctor, 113, 26},	//939 QLocalServer::QLocalServer()
    {31, 1234, 0, 0, 0, 333, 27},	//940 QLocalServer::waitForNewConnection()
    {31, 1234, 44, 1, 0, 333, 28},	//941 QLocalServer::waitForNewConnection(int)
    {31, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 29},	//942 QLocalServer::staticMetaObject() const
    {31, 1255, 0, 0, Smoke::mf_dtor, 0, 30 },	//943 QLocalServer::~QLocalServer()
    {32, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//944 QLocalSocket::metaObject() const
    {32, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//945 QLocalSocket::qt_metacast(const char*)
    {32, 1206, 3, 2, Smoke::mf_static, 193, 3},	//946 QLocalSocket::tr(const char*, const char*)
    {32, 1210, 3, 2, Smoke::mf_static, 193, 4},	//947 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1206, 6, 3, Smoke::mf_static, 193, 5},	//948 QLocalSocket::tr(const char*, const char*, int)
    {32, 1210, 6, 3, Smoke::mf_static, 193, 6},	//949 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//950 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 199, 20, 1, Smoke::mf_ctor, 114, 8},	//951 QLocalSocket::QLocalSocket(QObject*)
    {32, 433, 1047, 2, 0, 0, 9},	//952 QLocalSocket::connectToServer(const QString&, QIODevice::OpenMode)
    {32, 470, 0, 0, 0, 0, 10},	//953 QLocalSocket::disconnectFromServer()
    {32, 964, 0, 0, Smoke::mf_const, 193, 11},	//954 QLocalSocket::serverName() const
    {32, 513, 0, 0, Smoke::mf_const, 193, 12},	//955 QLocalSocket::fullServerName() const
    {32, 353, 0, 0, 0, 0, 13},	//956 QLocalSocket::abort()
    {32, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 14},	//957 QLocalSocket::isSequential() const
    {32, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 15},	//958 QLocalSocket::bytesAvailable() const
    {32, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 16},	//959 QLocalSocket::bytesToWrite() const
    {32, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 17},	//960 QLocalSocket::canReadLine() const
    {32, 413, 0, 0, Smoke::mf_virtual, 0, 18},	//961 QLocalSocket::close()
    {32, 487, 0, 0, Smoke::mf_const, 115, 19},	//962 QLocalSocket::error() const
    {32, 500, 0, 0, 0, 333, 20},	//963 QLocalSocket::flush()
    {32, 574, 0, 0, Smoke::mf_const, 333, 21},	//964 QLocalSocket::isValid() const
    {32, 921, 0, 0, Smoke::mf_const, 418, 22},	//965 QLocalSocket::readBufferSize() const
    {32, 1110, 33, 1, 0, 0, 23},	//966 QLocalSocket::setReadBufferSize(long long)
    {32, 1129, 1050, 3, 0, 333, 24},	//967 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QIODevice::OpenMode)
    {32, 1172, 0, 0, Smoke::mf_const, 97, 25},	//968 QLocalSocket::socketDescriptor() const
    {32, 1182, 0, 0, Smoke::mf_const, 116, 26},	//969 QLocalSocket::state() const
    {32, 1226, 44, 1, Smoke::mf_virtual, 333, 27},	//970 QLocalSocket::waitForBytesWritten(int)
    {32, 1228, 44, 1, 0, 333, 28},	//971 QLocalSocket::waitForConnected(int)
    {32, 1230, 44, 1, 0, 333, 29},	//972 QLocalSocket::waitForDisconnected(int)
    {32, 1237, 44, 1, Smoke::mf_virtual, 333, 30},	//973 QLocalSocket::waitForReadyRead(int)
    {32, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//974 QLocalSocket::connected()
    {32, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//975 QLocalSocket::disconnected()
    {32, 487, 1054, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//976 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1183, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//977 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 922, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 35},	//978 QLocalSocket::readData(char*, long long)
    {32, 1239, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 36},	//979 QLocalSocket::writeData(const char*, long long)
    {32, 1206, 1, 1, Smoke::mf_static, 193, 37},	//980 QLocalSocket::tr(const char*)
    {32, 1210, 1, 1, Smoke::mf_static, 193, 38},	//981 QLocalSocket::trUtf8(const char*)
    {32, 199, 0, 0, Smoke::mf_ctor, 114, 39},	//982 QLocalSocket::QLocalSocket()
    {32, 433, 65, 1, 0, 0, 40},	//983 QLocalSocket::connectToServer(const QString&)
    {32, 1129, 1045, 1, 0, 333, 41},	//984 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1129, 1058, 2, 0, 333, 42},	//985 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1226, 0, 0, 0, 333, 43},	//986 QLocalSocket::waitForBytesWritten()
    {32, 1228, 0, 0, 0, 333, 44},	//987 QLocalSocket::waitForConnected()
    {32, 1230, 0, 0, 0, 333, 45},	//988 QLocalSocket::waitForDisconnected()
    {32, 1237, 0, 0, 0, 333, 46},	//989 QLocalSocket::waitForReadyRead()
    {32, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 47},	//990 QLocalSocket::staticMetaObject() const
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 48},	//991 QLocalSocket::ConnectionRefusedError (enum)
    {32, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 49},	//992 QLocalSocket::PeerClosedError (enum)
    {32, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 50},	//993 QLocalSocket::ServerNotFoundError (enum)
    {32, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 51},	//994 QLocalSocket::SocketAccessError (enum)
    {32, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 52},	//995 QLocalSocket::SocketResourceError (enum)
    {32, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 53},	//996 QLocalSocket::SocketTimeoutError (enum)
    {32, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 54},	//997 QLocalSocket::DatagramTooLargeError (enum)
    {32, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 55},	//998 QLocalSocket::ConnectionError (enum)
    {32, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 56},	//999 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 57},	//1000 QLocalSocket::UnknownSocketError (enum)
    {32, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 58},	//1001 QLocalSocket::UnconnectedState (enum)
    {32, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 59},	//1002 QLocalSocket::ConnectingState (enum)
    {32, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 60},	//1003 QLocalSocket::ConnectedState (enum)
    {32, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 61},	//1004 QLocalSocket::ClosingState (enum)
    {32, 1256, 0, 0, Smoke::mf_dtor, 0, 62 },	//1005 QLocalSocket::~QLocalSocket()
    {37, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1006 QNetworkAccessManager::metaObject() const
    {37, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1007 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1008 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1009 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1010 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1011 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1012 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 201, 20, 1, Smoke::mf_ctor, 121, 8},	//1013 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 732, 0, 0, Smoke::mf_const, 139, 9},	//1014 QNetworkAccessManager::proxy() const
    {37, 1097, 46, 1, 0, 0, 10},	//1015 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 735, 0, 0, Smoke::mf_const, 146, 11},	//1016 QNetworkAccessManager::proxyFactory() const
    {37, 1102, 1061, 1, 0, 0, 12},	//1017 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 400, 0, 0, Smoke::mf_const, 2, 13},	//1018 QNetworkAccessManager::cache() const
    {37, 986, 1063, 1, 0, 0, 14},	//1019 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 439, 0, 0, Smoke::mf_const, 131, 15},	//1020 QNetworkAccessManager::cookieJar() const
    {37, 999, 1065, 1, 0, 0, 16},	//1021 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 534, 1067, 1, 0, 150, 17},	//1022 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 514, 1067, 1, 0, 150, 18},	//1023 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 721, 1069, 2, 0, 150, 19},	//1024 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 721, 1072, 2, 0, 150, 20},	//1025 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 739, 1069, 2, 0, 150, 21},	//1026 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 739, 1072, 2, 0, 150, 22},	//1027 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 463, 1067, 1, 0, 150, 23},	//1028 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 733, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1029 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 388, 1075, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1030 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 497, 1078, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1031 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1177, 1080, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1032 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 442, 1083, 3, Smoke::mf_protected|Smoke::mf_virtual, 150, 28},	//1033 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1206, 1, 1, Smoke::mf_static, 193, 29},	//1034 QNetworkAccessManager::tr(const char*)
    {37, 1210, 1, 1, Smoke::mf_static, 193, 30},	//1035 QNetworkAccessManager::trUtf8(const char*)
    {37, 201, 0, 0, Smoke::mf_ctor, 121, 31},	//1036 QNetworkAccessManager::QNetworkAccessManager()
    {37, 442, 1087, 2, Smoke::mf_protected, 150, 32},	//1037 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 33},	//1038 QNetworkAccessManager::staticMetaObject() const
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 34},	//1039 QNetworkAccessManager::HeadOperation (enum)
    {37, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 35},	//1040 QNetworkAccessManager::GetOperation (enum)
    {37, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//1041 QNetworkAccessManager::PutOperation (enum)
    {37, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 37},	//1042 QNetworkAccessManager::PostOperation (enum)
    {37, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 38},	//1043 QNetworkAccessManager::DeleteOperation (enum)
    {37, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 39},	//1044 QNetworkAccessManager::UnknownOperation (enum)
    {37, 1257, 0, 0, Smoke::mf_dtor, 0, 40 },	//1045 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 203, 0, 0, Smoke::mf_ctor, 124, 1},	//1046 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 203, 1090, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//1047 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 663, 1090, 1, 0, 123, 3},	//1048 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 666, 1090, 1, Smoke::mf_const, 333, 4},	//1049 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 627, 1090, 1, Smoke::mf_const, 333, 5},	//1050 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 554, 0, 0, Smoke::mf_const, 71, 6},	//1051 QNetworkAddressEntry::ip() const
    {38, 1034, 63, 1, 0, 0, 7},	//1052 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 622, 0, 0, Smoke::mf_const, 71, 8},	//1053 QNetworkAddressEntry::netmask() const
    {38, 1057, 63, 1, 0, 0, 9},	//1054 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 725, 0, 0, Smoke::mf_const, 416, 10},	//1055 QNetworkAddressEntry::prefixLength() const
    {38, 1085, 44, 1, 0, 0, 11},	//1056 QNetworkAddressEntry::setPrefixLength(int)
    {38, 396, 0, 0, Smoke::mf_const, 71, 12},	//1057 QNetworkAddressEntry::broadcast() const
    {38, 982, 63, 1, 0, 0, 13},	//1058 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1258, 0, 0, Smoke::mf_dtor, 0, 14 },	//1059 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 205, 0, 0, Smoke::mf_ctor, 127, 1},	//1060 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 205, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 127, 2},	//1061 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 663, 16, 1, 0, 126, 3},	//1062 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 666, 16, 1, Smoke::mf_const, 333, 4},	//1063 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 627, 16, 1, Smoke::mf_const, 333, 5},	//1064 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 574, 0, 0, Smoke::mf_const, 333, 6},	//1065 QNetworkCacheMetaData::isValid() const
    {39, 1219, 0, 0, Smoke::mf_const, 213, 7},	//1066 QNetworkCacheMetaData::url() const
    {39, 1155, 14, 1, 0, 0, 8},	//1067 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 917, 0, 0, Smoke::mf_const, 107, 9},	//1068 QNetworkCacheMetaData::rawHeaders() const
    {39, 1108, 1092, 1, 0, 0, 10},	//1069 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 581, 0, 0, Smoke::mf_const, 22, 11},	//1070 QNetworkCacheMetaData::lastModified() const
    {39, 1036, 1094, 1, 0, 0, 12},	//1071 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 492, 0, 0, Smoke::mf_const, 22, 13},	//1072 QNetworkCacheMetaData::expirationDate() const
    {39, 1018, 1094, 1, 0, 0, 14},	//1073 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 958, 0, 0, Smoke::mf_const, 333, 15},	//1074 QNetworkCacheMetaData::saveToDisk() const
    {39, 1119, 106, 1, 0, 0, 16},	//1075 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 386, 0, 0, Smoke::mf_const, 70, 17},	//1076 QNetworkCacheMetaData::attributes() const
    {39, 980, 1096, 1, 0, 0, 18},	//1077 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1259, 0, 0, Smoke::mf_dtor, 0, 19 },	//1078 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {40, 207, 361, 2, Smoke::mf_ctor, 129, 1},	//1079 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {40, 207, 1098, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//1080 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {40, 663, 1098, 1, 0, 128, 3},	//1081 QNetworkCookie::operator=(const QNetworkCookie&)
    {40, 666, 1098, 1, Smoke::mf_const, 333, 4},	//1082 QNetworkCookie::operator==(const QNetworkCookie&) const
    {40, 627, 1098, 1, Smoke::mf_const, 333, 5},	//1083 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {40, 569, 0, 0, Smoke::mf_const, 333, 6},	//1084 QNetworkCookie::isSecure() const
    {40, 1123, 106, 1, 0, 0, 7},	//1085 QNetworkCookie::setSecure(bool)
    {40, 561, 0, 0, Smoke::mf_const, 333, 8},	//1086 QNetworkCookie::isHttpOnly() const
    {40, 1032, 106, 1, 0, 0, 9},	//1087 QNetworkCookie::setHttpOnly(bool)
    {40, 571, 0, 0, Smoke::mf_const, 333, 10},	//1088 QNetworkCookie::isSessionCookie() const
    {40, 492, 0, 0, Smoke::mf_const, 22, 11},	//1089 QNetworkCookie::expirationDate() const
    {40, 1018, 1094, 1, 0, 0, 12},	//1090 QNetworkCookie::setExpirationDate(const QDateTime&)
    {40, 473, 0, 0, Smoke::mf_const, 193, 13},	//1091 QNetworkCookie::domain() const
    {40, 1011, 65, 1, 0, 0, 14},	//1092 QNetworkCookie::setDomain(const QString&)
    {40, 706, 0, 0, Smoke::mf_const, 193, 15},	//1093 QNetworkCookie::path() const
    {40, 1067, 65, 1, 0, 0, 16},	//1094 QNetworkCookie::setPath(const QString&)
    {40, 621, 0, 0, Smoke::mf_const, 14, 17},	//1095 QNetworkCookie::name() const
    {40, 1054, 373, 1, 0, 0, 18},	//1096 QNetworkCookie::setName(const QByteArray&)
    {40, 1222, 0, 0, Smoke::mf_const, 14, 19},	//1097 QNetworkCookie::value() const
    {40, 1164, 373, 1, 0, 0, 20},	//1098 QNetworkCookie::setValue(const QByteArray&)
    {40, 1203, 1100, 1, Smoke::mf_const, 14, 21},	//1099 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {40, 699, 373, 1, Smoke::mf_static, 104, 22},	//1100 QNetworkCookie::parseCookies(const QByteArray&)
    {40, 207, 0, 0, Smoke::mf_ctor, 129, 23},	//1101 QNetworkCookie::QNetworkCookie()
    {40, 207, 373, 1, Smoke::mf_ctor, 129, 24},	//1102 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {40, 1203, 0, 0, Smoke::mf_const, 14, 25},	//1103 QNetworkCookie::toRawForm() const
    {40, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 26},	//1104 QNetworkCookie::NameAndValueOnly (enum)
    {40, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 27},	//1105 QNetworkCookie::Full (enum)
    {40, 1260, 0, 0, Smoke::mf_dtor, 0, 28 },	//1106 QNetworkCookie::~QNetworkCookie()
    {41, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1107 QNetworkCookieJar::metaObject() const
    {41, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1108 QNetworkCookieJar::qt_metacast(const char*)
    {41, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1109 QNetworkCookieJar::tr(const char*, const char*)
    {41, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1110 QNetworkCookieJar::trUtf8(const char*, const char*)
    {41, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1111 QNetworkCookieJar::tr(const char*, const char*, int)
    {41, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1112 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {41, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1113 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {41, 210, 20, 1, Smoke::mf_ctor, 131, 8},	//1114 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {41, 440, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 9},	//1115 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {41, 1001, 1102, 2, Smoke::mf_virtual, 333, 10},	//1116 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {41, 376, 0, 0, Smoke::mf_const|Smoke::mf_protected, 104, 11},	//1117 QNetworkCookieJar::allCookies() const
    {41, 972, 1105, 1, Smoke::mf_protected, 0, 12},	//1118 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {41, 1206, 1, 1, Smoke::mf_static, 193, 13},	//1119 QNetworkCookieJar::tr(const char*)
    {41, 1210, 1, 1, Smoke::mf_static, 193, 14},	//1120 QNetworkCookieJar::trUtf8(const char*)
    {41, 210, 0, 0, Smoke::mf_ctor, 131, 15},	//1121 QNetworkCookieJar::QNetworkCookieJar()
    {41, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 16},	//1122 QNetworkCookieJar::staticMetaObject() const
    {41, 1261, 0, 0, Smoke::mf_dtor, 0, 17 },	//1123 QNetworkCookieJar::~QNetworkCookieJar()
    {42, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1124 QNetworkDiskCache::metaObject() const
    {42, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1125 QNetworkDiskCache::qt_metacast(const char*)
    {42, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1126 QNetworkDiskCache::tr(const char*, const char*)
    {42, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1127 QNetworkDiskCache::trUtf8(const char*, const char*)
    {42, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1128 QNetworkDiskCache::tr(const char*, const char*, int)
    {42, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1129 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {42, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1130 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {42, 212, 20, 1, Smoke::mf_ctor, 132, 8},	//1131 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {42, 401, 0, 0, Smoke::mf_const, 193, 9},	//1132 QNetworkDiskCache::cacheDirectory() const
    {42, 988, 65, 1, 0, 0, 10},	//1133 QNetworkDiskCache::setCacheDirectory(const QString&)
    {42, 609, 0, 0, Smoke::mf_const, 418, 11},	//1134 QNetworkDiskCache::maximumCacheSize() const
    {42, 1052, 33, 1, 0, 0, 12},	//1135 QNetworkDiskCache::setMaximumCacheSize(long long)
    {42, 402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 13},	//1136 QNetworkDiskCache::cacheSize() const
    {42, 610, 14, 1, Smoke::mf_virtual, 125, 14},	//1137 QNetworkDiskCache::metaData(const QUrl&)
    {42, 1215, 16, 1, Smoke::mf_virtual, 0, 15},	//1138 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {42, 452, 14, 1, Smoke::mf_virtual, 91, 16},	//1139 QNetworkDiskCache::data(const QUrl&)
    {42, 934, 14, 1, Smoke::mf_virtual, 333, 17},	//1140 QNetworkDiskCache::remove(const QUrl&)
    {42, 726, 16, 1, Smoke::mf_virtual, 91, 18},	//1141 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {42, 548, 18, 1, Smoke::mf_virtual, 0, 19},	//1142 QNetworkDiskCache::insert(QIODevice*)
    {42, 495, 65, 1, Smoke::mf_const, 125, 20},	//1143 QNetworkDiskCache::fileMetaData(const QString&) const
    {42, 410, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1144 QNetworkDiskCache::clear()
    {42, 493, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 418, 22},	//1145 QNetworkDiskCache::expire()
    {42, 1206, 1, 1, Smoke::mf_static, 193, 23},	//1146 QNetworkDiskCache::tr(const char*)
    {42, 1210, 1, 1, Smoke::mf_static, 193, 24},	//1147 QNetworkDiskCache::trUtf8(const char*)
    {42, 212, 0, 0, Smoke::mf_ctor, 132, 25},	//1148 QNetworkDiskCache::QNetworkDiskCache()
    {42, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 26},	//1149 QNetworkDiskCache::staticMetaObject() const
    {42, 1262, 0, 0, Smoke::mf_dtor, 0, 27 },	//1150 QNetworkDiskCache::~QNetworkDiskCache()
    {43, 214, 0, 0, Smoke::mf_ctor, 135, 1},	//1151 QNetworkInterface::QNetworkInterface()
    {43, 214, 1107, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//1152 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {43, 663, 1107, 1, 0, 134, 3},	//1153 QNetworkInterface::operator=(const QNetworkInterface&)
    {43, 574, 0, 0, Smoke::mf_const, 333, 4},	//1154 QNetworkInterface::isValid() const
    {43, 547, 0, 0, Smoke::mf_const, 416, 5},	//1155 QNetworkInterface::index() const
    {43, 621, 0, 0, Smoke::mf_const, 193, 6},	//1156 QNetworkInterface::name() const
    {43, 541, 0, 0, Smoke::mf_const, 193, 7},	//1157 QNetworkInterface::humanReadableName() const
    {43, 499, 0, 0, Smoke::mf_const, 137, 8},	//1158 QNetworkInterface::flags() const
    {43, 523, 0, 0, Smoke::mf_const, 193, 9},	//1159 QNetworkInterface::hardwareAddress() const
    {43, 372, 0, 0, Smoke::mf_const, 103, 10},	//1160 QNetworkInterface::addressEntries() const
    {43, 552, 65, 1, Smoke::mf_static, 133, 11},	//1161 QNetworkInterface::interfaceFromName(const QString&)
    {43, 550, 44, 1, Smoke::mf_static, 133, 12},	//1162 QNetworkInterface::interfaceFromIndex(int)
    {43, 377, 0, 0, Smoke::mf_static, 105, 13},	//1163 QNetworkInterface::allInterfaces()
    {43, 375, 0, 0, Smoke::mf_static, 102, 14},	//1164 QNetworkInterface::allAddresses()
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 15},	//1165 QNetworkInterface::IsUp (enum)
    {43, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 16},	//1166 QNetworkInterface::IsRunning (enum)
    {43, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 17},	//1167 QNetworkInterface::CanBroadcast (enum)
    {43, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 18},	//1168 QNetworkInterface::IsLoopBack (enum)
    {43, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 19},	//1169 QNetworkInterface::IsPointToPoint (enum)
    {43, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 20},	//1170 QNetworkInterface::CanMulticast (enum)
    {43, 1263, 0, 0, Smoke::mf_dtor, 0, 21 },	//1171 QNetworkInterface::~QNetworkInterface()
    {44, 216, 0, 0, Smoke::mf_ctor, 141, 1},	//1172 QNetworkProxy::QNetworkProxy()
    {44, 216, 1109, 5, Smoke::mf_ctor, 141, 2},	//1173 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {44, 216, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 3},	//1174 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {44, 663, 46, 1, 0, 140, 4},	//1175 QNetworkProxy::operator=(const QNetworkProxy&)
    {44, 666, 46, 1, Smoke::mf_const, 333, 5},	//1176 QNetworkProxy::operator==(const QNetworkProxy&) const
    {44, 627, 46, 1, Smoke::mf_const, 333, 6},	//1177 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {44, 1153, 1115, 1, 0, 0, 7},	//1178 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {44, 1214, 0, 0, Smoke::mf_const, 145, 8},	//1179 QNetworkProxy::type() const
    {44, 990, 1117, 1, 0, 0, 9},	//1180 QNetworkProxy::setCapabilities(QNetworkProxy::Capabilities)
    {44, 404, 0, 0, Smoke::mf_const, 142, 10},	//1181 QNetworkProxy::capabilities() const
    {44, 555, 0, 0, Smoke::mf_const, 333, 11},	//1182 QNetworkProxy::isCachingProxy() const
    {44, 573, 0, 0, Smoke::mf_const, 333, 12},	//1183 QNetworkProxy::isTransparentProxy() const
    {44, 1159, 65, 1, 0, 0, 13},	//1184 QNetworkProxy::setUser(const QString&)
    {44, 1221, 0, 0, Smoke::mf_const, 193, 14},	//1185 QNetworkProxy::user() const
    {44, 1065, 65, 1, 0, 0, 15},	//1186 QNetworkProxy::setPassword(const QString&)
    {44, 705, 0, 0, Smoke::mf_const, 193, 16},	//1187 QNetworkProxy::password() const
    {44, 1030, 65, 1, 0, 0, 17},	//1188 QNetworkProxy::setHostName(const QString&)
    {44, 540, 0, 0, Smoke::mf_const, 193, 18},	//1189 QNetworkProxy::hostName() const
    {44, 1083, 61, 1, 0, 0, 19},	//1190 QNetworkProxy::setPort(unsigned short)
    {44, 719, 0, 0, Smoke::mf_const, 428, 20},	//1191 QNetworkProxy::port() const
    {44, 974, 46, 1, Smoke::mf_static, 0, 21},	//1192 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {44, 381, 0, 0, Smoke::mf_static, 139, 22},	//1193 QNetworkProxy::applicationProxy()
    {44, 216, 1115, 1, Smoke::mf_ctor, 141, 23},	//1194 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {44, 216, 1119, 2, Smoke::mf_ctor, 141, 24},	//1195 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {44, 216, 1122, 3, Smoke::mf_ctor, 141, 25},	//1196 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {44, 216, 1126, 4, Smoke::mf_ctor, 141, 26},	//1197 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {44, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 27},	//1198 QNetworkProxy::DefaultProxy (enum)
    {44, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 28},	//1199 QNetworkProxy::Socks5Proxy (enum)
    {44, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 29},	//1200 QNetworkProxy::NoProxy (enum)
    {44, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 30},	//1201 QNetworkProxy::HttpProxy (enum)
    {44, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 31},	//1202 QNetworkProxy::HttpCachingProxy (enum)
    {44, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 32},	//1203 QNetworkProxy::FtpCachingProxy (enum)
    {44, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 33},	//1204 QNetworkProxy::TunnelingCapability (enum)
    {44, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 34},	//1205 QNetworkProxy::ListeningCapability (enum)
    {44, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 35},	//1206 QNetworkProxy::UdpTunnelingCapability (enum)
    {44, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 36},	//1207 QNetworkProxy::CachingCapability (enum)
    {44, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 37},	//1208 QNetworkProxy::HostNameLookupCapability (enum)
    {44, 1264, 0, 0, Smoke::mf_dtor, 0, 38 },	//1209 QNetworkProxy::~QNetworkProxy()
    {45, 223, 0, 0, Smoke::mf_ctor, 146, 1},	//1210 QNetworkProxyFactory::QNetworkProxyFactory()
    {45, 903, 1131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 106, 2},	//1211 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {45, 1157, 106, 1, Smoke::mf_static, 0, 3},	//1212 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {45, 976, 1061, 1, Smoke::mf_static, 0, 4},	//1213 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {45, 736, 1131, 1, Smoke::mf_static, 106, 5},	//1214 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {45, 1194, 1131, 1, Smoke::mf_static, 106, 6},	//1215 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {45, 223, 1133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 7},	//1216 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {45, 903, 0, 0, Smoke::mf_purevirtual, 106, 8},	//1217 QNetworkProxyFactory::queryProxy() [pure virtual]
    {45, 1194, 0, 0, Smoke::mf_static, 106, 9},	//1218 QNetworkProxyFactory::systemProxyForQuery()
    {45, 1265, 0, 0, Smoke::mf_dtor, 0, 10 },	//1219 QNetworkProxyFactory::~QNetworkProxyFactory()
    {46, 225, 0, 0, Smoke::mf_ctor, 148, 1},	//1220 QNetworkProxyQuery::QNetworkProxyQuery()
    {46, 225, 1135, 2, Smoke::mf_ctor, 148, 2},	//1221 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {46, 225, 1138, 4, Smoke::mf_ctor, 148, 3},	//1222 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {46, 225, 1143, 3, Smoke::mf_ctor, 148, 4},	//1223 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {46, 225, 1131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 5},	//1224 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {46, 663, 1131, 1, 0, 147, 6},	//1225 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {46, 666, 1131, 1, Smoke::mf_const, 333, 7},	//1226 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {46, 627, 1131, 1, Smoke::mf_const, 333, 8},	//1227 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {46, 905, 0, 0, Smoke::mf_const, 149, 9},	//1228 QNetworkProxyQuery::queryType() const
    {46, 1104, 1147, 1, 0, 0, 10},	//1229 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {46, 712, 0, 0, Smoke::mf_const, 416, 11},	//1230 QNetworkProxyQuery::peerPort() const
    {46, 1075, 44, 1, 0, 0, 12},	//1231 QNetworkProxyQuery::setPeerPort(int)
    {46, 710, 0, 0, Smoke::mf_const, 193, 13},	//1232 QNetworkProxyQuery::peerHostName() const
    {46, 1071, 65, 1, 0, 0, 14},	//1233 QNetworkProxyQuery::setPeerHostName(const QString&)
    {46, 599, 0, 0, Smoke::mf_const, 416, 15},	//1234 QNetworkProxyQuery::localPort() const
    {46, 1046, 44, 1, 0, 0, 16},	//1235 QNetworkProxyQuery::setLocalPort(int)
    {46, 731, 0, 0, Smoke::mf_const, 193, 17},	//1236 QNetworkProxyQuery::protocolTag() const
    {46, 1095, 65, 1, 0, 0, 18},	//1237 QNetworkProxyQuery::setProtocolTag(const QString&)
    {46, 1219, 0, 0, Smoke::mf_const, 213, 19},	//1238 QNetworkProxyQuery::url() const
    {46, 1155, 14, 1, 0, 0, 20},	//1239 QNetworkProxyQuery::setUrl(const QUrl&)
    {46, 225, 14, 1, Smoke::mf_ctor, 148, 21},	//1240 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {46, 225, 1003, 2, Smoke::mf_ctor, 148, 22},	//1241 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {46, 225, 1006, 3, Smoke::mf_ctor, 148, 23},	//1242 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {46, 225, 61, 1, Smoke::mf_ctor, 148, 24},	//1243 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {46, 225, 1149, 2, Smoke::mf_ctor, 148, 25},	//1244 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {46, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 26},	//1245 QNetworkProxyQuery::TcpSocket (enum)
    {46, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 27},	//1246 QNetworkProxyQuery::UdpSocket (enum)
    {46, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 28},	//1247 QNetworkProxyQuery::TcpServer (enum)
    {46, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 29},	//1248 QNetworkProxyQuery::UrlRequest (enum)
    {46, 1266, 0, 0, Smoke::mf_dtor, 0, 30 },	//1249 QNetworkProxyQuery::~QNetworkProxyQuery()
    {47, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1250 QNetworkReply::metaObject() const
    {47, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1251 QNetworkReply::qt_metacast(const char*)
    {47, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1252 QNetworkReply::tr(const char*, const char*)
    {47, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1253 QNetworkReply::trUtf8(const char*, const char*)
    {47, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1254 QNetworkReply::tr(const char*, const char*, int)
    {47, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1255 QNetworkReply::trUtf8(const char*, const char*, int)
    {47, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1256 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {47, 353, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1257 QNetworkReply::abort() [pure virtual]
    {47, 413, 0, 0, Smoke::mf_virtual, 0, 9},	//1258 QNetworkReply::close()
    {47, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 10},	//1259 QNetworkReply::isSequential() const
    {47, 921, 0, 0, Smoke::mf_const, 418, 11},	//1260 QNetworkReply::readBufferSize() const
    {47, 1110, 33, 1, Smoke::mf_virtual, 0, 12},	//1261 QNetworkReply::setReadBufferSize(long long)
    {47, 607, 0, 0, Smoke::mf_const, 121, 13},	//1262 QNetworkReply::manager() const
    {47, 626, 0, 0, Smoke::mf_const, 122, 14},	//1263 QNetworkReply::operation() const
    {47, 945, 0, 0, Smoke::mf_const, 152, 15},	//1264 QNetworkReply::request() const
    {47, 487, 0, 0, Smoke::mf_const, 151, 16},	//1265 QNetworkReply::error() const
    {47, 560, 0, 0, Smoke::mf_const, 333, 17},	//1266 QNetworkReply::isFinished() const
    {47, 568, 0, 0, Smoke::mf_const, 333, 18},	//1267 QNetworkReply::isRunning() const
    {47, 1219, 0, 0, Smoke::mf_const, 213, 19},	//1268 QNetworkReply::url() const
    {47, 537, 1152, 1, Smoke::mf_const, 220, 20},	//1269 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {47, 532, 373, 1, Smoke::mf_const, 333, 21},	//1270 QNetworkReply::hasRawHeader(const QByteArray&) const
    {47, 916, 0, 0, Smoke::mf_const, 101, 22},	//1271 QNetworkReply::rawHeaderList() const
    {47, 914, 373, 1, Smoke::mf_const, 14, 23},	//1272 QNetworkReply::rawHeader(const QByteArray&) const
    {47, 383, 1154, 1, Smoke::mf_const, 220, 24},	//1273 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {47, 1176, 0, 0, Smoke::mf_const, 181, 25},	//1274 QNetworkReply::sslConfiguration() const
    {47, 1142, 1156, 1, 0, 0, 26},	//1275 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {47, 542, 998, 1, 0, 0, 27},	//1276 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {47, 542, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1277 QNetworkReply::ignoreSslErrors()
    {47, 612, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1278 QNetworkReply::metaDataChanged()
    {47, 497, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1279 QNetworkReply::finished()
    {47, 487, 1158, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1280 QNetworkReply::error(QNetworkReply::NetworkError)
    {47, 1177, 998, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1281 QNetworkReply::sslErrors(const QList<QSslError>&)
    {47, 1217, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1282 QNetworkReply::uploadProgress(long long, long long)
    {47, 476, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1283 QNetworkReply::downloadProgress(long long, long long)
    {47, 232, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 35},	//1284 QNetworkReply::QNetworkReply(QObject*)
    {47, 1239, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 36},	//1285 QNetworkReply::writeData(const char*, long long)
    {47, 1059, 1160, 1, Smoke::mf_protected, 0, 37},	//1286 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {47, 1114, 1067, 1, Smoke::mf_protected, 0, 38},	//1287 QNetworkReply::setRequest(const QNetworkRequest&)
    {47, 1013, 1162, 2, Smoke::mf_protected, 0, 39},	//1288 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {47, 1155, 14, 1, Smoke::mf_protected, 0, 40},	//1289 QNetworkReply::setUrl(const QUrl&)
    {47, 1024, 1165, 2, Smoke::mf_protected, 0, 41},	//1290 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {47, 1106, 361, 2, Smoke::mf_protected, 0, 42},	//1291 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {47, 978, 1168, 2, Smoke::mf_protected, 0, 43},	//1292 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {47, 1206, 1, 1, Smoke::mf_static, 193, 44},	//1293 QNetworkReply::tr(const char*)
    {47, 1210, 1, 1, Smoke::mf_static, 193, 45},	//1294 QNetworkReply::trUtf8(const char*)
    {47, 232, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 150, 46},	//1295 QNetworkReply::QNetworkReply()
    {47, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 47},	//1296 QNetworkReply::staticMetaObject() const
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 48},	//1297 QNetworkReply::NoError (enum)
    {47, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 49},	//1298 QNetworkReply::ConnectionRefusedError (enum)
    {47, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 50},	//1299 QNetworkReply::RemoteHostClosedError (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 51},	//1300 QNetworkReply::HostNotFoundError (enum)
    {47, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 52},	//1301 QNetworkReply::TimeoutError (enum)
    {47, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 53},	//1302 QNetworkReply::OperationCanceledError (enum)
    {47, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 54},	//1303 QNetworkReply::SslHandshakeFailedError (enum)
    {47, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 55},	//1304 QNetworkReply::UnknownNetworkError (enum)
    {47, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 56},	//1305 QNetworkReply::ProxyConnectionRefusedError (enum)
    {47, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 57},	//1306 QNetworkReply::ProxyConnectionClosedError (enum)
    {47, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 58},	//1307 QNetworkReply::ProxyNotFoundError (enum)
    {47, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 59},	//1308 QNetworkReply::ProxyTimeoutError (enum)
    {47, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 60},	//1309 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {47, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 61},	//1310 QNetworkReply::UnknownProxyError (enum)
    {47, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 62},	//1311 QNetworkReply::ContentAccessDenied (enum)
    {47, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 63},	//1312 QNetworkReply::ContentOperationNotPermittedError (enum)
    {47, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 64},	//1313 QNetworkReply::ContentNotFoundError (enum)
    {47, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 65},	//1314 QNetworkReply::AuthenticationRequiredError (enum)
    {47, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 66},	//1315 QNetworkReply::ContentReSendError (enum)
    {47, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 67},	//1316 QNetworkReply::UnknownContentError (enum)
    {47, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 68},	//1317 QNetworkReply::ProtocolUnknownError (enum)
    {47, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 69},	//1318 QNetworkReply::ProtocolInvalidOperationError (enum)
    {47, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 70},	//1319 QNetworkReply::ProtocolFailure (enum)
    {47, 1267, 0, 0, Smoke::mf_dtor, 0, 71 },	//1320 QNetworkReply::~QNetworkReply()
    {48, 234, 14, 1, Smoke::mf_ctor, 154, 1},	//1321 QNetworkRequest::QNetworkRequest(const QUrl&)
    {48, 234, 1067, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//1322 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {48, 663, 1067, 1, 0, 153, 3},	//1323 QNetworkRequest::operator=(const QNetworkRequest&)
    {48, 666, 1067, 1, Smoke::mf_const, 333, 4},	//1324 QNetworkRequest::operator==(const QNetworkRequest&) const
    {48, 627, 1067, 1, Smoke::mf_const, 333, 5},	//1325 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {48, 1219, 0, 0, Smoke::mf_const, 213, 6},	//1326 QNetworkRequest::url() const
    {48, 1155, 14, 1, 0, 0, 7},	//1327 QNetworkRequest::setUrl(const QUrl&)
    {48, 537, 1152, 1, Smoke::mf_const, 220, 8},	//1328 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {48, 1024, 1165, 2, 0, 0, 9},	//1329 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {48, 532, 373, 1, Smoke::mf_const, 333, 10},	//1330 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {48, 916, 0, 0, Smoke::mf_const, 101, 11},	//1331 QNetworkRequest::rawHeaderList() const
    {48, 914, 373, 1, Smoke::mf_const, 14, 12},	//1332 QNetworkRequest::rawHeader(const QByteArray&) const
    {48, 1106, 361, 2, 0, 0, 13},	//1333 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {48, 383, 1168, 2, Smoke::mf_const, 220, 14},	//1334 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {48, 978, 1168, 2, 0, 0, 15},	//1335 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {48, 1176, 0, 0, Smoke::mf_const, 181, 16},	//1336 QNetworkRequest::sslConfiguration() const
    {48, 1142, 1156, 1, 0, 0, 17},	//1337 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {48, 1061, 20, 1, 0, 0, 18},	//1338 QNetworkRequest::setOriginatingObject(QObject*)
    {48, 695, 0, 0, Smoke::mf_const, 158, 19},	//1339 QNetworkRequest::originatingObject() const
    {48, 234, 0, 0, Smoke::mf_ctor, 154, 20},	//1340 QNetworkRequest::QNetworkRequest()
    {48, 383, 1154, 1, Smoke::mf_const, 220, 21},	//1341 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {48, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 22},	//1342 QNetworkRequest::ContentTypeHeader (enum)
    {48, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 23},	//1343 QNetworkRequest::ContentLengthHeader (enum)
    {48, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 24},	//1344 QNetworkRequest::LocationHeader (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 25},	//1345 QNetworkRequest::LastModifiedHeader (enum)
    {48, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 26},	//1346 QNetworkRequest::CookieHeader (enum)
    {48, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 27},	//1347 QNetworkRequest::SetCookieHeader (enum)
    {48, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 28},	//1348 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {48, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 29},	//1349 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {48, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 30},	//1350 QNetworkRequest::RedirectionTargetAttribute (enum)
    {48, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 31},	//1351 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {48, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 32},	//1352 QNetworkRequest::CacheLoadControlAttribute (enum)
    {48, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 33},	//1353 QNetworkRequest::CacheSaveControlAttribute (enum)
    {48, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 34},	//1354 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {48, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 35},	//1355 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {48, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 36},	//1356 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {48, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 37},	//1357 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {48, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 38},	//1358 QNetworkRequest::User (enum)
    {48, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 39},	//1359 QNetworkRequest::UserMax (enum)
    {48, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 40},	//1360 QNetworkRequest::AlwaysNetwork (enum)
    {48, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 41},	//1361 QNetworkRequest::PreferNetwork (enum)
    {48, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 42},	//1362 QNetworkRequest::PreferCache (enum)
    {48, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 43},	//1363 QNetworkRequest::AlwaysCache (enum)
    {48, 1268, 0, 0, Smoke::mf_dtor, 0, 44 },	//1364 QNetworkRequest::~QNetworkRequest()
    {49, 490, 1171, 1, Smoke::mf_virtual, 333, 0},	//1365 QObject::event(QEvent*)
    {49, 491, 1173, 2, Smoke::mf_virtual, 333, 0},	//1366 QObject::eventFilter(QObject*, QEvent*)
    {49, 1196, 1176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1367 QObject::timerEvent(QTimerEvent*)
    {49, 408, 1178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1368 QObject::childEvent(QChildEvent*)
    {49, 451, 1171, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1369 QObject::customEvent(QEvent*)
    {49, 419, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1370 QObject::connectNotify(const char*)
    {49, 471, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1371 QObject::disconnectNotify(const char*)
    {58, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 1},	//1372 QSsl::Rsa (enum)
    {58, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 2},	//1373 QSsl::Dsa (enum)
    {58, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 3},	//1374 QSsl::Pem (enum)
    {58, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 4},	//1375 QSsl::Der (enum)
    {58, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 5},	//1376 QSsl::SslV3 (enum)
    {58, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 6},	//1377 QSsl::SslV2 (enum)
    {58, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 7},	//1378 QSsl::TlsV1 (enum)
    {58, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 8},	//1379 QSsl::AnyProtocol (enum)
    {58, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 9},	//1380 QSsl::UnknownProtocol (enum)
    {58, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 10},	//1381 QSsl::EmailEntry (enum)
    {58, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 11},	//1382 QSsl::DnsEntry (enum)
    {58, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 12},	//1383 QSsl::PrivateKey (enum)
    {58, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 13},	//1384 QSsl::PublicKey (enum)
    {59, 236, 1180, 2, Smoke::mf_ctor, 176, 1},	//1385 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {59, 236, 1183, 2, Smoke::mf_ctor, 176, 2},	//1386 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {59, 236, 1186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 176, 3},	//1387 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {59, 663, 1186, 1, 0, 175, 4},	//1388 QSslCertificate::operator=(const QSslCertificate&)
    {59, 666, 1186, 1, Smoke::mf_const, 333, 5},	//1389 QSslCertificate::operator==(const QSslCertificate&) const
    {59, 627, 1186, 1, Smoke::mf_const, 333, 6},	//1390 QSslCertificate::operator!=(const QSslCertificate&) const
    {59, 566, 0, 0, Smoke::mf_const, 333, 7},	//1391 QSslCertificate::isNull() const
    {59, 574, 0, 0, Smoke::mf_const, 333, 8},	//1392 QSslCertificate::isValid() const
    {59, 410, 0, 0, 0, 0, 9},	//1393 QSslCertificate::clear()
    {59, 1225, 0, 0, Smoke::mf_const, 14, 10},	//1394 QSslCertificate::version() const
    {59, 961, 0, 0, Smoke::mf_const, 14, 11},	//1395 QSslCertificate::serialNumber() const
    {59, 466, 1188, 1, Smoke::mf_const, 14, 12},	//1396 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {59, 576, 1190, 1, Smoke::mf_const, 193, 13},	//1397 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {59, 576, 373, 1, Smoke::mf_const, 193, 14},	//1398 QSslCertificate::issuerInfo(const QByteArray&) const
    {59, 1187, 1190, 1, Smoke::mf_const, 193, 15},	//1399 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {59, 1187, 373, 1, Smoke::mf_const, 193, 16},	//1400 QSslCertificate::subjectInfo(const QByteArray&) const
    {59, 380, 0, 0, Smoke::mf_const, 120, 17},	//1401 QSslCertificate::alternateSubjectNames() const
    {59, 478, 0, 0, Smoke::mf_const, 22, 18},	//1402 QSslCertificate::effectiveDate() const
    {59, 494, 0, 0, Smoke::mf_const, 22, 19},	//1403 QSslCertificate::expiryDate() const
    {59, 738, 0, 0, Smoke::mf_const, 187, 20},	//1404 QSslCertificate::publicKey() const
    {59, 1201, 0, 0, Smoke::mf_const, 14, 21},	//1405 QSslCertificate::toPem() const
    {59, 1197, 0, 0, Smoke::mf_const, 14, 22},	//1406 QSslCertificate::toDer() const
    {59, 509, 1192, 3, Smoke::mf_static, 109, 23},	//1407 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {59, 504, 1180, 2, Smoke::mf_static, 109, 24},	//1408 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {59, 501, 1183, 2, Smoke::mf_static, 109, 25},	//1409 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {59, 522, 0, 0, Smoke::mf_const, 426, 26},	//1410 QSslCertificate::handle() const
    {59, 236, 18, 1, Smoke::mf_ctor, 176, 27},	//1411 QSslCertificate::QSslCertificate(QIODevice*)
    {59, 236, 0, 0, Smoke::mf_ctor, 176, 28},	//1412 QSslCertificate::QSslCertificate()
    {59, 236, 373, 1, Smoke::mf_ctor, 176, 29},	//1413 QSslCertificate::QSslCertificate(const QByteArray&)
    {59, 466, 0, 0, Smoke::mf_const, 14, 30},	//1414 QSslCertificate::digest() const
    {59, 509, 65, 1, Smoke::mf_static, 109, 31},	//1415 QSslCertificate::fromPath(const QString&)
    {59, 509, 1196, 2, Smoke::mf_static, 109, 32},	//1416 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {59, 504, 18, 1, Smoke::mf_static, 109, 33},	//1417 QSslCertificate::fromDevice(QIODevice*)
    {59, 501, 373, 1, Smoke::mf_static, 109, 34},	//1418 QSslCertificate::fromData(const QByteArray&)
    {59, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 35},	//1419 QSslCertificate::Organization (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 36},	//1420 QSslCertificate::CommonName (enum)
    {59, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 37},	//1421 QSslCertificate::LocalityName (enum)
    {59, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 38},	//1422 QSslCertificate::OrganizationalUnitName (enum)
    {59, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 39},	//1423 QSslCertificate::CountryName (enum)
    {59, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 40},	//1424 QSslCertificate::StateOrProvinceName (enum)
    {59, 1269, 0, 0, Smoke::mf_dtor, 0, 41 },	//1425 QSslCertificate::~QSslCertificate()
    {60, 239, 0, 0, Smoke::mf_ctor, 180, 1},	//1426 QSslCipher::QSslCipher()
    {60, 239, 1199, 2, Smoke::mf_ctor, 180, 2},	//1427 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {60, 239, 1202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 180, 3},	//1428 QSslCipher::QSslCipher(const QSslCipher&)
    {60, 663, 1202, 1, 0, 179, 4},	//1429 QSslCipher::operator=(const QSslCipher&)
    {60, 666, 1202, 1, Smoke::mf_const, 333, 5},	//1430 QSslCipher::operator==(const QSslCipher&) const
    {60, 627, 1202, 1, Smoke::mf_const, 333, 6},	//1431 QSslCipher::operator!=(const QSslCipher&) const
    {60, 566, 0, 0, Smoke::mf_const, 333, 7},	//1432 QSslCipher::isNull() const
    {60, 621, 0, 0, Smoke::mf_const, 193, 8},	//1433 QSslCipher::name() const
    {60, 1190, 0, 0, Smoke::mf_const, 416, 9},	//1434 QSslCipher::supportedBits() const
    {60, 1220, 0, 0, Smoke::mf_const, 416, 10},	//1435 QSslCipher::usedBits() const
    {60, 579, 0, 0, Smoke::mf_const, 193, 11},	//1436 QSslCipher::keyExchangeMethod() const
    {60, 387, 0, 0, Smoke::mf_const, 193, 12},	//1437 QSslCipher::authenticationMethod() const
    {60, 484, 0, 0, Smoke::mf_const, 193, 13},	//1438 QSslCipher::encryptionMethod() const
    {60, 730, 0, 0, Smoke::mf_const, 193, 14},	//1439 QSslCipher::protocolString() const
    {60, 729, 0, 0, Smoke::mf_const, 173, 15},	//1440 QSslCipher::protocol() const
    {60, 1270, 0, 0, Smoke::mf_dtor, 0, 16 },	//1441 QSslCipher::~QSslCipher()
    {61, 242, 0, 0, Smoke::mf_ctor, 183, 1},	//1442 QSslConfiguration::QSslConfiguration()
    {61, 242, 1156, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 183, 2},	//1443 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {61, 663, 1156, 1, 0, 182, 3},	//1444 QSslConfiguration::operator=(const QSslConfiguration&)
    {61, 666, 1156, 1, Smoke::mf_const, 333, 4},	//1445 QSslConfiguration::operator==(const QSslConfiguration&) const
    {61, 627, 1156, 1, Smoke::mf_const, 333, 5},	//1446 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {61, 566, 0, 0, Smoke::mf_const, 333, 6},	//1447 QSslConfiguration::isNull() const
    {61, 729, 0, 0, Smoke::mf_const, 173, 7},	//1448 QSslConfiguration::protocol() const
    {61, 1093, 1204, 1, 0, 0, 8},	//1449 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {61, 716, 0, 0, Smoke::mf_const, 191, 9},	//1450 QSslConfiguration::peerVerifyMode() const
    {61, 1079, 1206, 1, 0, 0, 10},	//1451 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {61, 713, 0, 0, Smoke::mf_const, 416, 11},	//1452 QSslConfiguration::peerVerifyDepth() const
    {61, 1077, 44, 1, 0, 0, 12},	//1453 QSslConfiguration::setPeerVerifyDepth(int)
    {61, 596, 0, 0, Smoke::mf_const, 174, 13},	//1454 QSslConfiguration::localCertificate() const
    {61, 1042, 1186, 1, 0, 0, 14},	//1455 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {61, 708, 0, 0, Smoke::mf_const, 174, 15},	//1456 QSslConfiguration::peerCertificate() const
    {61, 709, 0, 0, Smoke::mf_const, 109, 16},	//1457 QSslConfiguration::peerCertificateChain() const
    {61, 966, 0, 0, Smoke::mf_const, 178, 17},	//1458 QSslConfiguration::sessionCipher() const
    {61, 728, 0, 0, Smoke::mf_const, 187, 18},	//1459 QSslConfiguration::privateKey() const
    {61, 1087, 1208, 1, 0, 0, 19},	//1460 QSslConfiguration::setPrivateKey(const QSslKey&)
    {61, 409, 0, 0, Smoke::mf_const, 110, 20},	//1461 QSslConfiguration::ciphers() const
    {61, 992, 1210, 1, 0, 0, 21},	//1462 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {61, 399, 0, 0, Smoke::mf_const, 109, 22},	//1463 QSslConfiguration::caCertificates() const
    {61, 984, 1212, 1, 0, 0, 23},	//1464 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {61, 462, 0, 0, Smoke::mf_static, 181, 24},	//1465 QSslConfiguration::defaultConfiguration()
    {61, 1007, 1156, 1, Smoke::mf_static, 0, 25},	//1466 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {61, 1271, 0, 0, Smoke::mf_dtor, 0, 26 },	//1467 QSslConfiguration::~QSslConfiguration()
    {62, 244, 0, 0, Smoke::mf_ctor, 185, 1},	//1468 QSslError::QSslError()
    {62, 244, 1214, 1, Smoke::mf_ctor, 185, 2},	//1469 QSslError::QSslError(QSslError::SslError)
    {62, 244, 1216, 2, Smoke::mf_ctor, 185, 3},	//1470 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {62, 244, 1219, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 185, 4},	//1471 QSslError::QSslError(const QSslError&)
    {62, 663, 1219, 1, 0, 184, 5},	//1472 QSslError::operator=(const QSslError&)
    {62, 666, 1219, 1, Smoke::mf_const, 333, 6},	//1473 QSslError::operator==(const QSslError&) const
    {62, 627, 1219, 1, Smoke::mf_const, 333, 7},	//1474 QSslError::operator!=(const QSslError&) const
    {62, 487, 0, 0, Smoke::mf_const, 186, 8},	//1475 QSslError::error() const
    {62, 489, 0, 0, Smoke::mf_const, 193, 9},	//1476 QSslError::errorString() const
    {62, 407, 0, 0, Smoke::mf_const, 174, 10},	//1477 QSslError::certificate() const
    {62, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 11},	//1478 QSslError::NoError (enum)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 12},	//1479 QSslError::UnableToGetIssuerCertificate (enum)
    {62, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 13},	//1480 QSslError::UnableToDecryptCertificateSignature (enum)
    {62, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 14},	//1481 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 15},	//1482 QSslError::CertificateSignatureFailed (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 16},	//1483 QSslError::CertificateNotYetValid (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 17},	//1484 QSslError::CertificateExpired (enum)
    {62, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 18},	//1485 QSslError::InvalidNotBeforeField (enum)
    {62, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 19},	//1486 QSslError::InvalidNotAfterField (enum)
    {62, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 20},	//1487 QSslError::SelfSignedCertificate (enum)
    {62, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 21},	//1488 QSslError::SelfSignedCertificateInChain (enum)
    {62, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 22},	//1489 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {62, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 23},	//1490 QSslError::UnableToVerifyFirstCertificate (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 24},	//1491 QSslError::CertificateRevoked (enum)
    {62, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 25},	//1492 QSslError::InvalidCaCertificate (enum)
    {62, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 26},	//1493 QSslError::PathLengthExceeded (enum)
    {62, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 27},	//1494 QSslError::InvalidPurpose (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 28},	//1495 QSslError::CertificateUntrusted (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 29},	//1496 QSslError::CertificateRejected (enum)
    {62, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 30},	//1497 QSslError::SubjectIssuerMismatch (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 31},	//1498 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {62, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 32},	//1499 QSslError::NoPeerCertificate (enum)
    {62, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 33},	//1500 QSslError::HostNameMismatch (enum)
    {62, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 34},	//1501 QSslError::NoSslSupport (enum)
    {62, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 35},	//1502 QSslError::UnspecifiedError (enum)
    {62, 1272, 0, 0, Smoke::mf_dtor, 0, 36 },	//1503 QSslError::~QSslError()
    {63, 248, 0, 0, Smoke::mf_ctor, 189, 1},	//1504 QSslKey::QSslKey()
    {63, 248, 1221, 5, Smoke::mf_ctor, 189, 2},	//1505 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 248, 1227, 5, Smoke::mf_ctor, 189, 3},	//1506 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 248, 1208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 189, 4},	//1507 QSslKey::QSslKey(const QSslKey&)
    {63, 663, 1208, 1, 0, 188, 5},	//1508 QSslKey::operator=(const QSslKey&)
    {63, 566, 0, 0, Smoke::mf_const, 333, 6},	//1509 QSslKey::isNull() const
    {63, 410, 0, 0, 0, 0, 7},	//1510 QSslKey::clear()
    {63, 584, 0, 0, Smoke::mf_const, 416, 8},	//1511 QSslKey::length() const
    {63, 1214, 0, 0, Smoke::mf_const, 172, 9},	//1512 QSslKey::type() const
    {63, 374, 0, 0, Smoke::mf_const, 171, 10},	//1513 QSslKey::algorithm() const
    {63, 1201, 373, 1, Smoke::mf_const, 14, 11},	//1514 QSslKey::toPem(const QByteArray&) const
    {63, 1197, 373, 1, Smoke::mf_const, 14, 12},	//1515 QSslKey::toDer(const QByteArray&) const
    {63, 522, 0, 0, Smoke::mf_const, 426, 13},	//1516 QSslKey::handle() const
    {63, 666, 1208, 1, Smoke::mf_const, 333, 14},	//1517 QSslKey::operator==(const QSslKey&) const
    {63, 627, 1208, 1, Smoke::mf_const, 333, 15},	//1518 QSslKey::operator!=(const QSslKey&) const
    {63, 248, 1233, 2, Smoke::mf_ctor, 189, 16},	//1519 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {63, 248, 1236, 3, Smoke::mf_ctor, 189, 17},	//1520 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 248, 1240, 4, Smoke::mf_ctor, 189, 18},	//1521 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 248, 1245, 2, Smoke::mf_ctor, 189, 19},	//1522 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {63, 248, 1248, 3, Smoke::mf_ctor, 189, 20},	//1523 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 248, 1252, 4, Smoke::mf_ctor, 189, 21},	//1524 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 1201, 0, 0, Smoke::mf_const, 14, 22},	//1525 QSslKey::toPem() const
    {63, 1197, 0, 0, Smoke::mf_const, 14, 23},	//1526 QSslKey::toDer() const
    {63, 1273, 0, 0, Smoke::mf_dtor, 0, 24 },	//1527 QSslKey::~QSslKey()
    {64, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1528 QSslSocket::metaObject() const
    {64, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1529 QSslSocket::qt_metacast(const char*)
    {64, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1530 QSslSocket::tr(const char*, const char*)
    {64, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1531 QSslSocket::trUtf8(const char*, const char*)
    {64, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1532 QSslSocket::tr(const char*, const char*, int)
    {64, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1533 QSslSocket::trUtf8(const char*, const char*, int)
    {64, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1534 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {64, 254, 20, 1, Smoke::mf_ctor, 190, 8},	//1535 QSslSocket::QSslSocket(QObject*)
    {64, 426, 25, 3, 0, 0, 9},	//1536 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QIODevice::OpenMode)
    {64, 426, 1257, 4, 0, 0, 10},	//1537 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QIODevice::OpenMode)
    {64, 1129, 35, 3, 0, 333, 11},	//1538 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QIODevice::OpenMode)
    {64, 1138, 39, 2, 0, 0, 12},	//1539 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {64, 1173, 42, 1, 0, 220, 13},	//1540 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {64, 618, 0, 0, Smoke::mf_const, 192, 14},	//1541 QSslSocket::mode() const
    {64, 557, 0, 0, Smoke::mf_const, 333, 15},	//1542 QSslSocket::isEncrypted() const
    {64, 729, 0, 0, Smoke::mf_const, 173, 16},	//1543 QSslSocket::protocol() const
    {64, 1093, 1204, 1, 0, 0, 17},	//1544 QSslSocket::setProtocol(QSsl::SslProtocol)
    {64, 716, 0, 0, Smoke::mf_const, 191, 18},	//1545 QSslSocket::peerVerifyMode() const
    {64, 1079, 1206, 1, 0, 0, 19},	//1546 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {64, 713, 0, 0, Smoke::mf_const, 416, 20},	//1547 QSslSocket::peerVerifyDepth() const
    {64, 1077, 44, 1, 0, 0, 21},	//1548 QSslSocket::setPeerVerifyDepth(int)
    {64, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 22},	//1549 QSslSocket::bytesAvailable() const
    {64, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 418, 23},	//1550 QSslSocket::bytesToWrite() const
    {64, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 24},	//1551 QSslSocket::canReadLine() const
    {64, 413, 0, 0, Smoke::mf_virtual, 0, 25},	//1552 QSslSocket::close()
    {64, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 26},	//1553 QSslSocket::atEnd() const
    {64, 500, 0, 0, 0, 333, 27},	//1554 QSslSocket::flush()
    {64, 353, 0, 0, 0, 0, 28},	//1555 QSslSocket::abort()
    {64, 1110, 33, 1, 0, 0, 29},	//1556 QSslSocket::setReadBufferSize(long long)
    {64, 480, 0, 0, Smoke::mf_const, 418, 30},	//1557 QSslSocket::encryptedBytesAvailable() const
    {64, 481, 0, 0, Smoke::mf_const, 418, 31},	//1558 QSslSocket::encryptedBytesToWrite() const
    {64, 1176, 0, 0, Smoke::mf_const, 181, 32},	//1559 QSslSocket::sslConfiguration() const
    {64, 1142, 1156, 1, 0, 0, 33},	//1560 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {64, 1042, 1186, 1, 0, 0, 34},	//1561 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {64, 1042, 1196, 2, 0, 0, 35},	//1562 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {64, 596, 0, 0, Smoke::mf_const, 174, 36},	//1563 QSslSocket::localCertificate() const
    {64, 708, 0, 0, Smoke::mf_const, 174, 37},	//1564 QSslSocket::peerCertificate() const
    {64, 709, 0, 0, Smoke::mf_const, 109, 38},	//1565 QSslSocket::peerCertificateChain() const
    {64, 966, 0, 0, Smoke::mf_const, 178, 39},	//1566 QSslSocket::sessionCipher() const
    {64, 1087, 1208, 1, 0, 0, 40},	//1567 QSslSocket::setPrivateKey(const QSslKey&)
    {64, 1087, 1262, 4, 0, 0, 41},	//1568 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {64, 728, 0, 0, Smoke::mf_const, 187, 42},	//1569 QSslSocket::privateKey() const
    {64, 409, 0, 0, Smoke::mf_const, 110, 43},	//1570 QSslSocket::ciphers() const
    {64, 992, 1210, 1, 0, 0, 44},	//1571 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {64, 992, 65, 1, 0, 0, 45},	//1572 QSslSocket::setCiphers(const QString&)
    {64, 1005, 1210, 1, Smoke::mf_static, 0, 46},	//1573 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {64, 461, 0, 0, Smoke::mf_static, 110, 47},	//1574 QSslSocket::defaultCiphers()
    {64, 1191, 0, 0, Smoke::mf_static, 110, 48},	//1575 QSslSocket::supportedCiphers()
    {64, 358, 1192, 3, 0, 333, 49},	//1576 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 356, 1186, 1, 0, 0, 50},	//1577 QSslSocket::addCaCertificate(const QSslCertificate&)
    {64, 358, 1212, 1, 0, 0, 51},	//1578 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {64, 984, 1212, 1, 0, 0, 52},	//1579 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {64, 399, 0, 0, Smoke::mf_const, 109, 53},	//1580 QSslSocket::caCertificates() const
    {64, 365, 1192, 3, Smoke::mf_static, 333, 54},	//1581 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 363, 1186, 1, Smoke::mf_static, 0, 55},	//1582 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {64, 365, 1212, 1, Smoke::mf_static, 0, 56},	//1583 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 1003, 1212, 1, Smoke::mf_static, 0, 57},	//1584 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 460, 0, 0, Smoke::mf_static, 109, 58},	//1585 QSslSocket::defaultCaCertificates()
    {64, 1193, 0, 0, Smoke::mf_static, 109, 59},	//1586 QSslSocket::systemCaCertificates()
    {64, 1228, 44, 1, 0, 333, 60},	//1587 QSslSocket::waitForConnected(int)
    {64, 1232, 44, 1, 0, 333, 61},	//1588 QSslSocket::waitForEncrypted(int)
    {64, 1237, 44, 1, Smoke::mf_virtual, 333, 62},	//1589 QSslSocket::waitForReadyRead(int)
    {64, 1226, 44, 1, Smoke::mf_virtual, 333, 63},	//1590 QSslSocket::waitForBytesWritten(int)
    {64, 1230, 44, 1, 0, 333, 64},	//1591 QSslSocket::waitForDisconnected(int)
    {64, 1177, 0, 0, Smoke::mf_const, 111, 65},	//1592 QSslSocket::sslErrors() const
    {64, 1192, 0, 0, Smoke::mf_static, 333, 66},	//1593 QSslSocket::supportsSsl()
    {64, 542, 998, 1, 0, 0, 67},	//1594 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {64, 1180, 0, 0, Smoke::mf_slot, 0, 68},	//1595 QSslSocket::startClientEncryption()
    {64, 1181, 0, 0, Smoke::mf_slot, 0, 69},	//1596 QSslSocket::startServerEncryption()
    {64, 542, 0, 0, Smoke::mf_slot, 0, 70},	//1597 QSslSocket::ignoreSslErrors()
    {64, 479, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1598 QSslSocket::encrypted()
    {64, 714, 1219, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1599 QSslSocket::peerVerifyError(const QSslError&)
    {64, 1177, 998, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1600 QSslSocket::sslErrors(const QList<QSslError>&)
    {64, 619, 1267, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1601 QSslSocket::modeChanged(QSslSocket::SslMode)
    {64, 482, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1602 QSslSocket::encryptedBytesWritten(long long)
    {64, 430, 25, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1603 QSslSocket::connectToHostImplementation(const QString&, unsigned short, QIODevice::OpenMode)
    {64, 469, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1604 QSslSocket::disconnectFromHostImplementation()
    {64, 922, 55, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 78},	//1605 QSslSocket::readData(char*, long long)
    {64, 1239, 58, 2, Smoke::mf_protected|Smoke::mf_virtual, 418, 79},	//1606 QSslSocket::writeData(const char*, long long)
    {64, 1206, 1, 1, Smoke::mf_static, 193, 80},	//1607 QSslSocket::tr(const char*)
    {64, 1210, 1, 1, Smoke::mf_static, 193, 81},	//1608 QSslSocket::trUtf8(const char*)
    {64, 254, 0, 0, Smoke::mf_ctor, 190, 82},	//1609 QSslSocket::QSslSocket()
    {64, 426, 67, 2, 0, 0, 83},	//1610 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {64, 426, 1269, 3, 0, 0, 84},	//1611 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {64, 1129, 44, 1, 0, 333, 85},	//1612 QSslSocket::setSocketDescriptor(int)
    {64, 1129, 73, 2, 0, 333, 86},	//1613 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {64, 1042, 65, 1, 0, 0, 87},	//1614 QSslSocket::setLocalCertificate(const QString&)
    {64, 1087, 65, 1, 0, 0, 88},	//1615 QSslSocket::setPrivateKey(const QString&)
    {64, 1087, 1273, 2, 0, 0, 89},	//1616 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {64, 1087, 1276, 3, 0, 0, 90},	//1617 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {64, 358, 65, 1, 0, 333, 91},	//1618 QSslSocket::addCaCertificates(const QString&)
    {64, 358, 1196, 2, 0, 333, 92},	//1619 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 365, 65, 1, Smoke::mf_static, 333, 93},	//1620 QSslSocket::addDefaultCaCertificates(const QString&)
    {64, 365, 1196, 2, Smoke::mf_static, 333, 94},	//1621 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 1228, 0, 0, 0, 333, 95},	//1622 QSslSocket::waitForConnected()
    {64, 1232, 0, 0, 0, 333, 96},	//1623 QSslSocket::waitForEncrypted()
    {64, 1237, 0, 0, 0, 333, 97},	//1624 QSslSocket::waitForReadyRead()
    {64, 1226, 0, 0, 0, 333, 98},	//1625 QSslSocket::waitForBytesWritten()
    {64, 1230, 0, 0, 0, 333, 99},	//1626 QSslSocket::waitForDisconnected()
    {64, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 100},	//1627 QSslSocket::staticMetaObject() const
    {64, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 101},	//1628 QSslSocket::UnencryptedMode (enum)
    {64, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 102},	//1629 QSslSocket::SslClientMode (enum)
    {64, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 103},	//1630 QSslSocket::SslServerMode (enum)
    {64, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 104},	//1631 QSslSocket::VerifyNone (enum)
    {64, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 105},	//1632 QSslSocket::QueryPeer (enum)
    {64, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 106},	//1633 QSslSocket::VerifyPeer (enum)
    {64, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 107},	//1634 QSslSocket::AutoVerifyPeer (enum)
    {64, 1274, 0, 0, Smoke::mf_dtor, 0, 108 },	//1635 QSslSocket::~QSslSocket()
    {67, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1636 QTcpServer::metaObject() const
    {67, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1637 QTcpServer::qt_metacast(const char*)
    {67, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1638 QTcpServer::tr(const char*, const char*)
    {67, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1639 QTcpServer::trUtf8(const char*, const char*)
    {67, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1640 QTcpServer::tr(const char*, const char*, int)
    {67, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1641 QTcpServer::trUtf8(const char*, const char*, int)
    {67, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1642 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {67, 256, 20, 1, Smoke::mf_ctor, 200, 8},	//1643 QTcpServer::QTcpServer(QObject*)
    {67, 591, 70, 2, 0, 333, 9},	//1644 QTcpServer::listen(const QHostAddress&, unsigned short)
    {67, 413, 0, 0, 0, 0, 10},	//1645 QTcpServer::close()
    {67, 565, 0, 0, Smoke::mf_const, 333, 11},	//1646 QTcpServer::isListening() const
    {67, 1050, 44, 1, 0, 0, 12},	//1647 QTcpServer::setMaxPendingConnections(int)
    {67, 608, 0, 0, Smoke::mf_const, 416, 13},	//1648 QTcpServer::maxPendingConnections() const
    {67, 965, 0, 0, Smoke::mf_const, 428, 14},	//1649 QTcpServer::serverPort() const
    {67, 962, 0, 0, Smoke::mf_const, 71, 15},	//1650 QTcpServer::serverAddress() const
    {67, 1172, 0, 0, Smoke::mf_const, 416, 16},	//1651 QTcpServer::socketDescriptor() const
    {67, 1129, 44, 1, 0, 333, 17},	//1652 QTcpServer::setSocketDescriptor(int)
    {67, 1234, 1042, 2, 0, 333, 18},	//1653 QTcpServer::waitForNewConnection(int, bool*)
    {67, 529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 19},	//1654 QTcpServer::hasPendingConnections() const
    {67, 624, 0, 0, Smoke::mf_virtual, 201, 20},	//1655 QTcpServer::nextPendingConnection()
    {67, 963, 0, 0, Smoke::mf_const, 5, 21},	//1656 QTcpServer::serverError() const
    {67, 489, 0, 0, Smoke::mf_const, 193, 22},	//1657 QTcpServer::errorString() const
    {67, 1097, 46, 1, 0, 0, 23},	//1658 QTcpServer::setProxy(const QNetworkProxy&)
    {67, 732, 0, 0, Smoke::mf_const, 139, 24},	//1659 QTcpServer::proxy() const
    {67, 544, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1660 QTcpServer::incomingConnection(int)
    {67, 623, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1661 QTcpServer::newConnection()
    {67, 1206, 1, 1, Smoke::mf_static, 193, 27},	//1662 QTcpServer::tr(const char*)
    {67, 1210, 1, 1, Smoke::mf_static, 193, 28},	//1663 QTcpServer::trUtf8(const char*)
    {67, 256, 0, 0, Smoke::mf_ctor, 200, 29},	//1664 QTcpServer::QTcpServer()
    {67, 591, 0, 0, 0, 333, 30},	//1665 QTcpServer::listen()
    {67, 591, 63, 1, 0, 333, 31},	//1666 QTcpServer::listen(const QHostAddress&)
    {67, 1234, 0, 0, 0, 333, 32},	//1667 QTcpServer::waitForNewConnection()
    {67, 1234, 44, 1, 0, 333, 33},	//1668 QTcpServer::waitForNewConnection(int)
    {67, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 34},	//1669 QTcpServer::staticMetaObject() const
    {67, 1275, 0, 0, Smoke::mf_dtor, 0, 35 },	//1670 QTcpServer::~QTcpServer()
    {68, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1671 QTcpSocket::metaObject() const
    {68, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1672 QTcpSocket::qt_metacast(const char*)
    {68, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1673 QTcpSocket::tr(const char*, const char*)
    {68, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1674 QTcpSocket::trUtf8(const char*, const char*)
    {68, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1675 QTcpSocket::tr(const char*, const char*, int)
    {68, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1676 QTcpSocket::trUtf8(const char*, const char*, int)
    {68, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1677 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 258, 20, 1, Smoke::mf_ctor, 201, 8},	//1678 QTcpSocket::QTcpSocket(QObject*)
    {68, 1206, 1, 1, Smoke::mf_static, 193, 9},	//1679 QTcpSocket::tr(const char*)
    {68, 1210, 1, 1, Smoke::mf_static, 193, 10},	//1680 QTcpSocket::trUtf8(const char*)
    {68, 258, 0, 0, Smoke::mf_ctor, 201, 11},	//1681 QTcpSocket::QTcpSocket()
    {68, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 12},	//1682 QTcpSocket::staticMetaObject() const
    {68, 1276, 0, 0, Smoke::mf_dtor, 0, 13 },	//1683 QTcpSocket::~QTcpSocket()
    {73, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 1},	//1684 QUdpSocket::metaObject() const
    {73, 896, 1, 1, Smoke::mf_virtual, 433, 2},	//1685 QUdpSocket::qt_metacast(const char*)
    {73, 1206, 3, 2, Smoke::mf_static, 193, 3},	//1686 QUdpSocket::tr(const char*, const char*)
    {73, 1210, 3, 2, Smoke::mf_static, 193, 4},	//1687 QUdpSocket::trUtf8(const char*, const char*)
    {73, 1206, 6, 3, Smoke::mf_static, 193, 5},	//1688 QUdpSocket::tr(const char*, const char*, int)
    {73, 1210, 6, 3, Smoke::mf_static, 193, 6},	//1689 QUdpSocket::trUtf8(const char*, const char*, int)
    {73, 894, 10, 3, Smoke::mf_virtual, 416, 7},	//1690 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 260, 20, 1, Smoke::mf_ctor, 209, 8},	//1691 QUdpSocket::QUdpSocket(QObject*)
    {73, 391, 70, 2, 0, 333, 9},	//1692 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {73, 391, 61, 1, 0, 333, 10},	//1693 QUdpSocket::bind(unsigned short)
    {73, 391, 1280, 3, 0, 333, 11},	//1694 QUdpSocket::bind(const QHostAddress&, unsigned short, QUdpSocket::BindMode)
    {73, 391, 1284, 2, 0, 333, 12},	//1695 QUdpSocket::bind(unsigned short, QUdpSocket::BindMode)
    {73, 530, 0, 0, Smoke::mf_const, 333, 13},	//1696 QUdpSocket::hasPendingDatagrams() const
    {73, 717, 0, 0, Smoke::mf_const, 418, 14},	//1697 QUdpSocket::pendingDatagramSize() const
    {73, 924, 1287, 4, 0, 418, 15},	//1698 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {73, 1241, 1292, 4, 0, 418, 16},	//1699 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {73, 1241, 1297, 3, 0, 418, 17},	//1700 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {73, 1206, 1, 1, Smoke::mf_static, 193, 18},	//1701 QUdpSocket::tr(const char*)
    {73, 1210, 1, 1, Smoke::mf_static, 193, 19},	//1702 QUdpSocket::trUtf8(const char*)
    {73, 260, 0, 0, Smoke::mf_ctor, 209, 20},	//1703 QUdpSocket::QUdpSocket()
    {73, 391, 0, 0, 0, 333, 21},	//1704 QUdpSocket::bind()
    {73, 924, 55, 2, 0, 418, 22},	//1705 QUdpSocket::readDatagram(char*, long long)
    {73, 924, 1301, 3, 0, 418, 23},	//1706 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {73, 1185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 366, 24},	//1707 QUdpSocket::staticMetaObject() const
    {73, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 25},	//1708 QUdpSocket::DefaultForPlatform (enum)
    {73, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//1709 QUdpSocket::ShareAddress (enum)
    {73, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 27},	//1710 QUdpSocket::DontShareAddress (enum)
    {73, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 28},	//1711 QUdpSocket::ReuseAddressHint (enum)
    {73, 1277, 0, 0, Smoke::mf_dtor, 0, 29 },	//1712 QUdpSocket::~QUdpSocket()
    {75, 262, 0, 0, Smoke::mf_ctor, 217, 1},	//1713 QUrlInfo::QUrlInfo()
    {75, 262, 95, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 2},	//1714 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {75, 262, 1305, 13, Smoke::mf_ctor, 217, 3},	//1715 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 262, 1319, 13, Smoke::mf_ctor, 217, 4},	//1716 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 663, 95, 1, 0, 216, 5},	//1717 QUrlInfo::operator=(const QUrlInfo&)
    {75, 1054, 65, 1, Smoke::mf_virtual, 0, 6},	//1718 QUrlInfo::setName(const QString&)
    {75, 1009, 106, 1, Smoke::mf_virtual, 0, 7},	//1719 QUrlInfo::setDir(bool)
    {75, 1020, 106, 1, Smoke::mf_virtual, 0, 8},	//1720 QUrlInfo::setFile(bool)
    {75, 1149, 106, 1, Smoke::mf_virtual, 0, 9},	//1721 QUrlInfo::setSymLink(bool)
    {75, 1063, 65, 1, Smoke::mf_virtual, 0, 10},	//1722 QUrlInfo::setOwner(const QString&)
    {75, 1022, 65, 1, Smoke::mf_virtual, 0, 11},	//1723 QUrlInfo::setGroup(const QString&)
    {75, 1125, 33, 1, Smoke::mf_virtual, 0, 12},	//1724 QUrlInfo::setSize(long long)
    {75, 1169, 106, 1, Smoke::mf_virtual, 0, 13},	//1725 QUrlInfo::setWritable(bool)
    {75, 1112, 106, 1, Smoke::mf_virtual, 0, 14},	//1726 QUrlInfo::setReadable(bool)
    {75, 1081, 44, 1, Smoke::mf_virtual, 0, 15},	//1727 QUrlInfo::setPermissions(int)
    {75, 1036, 1094, 1, Smoke::mf_virtual, 0, 16},	//1728 QUrlInfo::setLastModified(const QDateTime&)
    {75, 1038, 1094, 1, 0, 0, 17},	//1729 QUrlInfo::setLastRead(const QDateTime&)
    {75, 574, 0, 0, Smoke::mf_const, 333, 18},	//1730 QUrlInfo::isValid() const
    {75, 621, 0, 0, Smoke::mf_const, 193, 19},	//1731 QUrlInfo::name() const
    {75, 718, 0, 0, Smoke::mf_const, 416, 20},	//1732 QUrlInfo::permissions() const
    {75, 696, 0, 0, Smoke::mf_const, 193, 21},	//1733 QUrlInfo::owner() const
    {75, 521, 0, 0, Smoke::mf_const, 193, 22},	//1734 QUrlInfo::group() const
    {75, 1171, 0, 0, Smoke::mf_const, 418, 23},	//1735 QUrlInfo::size() const
    {75, 581, 0, 0, Smoke::mf_const, 22, 24},	//1736 QUrlInfo::lastModified() const
    {75, 582, 0, 0, Smoke::mf_const, 22, 25},	//1737 QUrlInfo::lastRead() const
    {75, 556, 0, 0, Smoke::mf_const, 333, 26},	//1738 QUrlInfo::isDir() const
    {75, 559, 0, 0, Smoke::mf_const, 333, 27},	//1739 QUrlInfo::isFile() const
    {75, 572, 0, 0, Smoke::mf_const, 333, 28},	//1740 QUrlInfo::isSymLink() const
    {75, 575, 0, 0, Smoke::mf_const, 333, 29},	//1741 QUrlInfo::isWritable() const
    {75, 567, 0, 0, Smoke::mf_const, 333, 30},	//1742 QUrlInfo::isReadable() const
    {75, 558, 0, 0, Smoke::mf_const, 333, 31},	//1743 QUrlInfo::isExecutable() const
    {75, 519, 1333, 3, Smoke::mf_static, 333, 32},	//1744 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 585, 1333, 3, Smoke::mf_static, 333, 33},	//1745 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 485, 1333, 3, Smoke::mf_static, 333, 34},	//1746 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {75, 666, 95, 1, Smoke::mf_const, 333, 35},	//1747 QUrlInfo::operator==(const QUrlInfo&) const
    {75, 627, 95, 1, Smoke::mf_const, 333, 36},	//1748 QUrlInfo::operator!=(const QUrlInfo&) const
    {75, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1749 QUrlInfo::ReadOwner (enum)
    {75, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1750 QUrlInfo::WriteOwner (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1751 QUrlInfo::ExeOwner (enum)
    {75, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1752 QUrlInfo::ReadGroup (enum)
    {75, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1753 QUrlInfo::WriteGroup (enum)
    {75, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1754 QUrlInfo::ExeGroup (enum)
    {75, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1755 QUrlInfo::ReadOther (enum)
    {75, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1756 QUrlInfo::WriteOther (enum)
    {75, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1757 QUrlInfo::ExeOther (enum)
    {75, 1278, 0, 0, Smoke::mf_dtor, 0, 46 },	//1758 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    193,  // QFtp::put(const QByteArray&, const QString&)
    194,  // QFtp::put(QIODevice*, const QString&)
    0,
    157,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    158,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    879,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    889,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1321,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1322,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    909,  // QIPv6Address::operator[](int)
    910,  // QIPv6Address::operator[](int) const
    0,
    1387,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1411,  // QSslCertificate::QSslCertificate(QIODevice*)
    1413,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1385,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1386,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1519,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1522,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1520,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1523,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1521,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1524,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1505,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1506,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1536,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QIODevice::OpenMode)
    1611,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    1080,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1102,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    1024,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1025,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1026,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1027,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
    686,  // QHostAddress::QHostAddress(const QIPv6Address&)
    687,  // QHostAddress::QHostAddress(const sockaddr*)
    689,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    684,  // QHostAddress::QHostAddress(unsigned int)
    685,  // QHostAddress::QHostAddress(unsigned char*)
    688,  // QHostAddress::QHostAddress(const QString&)
    690,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    695,  // QHostAddress::setAddress(const QIPv6Address&)
    696,  // QHostAddress::setAddress(const sockaddr*)
    0,
    693,  // QHostAddress::setAddress(unsigned int)
    694,  // QHostAddress::setAddress(unsigned char*)
    697,  // QHostAddress::setAddress(const QString&)
    0,
    259,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    268,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    271,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    281,  // QGlobalSpace::operator!=(QChar, QChar)
    306,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    314,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    332,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    333,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    368,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    379,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    392,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    409,  // QGlobalSpace::operator!=(QBool, QBool)
    419,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    448,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    489,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    620,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    442,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    470,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    552,  // QGlobalSpace::operator!=(QBool, bool)
    577,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    644,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    260,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    309,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    411,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    475,  // QGlobalSpace::operator!=(bool, QBool)
    484,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    597,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    239,  // QGlobalSpace::operator*(const QSizeF&, double)
    323,  // QGlobalSpace::operator*(const QPointF&, double)
    431,  // QGlobalSpace::operator*(const QSize&, double)
    565,  // QGlobalSpace::operator*(const QPoint&, double)
    0,
    380,  // QGlobalSpace::operator*(double, const QSize&)
    503,  // QGlobalSpace::operator*(double, const QPointF&)
    572,  // QGlobalSpace::operator*(double, const QPoint&)
    629,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    263,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    497,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    530,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    571,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    653,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    251,  // QGlobalSpace::operator+(QChar, const QString&)
    480,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    498,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    527,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    262,  // QGlobalSpace::operator+(const QString&, QChar)
    307,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    523,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    541,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    388,  // QGlobalSpace::operator+(const char*, const QString&)
    410,  // QGlobalSpace::operator+(const QString&, char)
    542,  // QGlobalSpace::operator+(const QString&, const char*)
    551,  // QGlobalSpace::operator+(const QString&, const QString&)
    650,  // QGlobalSpace::operator+(char, const QString&)
    0,
    386,  // QGlobalSpace::operator-(const QPointF&)
    402,  // QGlobalSpace::operator-(const QPoint&)
    0,
    285,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    434,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    588,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    605,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    395,  // QGlobalSpace::operator/(const QSizeF&, double)
    416,  // QGlobalSpace::operator/(const QPointF&, double)
    438,  // QGlobalSpace::operator/(const QPoint&, double)
    594,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    407,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    544,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    604,  // QGlobalSpace::operator<(QChar, QChar)
    628,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    315,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    471,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    240,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    249,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    261,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    269,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    270,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    286,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    298,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    325,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    343,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    349,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    350,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    352,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    366,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    377,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    378,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    390,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    397,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    401,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    405,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    420,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    428,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    433,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    441,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    443,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    451,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    469,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    487,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    496,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    506,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    507,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    522,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    531,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    534,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    539,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    540,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    558,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    567,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    573,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    579,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    580,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    585,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    612,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    613,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    618,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    631,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    651,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    256,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    287,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    293,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    351,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    353,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    374,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    482,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    553,  // QGlobalSpace::operator<<(QDebug, QIODevice::OpenMode)
    566,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    615,  // QGlobalSpace::operator<<(QDebug, QDir::Filters)
    0,
    254,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    255,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    320,  // QGlobalSpace::operator<=(QChar, QChar)
    335,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    373,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    389,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    246,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    248,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    265,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    274,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    327,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    331,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    358,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    414,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    453,  // QGlobalSpace::operator==(QBool, QBool)
    478,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    493,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    517,  // QGlobalSpace::operator==(QChar, QChar)
    536,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    554,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    581,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    633,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    635,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    421,  // QGlobalSpace::operator==(QString::Null, const QString&)
    466,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    562,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    640,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    643,  // QGlobalSpace::operator==(QBool, bool)
    0,
    295,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    310,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    363,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    370,  // QGlobalSpace::operator==(const QString&, QString::Null)
    447,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    460,  // QGlobalSpace::operator==(bool, QBool)
    494,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    305,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    354,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    394,  // QGlobalSpace::operator>(QChar, QChar)
    515,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    345,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    359,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    318,  // QGlobalSpace::operator>=(QChar, QChar)
    355,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    406,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    630,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    233,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    596,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    231,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    234,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    244,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    278,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    283,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    334,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    342,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    376,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    408,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    426,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    430,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    435,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    458,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    483,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    508,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    513,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    570,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    584,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    609,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    449,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    610,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    245,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, int)
    252,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, int)
    267,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, int)
    284,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, int)
    288,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, int)
    302,  // QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, int)
    308,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, int)
    319,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, int)
    328,  // QGlobalSpace::operator|(QDir::Filters::enum_type, int)
    329,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, int)
    337,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, int)
    348,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, int)
    367,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, int)
    375,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, int)
    398,  // QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, int)
    437,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, int)
    446,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, int)
    452,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, int)
    465,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, int)
    473,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, int)
    474,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, int)
    479,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, int)
    481,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, int)
    500,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, int)
    519,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, int)
    529,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, int)
    535,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, int)
    549,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, int)
    556,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, int)
    592,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, int)
    593,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, int)
    617,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, int)
    0,
    228,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QFlags<QTextStream::NumberFlags::enum_type>)
    230,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, Qt::DropActions::enum_type)
    232,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, QFlags<Qt::KeyboardModifiers::enum_type>)
    247,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QLocale::NumberOptions::enum_type)
    258,  // QGlobalSpace::operator|(QTextStream::NumberFlags::enum_type, QTextStream::NumberFlags::enum_type)
    266,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, Qt::TouchPointStates::enum_type)
    275,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, QFlags<Qt::WindowFlags::enum_type>)
    291,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, Qt::GestureFlags::enum_type)
    321,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QDir::SortFlags::enum_type)
    322,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QNetworkInterface::InterfaceFlags::enum_type)
    324,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QUrl::FormattingOptions::enum_type)
    326,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QFlags<QLibrary::LoadHints::enum_type>)
    340,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, QFlags<Qt::MouseButtons::enum_type>)
    346,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QIODevice::OpenMode::enum_type)
    356,  // QGlobalSpace::operator|(QLocale::NumberOptions::enum_type, QFlags<QLocale::NumberOptions::enum_type>)
    360,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, Qt::Alignment::enum_type)
    364,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, QFlags<Qt::Orientations::enum_type>)
    365,  // QGlobalSpace::operator|(QIODevice::OpenMode::enum_type, QFlags<QIODevice::OpenMode::enum_type>)
    382,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, Qt::TextInteractionFlags::enum_type)
    384,  // QGlobalSpace::operator|(Qt::Alignment::enum_type, QFlags<Qt::Alignment::enum_type>)
    393,  // QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QFlags<QUdpSocket::BindMode::enum_type>)
    396,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QString::SectionFlags::enum_type)
    404,  // QGlobalSpace::operator|(Qt::TouchPointStates::enum_type, QFlags<Qt::TouchPointStates::enum_type>)
    413,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QDirIterator::IteratorFlags::enum_type)
    424,  // QGlobalSpace::operator|(QUrl::FormattingOptions::enum_type, QFlags<QUrl::FormattingOptions::enum_type>)
    440,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, Qt::InputMethodHints::enum_type)
    454,  // QGlobalSpace::operator|(QDirIterator::IteratorFlags::enum_type, QFlags<QDirIterator::IteratorFlags::enum_type>)
    457,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QFlags<QAbstractFileEngine::FileFlags::enum_type>)
    459,  // QGlobalSpace::operator|(Qt::WindowFlags::enum_type, Qt::WindowFlags::enum_type)
    472,  // QGlobalSpace::operator|(QString::SectionFlags::enum_type, QFlags<QString::SectionFlags::enum_type>)
    488,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, QFlags<Qt::ToolBarAreas::enum_type>)
    490,  // QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QNetworkProxy::Capabilities::enum_type)
    502,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, Qt::MatchFlags::enum_type)
    505,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QDir::Filters::enum_type)
    511,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, Qt::ItemFlags::enum_type)
    514,  // QGlobalSpace::operator|(Qt::ToolBarAreas::enum_type, Qt::ToolBarAreas::enum_type)
    518,  // QGlobalSpace::operator|(QDir::SortFlags::enum_type, QFlags<QDir::SortFlags::enum_type>)
    525,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, Qt::WindowStates::enum_type)
    526,  // QGlobalSpace::operator|(Qt::KeyboardModifiers::enum_type, Qt::KeyboardModifiers::enum_type)
    533,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QFlags<QEventLoop::ProcessEventsFlags::enum_type>)
    537,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlags::enum_type, QFlags<QNetworkInterface::InterfaceFlags::enum_type>)
    543,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, QFlags<Qt::DockWidgetAreas::enum_type>)
    550,  // QGlobalSpace::operator|(Qt::ItemFlags::enum_type, QFlags<Qt::ItemFlags::enum_type>)
    559,  // QGlobalSpace::operator|(Qt::WindowStates::enum_type, QFlags<Qt::WindowStates::enum_type>)
    574,  // QGlobalSpace::operator|(Qt::TextInteractionFlags::enum_type, QFlags<Qt::TextInteractionFlags::enum_type>)
    575,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlags::enum_type, QEventLoop::ProcessEventsFlags::enum_type)
    576,  // QGlobalSpace::operator|(Qt::MatchFlags::enum_type, QFlags<Qt::MatchFlags::enum_type>)
    582,  // QGlobalSpace::operator|(QNetworkProxy::Capabilities::enum_type, QFlags<QNetworkProxy::Capabilities::enum_type>)
    589,  // QGlobalSpace::operator|(Qt::Orientations::enum_type, Qt::Orientations::enum_type)
    590,  // QGlobalSpace::operator|(QLibrary::LoadHints::enum_type, QLibrary::LoadHints::enum_type)
    591,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QTextCodec::ConversionFlags::enum_type)
    595,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, QFlags<Qt::ImageConversionFlags::enum_type>)
    601,  // QGlobalSpace::operator|(QDir::Filters::enum_type, QFlags<QDir::Filters::enum_type>)
    602,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFlags<QFile::Permissions::enum_type>)
    614,  // QGlobalSpace::operator|(Qt::GestureFlags::enum_type, QFlags<Qt::GestureFlags::enum_type>)
    622,  // QGlobalSpace::operator|(Qt::InputMethodHints::enum_type, QFlags<Qt::InputMethodHints::enum_type>)
    625,  // QGlobalSpace::operator|(QTextCodec::ConversionFlags::enum_type, QFlags<QTextCodec::ConversionFlags::enum_type>)
    626,  // QGlobalSpace::operator|(QFile::Permissions::enum_type, QFile::Permissions::enum_type)
    627,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlags::enum_type, QAbstractFileEngine::FileFlags::enum_type)
    636,  // QGlobalSpace::operator|(Qt::ImageConversionFlags::enum_type, Qt::ImageConversionFlags::enum_type)
    638,  // QGlobalSpace::operator|(Qt::MouseButtons::enum_type, Qt::MouseButtons::enum_type)
    639,  // QGlobalSpace::operator|(QUdpSocket::BindMode::enum_type, QUdpSocket::BindMode::enum_type)
    641,  // QGlobalSpace::operator|(Qt::DockWidgetAreas::enum_type, Qt::DockWidgetAreas::enum_type)
    649,  // QGlobalSpace::operator|(Qt::DropActions::enum_type, QFlags<Qt::DropActions::enum_type>)
    0,
    372,  // QGlobalSpace::qFuzzyCompare(double, double)
    427,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    461,  // QGlobalSpace::qFuzzyIsNull(double)
    611,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    311,  // QGlobalSpace::qHash(const QBitArray&)
    391,  // QGlobalSpace::qHash(const QHostAddress&)
    468,  // QGlobalSpace::qHash(QChar)
    512,  // QGlobalSpace::qHash(const QStringRef&)
    616,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    632,  // QGlobalSpace::qHash(const QByteArray&)
    634,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    237,  // QGlobalSpace::qHash(unsigned int)
    238,  // QGlobalSpace::qHash(char)
    272,  // QGlobalSpace::qHash(unsigned char)
    294,  // QGlobalSpace::qHash(short)
    301,  // QGlobalSpace::qHash(long)
    362,  // QGlobalSpace::qHash(unsigned short)
    383,  // QGlobalSpace::qHash(long long)
    412,  // QGlobalSpace::qHash(unsigned long long)
    444,  // QGlobalSpace::qHash(int)
    492,  // QGlobalSpace::qHash(signed char)
    548,  // QGlobalSpace::qHash(const QString&)
    600,  // QGlobalSpace::qHash(unsigned long)
    0,
    357,  // QGlobalSpace::qIntCast(float)
    417,  // QGlobalSpace::qIntCast(double)
    0,
    297,  // QGlobalSpace::qIsFinite(double)
    652,  // QGlobalSpace::qIsFinite(float)
    0,
    387,  // QGlobalSpace::qIsInf(float)
    587,  // QGlobalSpace::qIsInf(double)
    0,
    557,  // QGlobalSpace::qIsNaN(float)
    564,  // QGlobalSpace::qIsNaN(double)
    0,
    279,  // QGlobalSpace::qIsNull(float)
    607,  // QGlobalSpace::qIsNull(double)
    0,
    1224,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1240,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1241,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1244,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1223,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1242,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    797,  // QHttp::QHttp(const QString&, unsigned short)
    798,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    806,  // QHttp::post(const QString&, QIODevice*)
    807,  // QHttp::post(const QString&, const QByteArray&)
    0,
    760,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    761,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    809,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    810,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    763,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    764,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    753,  // QHttp::setHost(const QString&, unsigned short)
    801,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 159, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 160, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 402, 12},	// QAbstractNetworkCache::cacheSize
    {1, 410, 15},	// QAbstractNetworkCache::clear
    {1, 453, 10},	// QAbstractNetworkCache::data#
    {1, 549, 14},	// QAbstractNetworkCache::insert#
    {1, 611, 8},	// QAbstractNetworkCache::metaData#
    {1, 613, 1},	// QAbstractNetworkCache::metaObject
    {1, 727, 13},	// QAbstractNetworkCache::prepare#
    {1, 895, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 897, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 935, 11},	// QAbstractNetworkCache::remove#
    {1, 1185, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1207, 17},	// QAbstractNetworkCache::tr$
    {1, 1208, 3},	// QAbstractNetworkCache::tr$$
    {1, 1209, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1211, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1212, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1213, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1216, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1244, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 3, 106},	// QAbstractSocket::AddressInUseError
    {2, 15, 122},	// QAbstractSocket::BoundState
    {2, 31, 124},	// QAbstractSocket::ClosingState
    {2, 35, 121},	// QAbstractSocket::ConnectedState
    {2, 37, 120},	// QAbstractSocket::ConnectingState
    {2, 43, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 52, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 71, 119},	// QAbstractSocket::HostLookupState
    {2, 75, 100},	// QAbstractSocket::HostNotFoundError
    {2, 82, 95},	// QAbstractSocket::IPv4Protocol
    {2, 83, 96},	// QAbstractSocket::IPv6Protocol
    {2, 93, 126},	// QAbstractSocket::KeepAliveOption
    {2, 116, 123},	// QAbstractSocket::ListeningState
    {2, 123, 125},	// QAbstractSocket::LowDelayOption
    {2, 126, 105},	// QAbstractSocket::NetworkError
    {2, 149, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 150, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 151, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 152, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 153, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 154, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 162, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 285, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 299, 101},	// QAbstractSocket::SocketAccessError
    {2, 300, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 301, 102},	// QAbstractSocket::SocketResourceError
    {2, 302, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 306, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 313, 92},	// QAbstractSocket::TcpSocket
    {2, 319, 93},	// QAbstractSocket::UdpSocket
    {2, 328, 118},	// QAbstractSocket::UnconnectedState
    {2, 331, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 335, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 339, 117},	// QAbstractSocket::UnknownSocketError
    {2, 340, 94},	// QAbstractSocket::UnknownSocketType
    {2, 342, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 353, 44},	// QAbstractSocket::abort
    {2, 382, 54},	// QAbstractSocket::atEnd
    {2, 397, 34},	// QAbstractSocket::bytesAvailable
    {2, 398, 35},	// QAbstractSocket::bytesToWrite
    {2, 403, 36},	// QAbstractSocket::canReadLine
    {2, 413, 52},	// QAbstractSocket::close
    {2, 421, 83},	// QAbstractSocket::connectToHost#$
    {2, 422, 31},	// QAbstractSocket::connectToHost#$$
    {2, 424, 82},	// QAbstractSocket::connectToHost$$
    {2, 425, 30},	// QAbstractSocket::connectToHost$$$
    {2, 431, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 432, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 436, 63},	// QAbstractSocket::connected
    {2, 468, 32},	// QAbstractSocket::disconnectFromHost
    {2, 469, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 472, 64},	// QAbstractSocket::disconnected
    {2, 487, 51},	// QAbstractSocket::error
    {2, 488, 66},	// QAbstractSocket::error$
    {2, 500, 55},	// QAbstractSocket::flush
    {2, 539, 62},	// QAbstractSocket::hostFound
    {2, 570, 53},	// QAbstractSocket::isSequential
    {2, 574, 33},	// QAbstractSocket::isValid
    {2, 595, 38},	// QAbstractSocket::localAddress
    {2, 599, 37},	// QAbstractSocket::localPort
    {2, 613, 22},	// QAbstractSocket::metaObject
    {2, 707, 40},	// QAbstractSocket::peerAddress
    {2, 711, 41},	// QAbstractSocket::peerName
    {2, 712, 39},	// QAbstractSocket::peerPort
    {2, 732, 61},	// QAbstractSocket::proxy
    {2, 734, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 895, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 897, 23},	// QAbstractSocket::qt_metacast$
    {2, 921, 42},	// QAbstractSocket::readBufferSize
    {2, 923, 70},	// QAbstractSocket::readData$$
    {2, 929, 71},	// QAbstractSocket::readLineData$$
    {2, 1041, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1047, 75},	// QAbstractSocket::setLocalPort$
    {2, 1070, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1074, 79},	// QAbstractSocket::setPeerName$
    {2, 1076, 77},	// QAbstractSocket::setPeerPort$
    {2, 1098, 60},	// QAbstractSocket::setProxy#
    {2, 1111, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1130, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1131, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1132, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1137, 74},	// QAbstractSocket::setSocketError$
    {2, 1139, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1141, 73},	// QAbstractSocket::setSocketState$
    {2, 1172, 45},	// QAbstractSocket::socketDescriptor
    {2, 1174, 48},	// QAbstractSocket::socketOption$
    {2, 1175, 49},	// QAbstractSocket::socketType
    {2, 1182, 50},	// QAbstractSocket::state
    {2, 1184, 65},	// QAbstractSocket::stateChanged$
    {2, 1185, 91},	// QAbstractSocket::staticMetaObject
    {2, 1207, 80},	// QAbstractSocket::tr$
    {2, 1208, 24},	// QAbstractSocket::tr$$
    {2, 1209, 26},	// QAbstractSocket::tr$$$
    {2, 1211, 81},	// QAbstractSocket::trUtf8$
    {2, 1212, 25},	// QAbstractSocket::trUtf8$$
    {2, 1213, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1226, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1227, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1228, 86},	// QAbstractSocket::waitForConnected
    {2, 1229, 56},	// QAbstractSocket::waitForConnected$
    {2, 1230, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1231, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1237, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1238, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1240, 72},	// QAbstractSocket::writeData$$
    {2, 1245, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 163, 128},	// QAuthenticator::QAuthenticator
    {3, 164, 129},	// QAuthenticator::QAuthenticator#
    {3, 465, 139},	// QAuthenticator::detach
    {3, 566, 138},	// QAuthenticator::isNull
    {3, 628, 132},	// QAuthenticator::operator!=#
    {3, 664, 130},	// QAuthenticator::operator=#
    {3, 667, 131},	// QAuthenticator::operator==#
    {3, 705, 135},	// QAuthenticator::password
    {3, 932, 137},	// QAuthenticator::realm
    {3, 1066, 136},	// QAuthenticator::setPassword$
    {3, 1160, 134},	// QAuthenticator::setUser$
    {3, 1221, 133},	// QAuthenticator::user
    {3, 1246, 140},	// QAuthenticator::~QAuthenticator
    {16, 2, 222},	// QFtp::Active
    {16, 10, 225},	// QFtp::Ascii
    {16, 14, 224},	// QFtp::Binary
    {16, 22, 214},	// QFtp::Cd
    {16, 29, 212},	// QFtp::Close
    {16, 30, 201},	// QFtp::Closing
    {16, 33, 210},	// QFtp::ConnectToHost
    {16, 34, 199},	// QFtp::Connected
    {16, 36, 198},	// QFtp::Connecting
    {16, 42, 205},	// QFtp::ConnectionRefused
    {16, 67, 215},	// QFtp::Get
    {16, 70, 197},	// QFtp::HostLookup
    {16, 74, 204},	// QFtp::HostNotFound
    {16, 114, 213},	// QFtp::List
    {16, 121, 200},	// QFtp::LoggedIn
    {16, 122, 211},	// QFtp::Login
    {16, 124, 218},	// QFtp::Mkdir
    {16, 127, 202},	// QFtp::NoError
    {16, 131, 207},	// QFtp::None
    {16, 132, 206},	// QFtp::NotConnected
    {16, 138, 223},	// QFtp::Passive
    {16, 157, 216},	// QFtp::Put
    {16, 165, 186},	// QFtp::QFtp
    {16, 166, 148},	// QFtp::QFtp#
    {16, 277, 221},	// QFtp::RawCommand
    {16, 286, 217},	// QFtp::Remove
    {16, 287, 220},	// QFtp::Rename
    {16, 289, 219},	// QFtp::Rmdir
    {16, 296, 209},	// QFtp::SetProxy
    {16, 297, 208},	// QFtp::SetTransferMode
    {16, 327, 196},	// QFtp::Unconnected
    {16, 333, 203},	// QFtp::UnknownError
    {16, 353, 175},	// QFtp::abort
    {16, 397, 164},	// QFtp::bytesAvailable
    {16, 406, 155},	// QFtp::cd$
    {16, 411, 171},	// QFtp::clearPendingCommands
    {16, 413, 152},	// QFtp::close
    {16, 416, 182},	// QFtp::commandFinished$$
    {16, 418, 181},	// QFtp::commandStarted$
    {16, 423, 187},	// QFtp::connectToHost$
    {16, 424, 150},	// QFtp::connectToHost$$
    {16, 445, 169},	// QFtp::currentCommand
    {16, 447, 168},	// QFtp::currentDevice
    {16, 448, 167},	// QFtp::currentId
    {16, 459, 179},	// QFtp::dataTransferProgress$$
    {16, 475, 183},	// QFtp::done$
    {16, 487, 173},	// QFtp::error
    {16, 489, 174},	// QFtp::errorString
    {16, 516, 191},	// QFtp::get$
    {16, 517, 192},	// QFtp::get$#
    {16, 518, 156},	// QFtp::get$#$
    {16, 528, 170},	// QFtp::hasPendingCommands
    {16, 587, 190},	// QFtp::list
    {16, 588, 154},	// QFtp::list$
    {16, 590, 177},	// QFtp::listInfo#
    {16, 600, 188},	// QFtp::login
    {16, 601, 189},	// QFtp::login$
    {16, 602, 151},	// QFtp::login$$
    {16, 613, 141},	// QFtp::metaObject
    {16, 617, 160},	// QFtp::mkdir$
    {16, 741, -1},	// QFtp::put#$
    {16, 742, -4},	// QFtp::put#$$
    {16, 895, 147},	// QFtp::qt_metacall$$?
    {16, 897, 142},	// QFtp::qt_metacast$
    {16, 911, 163},	// QFtp::rawCommand$
    {16, 913, 180},	// QFtp::rawCommandReply$$
    {16, 919, 165},	// QFtp::read$$
    {16, 920, 166},	// QFtp::readAll
    {16, 930, 178},	// QFtp::readyRead
    {16, 936, 159},	// QFtp::remove$
    {16, 944, 162},	// QFtp::rename$$
    {16, 957, 161},	// QFtp::rmdir$
    {16, 1099, 149},	// QFtp::setProxy$$
    {16, 1152, 153},	// QFtp::setTransferMode$
    {16, 1182, 172},	// QFtp::state
    {16, 1184, 176},	// QFtp::stateChanged$
    {16, 1185, 195},	// QFtp::staticMetaObject
    {16, 1207, 184},	// QFtp::tr$
    {16, 1208, 143},	// QFtp::tr$$
    {16, 1209, 145},	// QFtp::tr$$$
    {16, 1211, 185},	// QFtp::trUtf8$
    {16, 1212, 144},	// QFtp::trUtf8$$
    {16, 1213, 146},	// QFtp::trUtf8$$$
    {16, 1247, 226},	// QFtp::~QFtp
    {17, 95, 666},	// QGlobalSpace::LicensedActiveQt
    {17, 96, 672},	// QGlobalSpace::LicensedCore
    {17, 97, 664},	// QGlobalSpace::LicensedDBus
    {17, 98, 669},	// QGlobalSpace::LicensedDeclarative
    {17, 99, 659},	// QGlobalSpace::LicensedGui
    {17, 100, 678},	// QGlobalSpace::LicensedHelp
    {17, 101, 679},	// QGlobalSpace::LicensedMultimedia
    {17, 102, 682},	// QGlobalSpace::LicensedNetwork
    {17, 103, 671},	// QGlobalSpace::LicensedOpenGL
    {17, 104, 663},	// QGlobalSpace::LicensedOpenVG
    {17, 105, 680},	// QGlobalSpace::LicensedQt3Support
    {17, 106, 661},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 107, 662},	// QGlobalSpace::LicensedScript
    {17, 108, 667},	// QGlobalSpace::LicensedScriptTools
    {17, 109, 670},	// QGlobalSpace::LicensedSql
    {17, 110, 668},	// QGlobalSpace::LicensedSvg
    {17, 111, 665},	// QGlobalSpace::LicensedTest
    {17, 112, 660},	// QGlobalSpace::LicensedXml
    {17, 113, 681},	// QGlobalSpace::LicensedXmlPatterns
    {17, 266, 654},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 267, 658},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 268, 657},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 269, 655},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 270, 656},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 271, 675},	// QGlobalSpace::QtCriticalMsg
    {17, 272, 673},	// QGlobalSpace::QtDebugMsg
    {17, 273, 676},	// QGlobalSpace::QtFatalMsg
    {17, 274, 677},	// QGlobalSpace::QtSystemMsg
    {17, 275, 674},	// QGlobalSpace::QtWarningMsg
    {17, 629, -63},	// QGlobalSpace::operator!=##
    {17, 630, -80},	// QGlobalSpace::operator!=#$
    {17, 632, -86},	// QGlobalSpace::operator!=$#
    {17, 633, 621},	// QGlobalSpace::operator!=$$
    {17, 635, 400},	// QGlobalSpace::operator&##
    {17, 637, -93},	// QGlobalSpace::operator*#$
    {17, 638, -98},	// QGlobalSpace::operator*$#
    {17, 640, -103},	// QGlobalSpace::operator+##
    {17, 641, -109},	// QGlobalSpace::operator+#$
    {17, 642, -114},	// QGlobalSpace::operator+$#
    {17, 643, -119},	// QGlobalSpace::operator+$$
    {17, 645, -125},	// QGlobalSpace::operator-#
    {17, 646, -128},	// QGlobalSpace::operator-##
    {17, 648, -133},	// QGlobalSpace::operator/#$
    {17, 650, -138},	// QGlobalSpace::operator<##
    {17, 651, 242},	// QGlobalSpace::operator<#$
    {17, 652, -143},	// QGlobalSpace::operator<$#
    {17, 653, 464},	// QGlobalSpace::operator<$$
    {17, 655, -146},	// QGlobalSpace::operator<<##
    {17, 656, -196},	// QGlobalSpace::operator<<#$
    {17, 657, 555},	// QGlobalSpace::operator<<#?
    {17, 659, -208},	// QGlobalSpace::operator<=##
    {17, 660, 422},	// QGlobalSpace::operator<=#$
    {17, 661, -213},	// QGlobalSpace::operator<=$#
    {17, 662, 385},	// QGlobalSpace::operator<=$$
    {17, 668, -216},	// QGlobalSpace::operator==##
    {17, 669, -234},	// QGlobalSpace::operator==#$
    {17, 671, -240},	// QGlobalSpace::operator==$#
    {17, 672, 532},	// QGlobalSpace::operator==$$
    {17, 674, -248},	// QGlobalSpace::operator>##
    {17, 675, 619},	// QGlobalSpace::operator>#$
    {17, 676, -253},	// QGlobalSpace::operator>$#
    {17, 677, 243},	// QGlobalSpace::operator>$$
    {17, 679, -256},	// QGlobalSpace::operator>=##
    {17, 680, 403},	// QGlobalSpace::operator>=#$
    {17, 681, -261},	// QGlobalSpace::operator>=$#
    {17, 682, 563},	// QGlobalSpace::operator>=$$
    {17, 684, -264},	// QGlobalSpace::operator>>##
    {17, 685, -287},	// QGlobalSpace::operator>>#$
    {17, 686, 495},	// QGlobalSpace::operator>>#?
    {17, 690, 645},	// QGlobalSpace::operator^##
    {17, 692, 313},	// QGlobalSpace::operator|##
    {17, 693, -290},	// QGlobalSpace::operator|?$
    {17, 694, -323},	// QGlobalSpace::operator|??
    {17, 744, 229},	// QGlobalSpace::qAcos$
    {17, 746, 499},	// QGlobalSpace::qAddPostRoutine$
    {17, 747, 235},	// QGlobalSpace::qAppName
    {17, 749, 646},	// QGlobalSpace::qAsin$
    {17, 751, 316},	// QGlobalSpace::qAtan$
    {17, 753, 292},	// QGlobalSpace::qAtan2$$
    {17, 754, 648},	// QGlobalSpace::qBadAlloc
    {17, 756, 491},	// QGlobalSpace::qCeil$
    {17, 758, 429},	// QGlobalSpace::qChecksum$$
    {17, 760, 339},	// QGlobalSpace::qCompress#
    {17, 761, 338},	// QGlobalSpace::qCompress#$
    {17, 762, 546},	// QGlobalSpace::qCompress$$
    {17, 763, 545},	// QGlobalSpace::qCompress$$$
    {17, 765, 520},	// QGlobalSpace::qCos$
    {17, 766, 436},	// QGlobalSpace::qCritical
    {17, 767, 381},	// QGlobalSpace::qDebug
    {17, 769, 456},	// QGlobalSpace::qExp$
    {17, 771, 361},	// QGlobalSpace::qFabs$
    {17, 773, 423},	// QGlobalSpace::qFastCos$
    {17, 775, 250},	// QGlobalSpace::qFastSin$
    {17, 777, 415},	// QGlobalSpace::qFlagLocation$
    {17, 779, 547},	// QGlobalSpace::qFloor$
    {17, 781, 561},	// QGlobalSpace::qFree$
    {17, 783, 637},	// QGlobalSpace::qFreeAligned$
    {17, 785, -388},	// QGlobalSpace::qFuzzyCompare$$
    {17, 787, -391},	// QGlobalSpace::qFuzzyIsNull$
    {17, 789, -394},	// QGlobalSpace::qHash#
    {17, 790, -402},	// QGlobalSpace::qHash$
    {17, 791, 509},	// QGlobalSpace::qInf
    {17, 793, 432},	// QGlobalSpace::qInstallMsgHandler$
    {17, 795, -415},	// QGlobalSpace::qIntCast$
    {17, 797, -418},	// QGlobalSpace::qIsFinite$
    {17, 799, -421},	// QGlobalSpace::qIsInf$
    {17, 801, -424},	// QGlobalSpace::qIsNaN$
    {17, 803, -427},	// QGlobalSpace::qIsNull$
    {17, 805, 642},	// QGlobalSpace::qLn$
    {17, 807, 606},	// QGlobalSpace::qMalloc?
    {17, 809, 521},	// QGlobalSpace::qMallocAligned??
    {17, 811, 560},	// QGlobalSpace::qMemCopy$$?
    {17, 813, 486},	// QGlobalSpace::qMemSet$$?
    {17, 815, 439},	// QGlobalSpace::qPow$$
    {17, 816, 280},	// QGlobalSpace::qQNaN
    {17, 818, 369},	// QGlobalSpace::qRealloc$?
    {17, 820, 344},	// QGlobalSpace::qReallocAligned$???
    {17, 822, 501},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 824, 425},	// QGlobalSpace::qRemovePostRoutine$
    {17, 826, 227},	// QGlobalSpace::qRound$
    {17, 828, 599},	// QGlobalSpace::qRound64$
    {17, 829, 603},	// QGlobalSpace::qSNaN
    {17, 831, 623},	// QGlobalSpace::qSetFieldWidth$
    {17, 833, 282},	// QGlobalSpace::qSetPadChar#
    {17, 835, 568},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 836, 504},	// QGlobalSpace::qSharedBuild
    {17, 838, 578},	// QGlobalSpace::qSin$
    {17, 840, 347},	// QGlobalSpace::qSqrt$
    {17, 842, 538},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 843, 624},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 845, 598},	// QGlobalSpace::qTan$
    {17, 847, 418},	// QGlobalSpace::qUncompress#
    {17, 848, 336},	// QGlobalSpace::qUncompress$$
    {17, 849, 528},	// QGlobalSpace::qVersion
    {17, 850, 371},	// QGlobalSpace::qWarning
    {17, 852, 467},	// QGlobalSpace::qbswap_helper$$$
    {17, 854, 241},	// QGlobalSpace::qgetenv$
    {17, 856, 608},	// QGlobalSpace::qputenv$#
    {17, 857, 569},	// QGlobalSpace::qrand
    {17, 859, 477},	// QGlobalSpace::qsrand$
    {17, 861, 399},	// QGlobalSpace::qstrcmp##
    {17, 862, 299},	// QGlobalSpace::qstrcmp#$
    {17, 863, 317},	// QGlobalSpace::qstrcmp$#
    {17, 864, 303},	// QGlobalSpace::qstrcmp$$
    {17, 866, 312},	// QGlobalSpace::qstrcpy$$
    {17, 868, 300},	// QGlobalSpace::qstrdup$
    {17, 870, 485},	// QGlobalSpace::qstricmp$$
    {17, 872, 586},	// QGlobalSpace::qstrlen$
    {17, 874, 253},	// QGlobalSpace::qstrncmp$$$
    {17, 876, 236},	// QGlobalSpace::qstrncpy$$$
    {17, 878, 510},	// QGlobalSpace::qstrnicmp$$$
    {17, 880, 264},	// QGlobalSpace::qstrnlen$$
    {17, 882, 290},	// QGlobalSpace::qtTrId$
    {17, 883, 289},	// QGlobalSpace::qtTrId$$
    {17, 885, 583},	// QGlobalSpace::qt_assert$$$
    {17, 887, 524},	// QGlobalSpace::qt_assert_x$$$$
    {17, 889, 330},	// QGlobalSpace::qt_check_pointer$$
    {17, 890, 277},	// QGlobalSpace::qt_error_string
    {17, 891, 276},	// QGlobalSpace::qt_error_string$
    {17, 893, 476},	// QGlobalSpace::qt_message_output$$
    {17, 898, 445},	// QGlobalSpace::qt_noop
    {17, 900, 450},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 902, 273},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 907, 463},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 909, 257},	// QGlobalSpace::qvsnprintf$?$?
    {19, 6, 717},	// QHostAddress::Any
    {19, 7, 718},	// QHostAddress::AnyIPv6
    {19, 16, 714},	// QHostAddress::Broadcast
    {19, 117, 715},	// QHostAddress::LocalHost
    {19, 118, 716},	// QHostAddress::LocalHostIPv6
    {19, 134, 713},	// QHostAddress::Null
    {19, 167, 683},	// QHostAddress::QHostAddress
    {19, 168, -47},	// QHostAddress::QHostAddress#
    {19, 169, -51},	// QHostAddress::QHostAddress$
    {19, 410, 709},	// QHostAddress::clear
    {19, 563, 710},	// QHostAddress::isInSubnet#$
    {19, 564, 711},	// QHostAddress::isInSubnet?
    {19, 566, 708},	// QHostAddress::isNull
    {19, 628, 706},	// QHostAddress::operator!=#
    {19, 631, 707},	// QHostAddress::operator!=$
    {19, 664, 691},	// QHostAddress::operator=#
    {19, 665, 692},	// QHostAddress::operator=$
    {19, 667, 704},	// QHostAddress::operator==#
    {19, 670, 705},	// QHostAddress::operator==$
    {19, 704, 712},	// QHostAddress::parseSubnet$
    {19, 729, 698},	// QHostAddress::protocol
    {19, 959, 702},	// QHostAddress::scopeId
    {19, 968, -56},	// QHostAddress::setAddress#
    {19, 969, -59},	// QHostAddress::setAddress$
    {19, 1122, 703},	// QHostAddress::setScopeId$
    {19, 1199, 699},	// QHostAddress::toIPv4Address
    {19, 1200, 700},	// QHostAddress::toIPv6Address
    {19, 1205, 701},	// QHostAddress::toString
    {19, 1248, 719},	// QHostAddress::~QHostAddress
    {20, 74, 740},	// QHostInfo::HostNotFound
    {20, 127, 739},	// QHostInfo::NoError
    {20, 170, 738},	// QHostInfo::QHostInfo
    {20, 171, 721},	// QHostInfo::QHostInfo#
    {20, 172, 720},	// QHostInfo::QHostInfo$
    {20, 333, 741},	// QHostInfo::UnknownError
    {20, 355, 734},	// QHostInfo::abortHostLookup$
    {20, 373, 725},	// QHostInfo::addresses
    {20, 487, 727},	// QHostInfo::error
    {20, 489, 729},	// QHostInfo::errorString
    {20, 508, 735},	// QHostInfo::fromName$
    {20, 540, 723},	// QHostInfo::hostName
    {20, 597, 737},	// QHostInfo::localDomainName
    {20, 598, 736},	// QHostInfo::localHostName
    {20, 604, 733},	// QHostInfo::lookupHost$#$
    {20, 605, 732},	// QHostInfo::lookupId
    {20, 664, 722},	// QHostInfo::operator=#
    {20, 971, 726},	// QHostInfo::setAddresses?
    {20, 1014, 728},	// QHostInfo::setError$
    {20, 1017, 730},	// QHostInfo::setErrorString$
    {20, 1031, 724},	// QHostInfo::setHostName$
    {20, 1049, 731},	// QHostInfo::setLookupId$
    {20, 1249, 742},	// QHostInfo::~QHostInfo
    {21, 1, 828},	// QHttp::Aborted
    {21, 11, 829},	// QHttp::AuthenticationRequiredError
    {21, 30, 820},	// QHttp::Closing
    {21, 34, 819},	// QHttp::Connected
    {21, 36, 816},	// QHttp::Connecting
    {21, 40, 812},	// QHttp::ConnectionModeHttp
    {21, 41, 813},	// QHttp::ConnectionModeHttps
    {21, 42, 824},	// QHttp::ConnectionRefused
    {21, 70, 815},	// QHttp::HostLookup
    {21, 74, 823},	// QHttp::HostNotFound
    {21, 88, 826},	// QHttp::InvalidResponseHeader
    {21, 127, 821},	// QHttp::NoError
    {21, 149, 830},	// QHttp::ProxyAuthenticationRequiredError
    {21, 173, 795},	// QHttp::QHttp
    {21, 174, 750},	// QHttp::QHttp#
    {21, 175, 796},	// QHttp::QHttp$
    {21, 176, -439},	// QHttp::QHttp$$
    {21, 177, 751},	// QHttp::QHttp$$#
    {21, 178, 799},	// QHttp::QHttp$$$
    {21, 179, 752},	// QHttp::QHttp$$$#
    {21, 283, 818},	// QHttp::Reading
    {21, 293, 817},	// QHttp::Sending
    {21, 327, 814},	// QHttp::Unconnected
    {21, 330, 825},	// QHttp::UnexpectedClose
    {21, 333, 822},	// QHttp::UnknownError
    {21, 352, 827},	// QHttp::WrongContentLength
    {21, 353, 780},	// QHttp::abort
    {21, 390, 791},	// QHttp::authenticationRequired$$#
    {21, 397, 767},	// QHttp::bytesAvailable
    {21, 412, 776},	// QHttp::clearPendingRequests
    {21, 413, 766},	// QHttp::close
    {21, 414, 765},	// QHttp::closeConnection
    {21, 446, 772},	// QHttp::currentDestinationDevice
    {21, 448, 770},	// QHttp::currentId
    {21, 449, 773},	// QHttp::currentRequest
    {21, 450, 771},	// QHttp::currentSourceDevice
    {21, 455, 786},	// QHttp::dataReadProgress$$
    {21, 457, 785},	// QHttp::dataSendProgress$$
    {21, 475, 789},	// QHttp::done$
    {21, 487, 778},	// QHttp::error
    {21, 489, 779},	// QHttp::errorString
    {21, 516, 805},	// QHttp::get$
    {21, 517, 759},	// QHttp::get$#
    {21, 531, 775},	// QHttp::hasPendingRequests
    {21, 536, 762},	// QHttp::head$
    {21, 542, 781},	// QHttp::ignoreSslErrors
    {21, 583, 774},	// QHttp::lastResponse
    {21, 613, 743},	// QHttp::metaObject
    {21, 723, -442},	// QHttp::post$#
    {21, 724, -445},	// QHttp::post$##
    {21, 734, 790},	// QHttp::proxyAuthenticationRequired##
    {21, 895, 749},	// QHttp::qt_metacall$$?
    {21, 897, 744},	// QHttp::qt_metacast$
    {21, 919, 768},	// QHttp::read$$
    {21, 920, 769},	// QHttp::readAll
    {21, 931, 784},	// QHttp::readyRead#
    {21, 946, 808},	// QHttp::request#
    {21, 947, -448},	// QHttp::request##
    {21, 948, -451},	// QHttp::request###
    {21, 950, 788},	// QHttp::requestFinished$$
    {21, 952, 787},	// QHttp::requestStarted$
    {21, 955, 783},	// QHttp::responseHeaderReceived#
    {21, 1027, 800},	// QHttp::setHost$
    {21, 1028, -454},	// QHttp::setHost$$
    {21, 1029, 754},	// QHttp::setHost$$$
    {21, 1098, 758},	// QHttp::setProxy#
    {21, 1099, 803},	// QHttp::setProxy$$
    {21, 1100, 804},	// QHttp::setProxy$$$
    {21, 1101, 757},	// QHttp::setProxy$$$$
    {21, 1128, 755},	// QHttp::setSocket#
    {21, 1160, 802},	// QHttp::setUser$
    {21, 1161, 756},	// QHttp::setUser$$
    {21, 1179, 792},	// QHttp::sslErrors?
    {21, 1182, 777},	// QHttp::state
    {21, 1184, 782},	// QHttp::stateChanged$
    {21, 1185, 811},	// QHttp::staticMetaObject
    {21, 1207, 793},	// QHttp::tr$
    {21, 1208, 745},	// QHttp::tr$$
    {21, 1209, 747},	// QHttp::tr$$$
    {21, 1211, 794},	// QHttp::trUtf8$
    {21, 1212, 746},	// QHttp::trUtf8$$
    {21, 1213, 748},	// QHttp::trUtf8$$$
    {21, 1250, 831},	// QHttp::~QHttp
    {22, 180, 832},	// QHttpHeader::QHttpHeader
    {22, 181, 833},	// QHttpHeader::QHttpHeader#
    {22, 182, 834},	// QHttpHeader::QHttpHeader$
    {22, 371, 838},	// QHttpHeader::addValue$$
    {22, 379, 843},	// QHttpHeader::allValues$
    {22, 437, 847},	// QHttpHeader::contentLength
    {22, 438, 850},	// QHttpHeader::contentType
    {22, 524, 846},	// QHttpHeader::hasContentLength
    {22, 525, 849},	// QHttpHeader::hasContentType
    {22, 527, 840},	// QHttpHeader::hasKey$
    {22, 574, 853},	// QHttpHeader::isValid
    {22, 580, 841},	// QHttpHeader::keys
    {22, 606, 854},	// QHttpHeader::majorVersion
    {22, 615, 855},	// QHttpHeader::minorVersion
    {22, 664, 835},	// QHttpHeader::operator=#
    {22, 698, 857},	// QHttpHeader::parse$
    {22, 702, 856},	// QHttpHeader::parseLine$$
    {22, 938, 845},	// QHttpHeader::removeAllValues$
    {22, 942, 844},	// QHttpHeader::removeValue$
    {22, 996, 848},	// QHttpHeader::setContentLength$
    {22, 998, 851},	// QHttpHeader::setContentType$
    {22, 1163, 858},	// QHttpHeader::setValid$
    {22, 1166, 836},	// QHttpHeader::setValue$$
    {22, 1168, 837},	// QHttpHeader::setValues?
    {22, 1205, 852},	// QHttpHeader::toString
    {22, 1223, 842},	// QHttpHeader::value$
    {22, 1224, 839},	// QHttpHeader::values
    {22, 1251, 859},	// QHttpHeader::~QHttpHeader
    {23, 183, 860},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 184, 862},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 185, 863},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 186, 872},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 187, 873},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 188, 861},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 606, 868},	// QHttpRequestHeader::majorVersion
    {23, 614, 866},	// QHttpRequestHeader::method
    {23, 615, 869},	// QHttpRequestHeader::minorVersion
    {23, 664, 864},	// QHttpRequestHeader::operator=#
    {23, 702, 871},	// QHttpRequestHeader::parseLine$$
    {23, 706, 867},	// QHttpRequestHeader::path
    {23, 1116, 874},	// QHttpRequestHeader::setRequest$$
    {23, 1117, 875},	// QHttpRequestHeader::setRequest$$$
    {23, 1118, 865},	// QHttpRequestHeader::setRequest$$$$
    {23, 1205, 870},	// QHttpRequestHeader::toString
    {23, 1252, 876},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 189, 877},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 190, 878},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 191, -7},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 192, 890},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 193, 891},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 194, 880},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 606, 885},	// QHttpResponseHeader::majorVersion
    {24, 615, 886},	// QHttpResponseHeader::minorVersion
    {24, 664, 881},	// QHttpResponseHeader::operator=#
    {24, 702, 888},	// QHttpResponseHeader::parseLine$$
    {24, 933, 884},	// QHttpResponseHeader::reasonPhrase
    {24, 1145, 892},	// QHttpResponseHeader::setStatusLine$
    {24, 1146, 893},	// QHttpResponseHeader::setStatusLine$$
    {24, 1147, 894},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1148, 882},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1186, 883},	// QHttpResponseHeader::statusCode
    {24, 1205, 887},	// QHttpResponseHeader::toString
    {24, 1253, 895},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 195, 911},	// QIPv6Address::QIPv6Address
    {26, 196, 912},	// QIPv6Address::QIPv6Address#
    {26, 688, -13},	// QIPv6Address::operator[]$
    {26, 1254, 913},	// QIPv6Address::~QIPv6Address
    {31, 197, 939},	// QLocalServer::QLocalServer
    {31, 198, 922},	// QLocalServer::QLocalServer#
    {31, 413, 923},	// QLocalServer::close
    {31, 489, 924},	// QLocalServer::errorString
    {31, 513, 931},	// QLocalServer::fullServerName
    {31, 529, 925},	// QLocalServer::hasPendingConnections
    {31, 546, 936},	// QLocalServer::incomingConnection?
    {31, 565, 926},	// QLocalServer::isListening
    {31, 594, 927},	// QLocalServer::listen$
    {31, 608, 928},	// QLocalServer::maxPendingConnections
    {31, 613, 914},	// QLocalServer::metaObject
    {31, 623, 921},	// QLocalServer::newConnection
    {31, 624, 929},	// QLocalServer::nextPendingConnection
    {31, 895, 920},	// QLocalServer::qt_metacall$$?
    {31, 897, 915},	// QLocalServer::qt_metacast$
    {31, 940, 932},	// QLocalServer::removeServer$
    {31, 963, 933},	// QLocalServer::serverError
    {31, 964, 930},	// QLocalServer::serverName
    {31, 1051, 934},	// QLocalServer::setMaxPendingConnections$
    {31, 1185, 942},	// QLocalServer::staticMetaObject
    {31, 1207, 937},	// QLocalServer::tr$
    {31, 1208, 916},	// QLocalServer::tr$$
    {31, 1209, 918},	// QLocalServer::tr$$$
    {31, 1211, 938},	// QLocalServer::trUtf8$
    {31, 1212, 917},	// QLocalServer::trUtf8$$
    {31, 1213, 919},	// QLocalServer::trUtf8$$$
    {31, 1234, 940},	// QLocalServer::waitForNewConnection
    {31, 1235, 941},	// QLocalServer::waitForNewConnection$
    {31, 1236, 935},	// QLocalServer::waitForNewConnection$$
    {31, 1255, 943},	// QLocalServer::~QLocalServer
    {32, 31, 1004},	// QLocalSocket::ClosingState
    {32, 35, 1003},	// QLocalSocket::ConnectedState
    {32, 37, 1002},	// QLocalSocket::ConnectingState
    {32, 39, 998},	// QLocalSocket::ConnectionError
    {32, 43, 991},	// QLocalSocket::ConnectionRefusedError
    {32, 52, 997},	// QLocalSocket::DatagramTooLargeError
    {32, 140, 992},	// QLocalSocket::PeerClosedError
    {32, 199, 982},	// QLocalSocket::QLocalSocket
    {32, 200, 951},	// QLocalSocket::QLocalSocket#
    {32, 294, 993},	// QLocalSocket::ServerNotFoundError
    {32, 299, 994},	// QLocalSocket::SocketAccessError
    {32, 301, 995},	// QLocalSocket::SocketResourceError
    {32, 302, 996},	// QLocalSocket::SocketTimeoutError
    {32, 328, 1001},	// QLocalSocket::UnconnectedState
    {32, 339, 1000},	// QLocalSocket::UnknownSocketError
    {32, 342, 999},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 353, 956},	// QLocalSocket::abort
    {32, 397, 958},	// QLocalSocket::bytesAvailable
    {32, 398, 959},	// QLocalSocket::bytesToWrite
    {32, 403, 960},	// QLocalSocket::canReadLine
    {32, 413, 961},	// QLocalSocket::close
    {32, 434, 983},	// QLocalSocket::connectToServer$
    {32, 435, 952},	// QLocalSocket::connectToServer$$
    {32, 436, 974},	// QLocalSocket::connected
    {32, 470, 953},	// QLocalSocket::disconnectFromServer
    {32, 472, 975},	// QLocalSocket::disconnected
    {32, 487, 962},	// QLocalSocket::error
    {32, 488, 976},	// QLocalSocket::error$
    {32, 500, 963},	// QLocalSocket::flush
    {32, 513, 955},	// QLocalSocket::fullServerName
    {32, 570, 957},	// QLocalSocket::isSequential
    {32, 574, 964},	// QLocalSocket::isValid
    {32, 613, 944},	// QLocalSocket::metaObject
    {32, 895, 950},	// QLocalSocket::qt_metacall$$?
    {32, 897, 945},	// QLocalSocket::qt_metacast$
    {32, 921, 965},	// QLocalSocket::readBufferSize
    {32, 923, 978},	// QLocalSocket::readData$$
    {32, 964, 954},	// QLocalSocket::serverName
    {32, 1111, 966},	// QLocalSocket::setReadBufferSize$
    {32, 1133, 984},	// QLocalSocket::setSocketDescriptor?
    {32, 1134, 985},	// QLocalSocket::setSocketDescriptor?$
    {32, 1135, 967},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1172, 968},	// QLocalSocket::socketDescriptor
    {32, 1182, 969},	// QLocalSocket::state
    {32, 1184, 977},	// QLocalSocket::stateChanged$
    {32, 1185, 990},	// QLocalSocket::staticMetaObject
    {32, 1207, 980},	// QLocalSocket::tr$
    {32, 1208, 946},	// QLocalSocket::tr$$
    {32, 1209, 948},	// QLocalSocket::tr$$$
    {32, 1211, 981},	// QLocalSocket::trUtf8$
    {32, 1212, 947},	// QLocalSocket::trUtf8$$
    {32, 1213, 949},	// QLocalSocket::trUtf8$$$
    {32, 1226, 986},	// QLocalSocket::waitForBytesWritten
    {32, 1227, 970},	// QLocalSocket::waitForBytesWritten$
    {32, 1228, 987},	// QLocalSocket::waitForConnected
    {32, 1229, 971},	// QLocalSocket::waitForConnected$
    {32, 1230, 988},	// QLocalSocket::waitForDisconnected
    {32, 1231, 972},	// QLocalSocket::waitForDisconnected$
    {32, 1237, 989},	// QLocalSocket::waitForReadyRead
    {32, 1238, 973},	// QLocalSocket::waitForReadyRead$
    {32, 1240, 979},	// QLocalSocket::writeData$$
    {32, 1256, 1005},	// QLocalSocket::~QLocalSocket
    {37, 55, 1043},	// QNetworkAccessManager::DeleteOperation
    {37, 68, 1040},	// QNetworkAccessManager::GetOperation
    {37, 69, 1039},	// QNetworkAccessManager::HeadOperation
    {37, 142, 1042},	// QNetworkAccessManager::PostOperation
    {37, 158, 1041},	// QNetworkAccessManager::PutOperation
    {37, 201, 1036},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 202, 1013},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 336, 1044},	// QNetworkAccessManager::UnknownOperation
    {37, 389, 1030},	// QNetworkAccessManager::authenticationRequired##
    {37, 400, 1018},	// QNetworkAccessManager::cache
    {37, 439, 1020},	// QNetworkAccessManager::cookieJar
    {37, 443, 1037},	// QNetworkAccessManager::createRequest$#
    {37, 444, 1033},	// QNetworkAccessManager::createRequest$##
    {37, 464, 1028},	// QNetworkAccessManager::deleteResource#
    {37, 498, 1031},	// QNetworkAccessManager::finished#
    {37, 515, 1023},	// QNetworkAccessManager::get#
    {37, 535, 1022},	// QNetworkAccessManager::head#
    {37, 613, 1006},	// QNetworkAccessManager::metaObject
    {37, 722, -41},	// QNetworkAccessManager::post##
    {37, 732, 1014},	// QNetworkAccessManager::proxy
    {37, 734, 1029},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 735, 1016},	// QNetworkAccessManager::proxyFactory
    {37, 740, -44},	// QNetworkAccessManager::put##
    {37, 895, 1012},	// QNetworkAccessManager::qt_metacall$$?
    {37, 897, 1007},	// QNetworkAccessManager::qt_metacast$
    {37, 987, 1019},	// QNetworkAccessManager::setCache#
    {37, 1000, 1021},	// QNetworkAccessManager::setCookieJar#
    {37, 1098, 1015},	// QNetworkAccessManager::setProxy#
    {37, 1103, 1017},	// QNetworkAccessManager::setProxyFactory#
    {37, 1178, 1032},	// QNetworkAccessManager::sslErrors#?
    {37, 1185, 1038},	// QNetworkAccessManager::staticMetaObject
    {37, 1207, 1034},	// QNetworkAccessManager::tr$
    {37, 1208, 1008},	// QNetworkAccessManager::tr$$
    {37, 1209, 1010},	// QNetworkAccessManager::tr$$$
    {37, 1211, 1035},	// QNetworkAccessManager::trUtf8$
    {37, 1212, 1009},	// QNetworkAccessManager::trUtf8$$
    {37, 1213, 1011},	// QNetworkAccessManager::trUtf8$$$
    {37, 1257, 1045},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 203, 1046},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 204, 1047},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 396, 1057},	// QNetworkAddressEntry::broadcast
    {38, 554, 1051},	// QNetworkAddressEntry::ip
    {38, 622, 1053},	// QNetworkAddressEntry::netmask
    {38, 628, 1050},	// QNetworkAddressEntry::operator!=#
    {38, 664, 1048},	// QNetworkAddressEntry::operator=#
    {38, 667, 1049},	// QNetworkAddressEntry::operator==#
    {38, 725, 1055},	// QNetworkAddressEntry::prefixLength
    {38, 983, 1058},	// QNetworkAddressEntry::setBroadcast#
    {38, 1035, 1052},	// QNetworkAddressEntry::setIp#
    {38, 1058, 1054},	// QNetworkAddressEntry::setNetmask#
    {38, 1086, 1056},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1258, 1059},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 205, 1060},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 206, 1061},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 386, 1076},	// QNetworkCacheMetaData::attributes
    {39, 492, 1072},	// QNetworkCacheMetaData::expirationDate
    {39, 574, 1065},	// QNetworkCacheMetaData::isValid
    {39, 581, 1070},	// QNetworkCacheMetaData::lastModified
    {39, 628, 1064},	// QNetworkCacheMetaData::operator!=#
    {39, 664, 1062},	// QNetworkCacheMetaData::operator=#
    {39, 667, 1063},	// QNetworkCacheMetaData::operator==#
    {39, 917, 1068},	// QNetworkCacheMetaData::rawHeaders
    {39, 958, 1074},	// QNetworkCacheMetaData::saveToDisk
    {39, 981, 1077},	// QNetworkCacheMetaData::setAttributes?
    {39, 1019, 1073},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1037, 1071},	// QNetworkCacheMetaData::setLastModified#
    {39, 1109, 1069},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1120, 1075},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1156, 1067},	// QNetworkCacheMetaData::setUrl#
    {39, 1219, 1066},	// QNetworkCacheMetaData::url
    {39, 1259, 1078},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {40, 66, 1105},	// QNetworkCookie::Full
    {40, 125, 1104},	// QNetworkCookie::NameAndValueOnly
    {40, 207, 1101},	// QNetworkCookie::QNetworkCookie
    {40, 208, -38},	// QNetworkCookie::QNetworkCookie#
    {40, 209, 1079},	// QNetworkCookie::QNetworkCookie##
    {40, 473, 1091},	// QNetworkCookie::domain
    {40, 492, 1089},	// QNetworkCookie::expirationDate
    {40, 561, 1086},	// QNetworkCookie::isHttpOnly
    {40, 569, 1084},	// QNetworkCookie::isSecure
    {40, 571, 1088},	// QNetworkCookie::isSessionCookie
    {40, 621, 1095},	// QNetworkCookie::name
    {40, 628, 1083},	// QNetworkCookie::operator!=#
    {40, 664, 1081},	// QNetworkCookie::operator=#
    {40, 667, 1082},	// QNetworkCookie::operator==#
    {40, 700, 1100},	// QNetworkCookie::parseCookies#
    {40, 706, 1093},	// QNetworkCookie::path
    {40, 1012, 1092},	// QNetworkCookie::setDomain$
    {40, 1019, 1090},	// QNetworkCookie::setExpirationDate#
    {40, 1033, 1087},	// QNetworkCookie::setHttpOnly$
    {40, 1055, 1096},	// QNetworkCookie::setName#
    {40, 1068, 1094},	// QNetworkCookie::setPath$
    {40, 1124, 1085},	// QNetworkCookie::setSecure$
    {40, 1165, 1098},	// QNetworkCookie::setValue#
    {40, 1203, 1103},	// QNetworkCookie::toRawForm
    {40, 1204, 1099},	// QNetworkCookie::toRawForm$
    {40, 1222, 1097},	// QNetworkCookie::value
    {40, 1260, 1106},	// QNetworkCookie::~QNetworkCookie
    {41, 210, 1121},	// QNetworkCookieJar::QNetworkCookieJar
    {41, 211, 1114},	// QNetworkCookieJar::QNetworkCookieJar#
    {41, 376, 1117},	// QNetworkCookieJar::allCookies
    {41, 441, 1115},	// QNetworkCookieJar::cookiesForUrl#
    {41, 613, 1107},	// QNetworkCookieJar::metaObject
    {41, 895, 1113},	// QNetworkCookieJar::qt_metacall$$?
    {41, 897, 1108},	// QNetworkCookieJar::qt_metacast$
    {41, 973, 1118},	// QNetworkCookieJar::setAllCookies?
    {41, 1002, 1116},	// QNetworkCookieJar::setCookiesFromUrl?#
    {41, 1185, 1122},	// QNetworkCookieJar::staticMetaObject
    {41, 1207, 1119},	// QNetworkCookieJar::tr$
    {41, 1208, 1109},	// QNetworkCookieJar::tr$$
    {41, 1209, 1111},	// QNetworkCookieJar::tr$$$
    {41, 1211, 1120},	// QNetworkCookieJar::trUtf8$
    {41, 1212, 1110},	// QNetworkCookieJar::trUtf8$$
    {41, 1213, 1112},	// QNetworkCookieJar::trUtf8$$$
    {41, 1261, 1123},	// QNetworkCookieJar::~QNetworkCookieJar
    {42, 212, 1148},	// QNetworkDiskCache::QNetworkDiskCache
    {42, 213, 1131},	// QNetworkDiskCache::QNetworkDiskCache#
    {42, 401, 1132},	// QNetworkDiskCache::cacheDirectory
    {42, 402, 1136},	// QNetworkDiskCache::cacheSize
    {42, 410, 1144},	// QNetworkDiskCache::clear
    {42, 453, 1139},	// QNetworkDiskCache::data#
    {42, 493, 1145},	// QNetworkDiskCache::expire
    {42, 496, 1143},	// QNetworkDiskCache::fileMetaData$
    {42, 549, 1142},	// QNetworkDiskCache::insert#
    {42, 609, 1134},	// QNetworkDiskCache::maximumCacheSize
    {42, 611, 1137},	// QNetworkDiskCache::metaData#
    {42, 613, 1124},	// QNetworkDiskCache::metaObject
    {42, 727, 1141},	// QNetworkDiskCache::prepare#
    {42, 895, 1130},	// QNetworkDiskCache::qt_metacall$$?
    {42, 897, 1125},	// QNetworkDiskCache::qt_metacast$
    {42, 935, 1140},	// QNetworkDiskCache::remove#
    {42, 989, 1133},	// QNetworkDiskCache::setCacheDirectory$
    {42, 1053, 1135},	// QNetworkDiskCache::setMaximumCacheSize$
    {42, 1185, 1149},	// QNetworkDiskCache::staticMetaObject
    {42, 1207, 1146},	// QNetworkDiskCache::tr$
    {42, 1208, 1126},	// QNetworkDiskCache::tr$$
    {42, 1209, 1128},	// QNetworkDiskCache::tr$$$
    {42, 1211, 1147},	// QNetworkDiskCache::trUtf8$
    {42, 1212, 1127},	// QNetworkDiskCache::trUtf8$$
    {42, 1213, 1129},	// QNetworkDiskCache::trUtf8$$$
    {42, 1216, 1138},	// QNetworkDiskCache::updateMetaData#
    {42, 1262, 1150},	// QNetworkDiskCache::~QNetworkDiskCache
    {43, 20, 1167},	// QNetworkInterface::CanBroadcast
    {43, 21, 1170},	// QNetworkInterface::CanMulticast
    {43, 89, 1168},	// QNetworkInterface::IsLoopBack
    {43, 90, 1169},	// QNetworkInterface::IsPointToPoint
    {43, 91, 1166},	// QNetworkInterface::IsRunning
    {43, 92, 1165},	// QNetworkInterface::IsUp
    {43, 214, 1151},	// QNetworkInterface::QNetworkInterface
    {43, 215, 1152},	// QNetworkInterface::QNetworkInterface#
    {43, 372, 1160},	// QNetworkInterface::addressEntries
    {43, 375, 1164},	// QNetworkInterface::allAddresses
    {43, 377, 1163},	// QNetworkInterface::allInterfaces
    {43, 499, 1158},	// QNetworkInterface::flags
    {43, 523, 1159},	// QNetworkInterface::hardwareAddress
    {43, 541, 1157},	// QNetworkInterface::humanReadableName
    {43, 547, 1155},	// QNetworkInterface::index
    {43, 551, 1162},	// QNetworkInterface::interfaceFromIndex$
    {43, 553, 1161},	// QNetworkInterface::interfaceFromName$
    {43, 574, 1154},	// QNetworkInterface::isValid
    {43, 621, 1156},	// QNetworkInterface::name
    {43, 664, 1153},	// QNetworkInterface::operator=#
    {43, 1263, 1171},	// QNetworkInterface::~QNetworkInterface
    {44, 19, 1207},	// QNetworkProxy::CachingCapability
    {44, 54, 1198},	// QNetworkProxy::DefaultProxy
    {44, 65, 1203},	// QNetworkProxy::FtpCachingProxy
    {44, 72, 1208},	// QNetworkProxy::HostNameLookupCapability
    {44, 76, 1202},	// QNetworkProxy::HttpCachingProxy
    {44, 79, 1201},	// QNetworkProxy::HttpProxy
    {44, 115, 1205},	// QNetworkProxy::ListeningCapability
    {44, 129, 1200},	// QNetworkProxy::NoProxy
    {44, 216, 1172},	// QNetworkProxy::QNetworkProxy
    {44, 217, 1174},	// QNetworkProxy::QNetworkProxy#
    {44, 218, 1194},	// QNetworkProxy::QNetworkProxy$
    {44, 219, 1195},	// QNetworkProxy::QNetworkProxy$$
    {44, 220, 1196},	// QNetworkProxy::QNetworkProxy$$$
    {44, 221, 1197},	// QNetworkProxy::QNetworkProxy$$$$
    {44, 222, 1173},	// QNetworkProxy::QNetworkProxy$$$$$
    {44, 303, 1199},	// QNetworkProxy::Socks5Proxy
    {44, 318, 1204},	// QNetworkProxy::TunnelingCapability
    {44, 320, 1206},	// QNetworkProxy::UdpTunnelingCapability
    {44, 381, 1193},	// QNetworkProxy::applicationProxy
    {44, 404, 1181},	// QNetworkProxy::capabilities
    {44, 540, 1189},	// QNetworkProxy::hostName
    {44, 555, 1182},	// QNetworkProxy::isCachingProxy
    {44, 573, 1183},	// QNetworkProxy::isTransparentProxy
    {44, 628, 1177},	// QNetworkProxy::operator!=#
    {44, 664, 1175},	// QNetworkProxy::operator=#
    {44, 667, 1176},	// QNetworkProxy::operator==#
    {44, 705, 1187},	// QNetworkProxy::password
    {44, 719, 1191},	// QNetworkProxy::port
    {44, 975, 1192},	// QNetworkProxy::setApplicationProxy#
    {44, 991, 1180},	// QNetworkProxy::setCapabilities$
    {44, 1031, 1188},	// QNetworkProxy::setHostName$
    {44, 1066, 1186},	// QNetworkProxy::setPassword$
    {44, 1084, 1190},	// QNetworkProxy::setPort$
    {44, 1154, 1178},	// QNetworkProxy::setType$
    {44, 1160, 1184},	// QNetworkProxy::setUser$
    {44, 1214, 1179},	// QNetworkProxy::type
    {44, 1221, 1185},	// QNetworkProxy::user
    {44, 1264, 1209},	// QNetworkProxy::~QNetworkProxy
    {45, 223, 1210},	// QNetworkProxyFactory::QNetworkProxyFactory
    {45, 224, 1216},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {45, 737, 1214},	// QNetworkProxyFactory::proxyForQuery#
    {45, 903, 1217},	// QNetworkProxyFactory::queryProxy
    {45, 904, 1211},	// QNetworkProxyFactory::queryProxy#
    {45, 977, 1213},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {45, 1158, 1212},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {45, 1194, 1218},	// QNetworkProxyFactory::systemProxyForQuery
    {45, 1195, 1215},	// QNetworkProxyFactory::systemProxyForQuery#
    {45, 1265, 1219},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {46, 225, 1220},	// QNetworkProxyQuery::QNetworkProxyQuery
    {46, 226, -430},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {46, 227, 1221},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {46, 228, 1243},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {46, 229, -433},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {46, 230, -436},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {46, 231, 1222},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {46, 312, 1247},	// QNetworkProxyQuery::TcpServer
    {46, 313, 1245},	// QNetworkProxyQuery::TcpSocket
    {46, 319, 1246},	// QNetworkProxyQuery::UdpSocket
    {46, 343, 1248},	// QNetworkProxyQuery::UrlRequest
    {46, 599, 1234},	// QNetworkProxyQuery::localPort
    {46, 628, 1227},	// QNetworkProxyQuery::operator!=#
    {46, 664, 1225},	// QNetworkProxyQuery::operator=#
    {46, 667, 1226},	// QNetworkProxyQuery::operator==#
    {46, 710, 1232},	// QNetworkProxyQuery::peerHostName
    {46, 712, 1230},	// QNetworkProxyQuery::peerPort
    {46, 731, 1236},	// QNetworkProxyQuery::protocolTag
    {46, 905, 1228},	// QNetworkProxyQuery::queryType
    {46, 1047, 1235},	// QNetworkProxyQuery::setLocalPort$
    {46, 1072, 1233},	// QNetworkProxyQuery::setPeerHostName$
    {46, 1076, 1231},	// QNetworkProxyQuery::setPeerPort$
    {46, 1096, 1237},	// QNetworkProxyQuery::setProtocolTag$
    {46, 1105, 1229},	// QNetworkProxyQuery::setQueryType$
    {46, 1156, 1239},	// QNetworkProxyQuery::setUrl#
    {46, 1219, 1238},	// QNetworkProxyQuery::url
    {46, 1266, 1249},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {47, 11, 1314},	// QNetworkReply::AuthenticationRequiredError
    {47, 43, 1298},	// QNetworkReply::ConnectionRefusedError
    {47, 44, 1311},	// QNetworkReply::ContentAccessDenied
    {47, 46, 1313},	// QNetworkReply::ContentNotFoundError
    {47, 47, 1312},	// QNetworkReply::ContentOperationNotPermittedError
    {47, 48, 1315},	// QNetworkReply::ContentReSendError
    {47, 75, 1300},	// QNetworkReply::HostNotFoundError
    {47, 127, 1297},	// QNetworkReply::NoError
    {47, 135, 1302},	// QNetworkReply::OperationCanceledError
    {47, 146, 1319},	// QNetworkReply::ProtocolFailure
    {47, 147, 1318},	// QNetworkReply::ProtocolInvalidOperationError
    {47, 148, 1317},	// QNetworkReply::ProtocolUnknownError
    {47, 149, 1309},	// QNetworkReply::ProxyAuthenticationRequiredError
    {47, 150, 1306},	// QNetworkReply::ProxyConnectionClosedError
    {47, 151, 1305},	// QNetworkReply::ProxyConnectionRefusedError
    {47, 153, 1307},	// QNetworkReply::ProxyNotFoundError
    {47, 155, 1308},	// QNetworkReply::ProxyTimeoutError
    {47, 232, 1295},	// QNetworkReply::QNetworkReply
    {47, 233, 1284},	// QNetworkReply::QNetworkReply#
    {47, 285, 1299},	// QNetworkReply::RemoteHostClosedError
    {47, 306, 1303},	// QNetworkReply::SslHandshakeFailedError
    {47, 315, 1301},	// QNetworkReply::TimeoutError
    {47, 332, 1316},	// QNetworkReply::UnknownContentError
    {47, 334, 1304},	// QNetworkReply::UnknownNetworkError
    {47, 338, 1310},	// QNetworkReply::UnknownProxyError
    {47, 353, 1257},	// QNetworkReply::abort
    {47, 384, 1273},	// QNetworkReply::attribute$
    {47, 413, 1258},	// QNetworkReply::close
    {47, 477, 1283},	// QNetworkReply::downloadProgress$$
    {47, 487, 1265},	// QNetworkReply::error
    {47, 488, 1280},	// QNetworkReply::error$
    {47, 497, 1279},	// QNetworkReply::finished
    {47, 533, 1270},	// QNetworkReply::hasRawHeader#
    {47, 538, 1269},	// QNetworkReply::header$
    {47, 542, 1277},	// QNetworkReply::ignoreSslErrors
    {47, 543, 1276},	// QNetworkReply::ignoreSslErrors?
    {47, 560, 1266},	// QNetworkReply::isFinished
    {47, 568, 1267},	// QNetworkReply::isRunning
    {47, 570, 1259},	// QNetworkReply::isSequential
    {47, 607, 1262},	// QNetworkReply::manager
    {47, 612, 1278},	// QNetworkReply::metaDataChanged
    {47, 613, 1250},	// QNetworkReply::metaObject
    {47, 626, 1263},	// QNetworkReply::operation
    {47, 895, 1256},	// QNetworkReply::qt_metacall$$?
    {47, 897, 1251},	// QNetworkReply::qt_metacast$
    {47, 915, 1272},	// QNetworkReply::rawHeader#
    {47, 916, 1271},	// QNetworkReply::rawHeaderList
    {47, 921, 1260},	// QNetworkReply::readBufferSize
    {47, 945, 1264},	// QNetworkReply::request
    {47, 979, 1292},	// QNetworkReply::setAttribute$#
    {47, 1015, 1288},	// QNetworkReply::setError$$
    {47, 1025, 1290},	// QNetworkReply::setHeader$#
    {47, 1060, 1286},	// QNetworkReply::setOperation$
    {47, 1107, 1291},	// QNetworkReply::setRawHeader##
    {47, 1111, 1261},	// QNetworkReply::setReadBufferSize$
    {47, 1115, 1287},	// QNetworkReply::setRequest#
    {47, 1143, 1275},	// QNetworkReply::setSslConfiguration#
    {47, 1156, 1289},	// QNetworkReply::setUrl#
    {47, 1176, 1274},	// QNetworkReply::sslConfiguration
    {47, 1179, 1281},	// QNetworkReply::sslErrors?
    {47, 1185, 1296},	// QNetworkReply::staticMetaObject
    {47, 1207, 1293},	// QNetworkReply::tr$
    {47, 1208, 1252},	// QNetworkReply::tr$$
    {47, 1209, 1254},	// QNetworkReply::tr$$$
    {47, 1211, 1294},	// QNetworkReply::trUtf8$
    {47, 1212, 1253},	// QNetworkReply::trUtf8$$
    {47, 1213, 1255},	// QNetworkReply::trUtf8$$$
    {47, 1218, 1282},	// QNetworkReply::uploadProgress$$
    {47, 1219, 1268},	// QNetworkReply::url
    {47, 1240, 1285},	// QNetworkReply::writeData$$
    {47, 1267, 1320},	// QNetworkReply::~QNetworkReply
    {48, 4, 1363},	// QNetworkRequest::AlwaysCache
    {48, 5, 1360},	// QNetworkRequest::AlwaysNetwork
    {48, 17, 1352},	// QNetworkRequest::CacheLoadControlAttribute
    {48, 18, 1353},	// QNetworkRequest::CacheSaveControlAttribute
    {48, 38, 1351},	// QNetworkRequest::ConnectionEncryptedAttribute
    {48, 45, 1343},	// QNetworkRequest::ContentLengthHeader
    {48, 49, 1342},	// QNetworkRequest::ContentTypeHeader
    {48, 50, 1346},	// QNetworkRequest::CookieHeader
    {48, 58, 1355},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {48, 77, 1356},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {48, 78, 1357},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {48, 80, 1349},	// QNetworkRequest::HttpReasonPhraseAttribute
    {48, 81, 1348},	// QNetworkRequest::HttpStatusCodeAttribute
    {48, 94, 1345},	// QNetworkRequest::LastModifiedHeader
    {48, 120, 1344},	// QNetworkRequest::LocationHeader
    {48, 143, 1362},	// QNetworkRequest::PreferCache
    {48, 144, 1361},	// QNetworkRequest::PreferNetwork
    {48, 234, 1340},	// QNetworkRequest::QNetworkRequest
    {48, 235, -10},	// QNetworkRequest::QNetworkRequest#
    {48, 284, 1350},	// QNetworkRequest::RedirectionTargetAttribute
    {48, 295, 1347},	// QNetworkRequest::SetCookieHeader
    {48, 304, 1354},	// QNetworkRequest::SourceIsFromCacheAttribute
    {48, 344, 1358},	// QNetworkRequest::User
    {48, 345, 1359},	// QNetworkRequest::UserMax
    {48, 384, 1341},	// QNetworkRequest::attribute$
    {48, 385, 1334},	// QNetworkRequest::attribute$#
    {48, 533, 1330},	// QNetworkRequest::hasRawHeader#
    {48, 538, 1328},	// QNetworkRequest::header$
    {48, 628, 1325},	// QNetworkRequest::operator!=#
    {48, 664, 1323},	// QNetworkRequest::operator=#
    {48, 667, 1324},	// QNetworkRequest::operator==#
    {48, 695, 1339},	// QNetworkRequest::originatingObject
    {48, 915, 1332},	// QNetworkRequest::rawHeader#
    {48, 916, 1331},	// QNetworkRequest::rawHeaderList
    {48, 979, 1335},	// QNetworkRequest::setAttribute$#
    {48, 1025, 1329},	// QNetworkRequest::setHeader$#
    {48, 1062, 1338},	// QNetworkRequest::setOriginatingObject#
    {48, 1107, 1333},	// QNetworkRequest::setRawHeader##
    {48, 1143, 1337},	// QNetworkRequest::setSslConfiguration#
    {48, 1156, 1327},	// QNetworkRequest::setUrl#
    {48, 1176, 1336},	// QNetworkRequest::sslConfiguration
    {48, 1219, 1326},	// QNetworkRequest::url
    {48, 1268, 1364},	// QNetworkRequest::~QNetworkRequest
    {58, 8, 1379},	// QSsl::AnyProtocol
    {58, 56, 1375},	// QSsl::Der
    {58, 57, 1382},	// QSsl::DnsEntry
    {58, 60, 1373},	// QSsl::Dsa
    {58, 61, 1381},	// QSsl::EmailEntry
    {58, 141, 1374},	// QSsl::Pem
    {58, 145, 1383},	// QSsl::PrivateKey
    {58, 156, 1384},	// QSsl::PublicKey
    {58, 290, 1372},	// QSsl::Rsa
    {58, 308, 1377},	// QSsl::SslV2
    {58, 309, 1376},	// QSsl::SslV3
    {58, 316, 1378},	// QSsl::TlsV1
    {58, 337, 1380},	// QSsl::UnknownProtocol
    {59, 32, 1420},	// QSslCertificate::CommonName
    {59, 51, 1423},	// QSslCertificate::CountryName
    {59, 119, 1421},	// QSslCertificate::LocalityName
    {59, 136, 1419},	// QSslCertificate::Organization
    {59, 137, 1422},	// QSslCertificate::OrganizationalUnitName
    {59, 236, 1412},	// QSslCertificate::QSslCertificate
    {59, 237, -16},	// QSslCertificate::QSslCertificate#
    {59, 238, -20},	// QSslCertificate::QSslCertificate#$
    {59, 310, 1424},	// QSslCertificate::StateOrProvinceName
    {59, 380, 1401},	// QSslCertificate::alternateSubjectNames
    {59, 410, 1393},	// QSslCertificate::clear
    {59, 466, 1414},	// QSslCertificate::digest
    {59, 467, 1396},	// QSslCertificate::digest$
    {59, 478, 1402},	// QSslCertificate::effectiveDate
    {59, 494, 1403},	// QSslCertificate::expiryDate
    {59, 502, 1418},	// QSslCertificate::fromData#
    {59, 503, 1409},	// QSslCertificate::fromData#$
    {59, 505, 1417},	// QSslCertificate::fromDevice#
    {59, 506, 1408},	// QSslCertificate::fromDevice#$
    {59, 510, 1415},	// QSslCertificate::fromPath$
    {59, 511, 1416},	// QSslCertificate::fromPath$$
    {59, 512, 1407},	// QSslCertificate::fromPath$$$
    {59, 522, 1410},	// QSslCertificate::handle
    {59, 566, 1391},	// QSslCertificate::isNull
    {59, 574, 1392},	// QSslCertificate::isValid
    {59, 577, 1398},	// QSslCertificate::issuerInfo#
    {59, 578, 1397},	// QSslCertificate::issuerInfo$
    {59, 628, 1390},	// QSslCertificate::operator!=#
    {59, 664, 1388},	// QSslCertificate::operator=#
    {59, 667, 1389},	// QSslCertificate::operator==#
    {59, 738, 1404},	// QSslCertificate::publicKey
    {59, 961, 1395},	// QSslCertificate::serialNumber
    {59, 1188, 1400},	// QSslCertificate::subjectInfo#
    {59, 1189, 1399},	// QSslCertificate::subjectInfo$
    {59, 1197, 1406},	// QSslCertificate::toDer
    {59, 1201, 1405},	// QSslCertificate::toPem
    {59, 1225, 1394},	// QSslCertificate::version
    {59, 1269, 1425},	// QSslCertificate::~QSslCertificate
    {60, 239, 1426},	// QSslCipher::QSslCipher
    {60, 240, 1428},	// QSslCipher::QSslCipher#
    {60, 241, 1427},	// QSslCipher::QSslCipher$$
    {60, 387, 1437},	// QSslCipher::authenticationMethod
    {60, 484, 1438},	// QSslCipher::encryptionMethod
    {60, 566, 1432},	// QSslCipher::isNull
    {60, 579, 1436},	// QSslCipher::keyExchangeMethod
    {60, 621, 1433},	// QSslCipher::name
    {60, 628, 1431},	// QSslCipher::operator!=#
    {60, 664, 1429},	// QSslCipher::operator=#
    {60, 667, 1430},	// QSslCipher::operator==#
    {60, 729, 1440},	// QSslCipher::protocol
    {60, 730, 1439},	// QSslCipher::protocolString
    {60, 1190, 1434},	// QSslCipher::supportedBits
    {60, 1220, 1435},	// QSslCipher::usedBits
    {60, 1270, 1441},	// QSslCipher::~QSslCipher
    {61, 242, 1442},	// QSslConfiguration::QSslConfiguration
    {61, 243, 1443},	// QSslConfiguration::QSslConfiguration#
    {61, 399, 1463},	// QSslConfiguration::caCertificates
    {61, 409, 1461},	// QSslConfiguration::ciphers
    {61, 462, 1465},	// QSslConfiguration::defaultConfiguration
    {61, 566, 1447},	// QSslConfiguration::isNull
    {61, 596, 1454},	// QSslConfiguration::localCertificate
    {61, 628, 1446},	// QSslConfiguration::operator!=#
    {61, 664, 1444},	// QSslConfiguration::operator=#
    {61, 667, 1445},	// QSslConfiguration::operator==#
    {61, 708, 1456},	// QSslConfiguration::peerCertificate
    {61, 709, 1457},	// QSslConfiguration::peerCertificateChain
    {61, 713, 1452},	// QSslConfiguration::peerVerifyDepth
    {61, 716, 1450},	// QSslConfiguration::peerVerifyMode
    {61, 728, 1459},	// QSslConfiguration::privateKey
    {61, 729, 1448},	// QSslConfiguration::protocol
    {61, 966, 1458},	// QSslConfiguration::sessionCipher
    {61, 985, 1464},	// QSslConfiguration::setCaCertificates?
    {61, 994, 1462},	// QSslConfiguration::setCiphers?
    {61, 1008, 1466},	// QSslConfiguration::setDefaultConfiguration#
    {61, 1043, 1455},	// QSslConfiguration::setLocalCertificate#
    {61, 1078, 1453},	// QSslConfiguration::setPeerVerifyDepth$
    {61, 1080, 1451},	// QSslConfiguration::setPeerVerifyMode$
    {61, 1088, 1460},	// QSslConfiguration::setPrivateKey#
    {61, 1094, 1449},	// QSslConfiguration::setProtocol$
    {61, 1271, 1467},	// QSslConfiguration::~QSslConfiguration
    {62, 12, 1498},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {62, 23, 1484},	// QSslError::CertificateExpired
    {62, 24, 1483},	// QSslError::CertificateNotYetValid
    {62, 25, 1496},	// QSslError::CertificateRejected
    {62, 26, 1491},	// QSslError::CertificateRevoked
    {62, 27, 1482},	// QSslError::CertificateSignatureFailed
    {62, 28, 1495},	// QSslError::CertificateUntrusted
    {62, 73, 1500},	// QSslError::HostNameMismatch
    {62, 84, 1492},	// QSslError::InvalidCaCertificate
    {62, 85, 1486},	// QSslError::InvalidNotAfterField
    {62, 86, 1485},	// QSslError::InvalidNotBeforeField
    {62, 87, 1494},	// QSslError::InvalidPurpose
    {62, 127, 1478},	// QSslError::NoError
    {62, 128, 1499},	// QSslError::NoPeerCertificate
    {62, 130, 1501},	// QSslError::NoSslSupport
    {62, 139, 1493},	// QSslError::PathLengthExceeded
    {62, 244, 1468},	// QSslError::QSslError
    {62, 245, 1471},	// QSslError::QSslError#
    {62, 246, 1469},	// QSslError::QSslError$
    {62, 247, 1470},	// QSslError::QSslError$#
    {62, 291, 1487},	// QSslError::SelfSignedCertificate
    {62, 292, 1488},	// QSslError::SelfSignedCertificateInChain
    {62, 311, 1497},	// QSslError::SubjectIssuerMismatch
    {62, 321, 1481},	// QSslError::UnableToDecodeIssuerPublicKey
    {62, 322, 1480},	// QSslError::UnableToDecryptCertificateSignature
    {62, 323, 1479},	// QSslError::UnableToGetIssuerCertificate
    {62, 324, 1489},	// QSslError::UnableToGetLocalIssuerCertificate
    {62, 325, 1490},	// QSslError::UnableToVerifyFirstCertificate
    {62, 341, 1502},	// QSslError::UnspecifiedError
    {62, 407, 1477},	// QSslError::certificate
    {62, 487, 1475},	// QSslError::error
    {62, 489, 1476},	// QSslError::errorString
    {62, 628, 1474},	// QSslError::operator!=#
    {62, 664, 1472},	// QSslError::operator=#
    {62, 667, 1473},	// QSslError::operator==#
    {62, 1272, 1503},	// QSslError::~QSslError
    {63, 248, 1504},	// QSslKey::QSslKey
    {63, 249, 1507},	// QSslKey::QSslKey#
    {63, 250, -23},	// QSslKey::QSslKey#$
    {63, 251, -26},	// QSslKey::QSslKey#$$
    {63, 252, -29},	// QSslKey::QSslKey#$$$
    {63, 253, -32},	// QSslKey::QSslKey#$$$#
    {63, 374, 1513},	// QSslKey::algorithm
    {63, 410, 1510},	// QSslKey::clear
    {63, 522, 1516},	// QSslKey::handle
    {63, 566, 1509},	// QSslKey::isNull
    {63, 584, 1511},	// QSslKey::length
    {63, 628, 1518},	// QSslKey::operator!=#
    {63, 664, 1508},	// QSslKey::operator=#
    {63, 667, 1517},	// QSslKey::operator==#
    {63, 1197, 1526},	// QSslKey::toDer
    {63, 1198, 1515},	// QSslKey::toDer#
    {63, 1201, 1525},	// QSslKey::toPem
    {63, 1202, 1514},	// QSslKey::toPem#
    {63, 1214, 1512},	// QSslKey::type
    {63, 1273, 1527},	// QSslKey::~QSslKey
    {64, 13, 1634},	// QSslSocket::AutoVerifyPeer
    {64, 254, 1609},	// QSslSocket::QSslSocket
    {64, 255, 1535},	// QSslSocket::QSslSocket#
    {64, 276, 1632},	// QSslSocket::QueryPeer
    {64, 305, 1629},	// QSslSocket::SslClientMode
    {64, 307, 1630},	// QSslSocket::SslServerMode
    {64, 329, 1628},	// QSslSocket::UnencryptedMode
    {64, 346, 1631},	// QSslSocket::VerifyNone
    {64, 347, 1633},	// QSslSocket::VerifyPeer
    {64, 353, 1555},	// QSslSocket::abort
    {64, 357, 1577},	// QSslSocket::addCaCertificate#
    {64, 359, 1618},	// QSslSocket::addCaCertificates$
    {64, 360, 1619},	// QSslSocket::addCaCertificates$$
    {64, 361, 1576},	// QSslSocket::addCaCertificates$$$
    {64, 362, 1578},	// QSslSocket::addCaCertificates?
    {64, 364, 1582},	// QSslSocket::addDefaultCaCertificate#
    {64, 366, 1620},	// QSslSocket::addDefaultCaCertificates$
    {64, 367, 1621},	// QSslSocket::addDefaultCaCertificates$$
    {64, 368, 1581},	// QSslSocket::addDefaultCaCertificates$$$
    {64, 369, 1583},	// QSslSocket::addDefaultCaCertificates?
    {64, 382, 1553},	// QSslSocket::atEnd
    {64, 397, 1549},	// QSslSocket::bytesAvailable
    {64, 398, 1550},	// QSslSocket::bytesToWrite
    {64, 399, 1580},	// QSslSocket::caCertificates
    {64, 403, 1551},	// QSslSocket::canReadLine
    {64, 409, 1570},	// QSslSocket::ciphers
    {64, 413, 1552},	// QSslSocket::close
    {64, 427, 1610},	// QSslSocket::connectToHostEncrypted$$
    {64, 428, -35},	// QSslSocket::connectToHostEncrypted$$$
    {64, 429, 1537},	// QSslSocket::connectToHostEncrypted$$$$
    {64, 432, 1603},	// QSslSocket::connectToHostImplementation$$$
    {64, 460, 1585},	// QSslSocket::defaultCaCertificates
    {64, 461, 1574},	// QSslSocket::defaultCiphers
    {64, 469, 1604},	// QSslSocket::disconnectFromHostImplementation
    {64, 479, 1598},	// QSslSocket::encrypted
    {64, 480, 1557},	// QSslSocket::encryptedBytesAvailable
    {64, 481, 1558},	// QSslSocket::encryptedBytesToWrite
    {64, 483, 1602},	// QSslSocket::encryptedBytesWritten$
    {64, 500, 1554},	// QSslSocket::flush
    {64, 542, 1597},	// QSslSocket::ignoreSslErrors
    {64, 543, 1594},	// QSslSocket::ignoreSslErrors?
    {64, 557, 1542},	// QSslSocket::isEncrypted
    {64, 596, 1563},	// QSslSocket::localCertificate
    {64, 613, 1528},	// QSslSocket::metaObject
    {64, 618, 1541},	// QSslSocket::mode
    {64, 620, 1601},	// QSslSocket::modeChanged$
    {64, 708, 1564},	// QSslSocket::peerCertificate
    {64, 709, 1565},	// QSslSocket::peerCertificateChain
    {64, 713, 1547},	// QSslSocket::peerVerifyDepth
    {64, 715, 1599},	// QSslSocket::peerVerifyError#
    {64, 716, 1545},	// QSslSocket::peerVerifyMode
    {64, 728, 1569},	// QSslSocket::privateKey
    {64, 729, 1543},	// QSslSocket::protocol
    {64, 895, 1534},	// QSslSocket::qt_metacall$$?
    {64, 897, 1529},	// QSslSocket::qt_metacast$
    {64, 923, 1605},	// QSslSocket::readData$$
    {64, 966, 1566},	// QSslSocket::sessionCipher
    {64, 985, 1579},	// QSslSocket::setCaCertificates?
    {64, 993, 1572},	// QSslSocket::setCiphers$
    {64, 994, 1571},	// QSslSocket::setCiphers?
    {64, 1004, 1584},	// QSslSocket::setDefaultCaCertificates?
    {64, 1006, 1573},	// QSslSocket::setDefaultCiphers?
    {64, 1043, 1561},	// QSslSocket::setLocalCertificate#
    {64, 1044, 1614},	// QSslSocket::setLocalCertificate$
    {64, 1045, 1562},	// QSslSocket::setLocalCertificate$$
    {64, 1078, 1548},	// QSslSocket::setPeerVerifyDepth$
    {64, 1080, 1546},	// QSslSocket::setPeerVerifyMode$
    {64, 1088, 1567},	// QSslSocket::setPrivateKey#
    {64, 1089, 1615},	// QSslSocket::setPrivateKey$
    {64, 1090, 1616},	// QSslSocket::setPrivateKey$$
    {64, 1091, 1617},	// QSslSocket::setPrivateKey$$$
    {64, 1092, 1568},	// QSslSocket::setPrivateKey$$$#
    {64, 1094, 1544},	// QSslSocket::setProtocol$
    {64, 1111, 1556},	// QSslSocket::setReadBufferSize$
    {64, 1130, 1612},	// QSslSocket::setSocketDescriptor$
    {64, 1131, 1613},	// QSslSocket::setSocketDescriptor$$
    {64, 1132, 1538},	// QSslSocket::setSocketDescriptor$$$
    {64, 1139, 1539},	// QSslSocket::setSocketOption$#
    {64, 1143, 1560},	// QSslSocket::setSslConfiguration#
    {64, 1174, 1540},	// QSslSocket::socketOption$
    {64, 1176, 1559},	// QSslSocket::sslConfiguration
    {64, 1177, 1592},	// QSslSocket::sslErrors
    {64, 1179, 1600},	// QSslSocket::sslErrors?
    {64, 1180, 1595},	// QSslSocket::startClientEncryption
    {64, 1181, 1596},	// QSslSocket::startServerEncryption
    {64, 1185, 1627},	// QSslSocket::staticMetaObject
    {64, 1191, 1575},	// QSslSocket::supportedCiphers
    {64, 1192, 1593},	// QSslSocket::supportsSsl
    {64, 1193, 1586},	// QSslSocket::systemCaCertificates
    {64, 1207, 1607},	// QSslSocket::tr$
    {64, 1208, 1530},	// QSslSocket::tr$$
    {64, 1209, 1532},	// QSslSocket::tr$$$
    {64, 1211, 1608},	// QSslSocket::trUtf8$
    {64, 1212, 1531},	// QSslSocket::trUtf8$$
    {64, 1213, 1533},	// QSslSocket::trUtf8$$$
    {64, 1226, 1625},	// QSslSocket::waitForBytesWritten
    {64, 1227, 1590},	// QSslSocket::waitForBytesWritten$
    {64, 1228, 1622},	// QSslSocket::waitForConnected
    {64, 1229, 1587},	// QSslSocket::waitForConnected$
    {64, 1230, 1626},	// QSslSocket::waitForDisconnected
    {64, 1231, 1591},	// QSslSocket::waitForDisconnected$
    {64, 1232, 1623},	// QSslSocket::waitForEncrypted
    {64, 1233, 1588},	// QSslSocket::waitForEncrypted$
    {64, 1237, 1624},	// QSslSocket::waitForReadyRead
    {64, 1238, 1589},	// QSslSocket::waitForReadyRead$
    {64, 1240, 1606},	// QSslSocket::writeData$$
    {64, 1274, 1635},	// QSslSocket::~QSslSocket
    {67, 256, 1664},	// QTcpServer::QTcpServer
    {67, 257, 1643},	// QTcpServer::QTcpServer#
    {67, 413, 1645},	// QTcpServer::close
    {67, 489, 1657},	// QTcpServer::errorString
    {67, 529, 1654},	// QTcpServer::hasPendingConnections
    {67, 545, 1660},	// QTcpServer::incomingConnection$
    {67, 565, 1646},	// QTcpServer::isListening
    {67, 591, 1665},	// QTcpServer::listen
    {67, 592, 1666},	// QTcpServer::listen#
    {67, 593, 1644},	// QTcpServer::listen#$
    {67, 608, 1648},	// QTcpServer::maxPendingConnections
    {67, 613, 1636},	// QTcpServer::metaObject
    {67, 623, 1661},	// QTcpServer::newConnection
    {67, 624, 1655},	// QTcpServer::nextPendingConnection
    {67, 732, 1659},	// QTcpServer::proxy
    {67, 895, 1642},	// QTcpServer::qt_metacall$$?
    {67, 897, 1637},	// QTcpServer::qt_metacast$
    {67, 962, 1650},	// QTcpServer::serverAddress
    {67, 963, 1656},	// QTcpServer::serverError
    {67, 965, 1649},	// QTcpServer::serverPort
    {67, 1051, 1647},	// QTcpServer::setMaxPendingConnections$
    {67, 1098, 1658},	// QTcpServer::setProxy#
    {67, 1130, 1652},	// QTcpServer::setSocketDescriptor$
    {67, 1172, 1651},	// QTcpServer::socketDescriptor
    {67, 1185, 1669},	// QTcpServer::staticMetaObject
    {67, 1207, 1662},	// QTcpServer::tr$
    {67, 1208, 1638},	// QTcpServer::tr$$
    {67, 1209, 1640},	// QTcpServer::tr$$$
    {67, 1211, 1663},	// QTcpServer::trUtf8$
    {67, 1212, 1639},	// QTcpServer::trUtf8$$
    {67, 1213, 1641},	// QTcpServer::trUtf8$$$
    {67, 1234, 1667},	// QTcpServer::waitForNewConnection
    {67, 1235, 1668},	// QTcpServer::waitForNewConnection$
    {67, 1236, 1653},	// QTcpServer::waitForNewConnection$$
    {67, 1275, 1670},	// QTcpServer::~QTcpServer
    {68, 258, 1681},	// QTcpSocket::QTcpSocket
    {68, 259, 1678},	// QTcpSocket::QTcpSocket#
    {68, 613, 1671},	// QTcpSocket::metaObject
    {68, 895, 1677},	// QTcpSocket::qt_metacall$$?
    {68, 897, 1672},	// QTcpSocket::qt_metacast$
    {68, 1185, 1682},	// QTcpSocket::staticMetaObject
    {68, 1207, 1679},	// QTcpSocket::tr$
    {68, 1208, 1673},	// QTcpSocket::tr$$
    {68, 1209, 1675},	// QTcpSocket::tr$$$
    {68, 1211, 1680},	// QTcpSocket::trUtf8$
    {68, 1212, 1674},	// QTcpSocket::trUtf8$$
    {68, 1213, 1676},	// QTcpSocket::trUtf8$$$
    {68, 1276, 1683},	// QTcpSocket::~QTcpSocket
    {73, 53, 1708},	// QUdpSocket::DefaultForPlatform
    {73, 59, 1710},	// QUdpSocket::DontShareAddress
    {73, 260, 1703},	// QUdpSocket::QUdpSocket
    {73, 261, 1691},	// QUdpSocket::QUdpSocket#
    {73, 288, 1711},	// QUdpSocket::ReuseAddressHint
    {73, 298, 1709},	// QUdpSocket::ShareAddress
    {73, 391, 1704},	// QUdpSocket::bind
    {73, 392, 1692},	// QUdpSocket::bind#$
    {73, 393, 1694},	// QUdpSocket::bind#$$
    {73, 394, 1693},	// QUdpSocket::bind$
    {73, 395, 1695},	// QUdpSocket::bind$$
    {73, 530, 1696},	// QUdpSocket::hasPendingDatagrams
    {73, 613, 1684},	// QUdpSocket::metaObject
    {73, 717, 1697},	// QUdpSocket::pendingDatagramSize
    {73, 895, 1690},	// QUdpSocket::qt_metacall$$?
    {73, 897, 1685},	// QUdpSocket::qt_metacast$
    {73, 925, 1705},	// QUdpSocket::readDatagram$$
    {73, 926, 1706},	// QUdpSocket::readDatagram$$#
    {73, 927, 1698},	// QUdpSocket::readDatagram$$#$
    {73, 1185, 1707},	// QUdpSocket::staticMetaObject
    {73, 1207, 1701},	// QUdpSocket::tr$
    {73, 1208, 1686},	// QUdpSocket::tr$$
    {73, 1209, 1688},	// QUdpSocket::tr$$$
    {73, 1211, 1702},	// QUdpSocket::trUtf8$
    {73, 1212, 1687},	// QUdpSocket::trUtf8$$
    {73, 1213, 1689},	// QUdpSocket::trUtf8$$$
    {73, 1242, 1700},	// QUdpSocket::writeDatagram##$
    {73, 1243, 1699},	// QUdpSocket::writeDatagram$$#$
    {73, 1277, 1712},	// QUdpSocket::~QUdpSocket
    {75, 62, 1754},	// QUrlInfo::ExeGroup
    {75, 63, 1757},	// QUrlInfo::ExeOther
    {75, 64, 1751},	// QUrlInfo::ExeOwner
    {75, 262, 1713},	// QUrlInfo::QUrlInfo
    {75, 263, 1714},	// QUrlInfo::QUrlInfo#
    {75, 264, 1716},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {75, 265, 1715},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {75, 278, 1752},	// QUrlInfo::ReadGroup
    {75, 280, 1755},	// QUrlInfo::ReadOther
    {75, 281, 1749},	// QUrlInfo::ReadOwner
    {75, 348, 1753},	// QUrlInfo::WriteGroup
    {75, 350, 1756},	// QUrlInfo::WriteOther
    {75, 351, 1750},	// QUrlInfo::WriteOwner
    {75, 486, 1746},	// QUrlInfo::equal##$
    {75, 520, 1744},	// QUrlInfo::greaterThan##$
    {75, 521, 1734},	// QUrlInfo::group
    {75, 556, 1738},	// QUrlInfo::isDir
    {75, 558, 1743},	// QUrlInfo::isExecutable
    {75, 559, 1739},	// QUrlInfo::isFile
    {75, 567, 1742},	// QUrlInfo::isReadable
    {75, 572, 1740},	// QUrlInfo::isSymLink
    {75, 574, 1730},	// QUrlInfo::isValid
    {75, 575, 1741},	// QUrlInfo::isWritable
    {75, 581, 1736},	// QUrlInfo::lastModified
    {75, 582, 1737},	// QUrlInfo::lastRead
    {75, 586, 1745},	// QUrlInfo::lessThan##$
    {75, 621, 1731},	// QUrlInfo::name
    {75, 628, 1748},	// QUrlInfo::operator!=#
    {75, 664, 1717},	// QUrlInfo::operator=#
    {75, 667, 1747},	// QUrlInfo::operator==#
    {75, 696, 1733},	// QUrlInfo::owner
    {75, 718, 1732},	// QUrlInfo::permissions
    {75, 1010, 1719},	// QUrlInfo::setDir$
    {75, 1021, 1720},	// QUrlInfo::setFile$
    {75, 1023, 1723},	// QUrlInfo::setGroup$
    {75, 1037, 1728},	// QUrlInfo::setLastModified#
    {75, 1039, 1729},	// QUrlInfo::setLastRead#
    {75, 1056, 1718},	// QUrlInfo::setName$
    {75, 1064, 1722},	// QUrlInfo::setOwner$
    {75, 1082, 1727},	// QUrlInfo::setPermissions$
    {75, 1113, 1726},	// QUrlInfo::setReadable$
    {75, 1126, 1724},	// QUrlInfo::setSize$
    {75, 1150, 1721},	// QUrlInfo::setSymLink$
    {75, 1170, 1725},	// QUrlInfo::setWritable$
    {75, 1171, 1735},	// QUrlInfo::size
    {75, 1278, 1758},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 79,
        __smokeqtnetwork::methods, 1759,
        __smokeqtnetwork::methodMaps, 1415,
        __smokeqtnetwork::methodNames, 1278,
        __smokeqtnetwork::types, 435,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
